import 'i18n.dart';

/// The translations for Arabic (`ar`).
class I18nAr extends I18n {
  I18nAr([String locale = 'ar']) : super(locale);

  @override
  String get numSb404 => 'لقد فقدت طريقك. هذه الصفحة غير موجودة.';

  @override
  String about250Sbblock8722Sb18722Sbtext(Object appName) {
    return 'في $appName ، هدفنا هو إنشاء منصة آمنة وسهلة الاستخدام من شخص إلى شخص للسماح لأي شخص بالتداول بعملته المحلية مقابل Monero ، في أي مكان. ينشر المستخدمون إعلانات تحدد طريقة الدفع المفضلة لديهم (مثل التحويل المصرفي ، والنقد ، ومعالج الدفع عبر الإنترنت مثل PayPal ، وبطاقات الهدايا ، وما إلى ذلك) ، ويرد المستخدمون الآخرون على هذه الإعلانات ، يأخذ $appName سند تحكيم يساوي مبلغ الصفقة من المستخدم الذي هو بائع Monero في صفقة معينة والبائع يرسل Monero إلى المشتري عندما يؤكد البائع أنه قد استلم الدفعة من المشتري ، والتي بموجبها يتم إرجاع سند التحكيم إلى البائع. يمكن أن يتدخل $appName أيضًا للتوسط في أي نزاع قد ينشأ.';
  }

  @override
  String about250Sbblock8722Sb18722Sbtext57Sbagoradesk(Object appName) {
    return 'في $appName ، هدفنا هو إنشاء منصة آمنة وسهلة الاستخدام من شخص إلى شخص للسماح لأي شخص بتداول عملته المحلية مقابل العملات المشفرة ، وفي أي مكان. ينشر مستخدمونا إعلانات تحدد طريقة الدفع المفضلة لديهم (مثل التحويل المصرفي ، والنقد ، ومعالج الدفع عبر الإنترنت مثل PayPal ، وبطاقات الهدايا ، وما إلى ذلك) ، ويرد المستخدمون الآخرون على هذه الإعلانات ، يقوم  $appName بأخذ سند تحكيم يساوي مبلغ الصفقة من المستخدم الذي هو بائع العملة المشفرة في صفقة معينة ، ويرسل البائع العملة المشفرة إلى المشتري عندما يؤكد البائع أنه قد تلقى الدفعة من المشتري ، والتي بموجبها يتم إرجاع سند التحكيم إلى البائع. يمكن أن يتدخل $appName للتوسط في أي نزاع قد ينشأ.';
  }

  @override
  String get about250Sbblock8722Sb18722Sbtitle => 'مهمتنا';

  @override
  String about250Sbblock8722Sb28722Sbtext(Object appName) {
    return 'في $appName أنت تتعامل مع بشر. على عكس عمليات تبادل العملات المشفرة المركزية ، فأنت تقوم بالتداول مباشرة مع شخص آخر. هذا يجعل العملية سهلة وسريعة ، حيث لا توجد نفقات عامة للشركة. تحصل على مونيرو الخاص بك على الفور. أيضًا ، يمكن لـ $appName دعم كل طريقة دفع يدعمها مجتمع المستخدمين ، مما يجعل من الممكن للمستخدمين الذين ليس لديهم إمكانية الوصول إلى الخدمات المصرفية التقليدية أن يتمكنوا أيضًا من شراء أو بيع Monero. لكل معاملة ، تطلب $appName من البائع أن يرسل سند تحكيم لحماية مشتري Monero.';
  }

  @override
  String about250Sbblock8722Sb28722Sbtext57Sbagoradesk(Object appName) {
    return 'في $appName أنت تتعامل مع بشر. على عكس عمليات تبادل العملات المشفرة المركزية ، فأنت تقوم بالتداول مباشرة مع شخص آخر. هذا يجعل العملية سهلة وسريعة ، حيث لا توجد نفقات عامة للشركة. تحصل على العملة المشفرة الخاصة بك على الفور. أيضًا ، يمكن لـ $appName ان تدعم كل طريقة دفع يدعمها مجتمع المستخدمين ، مما يجعل من الممكن للمستخدمينالغير قادرين على الوصول إلى الخدمات المصرفية التقليدية أن يكونوا قادرين أيضًا على تداول العملات المشفرة. لكل معاملة ، تطلب $appName من البائع ان ينشر سند تحكيم لحماية مشتري العملة المشفرة.';
  }

  @override
  String get about250Sbblock8722Sb28722Sbtitle => 'كيف نحن مختلفون';

  @override
  String get about250Sbcontact8722Sbbtn => 'اتصل بنا';

  @override
  String get about250Sbtitle => 'معلومات عنا';

  @override
  String get ad8722Sblisting8722Sbtable250Sbbuy8722Sbbtn => 'يشتري';

  @override
  String get ad8722Sblisting8722Sbtable250Sbbuyer => 'مشتر';

  @override
  String get ad8722Sblisting8722Sbtable250Sbdistance => 'مسافه: بعد';

  @override
  String get ad8722Sblisting8722Sbtable250Sblimits => 'حدود';

  @override
  String get ad8722Sblisting8722Sbtable250Sblocation => 'موقع';

  @override
  String get ad8722Sblisting8722Sbtable250Sbmethod => 'طريقة الدفع او السداد';

  @override
  String ad8722Sblisting8722Sbtable250Sbprice(Object assetSymbol) {
    return 'السعر / $assetSymbol';
  }

  @override
  String get ad8722Sblisting8722Sbtable250Sbsell8722Sbbtn => 'يبيع';

  @override
  String get ad8722Sblisting8722Sbtable250Sbseller => 'تاجر، بائع';

  @override
  String get ad8722Sblisting8722Sbtable250Sbshow8722Sbmore => 'أظهر المزيد...';

  @override
  String ad8722Sblisting8722Sbtable250Sbshow8722Sbmore8722Sbby8722Sbuser(Object user) {
    return 'عرض المزيد من الإعلانات من هذا النوع حسب $user ...';
  }

  @override
  String ad8722Sblisting8722Sbtable250Sbshow8722Sbmore250Sball8722Sbin8722Sbcountry8722Sbor8722Sbcurrency(Object countryOrcurrency) {
    return 'الكل في $countryOrcurrency';
  }

  @override
  String ad8722Sblisting8722Sbtable250Sbsimilar8722Sbads8722Sbtoggle8722Sblabel250Sbhide(Object username) {
    return 'إخفاء إعلانات $username المشابهة';
  }

  @override
  String ad8722Sblisting8722Sbtable250Sbsimilar8722Sbads8722Sbtoggle8722Sblabel250Sbshow(Object numberOfSimilarAds, Object username) {
    return 'إظهار $numberOfSimilarAds المزيد من الإعلانات المشابهة بواسطة $username';
  }

  @override
  String get ad8722Sbpage250Sbcant8722Sbsend8722Sbtrade8722Sbrequest => 'لا يمكن طلب صفقة لهذا الإعلان في ذلك الوقت';

  @override
  String get ad8722Sbpage250Sbedit8722Sbad8722Sbbtn => 'تحرير الإعلان';

  @override
  String get ad8722Sbpage250Sberror250Sbtitle => 'خطأ في طلب التجارة';

  @override
  String ad8722Sbpage250Sbfirst8722Sbtime8722Sblimit8722Sbtip(Object firstTimelimitxmr) {
    return 'يسمح هذا التاجر بحد أقصى $firstTimelimitxmr لأول صفقة معه.';
  }

  @override
  String ad8722Sbpage250Sbfluctuations8722Sbtip(Object assetSymbol) {
    return 'يرجى ملاحظة أن المبلغ الفعلي $assetSymbol للتداول قد يختلف قليلاً عن المبلغ المعروض حاليًا بسبب تقلبات الأسعار وسعر الصرف.';
  }

  @override
  String ad8722Sbpage250Sbfor8722Sbtrusted(Object username) {
    return 'للمستخدمين الموثوق بهم من قبل $username فقط';
  }

  @override
  String ad8722Sbpage250Sbheading8722Sblocal8722Sbbuy(Object assetName, Object location, Object user, Object currency) {
    return 'بيع $assetName نقدًا في $location إلى $user باستخدام $currency';
  }

  @override
  String ad8722Sbpage250Sbheading8722Sblocal8722Sbsell(Object assetName, Object location, Object user, Object currency) {
    return 'اشترِ $assetName نقدًا في $location من $user باستخدام $currency';
  }

  @override
  String ad8722Sbpage250Sbheading8722Sbonline8722Sbbuy(Object assetName, Object paymentMethod, Object detail, Object currency) {
    return 'بيع $assetName باستخدام $paymentMethod $detail مع $currency';
  }

  @override
  String ad8722Sbpage250Sbheading8722Sbonline8722Sbsell(Object assetName, Object paymentMethod, Object detail, Object currency) {
    return 'اشترِ $assetName باستخدام $paymentMethod $detail مع $currency';
  }

  @override
  String ad8722Sbpage250Sbhidden8722Sbwarning8722Sb0(Object editAd) {
    return 'تم ضبط رؤية هذا الإعلان على \"مخفي\". يمكنك تغيير ذلك في صفحة $editAd.';
  }

  @override
  String get ad8722Sbpage250Sbhidden8722Sbwarning8722Sb08722Sbedit8722Sbad => 'تحرير الإعلان';

  @override
  String get ad8722Sbpage250Sbhidden8722Sbwarning8722Sb1 => 'هذا الإعلان غير مفعل حاليا. يرجى البحث عن عروض أخرى أو العودة لاحقًا.';

  @override
  String get ad8722Sbpage250Sbhow8722Sbmuch8722Sbdo8722Sbyou8722Sbwish8722Sbto8722Sbbuy => 'يشترى';

  @override
  String ad8722Sbpage250Sbhow8722Sbmuch8722Sbdo8722Sbyou8722Sbwish8722Sbto8722Sbbuy57Sbsell(Object buyOrsell) {
    return 'كم ترغب في $buyOrsell؟';
  }

  @override
  String get ad8722Sbpage250Sbhow8722Sbmuch8722Sbdo8722Sbyou8722Sbwish8722Sbto8722Sbsell => 'يبيع';

  @override
  String get ad8722Sbpage250Sbinfo250Sbpayment8722Sbwindow => 'نافذة الدفع';

  @override
  String get ad8722Sbpage250Sbinfo250Sbtrade8722Sblimits => 'حدود التداول';

  @override
  String get ad8722Sbpage250Sbinfo250Sbuser => 'المستخدم';

  @override
  String ad8722Sbpage250Sblimit8722Sbto8722Sbamounts(Object amounts, Object currency) {
    return 'هذا التاجر لديه كميات تداول محتملة محدودة إلى $amounts $currency';
  }

  @override
  String ad8722Sbpage250Sbmin8722Sbamount8722Sbtip(Object minimumAmount) {
    return 'يجب أن تقوم بصفقة لا تقل $minimumAmount مع هذا الإعلان.';
  }

  @override
  String ad8722Sbpage250Sbmin8722Sbfeedback8722Sbtip(Object minimumFeedbackscore) {
    return 'يطلب هذا التاجر درجة تقييم $minimumFeedbackscore على الأقل للتداول.';
  }

  @override
  String get ad8722Sbpage250Sbreport8722Sbad => 'أبلغ عن هذا الإعلان عن طريق فتح تذكرة';

  @override
  String ad8722Sbpage250Sbrequest8722Sbtrade250Sbmin8722Sbrequired8722Sbbalance(Object amount, Object appName) {
    return 'يجب أن يكون لديك $amount في محفظة سندات التحكيم $appName لتغطية رسوم حماية التحكيم بنسبة 1٪ لهذه الصفقة.';
  }

  @override
  String get ad8722Sbpage250Sbrequest8722Sbtrade250Sbprice8722Sbchanged250Sbaccept8722Sbprice => 'اقبل السعر واستمر';

  @override
  String get ad8722Sbpage250Sbrequest8722Sbtrade250Sbprice8722Sbchanged250Sbnew8722Sbamount => 'مبلغ التداول الجديد';

  @override
  String get ad8722Sbpage250Sbrequest8722Sbtrade250Sbprice8722Sbchanged250Sbnew8722Sbprice => 'سعر جديد';

  @override
  String get ad8722Sbpage250Sbrequest8722Sbtrade250Sbprice8722Sbchanged250Sbold8722Sbprice => 'سعر قديم';

  @override
  String get ad8722Sbpage250Sbrequest8722Sbtrade250Sbprice8722Sbchanged250Sbselect8722Sbadjustment => 'اضبط مبلغ التداول لـ';

  @override
  String get ad8722Sbpage250Sbrequest8722Sbtrade250Sbprice8722Sbchanged250Sbtitle => 'لقد تغير السعر';

  @override
  String get ad8722Sbpage250Sbselect8722Sbamount => 'حدد المبلغ ...';

  @override
  String get ad8722Sbpage250Sbsend8722Sbtrade8722Sbrequest8722Sbbtn => 'إرسال طلب التداول';

  @override
  String get ad8722Sbpage250Sbshow8722Sbon8722Sbmap => 'عرض على الخريطة';

  @override
  String get ad8722Sbpage250Sbsign8722Sbup8722Sbbtn => 'قم بالتسجيل لبدء التداول';

  @override
  String get ad8722Sbpage250Sbterms8722Sbdialog250Sbagree8722Sbbtn => 'وافق على الشروط وابدأ التداول';

  @override
  String get ad8722Sbpage250Sbterms8722Sbdialog250Sbsubtitle => 'هل توافق على شروط هذا التاجر؟';

  @override
  String get ad8722Sbpage250Sbterms8722Sbdialog250Sbtitle => 'اقرأ الشروط';

  @override
  String ad8722Sbpage250Sbterms8722Sbof8722Sbtrade(Object username) {
    return 'شروط التداول مع $username';
  }

  @override
  String get ad8722Sbpage250Sbtips => 'نصائح';

  @override
  String get ad8722Sbpage250Sbtips8722Sbtext8722Sb0 => 'اقرأ الإعلان وتحقق من الشروط.';

  @override
  String get ad8722Sbpage250Sbtips8722Sbtext8722Sb1 => 'اقترح مكانًا للاجتماع ووقت الاتصال ، إذا تم تداول النقد المادي.';

  @override
  String get ad8722Sbpage250Sbtips8722Sbtext8722Sb2 => 'احترس من المحتالين! تحقق من ملاحظات الملف الشخصي ، وتوخ مزيدًا من الحذر مع الحسابات التي تم إنشاؤها مؤخرًا.';

  @override
  String ad8722Sbpage250Sbtips8722Sbtext8722Sb3(Object assetName) {
    return 'لاحظ أن التقريب وتقلبات الأسعار قد تغير المبلغ النهائي $assetName. يتم حساب مبلغ $assetName بناءً على مبلغ عملة التداول الذي أدخلته.';
  }

  @override
  String get ad250Sbconfirmation250Sbaccept8722Sbterms8722Sbbtn => 'قبول الشروط';

  @override
  String ad250Sbconfirmation250Sbprovide8722Sbaddress(Object asset) {
    return 'ادخل عنوان محفظة التسوية $asset';
  }

  @override
  String ad250Sbconfirmation250Sbprovide8722Sbaddress250Sbsubtitile(Object asset) {
    return 'سيتم استخدام العنوان لاستلام $asset الذي اشتريته. تأكد من صحة العنوان ولديك حق الوصول إلى المحفظة ، وإلا فقد تفقد العملات المعدنية بشكل غير قابل للاسترداد.';
  }

  @override
  String get ad250Sbconfirmation250Sbprovide8722Sbaddress250Sbyou8722Sbown => 'ببدء التداول فإنك تؤكد أن المحفظة المستلمة ملك لك';

  @override
  String get ad250Sbdeleted => 'تم حذف هذا الإعلان';

  @override
  String ad250Sbhomepage8722Sblisting250Sblocal8722Sbbuy8722Sbheading(Object assetName, Object country) {
    return 'بيع $assetName نقدًا في $country';
  }

  @override
  String ad250Sbhomepage8722Sblisting250Sblocal8722Sbsell8722Sbheading(Object assetName, Object country) {
    return 'اشترِ $assetName نقدًا في $country';
  }

  @override
  String ad250Sbhomepage8722Sblisting250Sbonline8722Sbbuy8722Sbheading(Object assetName, Object country) {
    return 'بيع $assetName عبر الإنترنت في $country';
  }

  @override
  String ad250Sbhomepage8722Sblisting250Sbonline8722Sbsell8722Sbheading(Object assetName, Object country) {
    return 'شراء $assetName عبر الإنترنت في $country';
  }

  @override
  String ad250Sblinks250Sbsubtitle(Object appName, Object assetName) {
    return 'لم تجد الصفقة التي كنت تبحث عنها؟ تحتوي قوائم $appName هذه على المزيد من الصفقات $assetName التجارية المشابهة لهذه:';
  }

  @override
  String get ad250Sblinks250Sbtitle => 'القوائم مع هذا الإعلان';

  @override
  String get ad250Sblisting250Sbinsufficient8722Sbbalance => 'التاجر لديه رصيد غير كاف';

  @override
  String get ad250Sbno8722Sbmax8722Sbamount => 'أي كمية ';

  @override
  String get ad250Sbno8722Sbmin8722Sbamount => 'يصل إلى ';

  @override
  String get ad250Sbno8722Sbterms => 'لا توجد شروط تداول محددة. ';

  @override
  String ad250Sbnotice250Sbprotected(Object link) {
    return 'هذه الصفقة محمية بواسطة $link';
  }

  @override
  String get ad250Sbnotice250Sbprotected250Sblink => 'سند التحكيم';

  @override
  String get ad250Sbself8722Sbvacation8722Sbnotice => 'هذا الإعلان غير مرئي للجمهور لأنك حاليًا في إجازة. يمكنك تغيير ذلك في الإعدادات أو في لوحة المعلومات.';

  @override
  String get ad250Sbverified8722Sbemail => 'يجب التحقق من بريدك الإلكتروني لفتح صفقة مع هذا الإعلان';

  @override
  String address8722Sbinput250Sbbuyer8722Sbsettlement8722Sbaddress250Sblabel(Object asset) {
    return 'تسوية $asset عنوان المحفظة';
  }

  @override
  String get affiliate250Sbbanner250Sbcode => 'كود البانر:';

  @override
  String affiliate250Sbbanner250Sbtext(Object appName, Object linebreak, Object iframe) {
    return 'تروّج اللافتات $appName مع الشركة التابعة لك. يمكنك إضافة لافتات HTML إلى مدوناتك ومواقعك الإلكترونية. بانر $linebreak  $iframe لإعلانك (حجم 234 × 60 بكسل ، وحدة نصف بانر):';
  }

  @override
  String get affiliate250Sbbanner250Sbtitle => 'لافتة';

  @override
  String get affiliate250Sbenable8722Sbbtn => 'تمكين برنامج الانتساب';

  @override
  String affiliate250Sbenabled(Object refCode, Object appName) {
    return 'تم تمكين برنامج الإنتساب الخاص بك ، ويمكنك كسب العمولات عن طريق إضافة علامة الإنتساب الخاصة بك $refCode إلى أي عنوان URL $appName.';
  }

  @override
  String affiliate250Sbexample250Sbtext(Object assetName, Object appName, Object assetSymbol, Object linebreak, Object support) {
    return 'يمكنك تسجيل اثنين من المستخدمين ، المشتري والبائع لـ $assetName في $appName ، ويقومان بصفقة واحدة بقيمة 100 $assetSymbol. تكسب عمولة 20٪ على رسوم تداول $appName من كلا المشاركين ، بإجمالي 40٪ من رسوم $appName. مجموع ربحك هو 0.4 $assetSymbol. فقط المبيعات النهائية التي تتم من خلال معاملتنا التجارية هي المهمة. المدفوعات تتم يوميا. $linebreak  $appName $support على أتم الاستعداد لمساعدتك في أي أسئلة.';
  }

  @override
  String get affiliate250Sbexample250Sbtext8722Sbsupport => 'الدعم';

  @override
  String get affiliate250Sbexample250Sbtitle => 'مثال على العمولة';

  @override
  String get affiliate250Sbinstructions8722Sb0 => 'يتم تسجيل الانتساب عندما يقوم أي مستخدم بالتسجيل بعد الوصول إلى الموقع من خلال رابط مع رمز الإحالة الخاص بك.';

  @override
  String get affiliate250Sbinstructions8722Sblink8722Sbtype8722Sbregular8722Sbsubtitle => 'منتظم';

  @override
  String affiliate250Sbinstructions8722Sbtext(Object appName) {
    return 'يمكنك استخدام أي من روابط $appName ، على سبيل المثال:';
  }

  @override
  String get affiliate250Sbinstructions8722Sbtitle => 'روابط المثال';

  @override
  String affiliate250Sblogged8722Sbout(Object signUp, Object logIn) {
    return 'يمكنك تمكين برنامج الانتساب بعد $signUp أو $logIn.';
  }

  @override
  String get affiliate250Sblogged8722Sbout8722Sblog8722Sbin => 'تسجيل الدخول';

  @override
  String get affiliate250Sblogged8722Sbout8722Sbsign8722Sbup => 'اشتراك';

  @override
  String get affiliate250Sbpayouts250Sbnone => 'لا دفعات حتى الآن';

  @override
  String get affiliate250Sbpayouts250Sbtable250Sbdate => 'تاريخ';

  @override
  String get affiliate250Sbpayouts250Sbtable250Sbdescription => 'وصف';

  @override
  String get affiliate250Sbpayouts250Sbtable250Sbdescription8722Sbtext => 'دفع عمولة برنامج الانتساب';

  @override
  String get affiliate250Sbpayouts250Sbtable250Sbreceived => 'استلم ';

  @override
  String get affiliate250Sbpayouts250Sbtitle => 'المدفوعات';

  @override
  String affiliate250Sbref8722Sbcode(Object refCode) {
    return 'رمز الإحالة الخاص بك هو: $refCode';
  }

  @override
  String affiliate250Sbterms250Sbtext(Object appName, Object assetName) {
    return '• يمكنك الارتباط بأي صفحة فردية ، مثل قائمة الدول أو قائمة طرق الدفع ، أو أي شيء آخر على $appName. <br/> • سوف تكسب $assetName من المستخدمين الذين يصلون إلى الموقع من خلال رابط الإحالة الخاص بك والتسجيل وإجراء الصفقات. <br/> • سيتم دفع المدفوعات يوميًا إلى محفظتك $appName مثل $assetName. <br/> • سيتم دفع العمولات لمدة عام واحد من تسجيل المستخدم. تعتمد العمولة على الدخل الذي يجلبه المستخدم الجديد مقابل $appName (رسوم التداول). <br/> • إذا كان لديك قسائم نشطة ، فسيتم خصم إجمالي خصومات القسيمة لفترة معينة من أرباح الشركات التابعة الخاصة بك لنفس الفترة المحددة. إذا كان إجمالي مبلغ الخصم لفترة معينة أكبر من أو يساوي أرباح الشركات التابعة لنفس الفترة المحددة ، فلن تتلقى أي أرباح تابعة لتلك الفترة المحددة. <br/> • أي لعب شرير ، مثل الإعلانات المضللة ، ممنوع. <br/> • يمنع إرسال بريد عشوائي. يتضمن البريد الإلكتروني العشوائي إرسال رسائل خاصة أو عامة غير مُشتركة على المنتديات / reddit ، والبريد الجماعي غير المشترك ، وما إلى ذلك. يُسمح فقط بإطارات iframe التابعة أو الروابط المباشرة إلى صفحة الويب. <br/> • يحق لـ $appName تعطيل أي مستخدم تابع في أي وقت. إذا انتهكت الشروط ، فسيتم إنهاء برنامج الإحالة الخاص بك.';
  }

  @override
  String affiliate250Sbterms250Sbtext57Sbagoradesk(Object appName) {
    return '• يمكنك الارتباط بأي صفحة فردية ، مثل قائمة الدول أو قائمة طرق الدفع ، أو أي شيء آخر على $appName. <br/> • سوف تكسب عملة مشفرة من المستخدمين الذين يصلون إلى الموقع من خلال تسجيل الرابط التابع الخاص بك وإجراء الصفقات. <br/> • سيتم تحويل المدفوعات يوميًا إلى محفظتك $appName بالعملات المشفرة ذات الصلة. <br/> • سيتم دفع العمولات لمدة عام واحد من تسجيل المستخدم. تعتمد العمولة على الدخل الذي يجلبه المستخدم الجديد مقابل $appName (رسوم التداول). <br/> •أي لعب مخالف ، مثل الإعلانات المضللة ، ممنوع. <br/> • يمنع إرسال بريد عشوائي. يتضمن البريد الإلكتروني العشوائي إرسال رسائل خاصة أو عامة غير مشتركة على المنتديات / reddit ، والبريد الجماعي غير المشترك ، وما إلى ذلك. يُسمح فقط بإطارات iframe التابعة أو الروابط المباشرة إلى صفحة الويب. <br/> • يحق لـ $appName تعطيل أي مستخدم تابع في أي وقت. إذا انتهكت الشروط ، فسيتم إنهاء برنامج الإنتساب الخاص بك.';
  }

  @override
  String get affiliate250Sbterms250Sbtitle => 'شروط برنامج الانتساب';

  @override
  String get affiliate250Sbtitle => 'برنامج الإنتساب';

  @override
  String affiliate250Sbusers250Sbtext(Object number) {
    return 'أنت مسجل حاليًا كشركة تابعة لمستخدمي $number وستكسب عمولات من جميع الصفقات التي يقوم بها هؤلاء.';
  }

  @override
  String get affiliate250Sbusers250Sbtitle => 'المستخدمون';

  @override
  String get agoradesk250Sbad8722Sbpage250Sbhow8722Sbmuch8722Sbnotional8722Sbamount250Sbor => 'أو';

  @override
  String get agoradesk250Sbasset8722Sbfilter8722Sbtoggle250Sbads250Sball => 'عرض كل الإعلانات';

  @override
  String agoradesk250Sbasset8722Sbfilter8722Sbtoggle250Sbads250Sbcoin(Object assetSymbol) {
    return '$assetSymbol إعلانات فقط';
  }

  @override
  String get agoradesk250Sbasset8722Sbfilter8722Sbtoggle250Sball => 'عرض الكل';

  @override
  String agoradesk250Sbasset8722Sbfilter8722Sbtoggle250Sbcoin(Object assetSymbol) {
    return '$assetSymbol فقط';
  }

  @override
  String get agoradesk250Sbasset250Sblabel => 'أصل العملة المشفرة';

  @override
  String get agoradesk250Sbguide250Sbad8722Sbpage250Sbbuy => 'يشترى';

  @override
  String get agoradesk250Sbguide250Sbad8722Sbpage250Sbbuyer => 'مشتر';

  @override
  String agoradesk250Sbguide250Sbad8722Sbpage250Sbgeneral(Object buy_or_sell_button_name) {
    return 'بعد الضغط على زر \"$buy_or_sell_button_name\" سترى المزيد من المعلومات حول الإعلان ، بما في ذلك شروط الصفقة. اقرأها قبل تقديم طلب الصفقة ، إذا كنت لا توافق عليها يمكنك العودة إلى الصفحة السابقة واختيار إعلان آخر.';
  }

  @override
  String agoradesk250Sbguide250Sbad8722Sbpage250Sbgeneral250Sbhow8722Sbto8722Sbstart(Object asset, Object buy_or_sell) {
    return 'لبدء التداول ، اكتب مقدار $asset الذي تريده $buy_or_sell وانقر فوق الزر \"إرسال طلب تداول\" لبدء التداول.';
  }

  @override
  String get agoradesk250Sbguide250Sbad8722Sbpage250Sbsell => 'يبيع';

  @override
  String get agoradesk250Sbguide250Sbad8722Sbpage250Sbseller => 'تاجر';

  @override
  String get agoradesk250Sbguide250Sbbtc8722Sbas8722Sban8722Sbexample => 'لغرض هذا الدليل ، سنستخدم BTC كعملة أساسية ، ولكن نفس القواعد تنطبق على XMR.';

  @override
  String get agoradesk250Sbguide250Sbsearch250Sball8722Sbmethods8722Sbbuyer => 'إذا لم تكن متأكدًا من الطريقة التي تريد الدفع بها ، فاختر \"جميع العروض عبر الإنترنت\" كطريقة الدفع الخاصة بك.';

  @override
  String get agoradesk250Sbguide250Sbsearch250Sball8722Sbmethods8722Sbseller => 'إذا لم تكن متأكدًا من الطريقة التي تريد أن يتم الدفع لك بها ، فاختر \"جميع العروض عبر الإنترنت\" كطريقة الدفع الخاصة بك.';

  @override
  String get agoradesk250Sbguide250Sbsearch250Sbbuy8722Sbtab8722Sbname => 'يشتري';

  @override
  String agoradesk250Sbguide250Sbsearch250Sbchoose8722Sbad8722Sbtype(Object buy_or_sell_tab_name) {
    return 'في العمود الأيسر، ثم يجب عليك تحديد علامة التبويب \"$buy_or_sell_tab_name\". إذا كنت ترغب في تغيير الدولة أو العملة أو طريقة الدفع أو تحديد المبلغ المطلوب ، انقر فوق الزر \"إظهار قائمة البحث\" ، واختر المعلمات المطلوبة ، واضغط على زر البحث.';
  }

  @override
  String get agoradesk250Sbguide250Sbsearch250Sbchoose8722Sbasset => 'بعد ذلك ، حدد العملة المشفرة التي تريد تداولها بالضغط على علامة التبويب المقابلة في الصف أعلى جدول الإعلانات. في هذا المثال سنختار BTC.';

  @override
  String get agoradesk250Sbguide250Sbsearch250Sbmain8722Sbpage => 'اذهب إلى الصفحة الرئيسية.';

  @override
  String get agoradesk250Sbguide250Sbsearch250Sbsearch8722Sbresults => 'سيقوم الموقع بإدراج المتداولين المتاحين في منطقتك.';

  @override
  String get agoradesk250Sbguide250Sbsearch250Sbsell8722Sbtab8722Sbname => 'يبيع';

  @override
  String get agoradesk250Sbindex250Sbad8722Sbselectors250Sbbuy => 'يشتري';

  @override
  String get agoradesk250Sbindex250Sbad8722Sbselectors250Sbcoins => 'عملات تجارية';

  @override
  String get agoradesk250Sbindex250Sbad8722Sbselectors250Sbsell => 'يبيع';

  @override
  String get agoradesk250Sbindex250Sbads8722Sbtable250Sbitm8722Sbotm8722Sbseparator250Sbcurrent8722Sbmarket8722Sbprice => 'سعر السوق';

  @override
  String get agoradesk250Sbindex250Sbads8722Sbtable250Sbload8722Sbmor250Sbbutton => 'تحميل المزيد...';

  @override
  String get agoradesk250Sbindex250Sbads8722Sbtable250Sbload8722Sbmore250Sbloading => 'أرجو الإنتظار';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbcta => 'اشترك مجانًا لبدء تداول Bitcoin الآن';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbdisputes250Sbcontent => 'معايير التحكيم لدينا عالية جدًا ، نظرًا لأن <strong> لا نقبل لقطات الشاشة أو المستندات الأخرى التي يسهل تزويرها كدليل في النزاعات </strong>. لهذا السبب ، نحن قادرون على ردع عدد كبير من المحتالين من محاولة التنقيب على منصتنا. نحن نستجيب بسرعة لتقارير المستخدمين ونصدر تحذيرات في المناطق التي تشهد ارتفاعًا مفاجئًا في نشاط المخادعين.';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbdisputes250Sbtitle => 'منع الإحتيال';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb0 => 'لا يوجد KYC / AML أو التحقق';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb1 => 'أي عملة ، أي طريقة دفع ، في أي مكان';

  @override
  String agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb10(Object nojs) {
    return '$nojs (يتم التحميل افتراضيًا عند الوصول من Tor أو I2P)';
  }

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb108722Sb1 => 'إصدار لا يحتوي على JavaScript من الموقع';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb11 => 'تعمل بكامل طاقتها عندما يتم حظر Google';

  @override
  String agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb12(Object affiliate) {
    return '$affiliate - كسب عمولة لدعوة المستخدمين التجاريين';
  }

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb128722Sb1 => 'برنامج الإنتساب';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb13 => 'متعدد اللغات: ندعم اللغة الإنجليزية والروسية والصينية (المبسطة والتقليدية) والإيطالية والبرتغالية والإسبانية';

  @override
  String agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb14(Object telegram) {
    return 'إشعارات الهاتف المحمول من خلال $telegram ، حتى لا تضطر إلى تحميل تطبيق آخر على هاتفك فقط للحصول على إشعارات فورية حول صفقاتك (قامت LocalBitcoins بتطبيق هذه الميزة بعدنا)';
  }

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb15 => 'إعلانات جميلة من خلال استخدام Markdown';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb16 => '2FA (مع تطبيقات TOTP مثل Google Authenticator أو andOTP)';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb17 => 'سحب العملات بخلاف البيتكوين ';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb18 => 'آليات تسعير معقدة من خلال استخدام صيغ الأسعار';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb19 => 'و اكثر...';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb2 => 'تداول البيتكوين عبر الإنترنت';

  @override
  String agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb20(Object api) {
    return '$api تعمل بكامل طاقتها على غرار LocalBitcoins API لسهولة الانتقال';
  }

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb208722Sb1 => 'API';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb3 => 'تداول بيتكوين وجهاً لوجه نقدًا دون اتصال بالإنترنت';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb4 => 'حماية كاملة لسندات التحكيم في جميع التداولات عبر الإنترنت';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb5 => 'لا توجد رسوم إيداع ، رسوم سحب عادلة';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb6 => 'دعم واستجابة سريعة';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb7 => 'لا يوجد بريد إلكتروني أثناء التسجيل';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb8 => 'بوابة البصل';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb9 => 'بوابة I2P';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfeatures250Sbtitle => 'تشمل ميزات AgoraDesk ما يلي:';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfees250Sbcontent => '<i> على عكس </i> LocalBitcoins ، ومع ذلك ، فإننا لا نفرض رسومًا باهظة عند إيداع أو سحب عملات البيتكوين إلى / من محفظة سندات التحكيم الخاصة بنا. لا توجد رسوم إيداع <strong> ، ورسوم السحب قريبة جدًا من الرسوم التي ستدفعها في معاملة عادية </strong>. لا تحمل التحويلات إلى محافظ مستخدمي AgoraDesk الآخرين أية رسوم على الإطلاق.';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfees250Sbtitle => 'رسوم عادلة';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbhtml8722Sbdescription => 'هل تبحث عن نظير لوكال بيتكوينز لتداول عملات البيتكوين من نظير إلى نظير دون التحقق من KYC / AML أو التحقق؟ AgoraDesk هي عبارة عن منصة P2P جديدة لتداول البيتكوين تم إنشاؤها بواسطة الفريق الذي يقف وراء LocalMonero ، وهو ما يعادل Monero من LocalBitcoins. نحن نقدم نفس تجربة تداول Bitcoin السريعة والسهلة التي استخدمتها LocalBitcoins لتقديمها ، وأكثر من ذلك.';

  @override
  String agoradesk250Sblbc8722Sbalternative250Sbintroduction(Object lbc, Object lm) {
    return 'هل تبحث عن نظير $lbc لتداول عملات البيتكوين من نظير إلى نظير دون التحقق من KYC / AML أو التحقق؟ AgoraDesk هي عبارة عن منصة P2P جديدة لتداول البيتكوين تم إنشاؤها بواسطة الفريق الذي يقف وراء $lm ، ما يعادل Monero من LocalBitcoins.';
  }

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbno8722Sbkyc250Sbcontent => 'تلتزم AgoraDesk بالحفاظ على البساطة والاستقامة التي جعلت من LocalBitcoins الأصلية شائعة جدًا. <strong> نحن لا نستخدم KYC / AML ، ولا نخطط للقيام بذلك </strong>. نعتقد اعتقادًا راسخًا أن مفهوم KYC / AML ذاته يتعارض تمامًا مع فكرة تبادل نظير إلى نظير دون وصفة طبية مثل منطقتنا ، وحتى لا توجد طرق قانونية أخرى على كوكب الأرض <i> </i> لتجنب تطبيق KYC / AML ، سنفعل كل ما في وسعنا قانونيًا لتزويدك بتجربة خالية من المتاعب.';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbno8722Sbkyc250Sbtitle => 'لا KYC / AML';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbnojs250Sbcontent => ' نظرًا لأن AgoraDesk تم إنشاؤه بواسطة فريق يتمتع بخلفية في مجتمع Monero الموجه نحو الخصوصية ، فإن AgoraDesk يرث نفس العزيمة الموجهة نحو الخصوصية التي تمتلكها LocalMonero. سيتمكن المستخدم الذي يحظر خدمات Google تمامًا من استخدام منصتنا دون مشكلة. <strong> نظامنا الأساسي يعمل بكامل طاقته بدون جافا سكريبت </strong> ، مما يضمن مستوى من الأمان والخصوصية <i> لن يكون </i> قابلاً للتحقيق أبدًا على الأنظمة الأساسية الأخرى التي تتطلب JavaScript للعمل.';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbnojs250Sbtitle => 'يعمل بدون JavaScript';

  @override
  String agoradesk250Sblbc8722Sbalternative250Sbprivacy250Sbcontent(Object tor_link, Object advanced_routing, Object i2p_link, Object dont_ask_email) {
    return 'يمكن الوصول إلى موقعنا بسهولة من خلال $tor_link (الذي تم ضبطه لتحقيق أقصى أداء لراحتك من خلال استخدامنا لـ $advanced_routing) وحتى من خلال $i2p_link. هذا لا يضمن فقط أنك ستكون قادرًا على إخفاء عنوان IP الحقيقي الخاص بك منا (والذي لا نربطه أبدًا بحسابك على أي حال) ، ولكن إذا أصبح مجالنا العادي لأي سبب من الأسباب غير متاح لك ، فستكون هناك طرق أخرى للوصول إليها خدمتنا. نحن نقدر خصوصيتك كثيرًا ، $dont_ask_email.';
  }

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbprivacy250Sbcontent250Sbadvanced8722Sbrouting => 'ميزات توجيه البصل المتقدمة';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbprivacy250Sbcontent250Sbi2p8722Sblink => 'بوابة I2P';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbprivacy250Sbcontent250Sbno8722Sbemail => 'نحن لا نطلب منك حتى تقديم بريد إلكتروني عند التسجيل';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbprivacy250Sbcontent250Sbtor8722Sblink => 'بوابة تور';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbprivacy250Sbtitle => 'تتمحور حول الخصوصية ، ومقاومة للرقابة';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbsubtitle => 'نحن نقدم نفس تجربة تداول Bitcoin السريعة والسهلة التي استخدمتها LocalBitcoins لتقديمها ، وأكثر من ذلك.';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbsupport250Sbcontent => 'فريق الدعم لدينا يعمل ويستجيب بشكل سريع، ومتشوق دائمًا للإرضاء. <strong> لم يكن لدينا أبدًا تذكرة دعم لم يتم الرد عليها في غضون 24 ساعة </strong>. يسهل الوصول إلينا دائمًا من خلال وسائل التواصل الاجتماعي ، ونستمع باهتمام إلى انتقاداتك وننفذ دائمًا اقتراحات المستخدمين الجيدة في وقت قياسي.';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbsupport250Sbtitle => 'دعم ممتاز';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbtitle => 'بديل لوكال بيتكوينز';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbtrading250Sbcontent => 'تمامًا مثل LocalBitcoins ، نحن ندعم <strong> أي طريقة دفع ، وأي عملة و في أي مكان </strong>. نحن لا نزيل طرق الدفع ، و <i> على عكس </i> لوكال بيتكوينز ، نحن <strong> ندعم تمامًا الصفقات النقدية التي تتم وجهًا لوجه </strong>. جميع تداولاتنا محمية بسند التحكيم. نظرا لحقيقة أننا نطلب الأموال ليتم الاحتفاظ بها في سند تحكيم قبل أن تبدأ التجارة ، فإننا نضمن تجربة سلسة وسريعة للمشتري ، وهو أمر ضروري لشعبية المنصة وتكرار العملاء للبائعين.';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbtrading250Sbtitle => 'تداول آمن وسلس';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbtrust250Sbcontent => 'عملت LocalMonero لأكثر من عامين ، ونجت من الانهيار الكبير لسوق العملات المشفرة لعام 2018 ، ومن خلال <strong> الخدمة الدؤوبة الموجهة للمجتمع </strong> أصبحت واحدة من أكثر أسماء <strong> الموثوقة </strong> في <i> للغاية متشكك </i> مجتمع مونيرو.';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbtrust250Sbtitle => 'موثوق به من قبل المجتمع';

  @override
  String get agoradesk250Sbleft8722Sbmenu250Sbtrade => 'تداول';

  @override
  String get agoradesk250Sblink8722Sbfrom8722Sblocalmonero => 'تداول BTC';

  @override
  String get agoradesk250Sbpost8722Sbad250Sbtrade8722Sbtype250Sbnojs250Sblocal8722Sbbuy => 'شراء عملات معدنية نقدًا (محليًا)';

  @override
  String get agoradesk250Sbpost8722Sbad250Sbtrade8722Sbtype250Sbnojs250Sblocal8722Sbsell => 'بيع العملات النقدية نقدًا (محليًا)';

  @override
  String get agoradesk250Sbpost8722Sbad250Sbtrade8722Sbtype250Sbnojs250Sbonline8722Sbbuy => 'شراء العملات المعدنية عبر الإنترنت';

  @override
  String get agoradesk250Sbpost8722Sbad250Sbtrade8722Sbtype250Sbnojs250Sbonline8722Sbsell => 'بيع العملات المعدنية عبر الإنترنت';

  @override
  String agoradesk250Sbstart250Sbcoins(Object appName) {
    return '$appName أدلة تداول العملات';
  }

  @override
  String get agoradesk250Sbtrade250Sbaction250Sberror8722Sbdialog250Sbcontent => 'لقد تسبب الإجراء الذي قمت به في حدوث خطأ ، يرجى إعادة تحميل الصفحة.';

  @override
  String agoradesk250Sbtrade250Sboption250Sbcall250Sbseller250Sbconfirm8722Sbpayment8722Sband8722Sbrelease(Object date) {
    return 'وضع المشتري علامة على الدفعة مكتملة في $date. تأكد من حصولك على المال وإتمام الصفقة.';
  }

  @override
  String get agoradesk250Sbtrade250Sboption250Sbcall250Sbstep8722Sbfive250Sbbuyer250Sbtitle => 'ادفع للبائع';

  @override
  String get agoradesk250Sbtrade250Sboption250Sbcall250Sbstep8722Sbfive250Sbseller250Sbtitle => 'في انتظار أن يدفع المشتري';

  @override
  String get agoradesk250Sbtrade250Sboption250Sbcall250Sbstep8722Sbsix250Sbseller250Sbtitle => 'تأكيد الدفع';

  @override
  String get agoradesk250Sbtrade250Sboption250Sblast8722Sbstep250Sbtitle => 'اكتملت الصفقة';

  @override
  String get agoradesk250Sbtrade250Sboption250Sbpayer8722Sbcancel8722Sbnotice => 'أخطأت أو تريد تجربة متداول آخر؟ إذا كنت قد قمت بتحويل الأموال بالفعل وتريد الإلغاء الآن ، فأنت بحاجة إلى التفاوض بشأن إعادة مدفوعاتك مع شريكك التجاري بنفسك. <strong> لا تلغي أبدًا ما لم تكن متأكدًا من استرداد أموالك. </strong>';

  @override
  String get agoradesk250Sbtrade250Sboption250Sbpayment8722Sbreceiver8722Sbcancel8722Sbnotice => 'لا تنهي أي صفقة أبدًا حتى تكون متأكدًا بنسبة 100٪ من استلامك المال. سيحاول المحتالون <strong> خداعك لإنهاء </strong> مبكرًا.';

  @override
  String get agoradesk250Sbtrade250Sbstatus250Sbexercised250Sbcontent8722Sbbuyer => 'مشتر';

  @override
  String get agoradesk250Sbtrade250Sbstatus250Sbexercised250Sbcontent8722Sbseller => 'تاجر';

  @override
  String agoradesk250Sbwallet250Sbbtc250Sbsingle8722Sbuse8722Sbnotice(Object assetName) {
    return 'سيتغير هذا العنوان تلقائيًا بعد استخدامه. بالرغم من ذلك ، إذا قمت بإرسال $assetName الخاص بك إلى عنوان إيداع مستخدم ، فسيتم إيداعه في حسابك. لا نعرض عناوين الإيداع المستخدمة لأسباب تتعلق بالخصوصية. يمكنك فقط إرسال عملات معدنية إلى هذا العنوان من محفظة تتحكم فيها شخصيًا.';
  }

  @override
  String get and => 'و';

  @override
  String get api8722Sbdocs250Sblabel => 'مستندات API';

  @override
  String get api250Sbvalidation8722Sberror250Sbaddress => 'عنوان خاطئ!';

  @override
  String get appbar8722Sbbtn250Sblogin => 'تسجيل الدخول';

  @override
  String get appbar8722Sbbtn250Sbsignup => 'الاشتراك مجانا';

  @override
  String get article250Sblast8722Sbupdated => 'آخر تحديث';

  @override
  String get article250Sbpublished => 'تم النشر';

  @override
  String get as8722Sbseen8722Sbon => 'كما شوهد على:';

  @override
  String get asset8722Sbprops250Sbname250Sbasset => 'عملة';

  @override
  String get asset8722Sbprops250Sbname250Sbbtc => 'بيتكوين';

  @override
  String get asset8722Sbprops250Sbname250Sbxmr => 'مونيرو';

  @override
  String breadcrumbs250Sblocal8722Sbbuy(Object asset, Object currencyCode) {
    return 'بيع $asset مقابل $currencyCode';
  }

  @override
  String breadcrumbs250Sblocal8722Sbsell(Object asset, Object currencyCode) {
    return 'شراء $asset مقابل $currencyCode';
  }

  @override
  String breadcrumbs250Sbonline8722Sbbuy(Object asset, Object currencyCode) {
    return 'بيع $asset مقابل $currencyCode';
  }

  @override
  String breadcrumbs250Sbonline8722Sbsell(Object asset, Object currencyCode) {
    return 'شراء $asset مقابل $currencyCode';
  }

  @override
  String get button250Sbaccept => 'قبول';

  @override
  String get buy8722Sbmonero8722Sbin8722Sbany8722Sbcountry => 'أي بلد';

  @override
  String get buyer8722Sbsettlement8722Sbfee8722Sblevel250Sbcurrently => 'حالياً';

  @override
  String get buyer8722Sbsettlement8722Sbfee8722Sblevel250Sbdescription => '<strong> اختر مستوى الرسوم الذي سيتم استخدامه أثناء تسوية الصفقة. </strong> القيم الموضحة هنا هي تقديرات السعر الحالي وقد تختلف عن تلك المطبقة أثناء تسوية الصفقة. إذا كان مبلغ الصفقة منخفضًا جدًا لتسوية الصفقة بمستوى الرسوم المحدد ، فسيتم تحديد مستوى رسوم أقل تلقائيًا أثناء التسوية.';

  @override
  String get buyer8722Sbsettlement8722Sbfee8722Sblevel250Sbtitle => 'مستوى رسوم التسوية';

  @override
  String get cancelled250Sbno8722Sbtrades => 'لم تقم بإلغاء أي صفقات حتى الآن';

  @override
  String get cancelled250Sbtitle => 'صفقاتك الملغاة';

  @override
  String get captcha250Sbhelper8722Sbtext => 'أدخل النص في الصورة أعلاه';

  @override
  String get chat250Sbattach => 'إرفاق ملف';

  @override
  String get chat250Sbattachment => 'المرفق';

  @override
  String get chat250Sbbtn => 'أرسل رسالة';

  @override
  String get chat250Sbcash8722Sbdeposit8722Sbseller8722Sbwarning => '<strong> تحذير: </strong> كانت هناك حالات قام فيها بائعون بإيداع شيك تم عكسه لاحقًا. تأكد من التحقق (على سبيل المثال عن طريق الاتصال بالبنك) من أي إيداع تحصل عليه!';

  @override
  String get chat250Sbeu8722Sbfraud8722Sbwarning => 'يبدو أن هناك زيادة في عمليات الاحتيال في الحسابات المصرفية في منطقتنا الأوروبية في الوقت الحالي. <br /> ننصح جميع المتداولين في المنطقة الأوروبية بتوخي الحذر الشديد عند التعامل مع شركاء تجاريين جدد ، مثل طلب صورة لأنفسهم وهم يحملون بطاقة هوية وقطعة من الورق بها معلومات تجارية (مثل معرف التجارة ، والمبلغ ، اسم المستخدم والتاريخ). ضع في اعتبارك أن المحتالين قد يكون بحوزتهم مستندات KYC المسربة أو المسروقة. <br />';

  @override
  String chat250Sbinput8722Sbtip(Object appName) {
    return '<strong> أدخل </strong> لبدء سطر جديد ، <strong> Alt + أدخل </strong> لإرسال رسالة. 65536 حرفًا كحد أقصى. يقوم $appName بتشفير وتخزين رسائل الدردشة لمدة 180 يومًا لأغراض التوسط في النزاع.';
  }

  @override
  String chat250Sbinput8722Sbtip8722Sbshort(Object appName) {
    return 'يقوم $appName بتشفير وتخزين رسائل الدردشة لمدة 180 يومًا لأغراض التوسط في النزاع.';
  }

  @override
  String get chat250Sbinput8722Sbtitle => 'اكتب رسالة...';

  @override
  String get chat250Sbmitm8722Sbcryptocurency8722Sbwarning => 'تحذير: احصل فقط على عنوان البائع في هذه الدردشة التجارية أو من قسم تفاصيل الدفع في صفحة الصفقة هذه ولا ترسل معرفات معاملات الدفع خارج الدردشة التجارية هذه! نوصيك أيضًا بالاحتفاظ بجميع الاتصالات في هذه الدردشة التجارية.';

  @override
  String get chat250Sbmitm8722Sbwarning250Sb0 => '⚠️ PSA: هناك محتال جديد نشط يعمل كرجل في المنتصف. يتصل بك المحتال خارج النظام الأساسي متظاهرًا بأنه بائع على المنصة ويعرض عليك شراء XMR منهم مقابل BTC بسعر مخفض (على سبيل المثال ، ادفع 8 XMR بقيمة BTC لشراء 10 XMR). في نفس الوقت يفتحون صفقة مع البائع الذي ينتحلون صفتهم على المنصة مقابل المبلغ المخفض.';

  @override
  String get chat250Sbmitm8722Sbwarning250Sb1 => '<p> ثم يخبر المحتال المشتري ببدء التداول بالمبلغ الكامل ودفع المبلغ المخفض ، بينما يراقب في نفس الوقت عنوان استلام البائع على blockchain ويراقب معاملة المشتري الشرعي للمبلغ المخفض. ثم يأخذ المحتال ملف txid الشرعي للمشتري ويقدمه للبائع كدليل على الدفع. يقوم البائع بإصدار العملات إلى المحتال نظرًا لوجود صفقتين مفتوحتين ، إحداهما بالمبلغ الكامل من المشتري الشرعي والأخرى للمبلغ المخفض من المحتال ، معتقدًا أن المحتال هو الذي دفع لأن المبلغ يطابق مبلغ تداوله. </p>\n\n<p> <strong> لا تجري الصفقات خارج المنصة. إذا كان شخص ما يحاول التقرب منك خارج المنصة ، قم بفتح صفقة معه على المنصة وتحقق من أنه هو من قال إنه يحافظ على جميع الاتصالات هناك. </strong> </p>\n\n<p> <strong> البائعون الذين يقبلون المدفوعات على سلاسل CRYPTO الشفافة: تأكد من أنك تفرق في الدفع بشكل كاف بين عملائك وصفقاتك لتجنب سقوط الضحية في هذا الشأن. </strong> </p>\n\n<p> استخدم دائمًا عناوين مختلفة لكل صفقة على عملة مشفرة يمكن البحث فيها بشكل عام مثل BTC. </p>';

  @override
  String get chat250Sbno8722Sbmessages => 'لا توجد رسائل بعد';

  @override
  String chat250Sbsecurity8722Sbwarning(Object appName) {
    return 'لا تفتح أي روابط خارجية تتلقاها في الدردشة ولا تقم بتنزيل أي ملفات مستلمة من مستخدمين آخرين خارجيًا. من الأفضل استخدام متصفح منفصل لجميع الأنشطة الخاصة بك $appName.';
  }

  @override
  String get chat250Sbselect8722Sbfile => 'حدد ملف ...';

  @override
  String get chat250Sbsend => 'إرسال';

  @override
  String get chat250Sbshortcuts => 'أدخل: سطر جديد ، Alt + Enter: إرسال';

  @override
  String chat250Sbtitle(Object user) {
    return 'إرسال رسالة إلى $user';
  }

  @override
  String get chat250Sbupload8722Sberror8722Sbdialog8722Sbtext => 'يجب أن تكون الملفات المرفقة بتنسيق .jpg أو .png و 5 ميغابايت كحد أقصى.';

  @override
  String get chat250Sbupload8722Sberror8722Sbdialog8722Sbtitle => 'خطأ في التحميل';

  @override
  String get chat250Sbupload8722Sbfile => 'تحميل';

  @override
  String get chat250Sbupload8722Sbtip => 'أنواع الملفات المقبولة: jpg. و png. 5 ميغا بايت كحد أقصى.';

  @override
  String get chat250Sbzoom8722Sbtip => 'نصيحة: اضغط على الرسالة ثلاث مرات للتكبير';

  @override
  String get completed250Sbno8722Sbtrades => 'لم تكمل أي صفقات حتى الآن';

  @override
  String get completed250Sbtitle => 'صفقاتك المكتملة';

  @override
  String contact250Sble(Object lawEnforcementinquiries) {
    return 'لاستفسارات تطبيق القانون ، يرجى قراءة $lawEnforcementinquiries.';
  }

  @override
  String get contact250Sble250Sbpolicy8722Sblink => 'سياستنا';

  @override
  String contact250Sbtext8722Sb0(Object openAticket, Object email) {
    return 'للاتصال بالدعم ، يمكنك $openAticket أو إرسال بريد إلكتروني إلى $email';
  }

  @override
  String get contact250Sbtext8722Sb08722Sbopen8722Sba8722Sbticket => 'افتح تذكرة';

  @override
  String contact250Sbtext8722Sb1(Object email) {
    return 'للأعمال التجارية، اضغط واستفسارات أخرى اتصل بنا على $email';
  }

  @override
  String contact250Sbtext8722Sb2(Object appName, Object here) {
    return 'يمكنك تحميل شعار $appName بجودة عالية $here.';
  }

  @override
  String get contact250Sbtext8722Sb28722Sbhere => 'هنا';

  @override
  String get contact250Sbtitle => 'اتصل بنا';

  @override
  String get coupons250Sbcode8722Sbinput250Sbplaceholder => 'اكتب الكود الخاص بك هنا ...';

  @override
  String get coupons250Sbcoupon250Sbbutton250Sblabel => 'يسترد';

  @override
  String coupons250Sbcoupon250Sbdescription(Object percent, Object assets, Object types) {
    return '$percent٪ خصم رسوم على صفقات $assets $types.';
  }

  @override
  String get coupons250Sbcoupon250Sbdescription250Sbtypes250Sblocal_buy => 'الشراء محلي';

  @override
  String get coupons250Sbcoupon250Sbdescription250Sbtypes250Sblocal_sell => 'البيع المحلي';

  @override
  String get coupons250Sbcoupon250Sbdescription250Sbtypes250Sbonline_buy => 'شراء عبر الإنترنت';

  @override
  String get coupons250Sbcoupon250Sbdescription250Sbtypes250Sbonline_sell => 'البيع عبر الإنترنت';

  @override
  String get coupons250Sbcoupon250Sbdescription250Sbtypes250Sbput_buy => 'وضع خيار الشراء';

  @override
  String get coupons250Sbcoupon250Sbdescription250Sbtypes250Sbput_sell => 'وضع خيار البيع';

  @override
  String get coupons250Sbcoupon250Sbexpired => 'منتهي الصلاحية';

  @override
  String get coupons250Sbcoupon250Sbexpires => 'تنتهي';

  @override
  String get coupons250Sbcoupon250Sbtitle250Sbactive => 'قسيمة نشطة';

  @override
  String get coupons250Sbcoupon250Sbtitle250Sbexpired => 'قسيمة منتهية الصلاحية';

  @override
  String get coupons250Sbcoupon250Sbtitle250Sbredeem => 'استرداد القسيمة';

  @override
  String get coupons250Sberror250Sb175 => 'رقم قسيمه غير صالح';

  @override
  String get coupons250Sberror250Sb176 => 'انتهت صلاحية القسيمة بالفعل';

  @override
  String get coupons250Sberror250Sb177 => 'هذه القسيمة نفذت من المخزون';

  @override
  String get coupons250Sberror250Sb179 => 'رقم قسيمه غير صالح';

  @override
  String get coupons250Sberror250Sb180 => 'انتهت صلاحية القسيمة بالفعل';

  @override
  String get coupons250Sberror250Sb181 => 'لا يمكن استرداد هذه القسيمة إلا أثناء التسجيل';

  @override
  String get coupons250Sberror250Sb182 => 'لقد استردت هذه القسيمة بالفعل';

  @override
  String get coupons250Sberror250Sb183 => 'هذه القسيمة نفذت من المخزون';

  @override
  String get coupons250Sberror250Sb184 => 'يمكنك فقط الحصول على قسيمة واحدة نشطة في كل مرة';

  @override
  String get coupons250Sberror250Sbdialog250Sbtitle => 'خطأ في استرداد القسيمة';

  @override
  String coupons250Sberror250Sbgeneric(Object error_code) {
    return 'حدث خطأ ما أثناء استرداد القسيمة. إذا لم يكن ذلك صحيحًا ، فيرجى الاتصال بالدعم. رمز الخطأ: $error_code.';
  }

  @override
  String get coupons250Sbshow8722Sbexpired8722Sbbtn250Sbhide => 'إخفاء القسائم منتهية الصلاحية الخاصة بك';

  @override
  String get coupons250Sbshow8722Sbexpired8722Sbbtn250Sbshow => 'أظهر الكوبونات منتهية الصلاحية الخاصة بك';

  @override
  String get coupons250Sbsignup250Sbshow8722Sbcoupon8722Sbinput8722Sbbtn => 'لدي رمز قسيمة';

  @override
  String get coupons250Sbsubtitle => 'قسائمك النشطة والمنتهية الصلاحية ستظهر هنا. إذا كان لديك رمز قسيمة ، يمكنك استرداده هنا.';

  @override
  String get coupons250Sbterms8722Sb0 => 'يمكنك تفعيل قسيمة واحدة فقط في كل مرة.';

  @override
  String get coupons250Sbterms8722Sb1 => 'لا يمكنك إلغاء تنشيط قسيمة بعد استردادها.';

  @override
  String get coupons250Sbterms8722Sb2 => 'كل قسيمة قابلة للاسترداد مرة واحدة فقط لكل حساب.';

  @override
  String get coupons250Sbterms8722Sb3 => 'يتم خصم الرسوم فقط للطرف الذي يدفع في الأصل رسوم حماية تحكيم التجارة.';

  @override
  String get coupons250Sbterms8722Sb4 => 'خصم الرسوم سيتم عند إغلاق التداول.';

  @override
  String get coupons250Sbterms8722Sb5 => 'إذا ربحت عمولات تابعة ، فسيتم خصم إجمالي خصومات القسيمة لفترة معينة من أرباح الشركات التابعة الخاصة بك لنفس الفترة المحددة. إذا كان إجمالي مبلغ الخصم لفترة معينة أكبر من أو يساوي أرباح الشركات التابعة لنفس الفترة المحددة ، فلن تتلقى أي أرباح تابعة لتلك الفترة المحددة.';

  @override
  String coupons250Sbterms8722Sb6(Object appName) {
    return '$appName تحتفظ لنفسها بالحق في إلغاء تنشيط قسيمتك في أي وقت دون إشعار أو تعويض.';
  }

  @override
  String get coupons250Sbterms250Sbtitle => 'شروط وأحكام الكوبونات';

  @override
  String get coupons250Sbtitle => 'كوبونات';

  @override
  String get dashboard250Sbad250Sbdelete8722Sbbtn => 'حذف الإعلان';

  @override
  String get dashboard250Sbad250Sbdelete8722Sbdialog8722Sbtext => 'سيؤدي هذا إلى حذف الإعلان بشكل دائم. ضع في اعتبارك إخفاء الإعلان عن طريق ضبط مستوى الظهور على \"خطأ\".';

  @override
  String get dashboard250Sbad250Sbdelete8722Sbdialog8722Sbtitle => 'تأكيد الحذف';

  @override
  String get dashboard250Sbad250Sbemail8722Sbverified => 'هذا الإعلان للمستخدمين الذين تم تأكيد بريدهم الإلكتروني فقط';

  @override
  String get dashboard250Sbad250Sbfor8722Sbtrusted => 'للمستخدمين الموثوق بهم فقط';

  @override
  String get dashboard250Sbad250Sbmethod250Sbcash => 'نقدي';

  @override
  String dashboard250Sbad250Sbprice8722Sbtype250Sbmarket8722Sbnegative(Object percent) {
    return 'السوق $percent';
  }

  @override
  String dashboard250Sbad250Sbprice8722Sbtype250Sbmarket8722Sbpositive(Object percent) {
    return 'السوق + $percent';
  }

  @override
  String get dashboard250Sbad250Sbtable8722Sbcreated8722Sbat => 'تم انشاؤه';

  @override
  String get dashboard250Sbad250Sbtable8722Sbid => 'بطاقة تعريف';

  @override
  String get dashboard250Sbad250Sbtable8722Sbmethod => 'طريقة';

  @override
  String get dashboard250Sbad250Sbtable8722Sbprice => 'سعر';

  @override
  String get dashboard250Sbad250Sbtable8722Sbtype => 'نوع';

  @override
  String get dashboard250Sbad250Sbtable8722Sbvisible => 'واضح';

  @override
  String get dashboard250Sbads250Sbbulk8722Sbdelete8722Sbwarning => 'سيؤدي هذا إلى حذف الإعلانات المحددة بشكل دائم. ضع في اعتبارك إخفاءها عن طريق ضبط الظهور على \"خطأ\".';

  @override
  String get dashboard250Sbads250Sbbulk8722Sbedit250Sbapply => 'تنطبق على المحدد';

  @override
  String get dashboard250Sbads250Sbbulk8722Sbedit250Sbboolean250Sbfalse => 'خطأ شنيع';

  @override
  String get dashboard250Sbads250Sbbulk8722Sbedit250Sbboolean250Sbtrue => 'صحيح';

  @override
  String get dashboard250Sbads250Sbbulk8722Sbedit250Sberror => 'حدث خطأ ما أثناء تحديث إعلانات متعددة. ربما لم يتم تحديث بعض الإعلانات أو جميعها. ربما تكون قد حددت عددًا كبيرًا جدًا من الإعلانات مرة واحدة. يرجى تحديث الصفحة وحاول مرة أخرى.';

  @override
  String get dashboard250Sbads250Sbbulk8722Sbedit250Sbgroup250Sbany => 'أي إعلانات';

  @override
  String get dashboard250Sbads250Sbbulk8722Sbedit250Sbgroup250Sbsame8722Sbasset8722Sbbuys => 'إعلانات شراء نفس الأصول فقط';

  @override
  String get dashboard250Sbads250Sbbulk8722Sbedit250Sbgroup250Sbsame8722Sbcurrency => 'إعلانات العملة نفسها فقط';

  @override
  String get dashboard250Sbads250Sbbulk8722Sbedit250Sbgroup250Sbsells => 'بيع الإعلانات فقط';

  @override
  String get dashboard250Sbads250Sbbulk8722Sbedit250Sbsetting8722Sbselect250Sblabel => 'اختر الإعداد';

  @override
  String get dashboard250Sbads250Sbbulk8722Sbedit250Sbtitle => 'إدارة إعلانات متعددة';

  @override
  String get dashboard250Sbads250Sbfilter250Sbapply8722Sbbtn => 'تطبيق عوامل التصفية';

  @override
  String get dashboard250Sbads250Sbfilter250Sbasset => 'أصل';

  @override
  String get dashboard250Sbads250Sbfilter250Sbdelete8722Sbselected => 'احذف المختار';

  @override
  String get dashboard250Sbads250Sbfilter250Sbno8722Sbads => 'لا توجد إعلانات هنا';

  @override
  String get dashboard250Sbads250Sbfilter250Sbreset8722Sbbtn => 'إعادة تعيين عوامل التصفية';

  @override
  String get dashboard250Sbads250Sbfilter250Sbsort => 'صنف حسب';

  @override
  String get dashboard250Sbads250Sbfilter250Sbtype => 'نوع';

  @override
  String get dashboard250Sbads250Sbfilter250Sbvisibility => 'الظهور';

  @override
  String get dashboard250Sbads250Sbload8722Sball => 'تحميل جميع الإعلانات';

  @override
  String get dashboard250Sbads250Sbshowing8722Sball => 'عرض كل الإعلانات';

  @override
  String get dashboard250Sbblocked => 'ممنوع';

  @override
  String get dashboard250Sbfilter250Sball => 'الجميع';

  @override
  String get dashboard250Sbfilter250Sbrole250Sbboth => 'شراء / بيع';

  @override
  String get dashboard250Sbfilter250Sbrole250Sbbuying => 'شراء';

  @override
  String get dashboard250Sbfilter250Sbrole250Sbselling => 'بيع';

  @override
  String get dashboard250Sbfilter250Sbvisibility250Sbhidden => 'مختفي';

  @override
  String get dashboard250Sbfilter250Sbvisibility250Sbvisible => 'مرئي';

  @override
  String get dashboard250Sbopen8722Sbads8722Sbno8722Sbads => 'ليس لديك حاليا أي إعلانات';

  @override
  String get dashboard250Sbopen8722Sbads8722Sbtitle => 'إعلاناتك';

  @override
  String get dashboard250Sbopen8722Sbtrades8722Sbno8722Sbtrades => 'ليس لديك حاليا أي صفقات مفتوحة';

  @override
  String get dashboard250Sbopen8722Sbtrades8722Sbtitle => 'صفقاتك المفتوحة';

  @override
  String get dashboard250Sbpost8722Sbad8722Sbbtn => 'إنشاء إعلان جديد';

  @override
  String get dashboard250Sbtitle => 'لوحة القيادة';

  @override
  String get dashboard250Sbtrade250Sbcancelled8722Sbat => 'تم الإلغاء في';

  @override
  String get dashboard250Sbtrade250Sbcompleted8722Sbat => 'اكتمل في';

  @override
  String get dashboard250Sbtrade250Sbcreated8722Sbat => 'وقت الانشاء';

  @override
  String get dashboard250Sbtrade250Sbstatus250Sbcancelled => 'ألغيت';

  @override
  String get dashboard250Sbtrade250Sbstatus250Sbcompleted => 'مكتمل';

  @override
  String get dashboard250Sbtrade250Sbstatus250Sbdisputed => 'المتنازع عليها';

  @override
  String get dashboard250Sbtrade250Sbstatus250Sbfunded => 'ممول';

  @override
  String get dashboard250Sbtrade250Sbstatus250Sbnot8722Sbpaid => 'في انتظار الدفع';

  @override
  String get dashboard250Sbtrade250Sbstatus250Sbpaid => 'مدفوعة ، في انتظار الانتهاء';

  @override
  String get dashboard250Sbtrade250Sbstatus250Sbunfunded => 'غير ممول';

  @override
  String get dashboard250Sbtrade250Sbtable8722Sbamount8722Sbfiat58Sb => 'المبلغ(العملة)';

  @override
  String dashboard250Sbtrade250Sbtable8722Sbamount8722Sbxmr58Sb(Object assetSymbol) {
    return 'المبلغ ($assetSymbol)';
  }

  @override
  String get dashboard250Sbtrade250Sbtable8722Sbid58Sb => 'بطاقة تعريف';

  @override
  String get dashboard250Sbtrade250Sbtable8722Sbmethod58Sb => 'طريقة';

  @override
  String get dashboard250Sbtrade250Sbtable8722Sbpartner58Sb => 'شريك تجاري';

  @override
  String get dashboard250Sbtrade250Sbtable8722Sbstatus58Sb => 'حالة';

  @override
  String get dashboard250Sbtrade250Sbtable8722Sbtype58Sb => 'يكتب، نوع';

  @override
  String get dashboard250Sbtrade250Sbtable8722Sbview8722Sbbtn58Sb => 'معاينة';

  @override
  String get dashboard250Sbtrade250Sbuser8722Sbdeleted => '[تم الحذف]';

  @override
  String get dashboard250Sbtrades250Sbfilter250Sbno8722Sbtrades => 'لا توجد صفقات هنا';

  @override
  String get dashboard250Sbtrades250Sbfilter250Sbrole => 'انا...';

  @override
  String get dashboard250Sbtrusted => 'موثوق به';

  @override
  String get dashboard250Sbtrusted8722Sbusers => 'المستخدمون الموثوق بهم / المحظورون';

  @override
  String get dashboard250Sbwarning250Sbno8722Sbbuyer8722Sbsettlement8722Sbaddress => 'مطلوب اتخاذ إجراء عاجل: لم يتم تعيين عنوان محفظة تسوية في واحد أو أكثر من إعلانات الشراء الخاصة بك. قدمها في أقرب وقت ممكن لتجنب إخفاء تلك الإعلانات. يمكنك استخدام الفلاتر وميزة تحرير الإعلانات الجماعية لضبطها لجميع الإعلانات ذات الصلة مرة واحدة.';

  @override
  String get dashboards250Sbads250Sbfilter250Sbtitle => 'تصفية الإعلانات';

  @override
  String get dashboards250Sbtrades250Sbfilter250Sbtitle => 'تصفية الصفقات';

  @override
  String get description => 'احصل على Monero. سريع وسهل وآمن. بالقرب منك.';

  @override
  String description250Sbaffiliate(Object appName) {
    return 'تكسب 20٪ من رسوم التداول الناتجة عن المستخدمين الذين قمت بإحالتهم. سيتم تحويل هذه المدفوعات على أساس يومي مثل Monero في محفظتك $appName. سيقوم المستخدمون المُحالون بتوليد عمولة لك لمدة عام واحد من تاريخ تسجيلهم.';
  }

  @override
  String description250Sbaffiliate57Sbagoradesk(Object appName) {
    return 'تكسب 20٪ من رسوم التداول الناتجة عن المستخدمين الذين قمت بإحالتهم. سيتم إجراء هذه المدفوعات على أساس يومي كعملات مشفرة ذات صلة في محفظتك $appName. سيقوم المستخدمون المُحالون بتوليد عمولة لك لمدة عام واحد من تاريخ تسجيلهم.';
  }

  @override
  String description250Sbfaq(Object appName) {
    return 'اعثر على إجابات للأسئلة المتداولة حول تداول Monero والأسئلة الأخرى ذات الصلة بـ $appName.';
  }

  @override
  String description250Sbfaq57Sbagoradesk(Object appName) {
    return 'اعثر على إجابات للأسئلة المتداولة حول تداول العملات المشفرة والأسئلة الأخرى ذات الصلة بـ $appName.';
  }

  @override
  String description250Sbfee(Object appName) {
    return 'تسجيل وشراء وبيع Monero مجاني تمامًا. $appName يتم فرض رسوم حماية تحكيم بنسبة 1٪ على مستخدمي $appName الذين ينشئون إعلانات عن كل صفقة مكتملة.';
  }

  @override
  String description250Sbfee57Sbagoradesk(Object appName) {
    return 'تسجيل وشراء وبيع العملات المشفرة مجاني تمامًا. $appName المستخدمين الذين ينشئون إعلانات يتم تحصيل رسوم حماية تحكيم بنسبة 1٪ لكل صفقة مكتملة.';
  }

  @override
  String description250Sbguide250Sb2fa(Object appName) {
    return 'سيساعدك هذا الدليل في إعداد المصادقة الثنائية لحساب $appName الخاص بك.';
  }

  @override
  String get description250Sbguide250Sbbtc => 'هل اصبحت الأيام التي يمكنك فيها شراء عملات البيتكوين ببطاقة ائتمان على الفور وبدون التحقق خلفنا؟ ليس تماما. هنا ، نقدم لك طريقة سهلة ومخفية وذات خصوصية وسريعة للحصول على عملات البيتكوين نقدًا في بضع خطوات فقط.';

  @override
  String description250Sbguide250Sbbuy(Object appName) {
    return 'سيساعدك هذا الدليل على فهم كيفية شراء Monero باستخدام طرق الدفع الشائعة عبر الإنترنت (مثل التحويل المصرفي و PayPal وبطاقة الائتمان وما إلى ذلك). $appName طريقة آمنة وسريعة وسهلة لشراء Monero بشكل مخفي دون التحقق من الهوية. ';
  }

  @override
  String description250Sbguide250Sbbuy57Sbagoradesk(Object appName) {
    return 'سيساعدك هذا الدليل على فهم كيفية شراء العملات المشفرة باستخدام طرق الدفع الشائعة عبر الإنترنت (مثل التحويل المصرفي و PayPal وبطاقة الائتمان وما إلى ذلك). $appName هي طريقة آمنة وسريعة وسهلة لشراء عملة مشفرة بشكل مخفي دون التحقق من الهوية. ';
  }

  @override
  String description250Sbguide250Sblocal(Object appName) {
    return 'سيساعدك هذا الدليل على فهم كيفية شراء أو بيع Monero دون الكشف عن هويتك مقابل النقود عبر اللقاءات المحلية. $appName طريقة آمنة وسريعة وسهلة لتداول XMR بدون التحقق من الهوية. ';
  }

  @override
  String description250Sbguide250Sblocal57Sbagoradesk(Object appName) {
    return 'سيساعدك هذا الدليل على فهم كيفية شراء أو بيع العملات المشفرة مقابل النقود دون الكشف عن هويتك عبر اللقاءات المحلية. في $appName يمكنك تداول العملات المشفرة بدون التحقق من الهوية. ';
  }

  @override
  String description250Sbguide250Sbsell(Object appName) {
    return 'سيساعدك هذا الدليل على فهم كيفية بيع Monero بطرق الدفع الشائعة عبر الإنترنت (مثل التحويل المصرفي و PayPal وبطاقة الائتمان وما إلى ذلك). $appName طريقة آمنة وسريعة وسهلة لبيع Monero بدون التحقق من الهوية. ';
  }

  @override
  String description250Sbguide250Sbsell57Sbagoradesk(Object appName) {
    return 'سيساعدك هذا الدليل على فهم كيفية بيع العملات المشفرة باستخدام طرق الدفع الشائعة عبر الإنترنت (مثل التحويل المصرفي و PayPal وبطاقة الائتمان وما إلى ذلك). $appName طريقة آمنة وسريعة وسهلة لبيع العملات المشفرة دون التحقق من الهوية. ';
  }

  @override
  String description250Sbguide250Sbtelegram(Object appName) {
    return 'سيساعدك هذا الدليل في تكوين إشعارات Telegram لـ $appName. ';
  }

  @override
  String description250Sbguide250Sbtrade(Object appName) {
    return 'سيساعدك هذا الدليل على فهم أساسيات تداول Monero في بورصة P2P $appName.';
  }

  @override
  String description250Sbguide250Sbtrade57Sbagoradesk(Object appName) {
    return 'سيساعدك هذا الدليل على فهم أساسيات تداول العملات المشفرة على مكتب P2P OTC $appName.';
  }

  @override
  String description250Sbguide250Sbxmr(Object appName) {
    return 'كيف تشتري Monero مجهول الهوية بدون معرف؟ يوفر $appName طريقة لشراء XMR بدون التحقق من KYC ، حتى تتمكن من حماية خصوصيتك!';
  }

  @override
  String get description250Sbhomepage => 'قم ببيع وشراء Monero (XMR) عبر الإنترنت دون التحقق من الهوية - استخدم PayPal أو بطاقة الائتمان / الخصم أو التحويل المصرفي أو بطاقات الهدايا أو النقد عن طريق البريد أو Venmo أو BTC أو أي طريقة أخرى.';

  @override
  String get description250Sbhomepage57Sbagoradesk => 'شراء وبيع Bitcoin عبر الإنترنت دون التحقق من الهوية - استخدم PayPal أو بطاقة الائتمان / الخصم أو التحويل المصرفي أو بطاقات الهدايا أو النقد عن طريق البريد أو Venmo أو أي طريقة أخرى.';

  @override
  String description250Sblogin(Object appName) {
    return 'قم بتسجيل الدخول إلى حساب $appName الخاص بك لبدء التداول الآن.';
  }

  @override
  String get description250Sbnew => 'قم بإنشاء إعلان جديد لشراء أو بيع Monero محليًا وبشكل نقدًي أو عبر الإنترنت.';

  @override
  String get description250Sbnew57Sbagoradesk => 'قم بإنشاء إعلان جديد لشراء أو بيع العملات المشفرة.';

  @override
  String description250Sbsignup(Object appName) {
    return 'قم بإنشاء حساب $appName - إنه مجاني تمامًا - وابدأ تداول Monero!';
  }

  @override
  String description250Sbsignup57Sbagoradesk(Object appName) {
    return 'قم بإنشاء حساب $appName - إنه مجاني تمامًا - وابدأ بتداول العملات المشفرة!';
  }

  @override
  String description250Sbstart(Object appName) {
    return '$appName إرشادات لمساعدتك على فهم المبادئ الأساسية والمتقدمة لشراء أو بيع Monero.';
  }

  @override
  String description250Sbstart57Sbagoradesk(Object appName) {
    return '$appName تساعدك على فهم المبادئ الأساسية والمتقدمة لشراء أو بيع البيتكوين والمونيرو.';
  }

  @override
  String description250Sbstatistics(Object appName) {
    return 'احصل على متوسط السعر $appName بناءً على جميع التداولات في آخر 1 أو 6 أو 12 أو 24 ساعة.';
  }

  @override
  String description250Sbuser(Object user, Object appName) {
    return 'ملف تعريف $user الخاص بـ $appName.';
  }

  @override
  String description250Sbuser8722Sbads(Object user, Object appName) {
    return 'إعلانات $user $appName';
  }

  @override
  String get distance250Sbkilometers => 'كم';

  @override
  String get distance250Sbmeters => 'م';

  @override
  String get document8722Sbtitle250Sb404 => 'الصفحة غير موجودة';

  @override
  String get document8722Sbtitle250Sbabout => 'معلومات عنا';

  @override
  String get document8722Sbtitle250Sbad8722Sbdeleted => 'تم الحذف';

  @override
  String get document8722Sbtitle250Sbaffiliate => 'برنامج الإنتساب';

  @override
  String get document8722Sbtitle250Sbcancelled => 'التداولات الملغاة';

  @override
  String get document8722Sbtitle250Sbcompleted => 'الصفقات المنجزة';

  @override
  String get document8722Sbtitle250Sbcontact => 'اتصل بنا';

  @override
  String get document8722Sbtitle250Sbdashboard => 'لوحة القيادة';

  @override
  String get document8722Sbtitle250Sbedit => 'تحرير إعلان';

  @override
  String get document8722Sbtitle250Sberror => 'خطأ';

  @override
  String get document8722Sbtitle250Sbfaq => 'التعليمات';

  @override
  String get document8722Sbtitle250Sbfee => 'الرسوم';

  @override
  String document8722Sbtitle250Sbfeedback(Object user) {
    return 'ملاحظات $user';
  }

  @override
  String get document8722Sbtitle250Sbguide250Sb2fa => 'كيفية تمكين المصادقة الثنائية (2FA)';

  @override
  String document8722Sbtitle250Sbguide250Sbbtc(Object year) {
    return 'دليل كيفية شراء عملات البيتكوين بطريقة مجهولة الهوية (بدون معرف) - الطريقة الأكثر خصوصية في $year';
  }

  @override
  String get document8722Sbtitle250Sbguide250Sbbuy => 'كيف تشتري Monero';

  @override
  String get document8722Sbtitle250Sbguide250Sbbuy57Sbagoradesk => 'كيفية شراء العملات المشفرة';

  @override
  String get document8722Sbtitle250Sbguide250Sbsell => 'كيف تبيع مونيرو';

  @override
  String get document8722Sbtitle250Sbguide250Sbsell57Sbagoradesk => 'كيف تبيع العملة المشفرة';

  @override
  String document8722Sbtitle250Sbguide250Sbxmr(Object year) {
    return 'دليل كيفية شراء Monero (XMR) مجهول الهوية (بدون معرف) - الطريقة الأكثر خصوصية في $year';
  }

  @override
  String get document8722Sbtitle250Sbindex => 'شراء أو بيع Monero بطريقة مجهولة الهوية وسريعة وسهلة';

  @override
  String get document8722Sbtitle250Sbindex57Sbagoradesk => 'شراء أو بيع عملات البيتكوين بطريقة مجهولة الهوية وسريعة وسهلة';

  @override
  String get document8722Sbtitle250Sblogin => 'تسجيل الدخول';

  @override
  String get document8722Sbtitle250Sbpost8722Sbad => 'انشر إعلانا';

  @override
  String get document8722Sbtitle250Sbreset8722Sbpassword => 'إعادة تعيين كلمة المرور';

  @override
  String document8722Sbtitle250Sbsearch250Sbbuy250Sbcountry(Object assetName, Object country) {
    return 'شراء $assetName في $country';
  }

  @override
  String document8722Sbtitle250Sbsearch250Sbbuy250Sbcountry8722Sbmethod(Object assetName, Object country, Object method) {
    return 'اشترِ $assetName في $country بـ $method';
  }

  @override
  String document8722Sbtitle250Sbsearch250Sbbuy250Sbcurrency(Object assetName, Object currency) {
    return 'شراء $assetName مقابل $currency';
  }

  @override
  String document8722Sbtitle250Sbsearch250Sbbuy250Sbmethod(Object assetName, Object method) {
    return 'اشترِ $assetName بـ $method';
  }

  @override
  String document8722Sbtitle250Sbsearch250Sbsell(Object assetName, Object country) {
    return 'بيع $assetName في $country';
  }

  @override
  String document8722Sbtitle250Sbsearch250Sbsell250Sbcountry(Object assetName, Object country) {
    return 'بيع $assetName في $country';
  }

  @override
  String document8722Sbtitle250Sbsearch250Sbsell250Sbcountry8722Sbmethod(Object assetName, Object country, Object method) {
    return 'بيع $assetName في $country مع $method';
  }

  @override
  String document8722Sbtitle250Sbsearch250Sbsell250Sbcurrency(Object assetName, Object currency) {
    return 'بيع $assetName مقابل $currency';
  }

  @override
  String document8722Sbtitle250Sbsearch250Sbsell250Sbmethod(Object assetName, Object method) {
    return 'بيع $assetName مع $method';
  }

  @override
  String get document8722Sbtitle250Sbsettings => 'إعدادات';

  @override
  String get document8722Sbtitle250Sbsignup => 'اشتراك';

  @override
  String get document8722Sbtitle250Sbsignup8722Sbsuccess => 'نجاح الاشتراك';

  @override
  String document8722Sbtitle250Sbstart(Object appName) {
    return 'إرشادات $appName: كيفية شراء أو بيع Monero';
  }

  @override
  String document8722Sbtitle250Sbstart57Sbagoradesk(Object appName) {
    return 'إرشادات $appName: كيفية شراء أو بيع العملات المشفرة';
  }

  @override
  String document8722Sbtitle250Sbtrade(Object id) {
    return 'تداول $id';
  }

  @override
  String document8722Sbtitle250Sbuser8722Sbads(Object user) {
    return 'إعلانات $user';
  }

  @override
  String get document8722Sbtitle250Sbverify8722Sbemail => 'التحقق من البريد الإلكتروني';

  @override
  String get document8722Sbtitle250Sbwallet => 'محفظة';

  @override
  String get done => 'فعله، تم الانجاز';

  @override
  String get dropdown250Sbany8722Sbcountry => 'أي';

  @override
  String get dropdown250Sbany8722Sbcurrency => 'أي';

  @override
  String get edit8722Sbad250Sbcancel8722Sbbtn => 'إلغاء التغييرات';

  @override
  String get edit8722Sbad250Sbcurrent8722Sbprice => 'سعر الإعلان الحالي: ';

  @override
  String get edit8722Sbad250Sbdelete8722Sbbtn => 'حذف الإعلان';

  @override
  String get edit8722Sbad250Sbdelete8722Sbdialog250Sbtext => 'سيؤدي هذا إلى حذف الإعلان بشكل دائم. ضع في اعتبارك إخفاء الإعلان عن طريق ضبط مستوى الظهور على \"خطأ\".';

  @override
  String get edit8722Sbad250Sbdelete8722Sbdialog250Sbtitle => 'تأكيد حذف الإعلان';

  @override
  String get edit8722Sbad250Sbsave8722Sbbtn => 'احفظ التغييرات';

  @override
  String edit8722Sbad250Sbthis8722Sbad8722Sbis8722Sbto(Object adType, Object createdAt, Object timeOfcreation, Object createAnewad) {
    return 'هذا الإعلان إلى $adType $createdAt $timeOfcreation. لتغيير نوع الإعلان ، يرجى $createAnewad';
  }

  @override
  String edit8722Sbad250Sbthis8722Sbad8722Sbis8722Sbto8722Sbad8722Sbtype8722Sblocal8722Sbbuy(Object assetName) {
    return 'شراء $assetName نقدًا (محليًا)';
  }

  @override
  String edit8722Sbad250Sbthis8722Sbad8722Sbis8722Sbto8722Sbad8722Sbtype8722Sblocal8722Sbsell(Object assetName) {
    return 'بيع $assetName نقدًا (محليًا)';
  }

  @override
  String edit8722Sbad250Sbthis8722Sbad8722Sbis8722Sbto8722Sbad8722Sbtype8722Sbonline8722Sbbuy(Object assetName) {
    return 'شراء $assetName عبر الإنترنت';
  }

  @override
  String edit8722Sbad250Sbthis8722Sbad8722Sbis8722Sbto8722Sbad8722Sbtype8722Sbonline8722Sbsell(Object assetName) {
    return 'بيع $assetName عبر الإنترنت';
  }

  @override
  String get edit8722Sbad250Sbthis8722Sbad8722Sbis8722Sbto8722Sbcreate8722Sbnew => 'إنشاء إعلان جديد';

  @override
  String get edit8722Sbad250Sbthis8722Sbad8722Sbis8722Sbto8722Sbcreated8722Sbat => 'أنشئت في';

  @override
  String get edit8722Sbad250Sbtitle => 'تحرير إعلان';

  @override
  String get edit8722Sbad250Sbupdated8722Sbprice => 'سعر الإعلان المحدث: ';

  @override
  String get edit8722Sbad250Sbvisible => 'واضح';

  @override
  String get edit8722Sbad250Sbwarning250Sbno8722Sbbuyer8722Sbsettlement8722Sbaddress => 'مطلوب اتخاذ إجراء عاجل: لا يحتوي هذا الإعلان على عنوان محفظة تسوية معين. قدمه في أسرع وقت ممكن لتجنب إخفاء الإعلان.';

  @override
  String get edit250Sberror250Sbinvalid8722Sbsettlement8722Sbaddress => 'الرجاء إدخال عنوان محفظة تسوية صالح';

  @override
  String get error => 'خطأ';

  @override
  String get error8722Sbpage => 'أُووبس! هناك خطأ ما. يرجى المحاولة مرة أخرى قريبا. انقر في أي مكان على الصفحة لإعادة التحميل.';

  @override
  String error8722Sbpage250Sbsubtext(Object open_a_ticket) {
    return 'إذا لم يساعدك ذلك ، فحاول مسح ملفات تعريف الارتباط أو استخدام متصفح مختلف. إذا لم يساعد ذلك أيضًا ، من فضلك $open_a_ticket';
  }

  @override
  String get error8722Sbpage250Sbsubtext250Sbticket => 'افتح تذكرة دعم.';

  @override
  String get error250Sbcaptcha => 'فشل Captcha ، يرجى المحاولة مرة أخرى';

  @override
  String get error250Sbedit250Sb244 => 'عنوان محفظة التسوية المقدم غير صالح';

  @override
  String error250Sbedit250Sb245(Object appName, Object asset) {
    return 'لا يمكن استخدام عنوان $appName الداخلي للتسوية التجارية. الرجاء إدخال عنوان خارجي غير $appName $asset للمتابعة.';
  }

  @override
  String error250Sbedit250Sb245250Sbnojs(Object appName) {
    return 'لا يمكن استخدام عنوان $appName الداخلي للتسوية التجارية. الرجاء إدخال عنوان خارجي غير $appName للمتابعة.';
  }

  @override
  String get error250Sbedit250Sb249 => 'يجب عليك تعيين عنوان محفظة التسوية للمتابعة.';

  @override
  String get error250Sbpost8722Sbad250Sb107 => 'لا يمكن تتبع السيولة بدون تحديد الحد الأقصى للمبلغ';

  @override
  String get error250Sbpost8722Sbad250Sb108 => 'لا يمكن أن يكون الحد الأدنى لمبلغ المعاملة مساويًا أو أكبر من الحد الأقصى لمبلغ المعاملة';

  @override
  String get error250Sbpost8722Sbad250Sb114 => 'يجب أن تتراوح فترة الدفع من 15 إلى 90 دقيقة';

  @override
  String error250Sbpost8722Sbad250Sb132(Object maximumNumberOfAds) {
    return 'لا يمكن إنشاء أكثر من إعلان $maximumNumberOfAds. يرجى حذف أحد الإعلانات القديمة لإنشاء هذا.';
  }

  @override
  String get error250Sbpost8722Sbad250Sb142 => 'لا يمكن تعيين حد قانوني أقل من الحد الأدنى للمبلغ.';

  @override
  String get error250Sbpost8722Sbad250Sb143 => 'لا يمكن تعيين حد قانوني يزيد عن الحد الأقصى للمبلغ.';

  @override
  String get error250Sbpost8722Sbad250Sb173 => 'لا يمكن أن تكون عملة إعلانك هي نفسها أصول إعلانك';

  @override
  String get error250Sbpost8722Sbad250Sb80 => 'لم يتم تعيين خط العرض أو خط الطول';

  @override
  String get error250Sbpost8722Sbad250Sb81 => 'لم يتم تعيين قيمة السعر بشكل صحيح';

  @override
  String get error250Sbpost8722Sbad250Sb86 => 'مجموعات غير قانونية من البلد وطريقة الدفع والعملة';

  @override
  String get error250Sbpost8722Sbad250Sb87 => 'طريقة الدفع هذه غير صالحة للبلد المحدد';

  @override
  String get error250Sbpost8722Sbad250Sb88 => 'هذه العملة غير صالحة لطريقة الدفع المحددة';

  @override
  String get error250Sbpost8722Sbad250Sb89 => 'لم يتم تعيين الموقع بشكل صحيح';

  @override
  String get error250Sbpost8722Sbad250Sbgeneric => 'أخطاء في النموذج! يرجى التحقق من إعلانك مرة أخرى.';

  @override
  String get error250Sbsettings250Sb220 => 'عناوين البريد الإلكتروني المتاح غير مسموح بها';

  @override
  String get error250Sbsignup250Sb219 => 'عناوين البريد الإلكتروني المتاح غير مسموح بها';

  @override
  String get error250Sbsignup250Sb47 => 'المستخدم بهذا الاسم موجود بالفعل.';

  @override
  String get error250Sbsignup250Sb48 => 'المستخدم بهذا البريد الإلكتروني موجود بالفعل';

  @override
  String error250Sbtrade8722Sbrequest250Sb100(Object min_asset_amount, Object assetSymbol) {
    return 'لا يمكن طلب أقل من $min_asset_amount $assetSymbol لإنشاء الصفقة.';
  }

  @override
  String get error250Sbtrade8722Sbrequest250Sb101 => 'المبلغ المطلوب أقل من الحد الأدنى لمبلغ معاملة الإعلان';

  @override
  String get error250Sbtrade8722Sbrequest250Sb102 => 'المبلغ المطلوب أكثر مما يتوفر لدى المتداول لهذا الإعلان';

  @override
  String get error250Sbtrade8722Sbrequest250Sb103 => 'هذا التاجر لا يتداول حاليا. يرجى التحقق من الإعلانات الأخرى أو العودة لاحقًا.';

  @override
  String get error250Sbtrade8722Sbrequest250Sb105 => 'لا يمتلك هذا التاجر رصيدًا كافيًا لبدء تداول بهذا المبلغ.';

  @override
  String error250Sbtrade8722Sbrequest250Sb106(Object appName) {
    return 'ليس لديك رصيد كافٍ في محفظتك $appName لبدء التداول!';
  }

  @override
  String get error250Sbtrade8722Sbrequest250Sb109 => 'المبلغ المطلوب أكثر مما يتوفر لدى المتداول لهذا الإعلان';

  @override
  String get error250Sbtrade8722Sbrequest250Sb110 => 'يتطلب هذا المتداول نقاط تقييم أعلى للتداول مما لديك في الوقت الحالي. يمكنك زيادة درجة ملاحظاتك من خلال إكمال الصفقات مع المتداولين الذين ليس لديهم مثل هذا المطلب.';

  @override
  String get error250Sbtrade8722Sbrequest250Sb111 => 'المبلغ المطلوب ليس من المبلغ الذي يقبله هذا التاجر';

  @override
  String get error250Sbtrade8722Sbrequest250Sb112 => 'لا يمكن طلب صفقة لإعلان نشرته بنفسك';

  @override
  String get error250Sbtrade8722Sbrequest250Sb141 => 'لا يمكن إنشاء صفقة بمبلغ أقل من الحد الأدنى للمبلغ المسموح به';

  @override
  String get error250Sbtrade8722Sbrequest250Sb150 => 'لا يمكنك بدء تداول لأن هذا التاجر قام بحظرك. حاول البحث عن متداولين آخرين.';

  @override
  String get error250Sbtrade8722Sbrequest250Sb151 => 'هذا الإعلان مخصص فقط للمستخدمين الذين يثق بهم ناشر الإعلان. حاول البحث عن إعلانات أخرى.';

  @override
  String get error250Sbtrade8722Sbrequest250Sb173 => 'لا يسمح لك بفتح المزيد من الصفقات';

  @override
  String get error250Sbtrade8722Sbrequest250Sb218 => 'هذا الإعلان مخصص فقط للمستخدمين الذين لديهم بريد إلكتروني تم التحقق منه. انتقل إلى إعدادات حسابك ، واضبط بريدك الإلكتروني (إذا لم تكن قد قمت بذلك بالفعل) ، وتحقق منه.';

  @override
  String get error250Sbtrade8722Sbrequest250Sb232 => 'هذا المستخدم ممنوع حاليًا من التداول بسبب قيود على حسابه';

  @override
  String get error250Sbtrade8722Sbrequest250Sb237 => 'هذا المستخدم غير موجود';

  @override
  String get error250Sbtrade8722Sbrequest250Sb240 => 'عنوان محفظة التسوية المقدم غير صالح';

  @override
  String error250Sbtrade8722Sbrequest250Sb241(Object appName, Object asset) {
    return 'لا يمكن استخدام عنوان $appName الداخلي للتسوية التجارية. الرجاء إدخال عنوان خارجي غير $appName $asset للمتابعة.';
  }

  @override
  String get error250Sbtrade8722Sbrequest250Sb246 => 'لا يمكن فتح صفقة: هذا التاجر لم يقدم بعد عنوان تسوية لهذا الإعلان. اتصل بالبائع إذا كان بإمكانك ، أو حاول مرة أخرى لاحقًا ، أو ابحث عن عرض آخر.';

  @override
  String get error250Sbtrade8722Sbrequest250Sb99 => 'يتطلب هذا التاجر مبلغ معاملة أقل لأول صفقة تداول معه. يرجى التحقق من تفاصيل التجارة أدناه.';

  @override
  String get error250Sbvalidation250Sbreputation8722Sbimport8722Sbplatform => 'الرجاء تحديد أحد المنصات الصالحة: localbitcoins أو paxful';

  @override
  String get error250Sbwithdraw250Sb170 => 'المبلغ الذي تم طلبه للسحب أقل من الحد الأدنى للمبلغ الممكن';

  @override
  String get error250Sbwithdraw250Sb254 => 'لقد أرسلت بالفعل هذا المبلغ إلى هذا العنوان خلال الدقائق العشر الماضية. تحقق من معاملاتك ، وإذا لم يكن هذا خطأ ، فحاول إعادة السحب لاحقًا.';

  @override
  String get error250Sbwithdraw250Sb7338Sb140 => 'كلمة مرور غير صحيحة / كلمة مرور لمرة واحدة';

  @override
  String get error250Sbwithdraw250Sb7438Sb77 => 'رصيد غير كاف';

  @override
  String error250Sbwithdraw250Sb75(Object appName) {
    return 'هذا العنوان غير موجود في قاعدة البيانات $appName';
  }

  @override
  String get error250Sbwithdraw250Sb76 => 'محاولة سحب سند التحكيم على نفس عنوان الحساب الذي يطلب السحب';

  @override
  String get error250Sbwithdraw250Sbclosed8722Sbconnection => 'حدث خطأ ما في الطلب ، ولكن ربما تم إرسال المعاملة بالفعل. يرجى إعادة تحميل الصفحة والتحقق من إرسال المعاملة وتكرارها إذا لزم الأمر. إذا استمر الخطأ ، يرجى الاتصال بفريق الدعم الخاص بنا.';

  @override
  String error250Sbwithdraw250Sbgeneric(Object assetName) {
    return 'حدث خطأ ما ، يرجى التحقق من عنوان الاستلام $assetName.';
  }

  @override
  String get faq8722Sbquestion8722Sb31 => 'ما الذي يجب أن أعرفه عن طرق الدفع عالية الخطورة؟';

  @override
  String faq250Sbanswer8722Sb0(Object appName) {
    return '$appName هو تبادل Monero من نظير إلى نظير. نحن سوق حيث يمكن للمستخدمين شراء وبيع Monero من وإلى بعضهم البعض. ينشئ المستخدمون ، الذين يطلق عليهم المتداولون ، إعلانات بالسعر وطريقة الدفع التي يريدون تقديمها. يمكنك تصفح موقعنا على الإنترنت للإعلانات التجارية والبحث عن طريقة الدفع التي تفضلها. ستجد متداولين يشترون ويبيعون Monero عبر الإنترنت لأكثر من 60 طريقة دفع مختلفة. إذا كنت جديدًا على $appName وترغب في شراء Monero ، فالرجاء إلقاء نظرة على دليل كيفية الشراء لمعرفة كيفية شراء Monero.';
  }

  @override
  String faq250Sbanswer8722Sb057Sbagoradesk(Object appName) {
    return '$appName هو مكتب OTC للعملات المشفرة من نظير إلى نظير. نحن سوق حيث يمكن للمستخدمين شراء وبيع العملات المشفرة من وإلى بعضهم البعض. ينشئ المستخدمون ، الذين يطلق عليهم المتداولون ، إعلانات بالسعر وطريقة الدفع التي يريدون تقديمها. يمكنك تصفح موقعنا على الإنترنت للإعلانات التجارية والبحث عن طريقة الدفع التي تفضلها. ستجد متداولين يشترون ويبيعون العملات المشفرة عبر الإنترنت لأكثر من 60 طريقة دفع مختلفة. إذا كنت جديدًا على $appName وترغب في شراء العملات المشفرة ، فالرجاء إلقاء نظرة على أدلتنا الإرشادية.';
  }

  @override
  String faq250Sbanswer8722Sb1(Object buying, Object selling) {
    return 'يمكنك مراجعة أدلة $buying و $selling لتبدأ في تداول Monero.';
  }

  @override
  String get faq250Sbanswer8722Sb18722Sbbuying => 'شراء';

  @override
  String get faq250Sbanswer8722Sb18722Sbselling => 'يبيع';

  @override
  String faq250Sbanswer8722Sb157Sbagoradesk(Object buying, Object selling) {
    return 'يمكنك مراجعة أدلتنا الارشادية $buying و $selling لتبدأ في تداول العملات المشفرة.';
  }

  @override
  String faq250Sbanswer8722Sb10(Object appName) {
    return 'إذا قمت بشراء Monero باستخدام $appName ، فسيتم إرسال Monero إلى محفظة تسوية Monero المقدمة. من هناك يمكنك إرسالها أينما تشاء. إذا كنت تريد بيع Monero ، فأنت بحاجة أولاً إلى إيداع XMR في محفظة Monero $appName.';
  }

  @override
  String get faq250Sbanswer8722Sb108722Sbwallet8722Sbpage => 'صفحة المحفظة';

  @override
  String faq250Sbanswer8722Sb1057Sbagoradesk(Object appName) {
    return 'إذا قمت بشراء عملة مشفرة باستخدام $appName ، فسيتم إرسال العملات المعدنية إلى محفظة التسوية المقدمة الخاصة بك. من هناك يمكنك إرسالها أينما تشاء. إذا كنت ترغب في بيع عملة مشفرة ، فأنت بحاجة أولاً إلى إيداع عملة مشفرة في محفظتك $appName ذات الصلة.';
  }

  @override
  String faq250Sbanswer8722Sb11(Object appName, Object walletPage) {
    return 'من أجل بيع Monero على $appName ، ستحتاج أولاً إلى إرسال بعض Monero لسند التحكيم إلى محفظتك $appName. للقيام بذلك ، ستحتاج إلى حساب $appName ، والوصول إلى Monero في محفظة Monero أخرى وتحتاج إلى معرفة عنوان الاستلام $appName الخاص بك. للعثور على عنوان الاستلام $appName ، عليك الذهاب لزيارة $walletPage. ينقسم الجزء العلوي من الصفحة إلى ثلاثة أجزاء مما يسمح لك بإرسال واستقبال Monero وعرض معاملاتك. في علامة التبويب \"استلام\" ستجد عنوان الاستلام الخاص بك. بمجرد أن تعرف عنوان الاستلام $appName ، يمكنك الانتقال إلى محفظة Monero الأخرى الخاصة بك واستخدام هذا العنوان لإرسال Monero إلى عنوان $appName الخاص بك.';
  }

  @override
  String faq250Sbanswer8722Sb1157Sbagoradesk(Object appName, Object walletPage) {
    return 'لبيع العملات المشفرة على $appName ستحتاج أولاً إلى إرسال بعض العملات لسند التحكيم إلى محفظتك $appName. للقيام بذلك ، ستحتاج إلى حساب $appName ، والوصول إلى العملات المعدنية في محفظة أخرى وتحتاج إلى معرفة عنوان الاستلام $appName الخاص بك. للعثور على عنوان الاستلام $appName ، عليك الذهاب لزيارة $walletPage. حدد العملة المشفرة ذات الصلة ، وينقسم الجزء العلوي من صفحة المحفظة إلى ثلاثة أجزاء مما يتيح لك إرسال واستقبال العملات المشفرة وعرض معاملاتك. في علامة التبويب \"استلام\" ستجد عنوان الاستلام الخاص بك. بمجرد أن تعرف عنوان الاستلام الخاص بك $appName ، يمكنك الذهاب إلى محفظتك الأخرى واستخدام هذا العنوان لإرسال العملات المعدنية إلى عنوان $appName الخاص بك.';
  }

  @override
  String faq250Sbanswer8722Sb12(Object appName) {
    return 'تستغرق المعاملات ما بين 10-60 دقيقة عندما ترسل Monero إلى محفظتك $appName أو عندما ترسل Monero من محفظتك $appName.';
  }

  @override
  String faq250Sbanswer8722Sb1257Sbagoradesk(Object appName) {
    return 'تستغرق المعاملات ما بين 10-60 دقيقة عندما ترسل عملات معدنية إلى محفظتك $appName أو عندما ترسل عملات معدنية من محفظتك $appName.';
  }

  @override
  String faq250Sbanswer8722Sb13(Object wallet) {
    return 'قد تواجه شبكة Monero ازدحامًا ، وفي هذه الحالة ستستغرق المعاملات وقتًا أطول. يجب تأكيد معاملات Monero من قبل شبكة Monero. عند إجراء معاملة ، يتم إرسالها إلى مجموعة معاملات من حيث يتم تجميعها في كتل يؤكدها عمال المناجم في Monero من خلال التعدين. يتم تعدين الكتل في المتوسط كل دقيقتين. بمجرد تضمين المعاملة في كتلة وتم تعدينها ، يتم تأكيدها مرة واحدة. عندما يصل عدد تأكيد المعاملة إلى حد معين ، حاليًا 10 تأكيدات ، تظهر المعاملة في محافظ الاستلام. يمكنك قراءة المزيد حول التأكيدات على ويكيبيديا Monero ويمكنك رؤية العدد الحالي للمعاملات غير المؤكدة على شبكة Monero في $wallet.';
  }

  @override
  String get faq250Sbanswer8722Sb138722Sbwallet => 'محفظة';

  @override
  String faq250Sbanswer8722Sb1357Sbagoradesk(Object wallet) {
    return 'قد تواجه شبكة العملات المشفرة ذات الصلة ازدحامًا ، وفي هذه الحالة ستستغرق المعاملات وقتًا أطول. يجب تأكيد معاملات العملة المشفرة من خلال شبكة العملات المشفرة. عند إجراء معاملة ، يتم إرسالها إلى مجموعة معاملات من حيث يتم تجميعها في كتل يؤكدها عمال المناجم من خلال التعدين. بمجرد أن تم  تضمين المعاملة في كتلة وتم تعدينها ، يتم تأكيدها مرة واحدة. عندما يصل عدد تأكيد المعاملة إلى حد معين ، تظهر المعاملة في المحفظة المستلمة. يمكنك رؤية العدد الحالي للمعاملات غير المؤكدة على الشبكة في $wallet.';
  }

  @override
  String faq250Sbanswer8722Sb17(Object appName) {
    return '$appName يستخدم نظام التغذية الراجعة الذي يعرض النتيجة في ملفك الشخصي العام. تُظهر هذه النتيجة ، النسبة المئوية ، مقدار التعليقات الإيجابية التي يمتلكها المستخدم. يمكنك فقط إعطاء ملاحظات واحدة للمستخدم. يمكن أن تكون التعليقات أحد ثلاثة أنواع: إيجابية ومحايدة وسلبية. بمجرد تقديم الملاحظات ، ستكون التعليقات مرئية في الملف الشخصي العام للمستخدم إذا تم استيفاء شروط معينة ، وإلا ستبقى التعليقات غير مؤكدة ولا تؤثر على درجة التعليقات.';
  }

  @override
  String get faq250Sbanswer8722Sb18 => 'يمكن تأكيد الملاحظات التي تم تقديمها أو عدم تأكيدها. تظهر الملاحظات المؤكدة في الملف الشخصي العام للمستخدم وتؤثر على درجة ملاحظات المستخدم. لكي يتم تأكيد التعليقات غير المؤكدة ، يجب أن يكون إجمالي حجم التجارة بين المستخدم الذي يقوم بإعطاء الملاحظات وتلقيها أكثر من 100 دولار أمريكي.';

  @override
  String faq250Sbanswer8722Sb19(Object appName, Object enableWebnotificationsfromyourprofile) {
    return 'تتيح لك إشعارات الويب تلقي إشعارات منبثقة من خلال متصفحك متى تلقيت إشعارًا جديدًا على $appName. إذا كنت تتداول وتريد أن تعرف على الفور عندما يحدث شيء ما ، $enableWebnotificationsfromyourprofile. اقلب المفتاح الذي يشير إلى تمكين إشعارات الويب وعندما يطلب منك المستعرض الإذن لعرض إشعارات الويب ، اضغط على قبول. أنت الآن جاهز تمامًا وستبدأ في تلقي إشعارات الويب.';
  }

  @override
  String get faq250Sbanswer8722Sb198722Sbenable8722Sbweb8722Sbnotifications8722Sbfrom8722Sbyour8722Sbprofile => 'تمكين إشعارات الويب من ملف التعريف الخاص بك';

  @override
  String faq250Sbanswer8722Sb2(Object guide) {
    return 'تحقق من $guide لدينا.';
  }

  @override
  String get faq250Sbanswer8722Sb28722Sbguide => 'دليل المصادقة الثنائية';

  @override
  String get faq250Sbanswer8722Sb20 => 'في بعض الأحيان قد يطلب المتداول هويتك. إذا كنت تتداول لأول مرة مع متداول ، فقد يطلبون منك تحديد هويتك. هذا لأنه في بعض البلدان يطلب من التجار بموجب القوانين المحلية معرفة عملائهم. يشرح معظم المتداولين في شروط التجارة ما إذا كانوا يطلبون التحقق من الهوية أم لا. إذا كنت لا ترغب في إعطاء المتداول هويتك ، يمكنك دائمًا إلغاء الصفقة والبحث عن متداول بمتطلبات أقل صرامة. قم دائمًا بإرسال المعرف الخاص بك إلى البائع عبر الدردشة التجارية ، ويتم تشفير رسائل الدردشة التجارية الخاصة بنا على خوادمنا ويتم حذفها بعد 180 يومًا. يتم أيضًا تمييز جميع الصور المرسلة إلى الدردشة التجارية بعلامة مائية لمنع إساءة استخدام الصور.';

  @override
  String faq250Sbanswer8722Sb21(Object appName) {
    return 'عادةً ما يُنهي البائعون الصفقة بمجرد أن يروا مدفوعاتك ، والتي قد تستغرق أحيانًا ساعة أو ساعتين. إذا كنت قد دفعت ولكنك لا تزال تنتظر ، فلا داعي للقلق ، لأن جميع التداولات عبر الإنترنت محمية بموجب سند التحكيم ولا يمكن للبائع الهروب دون أن يفقد السند. إذا كانت هناك أية مشكلات في التجارة ولم يقم البائع بإنهائها ، يمكنك الاعتراض على الصفقة للحصول على دعم $appName لحلها. إذا كنت تشتري Monero أو تبيعه عبر الإنترنت ، فيمكنك الاعتراض على التجارة بعد وضع علامة على اكتمال الدفع. لم يعد من الممكن بدء النزاع إذا تم الانتهاء من الصفقة أو إذا كانت صفقة محلية بدون تمكين حماية السندات التحكيمية. عندما تصبح الصفقة التي تشارك فيها محل نزاع ، ستتلقى بريدًا إلكترونيًا. عادة ما يتم حل الصفقة المتنازع عليها في غضون 24-48 ساعة.';
  }

  @override
  String faq250Sbanswer8722Sb2157Sbagoradesk(Object appName) {
    return 'عادةً ما يُنهي البائعون الصفقة بمجرد أن يروا مدفوعاتك ، والتي قد تستغرق أحيانًا ساعة أو ساعتين. إذا كنت قد دفعت ولكنك لا تزال تنتظر ، فلا داعي للقلق ، لأن جميع التداولات عبر الإنترنت محمية بموجب سند التحكيم ولا يمكن للبائع الهروب دون أن يفقد السند. إذا كانت هناك أية مشكلات في التجارة ولم يقم البائع بإنهائها ، يمكنك الاعتراض على الصفقة للحصول على دعم $appName لحلها. إذا كنت تشتري عملة مشفرة أو تبيعها عبر الإنترنت ، فيمكنك الاعتراض على التجارة بعد وضع علامة على اكتمال عملية الدفع. لم يعد من الممكن بدء النزاع إذا تم الانتهاء من التجارة أو إذا كانت تجارة محلية بدون تمكين حماية السندات التحكيمية. عندما تصبح التجارة التي تشارك فيها محل نزاع ، ستتلقى بريدًا إلكترونيًا. عادة ما يتم حل التجارة المتنازع عليها في غضون 24-48 ساعة.';
  }

  @override
  String get faq250Sbanswer8722Sb22 => 'نحتفظ بمبلغ صغير من Monero من رصيد محفظتك لدفع رسوم معاملة Monero إلى شبكة Monero. يتعين على كل معاملة Monero دفع رسوم رمزية للشبكة ليتم تأكيدها بغض النظر عن مكان إرسالها. نحتفظ بهذه الرسوم مقدمًا لمنع رصيد محفظتك من أن يصبح سلبيًا.';

  @override
  String get faq250Sbanswer8722Sb2257Sbagoradesk => 'نحتفظ بمبلغ صغير من رصيد محفظتك لدفع رسوم معاملات الشبكة. يجب أن تدفع كل معاملة عملة مشفرة رسومًا رمزية للشبكة ليتم تأكيدها بغض النظر عن مكان إرسالها.';

  @override
  String faq250Sbanswer8722Sb24(Object dashboard, Object appName, Object supportRequestform) {
    return 'تتعلق هذه الإجابة بالحالة عند شراء Monero عبر الإنترنت. بعد إرسال طلب تداول إلى بائع Monero ، لديك نافذة زمنية لإكمال الدفع قبل أن يتمكن البائع من إلغاء الصفقة (تختلف نافذة الدفع وفقًا لطريقة الدفع الخاصة بالتداول). خلال هذا الوقت ، يتعين عليك إكمال عملية الدفع والضغط على زر لقد دفعت. يتم إخطار البائع بأنك قمت بالدفع وسيتم الاحتفاظ بالمونيرو في السند حتى ينتهي البائع من الصفقة نيابة عنك عند رؤية الدفعة في حسابه / حسابها. إذا كنت قد دفعت مقابل الشراء ، ولكنك لم تحدد السداد مكتملًا قبل انتهاء نافذة وقت الدفع ، فيرجى الاتصال بالبائع من خلال الصفقة. يمكنك الاتصال بالبائع وجهات الاتصال التجارية الأخرى الموجودة لديك من $dashboard في ملف تعريف المستخدم الخاص بك $appName. أرسل رسالة إلى البائع واشرح لها الموقف ولماذا لا يمكنك إتمام الدفع خلال النافذة الزمنية. إذا لم يستجب البائع لهذا الطلب ، فيرجى الاتصال بدعم $appName باستخدام $supportRequestform وذكر معرّفك التجاري.';
  }

  @override
  String get faq250Sbanswer8722Sb248722Sbdashboard => 'لوحة القيادة';

  @override
  String get faq250Sbanswer8722Sb248722Sbsupport8722Sbrequest8722Sbform => 'نموذج طلب الدعم';

  @override
  String faq250Sbanswer8722Sb2457Sbagoradesk(Object dashboard, Object appName, Object supportRequestform) {
    return 'بعد إرسال طلب الصفقة، لديك نافذة زمنية لإكمال الدفع قبل أن يتمكن الطرف الآخر من إلغاء الصفقة. خلال هذا الوقت ، يتعين عليك إكمال عملية الدفع والضغط على الزر \"لقد دفعت\". يتم إخطار الطرف الآخر بأنك قمت بالدفع وسيتم الاحتفاظ بالعملات المعدنية في السند حتى ينتهي الطرف الآخر من التداول نيابة عنك بعد رؤية الدفع في حسابه. إذا كنت قد دفعت مقابل الشراء ، ولكنك لم تحدد السداد مكتملًا قبل انتهاء صلاحية نافذة وقت الدفع ، فيرجى الاتصال بالطرف الآخر من خلال الدردشة التجارية. يمكنك الاتصال بالطرف الآخر وجهات الاتصال التجارية الأخرى الموجودة لديك من $dashboard. ابعث برسالة للطرف الآخر واشرح له الموقف ولماذا لم تتمكن من إتمام الدفع خلال النافذة الزمنية. إذا لم يستجب الطرف الآخر لهذا الطلب ، يرجى الاتصال بفريق $appName باستخدام $supportRequestform وذكر معرّفك التجاري.';
  }

  @override
  String get faq250Sbanswer8722Sb25 => 'عندما يبدأ المشتري أو البائع نزاعًا ، يتدخل المسؤول في الدردشة التجارية ويطلب من كلا الطرفين تقديم أدلة ويأخذ في الاعتبار سجل الدردشة وسمعتها لاتخاذ قرار عادل قدر الإمكان.';

  @override
  String faq250Sbanswer8722Sb26(Object appName) {
    return 'معاملات Monero لا رجعة فيها ، بمجرد إرسال الأموال إلى عنوان Monero آخر ، لا يمكنك أنت أو $appName عكسها.';
  }

  @override
  String faq250Sbanswer8722Sb2657Sbagoradesk(Object appName) {
    return 'لا يمكن التراجع عن معاملات العملة المشفرة ، فبمجرد إرسال العملات المعدنية إلى عنوان آخر ، فانه لا يمكنك انت أو $appName عكسها.';
  }

  @override
  String faq250Sbanswer8722Sb27(Object appName) {
    return 'تعتمد أسعار الإعلانات على أسعار صرف Monero. سعر صرف Monero متقلب وقد يتغير بسرعة. $appName يقوم بتحديث أسعار الصرف وأسعار الإعلانات كل عشر دقائق. الأسعار المعروضة في القوائم والصفحة الأولى مخزنة مؤقتًا ، ويتم تحديثها بشكل أبطأ قليلاً. في بعض الأحيان عندما يتقلب سعر Monero بسرعة ، قد تعرض الإعلانات التي لها نفس معادلة السعر سعرًا مختلفًا. في بعض الأحيان لا تتوفر بيانات السوق لبعض العملات ، مما يؤدي إلى تأخير تحديث أسعار الإعلانات. ومع ذلك ، عند فتح صفحة الإعلان نفسها ، سيكون السعر محدثًا بشكل أكبر. يتم تحديد سعر الشراء في اللحظة التي يرسل فيها مشتري Monero طلب الصفقة.';
  }

  @override
  String faq250Sbanswer8722Sb2757Sbagoradesk(Object appName) {
    return 'تعتمد أسعار الإعلانات على أسعار صرف العملات المشفرة. أسعار الصرف متقلبة وقد تتغير بسرعة. $appName يقوم بتحديث أسعار الصرف وأسعار الإعلانات كل اثني عشر دقيقة. الأسعار المعروضة في القوائم والصفحة الأولى مخزنة مؤقتًا ، ويتم تحديثها بشكل أبطأ قليلاً. في بعض الأحيان عندما يتقلب السعر بسرعة ، قد تعرض الإعلانات التي لها نفس صيغة السعر أسعارًا مختلفة. في بعض الأحيان لا تتوفر بيانات السوق لبعض العملات ، مما يؤدي إلى تأخير تحديث أسعار الإعلانات. ومع ذلك ، عند فتح صفحة الإعلان نفسها ، سيكون السعر محدثًا بشكل أكبر. يتم تحديد السعر عند إرسال طلب الصفقة.';
  }

  @override
  String get faq250Sbanswer8722Sb28 => 'عندما يتحرك السعر ، تتقلب قيمة Monero المشتراة مع سعر صرف Monero. يتم تحديد مبلغ Monero الذي يتم تداوله عند إغلاق الصفقة ، بدلاً من وقت فتح الصفقة. هذا يقلل من مخاطر سعر السوق في المعاملات النقدية المحلية حيث يمكن أن يكون الوقت بين فتح الصفقة وإغلاق الصفقة عدة أيام.';

  @override
  String get faq250Sbanswer8722Sb2857Sbagoradesk => 'عندما يتحرك السعر ، يتأرجح مبلغ العملة المشفرة المشتراة مع سعر الصرف. يتم تحديد المبلغ المتداول عند إغلاق الصفقة ، بدلاً من وقت فتح الصفقة. هذا يقلل من مخاطر سعر السوق في المعاملات النقدية المحلية حيث يمكن أن يكون الوقت بين فتح الصفقة وإغلاق الصفقة عدة أيام.';

  @override
  String faq250Sbanswer8722Sb29(Object feesPage) {
    return 'يمكنك التحقق من جميع المعلومات المتعلقة بالرسوم الحالية على $feesPage';
  }

  @override
  String get faq250Sbanswer8722Sb298722Sbfees8722Sbpage => 'صفحة الرسوم';

  @override
  String faq250Sbanswer8722Sb30(Object telegram, Object thisGuide, Object appName) {
    return 'في الوقت الحالي ، ليس لدينا تطبيق جوال مستقل. لكن يمكنك تلقي إشعارات الجوال في $telegram! سينقلك $thisGuide خلال عملية تنشيط إشعارات Telegram (إنها سهلة). سيرسل لك الروبوت الخاص بنا إشعارات بشأن أحداث $appName الخاصة بك.';
  }

  @override
  String get faq250Sbanswer8722Sb308722Sbthis8722Sbguide => 'هذا الدليل';

  @override
  String get faq250Sbanswer8722Sb32 => 'أولوية المعاملة هي الإعداد المستخدم في Monero لتمييز مدفوعاتك عن المدفوعات الأخرى في شبكة Monero (إذا كانت هناك أي منافسة). قد تستغرق المعاملات ذات الأولوية المنخفضة وقتًا أطول حتى تكتمل.';

  @override
  String get faq250Sbanswer8722Sb32250Sb1 => 'في Bitcoin ، تؤثر مستويات الرسوم على السرعة التي سيتم بها تأكيد معاملتك من خلال تحفيز عمال المناجم على إعطاء الأولوية لمعاملتك مقابل رسوم أعلى. يتم تقدير المعاملات ذات الرسوم المرتفعة ليتم تأكيدها في غضون بضع كتل ؛ يتم تقدير معاملة الرسوم المتوسطة ليتم تأكيدها في غضون يوم واحد ؛ من المقدر أن يتم تأكيد المعاملة منخفضة الرسوم في غضون أسبوع.';

  @override
  String faq250Sbanswer8722Sb33(Object appName) {
    return 'يمكنك سحب العملات المعدنية من محفظتك $appName إلى محفظتك الشخصية الخاصة بعملة مشفرة مختلفة عن العملة $appName. للقيام بذلك ، تحتاج أولاً إلى تحديد مربع الاختيار \"أريد تلقي عملة أخرى\". بعد ذلك ، حدد العملة المشفرة المستلمة المطلوبة واكتب العنوان الذي يجب إرسال العملات إليه. بعد ذلك ، اختر ما إذا كنت تريد تقديم المبلغ إما بالعملات المعدنية المرسلة من محفظتك أو في العملات المعدنية المحولة المستلمة إلى محفظتك وجهتك واكتب الكمية. اضغط على \"متابعة\" ، وستظهر لك العروض ذات الصلة التي تناسب متطلباتك. إذا كانت القائمة فارغة ، فحاول تعديل المبلغ. سيتم عرض معدل التحويل لكل عرض ، وإذا كان مقبولاً ، فكل ما عليك فعله هو الضغط على \"تداول\" ، والموافقة على الشروط ، وسيتم إنشاء صفقة بالمبلغ ذي الصلة تلقائيًا من أجلك. سيتم توفير عنوان الوجهة تلقائيًا للمشتري من خلال الدردشة التجارية. يتم التعامل مع الباقي تمامًا مثل أي تداول آخر على $appName - سيرسل المشتري العملة المطلوبة إلى العنوان الذي قدمته ، وعند استلام العملات ، يجب إنهاء الصفقة. هذا هو!';
  }

  @override
  String get faq250Sbanswer8722Sb338722Sbmorphtoken8722Sbfaq8722Sblink => 'هنا يمكنك قراءة المزيد حول كيفية عمل ChangeNow ، ورسوم الخدمة والشبكة';

  @override
  String faq250Sbanswer8722Sb4(Object value) {
    return 'إذا كان لديك رمز احتياطي ، فاستخدم خدمة إنشاء QR مثل $value لإنشاء رمز الاستجابة السريعة من رمز النسخ الاحتياطي الخاص بك. ثم قم بفحص QR الذي تم إنشاؤه باستخدام تطبيق 2FA المحمول الخاص بك. إذا لم يكن لديك رمز احتياطي ، فهذا يعني أنك فقدت الوصول إلى حسابك. لسوء الحظ ، من المستحيل بالنسبة لنا أن نفرق بين مخترق يتظاهر بأنه أنت وبين كونك أنت في الواقع.';
  }

  @override
  String get faq250Sbanswer8722Sb48722Sbthis => 'هذا';

  @override
  String faq250Sbanswer8722Sb5(Object onionUrl, Object tor) {
    return 'نعم فعلنا! ها هو: $onionUrl (تحتاج إلى $tor لفتح هذا الرابط).';
  }

  @override
  String faq250Sbanswer8722Sb6(Object b32I2purl, Object i2pUrl, Object i2p) {
    return 'نعم ، لدينا بالفعل اثنان! ها هما: $b32I2purl أو $i2pUrl (تحتاج إلى $i2p لفتح هذه الروابط).';
  }

  @override
  String faq250Sbanswer8722Sb7(Object here) {
    return 'نعم! جربه $here.';
  }

  @override
  String get faq250Sbanswer8722Sb78722Sbhere => 'هنا';

  @override
  String faq250Sbanswer8722Sb8(Object appName) {
    return 'جميع الصفقات عبر الإنترنت محمية بسندات التحكيم. عند بدء عملية تداول ، يتم حجز مبلغ Monero مساوٍ لمبلغ الصفقة تلقائيًا من محفظة البائع $appName كسند. هذا يعني أنه إذا هرب البائع بأموالك ولم ينهي الصفقة ، يمكن للدعم $appName أن يوجه إليك Monero المحتفظ به في سند التحكيم. إذا كنت تبيع Monero ، فلا تنهي الصفقة أبدًا قبل أن تعرف أنك تلقيت أموالًا من مشتري Monero. يرجى ملاحظة أن الصفقات المحلية ليس لديها حماية السندات التحكيمية ممكّنة بشكل افتراضي.';
  }

  @override
  String faq250Sbanswer8722Sb857Sbagoradesk(Object appName) {
    return 'جميع الصفقات عبر الإنترنت محمية بسندات التحكيم. عند بدء عملية تداول ، يتم حجز مبلغ من العملة المشفرة يساوي مبلغ التداول تلقائيًا من محفظة البائع $appName كسند. هذا يعني أنه إذا هرب البائع بأموالك ولم ينهي الصفقة ، يمكن لدعم $appName توجيه العملة المشفرة المحتفظ بها في سند التحكيم إليك. إذا كنت تبيع عملة معماة ، فلا تنهي الصفقة أبدًا قبل أن تعرف أنك تلقيت أموالًا من المشتري. يرجى ملاحظة أن الصفقات المحلية ليس لديها حماية السندات التحكيمية ممكّنة بشكل افتراضي.';
  }

  @override
  String faq250Sbanswer8722Sb9(Object appName) {
    return 'لدينا نوعان مختلفان من الصفقات في $appName ، التداولات المحلية والتداولات عبر الإنترنت. تتم التداولات عبر الإنترنت بالكامل عبر منصة التداول الخاصة بنا دون أن تقابل شريكك التجاري. يتم تمكين حماية سندات التحكيم وتمويلها تلقائيًا للصفقات عبر الإنترنت ، مما يعني أنه بصفتك مشترً، فأنت محمي تلقائيًا بواسطة نظام حماية السندات التحكيمية الخاص بنا. معظم التداولات في $appName هي صفقات عبر الإنترنت. من المفترض أن تتم التداولات المحلية وجهاً لوجه ، ولا يتم تمكين حماية سندات التحكيم تلقائيًا. لهذا السبب ، ليس من الآمن الدفع للبائع باستخدام طريقة دفع عبر الإنترنت في تجارة محلية. طرق الدفع عبر الإنترنت ، على سبيل المثال ، التحويلات المصرفية ؛ باي بال. رموز بطاقات الهدايا وما إلى ذلك.';
  }

  @override
  String faq250Sbmorph8722Sbdeposit250Sbcontent(Object appName) {
    return 'إذا كنت ترغب في إيداع عملات معدنية في محفظة $appName من محفظة لعملة مشفرة مختلفة ، فأنت بحاجة إلى تحديد مربع \"أريد إيداع عملة أخرى\" في علامة التبويب \"استلام\" في صفحة المحفظة. في القسم الظاهر ، حدد عملة الإيداع المطلوبة ، ومبلغ الإيداع (انتبه للحدود المعروضة) ، وأدخل عنوان الاسترداد المعني الذي سيتم استخدامه في حالة حدوث أي خطأ في المعاملة. بعد القيام بذلك ، انقر فوق \"أظهر لي عنوان الإيداع!\" ، والذي سيفتح نافذة حيث سترى عنوان الإيداع. أرسل العملات المعدنية من محفظتك إلى عنوان إيداع ChangeNow المقدم. في هذه المرحلة ، ستقوم ChangeNow بتحويل عملاتك المعدنية وتحويلها إلى محفظتك $appName.';
  }

  @override
  String faq250Sbmorph8722Sbdeposit250Sbcontent57Sbagoradesk(Object appName) {
    return 'إذا كنت ترغب في إيداع عملات معدنية في محفظة $appName من محفظة لعملة مشفرة مختلفة ، فأنت بحاجة إلى تحديد مربع \"أريد إيداع عملة أخرى\" في علامة التبويب \"استلام\" في صفحة المحفظة. في القسم الظاهر ، حدد عملة الإيداع المطلوبة ، ومبلغ الإيداع (انتبه للحدود المعروضة) ، وأدخل عنوان الاسترداد المعني الذي سيتم استخدامه في حالة حدوث أي خطأ في المعاملة. بعد القيام بذلك ، انقر فوق \"أظهر لي عنوان الإيداع!\" ، والذي سيفتح نافذة حيث سترى عنوان الإيداع. أرسل العملات المعدنية من محفظتك إلى عنوان إيداع ChangeNow المقدم. في هذه المرحلة ، ستقوم ChangeNow بتحويل عملاتك المعدنية وتحويلها إلى محفظتك $appName.';
  }

  @override
  String faq250Sbmorph8722Sbdeposit250Sbtitle(Object appName) {
    return 'كيف يمكنني إيداع عملات مشفرة أخرى في محفظة $appName؟';
  }

  @override
  String faq250Sbquestion8722Sb0(Object appName) {
    return 'ما هو $appName؟';
  }

  @override
  String get faq250Sbquestion8722Sb1 => 'كيف أشتري أو أبيع مونيرو؟';

  @override
  String get faq250Sbquestion8722Sb157Sbagoradesk => 'كيف أشتري أو أبيع العملات المشفرة؟';

  @override
  String get faq250Sbquestion8722Sb10 => 'كيف أرسل Monero وكيف يمكنني الدفع باستخدام Monero بعد شرائها؟';

  @override
  String get faq250Sbquestion8722Sb1057Sbagoradesk => 'كيف أرسل العملات المشفرة وكيف يمكنني الدفع بالعملات المشفرة بعد شرائها؟';

  @override
  String faq250Sbquestion8722Sb11(Object appName) {
    return 'كيف يمكنني استلام Monero في محفظتي $appName؟';
  }

  @override
  String faq250Sbquestion8722Sb1157Sbagoradesk(Object appName) {
    return 'كيف أتلقى عملة مشفرة في محفظتي $appName؟';
  }

  @override
  String faq250Sbquestion8722Sb12(Object appName) {
    return 'كم من الوقت يستغرق إرسال أو استلام Monero إلى محفظة $appName الخاصة بي؟';
  }

  @override
  String faq250Sbquestion8722Sb1257Sbagoradesk(Object appName) {
    return 'كم من الوقت يستغرق إرسال أو استقبال العملات المشفرة إلى محفظتي $appName؟';
  }

  @override
  String get faq250Sbquestion8722Sb13 => 'لقد انتظرت 60 دقيقة وما زالت معاملتي معلقة ، فماذا بعد؟';

  @override
  String get faq250Sbquestion8722Sb17 => 'كيف يعمل نظام التغذية الراجعة؟';

  @override
  String get faq250Sbquestion8722Sb18 => 'ما الفرق بين الملاحظات المؤكدة وغير المؤكدة؟';

  @override
  String get faq250Sbquestion8722Sb19 => 'كيف أقوم بتمكين إشعارات الويب؟';

  @override
  String get faq250Sbquestion8722Sb2 => 'كيف أكون محميا من التعرض للخداع؟';

  @override
  String get faq250Sbquestion8722Sb20 => 'تاجر يطلب مني هويتي ولا أشعر بالراحة.';

  @override
  String get faq250Sbquestion8722Sb21 => 'لقد دفعت للبائع ولكني لم أستلم Monero بعد.';

  @override
  String get faq250Sbquestion8722Sb2157Sbagoradesk => 'لقد دفعت ولكني لم أستلم عملاتي المعدنية بعد.';

  @override
  String get faq250Sbquestion8722Sb22 => 'لماذا لا يمكنني إرسال كل المونيرو الموجودة في محفظتي؟';

  @override
  String get faq250Sbquestion8722Sb2257Sbagoradesk => 'لماذا لا يمكنني إرسال جميع العملات المعدنية الموجودة في محفظتي؟';

  @override
  String faq250Sbquestion8722Sb23(Object appName) {
    return 'لقد أجريت صفقة من $appName ولا تظهر على الطرف المستلم!';
  }

  @override
  String get faq250Sbquestion8722Sb24 => 'لقد سددت دفعتي ، لكنني نسيت الضغط على الزر لقد دفعت أو لم أضغط عليه في الوقت المناسب';

  @override
  String get faq250Sbquestion8722Sb25 => 'كيف سيتم التعامل مع النزاعات؟';

  @override
  String get faq250Sbquestion8722Sb26 => 'لقد أرسلت Monero إلى العنوان الخطأ ، فهل يمكنني استعادتها؟';

  @override
  String get faq250Sbquestion8722Sb2657Sbagoradesk => 'لقد أرسلت عملات معدنية إلى عنوان خاطئ ، فهل يمكنني استعادتها؟';

  @override
  String get faq250Sbquestion8722Sb27 => 'كم مرة يتم تحديث أسعار الإعلان؟';

  @override
  String get faq250Sbquestion8722Sb28 => 'ما هو السعر المتغير؟';

  @override
  String get faq250Sbquestion8722Sb29 => 'ما هي الرسوم؟';

  @override
  String get faq250Sbquestion8722Sb3 => 'كيف أقوم بتفعيل المصادقة ذات العاملين؟';

  @override
  String get faq250Sbquestion8722Sb30 => 'هل لديك تطبيق جوال؟ / كيف يمكنني استلام إشعارات الجوال؟';

  @override
  String get faq250Sbquestion8722Sb32 => 'ما هي أولوية الصفقة؟';

  @override
  String get faq250Sbquestion8722Sb32250Sb1 => 'ما هو مستوى الرسوم؟';

  @override
  String faq250Sbquestion8722Sb33(Object appName) {
    return 'كيف يمكنني سحب Monero إلى محفظة أخرى للعملات المشفرة من محفظتي $appName؟';
  }

  @override
  String faq250Sbquestion8722Sb3357Sbagoradesk(Object appName) {
    return 'كيف يمكنني سحب العملات المشفرة الأخرى من محفظتي $appName؟';
  }

  @override
  String get faq250Sbquestion8722Sb5 => 'فقدت عامل المصادقة الثاني الخاص بي ، ماذا أفعل؟';

  @override
  String get faq250Sbquestion8722Sb6 => 'هل لديكم موقع .onion / خدمة Tor المخفية؟';

  @override
  String get faq250Sbquestion8722Sb7 => 'هل لديكم موقع I2P؟';

  @override
  String get faq250Sbquestion8722Sb8 => 'هل لديك برنامج انتساب؟';

  @override
  String get faq250Sbquestion8722Sb9 => 'ما الفرق بين التجارة عبر الإنترنت والتجارة المحلية؟';

  @override
  String get faq250Sbtitle => 'أسئلة مكررة';

  @override
  String get feedback250Sbnone => 'لا تغذية راجعة بعد';

  @override
  String feedback250Sbtitle(Object user) {
    return 'ردود الفعل على $user';
  }

  @override
  String fees250Sbtitle(Object appName) {
    return 'رسوم $appName';
  }

  @override
  String fees250Sbtrading250Sbtext(Object appName) {
    return 'تسجيل وشراء وبيع Monero مجاني تماما <strong> </strong>. <br/> $appName المستخدمين الذين ينشئون إعلانات يتم تحصيل رسوم حماية تحكيم بنسبة 1٪ <strong> </strong> عن كل صفقة مكتملة.';
  }

  @override
  String fees250Sbtrading250Sbtext57Sbagoradesk(Object appName) {
    return 'تسجيل وشراء وبيع العملات المشفرة مجاني تمامًا <strong> </strong>. <br/> $appName المستخدمين الذين ينشئون إعلانات يتم تحصيل رسوم حماية تحكيم بنسبة 1٪ <strong> </strong> عن كل صفقة مكتملة.';
  }

  @override
  String get fees250Sbtrading250Sbtitle => 'تداول مونيرو';

  @override
  String get fees250Sbtrading250Sbtitle57Sbagoradesk => 'تداول العملات المشفرة';

  @override
  String fees250Sbtx250Sbtext(Object appName, Object free, Object linebreak, Object walletPage, Object outgoingMonerofees) {
    return 'معاملات محافظ مستخدمي $appName الآخرين هي $free. $linebreak  تخضع المعاملات إلى محافظ Monero الأخرى لرسوم معاملات شبكة Monero. الرسوم الحالية مرئية على $walletPage تحت العنوان $outgoingMonerofees. يتم دفع رسوم المعاملة من محفظتك $appName عندما تقوم بإرسال معاملة.';
  }

  @override
  String get fees250Sbtx250Sbtext8722Sbfree => 'مجانا';

  @override
  String get fees250Sbtx250Sbtext8722Sbwallet8722Sbpage => 'صفحة المحفظة';

  @override
  String fees250Sbtx250Sbtext57Sbagoradesk(Object appName, Object free, Object linebreak, Object walletPage, Object outgoingMonerofees) {
    return 'معاملات محافظ مستخدمي $appName الآخرين هي $free. $linebreak  تخضع المعاملات إلى محافظ العملات المشفرة الخارجية لرسوم معاملات شبكة العملة المشفرة ذات الصلة. الرسوم الحالية مرئية على $walletPage تحت العنوان $outgoingMonerofees. يتم دفع رسوم المعاملة من محفظتك $appName عندما ترسل معاملة.';
  }

  @override
  String get fees250Sbtx250Sbtitle => 'رسوم معاملات Monero';

  @override
  String get fees250Sbtx250Sbtitle57Sbagoradesk => 'رسوم معاملات العملة المشفرة';

  @override
  String get finish => 'إنهاء';

  @override
  String get footer250Sbabout => 'حول';

  @override
  String get footer250Sbaffiliate => 'شركة تابعة';

  @override
  String get footer250Sbblocks => 'مونيرو بلوك إكسبلورر';

  @override
  String get footer250Sbbounty => 'مكافأة الأمن';

  @override
  String get footer250Sbcanary => 'كناري';

  @override
  String get footer250Sbcontact => 'اتصل بنا';

  @override
  String get footer250Sbfees => 'رسوم';

  @override
  String get footer250Sble => 'استفسارات سلطات إنفاذ القانون';

  @override
  String get footer250Sbpgp => 'مفاتيح PGP';

  @override
  String get footer250Sbtor => 'خدمة Tor المخفية';

  @override
  String get footer250Sbtos => 'شروط الخدمة';

  @override
  String get formula250Sbexamples8722Sbtitle => 'أمثلة';

  @override
  String get formula250Sbexamples250Sbbtc => '5٪ أعلى من متوسط سعر السوق BTC / EUR: <strong> coingeckobtcusd * usdeur * 1.05 </strong>\n<br/> سعر السوق BTC / XMR: <strong> 1 / coingeckoxmrbtc </strong>\n<br/> تم تحويل 5٪ فوق آخر سعر لعملة BTC / EUR من Kraken إلى الجنيه الإسترليني: <strong> krakenbtceurlast / usdeur * usdgbp * 1.05 </strong>\n<br/> 5٪ أقل من أعلى سعر بين BTC / USD منخفض Bitfinex وآخر سعر لـ BTC / USD Kraken: <strong> max (bitfinexbtcusdlow، krakenbtcusdlast) * 0.95 </strong>\n<br/> 0.1 LTC فوق سعر السوق BTC / LTC: <strong> coingeckobtcltc + 0.1 </strong>';

  @override
  String get formula250Sbexamples250Sbxmr => '5٪ أعلى من متوسط سعر السوق XMR / EUR: <strong> coingeckoxmrusd * usdeur * 1.05 </strong>\n<br/> سعر السوق ETH / XMR: <strong> coingeckoethbtc / coingeckoxmrbtc </strong>\n<br/> سعر السوق BTC / XMR: <strong> 1 / coingeckoxmrbtc </strong>\n<br/> تم تحويل 5٪ فوق آخر سعر لـ Kraken XMR / EUR إلى جنيه إسترليني: <strong> krakenxmreurlast / usdeur * usdgbp * 1.05 </strong>\n<br/> 5٪ أقل من أعلى سعر من بين أدنى سعر لـ XMR / USD و XMR / USD Kraken: <strong> max (bitfinexxmrusdlow، krakenxmrusdlast) * 0.95 </strong>\n<br/> 0.001 BTC على سعر السوق XMR / BTC: <strong> coingeckoxmrbtc + 0.001 </strong>';

  @override
  String get formula250Sbfiat8722Sbrates => 'أسعار صرف فيات';

  @override
  String get formula250Sbfiat8722Sbrates8722Sbtab => 'أسعار فيات للصرافة';

  @override
  String get formula250Sbfunctions => 'المهام';

  @override
  String get formula250Sbinput8722Sblabel => 'صيغة السعر';

  @override
  String get formula250Sbinvalid8722Sbmessage => 'صيغة غير صحيحة!';

  @override
  String get formula250Sbmarkets => 'الأسواق';

  @override
  String get formula250Sbmarkets8722Sbtab => 'الأسواق';

  @override
  String get formula250Sbno8722Sbformula8722Sbmessage => 'أدخل صيغة صحيحة لمعرفة السعر';

  @override
  String get formula250Sboperators => 'العاملين';

  @override
  String get formula250Sboperators8722Sband8722Sbfunctions8722Sbtab => 'Opers & Funcs';

  @override
  String get formula250Sbpopular8722Sbfiat8722Sbpairs => 'أزواج صرف العملات المشهورة';

  @override
  String get formula250Sbunexpected8722Sberror => 'خطأ! قم بتحديث الصفحة وحاول مرة أخرى. إذا استمرت المشكلة ، يرجى الاتصال بفريق الدعم الخاص بنا.';

  @override
  String get guide250Sb2fa250Sbstep8722Sbfive8722Sbtext => 'في تطبيق المصادقة الخاص بك ، امسح رمز الاستجابة السريعة المعروض على الصفحة ضوئيًا. بعد القيام بذلك ، ستبدأ كلمات المرور المكونة من 6 أرقام لمرة واحدة في الظهور في التطبيق.';

  @override
  String guide250Sb2fa250Sbstep8722Sbfour8722Sbtext(Object chooseAnyapp, Object andotp) {
    return 'قم بتثبيت تطبيق المصادقة على هاتفك. يمكنك $chooseAnyapp أن يدعم TOTP. على سبيل المثال ، $andotp مجاني ومفتوح المصدر.';
  }

  @override
  String get guide250Sb2fa250Sbstep8722Sbfour8722Sbtext8722Sbchoose8722Sbany8722Sbapp => 'اختر أي تطبيق';

  @override
  String guide250Sb2fa250Sbstep8722Sbone8722Sbtext8722Sb0(Object appName) {
    return 'يتم تمكين المصادقة الثنائية (2FA) من علامة التبويب \"المصادقة الثنائية\" في صفحة الإعدادات. عند تنشيط المصادقة الثنائية ، من المهم جدًا أن تقوم <strong> بتدوين الرمز الاحتياطي </strong> والاحتفاظ به في مكان آمن ، ويفضل أن يكون على الورق. إذا فقدت الوصول إلى الرموز الثنائية الخاصة بك ، فلن تتمكن من تسجيل الدخول إلى حسابك ولن يتمكن $appName من مساعدتك. هذا هو الهدف من 2FA. <strong> استخدمه على مسؤوليتك الخاصة. </strong>';
  }

  @override
  String guide250Sb2fa250Sbstep8722Sbone8722Sbtext8722Sb1(Object appName, Object totp, Object authMobileapp) {
    return '$appName تقدم $totp 2FA. بمجرد تمكين 2FA ، ستتم مزامنة $authMobileapp مع $appName وستنتج كلمات مرور مكونة من 6 أرقام لمرة واحدة. يتم تغيير كلمة المرور هذه كل دقيقة. لتسجيل الدخول أو سحب سند التحكيم ، بالإضافة إلى كلمة المرور الخاصة بك ، تحتاج أيضًا إلى إدخال كلمة المرور لمرة واحدة قبل انتهاء صلاحيتها.';
  }

  @override
  String get guide250Sb2fa250Sbstep8722Sbone8722Sbtext8722Sb18722Sbauth8722Sbmobile8722Sbapp => 'تطبيق مصادقة للهاتف المحمول';

  @override
  String get guide250Sb2fa250Sbstep8722Sbone8722Sbtext8722Sb18722Sbtotp => 'خوارزمية كلمة المرور لمرة واحدة المستندة إلى الوقت (TOTP)';

  @override
  String guide250Sb2fa250Sbstep8722Sbone8722Sbtext8722Sb2(Object settingsPage) {
    return 'لبدء تفعيل المصادقة الثنائية ، قم بزيارة $settingsPage واختر علامة التبويب \"المصادقة الثنائية\".';
  }

  @override
  String get guide250Sb2fa250Sbstep8722Sbone8722Sbtext8722Sb28722Sbsettings8722Sbpage => 'صفحة الإعدادات';

  @override
  String get guide250Sb2fa250Sbstep8722Sbsix8722Sbtext => 'لإكمال الإعداد ، أدخل الرمز الذي قدمه تطبيق الهاتف المحمول الخاص بك في المربع الموجود أسفل رمز الاستجابة السريعة واضغط على الزر \"تحقق من 2FA\". <br/> <br/> تهانينا! تم تمكين المصادقة ذات العاملين لحسابك. استخدم الرموز الممنوحة لك من التطبيق مع كلمة المرور لتسجيل الدخول وسحب سند التحكيم الخاص بك.';

  @override
  String get guide250Sb2fa250Sbstep8722Sbthree8722Sbtext => '<strong> هام! اكتب الرمز الاحتياطي الخاص بك. </strong> نوصي بطباعته أو كتابته على ورقة خاصة لأقصى درجات الأمان. قم بتخزينه بأمان ، هذا الرمز هو فرصتك الوحيدة لاستعادة الوصول إلى حسابك في حالة فقد هاتفك أو حذف تطبيق المصادقة.';

  @override
  String get guide250Sb2fa250Sbstep8722Sbtwo8722Sbtext => 'أدخل كلمة المرور الخاصة بك واضغط على زر \"Enable 2FA\".';

  @override
  String get guide250Sb2fa250Sbtitle => 'كيفية تمكين المصادقة الثنائية';

  @override
  String get guide250Sbbtc250Sbcard8722Sbfive8722Sb1 => 'لسوء الحظ ، لا تتمتع عملات <strong> مثل البيتكوين بالخصوصية المضمنة في بروتوكولها. </strong> جميع المعاملات والمبالغ المتداولة بين جميع الأطراف مرئية للعامة. هذا يمنع Bitcoin من أن يكون قابلاً للاستبدال ، ويؤدي إلى مشاكل أساسية في جدوى Bitcoin كقاعدة نقدية عالمية.';

  @override
  String get guide250Sbbtc250Sbcard8722Sbfive8722Sb2 => 'تخيل السيناريو التالي: أصبحت عملة البيتكوين هي العملة الوحيدة المستخدمة في العالم. ماذا ستكون بعض الآثار المترتبة على تراجع مستوى الخصوصية؟';

  @override
  String get guide250Sbbtc250Sbcard8722Sbfive8722Sb3 => 'أنت تسافر عبر أجزاء من دولة ذات معدل جرائم عنف من متوسط إلى مرتفع. تحتاج إلى استخدام بعض عملات البيتكوين الخاصة بك للدفع مقابل شيء ما. <strong> إذا كان كل شخص تتعامل معه يعرف بالضبط مقدار الأموال التي لديك ، فهذا يمثل تهديدًا لسلامتك الجسدية الشخصية. </strong>';

  @override
  String get guide250Sbbtc250Sbcard8722Sbfive8722Sb3250Sbtitle => '1. السلامة الجسدية';

  @override
  String get guide250Sbbtc250Sbcard8722Sbfive8722Sb4 => 'أنت شركة تقوم بالدفع لمورد. سيتمكن هذا المورد من معرفة مقدار الأموال التي يمتلكها عملك ، وبالتالي يمكنه تخمين مدى حساسية السعر في المفاوضات المستقبلية. يمكنهم رؤية كل دفعة أخرى تلقيتها على عنوان Bitcoin هذا ، وبالتالي تحديد الموردين الآخرين الذين تتعامل معهم والمبلغ الذي تدفعه لهؤلاء الموردين. قد يكونون قادرين على تحديد عدد العملاء لديك تقريبًا ومقدار ما تشحنه من عملائك. <strong> هذه معلومات حساسة تجاريًا تلحق الضرر بمركزك التفاوضي بما يكفي لتسبب لك خسارة مالية نسبية. </strong>';

  @override
  String get guide250Sbbtc250Sbcard8722Sbfive8722Sb4250Sbtitle => '2. السرية التجارية';

  @override
  String get guide250Sbbtc250Sbcard8722Sbfive8722Sb5 => 'أنت مواطن عادي تدفع مقابل السلع والخدمات عبر الإنترنت. أنت تدرك أنه من الممارسات الشائعة أن تحاول الشركات استخدام خوارزميات <strong> \"تمييز السعر\" </strong> لمحاولة تحديد أعلى الأسعار التي يمكن أن تقدم لك خدمات مستقبلية بها ، وتفضل ألا تفعل ذلك [X307X ] تتمتع بميزة المعلومات المتمثلة في معرفة المبلغ الذي تنفقه وأين تنفقه. </strong>';

  @override
  String get guide250Sbbtc250Sbcard8722Sbfive8722Sb5250Sbtitle => '3. التمييز السعري';

  @override
  String get guide250Sbbtc250Sbcard8722Sbfive8722Sb6 => 'أنت تبيع الكعك وتتلقى عملة البيتكوين كدفعة. اتضح أن <strong> شخص كان يمتلك عملة البيتكوين تلك قبل أن تتورط في نشاط إجرامي </strong>. أنت الآن قلق من أن تصبح <strong> مشتبهاً به في قضية جنائية </strong> ، لأن نقل الأموال إليك مسألة عامة. أنت قلق أيضًا من أن بعض عملات البيتكوين التي تعتقد أنك تملكها ستُعتبر \"ملوثة\" وأن <strong> الآخرين سيرفضون قبولها كدفعة. </strong>';

  @override
  String get guide250Sbbtc250Sbcard8722Sbfive8722Sb6250Sbtitle => '4. الأموال الملوثة';

  @override
  String get guide250Sbbtc250Sbcard8722Sbfive8722Sb7 => '<strong> تحل Monero مشكلات الخصوصية هذه عن طريق تطبيق تقنيات الخصوصية تلقائيًا على كل معاملة يتم إجراؤها. </strong>';

  @override
  String get guide250Sbbtc250Sbcard8722Sbfive8722Sb7250Sbtitle => 'كيف تحل مونيرو هذا';

  @override
  String guide250Sbbtc250Sbcard8722Sbfive8722Sb8(Object fungibility) {
    return 'يمكنك أن تثق في أنه ليس من الممكن امتلاك Monero \"الملوث\". يُعرف هذا المفهوم في علم الاقتصاد باسم $fungibility ويعتبر تاريخيًا خاصية مهمة لأي عملة.';
  }

  @override
  String get guide250Sbbtc250Sbcard8722Sbfive250Sbtitle => 'لماذا الخصوصية المالية مهمة';

  @override
  String get guide250Sbbtc250Sbcard8722Sbfour8722Sb1 => 'استخدم Tor';

  @override
  String guide250Sbbtc250Sbcard8722Sbfour8722Sb2(Object tor) {
    return 'وفقًا لـ $tor ، يعد Tor برنامجًا مجانيًا وشبكة مفتوحة تساعدك في الدفاع ضد تحليل حركة المرور ، وهو شكل من أشكال مراقبة الشبكة التي تهدد الحرية الشخصية والخصوصية والأنشطة والعلاقات التجارية السرية وأمن الدولة.';
  }

  @override
  String guide250Sbbtc250Sbcard8722Sbfour8722Sb3(Object torBrowser, Object appName, Object torLink) {
    return 'لاستخدامه ، ما عليك سوى تنزيل $torBrowser وتثبيته من موقعه الرسمي على الويب. بعد تشغيله ، يمكنك الوصول إلى $appName من خلال بوابة Tor الخاصة بنا: $torLink';
  }

  @override
  String guide250Sbbtc250Sbcard8722Sbfour8722Sb4(Object appName) {
    return 'عند الشراء على $appName ، استخدم طرق الدفع التي تتضمن النقد';
  }

  @override
  String get guide250Sbbtc250Sbcard8722Sbfour8722Sb5 => 'عندما تشتري باستخدام تحويل مصرفي أو PayPal أو خيارات دفع أخرى ، سيكون هناك دائمًا تسرب للخصوصية بسبب السجلات التي تحتفظ بها الشركات التي تعالج دفعتك. لتجنب تسرب الخصوصية هذا ، التزم بالطرق التي تتضمن النقد.';

  @override
  String get guide250Sbbtc250Sbcard8722Sbfour8722Sb6 => 'استخدم طرقًا مثل النقد عن طريق البريد أو الإيداع النقدي من أجهزة الصراف الآلي أو الاجتماعات وجهًا لوجه أو بطاقات الهدايا المشتراة نقدًا. ';

  @override
  String get guide250Sbbtc250Sbcard8722Sbfour250Sbtitle => 'التقنيات المتقدمة للبقاء مجهول الهوية عند استخدام هذه الطريقة في شراء عملات البيتكوين';

  @override
  String guide250Sbbtc250Sbcard8722Sbone8722Sb1(Object wikipedia) {
    return 'حسب $wikipedia:';
  }

  @override
  String get guide250Sbbtc250Sbcard8722Sbone8722Sb2 => 'Monero (XMR) هي عملة مشفرة مفتوحة المصدر تم إنشاؤها في أبريل 2014 وتركز على قابلية التبديل <strong> والخصوصية واللامركزية. </strong> تستخدم Monero دفتر أستاذ عام غامض ، مما يعني أنه يمكن لأي شخص بث أو إرسال المعاملات ، ولكن لا يمكن لأي مراقب خارجي أن يخبرنا المصدر أو المبلغ أو الوجهة. تستخدم Monero آلية إثبات العمل لإصدار عملات معدنية جديدة وتحفيز عمال المناجم لتأمين الشبكة والتحقق من صحة المعاملات.';

  @override
  String get guide250Sbbtc250Sbcard8722Sbone8722Sb3 => 'يتم تشجيع Monero بنشاط لأولئك الذين يسعون إلى الخصوصية المالية ، حيث تظل مدفوعات وأرصدة الحسابات <strong> مخفية تمامًا </strong> ، وهو ليس المعيار لمعظم العملات المشفرة.';

  @override
  String get guide250Sbbtc250Sbcard8722Sbone250Sbtitle => '1. ما هو مونيرو؟';

  @override
  String guide250Sbbtc250Sbcard8722Sbthree8722Sb1(Object appName) {
    return 'الخطوة 6: سحب عملات البيتكوين من $appName';
  }

  @override
  String get guide250Sbbtc250Sbcard8722Sbthree8722Sb2 => 'الآن ، انتقل إلى صفحة المحفظة وحدد المربع \"أريد السحب إلى محفظة BTC أو XMR أو ETH أو LTC أو BCH أو DASH\" في علامة التبويب \"إرسال Monero\" في صفحة المحفظة. في القسم الذي يظهر ، حدد BTC وأدخل عنوان BTC المستلم المعني. ثم أدخل المبلغ في XMR ، وحدد الأولوية ، ثم انقر فوق \"متابعة\". يرجى ملاحظة أن المبلغ المستلم في XMR يجب أن يكون ضمن حدود ChangeNow المقدمة.';

  @override
  String guide250Sbbtc250Sbcard8722Sbthree8722Sb3(Object appName, Object morphtoken) {
    return 'بعد ذلك ، بعد إدخال كلمة المرور الخاصة بك و (إذا تم تمكينها) كلمة المرور لمرة واحدة ، سيرسل $appName عملاتك المعدنية إلى $morphtoken للتحويل.';
  }

  @override
  String guide250Sbbtc250Sbcard8722Sbthree8722Sb4(Object appName) {
    return 'لا تحتاج إلى القيام بأي شيء في هذه المرحلة ، وسيتم فتح نافذة جديدة حيث يمكنك مراقبة حالة المعاملة في متصفحك (إذا لم يتم فتحها ، فالرجاء النقر فوق الارتباط المقدم وتأكد من حفظها حتى تتمكن من رؤية تدفق المعاملة). في حالة حدوث أي خطأ في المعاملة ، ستتم إعادة العملات المعدنية إلى محفظتك $appName.';
  }

  @override
  String get guide250Sbbtc250Sbcard8722Sbthree8722Sb5 => 'الخطوة 7';

  @override
  String guide250Sbbtc250Sbcard8722Sbthree8722Sb6(Object morphtoken) {
    return 'بعد ذلك ، فقط انتظر حتى تتم المعاملة (حوالي 15 دقيقة) وسيقوم $morphtoken بإرسال عملات البيتكوين إلى عنوانك المقدم. تم !';
  }

  @override
  String get guide250Sbbtc250Sbcard8722Sbthree250Sbtitle => 'شراء البيتكوين بشكل مجهول الهوية بالنقد';

  @override
  String get guide250Sbbtc250Sbcard8722Sbtwo8722Sb1 => '<strong> Monero هي العملة المشفرة الرائدة مع التركيز على المعاملات الخاصة والمقاومة للرقابة </strong>. تحتوي معظم العملات المشفرة الحالية ، بما في ذلك Bitcoin و Ethereum ، على سلاسل بلوكشين شفافة ، مما يعني أن المعاملات يمكن التحقق منها بشكل علني ويمكن تتبعها من قبل أي شخص في العالم. علاوة على ذلك ، من المحتمل أن تكون عناوين الإرسال والاستلام لهذه المعاملات مرتبطة بهوية الشخص في العالم الحقيقي.';

  @override
  String get guide250Sbbtc250Sbcard8722Sbtwo8722Sb2 => 'يستخدم Monero التشفير لحماية عناوين الإرسال والاستلام ، بالإضافة إلى المبالغ التي يتم التعامل بها.';

  @override
  String get guide250Sbbtc250Sbcard8722Sbtwo8722Sb3 => 'معاملات Monero سرية ولا يمكن تعقبها.';

  @override
  String get guide250Sbbtc250Sbcard8722Sbtwo8722Sb4 => 'كل معاملة Monero ، بشكل افتراضي ، تخفي عناوين الإرسال والاستلام بالإضافة إلى المبالغ التي تم التعامل معها. تعني هذه الخصوصية التي تعمل دائمًا أن نشاط كل مستخدم Monero يعزز خصوصية جميع المستخدمين الآخرين ، على عكس العملات المشفرة الشفافة بشكل انتقائي (مثل Z-Cash). مونيرو قابل للاستبدال. بحكم التعتيم ، لا يمكن أن تتلطخ Monero من خلال المشاركة في المعاملات السابقة. هذا يعني أنه سيتم قبول Monero دائمًا دون التعرض لخطر الرقابة. يسمح Dandelion ++ بنشر المعاملات دون التأكد من الأصل. سيؤدي هذا إلى تعتيم عنوان IP الخاص بالمعامِل وتوفير مزيد من الحماية ضد مراقبة الشبكة.';

  @override
  String get guide250Sbbtc250Sbcard8722Sbtwo8722Sb5 => 'Monero هو مجتمع شعبي يجتذب أفضل الباحثين في مجال العملات المشفرة والمواهب الهندسية في العالم.';

  @override
  String get guide250Sbbtc250Sbcard8722Sbtwo8722Sb6 => 'ساهم أكثر من 420 مطورًا في مشروع Monero ، بما في ذلك 30 مطورًا أساسيًا. المنتديات وقنوات الدردشة مرحب بها وفعالة.';

  @override
  String get guide250Sbbtc250Sbcard8722Sbtwo8722Sb7 => 'يعمل مختبر أبحاث Monero وفريق التطوير الأساسي ومطورو المجتمع باستمرار على دفع حدود ما هو ممكن من خلال خصوصية وأمان العملة المشفرة.';

  @override
  String get guide250Sbbtc250Sbcard8722Sbtwo8722Sb8 => '<strong> Monero عبارة عن نقود إلكترونية تتيح إجراء مدفوعات سريعة وغير مكلفة من وإلى أي مكان في العالم. </strong> لا توجد فترات احتجاز متعددة الأيام ولا يوجد خطر من عمليات رد المبالغ المدفوعة الاحتيالية. إنه آمن من \"ضوابط رأس المال\" - و هي إجراءات التي تقيد تدفق العملات التقليدية ، وفي بعض الاحيان الى اقصى الدرجات ، في البلدان التي تعاني من عدم الاستقرار الاقتصادي.';

  @override
  String guide250Sbbtc250Sbcard8722Sbtwo250Sbtitle(Object getmonero) {
    return '2. لماذا مونيرو؟ (كما تم شرحه بواسطة $getmonero)';
  }

  @override
  String get guide250Sbbtc250Sbconclusion8722Sb1 => 'تزداد صعوبة الأمر مع مرور الوقت ، ولكن لا يزال من الممكن تحقيق شراء مجهول الهوية لعملة البيتكوين طالما أنك على استعداد لاتخاذ خطوة إضافية تتمثل في <strong> في تحويلها من Monero. </strong> لحسن الحظ ، تعمل Monero على زيادة خصوصيتك وإخفاء هويتك بدرجة أكبر. في حين أن معظم الأدلة الأخرى المتاحة عبر الإنترنت يقترحون طرقًا تتضمن خطوات تؤدي إلى مزيد من تسريبات الخصوصية ، فإن هذا الدليل يوفر طريقة لا تقلل فقط من تسريبات الخصوصية ، بل تعزز أيضًا مستوى خصوصيتك مقارنة بشراء البيتكوين مباشرةً بالنقد ، نظرًا لأنه <strong> ستتم حمايتك بواسطة ميزات خصوصية Monero. </strong>';

  @override
  String get guide250Sbbtc250Sbconclusion250Sbtitle => 'خاتمة';

  @override
  String get guide250Sbbtc250Sbintro8722Sb1 => '<strong> أصبح شراء عملات البيتكوين بشكل مجهول الهوية مهمة صعبة بشكل متزايد. </strong>';

  @override
  String guide250Sbbtc250Sbintro8722Sb2(Object ninetyNinebitcoins, Object coincentral, Object linebreak, Object gutter, Object localbitcoins, Object paypal) {
    return 'مع مرور كل يوم ، يبدو أن معظم ، إن لم يكن كل ، الطرق التقليدية للحصول على البيتكوين قد بدأت تتطلب التحقق من الهوية ، مما يجعل معظم الأدلة متاحة على الإنترنت اليوم مثل تلك الموجودة في $ninetyNinebitcoins أو $coincentral قديمة. $linebreak  $gutter الطريقة التقليدية لشراء عملات البيتكوين بدون معرف كانت بشكل أساسي من خلال منصة تبادل البيتكوين P2P $localbitcoins ، المكان الذي كان شائعًا بشكل خاص لشراء البيتكوين بشكل مجهول باستخدام $paypal.';
  }

  @override
  String get guide250Sbbtc250Sbintro8722Sb3 => 'ولكن ، لسوء الحظ ، حتى <strong> LocalBitcoins بدأت في طلب التحقق من الهوية من جميع المتداولين. </strong>';

  @override
  String get guide250Sbbtc250Sbintro8722Sb4 => 'إذن ، هل هي الأيام التي يمكنك فيها شراء عملات البيتكوين ببطاقة ائتمان على الفور وبدون التحقق وبدون علمنا؟ ليس تماما. هنا ، نقدم لك طريقة سهلة ومجهولة الهوية وذات خصوصية وسريعة للحصول على عملات البيتكوين نقدًا في بضع خطوات فقط ... ';

  @override
  String get guide250Sbbtc250Sbtitle => 'كيفية شراء عملات البيتكوين بشكل مجهول الهوية';

  @override
  String guide250Sbbuy250Sbstep8722Sbfive8722Sbtext(Object assetName) {
    return 'بمجرد ان قمت بالدفع ، انقر فوق الزر \"لقد دفعت\". بمجرد أن يتحقق التاجر من استلام دفعتك ، ستنتهي الصفقة وسرعان ما سترى $assetName في محفظة التسوية الخاصة بك. وهذا كل ما في الأمر ، تهانينا على تداولك الأول $assetName!';
  }

  @override
  String guide250Sbbuy250Sbstep8722Sbfive8722Sbtext8722Sblocalmonero8722Sbwallet(Object appName) {
    return '$appName المحفظة';
  }

  @override
  String guide250Sbbuy250Sbstep8722Sbfour8722Sbtext(Object assetName) {
    return 'بعد الضغط على زر \"شراء\" ، سترى المزيد من المعلومات حول الإعلان ، بما في ذلك شروط الصفقة. اقرأها قبل تقديم طلب الصفقة ، إذا كنت لا توافق عليها يمكنك العودة إلى الصفحة السابقة واختيار إعلان آخر. لبدء التداول ، اكتب مقدار $assetName الذي تريد شراءه وانقر فوق الزر \"إرسال طلب تداول\" لبدء التداول. تأكد من استعدادك للدفع عند النقر فوق الزر ، إذا لم تدفع قبل انتهاء نافذة الدفع ، فسيكون البائع قادرًا على إلغاء الصفقة.';
  }

  @override
  String guide250Sbbuy250Sbstep8722Sbone8722Sbtext(Object registerAnaccount, Object appName) {
    return '$registerAnaccount مع $appName. يمكنك الحصول على محفظة Monero مجانية وآمنة عبر الإنترنت. ليست هناك حاجة إلى تطبيقات إضافية. إذا كان لديك حساب بالفعل ، فانتقل إلى الخطوة التالية.';
  }

  @override
  String get guide250Sbbuy250Sbstep8722Sbone8722Sbtext8722Sbregister8722Sban8722Sbaccount => 'تسجيل حساب';

  @override
  String guide250Sbbuy250Sbstep8722Sbone8722Sbtext57Sbagoradesk(Object registerAnaccount, Object appName) {
    return '$registerAnaccount مع $appName. يمكنك الحصول على محفظة عملات رقمية مجانية وآمنة عبر الإنترنت. ليست هناك حاجة إلى تطبيقات إضافية. إذا كان لديك حساب بالفعل ، فانتقل إلى الخطوة التالية.';
  }

  @override
  String get guide250Sbbuy250Sbstep8722Sbthree8722Sbtext => 'من قائمة الإعلانات ، اختر واحدًا من المتداولين من الذين يتمتعون بسمعة طيبة وكمية عالية من الصفقات. تعني الدائرة الخضراء أن المتداول كان متصلاً بالإنترنت اليوم ، والدائرة الصفراء تعني أنه زار الموقع هذا الأسبوع ، والدائرة الرمادية تعني أن المتداول لم يكن هنا منذ أكثر من أسبوع. يمكنك النقر فوق الزر \"شراء\" لعرض مزيد من المعلومات حول أحد الإعلانات.';

  @override
  String guide250Sbbuy250Sbstep8722Sbtwo8722Sbtext(Object mainPage, Object assetName) {
    return 'اذهب إلى $mainPage وفي مربع البحث املأ النموذج بالمبلغ الذي تريد شراءه بعملتك وموقعك وطريقة الدفع. إذا لم تكن متأكدًا من الطريقة التي تريد الدفع بها ، فاختر \"جميع العروض عبر الإنترنت\" كطريقة الدفع الخاصة بك. سوف يسرد الموقع التجار $assetName المتاحين في منطقتك.';
  }

  @override
  String get guide250Sbbuy250Sbstep8722Sbtwo8722Sbtext8722Sbmain8722Sbpage => 'الصفحة الرئيسية';

  @override
  String get guide250Sbbuy250Sbtitle => 'كيفية شراء مونيرو عبر الإنترنت';

  @override
  String get guide250Sbbuy250Sbtitle57Sbagoradesk => 'كيفية شراء عملة مشفرة عبر الإنترنت';

  @override
  String get guide250Sbcbm250Sbbuyer250Sb0250Sbtext => 'يمكنك وضع النقود في الظرف في المنزل أو في السيارة ، ويمكنك وضع هاتفك مع الفيديو قيد التشغيل في جيب القميص الأمامي الخاص بك وسيسجل العملية برمتها دون بذل الكثير من العمل الإضافي منك، بصرف النظر عن التأكد من تقوم بفعل كل شيء أمام المكان الذي تشير إليه الكاميرا. إذا كان لديك شيء مثل GoPro أو أحدث جهاز iPhone به كاميرا بزاوية رؤية أوسع ، فسيكون الأمر أسهل.\n\nاحتفظ بالصورة في حالة حدوث نزاع لمدة 180 يومًا.';

  @override
  String get guide250Sbcbm250Sbbuyer250Sb0250Sbtitle => 'يجب أن يتم تصوير الفيديو الخاص بك في لقطة واحدة ، دون انقطاع';

  @override
  String get guide250Sbcbm250Sbbuyer250Sb1250Sbtext => 'استخدم نوعًا من التقطيع / الختم / الختم المخصص ، أو توقيعًا أو مجرد حركات عشوائية مع شارب داخل الظرف ، يغطي جميع الأسطح. سيساعد هذا في تحديد ما إذا كان البائع يفتح بالفعل المغلف الذي أرسلته أم مغلفًا مزيفًا. تأكد من أن العلامة واضحة على الفيديو.';

  @override
  String get guide250Sbcbm250Sbbuyer250Sb1250Sbtitle => 'ضع العلامات المخصصة داخل المغلف';

  @override
  String get guide250Sbcbm250Sbbuyer250Sb2250Sbtext => 'للتخفيف من حالة (محتملة ، ولكنها نادرة جدًا) لسرقة بريد في الطريق ، حاول إخفاء حقيقة أن الحزمة تحتوي على نقود. يمكنك وضع النقود في مجلة أو كيس مايلر أو حاوية أخرى. كما يعمل الختم الفراغي بالنقود.';

  @override
  String get guide250Sbcbm250Sbbuyer250Sb2250Sbtitle => 'حاول إخفاء النقود';

  @override
  String get guide250Sbcbm250Sbbuyer250Sb3250Sbtext => 'بدلاً من مجرد وضع النقود في المغلف ، استخدم عدة مغلفات متداخلة لحزمتك. ضع النقود في أصغر مغلف (أو ببساطة قم بطي مغلف أكبر حسب الضرورة) ، وأغلقه ، ثم ضعه في مغلف آخر. كرر هذه العملية حتى يكون لديك 3 مغلفات متداخلة على الأقل. يساعد هذا في ضمان أنه إذا حاول الطرف المستلم التلاعب بحزمتك ، فسيواجهون صعوبة أكبر في إعادة إحكامها جميعًا بطريقة لا يمكن اكتشافها عند فحصها بواسطة وسيط النزاع.';

  @override
  String get guide250Sbcbm250Sbbuyer250Sb3250Sbtitle => 'ضع المغلفات داخل المغلفات';

  @override
  String get guide250Sbcbm250Sbbuyer250Sb4250Sbtext => 'قد تضيع الطرود التي تم إرسالها بدون تتبع سواء كانت مع وبدون تتبع، قد يكون من المستحيل تحديد موقعها. يتيح التتبع أيضًا للطرف المستلم أن يشعر براحة البال بأن الحزمة في طريقها في حالة استغراقها وقتًا أطول من المتوقع.';

  @override
  String get guide250Sbcbm250Sbbuyer250Sb4250Sbtitle => 'إرسال مع التتبع';

  @override
  String get guide250Sbcbm250Sbbuyer250Sb5250Sbtext => 'كما ذكرنا من قبل ، مع المتداولين المعروفين ، تكون مخاطر المشتري منخفضة للغاية. لا تعني القيمة المنخفضة جدًا صفرًا ، لذا تأكد من اتباع هذه القواعد لتكون مستعدًا لحالة النزاع.';

  @override
  String get guide250Sbcbm250Sbbuyer250Sb5250Sbtitle => 'استنتاج';

  @override
  String get guide250Sbcbm250Sbbuyer250Sbintro => 'إذا التزمت ببائعين ذوي سمعة عالية ، فمن غير المرجح أن تواجه أي مشكلات أثناء الشراء نقدًا عبر البريد ، ومع ذلك ستساعدك النصائح التالية في إثبات دفعك في حالة حدوث نزاع. أهم شيء تفعله هو تسجيل مدفوعاتك بالفيديو. فيما يلي الإرشادات:';

  @override
  String get guide250Sbcbm250Sbbuyer250Sbtitle => 'إذا كنت تشتري ...';

  @override
  String get guide250Sbcbm250Sbdescription => 'تذهب الغالبية العظمى من صفقات Cash by Mail دون أي عوائق ، ولكن لا يزال يتعين عليك اتباع هذه الإرشادات للاستعداد للنزاع.';

  @override
  String get guide250Sbcbm250Sbinfocard => 'تأكد من قراءة دليلنا حول البقاء بأمان مع النقد عن طريق البريد!';

  @override
  String get guide250Sbcbm250Sbseller250Sb0250Sbtext => 'سجل نفسك باستلام الطرد من عامل البريد ، عامل البريد الذي يزنها ، سجل الملصق ، جميع الجوانب الخارجية للطرد ؛ افتح الحزمة أثناء التصوير مع توجيه الكاميرا إليه ، وقم بتشغيل النقود من خلالعداد و ماسح ضوئي مزيف. تأكد من تصوير كل شيء في لقطة واحدة. احتفظ دائمًا بالحزمة في مجال رؤية الكاميرا. احتفظ بالصورة في حالة حدوث نزاع لمدة 180 يومًا.';

  @override
  String get guide250Sbcbm250Sbseller250Sb0250Sbtitle => 'قم بعمل فيديو لاستلام الحزمة وفتحها';

  @override
  String get guide250Sbcbm250Sbseller250Sb1250Sbtext => 'الشيء الأساسي الذي يجب تذكره (وقد وضعنا إخلاء المسؤولية حول هذا الأمر في كل خطوة على الطريق) هو عدم إنهاء الصفقة أبدًا حتى يكون لديك المال وأنت واثق تمامًا من أن كل شيء على ما يرام. لن يضغط عليك المشتري الشرعي للإنهاء المبكر.';

  @override
  String get guide250Sbcbm250Sbseller250Sb1250Sbtitle => 'تحت أي ظرف من الظروف ، قم بإنهاء الصفقة مبكرًا';

  @override
  String get guide250Sbcbm250Sbseller250Sb2250Sbtext => 'سيساعدك هذا على تمييز الحزم القادمة من مشترين مختلفين وتجنب الالتباس. سيساعد هذا أيضًا في منع هجمات الرجل الذي في المنتصف ، حيث يتدخل المحتال بين المشتري والبائع ، متظاهرًا بأنه البائع عند التحدث إلى المشتري والتظاهر بأنه المشتري عند التحدث إلى البائع .';

  @override
  String get guide250Sbcbm250Sbseller250Sb2250Sbtitle => 'اطلب من المشتري وضع ملاحظة باسم المستخدم والمعرف التجاري';

  @override
  String get guide250Sbcbm250Sbseller250Sbtitle => 'إذا كنت تبيع ...';

  @override
  String get guide250Sbcbm250Sbtitle => 'البقاء بأمان مع النقد عن طريق البريد';

  @override
  String guide250Sblocal250Sbtext8722Sb0(Object appName, Object online) {
    return 'يقدم $appName نوعين رئيسيين من الإعلانات ، $online والإعلانات المحلية. من خلال الإعلانات المحلية ، تلتقي شخصيا بشريكك التجاري وتجري التجارة وجهًا لوجه. يغطي هذا الدليل الأساسيات حول كيفية إعداد الإعلانات المحلية وكيفية التداول محليًا.';
  }

  @override
  String get guide250Sblocal250Sbtext8722Sb08722Sbonline => 'عبر الانترنت';

  @override
  String get guide250Sblocal250Sbtext8722Sb1 => 'هل يوجد سوق / طلب؟';

  @override
  String guide250Sblocal250Sbtext8722Sb2(Object assetName) {
    return 'يعتمد الأمر على المكان الذي تعيش فيه ، ففي المدن الكبرى ستجد عددًا أكبر من الأشخاص المهتمين بشراء $assetName مقارنة بالخارج في الريف. نظرًا لأن معاملات $assetName لا رجعة فيها ولكن معظم الأشكال التقليدية للدفع عبر الإنترنت يمكن عكسها ، فإن بيع $assetName محليًا بشكل مباشر نقدًا يجعل قبول الدفع أكثر أمانًا ، حيث أن النقد لا رجوع فيه تمامًا مثل $assetName. يقدر بعض الناس الخصوصية التي توفرها الصفقات النقدية. يعد شراء مبلغ صغير من $assetName نقدًا أيضًا طريقة رائعة لبدء استخدام $assetName دون الكثير من المتاعب.';
  }

  @override
  String guide250Sblocal250Sbtext8722Sb3(Object assetName) {
    return 'ماذا لو نفد $assetName؟';
  }

  @override
  String guide250Sblocal250Sbtext8722Sb4(Object assetName) {
    return 'إذا نفد $assetName يمكنك الشراء بسرعة أكبر من بورصة $assetName التقليدية ، على الرغم من أن ذلك يستغرق عادة بضعة أيام حيث ستحتاج إلى الشراء باستخدام التحويل المصرفي.';
  }

  @override
  String get guide250Sblocal250Sbtext8722Sb5 => 'تأكد من سهولة الوصول إليك! في إعلانك ، حدد المكان والوقت المفضل لديك للقاء. يمكنك تضمين رقم هاتفك الخلوي في الإعلان.';

  @override
  String get guide250Sblocal250Sbtext8722Sb58722Sbtitle => 'اعلان';

  @override
  String guide250Sblocal250Sbtext8722Sb6(Object assetName) {
    return 'جميع المخاطر التقليدية التي تحكم تبادل الأموال تتعلق أيضًا بالتداول $assetName. يرجى النظر في المخاطر بعناية ، واستخدام نظام التغذية الراجعة والتدابير الأخرى لضمان سلامتك.';
  }

  @override
  String get guide250Sblocal250Sbtext8722Sb68722Sbtitle => 'المخاطر';

  @override
  String guide250Sblocal250Sbtext8722Sb7(Object assetName) {
    return 'قد تكون هناك حالات يتم فيها تمرير الأموال المزيفة إلى بائع $assetName. يرجى التفكير في استخدام كاشف التزوير عند القيام بالصفقات.';
  }

  @override
  String get guide250Sblocal250Sbtext8722Sb78722Sbtitle => 'النقود المزيفة';

  @override
  String get guide250Sblocal250Sbtext8722Sb8 => '<strong> يرجى ملاحظة: </strong> قبل أن تبدأ التداول كعمل تجاري ، ابحث عن تشريعات بلدك لمعرفة ما إذا كنت مطالبًا بتقديم طلب للحصول على أي تراخيص أو إذا كانت هناك أي متطلبات قانونية أخرى.';

  @override
  String get guide250Sblocal250Sbtext8722Sb9 => 'تداول سعيد!';

  @override
  String get guide250Sblocal250Sbtext8722Sbfour => 'أرسل روابط إلى أصدقائك ، وأعلن على وسائل التواصل الاجتماعي ومحليًا ، انتظر حتى تبدأ الأوامر';

  @override
  String guide250Sblocal250Sbtext8722Sbstep8722Sbone(Object signUp) {
    return '$signUp إذا لم تكن قد فعلت ذلك بالفعل';
  }

  @override
  String get guide250Sblocal250Sbtext8722Sbstep8722Sbone8722Sbsign8722Sbup => 'اشتراك';

  @override
  String guide250Sblocal250Sbtext8722Sbstep8722Sbthree(Object loadMonero) {
    return '$loadMonero ، إذا كنت تبيع';
  }

  @override
  String guide250Sblocal250Sbtext8722Sbstep8722Sbthree8722Sbload8722Sbmonero(Object assetName) {
    return 'قم بتحميل $assetName إلى محفظتك';
  }

  @override
  String get guide250Sblocal250Sbtext8722Sbstep8722Sbtwo => 'انشر إعلان تجاري';

  @override
  String get guide250Sblocal250Sbtext8722Sbsteps8722Sbtitle => 'حسنًا ، ما هي الخطوات الأولى؟';

  @override
  String get guide250Sblocal250Sbtitle => 'كيفية شراء أو بيع Monero مقابل الدليل النقدي';

  @override
  String get guide250Sblocal250Sbtitle57Sbagoradesk => 'كيفية شراء أو بيع cryptocurrency for cash guide';

  @override
  String guide250Sbmnemonic250Sbbtc250Sbdescription(Object appName) {
    return 'ستتعلم في هذا الدليل كيفية استعادة محفظة التسوية غير المقيدة الخاصة بك $appName من الرموز النشطةالمميزة الموضحة في صفحة التجارة.';
  }

  @override
  String get guide250Sbmnemonic250Sbbtc250Sbelectrum250Sbcontent250Sb1 => 'قم بتنزيل أحدث إصدار من محفظة Electrum من <a target=\"_blank\" href=\"https://electrum.org/#download\" class=\"next-link\"> electrum.org </a> وقم بتشغيله.';

  @override
  String get guide250Sbmnemonic250Sbbtc250Sbelectrum250Sbcontent250Sb2 => 'اختر \"جديد / استعادة\" من قائمة \"ملف\" (يتم اختيارها تلقائيًا إذا لم يكن لديك أي محافظ Electrum أخرى على جهازك).';

  @override
  String get guide250Sbmnemonic250Sbbtc250Sbelectrum250Sbcontent250Sb3 => 'اختر اسم المحفظة والوضع الذي تريده (على سبيل المثال \"قياسي\").';

  @override
  String get guide250Sbmnemonic250Sbbtc250Sbelectrum250Sbcontent250Sb4 => 'حدد \"لدي بالفعل رمزمميز\" واضغط على \"التالي\".';

  @override
  String get guide250Sbmnemonic250Sbbtc250Sbelectrum250Sbcontent250Sb5 => 'الصق الرموز النشطة المميزة من صفحة الصفقة في المدخلات. ثم اضغط على \"خيارات\" تحت حقل إدخال الرموز النشطة المميزة وحدد كلاً من \"تمديد هذه الرموز بالكلمات المخصصة\" و \"BIP39 seed\" ، واضغط على \"موافق\" ثم \"التالي\".';

  @override
  String guide250Sbmnemonic250Sbbtc250Sbelectrum250Sbcontent250Sb6(Object appName) {
    return 'في إدخال \"امتداد الرموز\" ، اكتب كلمة المرور $appName التي استخدمتها عند إنهاء الصفقة واضغط على \"التالي\".';
  }

  @override
  String guide250Sbmnemonic250Sbbtc250Sbelectrum250Sbcontent250Sb7(Object formattedDerivationPath) {
    return 'حدد \"segwit أصلي (p2wpkh)\" وفي إدخال مسار الاشتقاق أدناه اكتب $formattedDerivationPath. اضغط على \"التالي\".';
  }

  @override
  String get guide250Sbmnemonic250Sbbtc250Sbelectrum250Sbcontent250Sb8 => 'اختر أي كلمة مرور تريدها لمحفظتك واضغط على \"التالي\".';

  @override
  String get guide250Sbmnemonic250Sbbtc250Sbelectrum250Sbcontent250Sb9 => 'هذا هو! سترى جميع المعاملات تحت علامة التبويب \"السجل\".';

  @override
  String get guide250Sbmnemonic250Sbbtc250Sbelectrum250Sbtitle => 'باستخدام Electrum';

  @override
  String get guide250Sbmnemonic250Sbmonero250Sbcli250Sbcontent250Sb1 => 'قم بتنزيل أحدث إصدار من محفظة Monero CLI لنظام التشغيل الخاص بك من <a target=\"_blank\" href=\"https://getmonero.org/downloads\" class=\"next-link\"> getmonero.org </a>.';

  @override
  String guide250Sbmnemonic250Sbmonero250Sbcli250Sbcontent250Sb2(Object formattedFlag) {
    return 'قم بتشغيل المحفظة بعلامة $formattedFlag.';
  }

  @override
  String get guide250Sbmnemonic250Sbmonero250Sbcli250Sbcontent250Sb3 => 'أدخل أي اسم تريده لمحفظتك.';

  @override
  String get guide250Sbmnemonic250Sbmonero250Sbcli250Sbcontent250Sb4 => 'عندما يُطلب منك <strong> \"تحديد رموز الإلكتروم\" </strong> ، الصق الرموز النشطة والمميزة من صفحة التجارة.';

  @override
  String guide250Sbmnemonic250Sbmonero250Sbcli250Sbcontent250Sb5(Object appName) {
    return 'عندما يُطلب منك <strong> \"إدخال عبارة مرور الإزاحة الأولية\" ، </strong> اكتب كلمة المرور $appName التي استخدمتها عند إنهاء الصفقة.';
  }

  @override
  String get guide250Sbmnemonic250Sbmonero250Sbcli250Sbcontent250Sb6 => 'أجب عن الأسئلة التالية حسب أولوياتك.';

  @override
  String guide250Sbmnemonic250Sbmonero250Sbcli250Sbcontent250Sb7(Object formattedCommand) {
    return 'هذا هو! بعد مزامنة المحفظة ، سترى جميع المعاملات باستخدام الأمر $formattedCommand.';
  }

  @override
  String get guide250Sbmnemonic250Sbmonero250Sbcli250Sbtitle => 'استخدام محفظة CLI الرسمية';

  @override
  String get guide250Sbmnemonic250Sbmonero250Sbgui250Sbcontent250Sb1 => 'قم بتنزيل أحدث إصدار من محفظة Monero GUI لنظام التشغيل الخاص بك من <a target=\"_blank\" href=\"https://getmonero.org/downloads\" class=\"next-link\"> getmonero.org </a> وقم بتشغيله.';

  @override
  String get guide250Sbmnemonic250Sbmonero250Sbgui250Sbcontent250Sb2 => 'اختر وضع المحفظة الذي تفضله ، ثم حدد \"استعادة المحفظة من المفاتيح أو الرموز النشطة والمميزة\".';

  @override
  String guide250Sbmnemonic250Sbmonero250Sbgui250Sbcontent250Sb3(Object appName) {
    return 'اختر \"استعادة من الرموز\" (محددًا افتراضيًا) والصق الرموز النشطة والمميزة من صفحة الصفقة في الإدخال أدناه. بعد ذلك ، حدد \"Seed offset passphrase\" واكتب $appName كلمة المرور التي استخدمتها عند إنهاء الصفقة. اضغط على \"التالي\". ';
  }

  @override
  String get guide250Sbmnemonic250Sbmonero250Sbgui250Sbcontent250Sb4 => 'هذا هو! بعد مزامنة المحفظة ، سترى جميع المعاملات ضمن علامة التبويب \"المعاملات\".';

  @override
  String get guide250Sbmnemonic250Sbmonero250Sbgui250Sbtitle => 'استخدام محفظة GUI الرسمية';

  @override
  String get guide250Sbmnemonic250Sbtitle => 'كيف يمكنني استعادة محفظة التسوية غير المقيدة الخاصة بي من الرموز النشطة والمميزة؟';

  @override
  String get guide250Sbnon8722Sbcustodial250Sbbuy250Sb1 => 'اذهب إلى الصفحة الرئيسية <a target=\"_blank\" href=\"/\" class=\"next-link\"> </a> - سترى أفضل العروض لمنطقتك الافتراضية. يمكنك تحسين نتائجك عن طريق إدخال المبلغ المطلوب وتغيير العملة أو البلد أو طريقة الدفع (حدد \"جميع العروض عبر الإنترنت\" إذا لم تكن متأكدًا من طريقة الدفع التي تريد استخدامها) في مربع البحث والضغط على \"بحث\".';

  @override
  String get guide250Sbnon8722Sbcustodial250Sbbuy250Sb1250Sb1 => 'من قائمة الإعلانات ، اختر واحدًا من المتداولين من الذين لديهم  عدد كبير من الصفقات ونقاط سمعة جيدة (تظهر على التوالي بين قوسين بجوار اسم المستخدم). تعني الدائرة الخضراء أن المتداول كان متصلاً بالإنترنت اليوم ؛ دائرة صفراء تعني أنهم زاروا الموقع هذا الأسبوع ؛ والدائرة الرمادية تعني أن المتداول لم يتواجد هنا منذ أكثر من أسبوع. يمكنك النقر فوق الزر \"شراء\" لعرض مزيد من المعلومات حول أحد الإعلانات.';

  @override
  String get guide250Sbnon8722Sbcustodial250Sbbuy250Sb157Sbagoradesk => 'اذهب إلى الصفحة الرئيسية <a target=\"_blank\" href=\"/\" class=\"next-link\"> </a> - سترى أفضل العروض لمنطقتك الافتراضية. بعد ذلك ، حدد العملة المشفرة التي تريد تداولها بالضغط على علامة التبويب المقابلة في الصف أعلى جدول الإعلانات. في هذا المثال ، سنختار BTC. في العمود الأيمن ، يجب عليك بعد ذلك تحديد علامة التبويب \"شراء\". يمكنك تحسين نتائجك عن طريق إدخال المبلغ المطلوب وتغيير العملة أو البلد أو طريقة الدفع (حدد \"جميع العروض عبر الإنترنت\" إذا لم تكن متأكدًا من طريقة الدفع التي تريد استخدامها) في مربع البحث والضغط على الزر الأزرق باستخدام الزر رمز \"بحث\".';

  @override
  String guide250Sbnon8722Sbcustodial250Sbbuy250Sb2(Object assetName) {
    return 'بعد الضغط على الزر \"شراء\" ، سترى المزيد من المعلومات حول الإعلان ، بما في ذلك شروط الصفقة. اقرأها قبل تقديم طلب الصفقة ، إذا كنت لا توافق عليها ، يمكنك العودة إلى الصفحة السابقة واختيار إعلان آخر. لبدء التداول ، اكتب مقدار $assetName الذي تريد شراءه وانقر فوق الزر \"إرسال طلب تداول\". ستظهر لك مرة أخرى شروط الصفقة، اقرأها بعناية مرة أخرى وتأكد من موافقتك ، ثم اضغط على \"قبول الشروط\".';
  }

  @override
  String get guide250Sbnon8722Sbcustodial250Sbbuy250Sb3 => 'بعد ذلك ، سيُطلب منك إدخال عنوان محفظة التسوية الخاصة بك. هذا هو العنوان الذي سيتم إرسال العملات التي اشتريتها إليه. إذا لم يكن لديك محفظة XMR شخصية ، فيمكنك استخدام محفظة <a target=\"_blank\" href=\"https://www.getmonero.org/downloads/\" class=\"next-link\"> الرسمية Monero GUI أو محفظة CLI </a> أو <a target=\"_blank\" href=\"https://featherwallet.org/\" class=\"next-link\"> Feather wallet </a>. انسخ عنوانك من محفظتك والصقه في إدخال \"تلقي عنوان Monero\" (تأكد من أن العنوان الذي تم لصقه هو نفس العنوان المنسوخ لتجنب فقد عملاتك المعدنية). يرجى ملاحظة أن المحفظة التي تستخدمها للتسوية التجارية يجب أن تكون خاصة بك ، ولا يُسمح بمحافظ مستضافة من طرف ثالث. بمجرد الانتهاء ، اضغط على \"بدء التداول\" لبدء التداول.';

  @override
  String get guide250Sbnon8722Sbcustodial250Sbbuy250Sb357Sbagoradesk => 'بعد ذلك ، سيُطلب منك إدخال عنوان محفظة التسوية الخاصة بك. هذا هو العنوان الذي سيتم إرسال العملات التي اشتريتها إليه. إذا لم يكن لديك محفظة BTC شخصية ، يمكنك استخدام <a target=\"_blank\" href=\"https://electrum.org/#home\" class=\"next-link\"> Electrum wallet </a>. انسخ عنوانك من محفظتك والصقه في إدخال \"تلقي عنوان Bitcoin\" (تأكد من أن العنوان الذي تم لصقه هو نفس العنوان المنسوخ لتجنب فقد عملاتك المعدنية). يرجى ملاحظة أن المحفظة التي تستخدمها للتسوية التجارية يجب أن تكون خاصة بك ، ولا يُسمح بمحافظ مستضافة من طرف ثالث. بمجرد الانتهاء ، اضغط على \"بدء التداول\" لبدء التداول.';

  @override
  String get guide250Sbnon8722Sbcustodial250Sbbuy250Sb4 => 'سيتم فتح صفحة تجارية في متصفحك. تواصل مع البائع من خلال الدردشة التجارية للتأكد من استعداد البائع لتلقي مدفوعاتك وتوضيح أي أسئلة لديك حول إجراء الدفع.';

  @override
  String get guide250Sbnon8722Sbcustodial250Sbbuy250Sb5 => 'قم بالدفع وفقًا لتعليمات البائع واضغط فورًا على \"لقد دفعت\" - سيؤدي هذا إلى إخطار البائع بأن الدفع قد اكتمل ويمنع البائع من إلغاء الصفقة.';

  @override
  String get guide250Sbnon8722Sbcustodial250Sbbuy250Sb7 => 'بمجرد أن يؤكد البائع تلقي دفعتك ، سيبدأ تسوية الصفقة. سترى أن الوضع التجاري قد تغير إلى \"قيد المعالجة\". في هذه المرحلة ، لا يوجد شيء آخر تحتاج إلى القيام به - سيتم تحويل العملات المعدنية إلى عنوان محفظة التسوية الذي قدمته تلقائيًا. سيستغرق هذا بعض الوقت (عادةً حوالي 10-60 دقيقة) ، لذا فقط استرخي وانتظر حتى تظهر المعاملة الواردة في محفظتك الشخصية. يرجى ملاحظة أنه سيتم خصم رسوم معاملات الشبكة المرتبطة بالتسوية التجارية من مبلغ التداول ، مما يعني أنك ستتلقى أقل قليلاً مما هو معروض في صفحة الصفقة.';

  @override
  String get guide250Sbnon8722Sbcustodial250Sbbuy250Sb8 => 'هذا هو! بمجرد الانتهاء من تسوية الصفقة واستلام عملاتك المعدنية ، ستتمكن من رؤية تفاصيل التسوية من خلال توسيع قسم \"تفاصيل المعاملة\" في صفحة التداول. لا تنس أن تترك ملاحظاتك حول تجربتك مع هذا البائع!';

  @override
  String guide250Sbnon8722Sbcustodial250Sbregister(Object appName) {
    return '<a target=\"_blank\" href=\"/signup\" class=\"next-link\"> تسجيل حساب </a> مع $appName. إذا كان لديك حساب بالفعل ، فانتقل إلى الخطوة التالية.';
  }

  @override
  String guide250Sbnon8722Sbcustodial250Sbsell250Sb1(Object appName) {
    return 'قم بإيداع العملات المعدنية في محفظة سندات التحكيم <a target=\"_blank\" href=\"/account/wallet\" class=\"next-link\"> $appName الخاصة بك </a>. سترى عنوان الإيداع $appName الخاص بك ضمن علامة التبويب \"استلام\".';
  }

  @override
  String get guide250Sbnon8722Sbcustodial250Sbsell250Sb2 => 'انتقل إلى الصفحة الرئيسية <a target=\"_blank\" href=\"/\" class=\"next-link\"> </a> وفي مربع البحث ، حدد \"بيع\". يمكنك تحسين نتائجك عن طريق إدخال المبلغ المطلوب وتغيير العملة أو البلد أو طريقة الدفع (حدد \"جميع العروض عبر الإنترنت\" إذا لم تكن متأكدًا من طريقة الدفع التي تريد استخدامها) في مربع البحث. اضغط على \"بحث\".';

  @override
  String get guide250Sbnon8722Sbcustodial250Sbsell250Sb2250Sb1 => 'تعتبر بعض طرق الدفع <a target=\"_blank\" href=\"/faq#high-risk-methods\" class=\"next-link\"> عالية المخاطر </a>. معاملات العملات المشفرة لا رجوع فيها تمامًا. إذا تم عكس الدفع الذي قام به المشتري ، فبمجرد بيع عملتك المشفرة ، لن تتمكن من استردادها. لهذا السبب نوصيك بالبيع بطريقة دفع منخفضة المخاطر للمستخدمين ذوي الخبرة بكمية كبيرة من الصفقات السابقة ودرجة سمعة عالية.';

  @override
  String get guide250Sbnon8722Sbcustodial250Sbsell250Sb2250Sb2 => 'من قائمة الإعلانات ، اختر واحدًا من المتداولين ممن لديه عدد كبير من الصفقات ونقاط سمعة جيدة (تظهر على التوالي بين قوسين بجوار اسم المستخدم). تعني الدائرة الخضراء أن المتداول كان متصلاً بالإنترنت اليوم ؛ دائرة صفراء تعني أنهم زاروا الموقع هذا الأسبوع ؛ والدائرة الرمادية تعني أن المتداول لم يتواجد هنا منذ أكثر من أسبوع. يمكنك النقر فوق الزر \"بيع\" لعرض مزيد من المعلومات حول أحد الإعلانات.';

  @override
  String get guide250Sbnon8722Sbcustodial250Sbsell250Sb257Sbagoradesk => 'انتقل إلى الصفحة الرئيسية <a target=\"_blank\" href=\"/\" class=\"next-link\"> </a> وفي العمود الأيسر ، حدد علامة التبويب \"بيع\". بعد ذلك ، حدد العملة المشفرة التي تريد تداولها بالضغط على علامة التبويب المقابلة في الصف أعلى جدول الإعلانات. في هذا المثال ، سنختار BTC. يمكنك تحسين نتائجك عن طريق إدخال المبلغ المطلوب وتغيير العملة أو البلد أو طريقة الدفع (حدد \"جميع العروض عبر الإنترنت\" إذا لم تكن متأكدًا من طريقة الدفع التي تريد استخدامها) في مربع البحث. اضغط على الزر الأزرق مع أيقونة \"بحث\".';

  @override
  String guide250Sbnon8722Sbcustodial250Sbsell250Sb3(Object assetName) {
    return 'بعد الضغط على زر \"بيع\" ، سترى المزيد من المعلومات حول الإعلان ، بما في ذلك شروط التجارة. اقرأها قبل تقديم طلب التجارة ، إذا كنت لا توافق عليها ، يمكنك العودة إلى الصفحة السابقة واختيار إعلان آخر. لبدء صفقة ، اكتب مقدار $assetName الذي تريد بيعه وانقر فوق الزر \"إرسال طلب تداول\". ستظهر لك مرة أخرى شروط الصفقة ، اقرأها بعناية مرة أخرى وتأكد من موافقتك ، ثم اضغط على \"موافق على الشروط وابدأ التداول\".';
  }

  @override
  String get guide250Sbnon8722Sbcustodial250Sbsell250Sb4 => 'سيتم فتح صفحة تجارية في متصفحك. تواصل مع المشتري من خلال الدردشة التجارية وزوده بتفاصيل الدفع الخاصة بك.';

  @override
  String get guide250Sbnon8722Sbcustodial250Sbsell250Sb5 => 'سيتم إعلامك بمجرد قيام المشتري بالدفع. تأكد من استلام الدفعة وأنه المبلغ الصحيح. بمجرد التحقق من صحة الدفعة بنسبة 100٪ ، اضغط على \"إنهاء\".';

  @override
  String guide250Sbnon8722Sbcustodial250Sbsell250Sb6(Object appName) {
    return 'في هذه المرحلة ، سيُطلب منك إدخال كلمة مرور $appName الحالية. اكتبها واضغط على تأكيد. بإدخال كلمة المرور الخاصة بك ، فأنت تقوم بإنشاء محفظة تسوية وتوقيع معاملة العملة المشفرة ، لذا تأكد من عدم نسيان أو فقدان كلمة المرور على الأقل حتى تتم تسوية الصفقة.';
  }

  @override
  String get guide250Sbnon8722Sbcustodial250Sbsell250Sb7 => 'سترى أن الوضع التجاري قد تغير إلى \"قيد المعالجة\". في هذه المرحلة ، لا يوجد شيء آخر تحتاج إلى القيام به - سيتم تحويل العملات المعدنية إلى عنوان محفظة تسوية المشتري تلقائيًا.';

  @override
  String get guide250Sbnon8722Sbcustodial250Sbsell250Sb8 => 'هذا هو! بمجرد الانتهاء من تسوية الصفقة ، ستتمكن من رؤية تفاصيل التسوية عن طريق توسيع قسم \"تفاصيل المعاملة\" في صفحة الصفقة. لا تنس ترك ملاحظاتك حول تجربتك مع هذا المشتري!';

  @override
  String guide250Sbsell250Sbstep8722Sbfive8722Sbtext(Object assetName) {
    return 'بعد إرسال طلب التجارة ، سيطلب منك المشتري تفاصيل الدفع الخاصة بك (على سبيل المثال ، إذا كنت ترغب في البيع مقابل تحويل مصرفي ، فسيطلب المشتري معلومات حسابك المصرفي). بعد تزويد المشتري بمعلومات الدفع ، سيدفع ثمن $assetName ويؤكدها لك. يرجى التأكد من أنك قد تلقيت الأموال في حسابك قبل إنهاء الصفقة. لا تنهي الصفقة أبدًا قبل استلام الدفعة. معاملات $assetName لا رجعة فيها ، بمجرد إرسال $assetName إلى المشتري ، لا توجد طريقة لاستعادتها ، حتى لو لم تظهر مدفوعات المشتري. بمجرد تأكيد إجراء الدفع ، يمكنك التمرير لأسفل الصفحة واختيار \"إنهاء\". سيؤدي هذا إلى إرسال $assetName إلى محفظة تسوية المشتري وإكمال الصفقة.';
  }

  @override
  String guide250Sbsell250Sbstep8722Sbfour8722Sbtext(Object assetName) {
    return 'بعد الضغط على زر \"بيع\" ، سترى المزيد من المعلومات حول الإعلان ، بما في ذلك شروط الصفقة. اقرأها قبل تقديم طلب الصفقة ، إذا كنت لا توافق عليها يمكنك العودة إلى الصفحة السابقة واختيار إعلان آخر. لبدء التداول ، اكتب مقدار $assetName الذي تريد بيعه وانقر فوق الزر \"إرسال طلب تداول\" لبدء التداول. بمجرد بدء التداول ، سيتم نقل $assetName من محفظتك إلى سند التحكيم لحماية الصفقة.';
  }

  @override
  String get guide250Sbsell250Sbstep8722Sbthree8722Sbtext => 'من قائمة الإعلانات ، اختر واحدًا من متداول يتمتع بسمعة طيبة وكمية عالية من الصفقات. تعني الدائرة الخضراء أن المتداول كان متصلاً بالإنترنت اليوم ، والدائرة الصفراء تعني أنه زار الموقع هذا الأسبوع ، والدائرة الرمادية تعني أن المتداول لم يكن هنا منذ أكثر من أسبوع. يمكنك النقر فوق الزر \"بيع\" لعرض مزيد من المعلومات حول أحد الإعلانات.';

  @override
  String guide250Sbsell250Sbstep8722Sbtwo8722Sbtext8722Sb0(Object mainPage, Object assetName) {
    return 'انتقل إلى $mainPage وفي مربع البحث حدد علامة التبويب \"بيع\" ، واملأ النموذج بالمبلغ الذي تريد بيعه بعملتك ، وموقعك ، واختر طريقة الدفع. إذا لم تكن متأكدًا من الطريقة التي تريد أن يتم الدفع لك بها ، فاختر \"جميع العروض عبر الإنترنت\" كطريقة الدفع الخاصة بك. سوف يسرد الموقع التجار $assetName المتاحين في منطقتك.';
  }

  @override
  String get guide250Sbsell250Sbstep8722Sbtwo8722Sbtext8722Sb08722Sbmain8722Sbpage => 'الصفحة الرئيسية';

  @override
  String get guide250Sbsell250Sbstep8722Sbtwo8722Sbtext8722Sb1 => 'تعتبر بعض طرق الدفع عالية الخطورة. معاملات Monero لا رجوع فيها تمامًا. بمجرد بيع Monero الخاص بك ، لا يمكنك استردادها ، حتى إذا تم عكس الدفع. لهذا السبب نوصيك بالبيع بطريقة دفع منخفضة المخاطر للمستخدمين ذوي الخبرة بكمية كبيرة من الصفقات السابقة وردود فعل بنسبة 100٪.';

  @override
  String get guide250Sbsell250Sbstep8722Sbtwo8722Sbtext8722Sb157Sbagoradesk => 'تعتبر بعض طرق الدفع عالية الخطورة. معاملات العملات المشفرة لا رجوع فيها تمامًا. بمجرد بيع عملتك المشفرة ، لن تتمكن من استعادتها ، حتى إذا تم عكس الدفع. لهذا السبب نوصيك بالبيع بطريقة دفع منخفضة المخاطر للمستخدمين ذوي الخبرة بكمية كبيرة من الصفقات السابقة وردود فعل بنسبة 100٪.';

  @override
  String get guide250Sbsell250Sbtitle => 'كيفية بيع Monero عبر الإنترنت';

  @override
  String get guide250Sbsell250Sbtitle57Sbagoradesk => 'كيفية بيع العملات الرقمية عبر الإنترنت';

  @override
  String get guide250Sbtelegram250Sbcard8722Sbtitle => 'إشعارات الهاتف المحمول Telegram';

  @override
  String get guide250Sbtelegram250Sbconclusion => 'تهانينا! الآن يمكنك الرد على عملائك على الفور!';

  @override
  String guide250Sbtelegram250Sbdisable8722Sbtext(Object accountSettings) {
    return 'إذا كنت ترغب في تعطيل الإشعارات من برنامج الروبوت الخاص بنا ، فانتقل مرة أخرى إلى علامة التبويب \"الإشعارات\" في $accountSettings وانقر على الزر الأحمر \"تعطيل إشعارات Telegram\".';
  }

  @override
  String get guide250Sbtelegram250Sbdisable8722Sbtext8722Sbaccount8722Sbsettings => 'إعدادت الحساب';

  @override
  String get guide250Sbtelegram250Sbdisable8722Sbtitle => 'كيفية تعطيل الإشعارات؟';

  @override
  String guide250Sbtelegram250Sbprologue8722Sb0(Object telegram, Object appName) {
    return 'يسمح لك $telegram بتلقي إشعارات $appName (مثل الصفقة الجديدة ، أو الدفع الجديد ، أو إنهاء الصفقة أو إخطارات رسائل الدردشة الجديدة) في شكل رسائل Telegram من روبوت الإخطار الخاص بنا.';
  }

  @override
  String guide250Sbtelegram250Sbprologue8722Sb1(Object officialFaq) {
    return 'Telegram هو تطبيق مراسلة للجوال. يمكنك قراءة المزيد حول ماهية Telegram في $officialFaq.';
  }

  @override
  String get guide250Sbtelegram250Sbprologue8722Sb18722Sbofficial8722Sbfaq => 'التعليمات الرسمية';

  @override
  String guide250Sbtelegram250Sbprologue8722Sb2(Object installed) {
    return 'لتفعيل إشعارات الهاتف المحمول ، يجب أن يكون لديك Telegram $installed.';
  }

  @override
  String get guide250Sbtelegram250Sbprologue8722Sb28722Sbinstalled => 'مثبتة على جهازك';

  @override
  String guide250Sbtelegram250Sbstep8722Sbone8722Sbtext8722Sb0(Object pressThis, Object appName) {
    return '$pressThis أو ابحث عن \'$appName Notification Bot\' في حقل بحث Telegram وحدد $appName Notification Bot.';
  }

  @override
  String get guide250Sbtelegram250Sbstep8722Sbone8722Sbtext8722Sb08722Sbpress8722Sbthis => 'اضغط على هذا الرابط';

  @override
  String get guide250Sbtelegram250Sbstep8722Sbone8722Sbtext8722Sb1 => 'بعد أن تفتح نافذة الدردشة ، اضغط على \"ابدأ\" في أسفل الشاشة أو أرسل الرسالة \"/ ابدأ\" (بدون علامات الاقتباس) يدويًا.';

  @override
  String get guide250Sbtelegram250Sbstep8722Sbone8722Sbtext8722Sb2 => 'سيعطيك برنامج الروبوت الخاص بنا معرف إشعارات Telegram.';

  @override
  String get guide250Sbtelegram250Sbstep8722Sbthree8722Sbtext => 'هذا هو! الآن سوف تتلقى إشعارات من الروبوت الخاص بنا.';

  @override
  String guide250Sbtelegram250Sbstep8722Sbtwo8722Sbtext8722Sb0(Object accountSettings) {
    return 'انتقل إلى $accountSettings وحدد علامة التبويب \"التنبيهات\".';
  }

  @override
  String get guide250Sbtelegram250Sbstep8722Sbtwo8722Sbtext8722Sb08722Sbsettings => 'إعدادت الحساب';

  @override
  String get guide250Sbtelegram250Sbstep8722Sbtwo8722Sbtext8722Sb1 => 'اكتب معرف إشعارات Telegram في الحقل ذي الصلة في قسم \"إشعارات Telegram\".';

  @override
  String get guide250Sbtelegram250Sbstep8722Sbtwo8722Sbtext8722Sb2 => 'انقر فوق رمز الحفظ لحفظ معرف إشعارات Telegram.';

  @override
  String get guide250Sbtelegram250Sbtitle => 'كيفية تشغيل إشعارات الهاتف المحمول Telegram';

  @override
  String guide250Sbtrade250Sbblock8722Sb18722Sbtext8722Sb0(Object appName, Object assetName, Object linebreak, Object localmoneroWallet, Object create, Object aSellmoneroad) {
    return 'الصفقة النموذجية على $appName تعمل مثل هذا ، المثال هو تجارة البيع عبر الإنترنت حيث تبيع $assetName إلى مشتر. تتشابه العملية عندما تشتري $assetName عبر الإنترنت ، ولكن في هذا المثال نركز على بيع $assetName ، لأنه أكثر أنواع التجارة شيوعًا. $linebreak  تحتاج أولاً إلى إيداع $assetName في $localmoneroWallet. $linebreak  بعد ذلك ، تحتاج إلى $create $aSellmoneroad (يسمى إعلان بيع عبر الإنترنت). عند إجراء الإعلان ، اختر طريقة الدفع ، وحدد أسعارك وحدودك واكتب شروط التجارة كرسالة نموذجية مجانية. ';
  }

  @override
  String guide250Sbtrade250Sbblock8722Sb18722Sbtext8722Sb08722Sba8722Sbsell8722Sbmonero8722Sbad(Object assetName) {
    return 'بيع إعلان $assetName عبر الإنترنت';
  }

  @override
  String get guide250Sbtrade250Sbblock8722Sb18722Sbtext8722Sb08722Sbcreate => 'خلق، انشاء ، ابتكار';

  @override
  String get guide250Sbtrade250Sbblock8722Sb18722Sbtext8722Sb08722Sbfund => 'تمويل';

  @override
  String guide250Sbtrade250Sbblock8722Sb18722Sbtext8722Sb08722Sblocalmonero8722Sbwallet(Object appName) {
    return '$appName المحفظة';
  }

  @override
  String guide250Sbtrade250Sbblock8722Sb18722Sbtext8722Sb1(Object assetName, Object appName) {
    return 'يجب أن يكون لديك $assetName في محفظة سندات التحكيم $appName حتى يتمكن العملاء من فتح طلبات التجارة من إعلاناتك. <br/> <br/> عندما يفتح مشتري <strong> صفقة معك </strong> ، يتم حجز $assetName لكامل مبلغ الصفقة تلقائيًا من محفظتك. إعطاء تعليمات الدفع للمشتري وإرشاد المشتري من خلال دفع ثمن الصفقة. ستتلقى إشعارات بالبريد الإلكتروني عندما يرد شخص ما على إعلانك. <br/> <br/> بمجرد أن يدفع المشتري ويضغط على الزر <strong> لقد دفعت </strong> ، ستتلقى إشعارًا عبر البريد الإلكتروني وعلى موقع الويب يفيد بأن الصفقة قد دفعت. <br/> <br/> عندما تؤكد أنك قد تلقيت الدفعة ، فقد حان الوقت لإتمام الصفقة. بعد إنهاء الصفقة وتسويتها ، سيحصل المشتري على $assetName في محفظة التسوية الخاصة به. <br/> <br/> الخطوة الأخيرة هي ترك تعليق </strong> للمشتري <strong> وتشجيع المشتري على فعل الشيء نفسه من أجلك. التعليقات مهمة من أجل اكتساب السمعة وإجراء المزيد من الصفقات.';
  }

  @override
  String get guide250Sbtrade250Sbblock8722Sb18722Sbtitle => 'نظرة عامة على عملية التداول';

  @override
  String guide250Sbtrade250Sbblock8722Sb28722Sbtext(Object assetName) {
    return 'قبل أن تبدأ التداول ، عليك التفكير في طرق الدفع التي ستوفرها والبحث عن طريقة الدفع حتى تعرف كيف تعمل. عند بدء التداول لأول مرة ، نوصيك بعدم اختيار طريقة دفع عالية المخاطر. يمكن أن يكون التحويل مع بنك معين طريقة دفع جيدة ، خاصة إذا كان هناك عدد قليل من المتداولين النشطين في بلدك. <br/> <br/> <strong> قبل أن تبدأ التداول </strong> <br/> <br/> قبل أن تبدأ التداول تأكد من أن <strong> تعرف نفسك على تشريعاتك المحلية </strong> وأنك ملتزم بأي قانون ذي صلة القوانين وأن لديك التراخيص التجارية اللازمة للسلطة القضائية التي تتداول فيها. <br/> <br/> تختلف التشريعات كثيرًا من بلد إلى آخر وما إذا كنت تتداول كفرد أو كشركة. <br/> <br/> <strong> ابحث عن طريقة الدفع </strong> التي ستعرضها. اقرأ إعلانات المتداولين الآخرين لنفس طريقة الدفع وقم بإجراء بعض الصفقات معهم. حاول تحديد المشاكل المحتملة قبل أن تبدأ التداول. <br/> <br/> <strong> استخدم حسابات الدفع فقط للتداول $assetName. </strong> سيقوم بعض موفري الدفع بإغلاق حسابك بشكل مؤقت أو دائم إذا تلقيت مدفوعات غير مصرح بها تتعلق بالاحتيال. إن استخدام الحسابات فقط للتداول $assetName يحمي أموالك الشخصية.';
  }

  @override
  String get guide250Sbtrade250Sbblock8722Sb28722Sbtitle => 'ابدء';

  @override
  String guide250Sbtrade250Sbblock8722Sb38722Sbtext8722Sb0(Object advertisementCreationpage, Object linebreak, Object dashboard, Object requiredOptions, Object location, Object paymentMethod, Object currency, Object thisList) {
    return '$advertisementCreationpage هو المكان الذي تنشئ فيه إعلانات جديدة. $linebreak  هناك بعض الخيارات المطلوبة عند إنشاء إعلان ، والكثير من الخيارات الإضافية الاختيارية ولكن يوصى بضبطها. يتيح لك استخدام الخيارات الإضافية ضبط إعلانك ليناسب استراتيجية التداول الخاصة بك. $linebreak  يمكنك العثور على جميع الإعلانات التي قمت بإنشائها من $dashboard. في لوحة القيادة ، يمكنك أيضًا العثور على صفقاتك المفتوحة. $linebreak  $requiredOptions $linebreak  $location أدخل البلد الذي تريد ظهور إعلانك فيه. $linebreak  $paymentMethod حدد طريقة الدفع التي تريد تقديمها من القائمة المنسدلة. $linebreak  $currency اختر العملة التي تبيع بها. على سبيل المثال ، إذا كنت تبيع في فرنسا ، فيجب عليك تحديد EUR. يمكنك استخدام $thisList للعثور على اختصار عملتك.';
  }

  @override
  String get guide250Sbtrade250Sbblock8722Sb38722Sbtext8722Sb08722Sbadvertisement8722Sbcreation8722Sbpage => 'صفحة إنشاء الإعلان';

  @override
  String get guide250Sbtrade250Sbblock8722Sb38722Sbtext8722Sb08722Sbcurrency => 'عملة';

  @override
  String get guide250Sbtrade250Sbblock8722Sb38722Sbtext8722Sb08722Sbdashboard => 'لوحة القيادة';

  @override
  String get guide250Sbtrade250Sbblock8722Sb38722Sbtext8722Sb08722Sblocation => 'موقع';

  @override
  String get guide250Sbtrade250Sbblock8722Sb38722Sbtext8722Sb08722Sbpayment8722Sbmethod => 'طريقة الدفع او السداد';

  @override
  String get guide250Sbtrade250Sbblock8722Sb38722Sbtext8722Sb08722Sbrequired8722Sboptions => 'الخيارات المطلوبة';

  @override
  String get guide250Sbtrade250Sbblock8722Sb38722Sbtext8722Sb08722Sbthis8722Sblist => 'هذه القائمة';

  @override
  String guide250Sbtrade250Sbblock8722Sb38722Sbtext8722Sb1(Object assetName, Object assetSymbol, Object appName) {
    return '<strong> سعر السوق أو السعر الثابت </strong> <br/> لتسعير إعلانك يمكنك إدخال الهامش الذي تريده أعلى من سعر السوق $assetName. للقيام بذلك ، أدخل نسبة في حقل الهامش بعد اختيار خيار \"سعر السوق\". قد ترغب أيضًا في تحديد سعر ثابت لن يتغير حتى تقوم بتغييره يدويًا. لهذا تحتاج إلى تحديد خيار \"السعر الثابت\" وإدخال قيمة السعر. <br/> <br/> <strong> دقيقة. / الأعلى. حد المعاملة </strong> <br/> يحدد الحد الأدنى للمعاملة أصغر مبلغ يمكن لأي شخص شراؤه. إذا قمت بتعيينه على خمسة ، وقمت بتعيين عملتك على EUR ، فهذا يعني أن أصغر مبلغ تداول يمكن لشخص ما أن يفتح صفقة تداول معه سيكون مقابل 5 يورو. يحدد الحد الأقصى للمعاملة أكبر مبلغ تداول تريد قبوله. <br/> <br/> <strong> شروط التجارة </strong> <br/> هذا هو النص الذي يراه المشتري قبل أن يفتح صفقة تداول معك. إنها لفكرة جيدة أن تكتب تعليمات للمشتري حول الطريقة التي تريد أن تستمر بها التجارة وما إذا كان لديك أي تعليمات محددة. إذا طلبت ، على سبيل المثال ، من المشتري تقديم إيصال كإثبات للدفع قبل إتمام الصفقة أو إذا كنت بحاجة إلى أن يقدم المشتري بطاقة هوية ، فهذا هو المكان المناسب لذكره. يمكنك إلقاء نظرة على إعلانات المتداولين الآخرين لطريقة الدفع التي تريد استخدامها للحصول على فكرة عما تحتويه شروط التجارة الجيدة. <br/> <br/> <strong> خيارات إضافية </strong> <br/> <br/> <strong> حدود تصل إلى </strong> <br/> يمكنك تقييد الإعلان على القدرة على فتح صفقات لمبالغ محددة فقط. إذا أدخلت 20،30،60 في المربع ، فلن يتمكن الشريك التجاري المحتمل من فتح صفقة إلا مقابل 20 أو 30 أو 60 يورو. <br/> <br/> <strong> تفاصيل الدفع </strong> <br/> أدخل هنا معلومات محددة تتعلق بكيفية الدفع للمشتري ، يمكن أن يكون هذا رقم حسابك المصرفي أو عنوان بريدك الإلكتروني (على سبيل المثال لـ PayPal). <br/> <br/> <strong> الحد الأدنى من درجة الملاحظات المطلوبة </strong> <br/> يسمح لك الحد الأدنى من الملاحظات بتعيين الحد الأدنى من درجة الملاحظات المطلوبة لفتح صفقة باستخدام إعلانك. <br/> <br/> <strong> الحد الزمني الأول ($assetSymbol) </strong> <br/> هذا حد أقصى محدد للمعاملة للمستخدمين الجدد. إذا أراد المشتري الذي ليس لديه سجل تداول سابق معك فتح صفقة معك ، فهذا هو أكبر مبلغ يمكنه فتح صفقة به. <br/> <br/> <strong> نافذة الدفع </strong> <br/> مقدار الوقت الذي يتعين على المشتري فيه إكمال السداد قبل أن يتمكن البائع من إلغاء الصفقة. <br/> <br/> <strong> تتبع الحد الأقصى من السيولة </strong> <br/> يؤدي تمكين تتبع السيولة إلى تقليل الحد الأقصى للإعلان بالمبلغ المحتجز حاليًا في التداولات المفتوحة. <br/> <br/> <strong> نصائح سريعة حول تحديد المحتالين </strong> <br/> <br/> <strong> غالبًا ما يكون المشترون المحتالون في عجلة من أمرهم. </strong> كلما طلب العميل منك الإسراع / التسرع كلما زاد الشك يجب أن تكون كذلك ، فالعملاء الحقيقيون يتحلون بالصبر دائمًا. <br/> <br/> غالبًا ما يقترح المشترون المحتالون <strong> إجراء كل أو جزء من المعاملة خارج نظام حماية سند التحكيم </strong> ثم لا يكملون الجزء الخاص بهم من الصفقة. <br/> <br/> كن حذرًا بشأن <strong> دليل الدفع باستخدام برنامج فوتوشوب </strong> ، لا تُنهي الصفقة حتى تؤكد استلامك المال. لست ملزمًا بإنهاء الصفقة حتى تتمكن من التحقق من استلامك لمبلغ المشتري. <br/> <br/> <strong> لا تفتح أي روابط يرسلها لك شريكك التجاري </strong>. إذا كان لا بد من ذلك ، فاستخدم متصفحًا مختلفًا عن المتصفح الذي تستخدمه. <br/> <br/> لا تقم بزيارة مواقع ويب بخلاف $appName باستخدام المتصفح الذي تستخدمه في التجارة. <strong> استخدم مستعرضًا مختلفًا لمواقع الويب الأخرى. </strong> <br/> <br/> إشارة مرجعية $appName في متصفحك واستخدم دائمًا الإشارة المرجعية عند زيارة موقع الويب. يساعدك هذا على تجنب زيارة مواقع التصيد عن طريق الخطأ ، فهي موجودة ويمكن أن تكون مقنعة للغاية.';
  }

  @override
  String guide250Sbtrade250Sbblock8722Sb38722Sbtext8722Sb2(Object contactSupport) {
    return 'إذا لم تكن متأكدًا من مستخدم ، فيمكنك دائمًا $contactSupport للحصول على المساعدة.';
  }

  @override
  String get guide250Sbtrade250Sbblock8722Sb38722Sbtext8722Sb28722Sbcontact8722Sbsupport => 'اتصل بالدعم';

  @override
  String get guide250Sbtrade250Sbblock8722Sb38722Sbtitle => 'انشاء اعلان';

  @override
  String guide250Sbtrade250Sbblock8722Sb48722Sbtext8722Sb0(Object termsOfservice) {
    return 'يرجى قراءة $termsOfservice.';
  }

  @override
  String get guide250Sbtrade250Sbblock8722Sb48722Sbtext8722Sb08722Sbterms8722Sbof8722Sbservice => 'شروط الخدمة';

  @override
  String guide250Sbtrade250Sbblock8722Sb48722Sbtext8722Sb1(Object appName, Object assetName) {
    return 'يتعامل الدعم <br/> <br/> $appName مع النزاعات بناءً على الأدلة المقدمة من المشاركين التجاريين وسمعتهم. <br/> <br/> يمكن بدء النزاعات بعد وضع علامة على الدفعة مكتملة. <br/> <br/> بعد الانتهاء من الصفقة، تعتبر الصفقة منتهية بواسطة $appName ولا يمكن الاعتراض عليها. <br/> <br/> عندما لا يستجيب بائع $assetName ، سينهي $appName الصفقة إذا كان بإمكان المشتري تقديم إثبات صالح للدفع. <br/> <br/> إذا لم يستجب المشتري بعد بدء التداول ، فسيتم إرجاع سند التحكيم إلى البائع بواسطة دعم $appName.';
  }

  @override
  String get guide250Sbtrade250Sbblock8722Sb48722Sbtitle => 'النزاعات';

  @override
  String guide250Sbtrade250Sbhappy8722Sbtrading(Object appName) {
    return '$appName تتمنى لكم تداول سعيد!';
  }

  @override
  String get guide250Sbtrade250Sbtitle => 'مقدمة عن تداول مونيرو';

  @override
  String get guide250Sbtrade250Sbtitle57Sbagoradesk => 'مقدمة عن تداول العملات المشفرة';

  @override
  String get guide250Sbxmr250Sbcard8722Sbfour250Sbtitle => '4. الأساليب المتقدمة في البقاء مجهول الهوية عند استخدام هذه الطريقة في شراء مونيرو';

  @override
  String get guide250Sbxmr250Sbcard8722Sbthree250Sbtitle => '3. شراء Monero نقدًا مجهول الهوية';

  @override
  String get guide250Sbxmr250Sbtitle => 'كيفية شراء Monero مجهول';

  @override
  String get guides250Sbread8722Sbmore => 'المزيد من القراءة';

  @override
  String get home250Sbgreeting250Sbanywhere => 'في أى مكان.';

  @override
  String home250Sbgreeting250Sbbuy8722Sbmonero(Object assetName) {
    return 'شراء $assetName.';
  }

  @override
  String get home250Sbgreeting250Sbcash8722Sbor8722Sbonline => 'نقدًا أو عبر الإنترنت.';

  @override
  String home250Sbgreeting250Sbsell8722Sbmonero(Object assetName) {
    return 'بيع $assetName.';
  }

  @override
  String get home250Sbgreeting250Sbsignup8722Sbbtn => 'الاشتراك مجانا';

  @override
  String get home250Sbnewsfeed250Sbtitle => 'أحدث الأخبار';

  @override
  String get homepage8722Sblocation250Sbchange8722Sbbtn => 'يتغير';

  @override
  String get homepage8722Sblocation250Sbreset8722Sbbtn => 'إعادة ضبط';

  @override
  String get homepage8722Sblocation250Sbsave8722Sbbtn => 'يحفظ';

  @override
  String homepage8722Sblocation250Sbtitle(Object location) {
    return 'إظهار الإعلانات في $location';
  }

  @override
  String get homepage250Sbagora250Sbcoin8722Sbtrading8722Sbtitle => 'تداول عملات البيتكوين';

  @override
  String homepage250Sbno8722Sbresults8722Sb0(Object asset, Object country) {
    return 'لا توجد إعلانات نشطة $asset في $country ... حتى الآن.';
  }

  @override
  String homepage250Sbno8722Sbresults8722Sb1(Object post_an_ad) {
    return 'يمكنك أن تكون أول شخص $post_an_ad في الفئات التالية:';
  }

  @override
  String get homepage250Sbno8722Sbresults8722Sb18722Sbpost8722Sban8722Sbad => 'انشر إعلانا';

  @override
  String get info250Sbwhere8722Sbare8722Sbmy8722Sbxmr8722Sbaccordion250Sbtext250Sb0 => 'إذا كان بإمكانك رؤية المعاملة على مستكشف الكتل ، فهذا يعني أن المعاملة قد تم إرسالها بنجاح. إذا كنت لا تراها على الطرف المتلقي ، فإن المشكلة تكمن في نهايتك. من المحتمل وجود مشكلة في المزامنة أو أنك تستخدم برنامج محفظة قديم.';

  @override
  String get info250Sbwhere8722Sbare8722Sbmy8722Sbxmr8722Sbaccordion250Sbtext250Sb1 => 'جرب هذه الاقتراحات لفك المزامنة:';

  @override
  String get info250Sbwhere8722Sbare8722Sbmy8722Sbxmr8722Sbaccordion250Sbtext250Sb2 => 'بدلاً من ذلك ، حاول استخدام تطبيق محفظة مختلف أو اتصال إنترنت مختلف.';

  @override
  String get info250Sbwhere8722Sbare8722Sbmy8722Sbxmr8722Sbaccordion250Sbtitle => 'لماذا لا أرى XMR في محفظتي؟';

  @override
  String get keywords => 'شراء بطاقة ائتمان monero xmr النقدية usd اليورو الجنيه تحويل مصرفي محلي بيع cryptocurrency مجهول';

  @override
  String get keywords57Sbagoradesk => 'شراء bitcoin btc monero xmr cash بطاقة ائتمان usd euro pound تحويل مصرفي محلي بيع عملة مشفرة مجهولة';

  @override
  String get knowledge250Sbatomic250Sb0250Sbtext => '<p> في السعي لتحقيق اللامركزية ونظام غير مرخص حقًا ، هناك القليل من الأشياء المرغوبة في مجال العملات المشفرة مثل التبادلات اللامركزية والمقايضات الذرية. منذ إنشائها ، كافحت Monero لتنفيذ المقايضات الذرية ، حيث تخلق ميزات الخصوصية مشاكل فريدة عند محاولة تصميم بروتوكول. </p>\n\n<p> لكن أولاً ، دعنا نعود. ما هي المقايضات الذرية؟ المقايضة الذرية هي بروتوكول يمكن من خلاله تبادل عملتين مشفرتين مختلفتين ، على سلاسل بلوكشين مختلفة ، بطريقة غير موثوقة بدون وسيط. هذا يعني أنه إذا أراد شخص ما تبادل العملة المشفرة A مقابل العملة المشفرة B ، فسيكون قادرًا على القيام بذلك دون تبادل ، مركزي أو لامركزي. كما قد يتخيل المرء ، يتطلب هذا بحثًا كبيرًا ، وتصبح التفاصيل الفنية الكاملة التي تجعله ممكنًا معقدة للغاية. مرة أخرى ، LocalMonero هنا للمساعدة وتقديم شرح بسيط للشخص العادي. </p>\n\n<p> للبدء ، دعونا ننظر في أبسط شكل من أشكال المقايضة الذرية ، كما تم تنفيذه بواسطة Bitcoin. إذا أراد شخص ما استبدال Bitcoin بعملة أخرى تستخدم نفس تقنية عقد قفل وقت التجزئة ، فيمكنه القيام بذلك بالطريقة التالية. أليس لديها Bitcoin (BTC) ، ولكنها تريد Litecoin (LTC) ، وبوب لديه LTC ، لكنه يريد BTC. قرروا إجراء مبادلة ذرية حتى يحصل كل منهم على العملة التي يريدونها. ترسل أليس عملة البيتكوين الخاصة بها إلى عنوان خاص ، باستخدام البرامج النصية التي تحبس الأموال بعيدًا حتى لا تتمكن من الوصول إليها. يمكنك التفكير في الأمر كما لو أن أليس تضع BTC الخاص بها في صندوق تأمين. عندما يتم إنشاء صندوق القفل ، تحصل على مفتاح ، وترسل تجزئة هذا المفتاح إلى بوب. الآن لا يملك بوب المفتاح نفسه ، فقط التجزئة ، لذلك لا يمكنه الوصول إلى الأموال بعد. </p>\n\n<p> يستخدم بوب هذه التجزئة كبذرة يقوم من خلالها بإنشاء صندوق تأمين خاص به ، ويرسل LTC الخاص به هناك ، حيث يتم قفله أيضًا. نظرًا لاستخدام تجزئة مفتاح Alice كبذرة تم من خلالها إنشاء صندوق قفل Bob ، يمكنها استخدام مفتاحها للمطالبة بـ LTC في صندوق تأمين Bob. مفتاحها يناسبها! ولكن ، باستخدام سحر الرياضيات ، عندما تستخدم مفتاحها لفتح قفل LTC ، تكشف عن المفتاح لبوب ، الذي يمكنه بعد ذلك استخدامه للمطالبة بـ BTC التي وضعتها في صندوق القفل الخاص بها. بهذه الطريقة ، وبدون وسيط ، نجح أليس وبوب في تبادل أصولهما. </p>\n\n<p> لكن هناك مشكلة بسيطة. ماذا لو أرسلت أليس إلى صندوق الأمانات الخاص بها ، وقرر بوب أنه لا يريد التداول بعد الآن. الآن ، نظرًا لأن أليس لا يمكنها الوصول إلى بيتكوين الخاص بها الذي أغلقته بعيدًا ، ولن يكمل بوب الجزء الخاص به من المعاملة ، فإن أليس تخسر أموالها إلى الأبد. حسنًا ، لحسن الحظ ، لدى Bitcoin القليل من التكنولوجيا تسمى معاملات الاسترداد ، وبالتالي بعد فترة من الوقت ، إذا لم يطالب بوب بـ BTC ، فإن البرامج النصية تحتوي على أمان مضمّن ، حيث ستعود BTC تلقائيًا إلى Alice. كان هذا هو المطب السريع الأساسي لتنفيذ مقايضات Monero الذرية. بسبب تقنية خصوصية تواقيع خاتم Monero <a target=\"_blank\" href=\"/knowledge/ring-signatures\" class=\"next-link\"> </a> ، يكون مرسل المعاملة دائمًا غير مؤكد. كيف يمكن للبروتوكول إجراء معاملة استرداد إذا كان حتى لا يعرف من أين أتت المعاملة؟ </p>\n\n<p> في عام 2017 ، حددت مجموعة صغيرة من الباحثين طريقة مختلفة يمكن من خلالها أن تعمل المقايضات الذرية في مونيرو. بعد عدة سنوات من التحسين ، أنهى الباحثون عملية يمكن بواسطتها Monero إجراء مقايضات ذرية باستخدام Bitcoin ، حتى بدون معاملات استرداد الأموال. </p>\n\n<p> كما هو الحال مع العديد من الأشياء في هذا المستوى من التعقيد التقني ، فإن شرحنا سيبسط بعض الأشياء بشكل مفرط من أجل نقل الفكرة ، لكنه سيظل يعطي فكرة قوية عن الآليات التي ستعمل بها هذه العملية. </p>\n\n<p> يجب على كل من أليس (الذي لديه XMR ويريد BTC) وبوب (الذي لديه BTC ويريد XMR) تنزيل وتشغيل برنامج يدعم المقايضة الذرية. قد يتم تنفيذ ذلك في المحافظ أو التبادلات اللامركزية أو البرامج الخاصة والمحددة ، ولكن يجب أن يقوم البرنامج بتشغيل بروتوكول المبادلة الذرية. في الخطوة الأولى ، يتواصل عملاء Alice and Bob مع بعضهم البعض ويكوِّنون العديد من الأسرار والمفاتيح المشتركة. في هذه الخطوة ، يتم إنشاء عنوان Monero جديد ، مع حصول Alice على نصف المفتاح ، بينما يمتلك Bob الآخر. لا يوجد Monero هناك حتى الآن ، لذلك لا يوجد شيء لتنفقه. آخر شيء يجب ملاحظته حول هذا العنوان ، هو أن كلاهما لديه مفتاح العرض لهذه المحفظة ، بحيث يمكن لكليهما إلقاء نظرة خاطفة على الداخل لمعرفة ما إذا كانت Monero تصل أو متى ستصل. </p>\n\n<p> في الخطوة الثانية ، يرسل بوب BTC الخاص به إلى عنوان خاص ، على غرار بروتوكول التبادل الذري للبيتكوين الذي ناقشناه بالفعل. بعد أن رأت أليس وصول BTC إلى هذا العنوان على blockchain ، قامت بإرسال Monero الخاص بها إلى عنوان Monero الذي تمتلكه هي و Bob على حدٍ سواء. يستطيع بوب التحقق من وصول Monero نظرًا لأنه يمتلك أيضًا مفتاح العرض ، وبمجرد أن يرى أن Monero في المحفظة بأمان ، فإنه يرسل إلى Alice قطعة من المفتاح تسمح لها بسحب Bitcoin. على غرار البروتوكول الآخر ، تكشف عملية المطالبة بعملة البيتكوين عن نصف مفتاح Monero لبوب. الآن لدى بوب كلا النصفين ، لذلك يمكنه المطالبة بالمونيرو ، بينما أليس لديها نصفها فقط ، لذلك لا يمكنها محاولة أخذها قبل أن يفعل. </p>\n\n<p> لذا إذا نظرت إلى كل هذا وما زلت مرتبكًا بعض الشيء حول كيفية تمكن Monero من التغلب على مشكلة معاملات الاسترداد ، فإن الإجابة بسيطة للغاية. نظرًا لأن Monero نفسها لا تحتوي على معاملات استرداد ، يجب على القارئ أن يلاحظ أن عملة البيتكوين (التي لديها معاملات استرداد) يتم إرسالها أولاً ، وفقط بعد التحقق من وجودها على blockchain ، يتم إرسال Monero. يتيح ذلك لـ Monero الاستفادة من قدرة Bitcoin على البرمجة النصية في معاملات الاسترداد والاستفادة منها ، دون الحاجة إلى امتلاك هذه الإمكانيات نفسها. </p>\n\n<p> اكتملت المقايضة الذرية الآن ، ولكن من هنا ، لدى بوب عدة خيارات لجهاز XMR المطالب به حديثًا. يمكنه استخدام محفظة Monero هذه كما هي ، أو نقل XMR إلى محفظة أخرى يمتلكها بالفعل. من المرجح أن ينقل بوب Monero إلى محفظة أخرى ، لأن أليس ما زالت تملك مفتاح العرض ويمكنها رؤية ما بداخلها. </p>\n\n<p> يكمن جمال هذا البروتوكول في أنه لا يزال جديدًا تمامًا ، وهناك مجال كبير للتحسينات. كما أنها مرنة تمامًا في بنيتها ، لذا يجب أن يكون التنفيذ في المحافظ الأخرى أو التبادلات اللامركزية بسيطًا ويتناسب تمامًا مع بنيتها الحالية. </p>';

  @override
  String get knowledge250Sbatomic250Sbdescription => 'هناك القليل من الأشياء المرغوبة في فضاء التشفير مثل المقايضات الذرية. في الآونة الأخيرة ، انتهى الباحثون من طريقة تمكن XMR من إجراء مقايضات ذرية باستخدام BTC.';

  @override
  String get knowledge250Sbatomic250Sbtitle => 'كيف ستعمل المقايضات الذرية في مونيرو';

  @override
  String get knowledge250Sbblocks250Sb0250Sbtext => '<p> <i> <b> ملاحظة: </b> يوصى بشدة أن يقرأ القارئ مقالاتنا <a target=\"_blank\" href=\"/knowledge/monero-tail-emission\" class=\"next-link\"> \"لماذا تمتلك Monero A Tail Emission\" </a> و <a target=\"_blank\" href=\"/knowledge/monero-mining-randomx\" class=\"next-link\"> \"Monero Mining: ما الذي يجعل RandomX خاص جدًا \"</a>. تبني هذه المقالة على المفاهيم المعروضة هناك. </i> </p>\n\n<p> عندما يناقش الأفراد مشاكل blockchain ، فإن إحدى الكلمات الأولى التي تنبثق هي \"توسيع نطاق\". ليس سرًا أن blockchain لا يتسع نطاقه بشكل جيد ، ولكن معظم الناس لا يعرفون السبب. </p>\n\n<p> الحقيقة هي أن القياس هو في الواقع مصطلح شامل يغطي فئتين مختلفتين: دعم البروتوكول والدعم التكنولوجي في وقت معين. في هذه المقالة ، سنركز اهتمامنا على أحدها ، دعم البروتوكول هو في الأساس مقياس لعدد المعاملات التي يمكن للبروتوكول التعامل معها في وقت معين. </p>\n\n<p> لدى Bitcoin حد لحجم الكتلة ، مما يعني أنه بمجرد تضمين عدد كافٍ من المعاملات في الكتلة ، فإن أي معاملات إضافية يجب أن تنتظر في طابور الكتلة التالية. سيكون من المفيد التفكير في القطار. يسحب قطار ما يصل إلى المحطة ، وأولئك الموجودين في الصف. بمجرد امتلاء القطار ، سيتعين على أي شخص ترك بالخارج انتظار القطار التالي. </p>\n\n<p> تستخدم Bitcoin الرسوم لتحديد من يدخل الكتلة أم لا. بالعودة إلى تشبيه القطار ، يمكن للمرء أن يتخيل راكبًا محتملًا على وشك أن يُترك ، يعرض على مهندس القطار خمسة دولارات لمنحه مقعدًا. يحذو الركاب الآخرون حذوهم ، وفي النهاية هناك حرب مزايدة لمعرفة من سيحصل على المقاعد. الأمر متروك للسائق ليقرر ما إذا كان يريد احترام سياسة من يأتي أولاً يخدم أولاً ، ولكن من مصلحته المالية زيادة دخله إلى الحد الأقصى من خلال قبول أعلى مزايدين على متن الطائرة. </p>\n\n<p> في هذا القياس ، عمال المناجم هم سائقي القطارات. يمكنهم تضمين أي معاملات يريدون في الكتلة ، لكنهم سيختارون بشكل عام المعاملات التي لديها أعلى رسوم مدفوعة. </p>\n\n<p> بدلاً من ذلك ، إذا لم تكن الكتل ممتلئة جدًا ، فلن يكون لدى الناس حافز لدفع رسوم عالية لأن هناك الكثير من المقاعد المجانية لتجنيبها. </p>\n\n<p> في ذروة طفرة العملات المشفرة في عام 2017 ، غُمرت عملة البيتكوين بالمعاملات ، وارتفعت الرسوم بشدة لأولئك الذين أرادوا أن يتم تضمينهم في الكتلة التالية ، أو أي كتلة مستقبلية قريبة لهذه المسألة. أولئك الذين لم يكونوا مستعدين لدفع رسوم عالية شهدوا تأجيل معاملاتهم لساعات أو أيام ، أو حتى انسحبوا من قائمة الانتظار تمامًا. </p>\n\n<p> كانت هذه نظرة ثاقبة مروعة حول كيفية عمل البيتكوين إذا تحدث كثير من الناس عن \"التبني الجماعي\". إذا كان سيتم استخدام Bitcoin من قبل الجماهير ، فستكون الأمور أسوأ مما كانت عليه في عام 2017 ، ولن يكون من الممكن الوصول إلى Bitcoin لأي شخص باستثناء الأثرياء ، وذلك ببساطة لأن الإنتاجية صغيرة بسبب حجم الكتلة الثابت ، مما يتسبب في استحواذ سوق الرسوم. . </p>\n\n<p> توقعت مونيرو ذلك وأرادت أن تفعل شيئًا مختلفًا. لذلك قام مطورو Monero بتطبيق حجم كتل ديناميكي. </p>\n\n<p> بشكل أساسي ، تحتوي Monero أيضًا على غطاء بحجم الكتلة ، لكنه غطاء ناعم. عندما يطول خط انتظار المعاملات ، يمكن لعمال المناجم زيادة حجم الكتل. من خلال تشبيهنا بالقطارات ، يمكنك تخيل إضافة المزيد من عربات القطار لتناسب الركاب الإضافيين. بعد أن تصبح قائمة الانتظار فارغة ، تتقلص الكتل إلى حجمها الأصلي من الآن فصاعدًا. </p>\n\n<p> إذا بدت هذه فكرة رائعة ، فمن المنطقي أن نسأل لماذا Monero هي العملة المشفرة الوحيدة التي طبقت ذلك. لماذا لا تضيفه على Bitcoin لوضع حد لمشكلات الإنتاجية؟ </p>\n\n<p> لسوء الحظ ، هذا غير ممكن. هناك عدة أسباب لذلك ، وسنبذل قصارى جهدنا لشرح ذلك. </p>\n\n<p> من مصلحة عمال المناجم دائمًا أن يكون لديهم كتل كبيرة. مع الكتل الكبيرة يمكن أن تتناسب مع المزيد من المعاملات ، وتجني المزيد من الأموال من الرسوم ، بالإضافة إلى مكافآت الكتلة. هذا لديه القدرة على أن يؤدي إلى هجمات البريد العشوائي ، حيث يرسل شخص ما العديد من المعاملات الصغيرة ، برسوم صغيرة ، لتضخيم السلسلة. سيقوم عامل المنجم فقط برفع حجم الكتلة ليشملهم جميعًا لأن المال هو المال ، بغض النظر عن صغر حجمه. وهذا من شأنه أن يؤدي إلى كتل كبيرة باستمرار مع القليل من الفوائد الاقتصادية. تحل Bitcoin هذه المشكلة عن طريق تقييد حجم الكتلة بشكل مصطنع ، وبالتالي إنشاء سوق للرسوم. سيتعين على مهاجمي البريد العشوائي دفع رسوم للمستخدمين الآخرين ، ولم تعد رخيصة. ولكن هذا يعني أن الكتل تمتلئ وتترك بعض المعاملات تنتظر كما هو مذكور أعلاه. </p>\n\n<p> إذن كيف يمكن أن يكون لدى Monero كتل ديناميكية مع تجنب هجمات البريد العشوائي؟ الجواب بسيط ولكنه ذكي. يتم فرض عقوبة على مكافأة الكتلة عندما تكون الكتلة أكبر من المعتاد. إذا أراد عامل منجم زيادة حجم الكتل ، فإن المكافأة التي يحصلون عليها من العثور على تلك الكتلة ستكون أقل مما كانوا سيحصلون عليه بخلاف ذلك. لذلك لن يزيدوا حجم الكتل إلا عندما تفوق رسوم المعاملات المدفوعة للمستخدمين الجزء المفقود من مكافأة الكتلة. على سبيل المثال ، إذا خسر المُعدِّن 0.5 XMR من خلال رفع مكافأة الكتلة ، وكان مجموع رسوم المعاملات المدفوعة 0.4 XMR ، فستكون هناك خسارة صافية قدرها 0.1 XMR إذا رفعوا الحجم ، لذلك لن يفعلوا ذلك. لا تفعل ذلك. على العكس من ذلك ، إذا تمت إضافة إجمالي رسوم المعاملات إلى 0.7 XMR ، فسيكون هناك ربح صاف قدره 0.2 XMR ، على الرغم من أنهم فقدوا 0.5 XMR من عقوبة مكافأة الكتلة ، وبالتالي سيزيد المُعدِّن الحجم. </p>\n\n<p> تسمح هذه الكتل الديناميكية للشبكة بالنمو عضويًا ، دون تقييد فعلي لحجم الكتل لإنشاء سوق فرض رسوم ، مع تجنب هجمات البريد العشوائي. هناك العديد من الزوايا الأخرى التي يمكننا عرض هذه الفكرة منها ، والمزيد من الأسباب لعدم إمكانية الإضافة إلى Bitcoin ، ولكن في الوقت الحالي ، نأمل أن يكون لدى القارئ فهم لكيفية تجنب Monero للعديد من المشكلات في Bitcoin و مشتقاتها ، وكيف تخطط لتوسيع نطاق إنتاجيتها في المستقبل. </p>';

  @override
  String get knowledge250Sbblocks250Sbdescription => 'عندما يناقش الأفراد مشاكل blockchain ، فإن إحدى الكلمات الأولى التي تنبثق هي \"توسيع نطاق\". يميز Monero نفسه في حل هذه المشكلة.';

  @override
  String get knowledge250Sbblocks250Sbtitle => 'كيف حلت Monero مشكلة حجم الكتلة التي ابتليت بها Bitcoin';

  @override
  String get knowledge250Sbbtc250Sb0250Sbtext => '<p> Monero هي عملة مشفرة تقدر الخصوصية قبل أي شيء آخر ، ولكن ما لا يفهمه معظم الناس هو أن الخصوصية الممنوحة باستخدامها ليست مقاومة للرصاص ولا مطلقة في مواقف معينة. لا تخطئ ، فإن Monero تتمتع بنفس الخصوصية التي تتمتع بها في عالم عدم الثقة ، ولكن هناك بعض الاعتبارات التي يجب على المستخدمين اتخاذها لضمان أن تظل خصوصيتهم قوية. </p>\n\n<p> وينطبق الشيء نفسه على مجالات الحياة الأخرى حقًا. على سبيل المثال ، يمكنك الابتعاد عن جميع وسائل التواصل الاجتماعي في محاولة للحفاظ على خصوصية حياتك ، ولكن إذا كنت دائمًا مع الأصدقاء الذين يلتقطون صورًا ذاتية معك فيها ، فقل إنهم معك في العنوان الفرعي ، وقم بوضع علامة على الموقع ، قد يكون الكثير من مجهودك هباءً. لا يزال بإمكان تجمعات وسائل التواصل الاجتماعي إنشاء ملف تعريف لك على الرغم من حقيقة أنك شخصيًا لست على نظامهم الأساسي. </p>\n\n<p> واحدة من المواقف التي يتم الحديث عنها كثيرًا حيث لا يأخذ الناس في الاعتبار جميع الآثار المترتبة على البيانات الوصفية التي يُحتمل أن يتم تسريبها ، وهي مسألة تداول البيتكوين مقابل مونيرو. من الشائع في المجتمع أن شراء Monero باستخدام Bitcoin سيكون بمثابة تطهير كامل ، وأن المستخدم يحتفظ بجميع مزايا الخصوصية بمجرد دخوله إلى Monero ، على الرغم من أنه يأتي من سلسلة شفافة. </p>\n\n<p> على نفس المنوال ، يعتبر البعض أن الحصول على Monero من مصادر غير KYC و KYC يعتبر أمرًا خاصًا. يذهب التفكير إلى أنه يشبه الحصول على النقد في البنك. في هذا السيناريو ، يعرف البنك نفسه وجهك واسمك ، ويعرف مقدار ما لديك في حسابك بشكل عام ، ومقدار السحب النقدي ، ولكن لا يعرف ماذا تفعل بالنقد بعد ذلك. مع ضمانات خصوصية Monero ، يجب أن يكون الأمر كذلك مع الحصول على Monero من مصدر KYC / AML ، أليس كذلك؟ </p>\n\n<p> حسنًا ، ليس تمامًا. </p>\n\n<p> أولاً ، دعنا نعود خطوة سريعة إلى الوراء ونحدد ما نعنيه بـ KYC / AML. يرمز هذا الاختصار إلى قوانين اعرف عميلك (KYC) / مكافحة غسل الأموال (AML) ، والتي تتطلب من التبادلات والشركات جمع معلومات التعريف عن عملائها. كلما زاد حجم الأموال المتبادلة ، زادت الحاجة إلى مزيد من المعلومات. كما يوحي الاسم ، يتم كل ذلك باسم تقليل مخاطر غسيل الأموال. </p>\n\n<p> العودة إلى مونيرو. من المؤكد أن نقل أموالك إلى Monero من مصدر KYC هو أفضل من الناحية الفلكية للخصوصية من استخدام مصدر KYC لشراء شيء مثل BTC أو أي عملة شفافة أخرى ، ولكن لا تزال هناك اعتبارات يجب مراعاتها حول ما يتم الكشف عنه وما هو ذلك. كشفت المعلومات قد تعني خصوصيتك وسلامتك. </p>\n\n<p> حتى التمسك بسيناريو النقد والبنك ، إذا قمت بسحب مبلغ كبير من البنك ، نظرًا لأن البنك يعرف تفاصيلك (بما في ذلك عنوان منزلك) ، يمكن للصراف معرفة المبلغ الموجود في حسابك ، ويمكن أن يتسبب في شائنة خطط اعتمادًا على ثروتك. هذا نادر ، وبما أن المال موجود في البنك وليس في منزلك ، فإن ما يمكنهم تحقيقه في هذا السيناريو صغير نسبيًا. لا ينطبق الشيء نفسه على Monero ، التي لا يتم تأمينها من قبل طرف ثالث ، ولكنك أنت. كونك البنك الخاص بك ليس بالأمر السهل دائمًا. </p>\n\n<p> وبالمثل ، فإن الانتقال من BTC إلى XMR ، بغض النظر عن كيفية القيام بذلك ، يترك آثارًا على Bitcoin blockchain. في حين أن هذا في الواقع أقل ضررًا من الذهاب إلى BTC إلى BTC لأنه على الجانب الآخر من البورصة هو الخصوصية الإلزامية لـ Monero ، يجب مراعاة الآثار المترتبة على ترك أثر وراءك. تتراكم هذه الآثار لتأثير أكبر إذا كان هناك KYC متورط في أي مكان في العملية. </p>\n\n<p> تخيل سيناريو تم فيه استلام عملات البيتكوين القذرة مقابل سلعة أو خدمة ، وهو أمر لا يمكن تحقيقه إلا بسبب شفافية البيتكوين الراديكالية. أنت لا تعرف أن عملات البيتكوين هذه متسخة ، حيث لا تملك التقنية للتحقق من كل عملة بيتكوين ، لذلك أنت ، بصفتك شخصًا خبيرًا في التشفير ، لست مرتاحًا لهذه الحقيقة ، وليس لديك المال لدفع شركة تحليل سلسلة للتحقق من أجلك. لذلك ، قررت التبادل مع Monero لتكون آمنًا. </p>\n\n<p> تقوم بإيداع عملات البيتكوين الخاصة بك في البورصة ، وتستبدلها بـ Monero ، والتي تسحبها بعد ذلك إلى محفظتك المحلية. هذا السيناريو ممتد إلى حد ما ، لأن البورصة قد تحدد عملات Bitcoins القذرة وتغلق حسابك ، وقد تستعيدها أو لا تستعيدها ، ولكن من أجل هذا المثال ، سنفترض أنها سمحت لـ التبادل يحدث. </p>\n\n<p> في هذه المرحلة ، إذا أصبحت الحكومة مهتمة بتتبع أثر عملات البيتكوين هذه ، فسوف يتبعونها في البورصة ، ويطلبون استدعاء معلومات \"اعرف عميلك\" على المودع ، ويرى أنه تم استبدالها بـ Monero (مشبوهة) ، ثم تطرق على بابك. </p>\n\n<p> يرجى تفهم أن هذا لا يعني أنه يجب عليك تجنب مبادلة Bitcoin بـ Monero لتجنب أن تبدو مريبًا. لقد كنت مشبوهًا بالفعل لأنك قبلت عملة البيتكوين القذرة ، وإذا لم تقم بالمبادلة ، فسيظلون يستخدمون تحليل blockchain ، ولا يزالون يطرقون. بدلاً من ذلك ، يسلط هذا المثال الضوء فقط على وجود مخاطر كبيرة في استخدام عملات شفافة على الإطلاق ، والاستبدال بعملة خاصة قابلة للاستبدال مثل Monero لا يمحو آثار الأقدام المتبقية في blockchain الشفافة. </p>\n\n<p> بالنسبة للأفراد المهتمين بخصوصياتهم ، يجب أن يظل استخدام سلاسل الكتل الشفافة في حده الأدنى ، وبحذر شديد. يجب تجنب \"اعرف عميلك\" كلما أمكن ذلك ، حيث لا يزال من الممكن استخدام هذه البيانات الوصفية لبناء حالة وطرح الأسئلة ، والعياذ بالله ، يتم تسريب معلومات \"اعرف عميلك\" (جنبًا إلى جنب مع المعلومات التجارية) من عمليات التبادل بسبب عدم الكفاءة. حتى إذا اشتريت Monero وسحبت من البورصة فقط ، فستظل هذه المعلومات المسربة تكشف عن مقدار Monero لديك ومكان تواجدك. جميع المعلومات التي يمكننا أن نتفق عليها جميعًا لا أحد يريد أن تطفو في الفضاء الإلكتروني. </p>\n\n<p> باختصار ، في حين أن استخدام Monero ينفي بالفعل العديد والعديد من الهجمات ويقلل من تسرب البيانات الوصفية افتراضيًا ، يمكن للمستخدم نفسه القيام بالعديد من الأشياء لتدمير خصوصيته في النهاية. واحدة من أقل الأشياء التي يتم أخذها في الاعتبار هي الآثار المترتبة على استخدام إما سلسلة الشفافية كمسار إلى Monero ، أو مصدر KYC للحصول عليها ، ناهيك عن استخدام كليهما مرة واحدة. </p>\n\n<p> لا تهدف هذه المقالة إلى إثارة الخوف ، بل تهدف إلى تشجيع المستخدمين على التفكير النقدي في قراراتهم وتذكيرهم بأنه حتى أفضل خصوصية يمكن أن تكون هشة في ظل ظروف معينة. يجب أن يكون المستخدمون يقظين لحماية خصوصيتهم من خلال اتخاذ قرارات ذكية بشأن ما يشترونه وأين ومن من. </p>';

  @override
  String get knowledge250Sbbtc250Sbdescription => 'يعتبر الكثيرون شراء XMR مع BTC بمثابة تطهير كامل ، وأن المستخدم يحتفظ بكل الخصوصية ، على الرغم من أنه يأتي من سلسلة شفافة. لكن هل هذا صحيح؟';

  @override
  String get knowledge250Sbbtc250Sbtitle => 'هل يعد تحويل Bitcoin إلى Monero أمرًا خاصًا مثل شراء Monero مباشرةً؟';

  @override
  String get knowledge250Sbclsag250Sb0250Sbtext => '<p> كبروتوكول ، فإن Monero حاليًا في حالة ابتكار ثابتة. من خلال الاستفادة من البحث في كل من الحلول داخل السلسلة وخارجها ، يبحث مجتمع Monero عن مجالات لتحسينها لجعل Monero أكثر خصوصية وقابلية للتوسع وأكثر في متناول الجميع. أحد أحدث الابتكارات هو استبدال مخطط توقيع الحلقة القابلة للربط ، MLSAG ، مع استبدال CLSAG ، والذي يرمز إلى Concise Linkable Spontaneous Anonymous Group. </p>\n\n<p> على مستوى السطح ، سيؤدي تنفيذ CLSAG إلى تقليل المدخلات الأكثر شيوعًا ، ومعاملتا الإخراج بنسبة 25٪. سنرى أيضًا انخفاضًا بنسبة 10٪ في وقت التحقق. </p>\n\n<p> ولكن ما هو CLSAG بالضبط؟ ماذا يفعل ، وكيف يختلف عن الإصدار القديم ، MLSAG؟ لنأخذ دقيقة واحدة لتذكير أنفسنا بأسباب وكيفية توقيعات الحلقة حتى نتمكن من فهم هذا المفهوم بشكل أفضل. تسمح تواقيع الرنين بإدخال مدخلات غير تفاعلية لا يمكن تمييزها عن طريق استخدام مجموعات عدم الكشف عن الهوية التي يختارها الموقّع من المخرجات السابقة. من منظور الأشخاص العاديين ، فإنه يسمح للمستخدم بإخفاء مخرجاته المستخدمة في المعاملة جنبًا إلى جنب مع المخرجات غير ذات الصلة ، ويمكنهم القيام بكل هذا دون الحاجة إلى مشاركة أي شخص آخر. كل ما تحتاجه هو نسخة من blockchain. يبدو أن كل من هذه المخرجات غالبًا ما تكون ذات احتمالية متساوية لكونها المخرج الفعلي الذي يتم إرساله ، وبالتالي إخفاء البيانات الوصفية حول المرسل. </p>\n\n<p> هذا يسبب بعض المشاكل. ماذا لو كان على المستخدم إنشاء توقيع حلقة مع جميع مخرجات شرك؟ كيف يمكن لأي شخص أن يعرف أن المرسل المجهول ليس لديه سلطة إرسال أي منهم؟ هل سيتمكن هذا المستخدم من إنفاق أموال مزيفة؟ الجواب لا. يتضمن التوقيع الدائري طريقة لإثبات أن أحد المخرجات على الأقل مملوك لمرسل مجهول ، دون الكشف عن أيهما. في الواقع ، يعد كل من CLSAG و MLSAG (المعروفين من الآن فصاعدًا باسم SAGs) جزءًا من توقيع الحلقة الذي يثبت ذلك. ومن المثير للاهتمام ، في الوقت نفسه ، أنه يثبت أن مبلغ المعاملة ، على الرغم من إخفاءه وراء المعاملات السرية (RingCT) ، أرصدة. تثبت SAGs شيئين ، أن أحد المخرجات مملوكة لشخص ما في الحلقة ، وأن أرصدة المعاملات ، أمر مهم ، وفي الواقع تكمن مدخرات الحجم والتحقق. إذا كان هذا الأمر مربكًا ، فلا داعي للقلق ، فسنحصل على تشبيه ممتع وسهل الفهم قريبًا. </p>\n\n<p> يثبت مخطط التوقيع القديم ، MLSAG (مجموعة متعددة الطبقات قابلة للربط التلقائي المجهول) الشيئين المذكورين أعلاه في توقيع الحلقة ، ولكنه يفعل كل منهما على حدة. استخدام حسابات منفصلة للتوقيع ومفاتيح الالتزام يعني عمليات أبطأ. يمكن للكمبيوتر الحديث إجراء هذه العمليات الحسابية في غضون أجزاء من الثانية ، وهو أمر لا يبدو كثيرًا ، وفي الواقع ، بالنسبة لمعاملة واحدة ، فهو ليس كذلك. ولكن عندما نفكر في العدد الهائل من المعاملات على سلسلة Monero blockchain ، وأن عقدة المزامنة من البداية سوف تضطر إلى تنزيل والتحقق من كل منها ، تبدأ وحدات البايت والميلي ثانية في التراكم بسرعة. </p>\n\n<p> يجمع CLSAG الرياضيات اللازمة لإثبات كل منهما في واحد ، بالإضافة إلى حسابهما معًا في وقت واحد ، ويقوم بذلك بطريقة آمنة. ماذا يعني هذا بطريقة آمنة؟ حسنًا ، لتوضيح هذا الأمر ، وكذلك نأمل في جعل الأمر برمته أكثر منطقية ، دعنا نستكشف هذا التشبيه الممتع الموعود. </p>\n\n<p> لنفترض أنك بحاجة للذهاب إلى كل من متجر البقالة ومتجر الأجهزة ، لالتقاط شيئين مختلفين: الطعام والمواد الكيميائية السامة للتنظيف. لا تريد أن يختلطوا ، كما لو كان هناك حادث ، فإن المواد الكيميائية سوف تتسرب على الطعام ، مما يجعلها غير صالحة للأكل. قررت أن تكون آمنًا للغاية وأن تقود سيارتك من منزلك إلى متجر البقالة ، وشراء الطعام ، ثم العودة إلى منزلك. فقط بعد أن تقوم بتفريغ حمولة الطعام ، يمكنك العودة إلى السيارة ، والقيادة إلى متجر الأجهزة ، والعودة إلى منزلك بالمواد الكيميائية. لقد قمت برحلتين منفصلتين لضمان سلامة جميع المشتريات. على الرغم من أنها آمنة بالفعل ، إلا أنها غير فعالة. هذا يمثل MLSAG ، حيث يتم تخزين مجموعتين مختلفتين من الرياضيات ويتم عمل \"رحلتين\" مختلفتين لحسابها. </p>\n\n<p> قررت أنك تريد طريقة أسرع للقيام بذلك ، ومع ذلك. إنه وقت ضائع للغاية. من المؤكد أن القيام بذلك مرة أو مرتين لن يسرق حياتك بعيدًا ، ولكن الاضطرار إلى القيام بذلك مرارًا وتكرارًا ، تبدأ الساعات في التزايد. تبدأ في التساؤل عما إذا كان يمكنك القيام برحلة واحدة بدلاً من ذلك. من منزلك ، إلى متجر البقالة ، إلى متجر الأجهزة ، والعودة إلى المنزل. لا يمكنك الذهاب ورمي كل شيء في سيارتك عشوائياً. إنه ليس آمنًا. بدلاً من ذلك ، تقوم بتعيين أماكن مختلفة في سيارتك لأشياء مختلفة ، وتأكد من أن كل شيء يناسب مكانه بدقة. من خلال القيام بذلك ، يمكنك القيام برحلة واحدة بأمان إلى كلا المتجرين ، وإبعاد الأشياء عن بعضها البعض. هذا يمثل CLSAG. يوجد الآن مجموعة واحدة فقط من الرياضيات مخزنة في هذه المعاملة لإثبات هذين الأمرين ، وقد تم فعل ذلك بعيدًا بحيث لا يتداخلان مع بعضهما البعض. لا يزال يتعين القيام برحلة ، لكنك قللت من عددها بشكل كبير. </p>\n\n<p> كل هذا يبدو مثيرًا للغاية. هل من الممكن أن نجد طرقًا مختصرة أخرى أو طرقًا أخرى لتوفير الوقت والمكان؟ الجواب هو نعم ولا. وفقًا لباحثي MRL الحاليين ، من غير المحتمل إجراء مزيد من التعديل على الإنشاءات من نوع SAG للحصول على حجم أو سرعة أفضل ؛ ومع ذلك ، فإن الإنشاءات الأخرى مثل Arcturus أو Omniring أو RCT3 أو Triptych تنتج فوائد تحجيم وتحقق أفضل بكثير باستخدام طرق رياضية مختلفة. ومع ذلك ، فإن كل من مناهج \"الجيل التالي\" للبروتوكولات الغامضة للموقِّع تأتي مع مفاضلاتها الخاصة في تفاصيل التنفيذ ، وتخضع لبحوث وتحقيقات نشطة. </p>\n\n<p> بعد كل شيء ، Monero تبتكر دائمًا. </p>';

  @override
  String get knowledge250Sbclsag250Sbdescription => 'دعنا نلقي نظرة على أحد أحدث ابتكارات بروتوكول Monero: استبدال نظام توقيع الحلقة القابل للربط ، MLSAG ، مع CLSAG البديل.';

  @override
  String get knowledge250Sbclsag250Sbtitle => 'كيف سيحسن CLSAG كفاءة مونيرو';

  @override
  String get knowledge250Sbcoinjoin250Sb0250Sbtext => '<p> نظرًا لاكتساب أدوات خصوصية Bitcoin مزيدًا من الاهتمام والاستخدام ، فقد خضعت لمزيد من التدقيق التنظيمي. أدى هذا التدقيق إلى إعلان <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\"  href=\"https://twitter.com/wasabiwallet/status/1503091503207432193\"> مؤخرًا </a> بواسطة أداة خصوصية Bitcoin ، Wasabi Wallet ، بأنهم سيبدأون في مراقبة ورفض المدخلات الواردة إلى عمليات المزج التي يعتبرونها غير مشروعة أو ضد بنود الخدمة الخاصة بهم ، وسيدفعون تحليلاً متسلسلًا شركة لفحص مشاركي المزيج الوافدين. </p>\n<p> كان استخدام معاملات CoinJoin للتعتيم على مصدر الأموال في Bitcoin هو جوهر خصوصية Bitcoin لسنوات عديدة حتى الآن ، والمشكلات والمخاطر الكامنة في استخدامه هي بعض المشكلات الأساسية التي تصححها توقيعات Monero الحلقية وتمنعها . </p>\n<p> في منشور المدونة هذا ، سنغوص باختصار في مقارنة بين توقيعات CoinJoin وتوقيعات الحلقة ، وكذلك لماذا يؤدي النهج المتبع في Monero إلى مقاومة أكبر للرقابة وخصوصية أكبر وإزعاج أقل للمستخدمين. </p>';

  @override
  String get knowledge250Sbcoinjoin250Sb1250Sbtext => '<p> نظرًا لأن جميع المعاملات شفافة تمامًا في Bitcoin - الكشف عن المرسل والمستلم والمبالغ - يجب على المستخدمين اتخاذ خطوات إضافية للحفاظ على خصوصيتهم من المرسلين السابقين والمستقبلين لأموالهم أو المخاطرة بالرقابة أو المراقبة أو سرقة الأموال عبر العنف الجسدي.\n<p> أفضل حل اليوم للخصوصية على Bitcoin هو أداة تسمى <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\"  href=\"https://bitcoiner.guide/qna/coinjoin/\"> “CoinJoin” </a> ، حيث يعمل 2 أو أكثر من المستخدمين معًا (عادةً عبر منسق مركزي) لإنشاء معاملة خاصة تجعل من الصعب على الخارج المراقبين لربط المدخلات بالمخرجات. يتواصل كل مشارك لبناء المعاملة بشكل مشترك دون التنازل عن عهدة أمواله ، ويتلقى ناتجًا في النهاية أصبح تاريخه السابق الآن غير واضح (أو غامض) للمراقبين الخارجيين. </p>\n<p> يكسر هذا تاريخ UTXOs معينة ، مما يسمح لمستخدمي البيتكوين بالحصول على قدر ضئيل من السرية التراجعية عند إجراء المعاملات. ومع ذلك ، فإن CoinJoin (كما تم تنفيذه في Wasabi Wallet و Samourai Wallet ، وهما أكثر أدوات CoinJoin استخدامًا للبيتكوين) لهما بعض العيوب الرئيسية: </p>\n<ul>\n<li> نظرًا لأن معاملات CoinJoin اختيارية تمامًا وتتطلب مشاركة نشطة ، فإن أي مشارك يُظهر بالضرورة أنه يسعى إلى خصوصية أكبر من تلك الخاصة بمستخدمي Bitcoin \"العاديين\" ، ومن المحتمل أن يفردهم ويسبب مشاكل في إنفاق الأموال في العديد من التبادلات أو الكيانات المنظمة. لا يمكن لكل مستخدم إنكار مشاركته في معاملة CoinJoin. </li>\n<li> من أجل العثور على أشخاص آخرين لـ CoinJoin معهم ، تستخدم معظم طرق CoinJoin (بما في ذلك محفظة Wasabi) منسقًا مركزيًا يربط المشاركين ويساعدهم على التواصل وبناء معاملة CoinJoin مناسبة. هذا المنسق المركزي لم يحتفظ أبدًا بأموال المستخدم ، لكنه يكتسب نظرة ثاقبة على المعاملات التي ينسقها ، ويمكنه مراقبة المدخلات الواردة (كما في حالة Wasabi Wallet) ، ويمكن الضغط عليه لجمع أو مشاركة المعلومات حول المشاركين في CoinJoin. [X2068X ]\n<li> غالبًا ما يضطر المستخدم الذي لديه مبالغ كبيرة من الأموال إلى CoinJoin إلى الانتظار لساعات (أو حتى أيام!) للعثور على عدد كافٍ من المشاركين في CoinJoin ، مما يؤدي إلى تأخيرات كبيرة من الوقت الذي يتلقى فيه المستخدم الأموال إلى الوقت الذي يمكنه فيه إنفاقها بشكل خاص. </li>\n<li> تتدهور الخصوصية التي توفرها معاملة CoinJoin بمرور الوقت حيث ينفق المشاركون الآخرون الأموال أو يربطون مخرجاتهم بهويتهم من خلال تبادل KYC والمعرف الذي يتطلب التجار وما إلى ذلك. وهذا يعني أن المستخدمين بشكل مثالي يحتفظون بأموالهم باستمرار في معاملات CoinJoin للاحتفاظ بها مجموعة إخفاء هويتهم (\"الحشد للاختباء\") طازجة قدر الإمكان. </li>\n<li> في معظم الأساليب الخاصة بـ CoinJoin ، يجب على المشاركين استخدام UTXO بحجم ثابت (أي 0.1 BTC) من أجل زيادة صعوبة توصيل مدخلات ومخرجات معاملات CoinJoin. يؤدي هذا إلى رسوم أعلى (المزيد من المعاملات المنفصلة ضرورية لكل إدخال كبير) ، والمزيد من \"التغيير السام\" (الأموال التي لا يمكن إنفاقها دون مخاطر جسيمة على الخصوصية) ، ويمكن أن يمنع المستخدمين الأصغر من الاختلاط على الإطلاق إذا لم يكن لديهم الحد الأدنى للرصيد المطلوب. </li>\n</ul>';

  @override
  String get knowledge250Sbcoinjoin250Sb1250Sbtitle => 'ما هي معاملة CoinJoin؟';

  @override
  String get knowledge250Sbcoinjoin250Sb2250Sbtext => '<p> نظرًا لأننا <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\"  href=\"/knowledge/ring-signatures\"> نظرنا بعمق في توقيعات الحلقة في الماضي </a> ، فلن أخوض في تفاصيل كبيرة حول الجوانب الفنية لكيفية عملها في منشور المدونة هذا. بدلاً من ذلك ، سنلقي نظرة على كيفية قيام الأساليب المتبعة في Monero بحل المشكلات مع CoinJoin الموضحة أعلاه. </p>\n<blockquote>\n<p> CoinJoin هو الاشتراك ويتطلب المشاركة </p>\n</blockquote>\n<p> تعد توقيعات حلقة Monero ميزة أساسية لبروتوكول الخصوصية ، وتستخدمها <em> كل معاملة </em> على الشبكة. هذا يعني أنه لا توجد معاملات خاصة بالمستخدم تبرز للبحث عن خصوصية أكبر من مستخدمي Monero \"العاديين\" ، وأن جميع المستخدمين ينكرون بشكل معقول أنهم أنفقوا الأموال في أي معاملة معينة. نظرًا لأن المستخدم الذي ينفق الأموال لا ينسق أو يشارك مع مدخلات خادعة في معاملة ما ، يمكن لهؤلاء المستخدمين الذين يمتلكون مدخلات يتم اختيارهم كأفخاخ أن يقولوا بصدق أنهم لم يشاركوا في تلك المعاملة ، مما يعزز خصوصيتهم. </p>\n<blockquote>\n<p> استخدام منسق مركزي </p>\n</blockquote>\n<p> نظرًا لأن توقيعات حلقة Monero غير منسقة تمامًا ولا تتطلب سوى المنفق الحقيقي للأموال لإنشاء المعاملة ، فلا داعي لمنسق مركزي في Monero. هذا يضمن أن <em> لا يستطيع أي شخص </em> منعك من الوصول إلى الخصوصية في Monero ، ولا يوجد كيان مركزي يمكن الضغط عليه ، ولا توجد هجمات Sybil سهلة على السيولة ، وما إلى ذلك طالما أن معاملتك تدفع الرسوم المناسبة ، تحصل على وصول غير خاضع للرقابة إلى الخصوصية والأمان وإخفاء الهوية في Monero.\n<blockquote>\n<p> يتطلب CoinJoin السيولة </p>\n</blockquote>\n<p> إن \"السيولة\" المتاحة لأي شخص ينفق Monero لاستخدامها كخدع هي دائمًا مجموعة المخرجات على السلسلة ، لذلك لا يوجد أبدًا نقص في الخدع التي يمكن الاختباء فيها مع Monero. يمكن لأي شخص يسعى إلى إنفاق Monero القيام بذلك بعد 20 دقيقة تقريبًا من تلقي الأموال ، ولا يحتاج إلى تنفيذ أي خطوات إضافية للحصول على خصوصية قوية في Monero. </p>\n<blockquote>\n<p> تدهور خصوصية CoinJoin بمرور الوقت </p>\n</blockquote>\n<p> نظرًا لأن مخرجات Monero لم يتم إنفاقها أبدًا بواسطة الشبكة ، فإن الخصوصية التي توفرها توقيعات الحلقة تكون أقل عرضة للتدهور بمرور الوقت. لا يحتاج المستخدم إلى تغيير النواتج باستمرار في Monero ، وخارج الظروف النادرة للغاية ، لا يفقد أي خصوصية مع مرور الوقت. </p>\n<p> إذا كان المستخدم يريد \"تحديث\" الخدع المستخدمة مع المخرجات ، فيمكنه فقط إرسال الأموال مرة أخرى إلى نفسه ويكون قادرًا على إنفاقها حوالي 20 دقيقة لاحقًا كالمعتاد. </p>\n<blockquote>\n<p> يتطلب CoinJoin عادةً مدخلات ذات حجم ثابت </p>\n</blockquote>\n<p> نظرًا لأن المبالغ مخفية في كل معاملة باستخدام <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\"  href=\"/knowledge/monero-ringct\"> \"المعاملات السرية\" </a> (جزء من \"RingCT\") ، يمكن أن تكون الخدع المستخدمة في أي معاملة معينة بأي حجم. لا يوجد سبب للقلق بشأن الاستدلال على أساس المبلغ في Monero ، وبالتالي فإن المعاملات أسهل بكثير في البناء ويمكنها الاستفادة من الخدع من أي وقت وبأي مبلغ على Monero blockchain. </p>';

  @override
  String get knowledge250Sbcoinjoin250Sb2250Sbtitle => 'كيف تحل تواقيع الحلقة هذه المشكلات؟';

  @override
  String get knowledge250Sbcoinjoin250Sb3250Sbtext => '<p> إذا كنت مهتمًا بالفضول وترغب في فهم توقيعات الحلقة أو معاملات CoinJoin بشكل أفضل ، فراجع الروابط أدناه للتعرف على الأماكن الرائعة للبدء: </p>\n<ul>\n<li> <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\"  href=\"/knowledge/ring-signatures\"> كيف تحجب تواقيع Ring مخرجات Monero </a> </li>\n<li> <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\"  href=\"https://www.getmonero.org/resources/moneropedia/ringsignatures.html\"> توقيع الحلقة - Moneropedia </a> </li>\n<li> <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\"  href=\"https://bitcoiner.guide/qna/coinjoin/\"> Coinjoin Q + A </a> </li>\n<li> <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\"  href=\"https://6102bitcoin.com/coinjoin-overview/\"> نظرة عامة على CoinJoin </a> </li>\n</ul>';

  @override
  String get knowledge250Sbcoinjoin250Sb3250Sbtitle => 'كيف يمكنني معرفة المزيد؟';

  @override
  String get knowledge250Sbcoinjoin250Sbdescription => 'CoinJoin هو جوهر خصوصية BTC ، والمشكلات المتأصلة فيه هي بعض تلك التي تم حلها من خلال توقيعات حلقة Monero.';

  @override
  String get knowledge250Sbcoinjoin250Sbtitle => 'توقيعات حلقة Monero مقابل CoinJoin كما هو الحال في Wasabi';

  @override
  String get knowledge250Sbcontributing250Sb0250Sbtext => '<p> مشروع Monero (مثل العديد من المشاريع مفتوحة المصدر الأخرى) ليس لديه شركة مركزية أو كيان أو تمويل وراءه ، وكلها ضرورية لتحقيق اللامركزية والمرونة. ومع ذلك ، هذا يعني أن نجاح المشروع يعتمد كليًا على مساهمات الأفراد المتحمسين في المجتمع للتمويل والتطوير والتواصل مثلك تمامًا. </p>\n<p> الغالبية العظمى من الأشخاص في مجتمع Monero لن يكونوا بالضرورة مطورين ، لذلك سنركز على الطرق العديدة التي يمكننا من خلالها نحن غير المطورين رد الجميل لمثل هذا المشروع الرائع. </p>';

  @override
  String get knowledge250Sbcontributing250Sb1250Sbtext => '<p> تستخدم Monero نظامًا فريدًا لتمويل العمل يسمى <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://ccs.getmonero.org/\"> نظام التمويل الجماعي المجتمعي </a> (أو \"CCS\") والذي يسمح لأي شخص في المجتمع بتقديم فكرة للتمويل. في حالة الموافقة عليها من قبل المجتمع ، يتم فتح هذه المقترحات للتمويل من قبل المجتمع. </p>\n<p> هناك مرحلتان للنظام ، كل منهما تستفيد من مشاركة أكبر من قبل الأشخاص من جميع البيئات المختلفة.</p>\n<h6 id=\"participating-in-ideas\"> المشاركة في \"الأفكار\" </h6>\n<p> تبدأ جميع مقترحات CCS كـ \"أفكار\" مفتوحة للتعليق على المجتمع وغالبًا ما تتم مناقشتها في اجتماعات المجتمع أيضًا. هذه فرصة للجميع في المجتمع لقراءة الاقتراح والتعليق على ما يعتقدون أنه يمكن تغييره أو تحسينه ، أو ما إذا كان يجب الموافقة على الاقتراح للتمويل أم لا. يسمح لك هذا ليس فقط بالبقاء على اطلاع دائم بالجهود المستمرة التي يبذلها الآخرون في المجتمع ، ولكن أيضًا أن يكون لك رأي نشط في من وما الذي يموله المجتمع ، وتحسين المقترحات قبل التمويل ، وتوفير الإشراف بعد التمويل. </p>\n<p> <em> يمكنك رؤية جميع المقترحات الموجودة في مرحلة \"الأفكار\" في <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://ccs.getmonero.org/ideas/\"> CCS Ideas </a>. </em> </p>\n<h6 id=\"funding-proposals-in-funding-required\"> مقترحات التمويل في \"التمويل المطلوب\" </h6>\n<p> المرحلة الثانية من الاقتراح المعتمد هي مرحلة \"التمويل المطلوب\". هذا هو المكان الذي يمكن لأي شخص في المجتمع يحب اقتراحًا ويرى القيمة فيه أن يتبرع بسهولة وسرعة وبشكل خاص بمونيرو للاقتراح المحدد. </p>\n<p> للتبرع لعرض ما ، ما عليك سوى الانتقال إلى <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://ccs.getmonero.org/funding-required/\"> CCS Funding Required </a> ، انقر فوق الاقتراح الذي تريد التبرع له ، ثم امسح رمز الاستجابة السريعة ضوئيًا أو انسخ العنوان وأرسل مهما كان المبلغ (أو القليل!) ترغب في المساهمة. كل قطعة تساعد ، مهما كانت صغيرة! </p>\n<p> بمجرد أن يتم تمويل الاقتراح بالكامل ، يمكنك المتابعة بينما يكون <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://ccs.getmonero.org/work-in-progress/\"> قيد التقدم </a> أو مشاهدة نتائج <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://ccs.getmonero.org/completed-proposals/\"> المقترحات المكتملة </a>. </p>\n<p> <em> يمكنك رؤية جميع المقترحات الموجودة في مرحلة \"التمويل المطلوب\" في <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://ccs.getmonero.org/funding-required/\"> CCS Funding Required </a>. </em> </p>';

  @override
  String get knowledge250Sbcontributing250Sb1250Sbtitle => 'نظام التمويل الجماعي المجتمعي في Monero';

  @override
  String get knowledge250Sbcontributing250Sb2250Sbtext => '<p> طريقة أخرى رائعة للمشاركة في مشروع Monero وهي المساعدة في تثقيف وتمكين أعضاء المجتمع الحاليين والجدد. يمكن أن يأتي هذا بأشكال عديدة ، ولكن يمكن أن يكون بسيطًا مثل مشاركة ما تتعلمه عن Monero على وسائل التواصل الاجتماعي ، أو مدونة ، وما إلى ذلك. </p>\n<p> إليك بعض الطرق الملموسة التي يمكنك من خلالها المساعدة في التعليم: </p>\n<ul>\n<li> ابدأ مدونة خاصة بك </li>\n<li> اكتب سلاسل رسائل على Twitter أو Reddit عن الأشياء التي تعلمتها أو تعلمت القيام بها باستخدام Monero </li>\n<li> اصنع فيديو \"إرشادات\" للأشياء اليومية التي تفعلها مع Monero ، مثل إرسال Monero ، باستخدام محفظة أجهزة ، وشراء وبيع Monero على <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://localmonero.co\"> LocalMonero.co </a> ، إلخ. </li>\n</ul>';

  @override
  String get knowledge250Sbcontributing250Sb2250Sbtitle => 'تعليم';

  @override
  String get knowledge250Sbcontributing250Sb3250Sbtext => '<p> من الطرق البسيطة التي يمكنك المساعدة بها أن تكون نشطًا على وسائل التواصل الاجتماعي العادية والتحدث عن محتوى Monero الرائع وتثقيفه ومشاركته. </p>\n<p> كلما زاد عدد الأشخاص الذين يشاركوننا كيف ساعدتنا Monero ، وما نحبه فيه ، وما الذي يجب تحسينه ، ولماذا نختار المساهمة ، سيتمكن المزيد من الأشخاص من رؤية القيمة في أداة مثل Monero. </p>\n<h6 id=\"twitter\"> Twitter </h6>\n<p> يعد Twitter مكانًا شائعًا لمستخدمي العملات المشفرة (من بين آخرين) ، وهو مكان وجدته ذا قيمة للتعلم والمشاركة مع مجتمع Monero. في حين أنه يمكن أن يكون مكانًا سامًا وقاسً في بعض الأحيان ، إلا أن هناك بعض الأشخاص الرائعين يعرضون محتوى رائعًا بانتظام. </p>\n<p> لا تتردد في المشاركة والبدء في مشاركة Monero والتفاعل مع الآخرين هناك! </p>\n<p> <em> يمكنك العثور على LocalMonero على Twitter <span class=\"citation\" data-cites=\"LocalMoneroCo\"> <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://twitter.com/LocalMoneroCo\">LocalMoneroCo </a> </span>. </em> </p>\n<h6 id=\"reddit\"> رديت </h6>\n<p> يعد Reddit وسيلة شائعة للتفاعل مع حشد Monero (والعملات المشفرة / الخصوصية الأوسع) ، وهو مكان رائع لمشاركة المحتوى الأطول ، ووسائل الإعلام ، والأخبار ، وما إلى ذلك. </p>\n<p> يوجد مجتمع Monero نشط للغاية هناك ، مع بعض أشهر reddits الفرعية: </p>\n<ul>\n<li> <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://www.reddit.com/r/Monero/\"> r / Monero </a>\n<ul>\n<li> المنزل لمعظم نقاشات وأخبار ووسائط مونيرو </li>\n</ul> </li>\n<li> <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://www.reddit.com/r/monerosupport/\"> r / monerosupport </a>\n<ul>\n<li> مكان رائع للحصول على الدعم ومساعدة أولئك الذين يحتاجون إلى الدعم بشأن مشكلات Monero </li>\n</ul> </li>\n<li> <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://www.reddit.com/r/MoneroCommunity/\"> r / MoneroCommunity </a>\n<ul>\n<li> مكان عام للمناقشات التي تركز على المجتمع </li>\n</ul> </li>\n<li> <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://www.reddit.com/r/MoneroMining/\"> r / MoneroMining </a>\n<ul>\n<li> جميع احتياجات التعدين ومناقشاتك </li>\n</ul> </li>\n<li> <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://www.reddit.com/r/xmrtrader/\"> r / xmrtrader </a>\n<ul>\n<li> موطن جميع المناقشات المتعلقة بالسعر / السوق / المضاربة حول Monero. يحظر عمومًا الموضوعات المتعلقة بالسعر / السوق في جميع المنتديات الفرعية الأخرى لـ Monero للحفاظ على تركيز المجتمع. </li>\n</ul> </li>\n</ul>\n<p> تأكد من المشاركة في المناقشات والمشاركة فيها ، ومشاركة الأخبار والمشاركات الشيقة ، والمساهمة في المكان الذي تراه مناسبًا! </p>\n<p> <em> يمكنك العثور على مجتمع LocalMonero على Reddit على <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://www.reddit.com/r/LocalMonero/\"> r / LocalMonero </a>. </em> </p>\n<h6 id=\"matrixirc\"> Matrix / IRC </h6>\n<p> تحدث الغالبية العظمى من \"الأعمال الداخلية\" لـ Monero على Matrix و IRC ، وهما شبكتا دردشة متصلتان ببعضهما البعض. إذا كنت ترغب في الاستمرار في المشاركة في المناقشات اليومية \"الجوهرية\" ، أو المشاركة في الاجتماعات ، أو مجرد الدردشة مع مستخدمي Monero الآخرين ، فسترغب في الانتقال إلى Matrix أو IRC. </p>\n<p> تتوفر قائمة قنوات Matrix / IRC الأكثر شيوعًا على <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://www.getmonero.org/community/hangouts/\"> getmonero.org </a>. </p>\n<p> <em> يمكنك العثور على مجتمع LocalMonero على Matrix في الغرفة <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://matrix.to/#/#localmonero:agoradesk.com\"> #localmonero: agoradesk.com </a>. </em> </p>\n<h6 id=\"offline\"> غير متصل </h6>\n<p> لا تنس تعريف أصدقائك وعائلتك والآخرين على Monero في وضع عدم الاتصال أيضًا! هناك طريقة رائعة تتمثل في جعل الشخص يقوم بتنزيل محفظة محمولة مثل <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://cakewallet.com/\"> Cake Wallet (iOS / Android) </a> أو <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://www.monerujo.io/\"> Monerujo (Android) </a> أو <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://mymonero.com/\"> MyMonero (iOS) </a> ، أرسل لهم القليل من Monero ، واجعلهم يرسلون البعض. </p>\n<p> قد يكون من المفيد أيضًا مقارنة معاملة بين شيء مثل Bitcoin و Monero في مستكشف مثل <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://www.exploremonero.com/\"> ExploreMonero </a> للسماح لهم بمعرفة مدى ضآلة المعلومات التي يتم الكشف عنها علنًا عند إجراء المعاملات باستخدام Monero مقارنةً بسلسلة الكتل الشفافة الأخرى. [ X4596X]';

  @override
  String get knowledge250Sbcontributing250Sb3250Sbtitle => 'الوعي والمشاركة';

  @override
  String get knowledge250Sbcontributing250Sb4250Sbtext => '<p> إذا كنت تتواجد حول Monero لفترة من الوقت أو لديك فهم جيد لكيفية استخدامها وتحرّي الخلل وإصلاحه ، فإن الطريقة الرائعة للمشاركة هي الانتقال إلى <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://www.reddit.com/r/monerosupport/\"> r / monerosupport </a> subreddit و تقديم الدعم للمستخدمين الذين ينشرون هناك. </p>\n<p> هناك دائمًا مستخدمون يحتاجون إلى المساعدة في المشكلات الأساسية (عادةً) ، ولا يوجد سوى عدد قليل منا نشط في subreddit لمساعدتهم. سيكون من الرائع رؤية المزيد من الأشخاص يتعمقون ويساهمون في مساعدة المستخدمين الجدد والحاليين على حل مشكلاتهم! </p>';

  @override
  String get knowledge250Sbcontributing250Sb4250Sbtitle => 'ص / الدعم الأحادي';

  @override
  String get knowledge250Sbcontributing250Sb5250Sbtext => '<p> تحدث جميع مناقشات المجتمع تقريبًا حول مواضيع محددة في Matrix أو IRC ، لذلك إذا كنت مهتمًا بالتعلم فقط من / متابعة الاجتماعات أو ترغب في المشاركة بنشاط ، فستحتاج إلى الإعداد على <a class=\"next-link\" href=\"#matrixirc\"> إحدى تلك الدردشة شبكات </a>. </p>\n<p> بمجرد الانتهاء من ذلك ، راقب الموضوع الذي تم تعيينه لكل غرفة تتواجد بها أو على <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://github.com/monero-project/meta/issues\"> Monero meta repository </a> للاجتماعات المجدولة. </p>\n<p> إذا اخترت المجيء والمشاركة ، فالرجاء احترام ترتيب الموضوع ، والبقاء على الموضوع ، ومحاولة التحدث فقط عند الضرورة / عند الاتصال. </p>';

  @override
  String get knowledge250Sbcontributing250Sb5250Sbtitle => 'اجتماعات المجتمع';

  @override
  String get knowledge250Sbcontributing250Sb6250Sbtext => '<p> بالنسبة لأولئك الذين يتحدثون لغتين أو أكثر ، هناك طريقة مهمة جدًا للمساهمة وهي المساعدة في الترجمة من الإنجليزية إلى لغات أخرى. هناك دائمًا حاجة إلى ترجمة لغات جديدة وتحديث اللغات الحالية عبر النظام البيئي ، وكلما زاد عدد اللغات التي ندعمها بنشاط ، أصبحت لغة Monero أكثر شمولاً ويمكن الوصول إليها. </p>\n<p> يمكنك العثور على احتياجات الترجمة والمعلومات على <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://translate.getmonero.org/\"> translate.getmonero.org </a> أو <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://github.com/monero-ecosystem/monero-translations\"> على Github </a>. </p>';

  @override
  String get knowledge250Sbcontributing250Sb6250Sbtitle => 'الترجمات';

  @override
  String get knowledge250Sbcontributing250Sb7250Sbtext => '<p> الطريقة الأخيرة لغير المطورين للمساهمة في Monero هي التأكد من تسجيل مشكلات <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://github.com/monero-project/monero/issues\"> في Github </a> عندما تكون لديك مشكلة لا يمكن حلها على <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://www.reddit.com/r/monerosupport/\"> r / monerosupport </a> أو في <a class=\"next-link\" href=\"#matrixirc\"> Matrix / IRC </a> أو انظر منطقة لتحسين البرنامج. </p>\n<p> عندما تذهب لفتح مشكلة: </p>\n<ul>\n<li> تأكد من عدم وجود مشكلة حالية تتعلق بك\n<ul>\n<li> ابحث عن <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://github.com/monero-project/monero/issues\"> في المشكلات المفتوحة في Github </a> عن الكلمات الرئيسية ذات الصلة بكلماتك الرئيسية </li>\n</ul> </li>\n<li> قدم أكبر قدر ممكن من المعلومات\n<ul>\n<li> إذا كنت تواجه مشكلة يتعذر على حلها العادي لتحرّي الخلل وإصلاحه ، فتأكد مما يلي:\n<ul>\n<li> اجمع كل السجلات ذات الصلة عند مواجهة المشكلة </li>\n<li> اجمع إصدار برنامج Monero الذي تقوم بتشغيله <br />\n</li>\n<li> اجمع نظام التشغيل والإصدار الخاص بنظامك </li>\n<li> رابط إلى أي مشكلات حالية ذات صلة ، أو سلاسل Reddit ، إلخ. </li>\n</ul> </li>\n</ul> </li>\n<li> ترقب الردود والإخطارات بالتحديثات على مشكلتك\n<ul>\n<li> غالبًا ما تكون هناك حاجة إلى مزيد من المعلومات أو التوضيح ، لذا تأكد من ترقب التحديثات والتعليقات على مشكلتك التي قد تحتاج إلى إدخالك </li>\n</ul> </li>\n</ul>\n<p> كلما زادت المعلومات التي يمكنك توفيرها في هذا الإصدار ، كان ذلك أفضل! </p>';

  @override
  String get knowledge250Sbcontributing250Sb7250Sbtitle => 'قضايا الايداع';

  @override
  String get knowledge250Sbcontributing250Sb8250Sbtext => '<p> نأمل أن يكون هذا الدليل قد أثار بعض الأفكار حول كيفية رد الجميل لمونيرو باستخدام مجموعة مهاراتك وخلفيتك وخبراتك الفريدة. فكلما زاد المجتمع الذي يعطيه بطرق مثل هذه ، كلما كانت Monero أكبر وأكثر نضجًا وكلما كان من السهل علينا تحقيق أهداف الأموال الخاصة ، القابلة للاستبدال ، ذات السيادة الذاتية ، والمقاومة للرقابة. </p>';

  @override
  String get knowledge250Sbcontributing250Sb8250Sbtitle => 'استنتاج';

  @override
  String get knowledge250Sbcontributing250Sbdescription => 'يعتمد نجاح Monero على مساهمات المنتدى - سنستكشف اليوم بعض الطرق التي يمكننا من خلالها غير المطورين رد الجميل.';

  @override
  String get knowledge250Sbcontributing250Sbtitle => 'المساهمة مرة أخرى في Monero';

  @override
  String get knowledge250Sbcritical250Sb0250Sbtext => '<p> لكل فرد قصته الخاصة حول السفر عبر الغرب المتوحش وهو عملة مشفرة. يجد البعض مكانًا للتكهن ، ويجد البعض أصدقاء ، ويجد آخرون التكنولوجيا التي يؤمنون بها. على الرغم من الاختلافات ، هناك العديد من أوجه التشابه ، حتى عبر مختلف العملات الرقمية والمجتمعات. أحد هذه الأمور هو التشابه المزعج مع السلوك الطائفي المنخرط في العديد من مجتمعات التشفير. </p>\n\n<p> ليس من الصعب تحديد هذه السلوكيات. إن عدم القدرة على تحمل أي نقد والجهل المتعمد بالعيوب ، حتى في مواجهة الأدلة ، ليست سوى أمثلة قليلة. في بعض الأماكن ، يصبح التشجيع صارخًا لدرجة أن أي سلبية على الإطلاق تصبح سببًا لاتخاذ إجراءات تأديبية. </p>\n\n<p> بصفتك مسافرًا للعملات المشفرة يحاول دعم مشاريع جيدة و <a target=\"_blank\" href=\"/knowledge/monero-scams\" class=\"next-link\"> لا يخسر كل أموالك </a> ، يتم تشجيع جميع عشاق العملات المشفرة على التفكير النقدي وتقييم المشاريع بناءً على قيمتها في العالم الحقيقي ، ولكن ماذا عن الاقتراب منها من جهة اخرى؟ هل من المفترض أن تكون المشاريع نفسها منتقدة وذاتية الوعي؟ </p>\n\n<p> نجادل نعم. المجتمع نفسه هو انعكاس للمشروع والقادة فيه. علاوة على ذلك ، يتوقع المجتمع المتمرس المزيد من مطوريه ، ويكون قادرًا على نقد الحلول المقترحة بدلاً من الثقة العمياء وقبول أن أي مطورين يعملون لصالح المستخدمين بدلاً من أنفسهم أو المصالح الخارجية. </p>\n\n<p> على العكس من ذلك ، فإن المجتمع الذي يهتم فقط بالسعر وغير قادر أو يرغب في إجراء تقييم ذاتي نقدي (أو السماح للآخرين بالتقييم) محكوم عليه بالغرق في الأداء المتوسط. </p>\n\n<p> كمشروع ، تحاول Monero جعل المطورين والباحثين والقادة والمجتمع نفسه وفقًا لأعلى المعايير ، وتقليل مخاطر التراخي واللامبالاة المدمرة. </p>\n\n<p> إحدى الطرق التي يقوم بها Monero بهذا ، هي عقد يوم أحد أسبوعي عن الشك في منتدى subreddit الخاص بالمجتمع. هذا هو المكان حيث يمكن للناس التعبير عن مخاوفهم بشأن Monero أو البروتوكول أو القيادة أو أي مخاوف أخرى قد تكون لديهم. إنه مكان يتم فيه تشجيع الأسئلة وحتى عدم الثقة بشكل صريح ، ويعتبر ضروريًا لصحة نظامنا البيئي. </p>\n\n<p> يأتي هذا في تناقض صارخ مع العديد من المجتمعات الأخرى ، التي لا تتجنب النقد فحسب ، بل غالبًا ما تشجع اللامبالاة والعقول المنفصلة عن مجتمعها. قد يبدو من الصعب قول ذلك ، لكن من المستحيل النظر إلى الحظر على مستوى النظام البيئي للمعارضين ، وإغلاق المحادثة ، وتشجيع التشجيع الذي يظهر في أماكن التقاء العملات الأخرى دون الوصول إلى هذا الاستنتاج. </p>\n\n<p> هذا لا يعني أن مونيرو ليس لديها مشجعات بحد ذاتها ، لأنها كذلك. لكن الشيء المثير للاهتمام هو أن العديد من أعضاء المجتمع سوف ينادون هؤلاء المشجعين ويدعونهم إلى مستوى أعلى من السلوك. في الواقع ، تذهب Monero إلى حد اعتبار التشجيع المفرط غير الضروري على أنه محتوى غير مرغوب فيه وستسعى إلى إعادة توجيهه إلى أماكن أكثر ملاءمة ، أو إزالته بالكامل. </p>\n\n<p> يجب أن يؤخذ خطر تقزم العقول على محمل الجد. الخصوصية هي سباق تسلح حيث يجب أن يكون الجميع متيقظين ، وصرخات \"مونيرو هي الأفضل!\" و \"لا شيء يمكنه التغلب على مونيرو! إنه غير قابل للكسر! \" فقط ينتقص من إلحاح المعركة. انطلاقًا من هذا المنظور ، فإن الافتقار إلى التفكير النقدي والتشكيك الصحي في المجتمع ليس فقط مزعجًا أو ثقافيًا ، بل يمكن أن يؤدي إلى سقوط البروتوكول نفسه. </p>\n\n<p> من نواحٍ عديدة ، يمكننا أن ننظر إلى Bitcoin للحصول على أمثلة لكيفية حدوث ذلك في الحياة الواقعية. غالبًا ما يقوم متطرفو البيتكوين بإطلاق إشارة فضيلة لبعضهم البعض حول مزايا Bitcoin ، وكلما ظهرت مشكلات تتعلق بالخصوصية أو قابلية التبديل أو التوسع ، يتم التخلص من الأسئلة يدويًا ويتم طرد المخالفين من المجتمع. في كثير من الأحيان ، وجد الأشخاص الذين لديهم أسئلة مشروعة أنفسهم ممنوعين أو محظورين أو منبوذين من المشاركة في مجتمعات Bitcoin ، لمجرد أنهم لن ينسجموا مع الخطاب المتفق عليه ويتجرأون على طرح الأسئلة. </p>\n\n<p> مرارًا وتكرارًا ، يجد هؤلاء المسافرون المرهقون طريقهم إلى مونيرو ، وبعد قضاء بعض الوقت في المجتمع ، أشادوا بالمشروع بسبب مناقشاته المتوازنة وعدم الخوف من الأسئلة غير المريحة. ليس من غير المألوف أن يرغب هؤلاء المسافرون حتى في مناقشة عملات معدنية أخرى ، ليس لأنهم يريدون الشراء ، ولكن لأنهم يكبرون ويثقون في سبب ومنطق المجتمع ويريدون آراء صادقة لعملة أخرى ، وهو شيء لا يمكنهم الحصول عليه مجتمع العملة نفسه. </p>\n\n<p> حتى حقيقة أن Monero ظلت متشعبة باستمرار في الماضي والحاضر أظهرت تواضع وقوة المشروع. في حين أن البعض قد ينتقد الهارد فورك باعتباره <a target=\"_blank\" href=\"/knowledge/why-monero-is-open-source-and-decentralized\" class=\"next-link\"> مركزية للمطورين </a> ، وهذا صحيح إلى حد ما ، فإنه يوضح أن المطورين أدركوا أن احتمالات حصولهم على كل شيء بشكل صحيح بنسبة 100٪ من أول مرة هي احتمالات ضئيلة. يجب تحسين الأمور ، وربما حتى استبدالها بالكامل إذا أرادت Monero أن تظل قادرة على المنافسة في كل من مساحات الخصوصية والعملات المشفرة. </p>\n\n<p> في كثير من الأحيان ، تؤدي هذه التغييرات إلى كسر التوافق مع الإصدارات السابقة ، وهو رقم كبير في بروتوكول البيتكوين ، حيث يجب أن يكون كل شيء شوكة ناعمة ومتوافقة مع الإصدارات السابقة. ولكن هذا يعني أن كل تغيير فردي تقوم به Bitcoin لنفسها له نطاق محدود للغاية. إنهم مثقلون بماضيهم ، ويجب أن تحترمه التحسينات ، في كثير من الأحيان بلا معنى. في حين أن تغييرات Monero يمكن أن تكون كاسحة ، وغالبًا ما تعمل على تحسين البروتوكول والخصوصية بعدة أوامر من حيث الحجم. </p>\n\n<p> يمكن ملاحظة ذلك بسهولة في تضمين <a target=\"_blank\" href=\"/knowledge/monero-ringct\" class=\"next-link\"> RingCT </a>. قبل ذلك ، تضمنت Monero فقط <a target=\"_blank\" href=\"/knowledge/monero-stealth-addresses\" class=\"next-link\"> عناوين التسلل </a> و <a target=\"_blank\" href=\"/knowledge/ring-signatures\" class=\"next-link\"> توقيعات الحلقة </a> ، وكانت المبالغ مرئية. قام شين نويثر ، الباحث في MRL ، بتعديل بروتوكول حالي يخفي كميات لـ Monero ، ولكن تضمينه سيؤدي إلى تعطيل التوافق مع الإصدارات السابقة ، مما يعني أنه لن يُسمح بعد الآن بالمعاملات ذات النمط القديم بمبالغ شفافة. </p>\n\n<p> أخذت Monero هذه المخاطرة ، وكانت النتيجة النهائية هي تحسين الخصوصية بشكل كبير والتي عززت موقع Monero كملك لعملات الخصوصية. ولكن هذا ليس كل ما أظهرته. هذه الشوكة ، بالإضافة إلى كل ما يلي ، بالإضافة إلى كل التشجيع التالي للتشكيك والتواضع والتساؤل داخل المجتمع ، عززت أيضًا Monero كواحدة من أكثر العقول حدة في عالم التشفير.';

  @override
  String get knowledge250Sbcritical250Sbdescription => 'يتم تشجيع عشاق التشفير على التفكير النقدي وتقييم المشاريع بناءً على قيمتها في العالم الحقيقي ، ولكن هل من المفترض أن تكون المشروعات  منتقدة نفسها ولديها وعيا بذاتها؟؟';

  @override
  String get knowledge250Sbcritical250Sbtitle => 'لماذا تمتلك Monero مجتمع التفكير الأكثر أهمية';

  @override
  String get knowledge250Sbdandelion250Sb0250Sbtext => '<p> بصفتها عملة مشفرة ، قد تبدو Monero مملة جدًا بالعين المجردة. ليس لديها شهرة كبيرة مثل كونها \"كمبيوتر عالمي\" أو \"إحداث ثورة في صناعة xyz\". إنها تحاول فقط أن تكون مالًا خاصًا ورقميًا وقابل للاستبدال ، وكل ترقية وكل تقنية جديدة تعزز هذه الغاية. </p>\n<p>\nأولئك الذين يعتبرون هذا الهدف ضيقًا جدًا أو غير مثير للاهتمام بشكل عام لا يفهمون مدى صعوبة تحقيق خصوصية ذات مغزى ، لا سيما في دفتر الأستاذ الدائم والمفتوح مثل blockchain. أي طريق لتسرب البيانات الوصفية من المحتمل أن يؤدي إلى تراجع الخصوصية. </p>\n<p>\nتتخذ Monero الاحتياطات اللازمة للتشويش على البيانات الموجودة في السلسلة ، مثل المتلقي والمرسل والمبالغ ، عبر عناوين التخفي وحلقة التوقيعات \nوالتزامات Pedersen على التوالي. هذا يقلل من فرص المراقب العرضي من استنتاج المعلومات الهامة بعد إرسال المعاملات بالفعل وأصبحت الآن مجرد جزء من السجل المسجل. ومع ذلك ، هناك بعض الهجمات التي يمكن القيام بها في اللحظة التي تحدث فيها المعاملة والتي لا يمكن تنفيذها في أي وقت لاحق. </p>';

  @override
  String get knowledge250Sbdandelion250Sb0250Sbtitle => 'الخصوصية كأولوية';

  @override
  String get knowledge250Sbdandelion250Sb1250Sbtext => 'تدور هذه الهجمات حول تحديد عنوان IP الذي جاءت منه المعاملة. إذا تم استنتاج هذه المعلومات ، فقد تكشف عن قيام شخص ما بإرسال معاملة Monero. إنه غير قادر على إظهار من ، ومقدار ذلك ، ولكن هناك بعض الحالات التي تكون فيها معرفة شخص ما باستخدام Monero كافية لإحداث ضرر.\n<br/> <br/>\nالخبر السار هو أنه إذا لم يتم الحصول على هذه المعلومات لحظة إجراء المعاملة ، فلا يمكن التعرف عليها في وقت لاحق ، حيث لا يتم تخزين عناوين IP على blockchain. كما أنه من المريح معرفة أنه من غير المحتمل رؤية مثل هذا الهجوم في العالم الخارجي، لأنه من أجل سحبه ، سيحتاج المهاجم إلى أغلبية كبيرة من العقد على الشبكة. إذا كان الشخص قادرًا على قيادة هذه الأغلبية العظمى ، فسيكون قادرًا على تحديد \"الاتجاه\" الذي أتت منه المعاملة.\n<br/> <br/>\nقد يكون هذا محيرًا ، لذلك سنشرح بعض المعلومات الأساسية هنا. تتصل كل عقدة بالعقد الأخرى على الشبكة ، حتى يتمكنوا من تحديث blockchain الخاص بهم ، بالإضافة إلى مشاركة ما يعرفونه مع الآخرين. تتيح لهم هذه الاتصالات التعرف على المعاملات الجديدة ونشرها وإرسال معاملاتهم الخاصة. نظرًا لأن العقدة يمكنها فقط إخبار أقرانهم عن المعاملات التي يعرفون عنها ، فمن المنطقي أن العقدة الأولى التي تنشر المعاملة هي العقدة التي ترسل فعليًا Monero.\n<br/> <br/>\nإذا كان المهاجم يمتلك غالبية كبيرة من العقد على الشبكة ، فستسمع كل عقدة عن معاملة من أحد أقرانها ، وبناءً على التوقيت الذي تتلقى فيه كل عقدة هذه المعلومات ، يمكنهم استنتاج المرشحين المحتملين للمكان الذي بدأت فيه المعاملة.\n<br/> <br/>\nإذا كان هذا لا يزال مربكًا ، فنحن نقدم هذا المثال. لنفترض أن كلانا لديه صديق مشترك يختبئ عن رؤيتنا. هذا الصديق ينادي بصوت عال. أسمع مكالمته أولاً ، وأسمعها أعلى منك. من خلال هذه المعلومات ، يمكننا أن نعرف أنني على الأرجح أقرب إلى صديقنا منك. حقيقة أنك تسمع الصوت لاحقًا (حتى ولو بجزء من الثانية) وأن الصوت خافت يعني أننا يجب أن نبدأ بحثنا حول منطقتي ، وليس منطقتك.\n<br/> <br/>\nإذا كان المهاجم قادرًا على تخمين أي من أقرانه أرسل المعاملة بنجاح ، نظرًا لأن لديهم عنوان IP المتصل بالعقدة الخاصة بهم وأعادوا توجيهها إليهم ، فيمكنهم التأكد من عنوان IP الذي أرسلها. هذه معلومات قوية ، حيث تحتوي عناوين IP على معلومات حول الدولة ومزود خدمة الإنترنت (ISP) للمستخدم ، ويعرف مزود خدمة الإنترنت نفسه المستخدم المرتبط بعنوان IP الدقيق ، مما يؤدي إلى تحديد هوية مستخدم Monero بشكل فعال.';

  @override
  String get knowledge250Sbdandelion250Sb1250Sbtitle => 'هجوم للكشف عن عنوان IP';

  @override
  String get knowledge250Sbdandelion250Sb2250Sbtext => 'أحد التعديلات المحتملة لهذا الهجوم هو استخدام شبكة تراكب مثل Tor أو I2P. هذا يجعل الأمر كذلك حتى إذا تمكن المهاجم من استنتاج عنوان IP المصدر ، فمن المحتمل ألا يكون العنوان هو الذي أجرى المعاملة ، ولكن بالأحرى عقدة الخروج (I2P) أو عقدة الخروج (Tor) لشبكة التراكب. ومع ذلك ، لا يعد هذا حلاً شاملاً ، حيث يتم حظر شبكات التراكب وشبكات VPN والبرامج المماثلة في العديد من البلدان ، ومن غير الواقعي توقع أن يستخدم الجميع هذه الشبكات ومزامنتها ونشرها. يجب أن يكون هناك حل لا يتطلب استخدام برامج وشبكات خارجية ؛ واحد متاح للأشخاص العاديين.\n<br/> <br/>\nهذا الحل هو Dandelion ++ (DPP) ، وهو بروتوكول تمت ترقيته إلى اقتراح Dandelion الأصلي للبيتكوين. في هذا البروتوكول ، هناك مرحلتان ، المرحلة الجذعية ، ومرحلة الزغب ؛ من المفترض أن يمثل كلاهما معًا شكل الهندباء.\n<br/> <br/>\nفي مرحلة الجذع ، كل بضع دقائق ، تختار عقدة الإرسال بشكل عشوائي نظيرين من جميع العقد التي تتصل بها. عندما ترسل عقدة الإرسال معاملة ، إما نيابة عن نفسها أو مجرد إعادة توجيه المعاملة من عقدة أخرى في المرحلة الجذعية ، فإنها تختار عشوائيًا أحد هذين النظراء المحددين وترسل المعاملة إليها.\n<br/> <br/>\nمرحلة الزغب هي عندما تتلقى العقدة معاملة وتبثها إلى كل اتصال صادر ، بدلاً من اتصال واحد تم اختياره عشوائيًا ، وهذا يسمح بنشر المعاملة بشكل حقيقي. كل بضع دقائق تعرف العقدة نفسها على أنها إما أن تنتشر عن طريق الجذع أو عن طريق الزغب بشكل عشوائي ، لذلك يمكن أن تكون المرحلة الجذعية طويلة جدًا إذا حددت كل عقدة متصلة نفسها على أنها عقدة جذعية ، ولكن بمجرد أن تصل المعاملة إلى مرحلة الزغب ، يبقى هناك.\n<br/> <br/>\nهذا يعني أن المهاجم لن يكون قادرًا على الاستماع ببساطة لاتجاه المعاملة بعد الآن ، لأنه قبل نشرها للجميع ، خضعت لمرحلة الجذع ، والعقدة الأصلية لمرحلة الزغب ليست العقدة التي نشأت منها المعاملة ، ومن غير المعروف عدد القفزات التي خضعت لها المعاملة على طول الجذع.\n<br/> <br/>\nبالطبع ، فإن الجمع بين الحلول المذكورة أعلاه (DPP بالإضافة إلى شبكة التراكب) سيعطي ضمانات أقوى للخصوصية والحماية من تتبع IP. وتجدر الإشارة أيضًا إلى أن DPP لا تدافع عن أي شكل آخر من أشكال هجمات تتبع الشبكة التي يمكن إجراؤها مع مزودي خدمة الإنترنت ، ولكن هذا خارج نطاق هذه المقالة.\n<br/> <br/>\nتم تعيين Dandelion ++ على البث المباشر على شبكة Monero ، وسيتم استخدامه افتراضيًا على العميل المرجعي ، في الإصدار 0.16. سيؤدي هذا التغيير الصغير إلى التخفيف من حدة الهجمات المحتملة على شبكة Monero ، ويوضح سبب قيادة Monero للحزمة في تقنيات الخصوصية العملية والتطبيقية.';

  @override
  String get knowledge250Sbdandelion250Sb2250Sbtitle => 'التعديل (ق)';

  @override
  String get knowledge250Sbdandelion250Sbdescription => 'تتخذ Monero الاحتياطات اللازمة لإخفاء البيانات الموجودة على السلسلة ، ولكن هناك بعض الهجمات التي يمكن إجراؤها في اللحظة التي تحدث فيها المعاملة ولا يمكن تنفيذها في أي وقت لاحق.';

  @override
  String get knowledge250Sbdandelion250Sbtitle => 'كيف تحافظ Dandelion ++ على خصوصية أصول معاملات Monero';

  @override
  String get knowledge250Sbdescription => 'ما الذي يجعل مونيرو مميزة؟ تعلم من خلال قراءة المقالات والأدلة على صفحة المعرفة الخاصة بنا.';

  @override
  String get knowledge250Sbeconomy250Sb0250Sbtext => '<p> أحد أهم الجوانب في بقاء ونمو العملات المشفرة وإمكانية استخدامها هو تكوين الاقتصادات الدائرية. لقد رأينا هذه تظهر على نطاق صغير داخل Bitcoin والعملات المشفرة الأخرى ، ولكن Monero لها سمات متعددة تمكننا بشكل فريد من بناء الاقتصادات الدائرية والمشاركة فيها. </p>';

  @override
  String get knowledge250Sbeconomy250Sb1250Sbtext => '<p> على الرغم من أنني متأكد من أنكم جميعًا على دراية واسعة النطاق بالاقتصاديات كموضوع واسع ، إلا أن فكرة \"الاقتصاد الدائري\" هي فكرة نادرًا ما تتم مناقشتها خارج عالم العملة المشفرة. ما يجعل الاقتصادات الدائرية مهمة ومميزة للغاية هي أنها تخلق أسواقًا حرة حقًا تسمح بتداول الخدمات والمنتجات والسلع <em> مباشرةً لصالح Monero </em>. </p>\n<p> لا يحتاج المشاركون إلى التحرك باستمرار داخل وخارج النظام ، ولكن يمكنهم الاحتفاظ بمونيرو الخاص بهم داخل النظام ، والكسب والادخار والإنفاق مباشرةً في Monero دون الاحتكاك أو المراقبة أو القيود المفروضة على الاقتصاد العادي. [ X606X]\n<p> الاقتصادات الدائرية بشكل عام \"فوق اللوح\" وقانونية ، ولكنها تعمل بشكل أكبر كـ \"أسواق رمادية\" مقارنة بـ \"الأسواق البيضاء\" العادية في عالم العملات الورقية. </p>';

  @override
  String get knowledge250Sbeconomy250Sb1250Sbtitle => 'ما هي الاقتصادات الدائرية؟';

  @override
  String get knowledge250Sbeconomy250Sb2250Sbtext => '<h6 id=\"remove-the-reliance-on-the-states-approval-and-id-system\"> 1. إزالة الاعتماد على موافقة الدولة ونظام الهوية </h6>\n<p> قد لا تبرز هذه النقطة لمعظم الغربيين أو الأشخاص الذين عاشوا مع نظام الهوية في بلد مستقر ، ولكن اعتمادنا على المعرفات والموافقات الصادرة عن الدولة من أجل إجراء الأعمال وكسب لقمة العيش وشراء ما نحتاجه من اجل البقاء تمكن الدولة من قطع بسهولة أولئك الذين تعتبرهم \"غير متوافقين\". </p>\n<p> هذا <em> ليس </em> مجرد مجرمين ، ويمكن أن يكونوا منشقين سياسيين ، وأقليات دينية ، وأقليات عرقية ، وما إلى ذلك. يتيح هذا التحكم للدولة إملاء من يمكنه ومن لا يمكنه الانخراط في التجارة ، ومن يمكنه التعامل معه ، وما يمكننا شراؤه / بيعه - اختيار الحياة أو الموت لكل مواطن بناءً على الامتثال. </p>\n<p> إزالة هذا الاعتماد عن طريق بناء اقتصادات دائرية يزيل سيطرة الدول على قدرتنا على الانخراط في الاقتصاد ، مما يسمح لنا بالبقاء والازدهار بغض النظر عما تعتقده الدولة منا. </p>\n<h6 id=\"reduce-the-governments-control-of-monero-and-monero-users-via-fiat-onoff-ramps\"> 2. تقليل سيطرة الحكومات على مستخدمي Monero و Monero عبر منحدرات تشغيل / إيقاف فيات </h6>\n<p> إن ضمانات الخصوصية القوية بشكل لا يصدق واللامركزية في Monero تجعل من الصعب للغاية (أو حتى المستحيل) منع الناس من استخدامه بالطريقة التي يرونها مناسبة. نظرًا للقاعدة التقنية القوية لقوة Monero كأداة للحرية ، فإن الحكومات تدرك بسرعة أن أفضل فرصة للسيطرة على مستخدمي Monero أو الحد من فعالية الشبكة هي التحكم في من يمكنه الوصول إلى Monero أثناء تجميع قائمة لطيفة ومرتبة من مستخدمو Monero عبر تبادلات اعرف عميلك (KYC). </p>\n<p> عندما نبني اقتصادات دائرية ، لا نحتاج إلى استخدام منحدرات تشغيل / إيقاف بشكل متكرر (أو حتى على الإطلاق!) ، وبالتالي يمكننا إزالة نقطة سيطرة الحكومة على أفعالنا. </p>\n<p> يمكننا أيضًا القيام بذلك عن طريق رفض استخدام تبادلات KYC المركزية ، وتداول نظير إلى نظير هنا على LocalMonero. </p>';

  @override
  String get knowledge250Sbeconomy250Sb2250Sbtitle => 'لماذا نحتاج لبناء اقتصادات دائرية؟';

  @override
  String get knowledge250Sbeconomy250Sb3250Sbtext => '<p> بينما تشترك Monero في بعض السمات الأساسية للبيتكوين التي تمكّن الاقتصادات الدائرية بطريقة جديدة (المدفوعات المقاومة للرقابة ، ومعاملات p2p ، وما إلى ذلك) ، فإنها توفر تمكينًا فريدًا تمامًا لأولئك الذين يرغبون في البناء والمشاركة في اقتصادات دائرية . </p>\n<h6 id=\"monero-enables-global-p2p-transactions-without-fear-of-surveillance-or-censorship\"> 1. تمكّن Monero معاملات P2P العالمية دون خوف من المراقبة أو الرقابة </h6>\n<p> لا يحتاج مستخدمو Monero إلى القلق بشأن المراقبة الجماعية أو حتى الرقابة المستهدفة على معاملاتهم ، مما يوفر راحة البال الفريدة ويمنع أي أعباء على التجارة. يمكنك التعامل مع أي شخص في العالم ، في أي وقت ، دون أي مراقبة باستخدام محفظة Monero التي تختارها. </p>\n<h6 id=\"fungibility-removes-the-risk-of-tainted-coins-and-ensures-trust\"> 2. القابلية للتلف تزيل مخاطر العملات المعدنية الملوثة وتضمن الثقة </h6>\n<p> نظرًا لأن Monero قابلة للاستبدال (1 XMR يساوي 1 XMR ، بغض النظر عن أي شيء) ، لا يحتاج المشاركون في الاقتصاد الدائري إلى القلق بشأن الأموال التي يرسلونها أو يتلقونها. لا يمكن إرجاع أي Monero يرسلونه إلى معاملاتهم الأخرى وليس له تاريخ وبالتالي لا يمكن مراقبته استنادًا إلى التاريخ ، وستكون Monero المستلمة دائمًا قادرة على إنفاقها بحرية بالقيمة السوقية الكاملة. تضيف قابلية التبديل هذه إلى الاطمئنان لدى المشاركين ، وتضمن أن شركات تحليل السلسلة لا تستطيع شق طريقها إلى الاقتصادات الدائرية ، وتمنع انهيار الثقة في Monero كوسيلة للتبادل. </p>\n<p> يؤدي الانهيار الحالي للثقة في Bitcoin كطريقة للتبادل إلى فقدانها للزخم سريعًا في الاقتصادات الدائرية حيث توجد Monero. لا يرغب الأشخاص في التحقق من الأموال بحثًا عن التلوث ، أو القلق بشأن ما إذا كان سيتمكنون من إنفاقها بحرية ، أو الشعور بالحاجة إلى استخدام أي أدوات تحليل سلسلة لحماية أنفسهم من المشكلات القانونية أو التنظيمية. </p>\n<h6 id=\"moneros-low-fees-ensure-a-free-flow-of-commerce\"> 3. تضمن الرسوم المنخفضة لشركة Monero التدفق الحر للتجارة </h6>\n<p> واحدة من أبسط النقاط لفهم معاملات Monero هي أن رسوم المعاملات منخفضة بشكل لا يصدق وستظل معقولة على المدى الطويل بفضل <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\"   href=\"https://localmonero.co/knowledge/monero-tail-emission\"> انبعاث الذيل </a> و <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\"   href=\"https://localmonero.co/knowledge/dynamic-block-size\"> حجم الكتلة الديناميكية </a> . </p>\n<p> تضمن هذه الرسوم المنخفضة أن التجارة يمكن أن تتدفق بحرية بغض النظر عن مقدار ازدحام blockchain ، مما يقلل العبء العقلي والضغط على المشاركين لمحاولة تحديد وقت معاملاتهم أو الانتظار لساعات / أيام لتأكيد المعاملات منخفضة الرسوم. مع رسوم تبلغ حوالي 1 سنتًا اليوم ، يمكنك التعامل بحرية بأي حجم من المعاملات دون القلق بشأن الرسوم أسفل الخط. </p>';

  @override
  String get knowledge250Sbeconomy250Sb3250Sbtitle => 'كيف تقوم Monero بتمكين هذه الاقتصادات الدائرية بشكل فريد؟';

  @override
  String get knowledge250Sbeconomy250Sb4250Sbtext => '<p> في النهاية ، Monero هي نقود رقمية كما ينبغي أن تكون. الطمأنينة وإمكانية التبديل وخصوصية التعامل النقدي مع جميع مزايا المعاملات الرقمية والعالمية والمعاملات من نظير إلى نظير المنفصلة عن سيطرة الدولة أو مراقبتها. هذه القدرة على العمل كنقد رقمي تمكّن الاقتصادات الدائرية بشكل فريد اليوم وتساعدها على النمو والازدهار بمرور الوقت بطرق لا تستطيع العملات الرقمية الأخرى مثل البيتكوين القيام بها. </p>';

  @override
  String get knowledge250Sbeconomy250Sb4250Sbtitle => 'الخاتمة';

  @override
  String get knowledge250Sbeconomy250Sb5250Sbtext => '<p> إذا كنت فضوليا وترغب في فهم الاقتصادات الدائرية بشكل أفضل أو البدء في المشاركة في أحدها اليوم ، فراجع الروابط أدناه للتعرف على الأماكن الرائعة للبدء: </ p>\n<ul>\n<li> <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://bitcoinmagazine.com/business/kyc-free-bitcoin-circular-economies\"> \"KYC- الاقتصادات الدائرية المجانية للبيتكوين: حرر الأسواق ، حرر العالم \"- Anarkio </a> </li>\n<li> <a class = \"next-link\" target = \"_ blank\" rel = \"noopener nofollow\" href = \"https://bitcoinmagazine.com/business/its-time-to-join-the-bitcoin-circular- Economy / \">\" حان الوقت للانضمام إلى اقتصاد Bitcoin الدائري \"- Ragnar Lifthrasir </a> </li>\n<li> <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://monerica.com/\"> \"Monerica.com - دليل لاقتصاد Monero دائري\" < / أ> </li>\n<li> <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://cryptwerk.com/pay-with/xmr/\"> تجار Monero - Cryptwerk </a> </li>';

  @override
  String get knowledge250Sbeconomy250Sb5250Sbtitle => 'كيف يمكنني معرفة المزيد؟';

  @override
  String get knowledge250Sbeconomy250Sbdescription => 'اليوم ، نأخذ في الاعتبار كيف أن قدرة Monero على العمل كنقد رقمي تمكن بشكل فريد من تطوير الاقتصادات الدائرية.';

  @override
  String get knowledge250Sbeconomy250Sbtitle => 'كيف Monero تمكن  الاقتصادات الدائرية بشكل فريد';

  @override
  String get knowledge250Sbemission250Sb0250Sbtext => '<p> عندما يفكر معظم الناس في ما يميز Monero عن غيرهم ، فإنهم يفكرون في تقنية خصوصية Monero. في الواقع ، سيأخذ معظمهم في الاعتبار الخصوصية ، وإمكانية التبديل التي تفتحها ، باعتبارها السمة المميزة لمونيرو ، والسلاح الرئيسي الذي تدخله في الحلقة عند مقارنتها بالعملات المعدنية الأخرى. ما قد لا يعرفه معظم الناس هو أن Monero تحتوي على اختلافات أخرى في  البروتوكول  من Bitcoin ومشتقاتها التي قد يجادل البعض بأنها لا تقل أهمية عن تقنيات خصوصية Monero. في هذه المقالة ، سوف نلقي نظرة على واحدة من هذه: الانبعاث الذيلي. </p>\n\n<p> أولاً ، دعنا نحدد ما يعنيه هذا المصطلح. الانبعاث الذيلي هو دعم مستمر لمكافآت الكتلة ، حتى بعد سك \"آخر\" مونيرو. بعبارة أخرى ، لن تنخفض مكافأة الكتلة في Monero أبدًا إلى الصفر ، بل ستنخفض حتى تصل إلى 0.6 XMR لكل كتلة ، ثم تظل هناك إلى الأبد. سيتم دفع أموال لعمال المناجم دائمًا لتعدين Monero ، ولن يضطروا أبدًا إلى الاعتماد فقط على سوق الرسوم. </p>\n\n<p> ولكن دعونا نتراجع للحظة ، وننظر إلى التعدين على مستوى عالٍ للغاية. يتم تحفيز عمال المناجم في Monero لتأمين شبكة عن طريق تعدين التجزئة. الحافز هو فرصة صنع Monero إذا وجدوا كتلة جديدة. يتم منح هذا المونيرو بطريقتين. أولاً ، يتلقى المُعدِّن الرسوم المدفوعة لكل مستخدم دفع مقابل إدراج معاملته في الكتلة. هذه هي رسوم المعاملات التي تدفعها عند إرسال معاملة. ثانيًا ، يتلقى المُعدِّن كمية محددة مسبقًا من Monero من البروتوكول نفسه. في معظم الحالات ، تكون \"مكافأة الكتلة\" أعلى بكثير من رسوم معاملات المستخدم ، وهي المكان الذي يحقق فيه المعدنون أكبر قدر من المال. تعمل مكافأة الكتلة هذه على إبقاء المعدنين مستثمرين مالياً في أمان السلسلة ، ولكن أيضًا لتداول عملات معدنية جديدة. </p>\n\n<p> في معظم بروتوكولات العملة المشفرة ، يتم تعيين مكافأة الكتلة هذه على التناقص بمرور الوقت. تحتوي معظم مشتقات البيتكوين على ما يسمى الهالفين ، وهي نقاط محددة مسبقًا في الوقت الذي تنخفض فيه الكتلة إلى النصف (مثل من 20 BTC إلى 10 BTC). تحدث هذه النصفين كل بضع سنوات ، وفي كل مرة يحدث ذلك ، ينخفض مستوى الأمان على الشبكة. لماذا ا؟ حسنًا ، نشجع القارئ على قراءة مقالتنا <a class=\"next-link\" href=\"/knowledge/monero-mining-randomx\" target=\"_blank\"> عن التعدين و RandomX </a> ، وبذلك سيتعلمون أن التعدين هو سباق. تُمنح مكافآت الكتلة فقط لأولئك الذين يجدون كتلة ، وهناك العديد من المجموعات المتنافسة للقيام بذلك. عندما تكون المكافآت أعلى ، فإن المزيد من الأشخاص يهتمون بلعب هذه اللعبة ، بينما عندما تكون المكافآت منخفضة ، سيكون عدد أقل من الأشخاص ، حتى أولئك الذين لديهم المعدات اللازمة للقيام بذلك ، على استعداد لاستخدام وقتهم ومواردهم في فرصة للفوز بشكل ضئيل. الجائزة. </p>\n\n<p> بدأنا بالفعل في إزالة القشور التي  تسبب الانبعاث الذيلي ل المونيرو. لدى Monero أيضًا مكافأة كتلة متناقصة ، على الرغم من عدم وجود نصفين على عكس Bitcoin. بدلاً من ذلك ، تكون كل مكافأة كتلة مقدارًا ضئيلًا أقل من سابقتها ، وبالتالي يكون التخفيض أكثر سلاسة. لكن السؤال بالنسبة لجميع العملات المشفرة هو: \"ماذا يحدث عندما تصل مكافأة الكتلة إلى الصفر؟\" هذا وضع غريب نعرف عنه ولا نعرف الإجابة. الجزء الذي نعرفه هو أنه لن يكون هناك المزيد من دعم مكافأة الكتلة ، مما يعني أنه سيتعين تحفيز عمال المناجم من خلال رسوم معاملات المستخدم وحدها. ما لا نعرفه هو ما إذا كانت هذه المبالغ ستكون كافية للحفاظ على عمال المناجم يؤمنون السلسلة. </p>\n\n<p> كما ذكرنا سابقًا ، في الوقت الحالي ، تفوق مكافأة الكتلة رسوم المعاملات بمبلغ كبير ، لذلك نأمل أنه مع زيادة عدد المستخدمين الذين يستخدمون السلسلة ، ستزيد الرسوم ، ومع زيادة الرسوم ، سيعتبر عمال المناجم أنها تستحق وقتهم لمواصلة التعدين. ومع ذلك ، هناك جانب آخر لهذا السيناريو ، هو جانب المستخدمين. إذا زادت الرسوم ، فسيصبح التعامل مع العملات المشفرة أكثر تكلفة بكثير للجميع ، مما قد يؤدي إلى عزلها عن أولئك الذين ليس لديهم موارد نقدية كافية. ولكن من ناحية أخرى ، إذا ظلت الرسوم منخفضة وذهبت مكافأة الكتلة إلى الصفر ، فإن عددًا قليلاً جدًا من عمال المناجم سيؤمنون الشبكة ، مما يجعلها عرضة للهجمات بنسبة 51٪ والمعاملات العكسية. </p>\n\n<p> لا أحد لديه إجابات جيدة لهذا السيناريو ، ولم تدخل أي عملة رئيسية بعد هذه المرحلة من حياة عملتهم المشفرة ، لذلك ليس لدينا خبرة في العالم الحقيقي معها أيضًا. كل هذا مجرد تكهنات. مقامرة. تراهن Bitcoin على أن الرسوم ستكون كافية للحفاظ على عمال المناجم ، حتى لو كان ذلك يعني استبعاد الفقراء. يقوم مونيرو برهان مختلف. تراهن شركة Monero على أن الرسوم وحدها لن تكون كافية لسلسلة الأمان ، لذا فهي تتضمن الانبعاثات  الذيلية كجزء من البروتوكول. </p>\n\n<p> نذكر القارئ بأن مكافأة الكتلة لن تقل عن 0.6 XMR لكل كتلة ، على الإطلاق. هل سيكون هذا كافيا لتحفيز عمال المناجم؟ لا نعرف ، لكنه بالتأكيد أفضل من الصفر ، وهو ما تم تضمينه تقريبًا في كل عملة أخرى في بروتوكولها. </p>\n\n<p> النقد الرئيسي الموجه ضد هذا النهج هو أن هذا يعني أن عرض Monero غير محدود نظريًا ، مما يتسبب في حدوث تضخم بمرور الوقت ، في حين أن العملات المعدنية التي تغطي مكافأة الكتلة لها معارض محدود ، وتؤدي ندرتها إلى زيادة القيمة بمرور الوقت. نشعر أن هذه الحجة غير كافية لعدة أسباب. </p>\n\n<p> أولاً ، ما فائدة العملة النادرة عالية القيمة التي يسهل مهاجمتها والرقابة عليها وتخريبها بسبب انخفاض مستوى الأمان؟ إذا كان هناك أي شيء ، فإن الأمن المنخفض من شأنه أن يقلل من القيمة ، أكثر من تعويض ما ستوفره الندرة. ثانيًا ، على الرغم من أن عرض Monero غير محدود نظريًا ، إلا أن التضخم خطي واتجاهات نحو الصفر كنسبة مئوية سنوية ، على عكس الأمر الأساسي.\n\n<p> يُعرف تضخم Monero بدقة في وقت مبكر ، ويمكن توقعه بدقة ، على عكس الإيداع النقدي الذي قد يزيد أكثر أو أقل في عام معين بناءً على أهواء القوى الموجودة. لا يزال هذا يحافظ على روح cypherpunk لإزالة إمكانية الفساد البشري من خلال التكنولوجيا المطبقة في البروتوكول. مع الميزة الإضافية لراحة البال ، فإن أمان blockchain الخاص بـ Monero من خلال التعدين سيكون موجودًا طالما يحتاجه العالم. </p>\n\n<p> النقطة الأخيرة التي نريد التطرق إليها هي نقطة الإنصاف. تُستخدم النقود بعدة طرق ، كمخزن للقيمة ، ووسيلة للتبادل ، وكوحدة حساب. في النظام الذي يكون فيه العرض محدودًا ، سيتوقف التضخم ، مما يعني أن أولئك الذين يستخدمونه كمخزن للقيمة يستخدمون النظام مجانًا. إنهم يستفيدون من الأمن المستمر الذي يوفره عمال المناجم دون دفع أي شيء مقابل ذلك ، لأنه بدون تضخم ، لا تفقد أموالهم قيمتها ببطء بمرور الوقت. وعلى العكس من ذلك ، فإن أي شخص يستخدم العملة كوسيلة للتبادل يُعاقب (من خلال رسوم المعاملات المرتفعة المحتملة). سيشجع هذا الناس على الاحتفاظ ولكن ليس الإنفاق ، ويؤدي إلى انحراف عدالة النظام لصالح أصحابه. من خلال وجود انبعاث من الذيل ، فإن هذا يؤدي إلى خروج المعادلة. يدفع حاملو الخدمة الآن أيضًا ضريبة صغيرة ، عن طريق التضخم ، لأمن النظام. الانبعاث الذيليلي يجعلها أكثر إنصافًا للجميع. </p>';

  @override
  String get knowledge250Sbemission250Sbdescription => 'تقنية خصوصية Monero ليست هي الاختلاف الوحيد الذي يميزها عن BTC ومشتقاتها. في هذه المقالة سنلقي نظرة على تقنية اخرى - الانبعاث الذيلي.';

  @override
  String get knowledge250Sbemission250Sbtitle => 'لماذا مونيرو لها انبعاث الذيل';

  @override
  String get knowledge250Sbfoss250Sb0250Sbtext => 'أحد أهداف blockchain التي غالبًا ما يتم التصريح عنها هو إعادة الطاقة إلى أيدي الناس. ما هي أنواع القوة ، ومدى الاختلاف اعتمادًا على من تسأل ، وتصميم blockchain نفسه سيحدد كيفية حدوث إعادة التوزيع. هناك العديد من الأدوات التي تساهم في تصحيح التباين ، ونود مناقشة واحدة لها تأثير كبير على كيفية تشغيل المشروع ، وإمكانية إعادة توزيع السلطة الفعلية: المصدر المفتوح.';

  @override
  String get knowledge250Sbfoss250Sb0250Sbtitle => 'القوة للشعب';

  @override
  String get knowledge250Sbfoss250Sb1250Sbtext => 'مشروع البرمجيات الحرة مفتوحة المصدر (FOSS) هو مشروع يتم فيه ترخيص الكود بطريقة تجعله متاحًا للعرض والتغيير والتدقيق والنسخ من قبل أي شخص وكل شخص. في المقابل ، يتم إخفاء رمز البرامج الاحتكارية ، ويتم الاحتفاظ به كسر تجاري لا يتم مشاركته خوفًا من المنافسة التي تنسخ العمل الشاق الذي دفعه المنشئ أو قام به. يتم إصدار البرنامج الذي تم إنتاجه في النهاية للجمهور فقط ، وليس الكود.\n<br/> <br/>\nيتمتع برنامج البرمجيات الحرة والمفتوحة المصدر بالعديد من المزايا مقارنة بنظرائه المملوكين له ، مثل عدد أقل من الأخطاء المحتملة (نظرًا لأن أي شخص يتمتع بحرية تدقيق الشفرة) ، والابتكار (نظرًا لأن المساهمات يمكن أن تأتي من أي مكان وفي أي وقت) ، وتمكين الأشخاص الذين قد لا يكونون قادرين على تحمل التكاليف أو الاستفادة بطريقة أخرى من العروض المسجلة الملكية.\n<br/> <br/>\nوينطبق هذا على مشاريع البرمجيات الحرة والمفتوحة المصدر القياسية، و blockchain ليست استثناء. العالم مليء بالحديث عن البرامج مفتوحة المصدر ، وتواجه عروض المحفظة المملوكة للملكية شكوكًا وانتقادات من قدامى المحاربين في مجال العملات المشفرة. على الرغم من أن معظم التطبيقات المرجعية لمعظم سلاسل الكتل الرئيسية مفتوحة المصدر ، إلا أن بعضها - مثل Monero - يتخطى حدوده ويقف بعيدًا عن الجمهور.';

  @override
  String get knowledge250Sbfoss250Sb1250Sbtitle => 'برمجيات مفتوحة المصدر';

  @override
  String get knowledge250Sbfoss250Sb2250Sbtext => 'في حين أنه من الصحيح أن معظم المشاريع تحتوي على كود مفتوح المصدر ، إلا أنه سيكون من الإضرار بروح المفهوم ألا تتعمق قليلاً لمعرفة الأسباب الحقيقية التي تجعل المصدر المفتوح قويًا للغاية. الحقيقة هي أن الترخيص مفتوح المصدر يعزز التعاون المفتوح من قبل الأشخاص من جميع مناحي ومراحل الحياة ، بهدف إنشاء الأدوات اللازمة والمفيدة للبشرية.\n<br/> <br/>\nبعض العملات المشفرة ، بينما يتم إصدار الكود في النهاية ، تم تطويرها سراً حتى تظل في صدارة المشاريع المنافسة. في حين أن هذه المشاريع مؤهلة على أنها \"مشاريع مفتوحة المصدر\" منذ أن تم إصدار التعليمات البرمجية الخاصة بها للجمهور في نهاية المطاف ، إلا أن التطوير الأولي لا يزال يتم بواسطة قلة مختارة ، مما يؤدي إلى فقدان العديد من الفوائد التي قد يمنحها المصدر المفتوح.\n<br/> <br/>\nروح مشروع مفتوح المصدر هو التعاون المفتوح لمنفعة الجميع ، وليس لصالح الاقلية ، وبهذه الطريقة تتفوق Monero على معظم أقرانها. لم يتم تطوير Monero بطريقة مفتوحة فقط ، مع اجتماعات متكررة يمكن لأي شخص حضورها والتحدث فيها ، ولكن أيضًا بحثها وتنفيذها. في الواقع ، جاءت العديد من أكبر اختراقات Monero من مصادر خارجية عبر التعاون ، أو عن طريق شخص يبدو عشوائيًا قادمًا إلى منصات البحث بفكرة جديدة ، مثل bulletproofs وتحسينات الخصوصية.';

  @override
  String get knowledge250Sbfoss250Sb2250Sbtitle => 'اتصال blockchain';

  @override
  String get knowledge250Sbfoss250Sb3250Sbtext => 'عند تقييم مشروع blockchain ، من المستحسن ألا ينظر المستخدم فقط لمعرفة ما إذا كان الرمز متاحًا للعرض ، ولكن إذا كانت الجوانب الأخرى من المشروع تُجرى أيضًا بطريقة مفتوحة وشفافة. كلما زادت الأبواب المغلقة للمشاركة المجتمعية ، زاد شعور المرء بعدم الارتياح. هنا يكمن عائقا للكثيرين ، ومع ذلك ، نظرًا لأن العديد منا يأتون من عالم الملكية ، حيث الشفافية ليست شائعة ، وليس لدينا نقطة مرجعية لما يشكل \"مفتوحًا بدرجة كافية\" ، ليس فقط في الكود ، ولكن في روح ومجالات أخرى من المشروع.\n<br/> <br/>\nفي الواقع ، تروج معظم المشاريع لانفتاحها على وسائل التواصل الاجتماعي ، ولكن عندما تلقي نظرة على عدد الأشخاص الذين يساهمون فعليًا في البرنامج أو التطوير أو البحث إلى جانب أولئك الذين يعملون أو يتم تعويضهم بطريقة أخرى ، يمكن أن يكون الواقع مختلفًا بشكل مذهل عما تم ادعاؤه. من الممكن لمن هم في السلطة (رسميًا أو غير رسمي) أن يكونوا رافضين أو عدائيين تمامًا عندما يتعلق الأمر بأفكار الآخرين.\n<br/> <br/>\nتحاول Monero تجنب هذه المشكلة تمامًا من خلال عدم وجود أدوار رسمية للمشروع ، حتى أن الفريق الأساسي لـ Monero يعمل بشكل أساسي فقط على البنية التحتية ، وليس له علاقة كبيرة بالتطوير أو البحث الفعلي للمشروع. ومع ذلك ، تتشكل هياكل السلطة غير الرسمية في جميع الدوائر الاجتماعية ، ولا يُعد Monero استثناءً ، لذلك يجب محاسبتها.';

  @override
  String get knowledge250Sbfoss250Sb3250Sbtitle => 'ما وراء الكود';

  @override
  String get knowledge250Sbfoss250Sb4250Sbtext => 'في حين أن هذه الأجزاء الاجتماعية من البرامج مفتوحة المصدر ذات قيمة للاستكشاف والمناقشة ، وقد أدى عدم القيام بذلك بالفعل إلى سقوط العديد من المشاريع ، يمكن أن تصبح المحادثة معقدة للغاية ، وعادة ما تكون خارج نطاق هذه المقالة ، على الرغم من تشجيع القارئ على مواصلة التعلم عن هذا الجزء المهم من إدارة البرمجيات الحرة والمفتوحة المصدر.\n<br/> <br/>\nيسعى مشروع Monero باستمرار لإيجاد طرق لتعزيز التعاون المفتوح الذي يعتبر بالغ الأهمية لروح المصدر المفتوح. إذا كان بعض الأشخاص يفضلون منصة دردشة واحدة على أخرى ، فسيتم نشر الجسور مع الأنظمة الأساسية الحالية لزيادة الاتصال. إذا شعرت مجموعة من الأشخاص أنهم لا يملكون الأدوات أو البنية التحتية لتنفيذ أفكارهم لجعل Monero أفضل ، فإن المجتمع يرى أنواع أدوات (البرمجيات الحرة والمفتوحة المصدر) المتاحة.\n<br/> <br/>\nهذا يعني أنه ليس هناك المزيد من العيون على الكود ، وهو جانب واحد فقط من المشروع ، ولكن على التصميمات ، والبحث ، والبنية التحتية الرقمية ، والمحادثات.\n<br/> <br/>\nلا تقتصر روح البرمجيات مفتوحة المصدر على فتح كود برمجي فحسب ، بل لتمكين الناس ومنحهم صوتًا وتغيير العالم من خلال التعاون العالمي. يتم تشجيع القارئ على معرفة ما إذا كان أي مشروع يهتم به يذهب إلى هذه القيم الأساسية ، أو يتوقف فقط عند ترخيص الكود.\n<br/> <br/>\nكما ندعوهم أيضًا إلى تشغيل نفس نموذج التقييم على Monero. نحن نعلم أنك لن تكتشف سوى سبب كون Monero واحدًا من أكثر المجتمعات أمانًا وتعاونًا في عالم العملات المشفرة.';

  @override
  String get knowledge250Sbfoss250Sb4250Sbtitle => 'وسيلة أم غاية؟';

  @override
  String get knowledge250Sbfoss250Sbdescription => 'اكتشف لماذا عندما تكون مفتوح المصدر وغيرمركزي تمنح Monero ميزة كبيرة على العملات المشفرة المنافسة.';

  @override
  String get knowledge250Sbfoss250Sbtitle => 'لماذا مونيرو مفتوح المصدر ولامركزي';

  @override
  String get knowledge250Sbhistory250Sb0250Sbtext => '<p> قلة من مشاريع العملات المشفرة لها أصول يكتنفها الغموض. يمتلك معظمهم مؤسسًا محددًا ، وقد قام الكثيرون بتضخيم مشاريعهم قبل الإطلاق لتعظيم الأرباح من العرض الأولي للعملة. يبدو أن البيتكوين تقف بمفردها في امتلاك ورقة بيضاء تم إسقاطها من العدم في مجتمع التشفير ، واختفاء مؤسسها ، ساتوشي ناكاموتو. </p>\n\n<p> حتى Monero. </p>\n\n<p> ولكن قبل أن نبدأ الحديث عن إطلاق Monero في عام 2014 ، نحتاج إلى العودة إلى ما هو أبعد من ذلك. </p>';

  @override
  String get knowledge250Sbhistory250Sb1250Sbtext => '<p> في سبتمبر 2013 ، أصدرت مجموعة لم يسمع بها من قبل ، Cryptonote ، ورقة بيضاء حول بروتوكول جديد يحمل نفس الاسم. سعى هذا البروتوكول إلى إنشاء عملة مشفرة تشبه Bitcoin ، على الرغم من استخدام توقيعات الحلقة الاختيارية والعناوين الخفية لتعزيز الخصوصية. بعد فترة وجيزة ، في نوفمبر 2013 ، تم دفع الكود الأولي إلى GitHub لعملة جديدة تسمى Bytecoin. نفذت هذه العملة البروتوكول الموصوف في الورقة ، على قاعدة بيانات جديدة تمامًا (على سبيل المثال ، لم يتم تشعبها من Bitcoin مثل معظم العملات المعدنية الأخرى في ذلك الوقت). </p>\n\n<p> استغرق فريق Bytecoin وقتهم في وضع بقية الكود على مستودعاتهم ، ولكن بدا أنه تم الانتهاء منه بحلول مارس 2014 ، عندما تم \"اكتشاف\" المشروع لاحقًا بواسطة شخص \"عشوائي\" في منتديات BitcoinTalk ، على الرغم من ذلك يشتبه على نطاق واسع الآن في أن هذا كان مصنعًا لتوليد الاهتمام. بعد أن نجحت الدمية الجورب في جذب الانظار، اكتشف الأشخاص المهتمون حديثًا شيئًا غريبًا: أكثر من 80٪ من العملات المعدنية تم تعدينها بالفعل. </p>\n\n<p> كان هذا مبلغًا فلكيًا ، وكان الكثير على استعداد لشطبها على أنها عملية احتيال والمضي قدمًا ؛ هذا حتى ظهور فريق Bytecoin. زعموا أن السبب وراء تعدين الكثير من العملات المعدنية بهذه النقطة هو أن Bytecoin لم يكن في الواقع عملة جديدة ذات عرض أولي ضخم ، ولكنه كان موجودًا بالفعل على شبكة الويب العميقة لمدة عامين ، منذ عام 2012. </p>\n\n<p> باختصار ، لم يتم قبول هذه الادعاءات بشكل جيد ، حيث لم يسمع أحد عن Bytecoin من قبل ، ولم يستغرق الأمر وقتًا طويلاً قبل أن يفقد الناس الاهتمام. ومع ذلك ، لم يكن الجميع على استعداد للاستسلام تمامًا. بدأ البعض في النظر في بروتوكول Cryptonote الذي استندت إليه Bytecoin وخلصوا إلى أن البروتوكول نفسه بدا متينًا ومبتكرًا ، حتى لو لم يكن التنفيذ الأول كذلك. </p>\n\n<p> في تلك المرحلة ، كان السباق لمعرفة من يمكنه تفكيك Bytecoin ، وتنظيف الكود ، ويكون أول إصدار \"غير احتيالي\" يتم طرحه في السوق ، من أجل الحصول على ميزة المحرك الأول. </p>';

  @override
  String get knowledge250Sbhistory250Sb1250Sbtitle => 'بايتكوين';

  @override
  String get knowledge250Sbhistory250Sb2250Sbtext => '<p> في التاسع من أبريل 2014 ، تم نشر كيان آخر لم يسمع به من قبل يُدعى thankful_for_today على منتديات BitcoinTalk ، معلناً إطلاق أول فورك لـ Bytecoin ، يسمى Bitmonero. نظرًا لأنها كانت الشوكة الأولى ، اكتسبت Bitmonero اهتمامًا سريعًا وتشكل مجتمع صغير حولها عندما تم إطلاقها في 18 أبريل ، حريصة على الاستمرار من حيث توقفت Bytecoin ، ولكن لم يستغرق الأمر وقتًا طويلاً حتىلاحظوا شيئا مريبا حول Bitmonero أيضًا. </p>\n\n<p> أثبت المؤسس ، thankful_for_today ، صعوبة العمل معه. غالبًا ما تختفي لأيام في كل مرة (غريب جدًا لعملة جديدة تمامًا في الأيام الأولى من التطوير) ، وغالبًا ما تتعارض مع المجتمع من خلال محاولة دمج منجم Monero مع Bytecoin ، وضبط الجدول الزمني للإصدار ، ورفض التعاون بشكل عام مع المجموعة الأساسية المتسقة التي تم إنشاؤها حول العملة ، إلى حد أن يكون لها موقع الويب الخاص به ، ومنشور BitcoinTalk ، والمستودعات. </p>\n\n<p> سرعان ما أصبح واضحًا أن المجموعة الأساسية التي تشكلت حول Monero كانت أكثر نشاطًا وكفاءة بكثير من thankful_for_today ، وعلى الرغم من دعوته للمشاركة عدة مرات ، فقد اختفى في النهاية وأصبح هامشيًا في تاريخ Monero. بعد سنوات عديدة ، يُشتبه في أنه كان أيضًا جزءًا من فريق Bytecoin. لماذا ا؟ حسنًا ، خلال كل هذا ، لم تكن Bytecoin نفسها جالسة مكتوفة الأيدي.';

  @override
  String get knowledge250Sbhistory250Sb2250Sbtitle => 'بيتمونيرو';

  @override
  String get knowledge250Sbhistory250Sb3250Sbtext => '<p> لم يكن فريق Bytecoin سعيدًا. فشلت خطتهم في تحقيق الثراء من كذبتهم من عملتهم المعدنية الضخمة. لقد بذلوا كل الجهد في تطوير البروتوكول (هناك دليل قوي على أن مطوري CryptoNote ومطوري Bytecoin كانوا مرتبطين ارتباطًا وثيقًا) ، ولم يكن لديهم أي شيء لعرضه. </p>\n\n<p> لكنهم لم ينتهوا بعد. أطلقوا عملة جديدة ، Bitmonero ، تحت اسم مستعار جديد ، thankful_for_today. في الحقيقة ، لماذا تتوقف عند هذا الحد؟ نظرًا لأنهم كانوا الأكثر دراية بالشفرة ، يمكنهم إطلاق العديد من العملات المعدنية الجديدة مع جداول وأسماء انبعاث مختلفة قليلاً ، مع حسابات جديدة ولن يكون أحد أكثر حكمة من أنها كانت طوال الوقت. هكذا فعلوا. ظهرت كل من Fantomcoin و Monte Verde و Dashcoin (يجب عدم الخلط بينها وبين Dash) والمزيد من الشوكات بعد وقت قصير من إطلاق Bitmonero وحاولت المشاركة في السوق. </p>\n\n<p> فشلت هذه المحاولات في النهاية ، حيث تفوقت Monero على منافستها بسرعة ، ولم تترك مجالًا للشك في الفائز بعملات CryptoNote. </p>\n\n<p> ولكن حتى مع ذلك ، لم تتوقف الحيل عند هذا الحد. كان لدى Bytecoin خدعة أخيرة في جعبتهم. عندما أصدر thankful_for_today إصدار Bitmonero ، أطلق إلى جانبه عامل منجم تم تعديله بشكل متعمد. احتفظ بالنسخة المُحسَّنة ، وكان يأمل في جمع كمية كبيرة من المال لنفسه ، ولكن سرعان ما تم اكتشاف هذه التعديلات من قبل الفريق الأساسي ، بالإضافة إلى المجموعات المستقلة الأخرى ، وحتى هذا تم إصلاحه في وقت قصير. مع هذا ، آخر عملية احتيال ، هُزمت ، تراجعت Bytecoin إلى الظلام ، ولم تخرج إلا لإجراء عمليات إعادة تسمية وإعلانات وهمية في ذروة طفرة سوق العملات المشفرة لعام 2017 في محاولة للضغط على أي ربح أخير من عملية الاحتيال التي قاموا بها على حسابهم الصغير. ، المجتمع المطمئن. </p>';

  @override
  String get knowledge250Sbhistory250Sb3250Sbtitle => 'الأرض المحروقة';

  @override
  String get knowledge250Sbhistory250Sb4250Sbtext => '<p> لا يمكن للعديد من العملات أن تتباهى بوجود مؤسس لم يعد معهم. في الواقع ، ربما تكون Bitcoin و Monero أكبر مثالين. في حين أن المقارنة قد تُظهر Bitcoin في جانبها الخيري المضيءأكثر ، إلا أن هناك دروسًا يمكن استخلاصها من بدايات Monero المخادعة أيضًا. </p>\n\n<p> أظهرت Bitcoin ما يمكن أن يحدث عندما يتعب شخص ما من النظام الحالي ، ويتجرأ على الابتكار لتحدي الوضع الراهن. يُظهر Monero قوة المجتمع الذي يرفض بأن يتم تزويدهم بالأكاذيب ، ويجد الحقيقة لأنفسهم ، ويستعيدون الأدوات التي يمكنهم من خلالها بناء حريتهم. ربما بدأت Monero كعملية احتيال ، لكنها تطورت بالفعل إلى سلاح قوي لاستعادة خصوصيتنا المالية. </p>';

  @override
  String get knowledge250Sbhistory250Sb4250Sbtitle => 'الخاتمة';

  @override
  String get knowledge250Sbhistory250Sbdescription => 'يبدو أن Bitcoin تقف بمفردها في امتلاك ورقة بيضاء تم إسقاطها من العدم واختفاء مؤسسها. حتى مونيرو.';

  @override
  String get knowledge250Sbhistory250Sbtitle => 'تاريخ موجز لمونيرو';

  @override
  String get knowledge250Sbkeys250Sb0250Sbtext => '<p> هل سمعت عبارة \"ليس مفاتيحك ، وليس عملاتك المعدنية\" من قبل؟\nأصبحت هذه عبارة منتشرة في كل مكان في مجتمع العملات المشفرة ، ولكن\nعلى الرغم من أن معظم الناس قد سمعوا بها، فان الغالبية العظمى من متستخدمي العملات المشفرة\nلا يحتفظون بمفاتيحهم الخاصة. </p>\n<p> فوائد العملة المشفرة التي تميزها حقًا عن\nالنظام المالي التقليدي لا تتحقق إلا بعد اكتماله.\nحفظ أموالك - الاحتفاظ بالمفاتيح الخاصة بعملاتك المعدنية. </p>\n<p> في هذا المنشور المختصر ، سنتعمق في أسباب احتفاظك بمفاتيحك الخاصة\nوإعطاء بعض الطرق السهلة للمراقبة الذاتية لجهاز Monero <em> اليوم </em>. </p>';

  @override
  String get knowledge250Sbkeys250Sb1250Sbtext => '<h6 id=\"it-preserves-the-privacy-that-monero-affords-users\"> يحفظ\nالخصوصية التي توفرها Monero للمستخدمين </h6>\n<p> من أكثر جوانب الحجز الذاتي التي يُساء فهمها في\nمونيرو هو أنه إذا كنت لا تملك مفاتيحك الخاصة ، فإنك تكسب القليل أو لا تكسب\nالاستفادة من خصوصية عروض Monero. كمرسل الصفقة\nلديه رؤية كاملة للإنفاق الحقيقي والمبلغ وعنوان المستلم ،\nإذا لم تكن أنت من يرسل المعاملة واتركها بدلاً من ذلك\nتبادل أو وصي ، لديهم <em> رؤية كاملة </em> في\nطرق إنفاق مونيرو الخاص بك. </p>\n<p> لحسن الحظ ، بعد إرسال الأموال ، تضمن Monero الخصوصية\nالتدخل وتوفير \"السرية الأمامية\" القوية ، ولكن سيكون من الواضح\nالصرف أو أمين الحفظ حيث أرسلت الأموال والمبلغ الذي أرسلته\nفي البداية.\n<h6 id=\"it-enables-the-incredible-censorship-resistance-of-monero\"> ذلك\nتمكن من مقاومة رقابة لا تصدق من Monero </h6>\n<p> أحد الجوانب الأساسية لـ Monero هو التمكين\nمعاملات مقاومة للرقابة - تسمح لك بإجراء المعاملات\nالتي قد تتم الموافقة عليها أو لا تتم الموافقة عليها من قبل \"هم\" ، بغض النظر عما يحاولون ذلك\nتفعل لإيقافك. في حين أن الحاجة إلى مقاومة الرقابة قد تكون قليلة\nخسرنا على أولئك منا في البلدان \"الحرة\" ، الانزلاق السريع نحو\nالاستبداد والانحلال السياسي في أجزاء كثيرة من العالم\nمما يجعل الأمر أكثر وضوحًا يومًا بعد يوم أننا بحاجة إلى طريقة للتعامل معها\nأو بدون موافقة حكومية. </p>\n<p> إذا كنت لا تملك مفاتيحك الخاصة ، فيجب أن يكون لديك حكومة أو جهة تنظيمية\nيمكن بسهولة إجبار البورصة أو الوصي على إدراج أموالك في القائمة السوداء والاستيلاء عليها\nلهم ، أو مراقبة المعاملات لعناوين محددة. هذا بالفعل\nيحدث على نطاق واسع بسبب العقوبات على مستوى الدولة اليوم ، وسوف يكون\nتزايد الموضوع حيث تدرك الحكومات والمنظمون أن التبادلات\nوالأوصياء هم أسهل طريق للسيطرة على Monero\'s\nالاستخدام.\n<p> قد يأتي اليوم الذي تحظر فيه الحكومة الحجز الذاتي\nMonero ، وإذا لم تكن قد سحبت Monero الخاص بك من البورصة بعد\nأو وصي قد لا تتمكن من ذلك. </p>\n<h6 id=\"it-prevents-simple-theft-or-confiscation-of-your-monero\"> ذلك\nيمنع السرقة البسيطة أو مصادرة جهاز Monero الخاص بك </h6>\n<p> قد يكون السيناريو الافتراضي ، ولكن ممكن ، هو أسوأ حالة\nأولئك الذين يختارون عدم الاحتفاظ بمفاتيحهم الخاصة - الحصول على Monero\nسُرق من قبل مخترق أو صادرته حكومة بـ <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" \nhref=\"https://en.wikipedia.org/wiki/Executive_Order_6102\"> 6102-like\nطلب </a>. </p>\n<p> <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" \nhref=\"https://blog.chainalysis.com/reports/2022-crypto-crime-report-introduction/\"> تقريبًا\nتمت سرقة 500 مليون دولار </a> من العملات المشفرة من التبادلات المركزية\nفي عام 2021 ، وسرقة 3.2 مليار دولار من المستخدمين الذين تخلوا عن حضانة\nالأموال لسبب أو لآخر. هذا هو واحد من أكبر المخاطر\ncryptocurrency ، ويستمر في النمو في كل من عدد الحالات و\nحجم التداول مع اكتساب العملة المشفرة شهرة. إذا كان التبادل يحمل المفاتيح\nإلى أموالك ، يمكن أن تتم سرقة هذه الأموال من قِبل أحد المتسللين (أو البورصة\nأنفسهم!) في أي وقت.\n<p> إذا كنت تحمل مفاتيحك الخاصة ، فإن المخاطر الحقيقية الوحيدة للسرقة أو\nالمصادرة هي عمليات احتيال واعتداء جسدي ، وهو أمر أقل من ذلك بكثير\nالمحتمل وعادة ما يحدث فقط للأفراد البارزين أو هؤلاء\nتضررت من سرقة أو فقدان بيانات اعرف عميلك (KYC) من\nالتبادلات المركزية التي تربط معرفهم وعنوانهم بـ\nملكية العملة المشفرة. </p>\n<h6\nid=\"it-prevents-exchanges-leveraging-fractional-reserve-lending-and-trading\"> ذلك\nيمنع التبادلات التي تستفيد من الإقراض الاحتياطي الجزئي و\nالتداول </h6>\n<p> جانب آخر مهم للاحتفاظ بالمفاتيح الخاصة بك هو الجانب الأقل\nشخصية وأكثر طائفية. عندما الغالبية العظمى من المستخدمين في مونيرو\nتحتفظ بمفاتيحها الخاصة ، تكون البورصات أقل قدرة على الكذب بشأن مقدار\nMonero يحتفظون بـ \"الورق Monero\" ويتاجرون فيه ، لأن المستخدمين لا يحتفظون به\nمونيرو في التبادلات. </p>\n<p> على الرغم من عدم تأكيد هذا النوع من النشاط علنًا في كثير من الأحيان ، إلا أنه هناك\nهناك الكثير في المجتمع الذين يهتمون بأن عمليات التبادل مثل Binance\nيستفيدون من Monero التي يحتفظ بها المستخدمون في البورصة للتداول\nضد Monero ، تضخيم كمية شورت Monero والتسبب في السعر\nقمع بمرور الوقت.\n<p> يمكن أن يؤدي هذا السلوك أيضًا إلى أزمات سيولة حيث يقوم المستخدمون\n<em> هل </em> تريد الاحتفاظ بمفاتيحها الخاصة غير قادرة على الانسحاب من\nالتبادل حيث وعدت البورصة مستخدمي Monero بأكثر مما وعدت به\nمتوفر بالفعل. كلما زاد عدد مستخدمي Monero الذين يمتلكون مفاتيحهم الخاصة و\nالحفاظ على Monero خارج التبادلات ، وأكثر صحة وطبيعية\nسيكون السوق من الناحية النظرية ، وأقل خطرًا خبيثًا أو جشعًا\nيمكن أن تشكل التبادلات استقرار سعر Monero. </p>';

  @override
  String get knowledge250Sbkeys250Sb1250Sbtitle => 'لماذا يعتبر الاحتفاظ بالمفاتيح الخاصة بك مهمًا؟';

  @override
  String get knowledge250Sbkeys250Sb2250Sbtext => '<p> عندما تبدأ في الاحتفاظ بمفاتيحك الخاصة ، فإن أهم شيء بالنسبة لك\nتذكر أن <em> تحفظ وتحافظ على أمان العبارة الأولية </ em>! هذا ال\nمجموعة من 14 أو 25 كلمة عشوائية ستعطيك أي محفظة مونيرو متى\nتقوم بإنشاء محفظة ، وهذا كل ما تحتاجه لاستعادة أموالك إذا\nتفقد هاتفك أو سطح المكتب أو الكمبيوتر المحمول أو نسيت ملف\nكلمة المرور. </ p>\n<p> تعامل مع هذه العبارة الأولية كما لو أنها تستحق كل عبارات Monero في\nالمحفظة ، حيث سيتمكن أي شخص يحصل عليها من الوصول الكامل إلى الأموال الموجودة في\nمحفظتك. من المثالي الاحتفاظ بها في مكان آمن أو سري ،\nالاحتفاظ بنسخ متعددة في حالة نشوب حريق أو كارثة طبيعية ، وأبدًا\nأظهرها لأي شخص. </ p>\n<p> لمزيد من المعلومات عن العبارات الأولية ، راجع <a class = \"next-link\" target = \"_ blank\" rel = \"noopener nofollow\"\nhref = \"https://web.getmonero.org/resources/moneropedia/mnemonicseed.html\"> ذاكري\nالبذور | Moneropedia </a>. </p>\n<h6 id = \"using-free-and-open-source-wallets\"> استخدام المصدر المجاني والمفتوح\nمحافظ </ h6>\n<h5 id = \"for-desktop\"> لسطح المكتب </ h4>\n<p> إذا كنت من مستخدمي أجهزة سطح المكتب بشكل أساسي ولا تنفق / تستلم Monero\nأثناء التنقل في كثير من الأحيان ، هناك عدد قليل من الخيارات القوية لحمل خياراتك الخاصة\nمفاتيح دون الحاجة إلى الاعتماد على أي طرف ثالث. </ p>\n<ul>\n<li> <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://getmonero.org/downloads\"> لعبة Monero الرسمية\nالمحفظة </a>\n<ul>\n<li> هذا هو برنامج محفظة Monero الرسمي ، وقد شهد ثباتًا\nتحسينات وإضافات. يتضمن برنامج Monero daemon متكامل (if\nالذي تريده) ، سهل الاستخدام للغاية ، وسيدعم قريبًا <a class = \"next-link\" target = \"_ blank\" rel = \"noopener nofollow\"\nhref = \"https://localmonero.co/knowledge/p2pool-decentralizing-monero-mining\"> التعدين\nعبر p2pool مباشرة من محفظتك </a>. </li>\n</ul> </li>\n<li> <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://featherwallet.org/\"> محفظة الريشة </a>\n<ul>\n<li> هذه محفظة ممتازة في سياق <a class = \"next-link\" target = \"_ blank\" rel = \"noopener nofollow\"\nhref = \"https://electrum.org/\"> Electrum for Bitcoin </a> ، ويوفر كليهما\nسهولة الاستخدام وميزات قوية للغاية في ملف واحد\nالمحفظة. </li>\n</ul> </li>\n</ul>\n<h5 id = \"for-mobile\"> للجوال </ h4>\n<p> لأولئك منا الذين يحبون أن يكونوا قادرين على استخدام Monero أثناء التنقل أو\nبشكل متكرر ، مع امتلاك محفظة Monero المحمولة القوية التي لا تزال تحتفظ بها\nمفاتيحنا في أيدينا مهمة للغاية. </ p>\n<ul>\n<li> <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://cakewallet.com/\"> Cake Wallet </a>\n<ul>\n<li> Cake Wallet هي محفظة مجانية ومفتوحة المصدر (FOSS) لأجهزة Android و\niOS الذي يدعم Monero و Bitcoin و Litecoin محليًا. </li>\n</ul> </li>\n<li> <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://www.monerujo.io/\"> مونيروجو </a>\n<ul>\n<li> Monerujo عبارة عن محفظة FOSS لنظام Android تحتوي على بعض الإضافات الرائعة\nالميزات والرسومات ودعم عقدة Tor الأصلية وغير ذلك الكثير. </li>\n</ul> </li>\n</ul>';

  @override
  String get knowledge250Sbkeys250Sb2250Sbtitle => 'كيف أحمل مفاتيحي الخاص مع Monero؟';

  @override
  String get knowledge250Sbkeys250Sb3250Sbtext => '<p> نأمل أن يكون هذا المنشور قد ساعد في تعزيز الحاجة إلى الاحتفاظ بملف\nالمفاتيح الخاصة ، بالإضافة إلى توجيهك إلى بعض المحافظ الممتازة في\nالفضاء. </p>\n<p> كلما أخذت Monero بين يديك واستخدمتها بالفعل ، فإن\nالمزيد من الفوائد التي يمكنك الحصول عليها الآن وفي المستقبل. مونيرو ليس عادلاً\nأصل المضاربة - إنها أداة قوية للحرية والتمويل\nالخصوصية التي تمس الحاجة إليها في عالم اليوم والمستقبل\nمنا. </p>\n<p> اذهب الآن واحصل على هذه العملات من البورصة واغوص في ما كان عليه Monero\nبنيت ل. </p>';

  @override
  String get knowledge250Sbkeys250Sb3250Sbtitle => 'استنتاج';

  @override
  String get knowledge250Sbkeys250Sbdescription => '\"ليست مفاتيحك ، وليست عملاتك المعدنية\" - عبارة منتشرة في كل مكان ، ومع ذلك لا يزال غالبية مستخدمي التشفير لا يحتفظون بمفاتيحهم الخاصة.';

  @override
  String get knowledge250Sbkeys250Sbtitle => 'لماذا (وكيف!) يجب أن تحتفظ بمفاتيحك الخاصة';

  @override
  String get knowledge250Sbmining250Sb0250Sbtext => '‪في 30 نوفمبر 2019 ، كان لدى Monero شوكة صلبة نصف سنوية ، وكان التغيير الأكثر توقعًا هو التحول من خوارزمية PoW القديمة ، cryptonight ، إلى الخوارزمية الجديدة تمامًا المطورة داخليًا ، RandomX. يعتقد مجتمع Monero أن RandomX هي خطوة كبيرة نحو التعدين القائم على المساواة ، ولكن دعونا نتعمق أكثر لمعرفة ما إذا كان هذا هو الحال.';

  @override
  String get knowledge250Sbmining250Sb1250Sbtext => 'من أجل الحكم على ما إذا كان RandomX هو تحسين ، يجب أن نفهم أولاً ما هو الغرض من التعدين. يؤمن التعدين بلوكتشين من الإنفاق المزدوج عبر إجماع ناكاموتو. التعقيدات الدقيقة لكيفية القيام بذلك خارج نطاق هذه المقالة ، ولكن يمكن تعلمها من العديد من المصادر المختلفة حول الإنترنت. ما يهم هو أن الأمان يأتي من التجزئة التي تم إنشاؤها بواسطة أجهزة الكمبيوتر (عمال المناجم) ، في منافسة مع بعضهم البعض لإيجاد الحل الرياضي الضروري لإنشاء كتلة أخرى. أثناء قيامهم بذلك ، يضيفون معاملات جديدة إلى blockchain. في مقابل عملهم (التجزئة) ، يتم تعويضهم بعملات معدنية مسكوكة حديثًا.\n<br/> <br/>\nهناك عدد من المشكلات التي يمكن أن تحدث مع هذا الإعداد ، وتتطلب حوافز مناسبة للعمل بشكل صحيح ، لكننا سنركز على مشكلة معينة قد تظهر. إذا كان من المفترض أن يكون التعدين منافسة ، فماذا يحدث عندما يربح عامل منجم ميزة؟';

  @override
  String get knowledge250Sbmining250Sb1250Sbtitle => 'غاية';

  @override
  String get knowledge250Sbmining250Sb2250Sbtext => 'للسياق ، فلنتحدث قليلاً عن تعدين الأجهزة. يستخدم عمال المناجم أجهزة الكمبيوتر للقيام بهذا العمل ، لكننا نعلم جميعًا أنه ليس كل جهاز كمبيوتر مصنوع بشكل متساوٍ. بعض أجهزة الكمبيوتر قوية بما يكفي لتشغيل شبكات الذكاء الاصطناعي أو الألعاب المكثفة ، بينما يعاني البعض الآخر حتى من المهام البسيطة. تؤثر هذه الاختلافات في قوة الحوسبة أيضًا على معدل تجزئة المعدل ، أو المعدل الذي يبحثون فيه عن حلول الكتلة. <br/> <br/>\nولكن حتى هذه الاختلافات بين أجهزة الكمبيوتر تتضاءل مقارنة بمعدلات التجزئة للأجهزة المتخصصة ، والمعروفة باسم الدوائر المتكاملة الخاصة بالتطبيق (ASICs) ، والتي تفوقت على أجهزة الكمبيوتر العادية بعدة مراتب من حيث الحجم. <br/> <br/>\nدعونا نأخذ بعض الوقت لاستكشاف ما الذي يجعل ASICs قوية للغاية. تخيل أن جميع أجهزة الكمبيوتر تقع في مكان ما على طيف ، والذي يتراوح من القدرة على القيام بأشياء كثيرة ، ولكن لا شيء بشكل جيد ، إلى القيام بشيء واحد فقط ، ولكن القيام بذلك بشكل جيد للغاية. توجد وحدات المعالجة المركزية (CPU) و ASICs على طرفي نقيض من هذا الطيف. <br/> <br/>\nوحدات المعالجة المركزية الموجودة في جميع أجهزة الكمبيوتر القياسية هي في النهاية الأولى. يمكنهم القيام بالعديد من الأشياء ، مثل تصفح الويب أو ممارسة الألعاب أو عرض الفيديو ، لكنهم لا يفعلون أيًا منها بشكل جيد. لكن هذه المرونة تأتي على حساب الكفاءة. <br/> <br/>\nعلى الطرف الآخر ، توجد ASICs ، حيث يمكنهم القيام بشيء واحد فقط ، لكنهم يفعلون ذلك بمعدل لا يصدق. يمكنهم فقط أداء وظيفة رياضية واحدة ، ولكن لأنهم يستطيعون تجاهل كل شيء آخر ، فإن مكاسب الأداء تكون فلكية. ومع ذلك ، فإن هذه الكفاءة تأتي على حساب المرونة ، لذلك إذا تغيرت الوظيفة بشكل طفيف - مثال على ذلك x + y = z يتغير إلى 2x + y = z - عندها سيتوقف ASIC عن العمل تمامًا. <br/> <br/>\nلا يمتلك كل شخص ASIC ، ولكن كل شخص يمتلك أجهزة كمبيوتر. هذا يمكن أن يؤدي إلى ميزة غير عادلة.';

  @override
  String get knowledge250Sbmining250Sb2250Sbtitle => 'خلفية';

  @override
  String get knowledge250Sbmining250Sb3250Sbtext => 'إذا كان هذا لا يزال مربكًا ، فربما يساعد القياس التالي. تخيل يانصيبًا يتم فيه منح ألف دولار كل ساعة ، ويسمح لك هذا اليانصيب بطباعة تذاكرك الخاصة! تبدأ في طباعة أكبر عدد ممكن من التذاكر على الطابعة المنزلية الخاصة بك ، والتي يمكنها طباعة تذكرة واحدة في الثانية. بعد خصم تكاليف الكهرباء والحبر ، ترى أنه لا يزال بإمكانك تحقيق ربح ، حتى لو ربحت اليانصيب مرة واحدة كل بضعة أسابيع. <br/> <br/>\nبمرور الوقت ، تقوم بتوسيع عملياتك حتى يكون لديك غرفة كاملة مخصصة للطابعات. 20 في الكل. كل شيء على ما يرام ... حتى يوم مصيري. <br/> <br/>\nهناك أخبار مهمة. اخترع شخص ما نوعًا جديدًا من الطابعات. يمكنه فقط طباعة تذاكر اليانصيب. لا يمكنه طباعة الصور أو المستندات المكتبية أو الطباعة على الوجهين. تذاكر اليانصيب فقط. لكن يمكنها طباعتها بمعدل 1000 تذكرة في الثانية. أنت تنظر في غرفة الطابعة الصغيرة الخاصة بك. 20 طابعة. أنت بحاجة إلى 980 طابعة أخرى لمواكبة إحدى هذه الطابعات الضخمة ، وإذا كان لدى شخص ما اثنين ...؟ <br/> <br/>\nلقد خرجت للأسف من لعبة اليانصيب حيث لم يعد بإمكانك تبرير تكاليف الكهرباء والحبر. <br/> <br/>\nلكن انتظر! بعد أسبوعين ، هناك المزيد من الأخبار! تم تغيير تصميم التذكرة. الآن الأرقام التي كانت في الأعلى موجودة الآن في الأسفل. طابعات الوحش الجديدة غير مرنة لدرجة أنها لا تستطيع القيام بذلك. يمكنهم فقط عمل التصميم السابق. لم يمض وقت طويل قبل أن تطبع مرة أخرى بسعادة. على الأقل حتى يصنع شخص ما طابعة وحش جديدة للتصميم الجديد.';

  @override
  String get knowledge250Sbmining250Sb3250Sbtitle => 'تشبيه ممتع';

  @override
  String get knowledge250Sbmining250Sb4250Sbtext => 'أين يقع RandomX في كل هذا؟ إنها تسعى إلى الاستفادة من ميزة ASICs من خلال جعل ASICs صعبًا للغاية. يقوم بذلك عن طريق مطالبة المُعدِّنين بعمل وتنفيذ كود عشوائي بدلاً من التجزئة على أساس الخوارزمية. <br/> <br/>\nقد يكون الأمر محيرًا كيف يساعد هذا في الواقع أي شيء ، لذا دعنا نعود إلى تشبيه الطابعة. تذكر ما حدث عندما تغير التصميم؟ تتقادم طابعات الوحش القديمة كل ليلة ، وكان لابد من تطوير طابعات جديدة مع وضع التصميم الجديد في الاعتبار. ماذا سيحدث إذا كان على كل تذكرة جائزة يانصيب جديدة أن تلتزم بمعيار تصميم جديد لكل جائزة كبرى جديدة؟ <br/> <br/>\nسيصبح إنشاء طابعة وحش جديدة أمرًا صعبًا للغاية. لا يمكنك التخطيط لتصميم بطاقة واحدة فقط بعد الآن. نظرًا لأن التصميم عشوائي ، سيتعين على صانعي الطابعات الضخمة إضافة إمكانات الألوان وطرق طباعة حروف مختلفة وحدود وأشكال والمزيد. باختصار ، الآلة التي انتهى بهم المطاف باختراعها ستكون طابعة عادية عادية. تمامًا مثل أي شخص آخر. <br/> <br/>\nمن خلال تطبيق هذه العشوائية في تصميم التذاكر ، قللنا إلى حد كبير الميزة الكبيرة المكتسبة من الأجهزة المتخصصة. يقوم RandomX بنفس الشيء ، ولكن مع التعدين. <br/> <br/>\nوبهذه الطريقة ، يتم تقليل المزايا التي يكتسبها عدد قليل من الأثرياء ، كما لو أنهم استثمروا في إنشاء \"ASICs\" لتعدين RandomX ، فإنهم في الواقع سيبتكرون وحدات معالجة مركزية أقوى وأفضل ، مما يفيد العالم بأسره. <br/> [ X1455X]\nهذا يعني أن الرجل الصغير الذي يحمل 20 طابعة تذاكر قد عاد إلى اللعبة. ربما لا يزال يواجه صعوبة في ذلك لأن هؤلاء الأثرياء لا يزالون قادرين على شراء طابعات أكثر منه ، ولكن على الأقل الآن لم يتفوق عليه بأوامر الحجم من آلة واحدة. إنه قادر على المنافسة بطريقته الصغيرة. <br/> <br/>\nمع العلم أنه حتى الرجل الصغير يمكن أن يكون قادرًا على المنافسة في تعدين Monero ، نشجع الجميع على إعطائه دورًا ، إما في محفظة Monero GUI ، التي تدعم التعدين الفردي ، أو عن طريق تنزيل البرامج التي يحتفظ بها المجتمع. إنه سهل وتنافسي ومفتوح للجميع.';

  @override
  String get knowledge250Sbmining250Sb4250Sbtitle => 'عشوائي';

  @override
  String get knowledge250Sbmining250Sbdescription => 'في 30 نوفمبر 2019 ، كان لدى Monero شوكة صلبة نصف سنوية ، وكان التغيير الأكثر توقعًا هو التحول من خوارزمية PoW القديمة ، cryptonight ، إلى الخوارزمية الجديدة تمامًا المطورة داخليًا ، RandomX. يعتقد مجتمع Monero أن RandomX هي خطوة كبيرة نحو التعدين القائم على المساواة ، ولكن دعونا نتعمق أكثر لمعرفة ما إذا كان هذا هو الحال.';

  @override
  String get knowledge250Sbmining250Sbtitle => 'تعدين مونيرو: ما الذي يجعل RandomX مميزًا جدًا';

  @override
  String get knowledge250Sbmyths250Sb0250Sbtext => '<p> لا توجد عملة معماة بدون عيوبها ، و Monero ليست استثناء. في الواقع ، أنشأ المجتمع <a class=\"next-link\" href=\"https://www.youtube.com/playlist?list=PLsSYUeVwrHBnAUre2G_LYDsdo-tD0ov-y\" target=\"_blank\"> سلسلة على YouTube </a> تغطي نقاط ضعف خصوصية Monero من وجهة نظر تكنولوجية. </p>\n\n<p> ومع ذلك ، هناك بعض الانتقادات الشائعة الموجهة إلى Monero والتي إما أن تكون قديمة أو غير صحيحة ، بينما يقدم البعض الآخر نظرة ضيقة جدًا للمشكلة المعنية. في هذه المقالة نأمل أن نضع الأمور في نصابها الصحيح بشأن هذه الانتقادات. </p>';

  @override
  String get knowledge250Sbmyths250Sb0250Sbtitle => 'مقدمة';

  @override
  String get knowledge250Sbmyths250Sb1250Sbtext => '<p> يعد هذا انتقادًا شائعًا لمونيرو ، مما يجعل الكثيرين يعطونه مكانًا واسعًا ، وهو إلى حد بعيد النوع الذي لا يكون فيه رد فعل المجتمع مقطوعًا وجافًا تمامًا مثل مجرد تصحيح افتراض غير صحيح. [ X217X]\n\n<p> الحقيقة هي أننا ، كمجتمع ، لا نعرف بعد ما هي الاستجابة التنظيمية لشيء مثل Monero حتى الآن. نحن نعلم أن العملات المشفرة بشكل عام على رادار العديد من الوكالات الحكومية ، ولدينا سبب للاعتقاد بأن Monero أكثر من غيرها ، للأسباب المذكورة أعلاه ، ولكن حتى الآن ، تم اتخاذ خطوات قليلة من قبل حكومات أي دولة فيما يتعلق بحظر Monero تمامًا. </p>\n\n<p> ومع ذلك ، فإن مجتمع Monero ملتزم بخوض المعركة الجيدة. نعتقد أن الخصوصية المالية هي أمر ضروري للحرية ، وأن كل شخص يجب أن يكون لديه خيار التعامل بشكل خاص دون الحكومات أو الشركات أو أي شخص آخر يتجسس عليك. </p>\n\n<p> أحد الضمانات التي يمكن أن نقدمها ، مع ذلك ، هو أنه في وقت من الأوقات كان لدى Bitcoin نفس السمعة التي تتمتع بها Monero الآن. كان يُعتقد أنها عملة المجرم ، وهي خاصة تمامًا ومجهولة الهوية ، ولكن ببطء ، بمرور الوقت ، أصبح الجمهور يقبل Bitcoin بغض النظر. </p>\n\n<p> الآن قد يجادل المرء بأن سمعة Bitcoin تغيرت حيث أدرك الناس أنها ليست خاصة أو مجهولة ، لكن هذا ليس صحيحًا ، لأن فكرة أن Bitcoin خاصة تمامًا ولا يمكن تتبعها لا تزال منتشرة ليس فقط لدى عامة الناس ، ولكن بين أولئك الذين ينظمون الصناعة. لا يزال هؤلاء الأشخاص يعتقدون أنها خاصة ، لذا فهم يؤمنون أساسًا بأنها ما هي Monero بالفعل ، ومع ذلك فنحن ننتقل بسرعة إلى عالم حيث تكتسب قبولًا من الجمهور والشركات والهيئات الإدارية. هذا يشير إلى أنه ، مع الوقت الكافي ، قد ترى Monero نفس القبول. </p>';

  @override
  String get knowledge250Sbmyths250Sb1250Sbtitle => 'ستواجه Monero تدقيقًا تنظيميًا يتجاوز بكثير العملات المشفرة الأخرى بسبب التزامها بالخصوصية وعدم الكشف عن هويتها في معاملاتها.';

  @override
  String get knowledge250Sbmyths250Sb10250Sbtext => '<p> تتمثل إحدى الشكاوى الشائعة حول معظم العملات الأصغر من البيتكوين في مدى سهولة مهاجمتها نظريًا بنسبة 51٪. في الواقع ، تعرضت العديد من العملات المعدنية الصغيرة ، مثل Vertcoin ، لهجوم بنسبة 51٪ بنجاح عدة مرات. </p>\n\n<p> تنشأ معظم هذه المخاوف من موقع الويب https://www.crypto51.app/ الذي يوضح تكلفة استئجار التجزئة من NiceHash ، وهي منصة تؤجر أجهزة التعدين من أجل التعدين السحابي. في وقت ما ، سجل هذا الموقع هجومًا على Monero بتكلفة حوالي 6300 دولار لمدة ساعة واحدة. في حين أن هذا السعر قد يتسبب في إثارة الكثير منا ، إلا أنه ليس خارج نطاق إمكانية قيام شركة أو فرد ثري بشن هجوم مستمر على الشبكة. </p>\n\n<p> لحسن الحظ ، لم يعد هذا هو الحال. سيرى القارئ شديد الانتباه أن الموقع قد قام بالفعل بإزالة Monero من تطبيقه ، بسبب تضمين RandomX. مرة أخرى ، نشجع القارئ على قراءة <a class=\"next-link\" href=\"/knowledge/monero-mining-randomx\" target=\"_blank\"> مقالتنا عن RandomX للحصول على تفاصيل </a> ، ولكن نظرًا لطبيعة الخوارزمية الملائمة لوحدة المعالجة المركزية ، لم يعد بإمكان الشركات مثل NiceHash شراء ASICs لـ Monero لتأجيرها لمن على استعداد لتأجيرها. الآن ، عليهم التنافس مع وحدات المعالجة المركزية (CPU) ، التي هي أكثر انتشارًا وأسهل في الحصول عليها. </p>\n\n<p> لم يتم حساب التكلفة الدقيقة للأجهزة لمهاجمة شبكة Monero بنسبة 51٪ ، وبالفعل ، لم يتم حسابها بسهولة مثل العملات المعدنية الأخرى ذات فترة ASIC. </p>';

  @override
  String get knowledge250Sbmyths250Sb10250Sbtitle => 'أليس مونيرو يهاجم 51٪ بسهولة؟';

  @override
  String get knowledge250Sbmyths250Sb11250Sbtext => '<p> العاملان اللذان يعملان في مجال التعدين هما ASICs و botnets ، والابتعاد عن أحدهما يعني بالضرورة الاقتراب من الآخر. إذا احتاج المرء إلى وحدة معالجة مركزية لتعدين Monero ، فيمكن للقراصنة نظريًا السيطرة على مئات إن لم يكن الآلاف من أجهزة الكمبيوتر الضعيفة وإجبارهم على تعدين Monero نيابة عنهم ، دون أن يكلفهم شيئًا ، ويتفوقون على أولئك الذين لديهم جهاز كمبيوتر فقط في منازلهم . </p>\n\n<p> أول دحض لهذه الحجة يتعلق بمالكي الروبوتات أنفسهم. على الرغم من أننا لا نتغاضى عن اختراق أجهزة الكمبيوتر الخاصة بالآخرين ، إلا أن حاجز الدخول إلى امتلاك وتشغيل الروبوتات أقل بكثير من عائق امتلاك ASICs. يحتاج المرء إلى برامج - غالبًا ما تكون متاحة مجانًا ومفتوحة المصدر - والوقت والفطنة لاكتشاف أجهزة الكمبيوتر المعرضة للخطر. الآخر يتطلب كميات لا تصدق من رأس المال والوصول إلى التصنيع. يمكن لطفل في الطابق السفلي أن يفعل أحدهما ، والآخر فقط من قبل الأثرياء للغاية. يقودنا هذا إلى استنتاج أنه إذا تحققت أسوأ مخاوف عمال المناجم ، فإن شبكات الروبوت نفسها ستكون أكثر لامركزية من شبكات ASIC. </p>\n\n<p> ومع ذلك ، فإن مجتمع Monero واثق من أن هذه المشكلة مبالغ فيها. قام مهندسو RandomX بتصميم البروتوكول عن عمد بحيث يتطلب 2 جيجا بايت من ذاكرة الوصول العشوائي للعمل. بعبارة أخرى ، لن تمتلك العديد من الخوادم الافتراضية الخاصة الصغيرة والضعيفة (VPS) السعة ، وإذا كانت كذلك ، فإن الزيادة الطفيفة في الموارد المستخدمة ستكون ملحوظة جدًا لمسؤول النظام ، مما يؤدي إلى تحقيق فوري. بمعنى آخر ، لا يمكن تشغيله بصمت في الخلفية مثل مشاركة أجهزة الكمبيوتر المخترقة في هجوم DDOS ، أو استنشاق كلمات المرور بصمت. عندما يكون عامل المنجم في وضع التشغيل ، يعرفه الجميع. </p>\n\n<p> يقلل هذا من كمية أجهزة الكمبيوتر التي يمكن أن تكون الروبوتات قادرة على حلها بنجاح مع أجهزة الكمبيوتر غير الكفؤة من الناحية التكنولوجية ، أو تلك التي لم يتم التحقق منها أبدًا ، بدلاً من العدد الكبير من أجهزة الكمبيوتر الضعيفة التي يفترض مؤيدو هذه الحجة أنها معرضة للخطر . </p>';

  @override
  String get knowledge250Sbmyths250Sb11250Sbtitle => 'خوارزمية صديقة لوحدة المعالجة المركزية؟ ألن يتم الاستيلاء على تعدين Monero بواسطة الروبوتات؟';

  @override
  String get knowledge250Sbmyths250Sb12250Sbtext => '<p> يأتي هذا النقد من واقع العالم الحقيقي. قامت مجموعة من الأفراد ، غير معروفين للمجتمع ، بتشكيل عملة Monero وصنعوا عملتهم المعدنية: MoneroV. نظرًا لأنها كانت شوكة سلسلة ، فقد تمكن الأفراد من المطالبة بمبلغ مكافئ من MoneroV كما فعلوا في Monero ، أي إذا كان لديك 100 Monero ، فيمكنك استخدام نفس البذرة في محفظة MoneroV للحصول على 100 MoneroV. </p>\n\n<p> أدى ذلك إلى نتيجة مفاجئة وغير متوقعة: فقدان الخصوصية. لشرح ذلك ، سنقدم مثالاً. إذا فكرت في رقم يجب أن تخمنه ، لكنني أعطيتك ثلاثة أرقام ، واحد منها فقط صحيح ، فلن تعرف الإجابة الصحيحة. لنفترض أنني أخبرك بالأرقام 88 و 25 و 19. أنت ذكي ولكنك تطلب مني مجموعة أخرى من ثلاثة أرقام ، لكن يجب أن يكون أحدها هو الرقم الصحيح. أعطيك 54 و 88 و 92. ترى أن الرقم 88 يظهر في كلتا المجموعتين ، لذلك يجب أن يكون الرقم الصحيح ، وستكون على حق. </p>\n\n<p> الهجوم على خصوصية Monero يعمل بنفس الطريقة. تعتمد Monero على توقيعات الحلقة ، والتي يتم تجميعها على المحفظة المحلية لإخفاء مخرجات المعاملات. إذا كنت سأقضي ناتجًا على سلسلة Monero ، مع حلقة مجمعة واحدة ، وقضيت نفس الناتج على سلسلة MoneroV ، على حلقة مجمعة مختلفة ، دون التأكد من أن الحلقة تتكون من نفس الأفخاخ ، ثم الناتج الحقيقي يصبح واضحًا ، بنفس الطريقة التي أصبح بها الرقم 88 واضحًا مثل الرقم الصحيح. </p>\n\n<p> تم طرح العديد من الحلول ، بما في ذلك إنشاء أدوات للأشخاص للتخلص من Monero بشكل مسؤول ، وقاعدة بيانات Blackball للمخرجات الملوثة ، وزيادة حجم الحلقات ، ولكن في النهاية ، لم يكن أي من هذه مطلوبًا. لم تكتسب MoneroV أي جاذبية قط ، وكان عدد الأشخاص الذين ادعوا عملاتهم المعدنية وعرّضوا خصوصيتهم للخطر قليلًا جدًا. </p>\n\n<p> تجدر الإشارة إلى أن هذا الخطر على الخصوصية لا يأتي من تفرع كود Monero ، بل يأتي من مفترق سلسلة. هذا يعني أن أي عملة تأخذ رمز Monero وتبدأ من نقطة الصفر بكتلة التكوين الخاصة بها لن تعرض أيًا من السلسلتين للخطر. فقط إذا قامت عملة ما بتشكيل blockchain الفعلي من blockchain Monero الحالي بسبب خلاف ، على غرار كارثة Bitcoin / Bitcoin Cash ، فستكون السلاسل في خطر. هذا يعني أن الشوكة ستقاتل ضد المجتمع القائم ، وأولئك الذين يختارون عدم المشاركة والمطالبة بقطع النقود المعدنية الخاصة بهم من السلسلة الأخرى لن يكونوا في خطر. </p>\n\n<p> ومع ذلك ، نرى أنه من السذاجة الاعتقاد بأنه لن يكون هناك هجوم على Monero بهذه الطريقة ، وهذا هو سبب وجود حلول أخرى لزيادة حجم الحلقات ، أو الانتقال إلى مخطط إثبات مختلف تمامًا ، تم ذكر العديد منها في قسم \"رسوم المعاملات المرتفعة\". </p>';

  @override
  String get knowledge250Sbmyths250Sb12250Sbtitle => 'لا تؤذي شوكات Monero الجدوى الاقتصادية لـ Monero فحسب ، بل تضر أيضًا بخصوصياتها!';

  @override
  String get knowledge250Sbmyths250Sb13250Sbtext => '<p> يعد تاريخ Monero تاريخًا مثيرًا للاهتمام ، وقد يفاجأ الكثيرين بسماع أنها بدأت بالفعل كعملية احتيال. من المحتمل أن يكون منشئ المحتوى ، thankful_for_today ، في تحالف مع مجموعة عملات معماة صنعت بروتوكول CryptoNote ، ولكن كانت لديه نوايا خادعة لخداع الأشخاص من أموالهم التي يستخدمونها. </ p>\n\n<p> فشلت جهودهم الأولية في صنع العملة ، لذا قاموا بإنشاء Monero كطريقة للمحاولة مرة أخرى. فشل هذا مرة أخرى لأن المجتمع سرعان ما أدرك أن هناك شيئًا ما خاطئًا واستولى على العملة المعدنية. ومع ذلك ، كان لدى المبدعين المخادعين خدعة أخيرة في جعبتهم. لقد أطلقوا للعامة برمجيات تعدين منقحة عن عمد ، مع الاحتفاظ بالنسخة المحسنة لأنفسهم حتى يتفوقوا على الآخرين ويجني الكثير من المال من مكافآت الكتلة. </ p>\n\n<p> نجح هذا لبعض الوقت ، ولكن سرعان ما تم اكتشافه بواسطة مجتمع Monero ، وتم إصلاحه ، وتم إصدار عامل التعدين المحسن للجميع. بعد أن أدرك المجتمع ما حدث ، اختار عدم إعادة إطلاق العملة ، حيث كان من الصعب قياس كل من المبلغ الذي سرقه المحتالون ، ومقدار الوقت والجهد اللازم لإعادة البناء من الصفر. على الرغم من صعوبة التأكد من عدد العملات التي حصل عليها المحتالون ، فمن المعروف أيضًا أنه في هذه الفترة قام العديد من عمال المناجم حسن النية بإعادة تحسين الشفرة بأنفسهم ، وباعوا أرباحهم ، مما يضمن توزيعًا أكثر عدلاً ، وأن المحتالين لم يكونوا الوحيدين الذين حصلوا على عدد كبير من العملات المعدنية في هذا الوقت. <a class=\"next-link\" href=\"https://da-data.blogspot.com/2014/08/minting-money-with-monero-and-cpu.html\" target=\"_blank\"> أحد هذه يمكن قراءة الحساب هنا </a>.\n\n<p> مع الاستفادة من الإدراك المتأخر ، قد ينتقد البعض قرار عدم إعادة إطلاق العملة ، وإذا كانت هذه الأصول المخادعة كافية لدفع المرء بعيدًا عن العمل الجيد الذي قام به Monero ، فلا توجد حجة للتأثير عليهم. بغض النظر عن الإحباطات الأولية التي تسبب بها المخادعون ، فقد ازدهرت Monero واستخدمت فكر المجتمع المشترك وشغفه لصنع تقنية قوية. لم يتم إثراء فريقنا الأساسي الحالي ، بالإضافة إلى الأعضاء السابقين ، بمنجم معطل ، وعلى حد علمنا ، لم يستمر أي شخص متورط في عملية الاحتيال الأولية في مجتمع Monero لفترة أطول من الأسابيع القليلة الأولى من وجود العملة المعدنية. </ p >';

  @override
  String get knowledge250Sbmyths250Sb13250Sbtitle => 'ألم يكن لدى Monero عامل منجم معطل في الأيام الأولى تم استخدامه لإثراء المؤسسين؟';

  @override
  String get knowledge250Sbmyths250Sb14250Sbtext => '<p> هذا سؤال يصعب الإجابة عليه. إحدى الإجابات الشائعة هي أنه يمكننا إضافة معاملات coinbase (عندما تتم مكافأة Monero الجديدة إلى عامل منجم لحل كتلة). هذه المعاملات شفافة ، وإذا أضفناها يجب أن نحصل على العدد الإجمالي لـ Monero المتداولة. </p>\n\n<p> من المهم أن نلاحظ مع ذلك ، أنه إذا حدثت خدع تزيد من كمية Monero بما يتجاوز ما نتوقع رؤيته من معاملات coinbase ، فلن تحدث في معاملات coinbase نفسها ، ولكن في معاملة منتظمة بين المحافظ. لن يحدث هذا إلا بإحدى الطرق الثلاث. </p>\n\n<p> واحد ، إذا كان التشفير الذي يثبت عدم إنشاء Monero أو إتلافه في المعاملات معيب بشكل أساسي. ثانيًا ، إذا كان تنفيذ (كود) التشفير الصلب معيبًا. ثالثًا ، إذا لم يكن أي منهما معيبًا ، لكن أجهزة الكمبيوتر تصبح قوية بما يكفي لاختراق مخططات التشفير الحالية لدينا ، وإنشاء براهين كاذبة. </p>';

  @override
  String get knowledge250Sbmyths250Sb14250Sbtitle => 'إذا كانت Monero خاصة جدًا ، فكيف يمكننا مراجعة العرض للتأكد من عدم قيام أي شخص بطباعة Monero مجانًا تحت أنوفنا؟';

  @override
  String get knowledge250Sbmyths250Sb15250Sbtext => '<p> يعد هذا السؤال هو الأكثر صعوبة في الإجابة بسبب التقلب المستمر في التعدين بشكل عام. في الواقع ، قد لا يكون هذا هو الحال بعد نشر هذه المقالة ، وقد يصبح الأمر كذلك في اليوم التالي. من الصعب الكتابة عن التكنولوجيا بشكل عام بشكل نهائي نظرًا لطبيعة الصناعة سريعة الحركة ، وهذا ينطبق بشكل خاص على التعدين والتجزئة. </ p>\n\n<p> نحن لا نتجنب القلق ، لا تقلق. دعنا نتناولها من خلال النظر في الفرق بين مركزية الأجهزة ومركزية التجمع. </ p>\n\n<p> حقيقة أن التعدين على Bitcoin لا يمكن أن يتم إلا على أجهزة محددة جدًا لا يمكن الوصول إليها بسهولة تعني أن أفضل الأجهزة تتمركز حول المصنّعين. نظرًا لأن إنشاء مجمع تعدين أمر تافه ، فإننا نتوقع أن نرى هؤلاء المصنِّعين ينشرون مجمعات التعدين الخاصة بهم ، والتي تقوم فيها شركات ASIC بالتعدين ، وبالفعل ، نرى أن هذا هو الحال مع كبرى شركات تصنيع ASIC اليوم. <p>\n\n<p> هذه ليست مشكلة قابلة للحل. تمتلك مجمعات التعدين المركزية الأجهزة والمجمع والتجزئة ، وليس هناك ما يمكن لأي شخص فعله حيال ذلك. </ p>\n\n<p> بالرغم من أن النتيجة النهائية متشابهة ، إلا أن لها أسس مختلفة للغاية وأكثر قابلية للتغيير. نظرًا لأن Monero لديها تعدين متكافئ ، يمكن لكل عامل منجم أن يختار مكان توجيه نقاط التجزئة الخاصة به. غالبًا ما يختار الأشخاص الإشارة إلى مجموعة أكبر ، لأن هذا يعني ببساطة أنهم سيشاهدون الكتل الموجودة في كثير من الأحيان أكثر من مجموعة أصغر. </p>\n\n<p> بالرغم من ذلك ، تجدر الإشارة إلى أن القطع الفردي لمكافأة الكتلة سيكون أصغر نظرًا لأنهم يشاركونها مع العديد من الأشخاص. تجد التجمعات الصغيرة الكتل في كثير من الأحيان ، ولكن يحصل كل عامل منجم على جزء أكبر من مكافأة الكتلة ، والنتيجة النهائية هي أن المُعدِّن يكسب فعليًا مبلغًا معادلاً من المال سواء كان في تجمع أصغر أو أكبر ، لذلك نشجع عمال المناجم على الإشارة تجزئة إلى تجمعات أصغر لزيادة اللامركزية في التعدين. </ p>\n\n<p> لكننا نستطرد </ p>\n\n<p> ستلاحظ في تشجيعنا للامركزية أعلاه ، حقيقة أن عامل المنجم لديه القدرة على تبديل التجمعات. في أي وقت ، سواء كان ذلك من خلال تعليم أفضل ، أو دعوة حاشدة لتحقيق اللامركزية ، أو زيادة المنافسة بين المجموعات ، يمكن أن يتغير توزيع التجزئة بناءً على تغيير عمال المناجم الفرديين حيث يشيرون إلى نقاط التجزئة الخاصة بهم. لا يمكن قول الشيء نفسه بالنسبة للتعدين المركزي على مستوى الأجهزة ، حيث لا يوجد لدى مصنعي ASIC أي حافز للإشارة إلى أي مجموعة بخلاف مجموعتهم الخاصة ، ولن يفعلوا ذلك. </ p>\n\n<p> لذا فإن حقيقة أن الجزء الأكبر من تجزئة Monero يتركز في مجموعتين من المجمعات ليس شيئًا عالقًا فيه ، وقد يكون في الواقع بسبب نقص التعليم حول التعدين بشكل عام. إنه شيء يمكن إصلاحه لأن المشكلة لا تكمن في مستوى الجذر ، على عكس مركزية أجهزة البيتكوين. </ p>';

  @override
  String get knowledge250Sbmyths250Sb15250Sbtitle => 'تأتي معظم تجزئة Monero الحالية من مجموعتين فقط.';

  @override
  String get knowledge250Sbmyths250Sb2250Sbtext => '<p> تمتلك Monero بالفعل خيارات محفظة أقل من العديد من العملات المعدنية الموجودة. هذا لأن Monero تم تطويره من الألف إلى الياء. إنه موجود على قاعدة بيانات مختلفة تمامًا عن Bitcoin. هذا يعني أنه لا يمكن لـ Monero أن تفرز محفظة Bitcoin الأساسية فقط ، أو أي محافظ أخرى موجودة ل Bitcoin مثل معظم العملات المعدنية ، وتستفيد من البنية التحتية الحالية. كذلك ، فهذا يعني أن Monero لا تتم إضافته بسهولة إلى محافظ الطرف الثالث ، مثل Exodus. </p>\n\n<p> ومع ذلك ، ببطء ولكن بثبات ، بدأت المحافظ من جميع الأنواع في الظهور لمونيرو. لقد كان من الميم لسنوات عديدة أن Monero لم يكن لديها واجهة مستخدم رسومية ، ولا تدعم محفظة الهاتف المحمول ، ولكن الآن ، لا شيء يمكن أن يكون أبعد عن الحقيقة. هناك محافظ تلبي احتياجات Monero على وجه التحديد ، مثل Monerujo لنظام Android و Cake Wallet لكل من iOS و Android ، بالإضافة إلى محافظ جديدة مثل Wookey و Exa Wallet والمزيد. علاوة على ذلك ، بدأت محافظ الطرف الثالث في إضافة Monero ، وإن كان ذلك بمعدل أبطأ ، بما في ذلك Exodus و Guarda ، ونتوقع أن يستمر هذا الاتجاه فقط مع مرور الوقت ونضوج قاعدة رموز Monero. </p>';

  @override
  String get knowledge250Sbmyths250Sb2250Sbtitle => 'لدى Monero خيارات محفظة أقل.';

  @override
  String get knowledge250Sbmyths250Sb3250Sbtext => '<p> هذا النقد صعب بعض الشيء. من المسلم به أنه في بعض المناطق ، يعد استخدام Monero بالفعل أكثر صعوبة من Bitcoin. توجد أمثلة على ذلك في العنوان الأطول ، والمزامنة تستغرق وقتًا طويلاً ، حتى على المحفظة الخفيفة ، لأن المحفظة لا يمكنها ببساطة فحص blockchain دون مسح كل إخراج لمعرفة ما إذا كان ينتمي إلى الحساب المعني. </p>\n\n<p> ومع ذلك ، من نواحٍ عديدة ، تعتمد Monero على تجربة المستخدم للعملات المشفرة ، إن لم تكن تحسنها تمامًا ، لا سيما عندما يتعلق الأمر بالخصوصية. </p>\n\n<p> ندعو القارئ لقراءة مقالات حول الخطوات التي يوصي بها بيتكوين للحفاظ على الخصوصية. القائمة طويلة ومربكة ويصعب الحصول عليها بشكل مثالي ، وغالبًا ما تكون عواقب الخطأ هي انتهاك الخصوصية. أحد الأمثلة على ذلك هو اقتراح تقليب أو مزج عملات البيتكوين الخاصة بك ، ولكن بعد عملية الخلط ، إذا تم دمج المخرجات الناتجة أو نقلها بطريقة أخرى إلى نفس المحفظة ، فقد يكون الخلط سدى ، لأن تتبع المخرجات يوفر إمكانية ربط عالية. مثال آخر هو حقيقة أن الكثيرين يوصون بتعدين البيتكوين الخاص بك إذا كنت تريد أن تظل غامضة تمامًا فيما يتعلق بكيفية الحصول على مخرجات البيتكوين ، وهي فكرة مثيرة للضحك في النظام البيئي للتعدين الحالي. </p>\n\n<p> مع Monero ، تم التخلص من قائمة تفاصيل الغسيل هذه تمامًا. تحتفظ كل معاملة Monero بمستوى عالٍ من الخصوصية في كل مرة ، دون حاجة المستخدم إلى فعل أي شيء أو استخدام برامج خارجية. بينما تجعل Bitcoin من الصعب الحصول على الخصوصية المناسبة للجميع باستثناء المستخدم الأكثر خبرة ، فإن Monero تجعل من الصعب فهمها بشكل خاطئ ، للجميع ، طوال الوقت. بقدر ما تذهب المفاضلات ، نعتقد أن العناوين الأطول ووقت المزامنة أكثر من يستحق كل هذا العناء. </p>\n\n<p> وحتى بعد مناقشة كل شيء أعلاه ، تظل الحقيقة أن تجربة المستخدم غالبًا ما تتحسن بمرور الوقت ، ومونيرو ليست استثناءً. يمكن تحسين تجربة المستخدم لعملة معدنية بشكل كبير بعد بضع سنوات ، ولكن تغيير أسسها أصعب بكثير. </p>';

  @override
  String get knowledge250Sbmyths250Sb3250Sbtitle => 'تجربة مستخدم Monero سيئة.';

  @override
  String get knowledge250Sbmyths250Sb4250Sbtext => '<p> يتم تقديم هذا النقد بشكل شائع مع وضع البيتكوين في الاعتبار. ماذا لو اعتمدت Bitcoin تقنيات الخصوصية التي تسمح بالخصوصية الكافية. ما فائدة Monero؟ </p>\n\n<p> الحقيقة هي أننا لا نرى Bitcoin يضع الخصوصية على الطبقة الأولى. في أحسن الأحوال ، سيكون على طبقات ثانية ، أو من خلال محافظ معينة ، مثل Samourai و Wasabi. هذا يعني أن الخصوصية قيد التمكين ، وهو ما يُظهر البحث أنه دائمًا ما يكون أدنى من الخصوصية التي يتم تشغيلها افتراضيًا. حتى لو تم تبني هذه التقنية من قبل نسبة مناسبة من مستخدمي البيتكوين (وهو بحد ذاته امتداد للخيال) ، فإن الخصوصية ستكون أقل شأنا. </p>\n\n<p> في حين أن أسباب دونية خصوصية التمكين ستكون كبيرة بما يكفي لجعلها مقالة خاصة ، إلا أننا نريد أن نوضح بمثال بسيط هنا. الخصوصية ، من وجهة نظر تكنولوجية ، تدور حول الاختباء في حشد من الناس. كلما كان الحشد أكبر وأكثر تجانسا ، كانت خصوصية الفرد أفضل. على العكس من ذلك ، إذا كان الحشد صغيرًا أو كبيرًا ، ولكن الجميع يرتدون ملابس مختلفة وفريدة من نوعها ، فسيكون من الأسهل التعرف على الفرد. </p>\n\n<p> هذا يعني أنه نظرًا لأن البيتكوين تجبر الناس على اتخاذ خطوات إضافية ليكونوا جزءًا من هذا الحشد ، فإن الكثيرين لن يفعلوا ذلك ، وأولئك الذين يفعلون ذلك ، قد يفعلون ذلك بشكل سيئ. ينتهي الأمر بالنتيجة النهائية إلى أن تكون حشدًا صغيرًا ، ويكون تحديد المخرجات الفردية أسهل بكثير. لكن الأمر يزداد سوءًا. بالإضافة إلى كون الحشد صغيرًا ، يكون كل فرد فريدًا إلى حد ما عن الآخر ، اعتمادًا على بروتوكول الخصوصية الذي اختاروا استخدامه. قد يختار البعض Samourai ، التي لديها طريقة واحدة للخلط ، بينما قد يختار البعض الآخر Wasabi التي لها طريقة أخرى ، والقائمة تطول. يؤدي هذا في النهاية إلى خصائص فريدة لكل معاملة. إلى جانب الحشد الصغير ، تكون الخصوصية ضعيفة جدًا. </p>\n\n<p> قارنا ما سبق بـ Monero ، الذي يفرض الخصوصية على مستوى البروتوكول. هذا يعني أن الجميع جزء من الجمهور بشكل افتراضي ، وأن الجميع يستخدم نفس الخصوصية (تلك التي يمليها البروتوكول). الحشد كبير ومتجانس ، مما يؤدي إلى خصوصية أقوى بكثير. </p>\n\n<p> ولكن دعونا نتراجع خطوة إلى الوراء ونتبع افتراضًا ، حيث بطريقة ما تضع Bitcoin الخصوصية بالفعل على الطبقة الأساسية. إنه قوي ، افتراضي ، وإلزامي. ما هي الحاجة إلى Monero؟ </p>\n\n<p> حسنًا ، بالنسبة للبعض ، لن يكون هناك واحد ، وقد يكون من المدهش أن نسمع ذلك ، لكن الكثير منا من أهل مونيرو لن يهتموا. كل ما نريده هو أن تكون هناك طريقة قابلة للاستبدال للحفاظ على الخصوصية للأفراد للتعامل مع بعضهم البعض في جميع أنحاء العالم ، وإذا قامت Bitcoin بذلك بأعجوبة بطريقة تحمي بالفعل الخصوصية من خلال تقنية الطبقة الأساسية الإلزامية ، فإن الكثير منا سوف يسعد بالتبديل. على الرغم من ذلك ، نتمنى لك التوفيق في الحصول على هذا. </p>\n\n<p> ومع ذلك ، تقدم Monero العديد من الميزات بخلاف الخصوصية التي لا توفرها Bitcoin. الكتلة الديناميكية التي تم تمكينها من خلال انبعاث الذيل ، وقاعدة رمز مختلفة ، وسياسة رسوم منخفضة ، ومنحنى بيضاوي مختلف ، وأكثر من ذلك. على وجه الخصوص ، يجب إبراز حجم الكتل الديناميكي هنا ، لأنه يتيح نقل معاملات غير محدود نظريًا مع التخزين وعرض النطاق الترددي فقط كنقاط الاختناق. باختصار ، لا تقدم عملة البيتكوين النظرية التي تتمتع بالخصوصية كل ما تقدمه Monero. </p>\n\n<p> تبديل التروس مرة أخيرة لهذا السؤال ، غالبًا ما تنطبق هذه الحجة على التكنولوجيا مثل عقد الإيثيريوم الذكي باستخدام zk-SNARKS ، والتي ، مرة أخرى ، لا تتمتع بخصوصية إلزامية على الطبقة الأساسية للسلسلة الرئيسية ، لذلك ستكون مجموعات إخفاء الهوية صغيرة جدًا وذات قدرة مشكوك فيها على حماية الخصوصية بشكل مناسب. لإجراء مقارنات أخرى ، يرجى الاطلاع على مقالتنا <a target=\"_blank\" href=\"/knowledge/why-monero-is-better\" class=\"next-link\"> التي تقارن Monero بعملات الخصوصية الرئيسية الأخرى </a>. </p>';

  @override
  String get knowledge250Sbmyths250Sb4250Sbtitle => 'سيصبح Monero قديمًا إذا اعتمد blockchain الأكثر شيوعًا تقنية خصوصية قوية.';

  @override
  String get knowledge250Sbmyths250Sb5250Sbtext => '<p> ليس بعد الآن! بفضل التكنولوجيا الرائعة لمضادات الرصاص ، التي تمت إضافتها في أكتوبر 2018 ، تم تخفيض أحجام المعاملات بشكل كبير (بأكثر من 80٪) ، مما أدى إلى انخفاض مماثل في رسوم المعاملات. في الواقع ، اعتبارًا من وقت كتابة هذا التقرير ، تعد Monero أرخص لكل بايت من Bitcoin ، كما أن المزيد من التحسينات على التكنولوجيا تخفض هذه الأسعار. </p>\n\n<p> هذه التحسينات متنوعة ومتكررة. أحد الأمثلة على ذلك هو التحسينات الذكية في مضادات الرصاص نفسها ، مما يؤدي إلى تقليص الرياضيات المطلوبة لكل من الحساب والتحقق ، وأحيانًا بنسبة تصل إلى 25٪. </p>\n\n<p> بالإضافة إلى ذلك ، هناك مخططات جديدة ومثيرة لتوقيع الحلقة في الأعمال ، مثل CLSAG ، والتي ستحل محل مخطط MLSAG الحالي ، وتقليص حجم الصفقة بالكامل بنسبة 25-35٪. علاوة على ذلك ، هناك تقنيات أحدث وأكثر نزيفًا مع أنظمة إثبات مختلفة تمامًا لديها القدرة على الحفاظ على أحجام المعاملات الحالية ، ولكن لها أحجام حلقات تزيد عن مائة ، مثل Triptych و Arcturus و Lelantus ، وكلها أصغر حجمًا أكثر كفاءة من المخططات الحالية. </p>';

  @override
  String get knowledge250Sbmyths250Sb5250Sbtitle => 'ألا تتمتع Monero برسوم معاملات عالية جدًا؟';

  @override
  String get knowledge250Sbmyths250Sb6250Sbtext => 'ثانية. جلبت الرصاص هذا إلى أسفل بشكل كبير. لا تزال معاملات Monero أكبر من معاملات Bitcoin ، ولكن الآن بحوالي ثماني مرات فقط ، بدلاً من ما يقرب من خمسين مرة عما كانت عليه من قبل. لكن هناك طريقة أخرى للنظر إلى هذا أيضًا. لدى Bitcoin بعض الوسائل لتحقيق الخصوصية ، عادةً من خلال الخلاطات والمحافظ المتخصصة مثل Wasabi و Samourai وأنظمة CoinJoin الأخرى ذات الصلة. عندما تقارن تكاليف الاختلاط مع مخرجات Bitcoin الأخرى ، والتنقل بين العناوين ، والحفاظ على التوزيع المناسب للمخرجات ، فإن التكلفة الإجمالية ، من حيث الحجم والرسوم ، تكون أكبر مما لو كان المستخدم سيستخدم Monero فقط. لذا ، نعم ، معاملات Bitcoin المجردة أصغر حجمًا ، ولكن لتحقيق أي شكل من أشكال الخصوصية (وهو أضعف بكثير من Monero بغض النظر) سيأخذ مساحة على Bitcoin أكبر من Monero.';

  @override
  String get knowledge250Sbmyths250Sb6250Sbtitle => 'تعد معاملة Monero أكبر بعدة مرات من معاملة Bitcoin.';

  @override
  String get knowledge250Sbmyths250Sb7250Sbtext => '<p> في حقبة 2017-2018 ، التزم مجتمع Monero بإبقاء ASIC خارج الشبكة. وقد تم ذلك عن طريق الانقسام المستمر كل ستة أشهر إلى خوارزمية جديدة لإثبات العمل ، والتي من شأنها أن تمنع ASICs من الاستيلاء على الشبكة. يوضح تشبيه الطابعة في مقالتنا <a class=\"next-link\" href=\"/knowledge/monero-mining-randomx\" target=\"_blank\"> حول التعدين في Monero </a> كيفية عمل ذلك. </p>\n\n<p> ما لا يعرفه معظم الناس هو أن شوكات Monero الصلبة لم تبدأ لأسباب تغيير إثبات العمل. كان Monero صعبًا كل ستة أشهر قبل ذلك أيضًا ، ويعود إلى عام 2015. لماذا هذه الهارد فوركز في المقام الأول؟ اسأل أي شخص يعمل في مجال الخصوصية وسيخبرك أن الخصوصية هي سباق تسلح. أحد الجانبين يصنع خصوصية جيدة ، والآخر يطور أدوات يمكنها كسر الخصوصية المذكورة ، مما يتسبب في تطوير الجانب الأول لتقنية أقوى ، وتستمر الدورة وتطول. </p>\n\n<p> أحد الأمثلة الرئيسية على الشوكات الصلبة قبل تغيير إثبات العمل هو تضمين RingCT في عام 2017 ، ويمكن القول إنه أكبر التغييرات التي طرأت على Monero على الإطلاق والتي زادت من خصوصية Monero بعدة أوامر من حيث الحجم. نعتقد ببساطة أنه من السابق لأوانه تعظيم البروتوكول ، خاصة مع تقنيات الخصوصية الجديدة والمثيرة في الأعمال ، مثل Triptych و Lelantus. ومع ذلك ، فإننا نعمل بجد لضمان أن تكون عمليات التطوير والبحث وغير ذلك أكثر لامركزية قدر الإمكان. لدينا <a class=\"next-link\" href=\"/knowledge/why-monero-is-open-source-and-decentralized\" target=\"_blank\"> مقالة تغطي هذا الموضوع </a> أيضًا ، لذا تأكد من إطلاعك عليها. </p>\n\n<p> كل هذا للقول ، يجد فريق التطوير اللامركزي أنه من الصعب والمرهق للغاية مواكبة هذا الجدول الزمني ويتطلع إلى الانتقال إلى الانقسام الكلي كل تسعة أشهر أو حتى كل عام. هذا لأن المجتمع يشعر ، مع التطورات مثل Triptych و Arcturus ، أننا نقترب مما نأمل أن يكون خصوصية قوية حقًا مع نقاط ضعف قليلة ، مما يؤدي إلى عدم الحاجة إلى تطوير مستدام لتغيير البروتوكول. وعلى جبهة إثبات العمل ، أنشأ العديد من أعضاء المجتمع RandomX كآخر مناورة لإبعاد ASICs عن الشبكة. في وقت كتابة هذا التقرير ، ما زلنا في منتصف هذه التجربة ، ولا يزال يتعين علينا معرفة ما إذا كانت ستنجح على المدى الطويل ، ولكن تم تحقيق إحدى النتائج المرجوة ، وإزالة سبب آخر للتشعب السريع ، مما يتيح جدول تفرع أبطأ.';

  @override
  String get knowledge250Sbmyths250Sb7250Sbtitle => 'لدى Monero شوكات صلبة في كثير من الأحيان. ألا يعني هذا أنها مركزية؟';

  @override
  String get knowledge250Sbmyths250Sb8250Sbtext => '<p> هذه ليست ، ولم تكن قط ، عملة ريكاردو \"fluffypony\" Spagni. لم ينجح حتى. لقد بدأها شخص مستعار معروف باسم thankful_for_today ، وهناك قصة شيقة جدًا حول ذلك لوقت آخر. اكتسب Fluffypony سمعة سيئة باعتباره عضوًا أساسيًا في الفريق / مشرفًا رئيسيًا ، حيث أعطى الكثير من الوقت والموارد لمساعدة العملة على النمو ، وكذلك من خلال سفره والتحدث في المؤتمرات. مع الجمع بين هذين الأمرين ، أصبح نوعًا من الوجه غير الرسمي لمونيرو ، وكان عادةً البوابة التي وجدنا الناس من خلالها. نظرًا لثقافة الرئيس التنفيذي الفظيعة التي كانت منتشرة في مشهد العملات المشفرة ، فقد افترضوا أنه مؤسس وقائد Monero ، وكلاهما غير صحيح. </p>\n\n<p> في الوقت الحاضر ، لا يزال fluffypony جزءًا من الفريق الأساسي ، ولكنه لم يعد المشرف الرئيسي لقاعدة الكود ، وقد عاد للعمل في مشروعاته الشخصية. تستمر Monero على ما يرام. </p>';

  @override
  String get knowledge250Sbmyths250Sb8250Sbtitle => 'هذه عملة شخصية لـ fluffypony!';

  @override
  String get knowledge250Sbmyths250Sb9250Sbtext => '<p> هذه حقيقة لا جدال فيها وليست شيئا يمكن الجدال به. moneromooo هو عضو معروف في مجتمع Monero. لدرجة أن المجتمع جمع الأموال عبر منصة التمويل الجماعي الخاصة بنا؛ وهو نظام التمويل الجماعي المجتمعي (CCS) لكي يعملوا بدوام كامل في Monero. يتم تقديم مقترحات العمل الجديدة كل ثلاثة أشهر، لذلك إذا كان المجتمع غير راضٍ عن العمل المنجز ، فهم ببساطة لا يحتاجون إلى تمويل جماعي لعرضهم التالي. </p>\n\n<p> كما يتخيل المرء ، فإن العمل في Monero بدوام كامل بدلاً من العمل التطوعي سيؤدي إلى كميات كبيرة من العمل المتراكم غير المنجز. نظرًا لأن Monero لم يكن لديها عرض أولي للعملة الأولية ، ولا تحصل على مكافأة المؤسس ، فليس لدينا مهندسين بدوام كامل يعملون في المشروع ، ويساهم الناس بما يمكنهم ، عندما يستطيعون ، ومن غير المجدي ببساطة توقع هذه المساهمات أن تتفوق على العاملين بدوام كامل. </p>\n\n<p> ومع ذلك ، لا يزال هناك جهد كبير لإجراء ضوابط وتوازنات. لا يزال أحد أعضاء الفريق الأساسي يقوم بدمج الشفرة بعد المراجعة ، لذا فهي ليست حالة يقوم فيها الفرد بصنع الشفرة ودمجها معًا ، وبالتالي فإن تجاوز أي رقابة ضرورية للقبض على أي خطأ فادح أو نية خبيثة. </p>';

  @override
  String get knowledge250Sbmyths250Sb9250Sbtitle => 'جاءت غالبية الالتزامات منذ عام 2017 من إلتزام فردي يعرف باسم moneromooo-monero';

  @override
  String get knowledge250Sbmyths250Sbdescription => 'هناك الكثير من الانتقادات الشائعة الموجهة إلى Monero والتي إما أن تكون قديمة أو غير صحيحة ، بينما يقدم البعض الآخر نظرة ضيقة جدًا للمشكلة المعنية. نأمل في هذا المقال تصحيح هذه الانتقادات.';

  @override
  String get knowledge250Sbmyths250Sbtitle => 'تم فضح أفضل 15 خرافة ومخاوف لـ Monero';

  @override
  String get knowledge250SbnetworkEffect250Sb0250Sbtext => '<p> Blockchain هو عدد لا يحصى من التخصصات مجتمعة معًا في واحدة. إنه يجلب عناصر من التكنولوجيا والاقتصاد ونظرية الألعاب إلى نماذج الأمان الخاصة به. هذا يعني أنها واحدة من أكثر القطع التقنية تعقيدًا وتعقيدًا حتى الآن ، ولكن هذا يعني أيضًا أن الفهم العميق والشامل مستحيل دون تعلم أساسيات كل قطعة أحجية تشكلها. </p>\n\n<p> جزء واحد من blockchain لا تتم مناقشته كثيرًا هو المنافسة. غالبًا ما يتم تقييم كل عملة مشفرة وفقًا لمزاياها الخاصة ، وحتى مقابل العملات المشفرة التي تشبهها في الغالب ، ولكن يتم تقييم القليل منها بناءً على ما تقدمه للسوق ككل ، وعدد الأشخاص الذين يستخدمونها. علاوة على ذلك ، يجب أن تحلل العملة المشفرة عدد الأشخاص الذين يستخدمونها أو يعرفون عنها أو يتفاعلون معها بأي شكل من الأشكال. يُعرف هذا المفهوم بتأثير الشبكة. </p>\n\n<p> من الأمثلة غير blockchain لتأثير الشبكة وسائل التواصل الاجتماعي. إذا كان جميع أصدقائك على Facebook ، فعندما تختار وسائل التواصل الاجتماعي التي تريد المشاركة فيها بشدة ، فإن اختيارات أصدقائك تؤثر في هذا القرار أيضًا. قد تؤثر حقيقة وجود معظمهم على Facebook على الانضمام إليه أيضًا. وعندما تقرر ما إذا كنت تريد مغادرة المنصة أم لا ، فإن حقيقة أنك قد تفقد الاتصال ببعض هؤلاء الأصدقاء ستؤثر أيضًا على هذا القرار. هذا هو تأثير الشبكة في العمل. بعد أن يصل التبني إلى الكتلة الحرجة ، يصبح التبني الإضافي أسهل وغالبًا ما يتم تغذيته بواسطة المشاركين الحاليين في الشبكة. </p>\n\n<p> عندما ننظر إلى هذا في سياق blockchain ، وفي الواقع التجارة بشكل عام ، فإن قوة تأثيرات الشبكة تتضح بسرعة. إذا كانت Bitcoin هي العملة المشفرة التي يعرفها معظم الناس ، وهي العملة التي يشتريها معظم الناس ، فسيقبلها المزيد من التجار. إذا قبله المزيد من التجار ، فسيكون هناك المزيد من الأماكن لاستخدامه ، لذلك سيشتريه المزيد من الناس ، وسيعرف المزيد من الناس عنه. تصبح حلقة ردود فعل إيجابية كبيرة أن كرات الثلج. في هذه المرحلة ، قد يتم التواصل مع التاجر بشأن استخدام عملة مشفرة أخرى ، لكنه سيتساءل عن سبب الحاجة إليها نظرًا لأنه يقبل بالفعل Bitcoin وهو ما يستخدمه الجميع ويقبله. </p>\n\n<p> في حين أنه بلا منازع أن بيتكوين هي أكبر عملة مشفرة ، إلا أن هناك آخرين يعتبرون الأفضل في مجالهم. Monero هي إحدى هذه العملات ، حيث يعتبرها الكثيرون عملة الخصوصية الأولى ، على الرغم من اختلاف آراء الأشخاص حول ما إذا كانت Monero تتنافس في نفس مساحة Bitcoin أم لا. هذا لأن Bitcoin قد وضعت جميع بطاقاتها في شفافيتها من أجل التحقق من المبلغ الإجمالي (على الرغم من أن هذا ممكن أيضًا في Monero ، وإن كان بطريقة ملتوية أكثر بكثير). </p>\n\n<p> إذن أين تقف Monero حاليًا في لعبة تأثيرات الشبكة هذه؟ من أين بدأنا؟ ماذا يحمل المستقبل؟ حسنًا ، لنبدأ من البداية. </p>\n\n<p> من المثير للاهتمام ملاحظة أنه في <a target=\"_blank\" href=\"/knowledge/monero-history\" class=\"next-link\"> أيام Monero الأولى </a> ، كانت واحدة من ثلاث طرق لممارسة الخصوصية. Coinjoin و CryptoNote و Dash\'s Masternode / coinjoin المختلط. كانت الخيارات محدودة ، وبالتأكيد لم تخضع لمراجعة الأقران ، لكن هذا لم يمنع الناس من اختيار جانب. في هذه الحقبة القديمة ، كانت لعبة الجميع ، وقرر البعض الجلوس وترك الكريم يرتقي إلى القمة. أثبت الوقت في النهاية أنه في جانب <a target=\"_blank\" href=\"/knowledge/why-monero-is-better\" class=\"next-link\"> Monero </a> ، حيث جاءت العملات المشفرة الأخرى وذهبت. </p>\n\n<p> أنشأ هذا تأثير شبكة Monero كعملة تمهد الطريق للآخرين في الخصوصية. حتى مع ظهور التكنولوجيا الأحدث ، مثل Zcash\'s zk-SNARKs و MimbleWimble ، نظرت الجماهير إلى Monero من أجل القيادة والمناقشة الحكيمة حول هذه البروتوكولات الجديدة. </p>\n\n<p> في الوقت الحاضر ، Monero هي واحدة من عدد قليل من المشاريع المحترمة عالميًا في الفضاء. من مبتدئي التشفير إلى المتطرفين في Bitcoin ، جميعهم ينظرون إلى Monero باحترام شديد على الأقل ، على الرغم من أنه في كثير من الأحيان يكون ذلك بتقدير أعلى. عندما يتحدث قدامى المحاربين في الفضاء عن العملات التي لديها أعلى فرصة لإحداث فرق في العالم ، وستستمر خلال التجربة والضيقة ، فإن Monero لا يفشل أبدًا في التواجد. </p>\n\n<p> هذه الفقرات القليلة الأخيرة ليست مجرد تهنئة ذاتية ، ولكنها نظرة صادقة على شكل مشهد التشفير في وقت كتابة هذا التقرير. أصبحت تأثيرات شبكة Monero أكثر وضوحًا كل يوم ، وتظهر في أماكن غير متوقعة.\n\n<p> الناس منقسمون تمامًا عندما يتعلق الأمر بمستقبل مونيرو ، لكن كل الآراء تشير إلى أن مونيرو تؤدي وظيفتها بشكل جيد. أكبر مثال على ذلك هو المخاوف التنظيمية. يخشى البعض أن تكون Monero شخصية للغاية ، الأمر الذي سيؤدي إلى صدام حتمي مع حكومات العالم ، في حين أن البعض الآخر متحمس لكيفية إعادة هذه الخصوصية للحرية إلى الشخص العادي. في أصل كل من هاتين النظريتين ، تكمن فكرة أن Monero تفي تمامًا بوعدها بالخصوصية وإمكانية التبديل ، وغالبًا ما تكون العملة الوحيدة في مثل هذه المحادثات كما لا تفعل معظم \"عملات الخصوصية\" الأخرى. </p>\n\n<p> نظرًا لأن مجتمع Monero يحاول جاهدًا أن يكون <a target=\"_blank\" href=\"/knowledge/critical-thinking\" class=\"next-link\"> عقلانيًا ومتشككًا </a> ، فهو لا يخشى التكنولوجيا الجديدة. تتحدث العملات المعدنية الأخرى ، التي تهتم أكثر بالجانب التنافسي ، باستمرار عن \"خلع\" Monero ، وكيف يجب أن تخشى Monero من تقنيتها الجديدة التي ستسيطر على عالم الخصوصية. بعبارة أخرى ، يعتقدون أن تقنيتهم الجديدة ستتغلب على تأثيرات شبكة Monero الراسخة في دوائر الخصوصية. </p>\n\n<p> على عكس Bitcoin ، التي تعتمد بشكل أساسي على تأثيرات شبكتها للبقاء على صلة دون الكثير من الابتكارات الأساسية ، قررت Monero تبني كليهما. تمت إضافة تقنية جديدة تم فحصها لجعل Monero أكثر خصوصية وأمانًا ، مما يضمن أن تأثيرات شبكة Monero ليست هي الغرض الوحيد لحالتها ، بل نتيجة للابتكار والعمل الجاد. </p>\n\n<p> بهذا المعنى ، على المرء أن يتساءل عن المدة التي يمكن أن تعتمد فيها تقنية مثل Bitcoin فقط على تأثيرات شبكتها الحالية لتبقى ملائمة. القضية قوية في الوقت الحالي ، مع عدم وجود عملة قريبة من مطابقة التعرف على علامة Bitcoin التجارية ومساحة الدماغ الجماعية ، ولكن يجب أن نتذكر أن العديد من العمالقة الآخرين في الصناعات الأخرى اعتقدوا أنهم لا يمكن المساس بهم ، فقط لمواجهة السقوط الخاص بهم بسبب نقص الابتكار. [ X6322X]';

  @override
  String get knowledge250SbnetworkEffect250Sbdescription => 'في حين أنه لا جدال في أن Bitcoin هي أكبر عملة مشفرة إلى حد بعيد ، فإننا نسأل عما إذا كان بإمكانها الاعتماد فقط على تأثيرات الشبكة الحالية للبقاء على صلة.';

  @override
  String get knowledge250SbnetworkEffect250Sbtitle => 'كيف يمكن لـ Monero التغلب على تأثيرات شبكة Bitcoin';

  @override
  String get knowledge250Sbnetworking250Sb0250Sbtext => '<p> لا ينبغي أن يكون مفاجأة لأي شخص أن Monero ، وفي الواقع جميع العملات المشفرة ، تعمل على الإنترنت. ومع ذلك ، على الرغم من أن هذا البيان يبدو أساسيًا وواضحًا ، فإن الكثيرين لا يأخذون في الاعتبار الآثار المترتبة على ما يعنيه هذا فيما يتعلق بخصوصياتهم. بعبارة أخرى ، هناك بعض الأشياء التي يستطيع Monero الحماية منها والبعض الاخر لا يمكنه حمايتها ، فقط من خلال طبيعة التشغيل على الإنترنت. بعض هذه الاعتبارات هي مجرد مضايقات ، بينما البعض الآخر أكثر جدية في سيناريو تتطلب الخصوصية المطلقة. لنأخذ الوقت الكافي للتعرف على كيفية تفاعل مستخدمي Monero مع بعضهم البعض على الشبكة ، وما يعنيه هذا بالنسبة لخصوصيتهم. </p>\n\n<p> بدءًا من الجانب التافه من الأشياء ، إذا لم يكن لدى المستخدم إمكانية الوصول إلى الإنترنت ، فلن يتمكن من تنزيل كتل جديدة أو نشر المعاملات نيابة عن الآخرين أو إرسال معاملات خاصة بهم. من المثير للاهتمام ملاحظة أنه يمكن للمستخدم الذي يمتلك عقدة كاملة ، بدون اتصال بالإنترنت ، إنشاء معاملة غير متصلة بالإنترنت يمكن إرسالها لاحقًا. هذا لأن توقيع الحلقة يحتاج فقط إلى مخرجات من blockchain للاختباء معها. تذكير موجز حول <a target=\"_blank\" href=\"/knowledge/ring-signatures\" class=\"next-link\"> كيف تعمل تواقيع الحلقة </a> ، فهي تخفي المخرجات الحقيقية التي يرسلها المستخدم من بين مجموعة من المخرجات غير المنتسبة المختارة من الماضي. إذا كان لدى المستخدم حق الوصول إلى هذه المخرجات في شكل blockchain تم تنزيله بالكامل (عقدة كاملة) ، فيمكنه إنشاء توقيع الحلقة من المخرجات السابقة ، وبمجرد استئناف اتصال الإنترنت ، قم بنشر المعاملة على الشبكة. </p>\n\n<p> لا يمكن للمستخدم الذي يستخدم عقدة بعيدة القيام بذلك ، لأنه عندما ينشئ توقيع الحلقة الخاص به ، فإنه يتصل بالعقدة الكاملة البعيدة للمخرجات لتضمينها في توقيع الحلقة. يعني عدم وجود إنترنت أنهم لا يستطيعون الوصول إلى هذه العقدة ، لذلك ليس لديهم إمكانات إنشاء المعاملات دون اتصال بالإنترنت. </p>\n\n<p> قبل أن نستمر في تناول بعض اعتبارات الخصوصية ، دعونا نحصل على مقدمة موجزة عن كيفية عمل الإنترنت ككل. الإنترنت بالكامل ليس أكثر من أجهزة كمبيوتر متصلة بأجهزة كمبيوتر أخرى. هذا هو. المدونة التي تحب قراءتها؟ فقط بعض الملفات المضافة على كمبيوتر شخص آخر. هذا الموقع الذي تقرأه هذا المقال على (LocalMonero)؟ الملفات والرموز المضافة على جهاز كمبيوتر في مكان ما. حتى المواقع المجنونة الكبيرة تعمل بهذه الطريقة. خذ YouTube على سبيل المثال. فقط ملفات الفيديو المضافة على أنظمة الكمبيوتر العملاقة من Google ، ويمكنك الاتصال بها لتنزيل الفيديو على جهاز الكمبيوتر الخاص بك حتى تتمكن من مشاهدته. </p>\n\n<p> يمكن لأجهزة الكمبيوتر هذه التمييز بين بعضها البعض لأن كل جهاز كمبيوتر متصل بالإنترنت يتم إعطاؤه رقم تعريف فريد يسمى عنوان IP. عادة ما تكون هذه أربع مجموعات من الأرقام مفصولة بنقاط ، على سبيل المثال: 172.66.35.7. من المهم أن تضع ذلك في الاعتبار عندما نفكر في كيفية نقل معلومات Monero عبر الإنترنت. Monero هي شبكة نظير إلى نظير (P2P) ، مما يعني أن أجهزة الكمبيوتر تتصل ببعضها البعض مباشرة بدلاً من استخدام وسيط. لذلك عندما تقوم العقدة الكاملة للمستخدم بتنزيل كتلة تم اكتشافها حديثًا ، فإنهم لا يقومون بتنزيلها من خادم مركزي ، ولكن من أقرانهم. الجانب السلبي لهذا هو ، نظرًا لأن المستخدمين يتصلون ببعضهم البعض بشكل مباشر ، فإنهم يعرفون عناوين IP الخاصة ببعضهم البعض. </p>\n\n<p> حسنًا؟ ما هي الصفقة الكبيرة؟ إنه مجرد رقم ، صحيح؟ ليس تماما. تحتوي عناوين IP نفسها على معلومات حول المستخدم ، مثل البلد الأصلي ومزود الشبكة ، ولكن الأسوأ من ذلك أن موفري خدمة الإنترنت (ISP) يعرفون عنوان IP لكل شخص يستخدم خدماتهم. هذا يعني أن مزودي خدمة الإنترنت هؤلاء وأولئك الذين يعملون معهم يمكنهم مشاهدة حركة مرور الإنترنت للمستخدم ، وباستخدام بعض التكتيكات الذكية ، اكتشفوا أنهم يستخدمون Monero. الآن قبل أن تشعر بالخوف ، لاحظ الصياغة هناك. كل ما يمكن أن يفعله هؤلاء المتلصصون هو أن يروا أن شخصًا ما يتصل بالعقد الأخرى على شبكة Monero. بسبب تقنية خصوصية Monero ، لا يتم تسريب أي شيء آخر عن الفرد. ليس ما إذا كانوا يقومون بتشغيل عقدة أم لا ، أو إذا / عندما يرسلون معاملات ، وإذا تم إرسال معاملة ، فلن تكون أي من معلوماتها معروفة. كل ما يمكن لمزودي خدمة الإنترنت رؤيته هو أن أحد مستخدميهم يتصل بشبكة Monero. </p>\n\n<p> الآن ، بالنسبة لبعض الأشخاص ، في بعض المواقع ، قد تكون هذه المعلومات وحدها كافية لإلحاق الضرر بالسمعة أو الحرية. أو ربما فكرة أن أي شخص يتعدى على خصوصيتك وما تفعله على الإنترنت ، لأي سبب من الأسباب ، أمر غير مقبول بالنسبة لك. يتم تشجيع هؤلاء الأفراد على الاتصال بشبكة Monero فقط باستخدام VPN أو Tor أو I2P ، وكلها خدمات تخفي عنوان IP الخاص بالمستخدم عن الآخرين بالإضافة إلى إخفاء ما يفعله المستخدم من مزود خدمة الإنترنت الخاص به. الاختلافات بين هذه الخدمات خارج نطاق هذه المقالة ، ولكن هناك الكثير من المقالات عالية الجودة المكتوبة حول هذا الموضوع ، لذلك يتم تشجيع المستخدمين المعنيين على الدراسة! </p>\n\n<p> بالنسبة لبقيتنا ، قد نعتقد أن جعل الآخرين يعرفون أننا متصلون بشبكة Monero ليس بالأمر الكبير. بعد كل شيء ، يتم إخفاء المحتويات الفعلية لمعاملاتنا ، أو إذا كنا نرسل أيًا منها على الإطلاق ، للجمهور ، فما الضرر؟ في حين أن هذا قد يكون صحيحًا ، يتم تشجيع المستخدمين على النظر في حقيقة أن السحب الرئيسي للعملات المشفرة هو بنكهم الخاص. عندما تحتفظ بمفتاحك الخاص ، وإذا حدث شيء له ، فلن يتمكن أحد من مساعدتك في استرداد أموالك المفقودة. </p>\n\n<p> كونك بنكًا خاصًا بك يعني ألا تفكر فقط في أمنك الرقمي ، ولكن أيضًا بأمانك المادي. قد يكون من الجيد جدًا أن معرفة الفرد المتصل بشبكة Monero قد تجذب انتباهًا غير مرغوب فيه ، ليس بالضرورة من جهات فاعلة كبيرة الحجم مثل الدول القومية ، ولكن من الجهات الأصغر ذات المصلحة الأنانية ، مثل المتسللين الذين يتطلعون إلى تحقيق ربح سهل. هناك بالفعل عدد لا يحصى من القصص في جميع أنحاء مساحة التشفير لمثل هذه السيناريوهات التي تحدث بالفعل.\n\n<p> لا تهدف هذه المقالة إلى إثارة الخوف أو التخويف ، بل تهدف إلى تشجيع المستخدمين على إجراء بعض الأبحاث حول طرق حماية تصفح الويب المناسبة لهم. والخبر السار هو أن هذه المهارات ستنتقل إلى الاستخدام العام للإنترنت أيضًا ، وليس فقط استخدام Monero ، وعلى هذا النحو ، في عالمنا المتصل بالإنترنت بشكل متزايد ، لا يمكن للمستخدم البارع أن يخطئ في تجميع المعرفة والمهارات المناسبة للبقاء آمنًا وأن يكونوا حقًا بنكهم الخاص. </p>';

  @override
  String get knowledge250Sbnetworking250Sbdescription => 'لنأخذ الوقت الكافي للتعرف على كيفية تفاعل مستخدمي Monero مع بعضهم البعض على الشبكة ، وما يعنيه هذا بالنسبة لخصوصيتهم.';

  @override
  String get knowledge250Sbnetworking250Sbtitle => 'ما يحتاج كل مستخدم Monero إلى معرفته عندما يتعلق الأمر بالشبكات';

  @override
  String get knowledge250Sbnodes250Sb0250Sbtext => '<p> واحدة من أكبر المزايا التي تتمتع بها Monero مقارنة بالعملات المشفرة الأخرى هي خصوصية السلسلة ، ولكن هل تساءلت يومًا كيف يتم الحفاظ على خصوصية Monero عند استخدام عقدة بعيدة؟ ماذا لو كنت تستخدم خادم \"light wallet\" مثل MyMonero؟ </p>\n<p> في هذا المنشور ، سنتعمق في بعض التفاصيل حول كيفية توفير Monero لخصوصية استثنائية على السلسلة حتى عند استخدام عقدة بعيدة ، بالإضافة إلى ما يجب الانتباه إليه عند استخدام العقد البعيدة. </p>';

  @override
  String get knowledge250Sbnodes250Sb1250Sbtext => '<p> بالنسبة لأولئك الأقل دراية بكيفية عمل Monero ، يمكن لأي شخص تشغيل العقد (أو الخوادم) في شبكة Monero والسماح لمالك العقدة - أو غيرهم ممن يختارون مشاركتها معهم! - لمزامنة نسخة من blockchain وتقديم تلك النسخة للآخرين على الشبكة. تتحقق هذه العقد أيضًا من جميع المعاملات التي تحدث على الشبكة ، بالإضافة إلى جميع الكتل التي يتم نشرها وتضمن أنها تتبع جميعًا القواعد التي تم تحديدها بالإجماع. </p>\n<p> الوظيفة الأخرى التي تخدمها العقد في Monero هي كطريقة لتوفير جميع البيانات التي تحتاجها محفظة Monero المفضلة لديك للتحقق بشكل صحيح من المعاملات التي تخصك وإجراء معاملات جديدة. يتم توفير هذه البيانات بواسطة العقد بطريقتين: </p>\n<ul>\n<li> تطلب المحفظة البيانات من كل كتلة على blockchain ، ويتم مسحها ضوئيًا للمعاملات التي تخصك ، ثم يتم التخلص منها بمجرد فحصها بواسطة المحفظة.\n<ul>\n<li> سيتم تحسين هذه الخطوة بشكل جذري قريبًا ، بفضل علامات عرض <a class=\"next-link\" target=\"_blank\" href=\"/knowledge/view-tags-reduce-monero-sync-time\"> </a>. </li>\n</ul> </li>\n<li> عند إرسال المعاملات ، تقدم العقدة التي تستخدمها قائمة بالخدع المحتملة (أو المدخلات المزيفة) لاستخدامها عند إنشاء المعاملة ، مما يضمن أن لديك حشدًا جيدًا للاختباء في كل مرة تقضي فيها Monero.\n<ul>\n<li> هذه الخدع هي جزء من <a class=\"next-link\" target=\"_blank\" href=\"/knowledge/ring-signatures\"> تواقيع الحلقة </a> ، وهي جزء مهم من نهج Monero للخصوصية على السلسلة. </li>\n</ul> </li>\n</ul>';

  @override
  String get knowledge250Sbnodes250Sb1250Sbtitle => 'ما الوظيفة التي تخدمها العقد في Monero؟';

  @override
  String get knowledge250Sbnodes250Sb2250Sbtext => '<p> أفضل ما يمكنك فعله ، حتى مع الخصوصية القوية على السلسلة التي توفرها Monero عند استخدام العقد البعيدة ، هو تشغيل عقدة Monero الخاصة بك للتأكد من أن لديك نسخة أصلية من Monero blockchain في متناول يديك وأن عنوان IP الخاص بك محمي بشكل جيد. الميزة الأخرى عند تشغيل العقدة الخاصة بك هي أنه يمكنك المساهمة مرة أخرى في الشبكة ، والسماح للعقد الأخرى بالمزامنة من العقدة الخاصة بك أو حتى السماح للمستخدمين الآخرين بالاتصال بالعقدة الخاصة بك بمحافظهم. </p>\n<p> ومع ذلك ، لا تزال Monero توفر خصوصية ممتازة عند استخدام عقدة بعيدة. إذا كنت مهتمًا بتشغيل عقدة Monero الخاصة بك ، فإليك دليل سهل لمتابعة القيام بذلك: </p>\n<ul>\n<li> <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://sethforprivacy.com/guides/run-a-monero-node/\"> قم بتشغيل عقدة Monero </a> </li>\n</ul>';

  @override
  String get knowledge250Sbnodes250Sb2250Sbtitle => 'ما هي الطريقة الأكثر خصوصية وأمانًا لاستخدام Monero؟';

  @override
  String get knowledge250Sbnodes250Sb3250Sbtext => '<p> عند استخدام عقدة بعيدة ، هناك بعض المعلومات الأساسية التي تتعرض لعقدة بعيدة وطريقتين رئيسيتين يمكن للعقدة أن تهاجمك وتمنعك من إجراء المعاملات وغير ذلك. </p>\n<p> أول شيء يمكن أن تعرفه العقدة البعيدة عنك هو عنوان IP العام الخاص بك. بينما نأمل أن يتم إخفاء ذلك عبر VPN أو Tor ، يمكن للعقدة البعيدة أن تربط عنوان IP العام الخاص بك بالمعاملة ، مما يساعدهم على تضييق المكان الذي تتعامل منه. يمكن للعقدة البعيدة أيضًا معرفة آخر كتلة تمت مزامنتها في محفظتك واستخدامها لمحاولة إجراء تخمينات مستنيرة عنك ، مثل عندما تستخدم Monero عادةً ومتى قضيت Monero آخر مرة. هذا صحيح بشكل خاص إذا كنت تأتي دائمًا من نفس عنوان IP (مثل منزلك). آخر شيء أساسي يمكن أن تتعرف عليه العقدة البعيدة عنك هو المعلومات الأساسية حول المعاملات التي ترسلها من خلالها. في حين أن هذه قد تكون البيانات الأكثر وضوحًا التي يحصل عليها مشغل العقدة البعيدة عنك ، فمن المهم أن تفهم أنه يمكن استخدام ذلك للمساعدة في تعقب مرسل المعاملة عند دمج هذه المعلومات مع البيانات الأخرى خارج السلسلة. يمكن أن يكون هذا خطيرًا بشكل خاص إذا تم تشغيل العقدة البعيدة بواسطة كيان ضار ، أو شركة تحليلات blockchain ، أو دولة قومية قمعية. </p>\n<p> يمكن أن تحاول العقدة البعيدة أيضًا التسبب في مشاكل لك عن طريق إخفاء الكتل عنك ، مما يجعل محفظتك تعتقد أنه تمت مزامنتها عندما لم تكن كذلك. قد يجعلك هذا تعتقد أن الأموال قد ضاعت أو يمنعك من إنفاق الأموال حتى تتصل بعقدة أخرى. آخر شيء رئيسي يمكن أن تفعله العقدة البعيدة هو تغذية محفظتك بقائمة تم التلاعب بها من الأفخاخ. قد يتسبب هذا في فشل محفظتك تمامًا في بناء المعاملات (مما يجعلك غير قادر على إنفاق الأموال) ، أو قد يسمح للعقدة البعيدة بمحاولة تقديم الأفخاخ التي تعرف أنها تنفق لتقليل المجهولية التي تتلقاها في كل معاملة. </p>';

  @override
  String get knowledge250Sbnodes250Sb3250Sbtitle => 'ما الذي يمكن أن تعلمه العقدة البعيدة عني؟';

  @override
  String get knowledge250Sbnodes250Sb4250Sbtext => '<p> على الرغم من أن هذه المقالة قد أخافتك قليلاً ، فمن المهم أن تدرك أن الخصوصية التي توفرها Monero ممتازة حتى عند استخدام عقدة بعيدة ، وتتفوق بكثير على أي عملة مشفرة أخرى عند استخدامها بهذه الطريقة. لا تزال تتمتع بالخصوصية القوية على السلسلة التي توفرها Monero ، نظرًا لأن العقدة البعيدة لا تعرف أبدًا الإدخال الحقيقي (ما هي العملات المعدنية التي تنفقها) ، أو مبلغ Monero الذي تم إنفاقه في المعاملة ، أو عنوان مستلم المعاملة. لا يستطيع المراقبون الخارجيون أيضًا رؤية المدخلات الحقيقية أو الكمية أو العناوين المعنية (بغض النظر عن نوع العقدة التي تختار استخدامها!) ، مما يضمن أنه خارج العقدة البعيدة حتى عنوان IP الخاص بك ومعلومات مزامنة المحفظة والمعاملات لها ضمانات خصوصية قوية . </p>\n<p> لا تتمتع العقدة البعيدة أيضًا بإمكانية الوصول إلى المعاملات السابقة التي أرسلتها أو تلقيتها أو مقدار Monero الموجود حاليًا في محفظتك ، وتفقد كل رؤية لمعاملاتك في اللحظة التي تبدأ فيها استخدام عقدة أخرى. لم يتم توفير أي مفاتيح خاصة (سواء مفاتيح الإنفاق أو العرض) للعقدة البعيدة ، وبالتالي تظل محفظتك خاصة وآمنة وقابلة للاستخدام. بغض النظر عن العقدة البعيدة ، فأنت أيضًا لن تكون معرضًا لخطر فقدان Monero أو سرقته ، نظرًا لأن العقدة لا يمكنها تحرير عنوان المستلم ، ولا يمكنها مطلقًا الوصول إلى المفاتيح الخاصة بمحافظك ، ولا يمكنها مصادرة Monero بأي شكل من الأشكال. </p>';

  @override
  String get knowledge250Sbnodes250Sb4250Sbtitle => 'ما هي ضمانات الخصوصية التي لا تزال موجودة عند استخدام عقدة بعيدة؟';

  @override
  String get knowledge250Sbnodes250Sb5250Sbtext => '<p> على الرغم من أن الموضوع خارج نطاق هذه المقالة قليلاً ، إلا أنني أردت أن أتحدث عن نوع فريد من المحفظة في محافظ Monero الخفيفة. يأتي اسم المحفظة الخفيفة من حقيقة أن محفظتك (على هاتفك أو جهاز الكمبيوتر) لا يتعين عليها إجراء أي من مزامنة blockchain ، مما يجعل التجربة أسرع وأكثر سلاسة. </p>\n<p> ومع ذلك ، فإن محافظ مثل هذه تأتي بمقايضة خصوصية شديدة في الوقت الحالي - ترسل محفظتك مفتاح العرض الخاص إلى الخادم البعيد الذي تستخدمه (مثل الافتراضي في MyMonero) ، مما يمنح الخادم البعيد رؤية كاملة لأي أموال مستلمة منذ إنشاء محفظتك (وحتى تتوقف عن استخدام تلك المحفظة أو البذرة). هذا يقلل من الخصوصية التي تتلقاها من مشغل العقدة بشكل كبير ، ويجب التعامل معها بحذر.\n<p> لحسن الحظ ، يعمل مجتمع Monero على تحسين البرنامج الذي يمكنك استخدامه لاستضافة خادم المحفظة الخفيفة الخاص بك (LWS) ، والذي سيتيح لك إجراء مزامنة سريعة دون الوثوق بطرف ثالث بمفاتيح العرض الخاصة - كما تفعل أنت سيتم تشغيل البرنامج حيث ترسل محفظتك مفاتيح العرض الخاصة! </p>\n<p> لمزيد من المعلومات حول خادم المحفظة الخفيفة المخصص ، راجع مستودع Github أدناه: </p>\n<ul>\n<li> <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://github.com/vtnerd/monero-lws\"> monero-lws </a> </li>\n</ul>';

  @override
  String get knowledge250Sbnodes250Sb5250Sbtitle => 'ماذا عن \"المحافظ الخفيفة\" مثل MyMonero؟';

  @override
  String get knowledge250Sbnodes250Sb6250Sbtext => '<p> إذا كنت فضوليا وترغب في فهم العقد في Monero بشكل أفضل والبحث عن استخدام عقدة بعيدة أو تشغيل عقدة خاصة بك ، فراجع الروابط أدناه للحصول على أماكن رائعة للبدء: </ p>\n<ul>\n<li> <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://moneroworld.com/#nodes\"> Monero World ، وهي قائمة بالعقد البعيدة التي يديرها المجتمع والتي يمكن استخدامها </a> </li>\n<li> <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://sethforprivacy.com/about/#high-performance-monero-nodes\"> تشغيل عقد Monero بواسطة سيث للخصوصية ، مؤلف هذا المقال </a> </li>\n<li> <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://monero.fail/\"> monero.fail ، قائمة بالعقد البعيدة مع حالة التحقق بشكل متكرر < / أ> </li>\n<li> <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://www.getmonero.org/resources/user-guides/remote_node_gui.html\"> كيفية الاتصال إلى عقدة بعيدة داخل محفظة GUI </a> </li>\n<li> <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://www.getmonero.org/resources/moneropedia/remote-node.html\"> Moneropedia - Remote عقدة </a> </li>';

  @override
  String get knowledge250Sbnodes250Sb6250Sbtitle => 'كيف يمكنني معرفة المزيد؟';

  @override
  String get knowledge250Sbnodes250Sbdescription => 'اليوم ، نلقي نظرة على كيفية توفير Monero للخصوصية على السلسلة حتى عند استخدام عقدة بعيدة ، بالإضافة إلى التحذيرات.';

  @override
  String get knowledge250Sbnodes250Sbtitle => 'كيف تؤثر العقد البعيدة على خصوصية Monero';

  @override
  String get knowledge250Sboutputs250Sb0250Sbtext => '<p> تستخدم Monero ، مثل العملات المشفرة الأخرى ، المخرجات كوسيلة لحساب الأموال. ربما سمع العديد من مستخدمي التشفير الأذكياء بهذا المصطلح من قبل ، ولكن لا يفهم الجميع ما يقصدونه وكيف يعملون. كما هو موضح في مقالة توقيعات الحلقة <a target=\"_blank\" href=\"/knowledge/ring-signatures\" class=\"next-link\"> الخاصة بنا </a> ، فإن المخرجات هي الوحدة الفعلية التي يتم تبادلها على blockchain بين الأطراف المتعاملة. تشبه فاتورة الدولار ، لكن المبلغ ليس بفئة ثابتة. </p>\n\n<p> إذا كنت تتقاضى 16 دولارًا مقابل وظيفة ما ، فقد تتلقى فاتورة دولار واحد ، و 5 دولارات ، و 10 دولارات. لديك 16 دولارًا ، ولكن لديك أيضًا ثلاث فواتير مختلفة في محفظتك. إذا كنت ترغب في دفع 6 دولارات لشخص ما ، فيمكنك استخدام فاتورة 5 و 1 ، ولكن إذا كنت تريد دفع 8 دولارات لشخص ما ، فيمكنك فقط استخدام 10 دولارات واسترداد 2 دولار في التغيير. أخيرًا ، إذا كنت ترغب في دفع 14 دولارًا لشخص ما ، فسيتعين عليك استخدام جميع الفواتير الثلاثة ، وستتلقى 2 دولارًا في التغيير ، ولكن للحظة ، عندما تقوم بتسليم جميع الفواتير الثلاثة ، فلن يكون لديك نقود في محفظتك حتى تحصل على التغيير مرة أخرى.\n\n<p> يعمل Monero بالمثل. لنفترض أنك تدير متجرًا وتحقق ثلاث عمليات بيع على ثلاثة عناصر مختلفة. قد تتلقى 1.5 XMR و 2.25 XMR و 5.25 XMR ليصبح المجموع 9 XMR ، ولكن لديك أيضًا ثلاثة مخرجات مختلفة في محفظتك من الفئات المذكورة سابقًا. تمامًا كما هو الحال مع الدولارات ، قد ترغب في دفع 3 XMR لشخص ما. يمكنك استخدام إخراج XMR 5.25 فقط ، واستلام 2.25 XMR مرة أخرى في التغيير ، أو يمكنك دمج مخرجات 1.5 و 2.25 XMR والحصول على 0.75 XMR مرة أخرى في التغيير. </p>\n\n<p> ولكن بمجرد إرسال المعاملة ، يتم وضع المخرجات التي تستخدمها في حالة \"مغلق\" ، مما يعني أنه لا يمكن الوصول إليها حتى تتلقى التغيير مرة أخرى. يفتح البروتوكول الأموال (أي يعيد لك التغيير) بعد 10 تأكيدات ، أو حوالي 20 دقيقة. تمامًا مثلما تقوم بتسليم فواتير الدولار من محفظتك ، لا يمكنك استخدام النقود مرة أخرى حتى تتلقى التغيير من أمين الصندوق ، فلن تتمكن من الوصول إلى Monero حتى تسترد التغيير. </p>\n\n<p> دعنا نعود إلى مثال إرسال 3 XMR إلى شخص ما ، وأنت تستخدم إخراج 5.25 XMR. الآن ، بينما تنتظر تغيير 1.75 XMR مرة أخرى ، لا يمكنك استخدامه. لا يمكنك الوصول إلى هذا 1.75 XMR. ولكن لا يزال بإمكانك استخدام مخرجات 1.5 XMR و 2.25 XMR ، حيث لم يتم إنفاقها. بالعودة إلى مثال الدولار ، إذا دفعت لشخص ما 8 دولارات ، كما في المثال السابق ، فلن تكون قادرًا على استخدام دولار 2 الذي تتوقعه مرة أخرى في التغيير حتى يتم إعطاؤه لك ، ولكن في هذا المثال ، لا يزال لديك فاتورة بقيمة 10 دولارات غير مستخدمة في محفظتك. لا يزال من الممكن استخدام هذا لشراء ما تريد أثناء انتظار التغيير. الشيء نفسه مع Monero. </p>\n\n<p> غالبًا ما تكون هذه نقطة ارتباك لمستخدمي Monero الجدد. في كثير من الأحيان ، قد يكون لدى المستخدم ناتج واحد فقط في محفظته ، يتم استلامه من بورصة أو من صديق. لنفترض أن هذا الناتج هو 20 XMR. ليس لديهم نواتج أخرى في محفظتهم. يريدون الآن التبرع لاثنين من جمعياتهم الخيرية المفضلة. يرسلون 5 XMR إلى المؤسسة الخيرية الأولى ثم يتم الخلط بينهم لأنه ، على الرغم من أنه يجب أن يتبقى 15 XMR ، لا يمكنهم إرسال التبرع التالي على الفور إلى المؤسسة الخيرية الثانية. كما قد تكون خمنت ، هذا بسبب قفل 15 XMR. لا يمكن إنفاقه حتى يتم إرجاعه كتغيير (10 تأكيدات أو حوالي 20 دقيقة). بعد فتح أموالهم ، سيكونون قادرين على إرسال تبرعهم الثاني. </p>\n\n<p> فقط لتكرار هذه النقطة ، لم يكن لديهم هذه المشكلة إذا كان لديهم نواتج متعددة بدلاً من ذلك ، مثل مخرجات 10 XMR أو ما شابه ذلك. سيكونون قادرين على إرسال كل من التبرعات واحدة تلو الأخرى ، لأن التبرع الأول سيستخدم أحد مخرجات XMR العشرة (وانتظر 10 تأكيدات لتلقي 5 XMR مرة أخرى في التغيير) ، وسيستخدم التبرع الثاني الـ 10 XMR الأخرى الإخراج. </p>\n\n<p> تحتوي بعض محافظ العملات المشفرة على ميزة تسمى \"إدارة المخرجات\" ، والتي تعرض ببساطة للمستخدم المخرجات التي يمتلكها حاليًا (بالإضافة إلى مجموعها الإجمالي) ، بالإضافة إلى السماح له باختيار أي منها يريد استخدامه عند إنفاقه عملتهم المشفرة. </p>\n\n<p> اعتبارًا من الآن ، تقوم واجهة المستخدم الرسومية Monero بتحديد المخرجات للمستخدمين تلقائيًا ، حيث يؤدي اختيار المستخدمين لمخرجاتهم الخاصة غالبًا إلى الارتباك أو الإضرار بالخصوصية في بعض الحالات. ومع ذلك ، هناك محافظ قيد الإنشاء ، مثل مشروع محفظة Feather الجديد ، والتي ستحتوي على ميزات إدارة المخرجات هذه. </p>\n\n<p> كنا نتحدث كثيرًا عن جزء الإرسال ، لكن شيئًا رائعًا يحدث عند الطرف المتلقي. بالعودة إلى مثالنا المتمثل في إرسال 3 XMR إلى شخص ما ، واستخدام مخرجات 1.5 XMR و 2.25 XMR في المعاملة (مع توقع تغيير 0.75 XMR) ، لا يتلقى جهاز الاستقبال مخرجات 1.5 XMR و 2.25 XMR. وبدلاً من ذلك يتلقون إخراج ONE 3 XMR. </p>\n\n<p> في الخلفية ، يجمع البروتوكول جميع المخرجات المستخدمة للإنفاق ، ويعطي المستلم ناتجًا واحدًا من المبلغ المدفوع ، ويرسل ناتج تغيير واحد إلى المرسل. لذلك سيتلقى المرسل أيضًا ناتجًا واحدًا كنوع من التغيير ، بغض النظر عما إذا كان قد استخدم مخرجات اثنين أو ثلاثة أو عشرة لإرسال المعاملة. </p>\n\n<p> نأمل أن يكون هذا قد أوضح بعض الالتباس حول المخرجات وكيفية عمل المحاسبة الداخلية للبروتوكول ، بالإضافة إلى مواجهة المستخدم العادي لمشكلة الارتباك عند مواجهة أموال مقفلة. في مقال آخر ، سوف نستكشف إدارة مخرجاتك لتقليل فرصة الاضطرار إلى انتظار الأموال غير المؤمنة قبل إرسال المعاملات المستقبلية. </p>';

  @override
  String get knowledge250Sboutputs250Sbdescription => 'ربما سمع العديد من مستخدمي التشفير الأذكياء مصطلح \"المخرجات\" من قبل ، ولكن لا يفهم الجميع ما يقصدونه وكيف يعملون.';

  @override
  String get knowledge250Sboutputs250Sbtitle => 'تمتوضيح مخرجات مونيرو';

  @override
  String get knowledge250Sbp2pool250Sb0250Sbtext => '<p> يتمثل أحد الأهداف الأساسية في مشروع Monero في تمكين شبكة عادلة ولا مركزية وآمنة من خلال أساليب جديدة ومبتكرة لتعدين إثبات العمل (PoW) ، وهي الطريقة الرئيسية التي يتم بها تأمين شبكات العملات الرقمية اليوم. [ X230X]\n\n<p> في حين أن خوارزمية التعدين الفريدة <a class=\"next-link\" target=\"_blank\" href=\"/knowledge/monero-mining-randomx\"> مثل RandomX </a> مهمة للغاية لهذا الهدف لأنها تساعد على ضمان أن أي شخص لديه جهاز كمبيوتر يمكنه المساهمة بقدر معقول في أمان الشبكة ، فإن RandomX لا يحل المشكلات التي يمكن أن تحدث بسبب تعدين المسابح. يعد التعدين في المجمعات الطريقة الأكثر شيوعًا لتعدين العملات الرقمية اليوم ، بما في ذلك Monero ، ولكن لحسن الحظ ، أدى ظهور تعدين p2pool إلى تغيير ذلك بسرعة. </p>';

  @override
  String get knowledge250Sbp2pool250Sb1250Sbtext => '<p> التعدين في المسبح هو وسيلة لعمال المناجم لمشاركة مهمة محاولة حل كتلة على الشبكة ثم مشاركة المكافآت بالتساوي لجميع الكتل التي يعثر عليها التجمع. في حين أن هذا يساعد بشكل كبير في موازنة معدل دفع رواتب عمال المناجم مقابل تعدين Monero وحده ، إلا أنه لا يخلو من مشكلات مركزية خطيرة. </p>\n\n<p> نظرًا لأن كل عامل منجم يساهم في العمل في المجمع ، فإنهم يتخلون عن التحكم في أي عمل يقومون به والكتل التي يجدونها للمجمع نفسه ، ويثقون في أن المجمع سيشارك المكافآت بأمانة وعادلة بين جميع المعدنين بناءً على مقدار كل عمل قام به. إذا سارت الأمور على ما يرام ، يقوم مشغل البركة بتجميع العمل من جميع المعدنين ، وإرساله إلى الشبكة ، ومشاركة المكافآت بالتساوي. </p>';

  @override
  String get knowledge250Sbp2pool250Sb1250Sbtitle => 'ما هو تعدين المسابح؟';

  @override
  String get knowledge250Sbp2pool250Sb2250Sbtext => '<p> لسوء الحظ ، هذا يعتمد كليًا على الثقة ويسمح لمشغل المسبح بالقيام بأشياء شائنة مع العمل الذي يقوم به عمال المناجم. يمكن لمشغل المجمع استخدام العمل الذي يتم إنجازه لمهاجمة الشبكة ، أو محاولة مضاعفة إنفاق الأموال (إذا كان المجمع كبيرًا بما يكفي) ، أو ببساطة استخدام العمل الذي يقوم به عمال المناجم لدفع أموال لأنفسهم وعدم مكافأة عمال المناجم أبدًا بشكل صحيح على عملهم . </p>\n\n<p> أكبر خطر على الشبكة هو وجود مجموعة (أو عدة تجمعات تعمل معًا) بها أكثر من 51٪ من تجزئة الشبكات تحت سيطرتها ، حيث يمكنهم استخدام هذا للغش وإنفاق الأموال مرتين (إنفاق هجوم مزدوج ) أو محاولة تغيير قواعد الشبكة. </p>';

  @override
  String get knowledge250Sbp2pool250Sb2250Sbtitle => 'ما هي مشكلة تعدين المسابح؟';

  @override
  String get knowledge250Sbp2pool250Sb3250Sbtext => '<p> p2pool هو مفهوم تم إنشاؤه في الأصل لتعدين البيتكوين في عام 2011 ، ولكن لم يتم اعتماده على نطاق واسع ولا يزال غير مستخدم عمليًا على Bitcoin. لحسن الحظ ، قضى أحد المطورين الرئيسيين وراء RandomX ، SChernykh ، إجازته في التوصل إلى حلول لبعض المشكلات المتعلقة بتطبيق Bitcoin لـ p2pool وإعادة كتابة جميع البرامج من البداية. </p>\n\n<p> تتيح p2pool في Monero طريقة خالية من الثقة تمامًا لعمال المناجم للعمل معًا لحل الكتل وتأمين شبكة Monero باستخدام برنامج عقدة خاص لـ p2pool من أجل مشاركة العمل. </p>\n\n<p> يتم ذلك باستخدام blockchain جديد (\"سلسلة جانبية\") يحتفظ بسجل للعمل الذي يؤديه كل عامل منجم ، وعنوان محفظته ، والمبلغ الذي ربحوه من Monero ، ثم يدفع المكافأة في صندوق ثقة بطريقة غير مركزية ولا مركزية. نظرًا لأن هذه السلسلة الجانبية بها عدد أقل بكثير من عمال المناجم ، فمن الأسهل بكثير العثور على الكتل وإرسالها عليها مقارنة بشبكة Monero الرئيسية ، مما يسهل على عمال المناجم الحصول على مدفوعات ثابتة مقابل تعدين Monero وحده. </p>';

  @override
  String get knowledge250Sbp2pool250Sb3250Sbtitle => 'ما هو p2pool؟';

  @override
  String get knowledge250Sbp2pool250Sb4250Sbtext => '<p> في p2pool ، لا يوجد تجمع مركزي أو مشغل تجمع مركزي أو شخص واحد يحتفظ بالأموال ويوزع المدفوعات. يتم فحص جميع الأعمال التي يتم إجراؤها بشكل جماعي بواسطة أولئك الذين يقومون بالتعدين عبر p2pool بواسطة blockchain p2pool ومشغلي العقدة الآخرين للتأكد من أنها مشروعة ، ويتم الدفع لجميع المعدنين وفقًا للعمل الذي قاموا به فورًا عند العثور على كتلة مباشرة من المكافآت في تلك الكتلة التي تم العثور عليها. </p>\n\n<p> عندما يختار عمال المناجم استخدام p2pool بدلاً من تجمع مركزي ، فإنهم يزيلون كل القوة والثقة من مشغلي الحوض ويضمنون أن عملهم يساهم في مصلحة الشبكة ومكافآتهم الخاصة ، ويقلل من مخاطر هجمات الشبكة وسوء الاستخدام من عملهم ، أو سرقة المكافآت المستحقة عليهم. </p>\n\n<p> لا يساعدهم ذلك في حماية مصالحهم فحسب ، بل يقلل أيضًا من المخاطر التي يمكن أن تشكلها التجمعات المركزية لشبكة Monero ككل. يساعد استخدام p2pool أيضًا بشكل كبير في تقليل المخاطر التي يمكن أن تشكلها الدول القومية أو الهيئات التنظيمية على صحة الشبكة ، حيث لا يوجد مشغلون مركزيون للضغط ، ولا يوجد تركيز جغرافي للمجمعات يمكن الاعتماد عليها ، أو أي نقطة ضغط سهلة أخرى ليستخدموه ضد مونيرو. </p>';

  @override
  String get knowledge250Sbp2pool250Sb4250Sbtitle => 'كيف تحل p2pool مشاكل التعدين في المسابح؟';

  @override
  String get knowledge250Sbp2pool250Sb5250Sbtext => '<p> لحسن الحظ ، تم تصميم p2pool في Monero جيدًا وبنائه جيدًا ، ويعمل بشكل جيد للغاية! ومع ذلك ، فإن العيب الرئيسي في تعدين p2pool هو أن كل عامل منجم يريد استخدام p2pool يجب عليه تشغيل عقدة Monero الخاصة به ، مما يتسبب في أن تكون عملية البدء أكثر انخراطًا. ومع ذلك ، يتم استخدام هذه العقدة بعد ذلك لحساب جميع المعلومات اللازمة لبناء الكتل وفحصها ، والتأكد من أن المُعدِّن يتحكم بشكل كامل في العمل الذي يتم إنجازه. يمكن أن تعمل العقدة أيضًا كعقدة بعيدة للمحفظة الخاصة بعمال المناجم ، وتساهم في الشبكة ، وأكثر من ذلك بكثير. </p>\n\n<p> الاختلاف الرئيسي الآخر عن التعدين المركزي هو أن المعدنين الصغار الذين يستخدمون p2pool سيكون لديهم تباين أكبر قليلاً &quot; &quot; ، أو وقت بين الدفعات ، من تجمع مركزي كبير - ولكنه &#39; s <em> من المهم للغاية </em> ملاحظة أن هذا لن يؤدي إلى ربح أقل من Monero بمرور الوقت! ستكون p2pool مربحة تمامًا حتى لعمال المناجم الصغار بمرور الوقت مثل المجمعات المركزية. يتم تعويض بعض هذا التباين أيضًا من خلال p2pool في الأصل مع رسوم 0٪ ، حيث لا يوجد مشغل تجمع مركزي لدفع مقابل خدماتهم! </p>';

  @override
  String get knowledge250Sbp2pool250Sb5250Sbtitle => 'ما هي العيوب؟';

  @override
  String get knowledge250Sbp2pool250Sb6250Sbtext => '<p> لحسن الحظ ، نظرًا للتصميم الممتاز لتطبيق Monero &#39; s لتطبيق p2pool والعديد من الأشخاص في المجتمع الذين خصصوا الوقت للمساعدة في تبسيط عملية التعدين عبر p2pool ، فإن البدء يصبح أبسط بمرور الوقت. هناك عدة طرق لبدء التعدين باستخدام p2pool ، ولكن نظرًا لأن التفاصيل الفنية خارج نطاق هذه المقالة ، فلا تتردد في الانتقال إلى الرابط أدناه اعتمادًا على نظام التشغيل الخاص بك: </p>\n<ul>\n<li> <a rel=\"noopener nofollow\" class=\"next-link\" target=\"_blank\" href=\"https://www.youtube.com/watch?v=yfbvTksF9ic\"> Windows </a> </li>\n<li> <a rel=\"noopener nofollow\" class=\"next-link\" target=\"_blank\" href=\"https://sethforprivacy.com/guides/run-a-p2pool-node/\"> Linux </a> </li>\n</ul>';

  @override
  String get knowledge250Sbp2pool250Sb6250Sbtitle => 'كيف يمكنني البدء؟';

  @override
  String get knowledge250Sbp2pool250Sb7250Sbtext => '<p> إذا أثار هذا فضولك حول تعدين p2pool ، فقم بإلقاء نظرة أدناه للحصول على بعض الروابط الإضافية والشرح حول p2pool ، وكيف يعمل ، وما يعنيه بالنسبة إلى Monero: </p>\n<ul>\n<li> <a class=\"next-link\" rel=\"noopener nofollow\" target=\"_blank\" href=\"https://github.com/SChernykh/p2pool\"> Github الرسمي لـ p2pool </a> </li>\n<li> <a class=\"next-link\" rel=\"noopener nofollow\" target=\"_blank\" href=\"https://github.com/SChernykh/p2pool#how-to-mine-on-p2pool\"> المستندات الرسمية حول استخدام p2pool </a> </li>\n<li> <a class=\"next-link\" rel=\"noopener nofollow\" target=\"_blank\" href=\"https://www.getmonero.org/2021/10/05/p2pool-released.html\"> أصبح Monero P2Pool مباشرًا الآن </a> </li>\n<li> <a class=\"next-link\" rel=\"noopener nofollow\" target=\"_blank\" href=\"https://p2pool.observer/\"> p2pool.observer ، مستكشف كتلة &quot; &quot; من أنواع p2pool </a> </li>\n<li> <a class=\"next-link\" rel=\"noopener nofollow\" target=\"_blank\" href=\"https://github.com/WeebDataHoarder/p2pool-compose\"> تكوين عامل إرساء Monero p2pool </a> </li>\n<li> <a class=\"next-link\" rel=\"noopener nofollow\" target=\"_blank\" href=\"https://www.monerotalk.live/sergei-chernykh-on-his-development-of-p2pool-a-decentralized-xmr-mining-pool\"> سيرجي تشيرنيخ: عن تطويره لـ P2Pool وهو تجمع تعدين XMR لامركزي </a> </li>\n</ul>';

  @override
  String get knowledge250Sbp2pool250Sb7250Sbtitle => 'كيف يمكنني معرفة المزيد؟';

  @override
  String get knowledge250Sbp2pool250Sbdescription => 'يعد تعدين أحواض السباحة الطريقة الأكثر شيوعًا لتعدين Monero اليوم ، ولكن لحسن الحظ ، فإن ظهور تعدين p2pool يغير ذلك بسرعة.';

  @override
  String get knowledge250Sbp2pool250Sbtitle => 'P2Pool ودوره في تحقيق اللامركزية في تعدين Monero';

  @override
  String get knowledge250Sbpractices250Sb0250Sbtext => '<p> قد يصاب العديد من المستخدمين بالصدمة عندما يعلمون أن الخبراء يعتقدون أنه من الممكن استخدام عملة مشفرة بشكل غير صحيح. اعتمادًا على ما يدافع عنه المستخدم ، هناك بعض الخطوات والاحتياطات التي يجب اتخاذها للحفاظ على الخصوصية ، وتجنب عمليات الاحتيال ، وضمان التسليم المناسب وفي الوقت المناسب للمعاملات. لحسن الحظ ، بذل مطورو Monero كل ما في وسعهم لضبط الإعدادات الافتراضية المعقولة في هذه المناطق ، لذا فإن المستخدمين الذين يستخدمون برنامج المحفظة كما هو سيكونون آمنين في معظم الأوقات. بعد قولي هذا ، نود أن نخصص بعض الوقت للنظر في بعض الحالات التي قد يكون من المفيد فيها أن تكون أكثر تفكيرًا في إنفاقك. </p>';

  @override
  String get knowledge250Sbpractices250Sb1250Sbtext => '<p> الطريقة الأولى والأكبر للحفاظ على عملتك المشفرة آمنة ومأمونة هي كتابة بذرة Monero mnemonic ، وهي قائمة كلمات قصيرة تظهر عند إنشاء محفظتك لأول مرة. إذا كانت لديك هذه البذرة ، ولكن انتهى ىشحن جهاز الكمبيوتر / الهاتف الخاص بك ، فيمكنك استرداد Monero. إذا لم يكن لديك هذه البذرة ، وفقدت محفظتك ، فستفقد Monero ولا يمكن لأحد مساعدتك في استعادتها. بنفس الطريقة ، لا تشارك هذه البذرة مع أي شخص. إذا كانت لديهم قائمة الكلمات هذه ، فلديهم حق الوصول الكامل وحقوق الإنفاق إلى Monero الخاص بك. لقد كان الكثيرون مهملين في تأمين بذورهم ، ووصلوا إلى الواقع المرعب للأموال المفقودة لأن شخصًا ما أخذها. نوصي بتدوينها. جسديا. عدم تخزينها رقميًا والتأكد من أن لديك عدة نسخ في أماكن مختلفة. هذا هو الشيء الأول الذي يمكنك القيام به لتأمين Monero الخاص بك. اكتب بذرتك! </p>';

  @override
  String get knowledge250Sbpractices250Sb1250Sbtitle => 'اكتب بذرتك!';

  @override
  String get knowledge250Sbpractices250Sb2250Sbtext => '<p> تستخدم بعض عمليات الاحتيال برامج ضارة على جهاز الكمبيوتر الخاص بك تعمل على تغيير وظيفة النسخ / اللصق لوضع عنوان منشئ البرامج الضارة بدلاً من عنوان المستلم المقصود. نظرًا لأن عناوين Monero طويلة وغير عملية ، فقد يكون من المغري التحقق من الأرقام والأحرف القليلة الأولى ووصفها بأنها جيدة ، أو ربما عدم التحقق مرة أخرى من العنوان على الإطلاق. على الرغم من أنه قد لا يكون من الضروري التحقق من العنوان بالكامل ، فإن التحقق من العشرات من الأحرف الأولى والأخيرة من العنوان سيكون أكثر من كافٍ لمعظم الحالات. بالنسبة إلى العناوين التي ترسل إليها بشكل متكرر ، تحتوي العديد من المحافظ على ميزة دفتر العناوين ، والتي ستضع العنوان المحفوظ المختار تلقائيًا. لا يزال من الأفضل القيام بفحص سريع بالرغم من ذلك. </p>';

  @override
  String get knowledge250Sbpractices250Sb2250Sbtitle => 'تحقق مرة أخرى من عناوينك';

  @override
  String get knowledge250Sbpractices250Sb3250Sbtext => '<p> تعتبر المحافظ الساخنة والباردة مصطلحات شائعة في مجال العملات المشفرة ، والمفهوم بسيط للغاية حقًا. المحفظة الساخنة هي تلك التي تخرجها وتستخدمها كثيرًا. الجو \"حار\" من وجودك في جيبك الخلفي. المحافظ الباردة هي تلك التي لا يتم التطرق إليها كثيرًا ، على غرار المال في البنك. مثلما لا يُنصح بحمل مئات الدولارات في محفظتك الفعلية ، ولكن من المقبول عمومًا القيام بذلك في حساب مصرفي ، يجب على المستخدمين التفكير في مقدار الحكمة التي يجب أن تحملها Monero في محافظهم المحمولة الساخنة ، والمبلغ الأفضل المتبقي في المنزل في ثانية واحدة باردة. بهذه الطريقة ، لن يتسبب فقدان الهاتف أو السرقة أو أي حوادث مؤسفة أخرى في خسارة الأموال بالكامل. </p>';

  @override
  String get knowledge250Sbpractices250Sb3250Sbtitle => 'تعرف على الفرق بين المحافظ الساخنة والباردة';

  @override
  String get knowledge250Sbpractices250Sb4250Sbtext => '<p> إذا كانت فكرة الحفاظ على بيئتك الرقمية خالية تمامًا من الفيروسات والبرامج الضارة لحماية جهاز Monero الخاص بك أمرًا مخيفًا بالنسبة لك ، فقد تفكر في استخدام محفظة أجهزة. في الأساس ، تحافظ محفظة الأجهزة على مفاتيحك الخاصة على الجهاز ، بعيدًا عن جهاز الكمبيوتر الخاص بك. لذلك حتى إذا تعرض جهاز الكمبيوتر الخاص بك للاختراق ، فلن يتمكن المتسللون من الوصول إلى بذرك. لن تتمكن من إنفاق الأموال إلا إذا كانت محفظة الأجهزة متصلة بالكمبيوتر وتوقع المعاملة. يؤدي هذا إلى نقل أمان المفاتيح من جهاز الكمبيوتر الخاص بك ، والذي يتم استخدامه للعديد من الأشياء ، وله سطح هجوم كبير ، إلى محفظة الأجهزة ، والتي تُستخدم فقط لشيء واحد ، ولها سطح هجوم أصغر بكثير. بالنسبة للأشخاص العاديين الذين لا يعرفون خصوصيات وعموميات أمان الكمبيوتر ، يعد هذا خيارًا قابلاً للتطبيق للحفاظ على أموالك آمنة. </p>';

  @override
  String get knowledge250Sbpractices250Sb4250Sbtitle => 'هل محافظ الأجهزة مناسبة لك؟';

  @override
  String get knowledge250Sbpractices250Sb5250Sbtext => '<p> في مجال الخصوصية ، غالبًا ما يكون من السهل جدًا تسريب أو الكشف عن بياناتك عن طريق الخطأ والتي يمكن استخدامها لتحديد هويتك. المثال القديم الذي لم يعد ينطبق على Monero هو أحجام الرنين المخصصة. إذا كان الإعداد الافتراضي هو 11 ، وكل شخص يستخدم 11 ، ولكنك تستخدم باستمرار 54 ، نعم الرقم أعلى ، لذا فإن مجموعة عدم الكشف عن هويتك أعلى ، لكنك الآن تقف بعيدًا عن الجمهور ويسهل التعرف على معاملاتك. قامت Monero منذ ذلك الحين بتحديث لإصلاح حجم الحلقات عند 11 ، لذا يبدو الجميع الآن متشابهين. </p>\n\n<p> هناك العديد من الأشياء التي يمكن للمرء القيام بها للإضرار بخصوصياته عن طريق الخطأ في العملات المشفرة الأخرى مثل Bitcoin. إن اختيار خلاط حسن السمعة ، والحصول على عملات غير KYC / AML\'d ، وعدم إعادة استخدام العناوين ، والإدارة المناسبة للعملة المعدنية هي كل الأشياء التي يحتاج الفرد إلى مراعاتها عند محاولة تقليل تسرب البيانات الوصفية. تتجنب Monero العديد من هذه المشكلات عن طريق جعل ميزات الخصوصية إلزامية ، وتعيين إعدادات افتراضية جيدة للمستخدم العادي. المثال أعلاه لاستخدام حجم حلقات ثابت يعني أنه لا يتعين على المستخدمين النهائيين أن يحيروا بشأن كيفية تحقيق أفضل خصوصية ممكنة في هذا الصدد. تقوم المحفظة بذلك نيابة عنهم تلقائيًا. </p>\n\n<p> قد يبدو هذا أمرًا غريبًا للحديث عنه. يمكن مسامحة معظم المستخدمين إذا اعتقدوا أن جميع البرامج تعمل تلقائيًا لصالحهم وليس ضدهم. للأسف ، لا يوجد شيء أبعد عن الحقيقة ، وعندما يتعلق الأمر بالخصوصية ، فإن جميع العملات المشفرة تقريبًا غير متوفرة. عادةً ما يكون مقدار الجهد الذي يجب على المرء أن يبذله لتحقيق أي مستوى من الخصوصية كثيرًا جدًا وصعبًا جدًا بالنسبة للمستخدم العادي. هذا هو الحال غالبًا حتى مع العملات المشفرة الأخرى التي تركز على الخصوصية! تتأكد Monero من جعلها تحدث الخصوصية تلقائيًا ، دون تفكير من المستخدمين ، على مستوى البروتوكول عندما يكون ذلك ممكنًا ، ومع الإعدادات الافتراضية المعقولة للمحافظ عندما لا تكون كذلك. عندما تكون في شك ، ما عليك سوى استخدام الإعدادات الافتراضية للمحفظة ، ولا تخف من طرح الأسئلة. </p>';

  @override
  String get knowledge250Sbpractices250Sb5250Sbtitle => 'عندما تكون في شك ، استخدم الإعدادات الافتراضية (مع Monero)';

  @override
  String get knowledge250Sbpractices250Sbdescription => 'دعنا نلقي نظرة على الخطوات والاحتياطات التي يجب اتخاذها للحفاظ على الخصوصية ، وتجنب عمليات الاحتيال ، وضمان التسليم السليم للمعاملات أثناء استخدام Monero.';

  @override
  String get knowledge250Sbpractices250Sbtitle => 'أفضل ممارسات Monero للمبتدئين';

  @override
  String get knowledge250Sbringct250Sb0250Sbtext => '<p> لا تعتمد خصوصية Monero على آلية مفردة واحدة ، إذا تم كسرها ، ستكشف عن كامل المعاملات ، بل على ثلاث تقنيات مختلفة تعمل جنبًا إلى جنب لتوفير خصوصية شاملة مع تعويض نقاط الضعف في الأجزاء الأخرى. يتكون هذا النهج ثلاثي الشعب من <a target=\"_blank\" href=\"/knowledge/ring-signatures\" class=\"next-link\"> توقيعات حلقة </a> و RingCT و <a target=\"_blank\" href=\"/knowledge/monero-stealth-addresses\" class=\"next-link\"> عناوين تسلل </a>. تخفي هذه التقنيات الثلاث الناتج الحقيقي (المرسل) والمبلغ والمتلقي على التوالي. اليوم سنتحدث عن RingCT. </p>\n\n<p> يمكن القول إن RingCT هو الأكثر تقنية من بين الثلاثة ، ويمكن أن يكون من الصعب فهمه ، لذلك لن نغطي كيفية عمله بالضبط ، ولكن بدلاً من ذلك نوضح كيف يمكن عدم معرفة المبلغ وما زلنا نؤكد الأشياء المتعلقة به . ولا تقلق ، سنستخدم الكثير من الأمثلة كالعادة. </p>\n\n<p> أولاً ، دعنا نستكشف سبب أهمية التحقق من أي شيء يتعلق بالمبالغ. لماذا لا يمكننا الاحتفاظ بها سرًا تمامًا؟ الإجابة هي أن هناك طرقًا ذكية يمكن للناس من خلالها جني الأموال من فراغ إذا أتيحت لهم الفرصة. كيف يمكن لشيء مثل هذا العمل؟ دعونا نلقي نظرة على مثال. </p>\n\n<p> إذا كنت ترغب في شراء عنصر من صديقك ، ويريد عشرة دولارات من أجله ، فعندئذ تبدأ بعشرة دولارات ويبدأ بصفر. بعد أن تعطيه العشرة دولارات ، يكون لديه عشرة دولارات ولديك صفر. لقد بدأت بعشرة ، والآن لديه عشرة. لم يتم إنشاء أموال أو إتلافها في هذه المعاملة. </p>\n\n<p> مع العملات المشفرة ، يمكن للفرد الذكي إعطاء عشرة دولارات للعنصر وبدلاً من تلقي صفر دولار في التغيير ، يمكنه استرداد دولارين. بدلاً من 0 و 10 يؤدي إلى 10 و 0 (أو 10 = 10) ، فهو الآن 0 و 10 يؤدي إلى 10 و 2 (أو 10 = 12). تم إنشاء اثنين من Monero للتو من فراغ. يمكنك أن تتخيل أنه إذا كان على الفرد أن يفعل هذا لنفسه عدة مرات ، فسيكون قادرًا على جمع ثروة هائلة في وقت قصير. </p>\n\n<p> مع Bitcoin وغيرها ، سيكون من السهل رؤية ذلك. تنظر إلى المدخلات التي تدخل في المعاملات والمخرجات الخارجة وتتأكد من أن ما يتم إرساله يساوي ما يتم استلامه. إذا تم تشفير هذه المبالغ وغير مرئية ، فلن يكون لدى المستخدم طريقة للتحقق من أن ما يتم إرساله وما يتم استلامه هو نفسه. </p>\n\n<p> في محاولة لزيادة خصوصية Bitcoin ، أنشأ Gregory Maxwell المعاملات السرية (CT) ، وهي تقنية جديدة تسمح بالمبالغ المشفرة ، مع إثبات أنه لم يتم إنشاء أو إتلاف أي شيء في هذه العملية. كما هو الحال مع معظم تقنيات الخصوصية ، لم يتم تحويلها إلى Bitcoin ، ولكن Monero كانت حريصة على اعتمادها. كان هناك مشكلة واحدة فقط. كانت تقنية توقيعات الحلقة المنفذة بالفعل غير متوافقة مع الفكرة المقترحة. لذلك ، قام أحد باحثي MRL في ذلك الوقت ، Shen Noether ، بتعديل CT إلى RingCT ، وهو نسخة من التصوير المقطعي المحوسب كان متوافقًا مع توقيعات الحلقة. </p>\n\n<p> مرة أخرى ، الطريقة التي يعمل بها هذا هي تقنية تمامًا ، وسيكون من الصعب شرحها في مقالة تمهيدية. لعشاق التشفير الذين يجب أن يعرفوا ببساطة ، هناك الكثير من المقالات المتعمقة المكتوبة على الإنترنت حول الأعمال الداخلية لـ CT. بالنسبة لبقيتنا ، ستوضح هذه المقالة كيف يمكن إخفاء المبالغ ، مع إثبات عدم إنشاء أي شيء أو إتلافه. </p>\n\n<p> لنفترض أن أليس أرادت إرسال أموال إلى بوب. سترسل أليس 10 XMR إلى Bob ، الذي سيحصل على 10 XMR. 10 = 10 لذلك لا يوجد خطأ هنا. لكن أليس لا تريد أن يعرف أي شخص مقدار ما ترسله. لذلك قامت هي وبوب بإنشاء سر مشترك. في الأساس رقم يعرفه الاثنان فقط. لنفترض أن الرقم هو 22. الآن ، ضربت أليس 10 (ما ترسله بالفعل) في 22 لتحصل على 220. هذا هو الرقم الذي تشاركه مع الشبكة. </p>\n\n<p> عمال المناجم أنفسهم لا يعرفون الرقم السري. إذا فعلوا ذلك ، يمكنهم قسمة الرقم الذي يظهر لهم بالرقم السري والحصول على المبلغ الحقيقي المرسل. لكن بما أنهم لا يفعلون ذلك ، فهم لا يستطيعون ذلك. إنهم يرون أن بوب سيحصل على 220 بالرغم من ذلك. 220 أرسلت. تلقى 220. 220 = 220. بهذه الطريقة ، يمكن للشبكة التحقق من عدم إنشاء Monero أو تدميره ، كل ذلك دون معرفة المبلغ الحقيقي الذي أرسلته Alice إلى Bob. </p>\n\n<p> نظرًا لأن بوب يعرف الرقم السري المشترك ، فعندما يتلقى الأموال ، يقسم فقط على 22 للحصول على المبلغ الحقيقي الذي أرسلته أليس ، 10. يعرف كل من أليس وبوب المبلغ الذي تم إرساله والمبلغ الذي تم استلامه ، طوال الوقت كل شخص آخر حصل على رقم خاطئ. </p>\n\n<p> مرة أخرى ، ليست هذه هي الطريقة الفعلية التي يعمل بها التصوير المقطعي المحوسب ، ولكنها تعطي فكرة عن كيف يمكن لشيء كهذا أن يكون ممكنًا. تتضمن الطريقة الحقيقية أشياء مثل التزامات بيدرسن ، ومبلغان مرسلان (مبلغ مشفر للمستقبل ومبلغ التزام واحد للشبكة) ، و ... نعم ، من السهل بالفعل معرفة كيف يمكن أن يضيع المرء في كل ذلك. </p>\n\n<p> هناك شيء واحد يجب ملاحظته ، وهو أنه في حين أن RingCT تخفي المبلغ الذي تم التعامل معه بين طرفين في المعاملة ، فإنها لا تخفي مجموعتين أخريين من الأرقام. </p>\n\n<p> الأول هو معاملات coinbase. إذا كان هذا المصطلح غير مألوف بالنسبة لك ، فهذا يعني في الأساس المكافأة التي يحصل عليها المعدنون للعثور على الكتلة التالية. هذا الرقم غير مخفي. يمكن لأي شخص معرفة مقدار ما منحه البروتوكول لعامل منجم مقابل خدمته. بهذه الطريقة ، يمكن معرفة المقدار الحالي لـ Monero الموجود عن طريق إضافة جميع معاملات coinbase. مجموعها يساوي مونيرو الحالية المتداولة. </p>\n\n<p> الرقم الثاني غير المخفي هو الرسوم المدفوعة للمعدنين عندما يرسل المستخدم معاملة. يجب أن تكون الرسوم واضحة حتى يتمكن عمال المناجم من معرفة من الذي يجب تحديد أولوياته. هذه طريقة يمكن للمستخدمين من خلالها الإضرار بخصوصياتهم ، كما لو أن شخصًا ما يستخدم رسومًا فريدة من نوعها لعامل التعدين في كل مرة يرسلون فيها معاملة (مثل 0.12345) ، فيمكن ربط معاملاتهم. </p>\n\n<p> بخلاف هذه الحالات ، كانت RingCT تخفي كميات Monero منذ عام 2017 ، كما أن خصوصيتنا الجماعية أقوى بالنسبة لها. </p>';

  @override
  String get knowledge250Sbringct250Sbdescription => 'تقوم RingCT بإخفاء كميات Monero منذ عام 2017 ، و خصوصيتنا الجماعية هي الأقوى. لكن كيف يتم تحقيق ذلك؟';

  @override
  String get knowledge250Sbringct250Sbtitle => 'كيف يخفي RingCT مبالغ معاملة Monero';

  @override
  String get knowledge250Sbrings250Sb0250Sbtext => '<p> تُعرف Monero على نطاق واسع عبر مساحة التشفير بأنها ملك عملات الخصوصية. بينما يعلم الجميع أن Monero توفر خصوصية جيدة ، إلا أن الكثيرين لا يفهمون فقط كيفية عمل الخصوصية. </ p>\n\n<p> تنشر العديد من عملات الخصوصية الأخرى رسوم بيانية للمقارنة ، والتي تسرد أسماء تقنية خصوصية كل عملة ، وفي معظمها تسمي تقنية Monero باسم RingCT ، ولكن هذا صحيح جزئيًا فقط. تمتلك Monero في الواقع نهجًا ثلاثي الأبعاد للخصوصية. إحدى التقنيات لإخفاء متلقي المعاملة ، وواحدة لإخفاء المبلغ المرسل ، والأخرى لإخفاء المخرجات المستخدمة ، وهذه هي عناوين التخفي ، RingCT ، والتوقيعات على التوالي. </ p>\n\n<p> يعني هذا النهج ثلاثي المحاور أنه في حالة تعطل إحدى التقنيات ، فلن تشترك التقنيات الأخرى بالضرورة في نفس المصير. توقيعات الحلقة هي الحلقة الأضعف في نظام الخصوصية ؛ كلمة ضعيف هنا تعني الأكثر عرضة للهجمات الاستكشافية. دعونا نأخذ بعض الوقت لاستكشافها ، فهل نحن؟ </ p>\n\n<p> كما هو مذكور أعلاه ، فإن الهدف من توقيعات الحلقة هو إخفاء المخرجات المستخدمة في المعاملة. إذا كانت مصطلحات \"الإدخال / الإخراج\" للعملة المشفرة مربكة لك ، فلا تقلق. الأمر في الواقع ليس بهذا التعقيد. عندما تسمع \"الإخراج\" فكر فقط في الشيك. أحد هذه الأشياء ، الذي لم يعد شائعًا بعد الآن ، يستخدمه الناس للدفع. مثل الشيك ، يمكن الإشارة إليه بأي مبلغ - 10 دولارات ، 32.50 دولارًا ، إلخ - ويتم تبادله بين الأطراف المتعاملة. بالنسبة للعملات المشفرة ، تخدم المخرجات هذه الوظائف. </ p>\n\n<p> عندما يدفع لك شخص ما 10 Monero ، فإنك تتلقى ناتجًا قدره 10 XMR. هذا الناتج له قيمة (10) ، وهو ما يتم أخذه من محفظة المرسل ، بنفس الطريقة التي تدفع بها مقابل خدمة ما ، تترك الفاتورة محفظتك الفعلية وتُعطى للشخص الذي تشتري منه. </ p >\n\n<p> الطريقة التي يتم بها إخفاء المخرجات هي من خلال إنشاء حلقة (ومن هنا الاسم) لمخرجات شرك. لكن هذه الشراك الخداعية ليست مخرجات \"وهمية\". إنها مخرجات سابقة حقيقية من blockchain لا علاقة لها بالمعاملة الحالية ، ولكن بالنسبة لمراقب خارجي ، قد يبدو كل من هذه المخرجات محتملاً بنفس القدر مثل الناتج الحقيقي. حجم مجموعة مخرجات شرك ، بالإضافة إلى الحجم الحقيقي يسمى حجم الحلقات ، وحاليا Monero هو أحد عشر. لذلك هناك عشرة مخرجات شرك وواحد حقيقي. </ p>\n\n<p> لماذا لا نزيد هذا الرقم إلى 100 أو حتى 1000؟ كلما كان ذلك أفضل ، أليس كذلك؟ حسنًا ، من منظور الخصوصية ، نعم ، ولكن هناك أشياء أخرى يجب مراعاتها. دعنا نعود إلى المثال المادي لنرى ما أعنيه. إذا أردت إخفاء إحدى أوراقك الدولارية بين عشرة أفخاخ ، فستحتاج إلى حمل حوالي أحد عشر دولارًا في محفظتك مقابل كل دولار تريد إنفاقه. دولار واحد حقيقي ، وعشرة دولارات مزيفة. يصبح هذا بالفعل مرهقًا جدًا إذا كنت ترغب في إنفاق القليل من الدولارات. تخيل الآن أننا قمنا بزيادة مبلغ شرك إلى 1000. مقابل كل دولار تريد أن تنفقه ، ستحتاج إلى حمل حوالي 1001 دولار. ستحتاج إلى حمل حقيبة فقط لشراء قطعة حلوى واحدة! من المهم أن نلاحظ أن توقيعات الحلقة لا تعمل بهذه الطريقة تمامًا ، على سبيل المثال ، الشراك الخداعية نفسها ليست جزءًا من التوقيع ، بل مجرد إشارات إليها ، لكننا نأمل أن يكون هذا القياس مفيدًا إلى حد ما في تصوير المفاهيم الأساسية. < / ص>\n\n<p> تعمل الأشراك الخادعة على blockchain بالمثل. كل شرك مضاف يزيد الوقت وتكلفة التحقق للمعاملة. يجب على كل عقدة تنزيل توقيع الحلقة بالكامل لكل معاملة ، ويحتوي كل توقيع حلقة على الإخراج الحقيقي ، بالإضافة إلى الأفخاخ. ليس ذلك فحسب ، بل يتعين عليه التحقق من أن أحد هذه المخرجات على الأقل حقيقي ، كما أن وقت التحقق من الرياضيات يزداد مع كل شرك. هذا يعني أنه يتعين علينا إيجاد حل وسط سعيد ، حيث يكون حجم الحلقات كبيرًا بما يكفي لإخفاء الناتج الحقيقي بشكل مناسب ، حتى ضد العديد من الهجمات الاستكشافية ، ولكنه صغير بما يكفي حتى لا يتسبب في زيادة blockchain بمعدل هائل. لا يكفي اختيار رقم عشوائي ، أو مجرد زيادة حجم الرنات عندما نجعل التوقيع أصغر (مثل CLSAG). يريد مجتمع Monero دليلًا ملموسًا ورياضيًا على أي حجم الحلقات يقدم أفضل المقايضات. عدد صغير جدًا ، ولن تكون الخصوصية قوية بما يكفي ضد الهجمات الاستكشافية. كبيرة جدًا ، وقد نحصل على فائدة هامشية فقط من جانب الخصوصية ، ونعاني بلا داع فيما يتعلق بالتوسع. </ p>\n\n<p> آخر شيء يجب ذكره. تبسط بعض أدبيات Monero وتقول إن توقيعات الحلقة تخفي المرسل ، لكن هذا ليس صحيحًا تمامًا ، والفرق ليس متحذلقًا فقط. الفرق بين المرسل (الإنسان) والمخرج (الفاتورة) كبير عندما يتعلق الأمر بالحفاظ على الخصوصية. بينما قد يكون للمخرجات روابط مع مرسل ، فإن المخرجات نفسها لا تساوي المرسل. لذلك ، حتى إذا تم كسر توقيع الخاتم ، فإنه لا يرتبط بالضرورة بهوية الشخص ، ولا يزال كل من المبلغ والمتلقي مخفيين ، مما يقلل من الضرر الذي يلحق بخصوصية جميع الأطراف. </ p>\n\n<p> هذا لا يعني أن توقيع الحلقة المكسورة غير مهم. أي بيانات وصفية مسربة سيئة ، ولديها القدرة على الكشف عن معلومات أكثر مما نعتقد ، خاصة عند استخدامها بالاقتران مع البيانات الوصفية الأخرى. لذلك نحن نبذل قصارى جهدنا للتأكد من أن حجم الحلقات الذي تم اختياره له صرامة أكاديمية وراء القرار ، وتقليل تسرب البيانات الوصفية الأخرى إلى الحد الأدنى ، وتجارب المستخدم الافتراضية لأفضل الإجراءات الممكنة. </ p>\n\n<p> ولكن إذا كان احتمال وجود توقيع مكسور لا يزال يثير قلقك ، حسنًا ، هناك بعض الأخبار المذهلة في الأفق. يتمتع الجيل التالي من بروتوكولات الخصوصية التي يتم العمل عليها ، مثل Triptych و Arcturus و Lelantus ، بإمكانيات رائعة حقًا. في هذه البروتوكولات ، يتدرج الحجم لوغاريتميًا ، وليس خطيًا ، مع زيادة حجم الحلقات. هذا يعني أنه يمكننا احتواء 100 شرك ، لكن المساحة المستخدمة أقرب إلى حجم الحلقات 10 في التقنية القديمة. هذا هو الفرق تمامًا ، وسيؤدي إلى تحسين الخصوصية بشكل كبير في كل مكان. </ p>\n\n<p> في لعبة القط والفأر التي تتسم بالخصوصية ، تبتكر Monero باستمرار لتبقى في الصدارة وتضمن أفضل خصوصية عملية للجميع. <p>';

  @override
  String get knowledge250Sbrings250Sbdescription => 'توقيعات الحلقة هي الحلقة الأضعف في نظام الخصوصية ؛ كلمة ضعيف هنا تعني الأكثر عرضة للهجمات الاستكشافية. دعونا نستكشفها ، أليس كذلك؟';

  @override
  String get knowledge250Sbrings250Sbtitle => 'كيف تحجب تواقيع الحلقة مخرجات مونيرو';

  @override
  String get knowledge250Sbscams250Sb0250Sbtext => '<p> لطالما كان هناك أموال ، كانت هناك عمليات احتيال لدفع الناس للتخلي عنها ، ولا تختلف مساحة العملات المشفرة. في الواقع ، أدت نهائية المعاملات في العملة المشفرة ، إلى جانب عدم وجود منظمة مركزية للمساعدة في استعادتها ، إلى طرق جديدة ومبتكرة يمكن للمحتالين من خلالها السرقة من المستخدمين المطمئنين والاختفاء في الفراغ الرقمي بأموالهم. في هذه المقالة ، سنأخذ الوقت الكافي لإعلام المستخدمين الجدد ببعض عمليات الاحتيال الأكثر انتشارًا في الفضاء ، ولكن هذه القائمة ليست شاملة بأي حال من الأحوال ، ويتم تشجيع المستخدمين على البقاء على اطلاع باتجاهات الاحتيال الحديثة ، ومواصلة العمل باستمرار مدركين ومتشككين في محيطهم الرقمي. </p>';

  @override
  String get knowledge250Sbscams250Sb1250Sbtext => '<p> واحدة من أقدم عمليات الاحتيال في الكتاب ، ويمكن أن تحدث على أي منصة مناقشة موجودة. في عملية الاحتيال هذه ، سيتظاهر المحتال بأنه فرد موثوق به في المجتمع أو مسؤول رفيع المستوى في شركة ذات صلة. بمجرد كسب ثقة الضحية من خلال هذه السمعة الراسخة ، قد يرسل المحتال مستخدمًا إلى موقع ضار ، أو يطلب منه تنزيل برنامج مصمم لسرقة أمواله ، أو حتى مجرد جعل المستخدم يرسل الأموال إليه مباشرة. تحقق دائمًا من أن الشخص الذي تتحدث إليه هو بالفعل الشخص الصحيح. سيكون لدى الشركات رسائل بريد إلكتروني للاتصال بها للتحقق من الهويات (على سبيل المثال ، \"هل اتصل الرئيس التنفيذي لشركتك بي للتو على Telegram؟\") وسيتمكن عادةً قادة المجتمع الآخرون من الاتصال بهم من خلال وسائل أخرى. تحقق قبل اتخاذ أي إجراء. خاصة إذا بدأوا المحادثة معك بدلاً منك معهم. </p>';

  @override
  String get knowledge250Sbscams250Sb1250Sbtitle => 'احتيال المحتالين';

  @override
  String get knowledge250Sbscams250Sb2250Sbtext => '<p> على غرار عملية احتيال المحتال ، سيحاول المحتالون هنا الحصول على موقع ويب أو تطبيق مطابق في المظهر للأنشطة التجارية القائمة والموثوق بها ، ولكن مع رمز وبنية أساسية مصممة لسرقة Monero الخاص بك. في كثير من الأحيان ، يكون لموقع الويب الاحتيالي اسم مجال متطابق تقريبًا مثل الاسم الأصلي ، وقد عُرف عنه أنه يأخذ أعلى نتائج عمليات البحث على الإنترنت للموقع عن طريق شراء مساحة إعلانية. إذا كان أحد الأمثلة على موقع الويب الموثوق به هو themonerowallet.com ، فقد يكون موقع المخادع هو the-monero-wallet.com أو ، الأكثر خطورة ، themonerȯwallet.com. هل أدركت المشكلة مع آخر واحد؟ o لها نقطة فوقها. الق نظرة: ȯ. ولكن للوهلة الأولى ، قد لا يكون مرئيًا ، وإذا كان اسم المجال يبدو صحيحًا ، ويبدو موقع الويب مطابقًا لما قد يتوقعه المرء ، فمن السهل جدًا الوقوع في الفخ والتخلي عن بذرة Monero ، فقط من أجل العثور على مونيرو الخاص بك في عداد المفقودين قبل أن تعرف ما الذي أصابك. </p>\n\n<p> لكن كما قيل في بداية هذا القسم ، هذا لا ينطبق فقط على المواقع الإلكترونية. كانت هناك حالات يمكن فيها للمحتالين التسلل إلى تطبيق ضار يبدو مطابقًا للمحافظ الحالية من خلال متجر Google Play أو متجر التطبيقات ، حيث لا يتم اكتشافه حتى يتم الإبلاغ عنه (الأمر الذي قد يستغرق بعض الوقت). في هذا الوقت ، يعتقد المستخدمون أنهم يقومون بتنزيل التطبيق الصحيح ، لكنهم يخسرون أموالهم بالفعل للمحتالين. </p>\n\n<p> الحل لهذه الأنواع من الاحتيال هو اليقظة. تحقق جيدًا دائمًا قبل استخدام خدمات أي موقع ويب أو تطبيق. عندما يكون ذلك ممكنًا ، اكتب اسم موقع ويب معروف في شريط عنوان url مباشرةً بدلاً من استخدام محركات البحث ، وكن أكثر شمولاً عند تنزيل شيء ما أو استخدام بذرتك بأي طريقة. </p>';

  @override
  String get knowledge250Sbscams250Sb2250Sbtitle => 'عملية الاحتيال التي تبدو مثل الاعمال التجارية';

  @override
  String get knowledge250Sbscams250Sb3250Sbtext => '<p> في بعض الأحيان لا يحاول المحتالون حتى أن يكونوا حذرين. إنهم يقدمون ادعاءات ضخمة وعظيمة ويعرفون أنه سيكون هناك دائمًا حمقى سيصدقونهم بسبب اليأس أو الجشع أو الجهل. تتخذ هذه الحيل عدة أشكال ، من مشاريع العملات التي تعد بعوائد سخيفة على الاستثمارات حيث تمنحهم المال أولاً (مثل Bitconnect) ، إلى مجموعات خاصة وسرية تتعهد بإخبارك بكل تحركات السوق مقدمًا حتى تتمكن من جني الأموال .. .مقابل رسوم. تذكر. إذا كان هناك شيء يبدو جيدًا لدرجة يصعب تصديقه ، فمن المحتمل أن يكون كذلك. هذه النصيحة صحيحة بشكل خاص في مجال العملات المشفرة ، لأن نشر عملة معدنية أو عقد ذكي أمر تافه هذه الأيام ، ونشر مطالباتك المشبوهة عبر الإنترنت مجاني. تذكر ، إذا وجد شخص ما حقًا طريقة لتوقيت السوق أو اكتشف طريقة لكسب الكثير من الأموال غير المحدودة ، فلماذا يخبرك بذلك؟ كانوا سيستخدمونها بأنفسهم ليصبحوا أثرياء. لماذا يشاركونها؟ كن ذكيا. استخدم عقلك. لا تثق بأحد.';

  @override
  String get knowledge250Sbscams250Sb3250Sbtitle => 'الغش الواضح';

  @override
  String get knowledge250Sbscams250Sb4250Sbtext => '<p> بذرة Monero الخاصة بك هي Monero الخاص بك. يجب عليك كتابتها عند إنشاء محفظتك لأول مرة ، لأنك إذا فقدت بذرتك ، فقد فقدت Monero ولا يمكن لأحد مساعدتك. ولكن يجب أيضًا أن تحافظ على هذه البذرة في مأمن من الآخرين. إذا قام شخص ما بسرقة بذرك ، فيمكنه إرسال Monero من المحفظة كما لو كنت أنت ، ومرة أخرى ، لا يمكن لأي شخص استرداد هذه الأموال نيابة عنك. ذهب. </p>\n\n<p> في كثير من الأحيان كان الفرد يحتفظ بمحفظة باردة من Monero ، وكان لديه فضول بشأن أمواله ، ويريد التحقق من ذلك. ولكن بدلاً من الخوض في المتاعب أو إعادة تثبيت تطبيق المحفظة بالكامل ، قرروا فقط استخدام محفظة الويب لاستعادة البذور بسرعة وإلقاء نظرة على أموالهم. إذا وقعوا ضحية عملية احتيال Business Look Alike ، فإن عملية إدخال بذرتهم تعطيها للمحتالين ، الذين يمكنهم بعد ذلك نقل الأموال إلى محفظة مختلفة يتحكمون فيها في الوقت الذي يناسبهم. </p>\n\n<p> في أي وقت يحتوي أي موقع أو تطبيق أو محفظة على خيار \"استعادة مع البذور\" ، كن حذرًا جدًا من أن التطبيق الذي تستخدمه هو تطبيق شرعي. تحقق من تجزئات البرنامج (يحتوي موقع Monero على إرشادات حول كيفية القيام بذلك) للتأكد من أن البرنامج لم يتم العبث به من قبل قوى خارجية ، وكن دائمًا على دراية بمكان وكيفية كشف بذرتك. قد يكون الفحص المزدوج مزعجًا ، لكن فقدان الأموال بسبب الإهمال سيكون أسوأ. </p>';

  @override
  String get knowledge250Sbscams250Sb4250Sbtitle => 'دور بذرة مونيرو في عمليات الاحتيال';

  @override
  String get knowledge250Sbscams250Sbdescription => 'لطالما كان هناك أموال ، كانت هناك عمليات احتيال لدفع الناس إلى التخلي عنها - دعنا نأخذ الوقت الكافي للنظر في بعض عمليات الاحتيال الأكثر انتشارًا في العالم.';

  @override
  String get knowledge250Sbscams250Sbtitle => 'عمليات الاحتيال التي يجب الانتباه إليها عند استخدام Monero';

  @override
  String get knowledge250Sbseraphis250Sb0250Sbtext => '<p> يصف هذا المنشور <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://github.com/UkoeHB/Seraphis\"> Seraphis </a> ، وهو مجموعة من هياكل بروتوكول المعاملات والتجردات التي طورها مساهم بحثي مجهول الاسم <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://github.com/UkoeHB\"> <code> koe </code> </a> لنظام Monero البيئي ، ومع تحليل أمني مستمر بواسطة مساهم مستعار <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://github.com/coinstudent2048\"> <code> coinstudent2048 </code> </a>. <br/>\nنقوم ببعض التبسيط ونحذف بعض التفاصيل الفنية من أجل الوضوح ؛ لهذا السبب ، ولأن تصميم Seraphis لا يزال قيد التنفيذ ، يجب على القراء المهتمين الرجوع إلى وثائق Seraphis للحصول على أحدث المعلومات. </p>';

  @override
  String get knowledge250Sbseraphis250Sb0250Sbtitle => 'Seraphis: ترقية تصميم معياري لمعاملات Monero';

  @override
  String get knowledge250Sbseraphis250Sb1250Sbtext => '<p> تعتمد بروتوكولات مثل Bitcoin و Monero وغيرها على ما يسمى بـ \"نموذج الإخراج\" للعملية ، حيث يمثل إخراج <em> </em> تمثيلًا للقيمة التي يمكن نقلها. <br/>\nتستهلك المعاملات واحدًا أو أكثر من المخرجات التي يتحكم فيها المرسل ، وتولد مخرجات جديدة موجهة نحو المستلمين (أو تعود إلى المرسل كتغيير) ؛ يجب أن توازن المعاملة في تلك المخرجات المستهلكة يجب أن تحتوي على قيمة إجمالية تساوي تمامًا القيمة في المخرجات الجديدة (بالإضافة إلى الرسوم المفروضة على الشبكة). <br/>\nفي العديد من البروتوكولات مثل Bitcoin ، يتم كتابة القيمة الموجودة في المخرجات بشكل واضح ، كما هو الحال بالنسبة للمستلم. <br/>\nعلاوة على ذلك ، من خلال النظر إلى blockchain ، فإنه من التافه معرفة ما إذا كان الناتج قد تم إنفاقه ومتى تم إنفاقه (أي ما إذا كان قد تم استهلاكه في معاملة لاحقة ، وأي معاملة استنفقته).\n<p> على النقيض من ذلك ، تقدم بروتوكولات مثل Monero تصميمًا مختلفًا: </p>\n\n<ul>\n<li> قيم المخرجات مخفية وغير مرئية على blockchain </li>\n<li> يتم إخفاء عناوين المستلمين باستخدام بروتوكول عنونة لمرة واحدة </li>\n<li> يحجب استخدام التوقيعات الغامضة ما إذا كان الإخراج قد تم إنفاقه أم لا </li>\n</ul>\n\n<p> والنتيجة هي أنه في غياب المعلومات الخارجية ، من الصعب تحديد ما إذا كان قد تم إنفاق ناتج معين ، وما هي قيمته ، ومن هو المتلقي. </p>\n\n<p> يسمى بروتوكول معاملات Monero الحالي <em> RingCT </em> ، ويستخدم العديد من وحدات البناء المشفرة لتحقيق أهداف التصميم هذه. </p>\n\n<ul>\n<li> <em> الالتزامات </em> تخفي المبالغ بطريقة مفيدة رياضيًا </li>\n<li> <em> مجموعة البراهين </em> تمنع الفائض الذي يمكن أن يضخم العرض </li>\n<li> <em> توفر تواقيع الحلقة القابلة للربط </em> غموضًا في الموقع وتمنع محاولات الإنفاق المزدوج </li>\n<li> <em> موازنة الالتزام </em> تؤكد أن رصيد المعاملات </li>\n</ul>\n\n<p> تتشابك وحدات البناء هذه بعناية لبناء بروتوكول RingCT. </p>\n\n<p> من الخصائص المفيدة لبروتوكول RingCT أنه يمكن تغيير بعض الكتل الإنشائية أو ترقيتها بطريقة تحافظ على التصميم العام والخصائص سليمة ، ولكن يمكن أن يوفر ذلك تحسينات في الكفاءة أو الأمان.\nفي الواقع ، حدثت هذه الأنواع من الترقيات (أو من المخطط حدوثها) عدة مرات في تاريخ Monero.\nكانت أدلة النطاق في بروتوكول RingCT الأصلي ضخمة وبطيئة ؛ تم تحديثها لاحقًا إلى بنية تسمى <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://eprint.iacr.org/2017/1066\"> Bulletproofs </a> التي جعلت المعاملات أصغر وأسرع مع تحليل أمني أفضل ، ومن المخطط أن يتم تحديثها إلى بنية أحدث تسمى <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://eprint.iacr.org/2020/735\"> Bulletproofs + </a> للحصول على مزايا كفاءة أكبر. </p>\n\n<p> تم إجراء عملية مماثلة مع اللبنة الإنشائية لتوقيع الحلقة القابلة للربط.\nفي البروتوكول الأصلي ، تم استخدام بنية تسمى <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://ledger.pitt.edu/ojs/ledger/article/view/34\"> MLSAG </a>.\nتم تحديث هذا لاحقًا إلى بنية أحدث تسمى <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://eprint.iacr.org/2019/654\"> CLSAG </a> أسرع ، وتؤدي إلى معاملات أصغر ، ولها تحليل أمني أفضل.\nتم اقتراح إنشاء توقيع عصابة قابل للربط جديد على أساس <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://eprint.iacr.org/2020/018\"> Triptych </a> ، ولكن لم يتم اختياره للنشر بسبب تأثيره على العمليات متعددة التوقيع. </p>';

  @override
  String get knowledge250Sbseraphis250Sb1250Sbtitle => 'المعاملات في مونيرو';

  @override
  String get knowledge250Sbseraphis250Sb2250Sbtext => '<p> يأخذ Seraphis هذه الفكرة خطوة إلى الأمام. <br/>\nبدلاً من تحديث الكتل الإنشائية الفردية لبروتوكول معاملات RingCT الحالي ، فإنه يقدم بروتوكولًا مختلفًا يمكنه الاستفادة من الكتل الإنشائية المختلفة وتقديم وظائف محسنة. </p>';

  @override
  String get knowledge250Sbseraphis250Sb2250Sbtitle => 'سيرافيس';

  @override
  String get knowledge250Sbseraphis250Sb3250Sbtext => '<p> يستخدم Seraphis مجموعة مختلفة من وحدات البناء المشفرة لتحقيق أهداف التصميم الخاصة به. </p>\n\n<ul>\n<li> <em> الالتزامات </em> التي لا تزال تخفي المبالغ </li>\n<li> <em> لا تزال أدلة النطاق </em> تمنع الفائض وتضخم الإمداد </li>\n<li> <em> توفر أدلة العضوية </em> غموضًا في المُوقع </li>\n<li> <em> تعويضات الالتزام </em> لا تزال تؤكد التوازن </li>\n<li> <em> تصديق البراهين </em> تمنع محاولات الإنفاق المزدوج </li>\n</ul>\n\n<p> لاحظ التغيير هنا: يتم استبدال تواقيع الحلقة القابلة للربط بمجموعة من إثباتات العضوية وإثباتات التفويض.\nبشكل تقريبي ، تُظهر أدلة العضوية أن المخرجات المستهلكة هي جزء من مجموعة أكبر ، على غرار ما يحدث في RingCT.\nولكن على عكس RingCT ، لا تتضمن أدلة العضوية علامة الربط على الإطلاق!\nتُظهر أدلة التفويض أن علامة الارتباط صالحة ويتم استخدامها لتوقيع المعاملة النهائية. </p>\n\n<p> نظرًا لأن RingCT يخبز علامة الارتباط في التوقيع الغامض ، فإن عمليات التوقيع (والتوقيع المتعدد) تكون أكثر كثافة من الناحية الحسابية ، ويصبح من الصعب بناء وظائف أخرى متعلقة بالعلامة.\nولكن في Seraphis ، يمكن تفويض إنشاء إثباتات العضوية بأمان من أجهزة موثوقة للغاية (والتي قد يكون لها قوة حوسبة محدودة ، مثل محفظة الأجهزة) إلى جهاز أقل موثوقية ، وتكون عمليات التوقيع (والتوقيع المتعدد) أسهل بكثير باستخدام إثبات التفويض الأبسط بكثير . </p>\n\n<p> لحسن الحظ ، فإن بعض الكتل الإنشائية التي يتطلبها Seraphis موجودة بالفعل في مكان آخر ، ولا يلزم تصميمها من الصفر.\nيمكن استخدام كل من منشآت Bulletproofs و Bulletproofs + كدليل على المدى.\nيمكن استخدام تعديلات أنظمة إثبات من نوع شنور للمصادقة على البراهين.\nويمكن تعديل نظام إثبات فعال <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://eprint.iacr.org/2015/643\"> </a> مستخدم بالفعل كأساس لـ Triptych و <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://eprint.iacr.org/2019/373\"> Lelantus </a> و <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://eprint.iacr.org/2021/1173\"> Spark </a> <sup> * </sup> يمكن تعديله لإثبات العضوية. [ X2127X]\n\n<p> <sup> * </sup> يتلقى Cypher Stack تمويلًا لتطوير Spark. </p>';

  @override
  String get knowledge250Sbseraphis250Sb3250Sbtitle => 'اللبنات';

  @override
  String get knowledge250Sbseraphis250Sb4250Sbtext => '<p> للأسف ، عناوين Monero المستخدمة حاليًا غير متوافقة مع Seraphis.\nسيحتاج المستخدمون إلى إنشاء عناوين جديدة من مفاتيح محفظتهم من أجل تلقي Monero إذا تم تنفيذ Seraphis.\nومع ذلك ، فإن تكلفة هذا النظام البيئي تأتي مع مجموعة من الفوائد.\n\n<p> بصرف النظر عن الفوائد الهيكلية التي تمت مناقشتها أعلاه ، فإن تصميم Seraphis قابل للعديد من إمكانيات بناء العناوين المختلفة ، كل منها يأتي مع المقايضات.\nفي حين أن بناء العنوان النهائي الذي سيتم استخدامه في Seraphis هو <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://github.com/monero-project/research-lab/issues/92\"> لا يزال قيد التحديد </a> (مخطط واحد يتلقى الكثير من الاهتمام يسمى <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://gist.github.com/tevador/50160d160d24cfc6c52ae02eb3d17024\"> JAMTIS </a>) ، يمكننا وصف بعض الميزات الشائعة والمفيدة. </p> ]\n\n<p> قد تعلم أن عناوين Monero توفر وظيفة <em> عرض مفتاح </em> ، حيث يمكنك توفير مفتاح عرض لجهاز أو طرف ثالث والسماح له بمراقبة المخرجات الواردة نيابة عنك ، ولكن دون التخلي عن الإنفاق السلطة.\nهذا مفيد للمحافظ ، والتي يمكن أن تظل محدثة مع إبقاء مفتاح الإنفاق الخاص بك مغلقًا بأمان.\nإنه مفيد أيضًا للحالات التي تريد فيها الوصول إلى العرض الخارجي ، مثل مؤسسة خيرية عامة تقدم الشفافية أو شركة لديها قسم محاسبة. </p>\n\n<p> يتمثل الجانب السلبي لمفاتيح عرض Monero في أنها لا توفر وصولاً كاملاً أو دقيقًا للعرض.\nلا يمكن اكتشاف الوقت الذي تنفق فيه المحفظة الأموال بشكل موثوق ، مما يجعل من الصعب حساب أرصدة المحفظة بشكل صحيح عندما لا يكون مفتاح الإنفاق متاحًا.\nكما أنه ليس من الممكن حاليًا اكتشاف المخرجات الواردة دون معرفة القيمة الواردة في تلك المخرجات (مما يعني أن أي طرف ثالث مسؤول عن العثور على المخرجات الواردة سيتعلم بالضبط مقدار Monero الذي تكتسبه). </p>\n\n<p> Seraphis يمكن أن تحل هذه المشكلة.\nمع Seraphis ، يأتي عنوانك مزودًا بمفاتيح مختلفة يمكنها القيام بأشياء مختلفة: </p>\n\n<ul>\n<li> راقب النواتج الواردة ، مع إخفاء قيمتها </li>\n<li> راقب النواتج الواردة ، لكن أظهر قيمتها </li>\n<li> مشاهدة المخرجات الصادرة </li>\n<li> تساعدك على إنشاء المعاملات ، ولكن لا توقع عليها </li>\n<li> إنشاء عناوين جديدة (مفيدة لتجار التجزئة أو التبادلات مع العديد من العملاء) </li>\n</ul>\n\n<p> بصفتك صاحب العنوان ، عليك أن تقرر مقدار الصلاحيات التي تفوضها للأجهزة الأخرى أو الأطراف الثالثة. </p>';

  @override
  String get knowledge250Sbseraphis250Sb4250Sbtitle => 'عنونة';

  @override
  String get knowledge250Sbseraphis250Sb5250Sbtext => '<p> يعتبر Seraphis تغييرًا رئيسيًا في نظام Monero البيئي.\nعلى الرغم من أنه يتضمن تعديلات على العناوين وكتل بناء المعاملات ، فإن تصميمه يوفر مرونة ووظائف مفيدة غير ممكنة مع بروتوكول RingCT اليوم.\nبينما تم الانتهاء من الكثير من التصميم وتطويره إلى <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://github.com/UkoeHB/monero/tree/seraphis_lib\"> تنفيذ </a> ، فإن تصميم العنوان وتحليل الأمان مستمر.\nيوفر Seraphis فرصة ممتازة لدفع نظام Monero البيئي إلى الأمام! </p>';

  @override
  String get knowledge250Sbseraphis250Sb5250Sbtitle => 'الصورة الكبيرة';

  @override
  String get knowledge250Sbseraphis250Sbdescription => 'نتحدث اليوم عن Seraphis ، وهي مجموعة قادمة من هياكل بروتوكول المعاملات والأفكار التجريدية لنظام Monero البيئي.';

  @override
  String get knowledge250Sbseraphis250Sbtitle => 'سيرافيز: ماذا ستفعل لمونيرو';

  @override
  String get knowledge250Sbsov250Sb0250Sbtext => '<p> إنها نقطة نقاش مشتركة (ونعتقد تمامًا) أن Monero تقدم وسيطًا أفضل للتبادل من عملات الشفافية ، بما في ذلك Bitcoin. وذلك لأن الخصوصية المتأصلة في Monero تجعل من المستحيل تتبعها وتجنب العديد من المخاطر التي تنشأ عن إتاحة تدفق أموالك لجميع الأطراف المهتمة. بالإضافة إلى ذلك ، تفتح الخصوصية إمكانية التبديل ، بحيث يمكن للمستخدمين الشعور بالثقة في أن كل Monero يتم تبادله مقابل سلعة أو خدمة ما يعادل أي شيء آخر نظرًا لعدم وجود ماضي مرتبط. </p>\n\n<p> على الرغم من شيوع نقطة الحديث هذه ، هناك نقطة أخرى تظهر بجانبها ؛ على الرغم من أن Monero قد تكون أفضل وسيلة للتبادل ، فإن Bitcoin هي أفضل مخزن للقيمة. ليس من غير المألوف سماع هذا ، حتى داخل مجتمع Monero. استخدم Monero مثل حساب الإنفاق ، واستخدم Bitcoin مثل حساب التوفير. عند الضغط عليهم من أجل التفكير المنطقي ، لا يعتقد هؤلاء المستخدمون أن السبب في ذلك بالضرورة هو أن سعر البيتكوين يرتفع بمعدل أعلى من سعر مونيرو ، ولكن لأن بيتكوين لها \"خصائص\" تجعلها مثل الذهب الرقمي. </p>\n\n<p> نختلف تمامًا مع هذه الفكرة ونود أن نتوسع في شرح سبب ذلك في هذه المقالة. تعمل الشفافية الجذرية في Bitcoin على الانتقاص من خصائصها كمخزن للقيمة أكثر مما يدركه الناس. المثال الأول والأكثر وضوحًا على ذلك هو تخيل مخزن آخر للقيمة مقبول بشكل عام ، وهو الذهب ، مع الشفافية التي تتمتع بها عملة البيتكوين. </p>\n\n<p> ماذا سيحدث للثقة في الذهب إذا كان من الممكن (عدة مرات) ربط كمية من الذهب بفرد أو مجموعة؟ هل سيظل يستخدم كما هو إذا عُرف في كل مرة يتم فيها نقل الذهب أن التحويل قد حدث ، ومن كان المرسل والمتلقي ، وكمية الذهب التي تم نقلها؟ لا نعتقد ذلك.\n\n<p> إحدى خصائص الذهب ، المتأصلة في كونه كائنًا حقيقيًا ، هي أنه خاص بطبيعته. يمكن للمرء أن يمنحها تاريخًا مصطنعًا عن طريق وضع علامة تجارية للمالكين السابقين في قالب من الذهب ، ولكن يمكن إزالتها بسهولة عن طريق صهر الشريط وإعادة تشكيله ، وهو خيار غير موجود في Bitcoin. </p>\n\n<p> هذه الشفافية في الحركة ، على الرغم من أنها مدمرة بدرجة كافية من تلقاء نفسها ، ليست العيب الوحيد الذي كان سيواجهه الذهب إذا كانت جميع المعلومات حول حركته متاحة للجميع. من خلال معرفة تدفق الذهب ، يمكننا تحديد كيانات العالم الحقيقي التي لديها مخازن كبيرة منه. قد لا تكون بعض هذه المؤسسات عبارة عن مؤسسات ، لكن أفرادًا ليس لديهم تجهيزات أمنية واسعة النطاق. ليس من المستغرب أن يشتري الشخص العادي الذهب كوسيلة للتحوط ضد الكارثة ، ونحن نعلم الآن أن جو شموي في الشارع لديه 10 آلاف دولار تساوي الجلوس في مكان ما في منزله. ليست معلومات ربما يريد جو أن يعرفها العالم. </p>\n\n<p> لا يعني التخزين الجيد للقيمة فقط أن السعر مستقر أو من المحتمل أن يرتفع ، بل يعني أن الحامل يشعر بالراحة والثقة في الأمان في المكان الذي اختار وضع أمواله فيه. لذلك ، مع الشفافية الجذرية ، يصبح الذهب غير مريح أثناء الحركة ، ويحتمل أن يكون خطيرًا في حالة السكون. من الجيد معرفة أن هذه كانت مجرد تجربة فكرية وأن الذهب لا يمتلك هذه الخصائص. يمكن لمستثمري الذهب أن يتنفسوا الصعداء. </p>\n\n<p> ولكن لا يمكن قول الشيء نفسه عن Bitcoin. </p>\n\n<p> توفر خصوصية Monero بالفعل أمانًا أفضل بكثير سواء أثناء الحركة أو في حالة الراحة لأي شخص يريد استخدامه كحساب جاري أو حساب توفير. </p>\n\n<p> سوف يجادل أنصار Bitcoin ، مع ذلك ، بأن Bitcoin أكثر أمانًا كمخزن للقيمة لأنه يحتوي على نسبة تجزئة أكبر خلفه ، لذلك من غير المرجح إعادة كتابة السلسلة (على سبيل المثال ، قد يتم أخذ عملاتك في المخزن) ، وعلى الرغم من أن هذا صحيح حاليًا ، إلا أنها مشكلة اجتماعية يمكن تغييرها بمرور الوقت بدلاً من كونها مشكلة تكنولوجية أساسية من غير المرجح أن يتم تصحيحها على الإطلاق. </p>\n\n<p> الحجة الثانية لـ Bitcoin هي أن لديها عرض ثابت ، في حين أن Monero لديها انبعاث ذيل. يتم استقراء هذا ليعني أن Monero لديها إمداد غير محدود ، لذلك من غير المناسب أن تكون مخزنًا ذا قيمة مثل أمر فيات. ظاهريًا ، هذه بالتأكيد الحجة الأكثر إقناعًا بين الاثنين ، لذلك نود أن نتناول هذه الحجة بالتفصيل. </p>\n\n<p> في حين أن Monero لديها انبعاث خلفي ، فإن هذا لضمان أمان Monero على المدى الطويل. بمجرد سك آخر عملة بيتكوين ، لن يكون هناك المزيد من المكافآت الجماعية ، مما يترك سوق الرسوم وحده لتحفيز المعدنين لتأمين السلسلة. هناك بالفعل بحث أولي يشير إلى أن هذا لن يكون كافيًا ، وأن أمان السلسلة سينخفض بشكل كبير ، مما يجعل السلسلة عرضة لهجمات 51٪. </p>\n\n<p> في النهاية ، هذا يعني أن لديك مخزونًا ذا قيمة لا يمكنك نقله أبدًا خوفًا من التعرض لهجوم. بالعودة إلى الذهب ، هل سيكون الذهب مفيدًا على الإطلاق كمخزن للقيمة إذا كان من المستحيل أو من الخطر المحظور التنقل أو البيع أو التبادل؟ ما فائدة القيمة التي يتعذر الوصول إليها؟ ما فائدة الملايين من الدولارات المتراكمة في القيمة المخزنة إذا كان بإمكانها البقاء في حفرة لا قاع لها إلى الأبد؟ </p>\n\n<p> دعونا نتناول الجزء الآخر من هذا النقد بدلاً من التخلص من جزء مونيرو من المشكلة. انبعاث الذيل. في حين أنه صحيح أن له غرضًا ، فقد يرى البعض مجرد وجود انبعاث الذيل كدليل على أن Monero لا يمكن أن تكون نادرة وتعمل تمامًا مثل أمر فيات. وهذا أيضا غير صحيح. لدى فيات نموذج تضخم قائم على النسبة المئوية ، وحتى هذا ليس ثابتًا ، بل يخضع لجسم مبهم من البشر القابلين للفساد. يتناقض هذا مع Monero ، الذي يتضخم خطيًا ، مما يعني بمرور الوقت اتجاهات التضخم نحو الصفر. هذا يعني أيضًا أنه ، على عكس فيات ، يمكن بسهولة حساب التضخم والتخطيط له على وجه اليقين. </p>';

  @override
  String get knowledge250Sbsov250Sbdescription => 'XMR هي أفضل وسيلة للتبادل ، لكن BTC هي أفضل مخزن للقيمة؟ نحن لا نتفق. تعمل شفافية BTC على الانتقاص من خصائصها كمخزن للقيمة أكثر مما يدركه الناس.';

  @override
  String get knowledge250Sbsov250Sbtitle => 'لماذا تعد Monero مخزنًا أفضل للقيمة من Bitcoin';

  @override
  String get knowledge250Sbstealth250Sb0250Sbtext => '<p> نفذت Monero نهجًا ثلاثي الأبعاد للخصوصية. هذه التقنيات هي <a target=\"_blank\" href=\"/knowledge/ring-signatures\" class=\"next-link\"> تواقيع الحلقة </a> ، والتي تخفي الناتج الحقيقي (المرسل) ، RingCT الذي يخفي المبالغ ، والعناوين الخفية التي تخفي جهاز الاستقبال. اليوم ، سنناقش آخر هذه التقنيات المذكورة: عناوين التخفي. </p>\n\n<p> هناك العديد من الأسباب التي قد تجعل الفرد يرغب في إخفاء الشخص الذي يرسل إليه. يجب ألا ندع أي شخص يحاول إقناعنا بأن كل الأمثلة على ذلك هي سلوكيات بغيضة. أشياء مثل الإرسال إلى حزب سياسي لا يحظى بشعبية ، أو التبرع للجمعيات الخيرية ، أو دعم أولئك الذين تعتبرهم الثقافة \"ملغاة\" كلها أمثلة على الأماكن التي قد يرغب المرء في إخفاء سلوكيات الإنفاق فيها خوفًا من التداعيات ، ولكنها ذات طبيعة مشروعة تمامًا. [X840X ]\n\n<p> في blockchain الشفاف ، تكون العناوين التي يرسل إليها الشخص معاملاته مرئية للجميع. من المهم مراعاة أنه إذا اختلف عمال المناجم أنفسهم مع المكان الذي تذهب إليه الأموال ، فيمكنهم اختيار عدم تعدينها في كتلة ، وفرض رقابة فعالة على هذه المعاملة على منصة تبدو مقاومة للرقابة. الطريقة الوحيدة لجعل هذه الرقابة غير محتملة ، ومن المسلم به أنها غير محتملة ، هي إذا لم يتمكن عمال المناجم من التمييز بين المعاملات لأن جميع البيانات الوصفية على السلسلة محجوبة بوسائل مختلفة. شيء تشتهر به Monero. </p>\n\n<p> تحل Monero مشكلة العناوين الشفافة عن طريق تنفيذ عناوين متخفية ، وهي تقنية تم إنشاؤها في البداية للبيتكوين في عام 2011 بواسطة مستخدم منتدى Bitcoin Talk ByteCoin (العلاقة بـ Bytecoin ، والتي ستدمج لاحقًا عناوين التخفي ، غير معروفة). يحتوي الشكل الحالي للعناوين الخفية على العديد من التحسينات على الفكرة الأولية. لكن أولاً ، لنرى كيف تعمل ، فلنتحدث عن المفاتيح. </p>\n\n<p> من الصعب أن تكون في فضاء العملات المشفرة ولا تسمع عن المفاتيح. عبارات مثل \"احتفظ بنسخة احتياطية من مفتاحك الخاص\" شائعة ، ولكن عندما يسمع \"جو\" كلمتي \"المفتاح العام\" و \"المفتاح الخاص\" ، فإنهم يخافون ويعتقدون أنه سيكون تقنيًا للغاية ومربكًا لفهمه. لكن لا تقلق. سوف نتعامل مع الأمر ببطء ، ونستخدم الكثير من الأمثلة. </p>\n\n<p> نوعا المفاتيح المستخدمة في العملات المشفرة ، كما ذكرنا للتو ، عامة وخاصة. يأتي هذان المفتاحان عادةً في زوج ، مما يعني أن مفتاحًا عامًا وخاصًا معينًا مرتبطان ببعضهما البعض. في الواقع ، عادةً ما يتم اشتقاق المفتاح العام من المفتاح الخاص ، مما يعني أنه إذا كنت تعرف المفتاح الخاص ، فيمكن لمحفظتك إجراء بعض العمليات الحسابية الأنيقة والحصول على المفتاح العام الصحيح في كل مرة. </p>\n\n<p> الآن ، كما توحي الأسماء ، يمكن أن يكون المفتاح العمومي عامًا بدون عواقب. عادةً ما يكون جزءًا من العنوان الذي تشاركه لتلقي الأموال في محفظة العملة المشفرة الخاصة بك. بعد الاسم نفسه أيضًا ، يعد المفتاح الخاص مفتاحًا لا يجب مشاركته. إنه الشيء الذي يسمح لك بالتوقيع على معاملة وإنفاقها ، لذلك إذا تمت سرقتها أو مشاركتها ، فيمكن للطرف الثالث الغادر أن ينفق أموالك ، عادةً لنفسه. </p>\n\n<p> سيكون القياس السهل لهذا هو القفل والمفتاح المطلوب لفتحه. يمكن مشاركة القفل المفتوح بحرية ، وبالفعل يمكن قفل أي شيء باستخدام هذا القفل ، لكن الشخص الذي لديه المفتاح هو الوحيد القادر على فتح أي شيء مغلق عليه القفل. يمكن نسخ القفل ومشاركته ، ولا ينبغي أن يكون المفتاح. </p>\n\n<p> عادة ما يتم استخراج هذه المفاتيح بعيدًا عن المستخدم ، لذلك لا يمكنك رؤيتها أبدًا. في Monero ، لا تظهر كسلسلة أبجدية رقمية مخيفة على الإطلاق. في Monero ، يعرف المستخدم العادي المفتاح الخاص على أنه أصله. البذرة (التي يجب عليك كتابتها إذا لم تقم بذلك) ، هي في الواقع مجرد مفتاح خاص يمكن قراءته من قبل الإنسان. </p>\n\n<p> انظر؟ ليس مخيفا جدا بعد كل شيء. العودة إلى عناوين التسلل. </p>\n\n<p> كما ذكرنا سابقًا ، عناوين التخفي لم تكن في الأصل مخصصة لـ Monero ، ولكن Bitcoin. كما هو الحال مع معظم الأفكار الوليدة ، كان هذا التكرار الأول به مشكلات. جاءت المحاولة التالية عندما تم إنشاء CryptoNote بواسطة Nicholas van Saberhagan لـ Bytecoin ، مقدمة Monero (<a target=\"_blank\" href=\"/knowledge/monero-history\" class=\"next-link\"> انظر تاريخنا لـ Monero و Bytecoin هنا </a>) ، وبينما كان تحسينًا واضحًا عن الأصل ، حتى أنه كان بعض العيوب الدقيقة. </p>\n\n<p> أخيرًا ، ظهر تكرار أخير من مطور لعملة أخرى مشفرة للخصوصية لم تعد موجودة الآن ، والتي أصلحت مشكلات الخصوصية والأمان المعلقة بالفكرة. هذا في النهاية شق طريقه إلى Monero ، وهو ما يتم استخدامه اليوم. </p>\n\n<p> على الرغم من حل مشكلات الخصوصية والأمان هذه ، فقد أضافت عناوين التسلل نفسها نوعًا مختلفًا من المراوغات لتقنيات blockchain ، وهي تقنية لم تكن موجودة من قبل. الحاجة للمسح. نظرًا لأن عناوين الاستلام لا تُعرض علنًا على blockchain ، فإن المستلم لا يعرف أبدًا ما إذا كانت أي معاملة معينة تخصه ، لذلك يجب عليه مسح كل المعاملات الواردة بمفتاحه الخاص لمعرفة ما إذا كانت ملكه. </p>\n\n<p> باستخدام عملات الشفافية ، كل ما عليهم فعله هو التحقق لمعرفة ما إذا كانت المعاملة يتم إرسالها إلى عنوانك. سؤال سهل بنعم أو لا. ولكن مع العناوين الخفية ، من المحتمل أن تكون كل معاملة يتم إرسالها إليك ، لذلك عليك محاولة فتح كل واحدة بمفتاحك الخاص لمعرفة ما إذا كانت ستفتح أم لا. </p>\n\n<p> هذه خطوة إضافية لا تمتلكها Bitcoin ومشتقاتها ، وتقوم بإعداد المحفظة الأولي ، جنبًا إلى جنب مع مزامنة المحفظة عند عدم فتحها لفترة أطول بكثير من Bitcoin. على الرغم من ذلك ، فإن المفاضلة ضرورية ، لإلغاء تأمين ضمانات الخصوصية التي تتمتع بها. وتجدر الإشارة إلى أنه ، على عكس أضعف نقطة في ثلاثية الخصوصية ، توقيعات الحلقة ، وعناوين التخفي ليست عرضة للاستدلال. وهو يعتمد على تشفير منحنى بيضاوي مجرب وحقيقي ، والذي يعتمد عليه الإنترنت بالكامل ، لذا فإن كسره يعني نهاية أمان الكمبيوتر بشكل عام ، وليس Monero فقط. </p> ';

  @override
  String get knowledge250Sbstealth250Sbdescription => 'في blockchain الشفافة ، تكون العناوين التي يرسل إليها الشخص معاملاته مرئية للجميع. تحل Monero هذه المشكلة عن طريق تنفيذ عناوين متخفية.';

  @override
  String get knowledge250Sbstealth250Sbtitle => 'كيف تحمي عناوين Monero Stealth هويتك';

  @override
  String get knowledge250Sbsubaddresses250Sb0250Sbtext => '<p> لطالما وجدت Monero طرقًا مبتكرة لحل مشكلات الخصوصية الصعبة. غالبًا ما تؤدي هذه الابتكارات إلى ابتكارات أخرى ، وفي بعض الأحيان يمكن استخدام هذه التقنيات الناتجة في حالات استخدام لم يتم النظر فيها من قبل. لا يوجد مكان يتجلى فيه هذا أكثر من حالة تقنية العنوان الفرعي Monero. </p>\n\n<p> ضع في اعتبارك مشكلة خصوصية افتراضية ، حيث يمكن أن يؤدي استخدام عنوان واحد عبر منصات متعددة من أشخاص غير مرتبطين على ما يبدو إلى الربط وإلغاء هوية الأشخاص المذكورين. ببساطة ، إذا كنت شخصًا يُدعى Billy Joe Bob وقمت ببيع التفاح مقابل Bitcoin ، فيمكنك نشر عنوان Bitcoin الخاص بك في مكان عام حتى يدفع العملاء لك. لنفترض أن العنوان يبدأ بالسلسلة الأبجدية الرقمية 7XybV3 ... ولكن بغض النظر عن مخاطر الخصوصية الواضحة المتمثلة في قدرة أي شخص على التحقق من رصيد Bitcoin الخاص بك ومعرفة المبلغ الذي قمت ببيعه ، فهناك ثانية ، لم يتم الحديث عنها كثيرًا عن مخاطر الخصوصية. لنفترض أنك كنت أيضًا أحد المتسللين السريين باسم l33tz0r. أنت تقوم بعمل الإبلاغ عن المخالفات ، وتخبر الناس المطمئنين عن الفساد الحكومي ، ومن الضروري أن تحافظ على هويتك سرا. أنت تقبل تبرعات Bitcoin مقابل عملك ، وتنشر العنوان في منتدى عام. إنه نفس العنوان الذي تقبل المال من عملاء Apple. 7XybV3 ... واحد. </p>\n\n<p> قد يكون هجوم إلغاء تحديد الهوية البسيط والمدمر هو استخدام محرك بحث على الإنترنت للبحث عن عنوان Bitcoin الخاص بك. يؤدي وضع عنوان 7XybV3 ... في المحرك إلى نتيجتين مختلفتين. أعمال التفاح ، و l33tz0r. هذا يكفي لربط الهويتين وتعميم هوية l33tz0r ، مع عواقب مخيفة محتملة من القوى الموجودة. </p>\n\n<p> من المهم ملاحظة أن هذا الهجوم ممكن أيضًا مع Monero. على الرغم من إخفاء Monero لمعظم البيانات الموجودة في السلسلة ، إلا أن هذا الهجوم لا يستخدم أيًا منها. يستخدم فقط العنوان ، الذي يجب مشاركته من أجل تلقي الدفع. علنا في حالة التبرعات مجهولة المصدر. هذه إحدى الطرق المحتملة التي يمكن من خلالها لمستخدمي Monero الإضرار بخصوصياتهم عن غير قصد ، وهي أيضًا مثال على كيف ، على الرغم من أن Monero من الدرجة الأولى فيما يتعلق بالاحتفاظ بالخصوصية ، فهي ليست مضادة للرصاص. </p>\n\n<p> كانت الطريقة المعتادة للتغلب على هذه المشكلة هي امتلاك محافظ متعددة. مع نشر عناوين مختلفة لكل هوية (أو حالة استخدام) ، لا يمكن ربطها. لكن هذه الخصوصية لا تنطبق إلا إذا لم يخلط المستخدم بينها مطلقًا. إن نشر العنوان غير الصحيح بطريق الخطأ سيكون له نفس تأثيرات الارتباط. بالإضافة إلى ذلك ، يجب أن تظل بذرة كل عنوان آمنة ، مما يزيد من عمل تقنية المعلومات الضروري مع كل محفظة جديدة يتم إنشاؤها. </p>\n\n<p> كان حل Monero عبارة عن عناوين فرعية. القدرة على إنشاء عدد هائل للغاية من العناوين أسفل العنوان الرئيسي ، واستخدامه كبذرة من نوع ما. يمكن لكل عنوان فرعي تم إنشاؤه قبول Monero ، وكلها تذهب إلى نفس المحفظة. باستخدام هذه الطريقة ، يكون عدد الهويات التي يمكن تشغيلها تحت عنوان واحد ضخمًا مع الحفاظ على عمل تقنية المعلومات في أدنى حد. هذه العناوين أيضًا غير قابلة للربط رياضيًا ، لذلك ما لم يصرخ المستخدم عن ارتباطه بالعالم ، سيجد مراقب خارجي صعوبة كبيرة في ربطها. </p>\n\n<p> ولكن ظهرت حالة استخدام أخرى مثيرة للاهتمام من العناوين الفرعية. كخيار بديل لمعرفات الدفع المكروهة عالميًا. </p>\n\n<p> كانت معرّفات الدفع وسيلة للتجار لتحديد العميل الذي أرسل أي دفعة. نظرًا لأن معلومات Monero محجوبة في السلسلة ، فلن يتمكن متلقي المعاملة من معرفة العنوان الذي أرسلها. هذا يعني أنه إذا كانت هناك عناصر ذات أسعار متشابهة وأوامر متعددة ، فقد يصبح من المستحيل تحديد من أرسل ماذا. معرّفات الدفع عبارة عن سلسلة فريدة وعشوائية ينشئها التاجر ويُمنح للعميل. يضيف العميل هذا كحقل منفصل عند إرسال المعاملة. يتم وضع هذه السلسلة العشوائية على blockchain كجزء من المعاملة ، وبهذه الطريقة ، يكون التاجر قادرًا على تحديد المعاملات الواردة وفرزها. </p>\n\n<p> كانت هذه الطريقة معيبة من عدة نواحٍ. أولاً ، ينتقص من توحيد البيانات على السلسلة. يمكن للبيانات الوصفية الإضافية الفريدة أن تجعل بعض المعاملات تقف بمعزل عن الآخرين ، مما يسمح بالتحليل الإرشادي. هذا صحيح بشكل خاص عندما لا يتم فرض هذه البيانات الوصفية على أنها إلزامية للجميع. جعل هذا إلزاميًا للجميع من شأنه أن يضيف مساحة غير ضرورية إلى blockchain ، ولم يتم متابعته. بالإضافة إلى ذلك ، إذا تمت إعادة استخدام معرف الدفع لأي سبب من الأسباب ، فسيكون من التافه ربط معاملتين على أنهما متصلتان. يحدث هذا عادةً مع ودائع الصرف ، ويمكن لأي شخص بسهولة ربط المعاملات باعتبارها وديعة في البورصة ومن فرد معين. </p>\n\n<p> ثانيًا ، من منظور تجربة المستخدم ، تُنشئ معرفات الدفع خطوة ثانية لا يعتاد عليها مستخدمو العملات المشفرة القادمون من عملات معدنية أخرى ، وإذا تم نسيانها ، فإنها تسبب صداعًا كبيرًا للتاجر الذي يجب عليه تحديد هذه المعاملات عبر وسائل أخرى . تم ذلك عادةً من خلال التحدث مباشرة مع كل عميل نسى وضع معرف الدفع وتأكيد معلومات التعريف الأخرى التي لا يستطيع أحد معرفتها ، مثل مزيج من المبلغ والتاريخ المرسل ومعرف المعاملة. </p>\n\n<p> فات الكثيرون هذه الخطوة الإضافية ، ووصلت إلى النقطة التي بدأت فيها بعض البورصات في تحصيل الأموال من العملاء إذا كان لابد من استرداد أموالهم يدويًا بسبب نسيان معرف الدفع. قام الآخرون بحزم أسنانهم وأكلوا تكاليف الدعم الإضافية ، لكن لم يكن أحد سعيدًا بذلك. </p>\n\n<p> كان هناك حل واحد لهذا ، وهو العناوين المتكاملة ، والتي دمجت العنوان ومعرف الدفع في سلسلة واحدة ، لذلك لا يمكن نسيانها ، لكن التبني كان ضعيفًا إلى حد ما ، على الرغم من الفوائد التي كان سيحصل عليها التجار من تضمينه. </p>\n\n<p> في تحول مثير للأحداث ، جاءت العناوين الفرعية لإنقاذ الموقف. القدرة على توليد كميات كبيرة من العناوين الفرعية لكل عنوان رئيسي ، وتحديد المعاملات التي جاءت والعناوين الفرعية ، سمحت للتجار بتخليص أنفسهم من معرفات الدفع بطريقة أنيقة ، مع تبني الجيل التالي من تقنية Monero. منذ ذلك الحين ، تحولت معظم التبادلات والأدوات التجارية إلى العناوين الفرعية باعتبارها الطريقة الأساسية لتحديد المعاملات. </p>\n\n<p> ما بدأ كحل لمشكلة الخصوصية تحول إلى شيء أكثر من ذلك بكثير ، والذي أدى إلى حل مشكلة تجربة المستخدم الرئيسية للتجار والعملاء على حد سواء. الابتكار يولد المزيد من الابتكار ، والذي يمكن أن يتحول في كثير من الأحيان إلى انتصارات غير متوقعة للجميع. لقد شاهدت Monero هذا مرارًا وتكرارًا ، وهي تبذل جهدًا كبيرًا في ابتكار ما هو ممكن على blockchain. من يعرف الأشياء الأخرى التي يمكننا فتحها معًا؟ </p>';

  @override
  String get knowledge250Sbsubaddresses250Sbdescription => 'لطالما وجدت Monero طرقًا مبتكرة لحل مشكلات الخصوصية الصعبة. لا يوجد مكان يتجلى فيه هذا أكثر من حالة تقنية العنوان الفرعي لـ Monero.';

  @override
  String get knowledge250Sbsubaddresses250Sbtitle => 'كيف عناوين مونيرو الفرعية تمنع ربط الهوية';

  @override
  String get knowledge250Sbtitle => 'معرفة';

  @override
  String get knowledge250Sbtrust250Sb0250Sbtext => '<p> تحظى أفكار قليلة في مجال العملات المشفرة بقدر كبير من الاهتمام والمناقشة مثل مفهوم الثقة ، وليس بدون سبب. بعد كل شيء ، فإن الهدف الكامل من blockchain هو القضاء على الثقة في الأطراف الثالثة. </p>\n\n<p> بالنسبة لأولئك الذين لا يفهمون الفكرة تمامًا ، إليك مادة تمهيدية خفيفة. في النظام المالي التقليدي ، تُستخدم الأطراف الثالثة عمومًا في مهام مختلفة. تستخدم البنوك لتأمين الأموال نيابة عنك من السرقة أيها الحكام. تُستخدم الضمانات حتى يمكن إجراء الصفقات التجارية بين طرفين لا يثقان ببعضهما البعض. تقوم شركات بطاقات الائتمان بدفع الأموال مقابل السلع والخدمات نيابة عنك ، بافتراض المخاطرة بأنك قد لا تسددها. </p>\n\n<p> تتطلب كل من هذه الحالات الثقة. بالنسبة للبنوك ووكلاء الضمان ، فأنت على ثقة من أنهم لن يهربوا بأموالك ، وبالنسبة لشركات بطاقات الائتمان ، فأنت على ثقة من أنهم لن يدفعوا أموالًا باسمك دون موافقتك ، وكل ذلك ممكن جدًا. نحن نفعل ما في وسعنا لضمان عدم حدوث هذه الأشياء. نحن نعمل فقط مع الشركات والأفراد الموثوق بهم ، ونصدر تشريعات لجعل السيناريوهات المذكورة أعلاه غير قانونية ونحاول ضمان عواقب للمخالفين ، لكن هذا لا يمنعهم دائمًا من الحدوث على أي حال. </p>\n\n<p> علاوة على ذلك ، لا تأتي هذه الخدمات مجانًا. قد يقوم وكلاء وبنوك الضمان بفرض رسوم مقابل خدماتهم ، وتفرض بطاقات الائتمان فائدة على الأموال المقترضة. </p>\n\n<p> تم إنشاء Blockchain للقضاء على هؤلاء الوسطاء ، والثقة والرسوم التي تأتي معهم. من خلال قوة الإجماع ، يمكن للمستخدمين أن يفرضوا بأنفسهم حالة دفتر الأستاذ ، دون الوثوق بأي شخص ليخبرهم بمقدار الأموال التي يمتلكونها ، وبدون أي طرف ثالث موثوق به يمكن أن ينفق بأموالك. </p>\n\n<p> يتم التركيز بشكل كبير على عدم الثقة هذا ، بحيث يقابل أي تغيير أو إضافة تقنية تضيف عنصرًا من الثقة مرة أخرى إلى blockchain بشكوك وانتقاد كبيرين ، وترفض بعض المشاريع كل هذه المفاهيم تمامًا. من المثير للاهتمام إذن عدم مراعاة الخصوصية نفسها. </p>\n\n<p> مرة أخرى ، ننظر إلى بقية العالم ونرى أنه في كثير من الأحيان ، تكون خصوصيتنا تحت رحمة جهات خارجية \"موثوق بها\". عندما نعطي عناويننا المادية لعنصر نريد شحنه إلينا ، فنحن على ثقة من أن المتجر المعني لن يستخدم هذه المعلومات لأغراض شائنة أو يبيعها للآخرين. وينطبق الشيء نفسه على أفكارنا الشخصية أو الصور التي ننشرها على وسائل التواصل الاجتماعي. حتى أنه ينطبق على مواردنا المالية ، مثل العديد من الاختراقات في صناعة المحاسبة ، أو التطبيقات المالية التي تنشر على لوحة عامة داخلية ما ينفق الناس الأموال عليه (مثل Venmo). </p>\n\n<p> ترى Monero هذا الالتزام بعدم الثقة على blockchain ، وتطبق معيارًا مشابهًا لكيفية تعاملنا مع الخصوصية. لا ينبغي أن تعتمد خصوصيتنا على وعد طرف ثالث بالحفاظ على الأمن أكثر مما يجب أن تعتمد مواردنا المالية على وعدنا الآخرين بأنهم لن يهربوا معهم. تحقيقًا لهذه الغاية ، تضمن Monero عدم ثقة جميع تقنيات الخصوصية المطبقة. </p>\n\n<p> هناك تقنيات خصوصية أخرى تطفو على السطح. الأشخاص الموثوق بهم ، ومن المسلم به أنهم لا يخلون من نقاط قوتهم. تستخدم Zcash أنواعًا معينة من أنظمة الإثبات كوحدات بناء في بروتوكول المعاملات السرية الخاص بها والتي تتمتع بضمانات خصوصية قوية جدًا ، مع مجموعات كبيرة من عدم الكشف عن الهوية ، ويمكن أن تكون طريقة فعالة لضمان خصوصيتك ، إذا تم استخدامها بشكل صحيح. ومع ذلك ، فإن العيب في هذا النهج ، كجزء من الإعداد الأولي لهذه التقنية ، يجب أن يكون هناك مجموعة معلمات يجب اختيارها ثم نسيانها لاحقًا. إذا احتفظ أي شخص بهذه المعلمة ، فسيكون لديه القدرة على إنشاء أدلة SNARK كاذبة ، وطباعة النقود بشكل فعال دون أن يكون أي شخص أكثر حكمة لأنها مخفية. لكن هل هذا يؤثر على الخصوصية؟ يرى البعض نعم ، بينما البعض الآخر لا ، وفي النهاية ، يجب إجراء المزيد من الأبحاث للتوصل إلى إجابة نهائية. </p>\n\n<p> بغض النظر ، تبدو عملية تقليل الثقة هذه تمامًا مثل السيناريوهات التي ناقشناها في بداية هذه المقالة. العالم التقليدي. الذي نحاول الابتعاد عنه. لا تقلل Blockchain نفسها الثقة في الأطراف الثالثة ، بل تقضي عليها بالأحرى. يعتقد مجتمع Monero أنه يجب تطبيق نفس معيار الإزالة بدلاً من تقليله على تقنيات الخصوصية لدينا أيضًا. فقط لأنه لم يثبت بشكل قاطع أن عمليات الإعداد الموثوقة يمكنها أو لا يمكنها المساومة على الخصوصية لا يعني أننا يجب أن نتراخى بشأن إعادة الثقة إلى النظام في هذا الصدد. </p>\n\n<p> بالطبع ، أي تقدم في مساحة الخصوصية يعد تحسينًا ، وغالبًا ما تكون الخصوصية الموثوقة مجرد نقطة انطلاق نحو الخصوصية غير الموثوق بها ، وفي هذه الحالات يسعدنا أن نرى المساحة تتحرك إلى الأمام. ومع ذلك ، في الوقت نفسه ، لا يمكن لمجتمع Monero ، بضمير حي ، نشر تقنية الخصوصية على blockchain الخاصة بنا والتي من شأنها إضعاف الهدف من ثورتنا. </p>\n\n<p> كثيرًا ما يُطرح علينا سؤال حول موعد تنفيذ Monero لتقنية الخصوصية الجديدة هذه أو تلك. غالبًا ما تأتي هذه الأسئلة من غير المطلعين ، الذين لا يفهمون المفاضلات ، وهم مجرد كلمات طنانة جديدة تتعلق بالخصوصية في ذلك اليوم. الجواب على هذه الأسئلة بسيط. تبحث Monero باستمرار في بروتوكولات الخصوصية الجديدة التي من شأنها تعزيز ضمانات الخصوصية في سلسلة Monero ومراجعتها والبحث عنها ، ولكننا لا نرغب في الخوض في عالم الخصوصية الموثوقة لتحقيق هذا الهدف ، حتى لو كانت الضمانات أقوى من الناحية النظرية. [ X5461X]\n\n<p> يقول البعض إن هذا النهج سيثبت أنه عفا عليه الزمن ، لكننا نعتقد أن هؤلاء الأشخاص فقدوا قصة سبب وجودنا هنا لتبدأ. </p>';

  @override
  String get knowledge250Sbtrust250Sbdescription => 'يعتبر مفهوم الثقة من أكثر المفاهيم التي نوقشت في مجال العملات المشفرة. بعد كل شيء ، فإن الهدف الكامل من blockchain هو القضاء على الثقة في الأطراف الثالثة.';

  @override
  String get knowledge250Sbtrust250Sbtitle => 'لماذا تستخدم Monero إعدادًا غير موثوق به على عكس Zcash';

  @override
  String get knowledge250Sbupgrades250Sb0250Sbtext => '<p> من أكثر الأجزاء التي يُساء فهمها شيوعًا في نهج Monero لبناء عملة مشفرة لامركزية وآمنة تحافظ على الخصوصية هو الدور الذي تلعبه hard forks (أو ترقيات الشبكة). </p>\n<p> في هذا المنشور ، سنتعرف على ماهية الهارد فورك ، ولماذا هي مهمة بالنسبة لمونيرو ، وما هو الدور الذي يمكنك أن تلعبه فيها في المستقبل. </p>';

  @override
  String get knowledge250Sbupgrades250Sb1250Sbtext => '<p> التزم مجتمع Monero بتكرار المشروع وتحسينه بمرور الوقت ، ويبدو أن الالتزام يتلخص في جانبين رئيسيين من روح المجتمع: </p>\n<ol type=\"1\">\n<li> <p> مشروع Monero هو في النهاية برنامج - كود - كتبه البشر. يمكن أن يؤدي ذلك إلى الحاجة إلى إصلاح الأخطاء ، وإضافة التحسينات التي تم اكتشافها أو اختراعها بمرور الوقت ، أو تنفيذ التحديثات على البروتوكول ، أو ببساطة الحفاظ على المشروع. هذا مشابه من نواح كثيرة لأجزاء البرامج الأخرى التي تستخدمها (مثل المتصفح الذي تقرأ فيه هذا!) ، والتي تحتاج إلى التحديث باستمرار لإضافة ميزات جديدة وإصلاح الأخطاء. </p> </li>\n<li> <p> مشروع Monero هو أداة للخصوصية والخصوصية هي سباق تسلح دائم التقدم. إن الأشخاص والمجموعات الذين لا يريدون أكثر من تجريد العالم من الخصوصية (المالية والشخصية) يتحسنون ويطورون ويبتكرون طرقًا جديدة لمهاجمة الأساليب الحديثة للحفاظ على الخصوصية ، مثل تلك المستخدمة في Monero. نظرًا لأن أعداء الخصوصية يجدون هذه الأساليب الجديدة ، يجب أن تكون شبكة Monero قادرة على التكيف والتحسين للرد والدفاع عن حقنا في الخصوصية المالية. </p> </li>\n</ol>';

  @override
  String get knowledge250Sbupgrades250Sb1250Sbtitle => 'لماذا تحتاج Monero إلى الاستمرار في ترقية الشبكة؟';

  @override
  String get knowledge250Sbupgrades250Sb2250Sbtext => '<p> يدخل تعقيد ترقية Monero حيز التنفيذ بمجرد أن تفهم مدى اختلاف ترقية العملة المشفرة عن دفع تحديث البرنامج إلى شيء مثل المتصفح. </p>\n<p> في العملات المشفرة ، يجب أن يتم الاتفاق على قواعد الشبكة (أشياء مثل كيف يجب أن تبدو المعاملات ، وكيف يعمل التعدين ، وكيفية التحقق من كل كتلة) من قبل الشبكة ، وهو ما يسمى \"الإجماع\". عندما تحتاج أي من هذه القواعد إلى التغيير أو الترقية ، يجب أن توافق الشبكة على القواعد الجديدة ، مما يتسبب في \"الانقسام الصعب\" - وهو الموقف الذي تنقسم فيه الشبكة فعليًا إلى سلسلتين من الكتل - واحدة على القواعد القديمة ، و واحد على القواعد الجديدة. </p>\n<p> عندما يوافق كل فرد في المجتمع على تغييرات القاعدة ، يطلق عليها \"مفترق صلب غير مثير للجدل\" ، والسلسلة التي لا تزال لديها القواعد القديمة تموت ولا يتم تعدينها بعد الانقسام الكلي. كان هذا هو الحال في كل لعبة Monero hard-fork تقريبًا ، والاستمرار الوحيد للقواعد القديمة كان من خلال المشاريع التي تحاول جني الأرباح من الهارد فورك. </p>\n<p> في حين أن الهارد فورك غير الخلافية هي الطريقة الوحيدة لترقية الجوانب المهمة لشبكة Monero بشكل صحيح ، إلا أن لها أيضًا تأثيرًا جانبيًا محبطًا - فالبرامج القديمة ، التي تم إصدارها قبل التخطيط لـ hard fork ، لا يمكنها فهم الجديد قواعد الشبكة وهكذا لا يعمل بعد هارد فورك! يمكن أن يؤدي هذا إلى اعتقاد المستخدمين بضياع الأموال ، والاعتقاد بأن Monero blockchain قد توقف ، وعدم القدرة على نقل الأموال حتى يقومون بترقية محفظتهم. </p>';

  @override
  String get knowledge250Sbupgrades250Sb2250Sbtitle => 'ما هي الهارد فورك؟';

  @override
  String get knowledge250Sbupgrades250Sb3250Sbtext => '<p> نظرًا لعدم وجود سلطة مركزية أو مدير تنفيذي أو رئيس لشركة Monero ، فإن العمل على تحديد وقت ترقية الشبكة وما يجب تضمينه وكيفية القيام به يقع على عاتق <em> نحن </em> ، مجتمع Monero الذي اختار المشاركة والتفاعل! يعد هذا جزءًا مهمًا للغاية من المشروع اللامركزي ، حيث أن التخطيط واتخاذ القرار الخاص بالمشروع يكونان في نهاية المطاف لا مركزيًا ويتم الحصول عليهما من المجتمع.\n<p> يحدث تخطيط التوقيت والميزات المضمنة في كل ترقية للشبكة في Monero في مكانين رئيسيين: </p>\n<ol type=\"1\">\n<li> <p> في IRC و Matrix ، أكثر منصات الدردشة استخدامًا في مجتمع Monero (والتي يتم ربطها معًا). تسمح هذه الأنظمة الأساسية بإجراء محادثات جماعية كبيرة حيث تُعقد جميع اجتماعات مجتمع Monero واجتماعات التطوير واجتماعات معمل الأبحاث المجدولة. هذه الاجتماعات هي أفضل طريقة للاستماع (أو المساهمة!) في التخطيط والمناقشة حول ترقيات الشبكة في Monero. </p> </li>\n<li> <p> على Github ، منصة الاتصال الرئيسية لمناقشات Monero طويلة المدى والتخطيط والتنظيم. يستخدم مجتمع Monero Github لتنظيم الاجتماعات ومناقشة الميزات والأفكار الجديدة وتنسيق تخطيط ترقيات الشبكة بالإضافة إلى تخزين الكود الخاص بمشروع Monero. </p> </li>\n</ol>\n<p> إذا كانت لديك فكرة مهمة لترقية الشبكة ، أو لا تحب النهج الذي يتم اتباعه ، أو لديك مخاوف بشأن توقيت الترقية ، فمن المهم أن تتحدث وتعرض حالتك بوضوح على المجتمع! [X1521X ]';

  @override
  String get knowledge250Sbupgrades250Sb3250Sbtitle => 'من الذي يقرر متى يتم تحديث شبكة Monero وما الذي يتم تضمينه؟';

  @override
  String get knowledge250Sbupgrades250Sb4250Sbtext => '<p> نظرًا لأن الترقيات إلى شبكة Monero تتطلب التنسيق والموافقة من المجتمع جنبًا إلى جنب مع تحديثات البرامج ، فمن المهم للغاية أن يشارك أكبر عدد ممكن من الأشخاص في عملية التخطيط والاختبار والاتصال الخاصة بترقيات الشبكة. </p>\n<p> إليك بعض الطرق السهلة التي يمكنك من خلالها تسهيل الأمور حول ترقية الشبكة: </p>\n<ol type=\"1\">\n<li> انضم إلى اجتماعات التخطيط <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://github.com/monero-project/meta/issues\"> المنشورة على Github </a> ، واستمع إليها ، وساهم إذا كان لديك شيء ذي صلة لإحضاره. </li>\n<li> قم بإبلاغ التفاصيل حول توقيت ترقية الشبكة (بمجرد تحديده!) إلى البورصة أو المحفظة أو مجموعة التعدين المفضلة لديك. قد يكون من الصعب إخطار جميع مستخدمي Monero بالترقية بشكل صحيح ، لذلك من المهم أن نساعد جميعًا حيث يمكننا نشر الخبر. </li>\n<li> اختبر البرنامج قبل ترقية الشبكة. ستكون هناك دعوة للمختبرين قبل ترقية الشبكة ، على كل من testnet و stagenet ، للتأكد من أن كل جانب من جوانب الترقية قد تم تخطيطه وتنفيذه بشكل صحيح في البرنامج. كلما زاد عدد الأشخاص المشاركين واختبروا الإصدارات الجديدة بدقة ، زادت احتمالية سير ترقية الشبكة بسلاسة! </li>\n<li> بمجرد نشر الإصدارات المتوافقة مع ترقية الشبكة ، تأكد من الترقية على الفور! كلما زاد عدد الأشخاص الذين تمت ترقيتهم وأصبحوا جاهزين لترقية الشبكة ، زادت سلاسة التعامل مع الشبكة وتقليل الصداع الذي سيواجهه المستخدمون. </li>\n</ol>';

  @override
  String get knowledge250Sbupgrades250Sb4250Sbtitle => 'كيف يمكنني المساعدة في ترقيات الشبكة؟';

  @override
  String get knowledge250Sbupgrades250Sb5250Sbtext => '<p> بينما لم يتم تحديد موعد محدد بعد ، سيكون هناك ترقية للشبكة قريبًا لتنفيذ بعض الترقيات والميزات الرئيسية في Monero: </p>\n<ol type=\"1\">\n<li> زيادة حجم الحلقة من 11 إلى 16 ، مما يؤدي إلى زيادة مجموعة إخفاء الهوية الأساسية (اقرأ: الإنكار المعقول أو الخصوصية الأساسية) لكل معاملة على الشبكة </li>\n<li> <a class=\"next-link\" target=\"_blank\" href=\"https://localmonero.co/knowledge/view-tags-reduce-monero-sync-time\"> عرض العلامات ، طريقة رائعة لتقليل أوقات مزامنة المحفظة بنسبة 30-40٪ </a> </li>\n<li> تغييرات الرسوم ، وتحسين أمن ومرونة الشبكة للتغيرات السريعة في سوق الرسوم أو الهجمات التي تشنها الكيانات الخبيثة </li>\n<li> <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://www.getmonero.org/2020/12/24/Bulletproofs+-in-Monero.html\"> Bulletproofs + ، تحسن إضافي في كفاءة معاملات Monero </a> </li>\n</ol>\n<p> ستقطع هذه التغييرات شوطًا طويلاً في زيادة خصوصية وكفاءة وأمان الشبكة ، كل ذلك مع تمهيد الطريق لـ <a class=\"next-link\" target=\"_blank\" href=\"https://localmonero.co/knowledge/seraphis-for-monero\"> Seraphis </a> ، بروتوكول المعاملات من الجيل التالي لـ Monero. </p>';

  @override
  String get knowledge250Sbupgrades250Sb5250Sbtitle => 'ما الذي يمكن أن أتوقعه في الترقية التالية لشبكة Monero؟';

  @override
  String get knowledge250Sbupgrades250Sb6250Sbtext => '<p> يعد موضوع hard forks وترقيات الشبكة موضوعًا واسعًا وهناك تاريخ طويل ومخزن لها في Monero ، لذا تأكد من البحث في بعض الروابط التالية إذا كنت ترغب في معرفة المزيد عن التاريخ أو العملية أو التخطيط الجاري للترقية القادمة للشبكة! </p>\n<ul>\n<li> <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://github.com/monero-project/meta/issues/630\"> تخطيط هارد فورك Monero v15 </a> </li>\n<li> <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://github.com/monero-project/monero#scheduled-software-upgrades\"> ترقيات البرامج المجدولة (في Monero) </a> </li>\n<li> <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://web.getmonero.org/2020/09/01/note-scheduled-upgrades.html\"> ملاحظة حول ترقيات البروتوكول المجدولة </a> </li>\n</ul>';

  @override
  String get knowledge250Sbupgrades250Sb6250Sbtitle => 'كيف يمكنني معرفة المزيد؟';

  @override
  String get knowledge250Sbupgrades250Sbdescription => 'غالبًا ما يُساء فهم دور هارد فورك XMR - اليوم ، سنتعرف على ماهيتهم ولماذا هم مهمون.';

  @override
  String get knowledge250Sbupgrades250Sbtitle => 'كيف تستخدم Monero الهارد فورك لترقية الشبكة';

  @override
  String get knowledge250SbviewTags250Sb0250Sbtext => '<p> من أكثر الشكاوى شيوعًا حول استخدام Monero يومًا بعد يوم هو الوقت الذي يمكن أن تستغرقه لمزامنة المحفظة قبل التمكن من إرسال Monero. لحسن الحظ ، وجد المطورون والباحثون في مجتمع Monero طريقة رائعة لتقليل الوقت الذي تستغرقه لمزامنة محفظتك بنسبة 40٪ + دون أي اضافات أو رسوم إضافية من blockchain وما إلى ذلك. </p>\n\n<p> أدخل \"علامات العرض\" ، وهي إضافة أحادية البايت إلى بيانات كل معاملة - تأتي إلى Monero في التحديث التالي للشبكة! </p>';

  @override
  String get knowledge250SbviewTags250Sb1250Sbtext => '<p> أحد الأسئلة الأولى التي يتعين علينا الإجابة عليها لفهم الحاجة إلى حل مثل علامات العرض بشكل أفضل هو السبب في أن مزامنة محفظة Monero أبطأ من العملات المشفرة مثل Bitcoin. </p>\n<p> في Bitcoin ، نظرًا لأ⁸ن جميع المعاملات ليست خاصة وتكشف عن العملات التي يتم إنفاقها والمبالغ والعناوين المتضمنة في السلسلة ، يمكن لمحافظ Bitcoin ببساطة البحث عن أي مخرجات معاملات غير منفقة (UTXOs) أو عناوين مستخدمة لمحفظة معينة ، يقوم بمسح blockchain سريعًا بحثًا عن UTXOs فقط المملوكة لتلك العناوين لمعرفة العملات المعدنية التي تنتمي إلى محفظتك والتي يمكن إنفاقها. </p>\n<p> في Monero ، ومع ذلك ، تحافظ جميع المعاملات على خصوصية المستخدم عن طريق إخفاء المرسل والمستلم والمبالغ المتضمنة في كل معاملة. هذه الخصوصية ، على الرغم من كونها حيوية لحماية مستخدمي الشبكة ، تقدم أيضًا مزامنة أبطأ للمحفظة. في Monero ، يجب أن تقارن محفظتك كل إخراج معاملة (TXO) موجود على الشبكة بالمفاتيح الخاصة لمحفظتك. </p>\n<p> تتضمن هذه المقارنة الكثير من العمليات الحسابية المعقدة والتشفير للتحقق من أن المخرجات تخصك حقًا ، نظرًا لأن جميع المبالغ والعناوين والمخرجات المعروفة (أو العملات المعدنية) مخفية على السلسلة في Monero. </p>';

  @override
  String get knowledge250SbviewTags250Sb1250Sbtitle => 'لماذا تكون مزامنة محفظة Monero أبطأ من مزامنة Bitcoin؟';

  @override
  String get knowledge250SbviewTags250Sb2250Sbtext => '<p> كطريقة للمساعدة في تقليل وقت المزامنة لمحافظ Monero ، <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://github.com/monero-project/research-lab/issues/73\"> توصل باحث يُدعى UkoeHB إلى نهج جديد </a> - إضافة \"علامة\" 1 بايت لكل معاملة باستخدام سر مشترك معروف فقط لمرسل ومتلقي تلك المعاملة. </p>\n<p> يتم إنشاء هذا السر المشترك بواسطة المرسل باستخدام العنوان المقدم له من قبل المستلم ، ولا يتطلب أي تعاون نشط من قبل المرسل والمستقبل. ثم يتم إضافة البايت الأول (أو الحرف) من هذا السر المشترك إلى بيانات المعاملة عند نشره على شبكة Monero. </p>\n<p> عندما يريد أحد المشاركين في هذه المعاملة مزامنة محفظته مع Monero blockchain بعد ذلك ، بدلاً من الحاجة إلى إجراء جميع العمليات الحسابية المعقدة والتشفير لكل TXO على الشبكة ، يمكن للمحفظة الآن التحقق من هذا الحقل المكون من 1 بايت في كل معاملة وبعد ذلك فقط إجراء التحقق الذي يستغرق وقتًا طويلاً على المعاملات التي تحتوي على هذه العلامة - 1/256 TXOs على الشبكة ، على وجه الدقة! </p>\n<p> لا تكشف هذه العلامة عن أي معلومات حول المعاملة للمشاهدين الخارجيين ، بل تضيف فقط 1 بايت (مبلغ ضئيل) إلى أحجام المعاملات ، ومع ذلك تسمح لنا بتقليل أوقات المزامنة بنسبة 40٪ + عن طريق تقليل عمليات التحقق المعقدة ضروري!';

  @override
  String get knowledge250SbviewTags250Sb2250Sbtitle => 'ما هي مشاهد العرض؟';

  @override
  String get knowledge250SbviewTags250Sb3250Sbtext => '<p> تخيل أن لديك 4096 صندوقًا في غرفة ، منها 5 صناديق فقط ملك لك. لا يمكن تمييز الصناديق تمامًا عن الخارج ، والطريقة الوحيدة لمعرفة ما إذا كان الصندوق مناسبًا لك هو فتحه وحل مشكلة رياضية تستغرق وقتًا طويلاً مكتوبة بالداخل للتأكد من أنها ملكك. </p>\n<p> الآن ، تخيل أنك قررت أن تجعل الشخص الذي يرسل لك هذه الصناديق الخمسة ينشئ رمزًا خاصًا باستخدام عنوانك ، ثم يضع فقط الحرف الأول من هذا الرمز الذي تم إنشاؤه على الجزء الخارجي من كل صندوق يتم إرساله إليك. يفعل كل شخص آخر نفس الشيء مع الصناديق الخاصة بهم (للتأكد من أن جميع الصناديق لا تزال غير قابلة للتمييز) ، ولكن الآن يمكنك ببساطة إلقاء نظرة على رمز الحرف الواحد الموجود على الجزء الخارجي من الصندوق ، وفتح فقط تلك المربعات التي تحتوي على تلك الشخصية. [ X753X]\n<p> في حين أن المربعات الأخرى ستطابق الكود الخاص بك ، حتى بعض المربعات التي لا تملكها ، فإن عدد المربعات التي تحتاج إلى فتح وحل مشكلة حسابية هو الآن 16 فقط (1/256 صندوقًا!) بدلاً من كل 4096. </p>\n<p> الآن تفتح تلك الصناديق الستة عشر ، وتحل مسائل الرياضيات ، وتحتفظ بالمربعات الخمسة التي تخصك بالفعل من تلك المجموعة! </p>';

  @override
  String get knowledge250SbviewTags250Sb3250Sbtitle => 'عرض العلامات: مثال مبسط';

  @override
  String get knowledge250SbviewTags250Sb4250Sbtext => '<p> تعد علامات العرض إحدى الميزات المخطط لها حاليًا للتضمين في ترقية الشبكة القادمة <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://github.com/monero-project/meta/issues/630\"> </a> ، ويجب إصدارها في وقت ما هذا الربيع. أثار المجتمع <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://bounties.monero.social/posts/28/implement-view-tags-to-decrease-wallet-sync-times-in-monero\"> 23.3XMR </a> (في وقت كتابة هذا التقرير) لتحفيز تطوير وتنفيذ مشاهد العرض ، ونتيجة لذلك فإن الغالبية العظمى من العمل لتضمين علامات العرض في قاعدة أكواد Monero قد تم بالفعل أكمل بواسطة j-berman بالتعاون مع المراجعين والباحثين. </p>\n<p> بمجرد أن يتم فرض علامات العرض بواسطة الشبكة ، ستستفيد جميع المعاملات المرسلة بعد ترقية الشبكة من وقت مزامنة المحفظة المحسن بشكل كبير. لن تحتاج إلى القيام بأي شيء خاص لبدء استخدام علامات العرض ، ستبدأ محفظتك المفضلة لـ Monero في استخدامها بعد ترقية الشبكة تلقائيًا! </p>';

  @override
  String get knowledge250SbviewTags250Sb4250Sbtitle => 'متى ستتوفر مشاهد العرض في Monero؟';

  @override
  String get knowledge250SbviewTags250Sb5250Sbtext => '<p> إذا أثار هذا فضولك حول علامات العرض ، فقم بإلقاء نظرة أدناه للحصول على بعض الروابط الإضافية التي تتعمق في الموضوع: </p>\n<ul>\n<li> <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://github.com/monero-project/research-lab/issues/73\"> تقليل أوقات المسح باستخدام 1 بايت لكل إخراج \"علامة عرض\" </a> </li>\n<li> <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://github.com/monero-project/monero/pull/8061\"> أضف علامات عرض إلى المخرجات لتقليل وقت مسح المحفظة </a> </li>\n</ul>';

  @override
  String get knowledge250SbviewTags250Sb5250Sbtitle => 'كيف يمكنني معرفة المزيد؟';

  @override
  String get knowledge250SbviewTags250Sbdescription => 'واحدة من أكثر الشكاوى شيوعًا حول Monero هي أوقات مزامنة المحفظة - اليوم نتحدث عن طريقة رائعة وجدها المطورون لتقليلها.';

  @override
  String get knowledge250SbviewTags250Sbtitle => 'عرض العلامات: كيف سيؤدي البايت الواحد إلى تقليل أوقات مزامنة محفظة Monero بنسبة 40٪ +';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbbtc250Sbdecentralized250Sbtext => 'عملة البيتكوين نفسها لا مركزية ، لكن معظم خدمات الخلط مركزية. هذا يعني أنك بحاجة إلى الوثوق بهم. ومع ذلك ، فإن بعض الأحدث ، مثل محفظة Wasabi ليست كذلك.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbbtc250Sbfungibility250Sbtext => '<p>\n                          ليست كل عملات البيتكوين متساوية ولها نفس القيمة. تم إدراج بعض عملات البيتكوين في القائمة السوداء وحظرها من قبل العديد من الكيانات ، مما يجعل هذه العملات أقل قيمة من البقية. إذا تلقيت عملات Bitcoins التي تم استخدامها في الماضي لأغراض غير قانونية ، فقد يتم إدراج عملات Bitcoins الخاصة بك في القائمة السوداء على الرغم من أنه ليس لديك أي علاقة بالنشاط غير القانوني. أو ، لنفترض أن الحكومة أو صاحب العمل أو أي كيان آخر قرر إدراج عملات البيتكوين الخاصة بك في القائمة السوداء في المستقبل ، مثلما يفعلون مع تجميد الأصول أو مصادرتها. لن يكون هناك شيء يمكنك القيام به. نظرًا لأن الخليط يجعل من الصعب فقط تتبع عملات البيتكوين الخاصة بك ، فقد تم تمييز هذه الفئة على أنها & quot؛ غير قابلة للاستبدال. & quot؛\n                        </p>\n\n                        <ul class = \"disc\">\n                          <li>\n                            يقر Andreas Antonopoulos ، مطور Bitcoin Core السابق الذي يحظى باحترام كبير في Bitcoin ومجتمعات العملات المشفرة الأخرى ، بمشكلة قابلية عمل Bitcoin في <a href = \"https://www.youtube.com/watch؟ .be & t = 33m9s \"> فيديو YouTube </a>.\n                          </li>\n                          <li>\n                            مناقشة مشكلة قابلية عمل البيتكوين على <a href=\"https://bitcointalk.org/index.php؟topic=1190707.0\"> Bitcointalk.org\n                            </a>\n                          </li>\n                        </ul>';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbbtc250Sbprivate250Sbtext => '<p>\n                          جميع معاملات Bitcoin مرئية على blockchain وهناك قائمة غنية بالبيتكوين <a href=\"http://www.bitcoinrichlist.com/top100\"> </a> ، لذا فإن Bitcoin ليست خاصة. البيتكوين هو <a href=\"https://bitcoin.org/en/you-need-to-know\"> اسم مستعار </a> ، وليس مجهولاً.\n                        </p>\n\n                        <p>\n                          بالنسبة إلى <b> خلاطات Bitcoin </b> ، عليك أن تثق في أنهم يستطيعون الحفاظ على بياناتهم آمنة وأنهم لا يملكون أو يتعاونون مع حكومة أو قراصنة أو كيانات أخرى.\n                        </p>\n\n                        <p>\n                          في يوليو من عام 2017 ، أعلن مؤسس أكبر خدمة لخلط البيتكوين ، BITMIXER.IO ، أنهم كانوا يغلقون وأعطى سبب ذلك:\n                        </p>\n\n                        <blockquote>\n                          <div class=\"quote\">\n                            <p>\n                              &hellip; أدركت الآن أن البيتكوين هو نظام شفاف غير مجهول <b> حسب التصميم </b>. Blockchain هو كتاب مفتوح رائع &hellip;\n                            </p>\n                          </div>\n\n                          <footer>\n                            <p>\n                              BITMIXER.IO ، في إعلان إغلاق يوم <a href=\"https://bitcointalk.org/index.php?topic=2042470.msg20357093#msg20357093\"> Bitcointalk.org </a> (التشديد في الأصل).\n                            </p>\n                          </footer>\n                        </blockquote>\n\n                        <p>\n                          بعد بضعة أسابيع ، بعد النظر في العملات المعدنية التي تركز على الخصوصية ، قال هذا:\n                        </p>\n\n                        <blockquote>\n                          <div class=\"quote\">\n                            <p>\n                              بعد التحقيق العميق ، أؤكد أن MONERO هي أفضل عملة للخصوصية. لذلك أوصي بشدة باستخدام MONERO لجميع الأشخاص الذين يحتاجون إلى مزيد من الخصوصية.\n                            </p>\n                          </div>\n\n                          <footer>\n                            <p>\n                              BITMIXER.IO ، في مشاركة متابعة <a href=\"https://bitcointalk.org/index.php?topic=2042470.msg21113378#msg21113378\"> </a>.\n                            </p>\n                          </footer>\n                        </blockquote>';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbbtc250Sbuntraceable250Sbtext => ' <p>\n                          نظرًا لأن جميع معاملات Bitcoin مرئية على blockchain ، يمكن تتبع جميع معاملات Bitcoin. يمكن لمزج البيتكوين تشويش المعاملات بشكل كبير ، مما يجعل من الصعب على شخص ما تتبع عملات البيتكوين ، ولكن ليس مستحيلاً. مع تقدم التكنولوجيا وأصبحت الشركات المتخصصة في تتبع معاملات البيتكوين أكثر انتشارًا ، بمجرد أن يصبح من السهل نسبيًا تتبع المعاملات شديدة الغموض:\n                        </p>\n\n                        <ul class=\"disc\">\n                          <li>\n                            <a href=\"https://news.bitcoin.com/law-enforcement-continues-invest-bitcoin-tracking-services/\"> يواصل تطبيق القانون الاستثمار في خدمات تتبع البيتكوين\n                            </a>\n                          </li>\n                          <li>\n                            <a href=\"http://time.com/3689359/bitcoins-track-anonymous/\"> Time.com: تتبع عملات البيتكوين أسهل مما تعتقد\n                            </a>\n                          </li>\n                          <li>\n                            <a href=\"https://www.elliptic.co/\">\n                              Elliptic: شركة متخصصة في تتبع البيتكوين لإنفاذ القانون\n                            </a>\n                          </li>\n                        </ul>\n\n                        <p>\n                          سيكشف بحث Google عن عشرات المقالات مثل تلك المذكورة أعلاه. وتذكر أن أي معاملة حدثت في أي وقت في الماضي تكون على blockchain ويمكن تتبعها ، حتى لو تم استخدام خدمة الخلط. في الواقع ، من المرجح أن يؤدي استخدام خدمة الخلط إلى لفت الانتباه إلى تلك المعاملات.\n                        </p>';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbdash250Sbdecentralized250Sbtext => 'ليست كل عُقد DASH متساوية. هناك فئة فائقة من العقد ، تسمى <i> Masternodes </i> التي يمتلك أصحابها تأثيرًا أكبر على النظام من مشغلي العقد العاديين. هذا يجعل نظام DASH شبه مركزي بدلاً من النظام اللامركزي المثالي بنسبة 100٪.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbdash250Sbfungible250Sbtext => 'نظرًا لأن المعاملات ليست خاصة ، فهناك احتمال لقيام كيان بحظر أو إدراج عملات معينة في القائمة السوداء ، مما يجعلها أقل قيمة من غيرها. راجع الملاحظة حول عدم وجود قابلية استبدال Bitcoin أدناه لأن نفس المبدأ ينطبق على DASH.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbdash250Sbprivate => 'لدى DASH قائمة غنية بـ <a href=\"https://bitinfocharts.com/top-100-richest-darkcoin-addresses.html\"> </a> ، لذا فهذه ليست عملة خاصة. التفاصيل المالية لعناوين العملات مرئية لأي شخص يقوم بفحص blockchain.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbdash250Sbprivate250Sbanother8722Sbquote => ' <b> قام Peter Todd </b> ، مطور Bitcoin Core ومُصمم تشفير آخر ، بإصدار <a href=\"https://twitter.com/petertoddbtc/status/622022840330682368\"> بيانًا مشابهًا </a>.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbdash250Sbprivate250Sbquote => '<blockquote>\n                          <div class=\"quote\">\n                            <p>\n                              DASH ليست خاصة بالتشفير على الإطلاق. في الواقع ، كان لدي شريحة في سطح السفينة كانت مثل \"DASH ، LOL\" ، ولا تشبه أي شيء آخر ... إنه زيت ثعبان وأنا فقط نوعا ما بجانبي، شخصيًا.\n                            </p>\n                          </div>\n\n                          <footer>\n                            <p>\n                              <b> جريجوري ماكسويل </b> ، مطور Bitcoin Core ومصمم التشفير ، في عرض تقديمي <a href=\"https://archive.21mil.com/blockstream-cto-greg-maxwell-discusses-monero-zcash-privacy-focused-altcoins/\"> إلى Coinbase\n                             </a>.\n                            </p>\n                          </footer>\n                        </blockquote>';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbdash250Sbuntraceable250Sbtext => 'يتم توجيه المعاملات من خلال سلسلة من <a href=\"https://www.dash.org/masternodes/\"> Masternodes </a> لجعلها غير قابلة للتعقب. قد تنجح هذه الممارسة إذا كان لدى جميع مشغلي ماسترنود دوافع خالصة فقط. ومع ذلك ، إذا قامت حكومة ، أو مجموعة من المتسللين ، أو كيان آخر ، أو حتى فرد بشراء العديد من الرموز الرئيسية (لن تكون هناك طريقة لمعرفة ما إذا كان هذا قد حدث) وما إذا كانت المعاملة قد مرت عبر طريق حيث كانت جميع الرموز الرئيسية مملوكة لهذا الكيان ، ثم يمكن تتبع المعاملة من قبل هذا الكيان. نظرًا للتكلفة المنخفضة نسبيًا لـ Masternodes والميزانية الهائلة للحكومات وبعض المنظمات ، فإن إمكانية تتبع العملات المعدنية أمر حقيقي.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbdisclaimer => 'تم إنشاء هذا الموقع بواسطة مستخدمي Monero. كان هناك وقت لم نكن فيه من مستخدمي Monero ولكننا كنا قلقين بشأن الخصوصية المالية. لقد بحثنا في العملات المعدنية التي ادعى أنها خاصة وهذه الصفحة هي نتيجة بحثنا. لهذا السبب اخترنا Monero على البقية. لذلك ، إذا بدا أننا متحيزون ، فنحن كذلك ، لكننا نعتقد أن التحيز يعتمد على الحقائق التي يمكنك قراءتها أدناه والتحقق منها بنفسك.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbgrin250Sbdecentralized250Sbtext => 'ليس لدى Grin جائزة أولية أو مكافأة مؤسس أو ماسترنود أو خزانة. لم يكن لديهم ICO ، ويتم تشغيلهم بطريقة تناسب المجتمع اللامركزي. Grin لامركزية.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbgrin250Sbfungiblity250Sbtext => 'نظرًا لأن جميع المعاملات خاصة بشكل مشكوك فيه ، ويمكن تتبعها ، فهناك إمكانية لبناء رسم بياني للمعاملات ، والذي يمكن من خلاله الحصول على معلومات قيمة يمكن استخدامها ضد أي فرد فيما يتعلق بعادات الإنفاق الخاصة به. يمكن بعد ذلك ربط المخرجات بالهويات ، وعلى الرغم من عدم رؤية المبالغ ، فإن حقيقة أن المخرجات يمكن ربطها بهوية تعني أن المخرجات يمكن أن تكون ملوثة ، فقط من أساس من احتفظ بها. نعتقد أن هذا يعني أن Grin ليس قابلاً للاستبدال ، حيث قد تكون بعض المخرجات ملوثة بينما البعض الآخر لن يكون كذلك.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbgrin250Sbprivate250Sbtext => 'لا يحتوي Grin على قائمة غنية ، والتي من شأنها أن تشير إلى شكل من أشكال الخصوصية. في الواقع ، لا يستطيع المهاجمون السلبيون الذين يفحصون السلسلة معرفة العنوان الذي يحتوي على مقدار المال فيه ، ويرجع ذلك جزئيًا إلى إخفاء المبالغ عبر المعاملات السرية ، ويرجع ذلك جزئيًا إلى عدم تخزين بيانات العنوان على السلسلة ، وجزئيًا بسبب تقنية Mimblewimble المتقطعة ، حيث المعاملات الوسيطة يمكن إزالتها من السلسلة ، تاركًا القليل من البيانات الوصفية من المعاملات السابقة.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbgrin250Sbuntraceablity250Sbtext => 'لا تدافع Grin ضد مهاجم نشط يقوم ببناء رسم بياني للمعاملات. من الممكن لكل من المعدنين والعقدة المعدلة قليلاً مشاهدة كل معاملة وحفظها قبل بدء تقنية القطع ، وإنشاء رسم بياني كامل للمعاملات من هنا ، إلى جانب الاحتفاظ بجميع بيانات \"القطع\". لن يكونوا قادرين على تمييز أي معلومات قبل وقت البدء ، ولكن كل شيء بعد أن يبدأوا سيكون بيانات وصفية قيّمة يمكنهم من خلالها ربط المعاملات.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbintro => 'فيما يلي تحليل للعملات المشفرة المعروفة التي تدعي عدم الكشف عن هويتها و / أو عدم القدرة على التعقب كمميز رئيسي لها. لا تدخل Bitcoin نفسها في نطاق هذا التحليل لأنه لم يُزعم أبدًا أنها مجهولة المصدر.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbmonero250Sbafterword8722Sb0 => 'كان Monero مفتوح المصدر بنسبة 100٪ منذ بدايته ، مما يعني أنه يمكن لأي شخص عرض كود مصدر البرنامج <a href=\"https://github.com/monero-project/bitmonero\"> </a> للتحقق من عدم وجود أبواب خلفية وأن البرنامج آمن.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbmonero250Sbafterword8722Sb1 => 'لدى Monero أيضًا <a href=\"https://lab.getmonero.org/\"> أوراق بحثية تمت مراجعتها من قِبل النظراء </a> والتي تتحقق رياضيًا ومنهجيًا من جميع خصائصها المذكورة أعلاه.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbmonero250Sbdecentralized => 'جميع عقد Monero متساوية. لا توجد فئة فائقة من العقد التي لها تأثير أو سيطرة أكبر على المعاملات أكثر من العقد الأخرى. لا يمكن لأي شخص أو كيان تتبع المعاملات من خلال امتلاك عقد متعددة. بالإضافة إلى ذلك ، لا يوجد إعداد موثوق به. هذا يعني أن الحاجة إلى الثقة في شخص أو كيان ليست عاملاً. الأشياء الوحيدة التي يجب الوثوق بها هي الكود المصدري (الذي يمكن لأي شخص التحقق منه) والرياضيات.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbmonero250Sbfungible => 'جميع العملات متساوية ولها نفس القيمة. لا يمكن للمستخدم أو البائع أو أي كيان آخر حظر عملات Monero معينة أو وضعها في القائمة السوداء لأن تاريخ معاملة عملات Monero غامض.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbmonero250Sbprivate => 'يستخدم Monero نظامًا صوتيًا مشفرًا يسمح لك بإرسال الأموال واستلامها دون أن تكون معاملاتك مرئية للجمهور على blockchain (دفتر الأستاذ الموزع للمعاملات). هذا يضمن أن عمليات الشراء والإيصالات والتحويلات الأخرى الخاصة بك تظل <b> خاصة بشكل افتراضي </b>. المرسل والمتلقي ومبلغ المعاملة كلها خاصة. تحتوي بعض العملات على \"قائمة غنية\" تتيح لأي شخص معرفة الحساب الذي يحتوي على أكبر عدد من العملات. نظرًا لأن Monero خاص ، لا يمكن أن توجد قائمة Monero الغنية <a href=\"http://moneroblocks.info/richlist\"> </a>.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbmonero250Sbsecure => 'باستخدام شبكة إجماع موزعة من نظير إلى نظير ، يتم تأمين كل معاملة بشكل مشفر. تحتوي الحسابات الفردية على بذرة من 25 كلمة يتم عرضها عند إنشائها ، والتي يمكن كتابتها لعمل نسخة احتياطية من الحساب. كلمة المرور إلزامية عند إنشاء المحفظة ، ويتم تشفير ملفات الحساب بعبارة مرور للتأكد من أنها لا قيمة لها في حالة سرقتها.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbmonero250Sbuntraceable => 'من خلال الاستفادة من توقيعات الحلقة (خاصية خاصة لأنواع معينة من التشفير) ، تتيح Monero المعاملات التي لا يمكن تعقبها. هذا يعني أن الأموال التي تم إنفاقها غامضة ، وبالتالي من غير المحتمل للغاية أن يتم ربط معاملة ما بمستخدم معين.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sboverview250Sbsubtitle => 'حدد شعارًا للانتقال إلى تحليل العملة.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sboverview250Sbtable250Sbno => 'رقم';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sboverview250Sbtable250Sbnot8722Sbcompletely => 'ليس تماما';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sboverview250Sbtable250Sbsometimes => 'بعض الأحيان';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sboverview250Sbtable250Sbunsure => 'غير متأكد';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sboverview250Sbtable250Sbyes => 'نعم';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sboverview250Sbtitle => 'ملخص';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbtitle => 'تحليل العملة';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbtxs8722Sbare8722Sbsecure => 'المعاملات آمنة من الناحية المشفرة.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbzcash250Sbdecentralized250Sbtext => '<p>\n                          Zcash هي شركة وحالياً <a href=\"https://z.cash/blog/funding.html\"> تحصل على 20٪ من كل ZEC الملغومة كمكافأة للمؤسس </a>.\n                        </p>\n\n                        <p>\n                          تطلب Zcash إعدادًا موثوقًا به <b> </b>. هذا يعني أنه عليك أن تثق في أن النظام قد تم إعداده بأمانة. إذا لم يتم إعداده بصدق ، يمكن إنشاء كميات غير محدودة من ZEC <a href=\"https://blog.okturtles.com/2016/03/the-zcash-catch/\"> دون أن يعرف أحد </a>. هذا من شأنه أن يجعل المخترق ثريًا ويقلل من قيمة ZEC. لا توجد طريقة لمعرفة ما إذا تم تنفيذ \"الإعداد الموثوق به\" بأمانة. علينا أن نأخذهم في كلمتهم. يقدم هذا نقطة فشل بشرية في النظام والتي تتعارض مع كل عملة أخرى تقريبًا. يجب أن تثق فقط في الرياضيات ورمز المصدر الذي يمكن التحقق منه في العملات المشفرة ، وليس البشر. كما رأينا مع جميع شركات البرامج الكبيرة تقريبًا ، مثل <a href=\"https://www.gnu.org/proprietary/proprietary-back-doors.en.html\"> Microsoft </a> و <a href=\"http://www.digitaltrends.com/computing/apple-vs-fbi-backdoor-to-data-already-exists/\"> Apple </a> ، وحتى الحكومات ، لا ينبغي الوثوق بهم.\n                        </p>\n\n                        <p>\n                          قام Peter Todd ، مطور Bitcoin Core <a href=\"https://github.com/zcash/mpc/blob/master/README.md\"> بالمشاركة </a> في إعداد Zcash Trusted Setup ، بتسميته &quot; <a href=\"https://twitter.com/petertoddbtc/status/793584540891643906\"> باب خلفي </a> &quot;.\n                        </p>\n\n                        <blockquote>\n                          <div class=\"quote\">\n                            <p>\n                              Zcash ليس سليمًا بشكل غير مشروط ، ولا يمكن أن يكون مع التكنولوجيا الحالية ... يتطلب إعدادًا موثوقًا سيحتاج &hellip; إلى إعادة الإجراء [Trusted Setup] لترقية التشفير بمرور الوقت لذلك فهو يمثل ثغرة أمنية.\n                            </p>\n                          </div>\n\n                          <footer>\n                            <p>\n                              جريجوري ماكسويل ، مطور ومُصمم تشفير Bitcoin Core ، في عرض تقديمي <a href=\"https://youtu.be/LHPYNZ8i1cU#t=29m30s\"> إلى Coinbase </a>.\n                            </p>\n                          </footer>\n                        </blockquote>';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbzcash250Sbfungible => 'نظرًا لأن جميع المعاملات ليست خاصة ، فهناك احتمال لقيام كيان بحظر أو إدراج عملات معينة في القائمة السوداء ، مما يجعلها أقل قيمة من غيرها. راجع الملاحظة حول عدم وجود قابلية استبدال Bitcoin أدناه لأن نفس المبدأ ينطبق على Zcash.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbzcash250Sbprivate250Sbquote => '<blockquote>\n                          <div class=\"quote\">\n                            <p>\n                              وبالمناسبة ، أعتقد أننا يمكن أن نجعل Zcash يمكن تعقبه بشكل كبير بالنسبة للمجرمين مثل WannaCry ، ولكن لا يزال &amp; قابلاً للاستبدال.\n                            </p>\n                          </div>\n\n                          <footer>\n                            <p>\n                              <b> Zooko Wilcox </b> ، الرئيس التنفيذي لشركة Zcash ، في تغريدة <a href=\"https://twitter.com/zooko/status/863202798883577856\">\n                              </a>\n                            </p>\n                          </footer>\n                        </blockquote>\n\n                        <p>\n                          إذا كان من الممكن تتبع Zcash بشكل كبير ، فلا يمكن أن يكون خاصًا تمامًا أو يمكن استبداله.\n                        </p>';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbzcash250Sbprivate250Sbtext => 'معاملات Zcash مرئية على blockchain الخاصة بهم. أنها تمكن المعاملات المخفية ، ولكن <a href=\"http://stat.bloxy.info/superset/dashboard/zcash/\"> أقل من 1٪ من المعاملات محمية بالكامل </a>. نظرًا لأن المعاملات المخفية اختيارية وليست الافتراضية (ناهيك عن استخدامها نادرًا) ، تبرز المعاملات المخفية <a href=\"http://weuse.cash/2016/06/09/btc-xmr-zcash/\"> على blockchain </a> ، مما يلفت الانتباه إلى نفسها.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbzcash250Sbuntraceable250Sbtext => 'المعاملات المنتظمة شفافة. تستخدم المعاملات المخفية zk-SNARKS ، التي تتمتع بضمانات خصوصية قوية في ظل ظروف معينة. السؤال هو ما إذا تم استيفاء هذه الشروط ، ورؤية العدد الضئيل من الأشخاص الذين يستخدمون القدرات المحمية ، يظل هذا موضع تساؤل.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbzcoin250Sbdecentralized250Sbtext => 'نفذت Zcoin Znodes ، والتي تعمل بشكل مشابه لعقد Dash الرئيسية ، ولها قوة أكبر من العقد الأخرى على الشبكة. نظرًا لأن جميع العقد ليست متساوية ، والعامل الفاصل بينها هو مقدار المال الذي يمتلكه الفرد (تكلفة Znodes 1000 XZC) ، فإن الشبكة شبه مركزية.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbzcoin250Sbfungiblity250Sbtext => 'بعد بدء تشغيل المرحلة الأخيرة من Lelantus في عام 2021 ، من المفترض أن Zcoin سيكون قابلاً للاستبدال بسبب إنفاذ الخصوصية الإلزامي. في هذا الصدد ، سيكون منافسًا حقيقيًا لـ Monero. لكن...';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbzcoin250Sbnote => '<p> <strong> ملاحظة: </strong> ينتقل Zcoin من مخطط Sigma الحالي إلى بروتوكول جديد يعتمد على عمله الجديد ، Lelantus. سيتم تنفيذ Lelantus على مراحل ، وستفترض هذه المقالة اكتمال جميع المراحل وتنفيذها لإجراء مقارنات مناسبة جنبًا إلى جنب مع أوقات التنفيذ المتوقعة.\n<p> السبب في منح Zcoin هذه الرفاهية للحكم على بروتوكولها المستقبلي ، وليس Zcash ، هو أن Zcoin لديها خارطة طريق مع توقيتات عامة للتفعيل ، في حين أن خطط Zcash \"الخصوصية افتراضيًا\" لا تزال غامضة. [ X563X]';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbzcoin250Sbprivate250Sbtext => '<p> Zcoin (XZC) لن يكون لها قائمة غنية ، لذلك ستكون خاصة. بشكل افتراضي ، من المتوقع أن يتم نشر الخصوصية الإلزامية في عام 2021. بمجرد تنفيذها ، لن يكون من الممكن إنشاء قائمة غنية (على الرغم من أن <a href=\"https://www.coinexplorer.net/XZC/richlist\"> لديهم حاليًا </a>). </p> ';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbzcoin250Sbuntraceablity250Sbtext => 'مع تنفيذ المرحلة الأخيرة من Lelantus في عام 2021 ، لا ينبغي تتبع Zcoin ، على الرغم من أنه لم يتم استكشاف الهجمات النظرية بعد لأنه لم يتم إصدارها بعد أو لم يتم إطلاقها في البرية. في الوقت الحالي ، يمكن تتبع Zcoin إذا وضع أحد عنوان Zcoin <a href=\"https://explorer.zcoin.io/\"> </a> في مستكشف blockchain ويمكنك رؤية رصيده والمعاملات ذات الصلة.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbdecentraized250Sbtext => 'جميع العقد (العقدة هي مثيل قيد التشغيل من blockchain للعملة المعدنية) للشبكة متساوية. لا توجد فئة فائقة من العقد التي لها تأثير أو سيطرة أكبر على المعاملات أو النظام أكثر من العقد الأخرى.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbdecentralized250Sbtitle => 'لامركزية';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbdescription => 'لماذا تعتبر Monero أفضل عملة للخصوصية؟ لا يمكن أن توفر جميع العملات التي تركز على الخصوصية خصوصية بنسبة 100٪ وعدم إمكانية التتبع والأمان وإمكانية التبديل. اكتشف كيف تحل Monero كل هذه المشكلات مقارنة بعملات \"الخصوصية\" الأخرى.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbintro8722Sb0 => 'لا  يمكن لجميع العملات التي تركز على الخصوصية توفير خصوصية بنسبة 100٪ وعدم إمكانية التتبع والأمان وإمكانية التبديل في عملة معدنية لامركزية بنسبة 100٪ مع إعداد غير موثوق به. إليك ما هي هذه السمات وسبب أهميتها:';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbintro250Sbfungible250Sbtext => 'جميع العملات متساوية ولها نفس القيمة.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbintro250Sbfungible250Sbtitle => 'فطري';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbintro250Sbprivate250Sbtext => 'اموالك ليست مرئية للجمهور. لن يتمكن أي شخص يتابع blockchain الخاص بالعملة المعدنية من معرفة مقدار الأموال التي لديك.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbintro250Sbprivate250Sbtitle => 'خاص';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbintro250Sbsecure250Sbtext => 'يتم تشفير جميع المعاملات ويتم تشفير المحفظة التي تحتفظ بأموالك.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbintro250Sbsecure250Sbtitle => 'يؤمن';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbintro250Sbuntraceability250Sbtext => 'لا يمكن تتبع العملات من خلال تحليل blockchain أو مراقبة blockchain.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbintro250Sbuntraceable250Sbtitle => 'لا يمكن تعقبها';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbsummary => '<h2> ملخص </h2>\n <p> في رأينا ، Monero هو الخيار الواضح إذا كنت تبحث عن عملة مشفرة خاصة وآمنة ولا يمكن تعقبها وقابلة للتبديل ولا مركزية دون الحاجة إلى إعداد موثوق به. أي شيء آخر يعرض خصوصيتك وأمنك للخطر. لكن لا تأخذ رأينا فقط. قم بالبحث الخاص بك وانظر بنفسك. ضع في اعتبارك أن Monero معتمدة واستخدامها من قبل الكيانات التي تعتمد على الخصوصية وعدم القدرة على التتبع ، مثل:\n                  </p>\n\n                  <ul class=\"disc\">\n                    <li>\n                      <a href=\"https://www.reddit.com/r/Monero/comments/4xqrzd/sigaint_launches_tor_monero_node_as_its_operators/\"> SIGAINT </a>\n                    </li>\n\n                    <li>\n                      <a href=\"https://puri.sm/posts/purism-collaborates-with-cryptocurrency-monero-to-enable-mobile-payments/\"> نقاء </a>\n                    </li>\n\n                    <li>\n                      <a href=\"https://shop.wikileaks.org/donate#db9\"> ويكيليكس </a>\n                    </li>\n\n                    <li>\n                      تم إغلاق سوق AlphaBay (AB) في يوليو من عام 2017. تُظهر <a href=\"https://assets.documentcloud.org/documents/3898109/AlphaBay-Cazes-Forfeiture-Complaint.pdf\"> شكوى المصادرة الفيدرالية </a> ضد AB ما يلي:\n                      <ul class=\"disc\">\n                        <li>\n                          <b> Monero هي العملة المشفرة الخاصة الوحيدة التي لا يمكن تعقبها:\n                          </b>\n                          <br />\n                          &quot; إجمالاً ، من محافظ CAZES ووكلاء الكمبيوتر ، سيطروا على ما يقرب من 8،800،000 دولار في Bitcoin و Ethereum و Moreno [هكذا] و Zcash ، مقسمة على النحو التالي: 1،605.0503851 Bitcoin ، 8،309.271639 Ethereum ، 3،691.98 Zcash ، <em> و كمية غير معروفة من Monero. </em> &quot; (أسفل الصفحة 20 وأعلى الصفحة 21 ، التشديد مضاف) </li>\n                        <li>\n                          <b>\n                            معاملات البيتكوين ليست خاصة ويمكن تتبعها:\n                          </b>\n                          <br />\n                          &quot; حصل الوكلاء الفيدراليون على المذكرات بعد تتبع عدد من معاملات البيتكوين التي نشأت مع AlphaBay إلى حسابات العملات الرقمية ، وفي النهاية الحسابات المصرفية وغيرها من الأصول الملموسة ، التي يحتفظ بها CAZES وزوجته. &quot; (ص 17 ، سطور 24- 26)\n                        </li>\n                      </ul>\n                    </li>\n                  </ul>\n\n                  <div class=\"notice info\">\n                    <p>\n                      لا تناصر LocalMonero أو تشجع أي نشاط غير قانوني.\n                    </p>\n                  </div>  ';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbtitle => 'لماذا Monero أفضل من Dash و Zcash و Zcoin (حتى مع Lelantus) وخلاطات Grin و Bitcoin مثل Wasabi (تم التحديث في مايو 2020)';

  @override
  String get knowledge250Sbwired250Sb0250Sbtext => '<p> في كل من مجالات الخصوصية والعملات المشفرة ، غالبًا ما تنتشر المعلومات الخاطئة. لدينا <a target=\"_blank\" href=\"/knowledge/monero-myths-debunked\" class=\"next-link\"> مقالة تحدد خمسة عشر افتراضًا شائعًا غير صحيح أو قديم حول Monero </a> ، لكننا نريد أن نخصص بعض الوقت لمعالجة مقالة معينة غالبًا ما يتم الاستشهاد بها وتعميمها من قبل المتشككين في Monero. </p>\n\n<p> نشرت مجلة Wired <a target=\"_blank\" href=\"https://www.wired.com/story/monero-privacy/\" class=\"next-link\"> مقالًا </a> في 27 مارس 2018 ، والذي تمت كتابته أيضًا ردًا على ورقة بحثية حديثة أخرى نشرها أكاديميون مختلفون بعنوان: \"تحليل تجريبي إمكانية التتبع في Monero Blockchain \". </p>\n\n<p> على الرغم من أن الورقة شارك في تأليفها أفراد لديهم تضارب واضح في المصالح (اقرأ: إنهم مستشارون لـ Zcash ولديهم حصة في Zcash) ، فقد لقيت الورقة استحسانًا معتدلًا من قبل مجتمع Monero كتأكيد للأشياء التي يعرفها المجتمع بالفعل وكتبوا عنها في أوراق مختبر أبحاث Monero الخاصة بهم (<a target=\"_blank\" href=\"https://web.getmonero.org/resources/research-lab/pubs/MRL-0001.pdf\" class=\"next-link\"> MRL-0001 </a> و <a target=\"_blank\" href=\"https://web.getmonero.org/resources/research-lab/pubs/MRL-0004.pdf\" class=\"next-link\"> MRL-0004 </a>) والتي تم نشر أقدمها قبل أربع سنوات. ومع ذلك ، كانت هناك أيضًا العديد من حالات الإحباط المرتبطة بها ، وعلى رأسها تضارب المصالح ، وحقيقة أن المشكلات كانت معروفة بالفعل ، ومناقشتها ، و - في بعض الحالات - تم علاجها ، والتفسير الخاطئ الجسيم لضمانات خصوصية Monero في ذلك الوقت. علق المجتمع على ما قبل الطباعة من العمل ، وتم تقديم العديد من توصياتهم إلى الورقة النهائية. </p>\n\n<p> ولكن ما الذي تم وصفه بشكل خاطئ بالضبط؟ حقيقة أن مونيرو لم يكن لديه العيوب التي تمت مناقشتها في الصحيفة لأكثر من عام. كانت المعاملات التي تمت قبل عام 2017 معرضة بالفعل لشكل من أشكال تسرب الخصوصية ، ولكن في وقت النشر ، عالجت Monero معظم المخاوف. لكي نكون منصفين للمؤلفين ، ناقشوا علاجات Monero بدرجة صغيرة ، ولكن ليس بما يكفي للتأثير على تأثيرها على دورة وسائط العملة المشفرة في ذلك الوقت. ومن هنا جاء المقال السلكي. </p>\n\n<p> بينما يمكننا فحص مقالة Wired المعنية كقطعة من النقاط ، ومدى صحتها أو عدم صحتها في ذلك الوقت ، فإن حقيقة أنه لا يزال يتم مشاركتها حتى اليوم كمبرر لضعف ضمانات خصوصية Monero فعليًا تدعو إلى إجراء تحليل حول كيف تصمد القطعة في الوقت الحاضر. يسعدنا تلقي هذه الدعوة. </p>\n\n<p> تُظهر قراءة سريعة للمقالة عدة سطور مثيرة ، مثل \"[النتائج] لا ينبغي أن تقلق فقط أي شخص يحاول إنفاق مونيرو خلسة اليوم\" والنبرة الكاملة للمقالة التي تفترض البحث على أنه \"جديد\" ، يعتمد إلى حد كبير على المنشور. تحتوي الورقة الأكاديمية نفسها على توصيات مثل تحذير مستخدمي Monero من التسوية المحتملة لعدم الكشف عن هويتهم ، على الرغم من حقيقة أن هذه المناقشات لم تكن تحدث منذ عام 2014 فحسب ، ولكن صرخة المجتمع الحاشدة كانت للناس ألا يشتروا Monero وأنه كانت تجريبية للغاية. </p>\n\n<p> ولكن ماذا عن الانتقادات نفسها؟ الحقيقة هي أن العديد من المشكلات المتعلقة بـ Monero كعملة خصوصية إما لم تعد صحيحة بالنسبة لـ Monero ، أو لم تعد هناك مخاوف مشتركة مع عملات الخصوصية كفئة من العملات المشفرة المستندة إلى blockchain. دعونا نبدأ في معالجة هذه. </p>\n\n<p> أحد الانتقادات الأكثر شيوعًا لمونيرو هو أنه ، بسبب ديمومة blockchain وثباته ، إذا كانت التكنولوجيا المستقبلية ستكسر الخصوصية ، فإن جميع معاملات Monero السابقة ستكون مكشوفة. بمعنى آخر ، خصوصيتك لها ساعة تدق عليها. </p>\n\n<p> لا يمكننا التأكيد على هذا بما فيه الكفاية. حرفيًا ، كل عملة خصوصية تستخدم طرقًا على السلسلة للتعتيم والخصوصية بها هذا العيب ، ومع ذلك غالبًا ما يتم استخدامها ضد Monero (ومن المفارقات ، عدة مرات من خلال منافسة عملات الخصوصية المتنافسة مع نفس المشكلة) ، ويتم استخدامها في هذه المقالة أيضًا. قد يكون الرد على هذا النقد مفاجئًا للبعض ، لكن Monero في الواقع قد تكون أقل عرضة للخطر من عملات الخصوصية الأخرى بسبب حقيقة أن لديها نهجًا متعدد الجوانب للخصوصية. </p>\n\n<p> تخفي Monero المخرجات (المرسلين) والمبالغ وأجهزة الاستقبال من خلال ثلاث تقنيات مختلفة ، توقيعات الحلقة ، RingCT ، وعناوين التخفي على التوالي. من بين هؤلاء ، تعد توقيعات الحلقات هي الأضعف والأكثر عرضة لكل من الأساليب التجريبية الحديثة والتقنيات النظرية والمستقبلية التي تكسر الخصوصية. كان هذا معروفًا لمجتمع Monero منذ سنوات ، وتجري حاليًا أبحاث نشطة لتحسين أو استبدال مخطط توقيع الحلقة بالكامل. </p>\n\n<p> ومع ذلك ، حتى إذا تم كسر توقيع الحلقة بالكامل ، فسيتم الكشف عن النتيجة الحقيقية فقط. ليس المرسل (كما هو الحال في الفرد) ، ولكن الإخراج. إن اقتران المخرجات بهوية ليس مستحيلًا ، ولكنه يتطلب المزيد من البيانات الوصفية والموارد. إلى جانب حقيقة أن RingCT والعنوان المتخفي لن يتم الكشف عنه يقلل من التأثير بشكل أكبر. </p>\n\n<p> وتجدر الإشارة إلى أن مقالة Wired تناقش المعلومات المذكورة أعلاه بشكل طفيف في الجزء الذي وصلوا فيه إلى Riccardo \'fluffypony\' Spagni للتعليق ، ولكن الوقت الممنوح له قصير ، ويبدو أنه يميل بعيدًا هذه المعلومات الهامة. يظهر نقص الفهم بشكل خاص عند محاولة مناقشة هذه الأشياء مع الأشخاص الذين يشاركون المقالة بشكل فردي في العصر الحديث. </p>\n\n<p> هناك انتقاد آخر يصعب معالجته وهو كيف ينظر العالم الخارجي إلى مونيرو ، وكيف يرتبط ذلك بكيفية نظر المجتمع المحيط بمونيرو إلى العملة. للحصول على مثال على ذلك ، لا يحتاج القراء إلى النظر أبعد من عنوان المقالة نفسها: \"العملة المفضلة في الويب المظلم لا يمكن تعقبها مما يبدو\". </p>\n\n<p> يمكن لأي شخص يقضي قدرًا كبيرًا من الوقت في مجتمع Monero أن يشهد على حقيقة أن مجتمع Monero يبذل قصارى جهده لإظهار مدى صعوبة تحقيق الخصوصية الحقيقية ، حتى على حساب جهود التسويق أو التبني. إذا قدم المجتمع موارد كافية لمناقشة العملة وأوجه قصورها بدقة ، في مرحلة ما ، يصبح خطأ المستخدم الذي يعتقد أن العملة هي كل ما يحتاجه ليكون خاصًا بنسبة 100٪. </p>\n\n<p> عند هذه النقطة ، يجب أن يكون واضحًا أن مجتمع Monero يأخذ بجدية كل من خصوصيته وصدقه حول نقاط الضعف فيه والتحسينات اللاحقة. المقالات ، مثل المقالة المعنية ، تفتقد تمامًا روح الابتكار في Monero. إنه يشبه Monero بالعديد من العملات المشفرة الأخرى التي تقدم ادعاءات ضخمة ، مع التفكير فقط من أجل الربح والاستيلاء على المستثمرين غير المتعلمين. </p>\n\n<p> الواقع لا يمكن أن يكون أكثر اختلافًا. تدرك Monero تمامًا نقاط ضعفها ، وتسعى إلى مواصلة البناء من أجل تحسينها ، وتشديد المفاصل الرخوة ، وتحقيق الهدف الحقيقي للغاية ، ولكن الصعب للغاية المتمثل في منح العالم عملة مشفرة خاصة قابلة للاستبدال يمكن للجميع استخدامها ، و القيام بكل ذلك بطريقة عادلة ، لا مركزية ، يحركها المجتمع. ربما حان الوقت للتخلص من الإثارة ومشاركة المقالات كوسيلة للترويج للمنافسين. ربما حان الوقت لرواية قصة أخرى. </p>';

  @override
  String get knowledge250Sbwired250Sbdescription => 'في كل من مجالات الخصوصية والعملات المشفرة ، غالبًا ما تنتشر المعلومات الخاطئة. هنا نتناول مقالة Wired التي غالبًا ما يتم الاستشهاد بها وتعميمها من قبل المتشككين في مونيرو.';

  @override
  String get knowledge250Sbwired250Sbtitle => 'مجلة وايرد خاطئة بشأن مونيرو ، إليكم السبب';

  @override
  String get left8722Sbdrawer250Sbabout => 'حول';

  @override
  String get left8722Sbdrawer250Sbbuy8722Sbmonero => 'شراء مونيرو';

  @override
  String get left8722Sbdrawer250Sbdashboard => 'لوحة القيادة';

  @override
  String get left8722Sbdrawer250Sbfaq => 'التعليمات';

  @override
  String get left8722Sbdrawer250Sbforums => 'المنتديات';

  @override
  String get left8722Sbdrawer250Sbgetting8722Sbstarted => 'ابدء';

  @override
  String get left8722Sbdrawer250Sbpost8722Sbnew8722Sbad => 'انشر إعلانا';

  @override
  String get left8722Sbdrawer250Sbrevuo250Sblabel => 'معيار مونيرو: مونيرو نيوز';

  @override
  String get left8722Sbdrawer250Sbsell8722Sbmonero => 'بيع مونيرو';

  @override
  String get left8722Sbdrawer250Sbsupport => 'الدعم';

  @override
  String get login250Sberror8722Sb0 => 'اسم المستخدم / كلمة المرور / كلمة المرور لمرة واحدة خاطئة!';

  @override
  String get login250Sberror8722Sb1 => 'اسم المستخدم وكلمة المرور بهما أحرف غير مسموح بها أو بطول غير صالح';

  @override
  String get login250Sberror8722Sb10 => 'خطأ في تسجيل الدخول';

  @override
  String get login250Sberror8722Sb2 => 'اسم المستخدم يحتوي على أحرف غير مسموح بها أو أن الطول غير صالح';

  @override
  String get login250Sberror8722Sb3 => 'كلمة المرور بها أحرف غير مسموح بها أو طول غير صالح';

  @override
  String get login250Sberror8722Sb4 => 'لا يمكن ترك الحقول فارغة';

  @override
  String get login250Sberror8722Sb5 => 'يجب أن تتكون كلمة المرور لمرة واحدة من 6 أرقام';

  @override
  String get login250Sberror8722Sb8 => 'القيم غير المسموح بها';

  @override
  String get login250Sberror8722Sb98722Sbtext => 'محاولات تسجيل دخول كثيرة جدًا! يرجى الانتظار لبعض الوقت.';

  @override
  String get login250Sberror8722Sb98722Sbtitle => 'تجاوزت محاولات تسجيل الدخول';

  @override
  String get login250Sberror8722Sbgeneric => 'خطأ!';

  @override
  String get login250Sbremember8722Sbme => 'تذكرنى';

  @override
  String login250Sbreset(Object link) {
    return 'نسيت كلمة المرور؟ $link';
  }

  @override
  String get login250Sbreset8722Sblink => 'أعد تعيينه هنا.';

  @override
  String login250Sbsame8722Sbcredentials8722Sbtip(Object front_type_url) {
    return 'يمكنك استخدام بيانات اعتماد $front_type_url لتسجيل الدخول.';
  }

  @override
  String login250Sbsignup(Object link) {
    return 'لا تملك حسابا حتى الآن؟ $link';
  }

  @override
  String get login250Sbsignup8722Sblink => 'اشتراك';

  @override
  String get login250Sbtitle => 'تسجيل الدخول';

  @override
  String get login250Sbusername => 'اسم المستخدم';

  @override
  String get login250Sbusername8722Sbtip => '3-16 حرفًا. الأحرف المسموح بها: a-z ، A-Z ، 0-9 ، - ، _';

  @override
  String get method250Sbalipay => 'أليباي';

  @override
  String get method250Sball8722Sbonline8722Sboffers => 'جميع العروض عبر الإنترنت';

  @override
  String get method250Sbcash => 'نقدًا (محليًا)';

  @override
  String get method250Sbcash8722Sbat8722Sbatm => 'نقدا في أجهزة الصراف الآلي';

  @override
  String get method250Sbcash8722Sbby8722Sbmail => 'نقدا عن طريق البريد';

  @override
  String get method250Sbcash8722Sbdeposit => 'إيداع نقدي';

  @override
  String get method250Sbcash8722Sbon8722Sbdelivery => 'الدفع عند الاستلام';

  @override
  String get method250Sbcashiers8722Sbcheck => 'شيك مصرفي';

  @override
  String get method250Sbcreditcard => 'بطاقة الائتمان';

  @override
  String get method250Sbcryptocurrency => 'عملة مشفرة';

  @override
  String get method250Sbgift8722Sbcard => 'كود بطاقة الهدايا';

  @override
  String get method250Sbgift8722Sbcard8722Sbamazon => 'رمز بطاقة هدايا أمازون';

  @override
  String get method250Sbgift8722Sbcard8722Sbapple => 'رمز بطاقة هدايا Apple Store';

  @override
  String get method250Sbgift8722Sbcard8722Sbebay => 'كود بطاقة هدايا ايباي';

  @override
  String get method250Sbgift8722Sbcard8722Sbglobal => 'رمز بطاقة الهدايا (عالمي)';

  @override
  String get method250Sbgift8722Sbcard8722Sbitunes => 'رمز بطاقة هدايا iTunes';

  @override
  String get method250Sbgift8722Sbcard8722Sbstarbucks => 'كود بطاقة هدايا ستاربكس';

  @override
  String get method250Sbgift8722Sbcard8722Sbsteam => 'كود بطاقة هدايا Steam';

  @override
  String get method250Sbgift8722Sbcard8722Sbwalmart => 'رمز بطاقة هدايا وول مارت';

  @override
  String get method250Sbinternational8722Sbwire8722Sbswift => 'الأسلاك الدولية (سويفت)';

  @override
  String get method250Sbmobile8722Sbtop8722Sbup => 'أعلى المحمول';

  @override
  String get method250Sbnational8722Sbbank => 'التحويل المصرفي الوطني';

  @override
  String get method250Sbother => 'مدفوعات أخرى عبر الإنترنت';

  @override
  String get method250Sbother8722Sbonline8722Sbwallet => 'محفظة أخرى على الإنترنت';

  @override
  String get method250Sbother8722Sbonline8722Sbwallet8722Sbglobal => 'محفظة إلكترونية أخرى (عالمية)';

  @override
  String get method250Sbother8722Sbpre8722Sbpaid8722Sbdebit => 'بطاقة الخصم الأخرى مسبقة الدفع';

  @override
  String get method250Sbsepa => 'التحويل المصرفي SEPA (الاتحاد الأوروبي)';

  @override
  String get method250Sbspecific8722Sbbank => 'التحويلات مع بنك معين';

  @override
  String get method250Sbwechat => 'ويتشات';

  @override
  String get method250Sbyandex => 'ياندكس موني';

  @override
  String get method250Sbyoomoney => 'YooMoney';

  @override
  String get morph250Sbcheckbox250Sbfaq8722Sblink => 'كيف يعمل هذا؟';

  @override
  String get morph250Sbdeposit250Sbaddress8722Sbinput250Sbhelper => 'سيتم استخدام هذا العنوان لاسترداد الأموال إذا حدث خطأ ما أثناء تداول ChangeNow';

  @override
  String morph250Sbdeposit250Sbaddress8722Sbinput250Sbtext(Object cryptocurrencyName) {
    return 'عنوان رد الأموال $cryptocurrencyName';
  }

  @override
  String morph250Sbdeposit250Sbbutton(Object cryptocurencyName) {
    return 'أرني عنوان الإيداع $cryptocurencyName!';
  }

  @override
  String get morph250Sberror250Sbtitle => 'خطأ أثناء إنشاء تداول ChangeNow!';

  @override
  String get morph250Sbservice8722Sbdown => 'خدمة XMR التابعة لـ ChangeNow غير متاحة مؤقتًا. حاول مرة أخرى في وقت لاحق.';

  @override
  String morph250Sbwithdrawal250Sbaddress8722Sbinput250Sbtext(Object cryptocurrencyName) {
    return 'تلقي عنوان $cryptocurrencyName';
  }

  @override
  String get morph250Sbwithdrawal250Sblimits8722Sbmax => 'أقصى';

  @override
  String get morph250Sbwithdrawal250Sblimits8722Sbmin => 'الحد الأدنى';

  @override
  String get morph250Sbwithdrawal250Sblimits8722Sbtitle => 'حدود تداول ChangeNow هذا:';

  @override
  String new8722Sbad250Sbdisabled8722Sbtype8722Sbselector250Sbnotice(Object amount_required) {
    return 'رصيد غير كاف. مطلوب: $amount_required.';
  }

  @override
  String get new8722Sbad250Sbemail8722Sbverified250Sblabel => 'للمستخدمين الذين لديهم بريد إلكتروني تم التحقق منه فقط';

  @override
  String get new8722Sbad250Sbemail8722Sbverified250Sbtip => 'مفيد إذا كنت تواجه مشكلات مع \"أدوات حظر العملات\"';

  @override
  String new8722Sbad250Sboptions250Sbad8722Sbcreation8722Sbmode250Sbcoins(Object assetName) {
    return 'تداول {id}';
  }

  @override
  String get new8722Sbad250Sbreview250Sbemail8722Sbverified => 'للمستخدمين الذين لديهم بريد إلكتروني تم التحقق منه فقط';

  @override
  String get nojs250Sbdashboard250Sbsave8722Sbvacations8722Sbbtn => 'حفظ الاجازات';

  @override
  String get nojs250Sberror250Sblogin250Sbunauthorized => 'اسم المستخدم / كلمة المرور / كلمة المرور لمرة واحدة خاطئة!';

  @override
  String get nojs250Sberror250Sbserver => 'حدث خطأ ما في الطلب. يرجى تحديث الصفحة وحاول مرة أخرى. إذا استمرت المشكلة ، يرجى الاتصال بدعمنا.';

  @override
  String nojs250Sberror250Sbvalidation250Sbaddress(Object assetName) {
    return 'يرجى تقديم عنوان $assetName صالح.';
  }

  @override
  String get nojs250Sberror250Sbvalidation250Sbamount => 'يرجى إدخال مبلغ صالح.';

  @override
  String get nojs250Sberror250Sbvalidation250Sbcaptcha => 'فشل CAPTCHA. حاول مرة اخرى';

  @override
  String get nojs250Sberror250Sbvalidation250Sbconfirm8722Sbpassword => 'كلمات المرور المدخلة غير متطابقة.';

  @override
  String get nojs250Sberror250Sbvalidation250Sbemail => 'الرجاء إدخال بريد إلكتروني صحيح.';

  @override
  String get nojs250Sberror250Sbvalidation250SbfeedbackMsg => 'يجب أن يكون الحد الأقصى لرسالة الملاحظات 256 حرفًا.';

  @override
  String get nojs250Sberror250Sbvalidation250SbfeedbackType => 'الرجاء تحديد أحد أنواع التعليقات المسموح بها: \"ثقة\" أو \"إيجابية\" أو \"محايدة\" أو \"سلبية\" أو \"كتلة\".';

  @override
  String get nojs250Sberror250Sbvalidation250Sbgeneric8722Sbstring => 'يرجى تغيير النص بحيث يكون ضمن الحدود المحددة.';

  @override
  String get nojs250Sberror250Sbvalidation250Sbhomepage => 'يجب أن يكون عنوان URL صالحًا كاملاً (على سبيل المثال ، بما في ذلك \"https: //\" وما إلى ذلك)';

  @override
  String get nojs250Sberror250Sbvalidation250Sbintroduction => 'يجب أن تكون سلسلة لا يزيد طولها عن 65536 حرفًا.';

  @override
  String get nojs250Sberror250Sbvalidation250Sbotp => 'يجب أن تكون كلمة المرور لمرة واحدة مكونة من 6 أرقام';

  @override
  String get nojs250Sberror250Sbvalidation250Sbpassword => 'يجب أن تتكون كلمة المرور من 8 إلى 72 حرفًا';

  @override
  String get nojs250Sberror250Sbvalidation250Sbreputation8722Sbimport8722Sbplatform8722Sbusername => 'يجب أن يتكون اسم المستخدم من سلسلة من 1 إلى 30 حرفًا.';

  @override
  String nojs250Sberror250Sbvalidation250Sbtos(Object appName) {
    return 'من أجل استخدام موقعنا ، يرجى قراءة شروط الخدمة $appName والموافقة عليها.';
  }

  @override
  String get nojs250Sberror250Sbvalidation250Sbusername => 'يجب أن يتكون اسم المستخدم من 3 إلى 16 حرفًا. الأحرف المسموح بها: a-z ، A-Z ، 0-9 ، - ، _';

  @override
  String get nojs250Sbfilter250Sblocal8722Sblabel => 'محلي';

  @override
  String get nojs250Sbfilter250Sbonline8722Sblabel => 'عبر الانترنت';

  @override
  String get nojs250Sbformula250Sbinstructions250Sbfunctions => 'يمكنك استخدام الوظائف التالية (يمكن أن تكون متداخلة): <strong> دقيقة () ، ماكس () ، أرضية () ، سقف () ، متوسط () </strong>';

  @override
  String get nojs250Sbformula250Sbinstructions250Sboperators => 'يمكنك استخدام عوامل التشغيل التالية: <strong> + - * / </strong>';

  @override
  String get nojs250Sbformula250Sbinstructions250Sbpunctuation => 'يمكنك استخدام رموز الترقيم التالية: <strong> (). ، </strong>';

  @override
  String get nojs250Sbformula250Sbtickers250Sblabel => 'جميع مؤشرات السوق المتاحة';

  @override
  String get nojs250Sbformula250Sbvalidator250Sbbtn => 'تحقق من الصيغة';

  @override
  String get nojs250Sbformula250Sbvalidator250Sbinstruction => 'استخدم هذه الأداة للتحقق من صيغة السعر الخاصة بك. <br /> ملاحظة: بعد التأكد من أن صيغتك تعمل كما هو متوقع ، يجب عليك نسخها في النموذج الفعلي أعلاه. هذه الأداة للتحقق من صحة الصيغة فقط.';

  @override
  String get nojs250Sbformula250Sbvalidator250Sblabel => 'أداة التحقق من صحة الصيغة';

  @override
  String nojs250Sbmorph8722Sbwithdrawal(Object cryptocurrencyName) {
    return 'أرغب في سحب سند التحكيم إلى محفظة $cryptocurrencyName';
  }

  @override
  String get nojs250Sbmorph8722Sbwithdrawal250Sbbutton8722Sblabel => 'يبدأ';

  @override
  String nojs250Sbmorph8722Sbwithdrawal250Sbnotice(Object assetSymbol, Object cryptocurrencyName) {
    return 'سحب سند تحكيم $assetSymbol إلى محفظة $cryptocurrencyName';
  }

  @override
  String nojs250Sbno8722Sbgoogle8722Sbtext(Object value) {
    return 'يمكنك استخدام خدمة $value للحصول على إحداثيات موقعك';
  }

  @override
  String get nojs250Sbsettings250Sbsave8722Sbtelegram8722Sbid250Sbbutton8722Sblabel => 'حفظ معرف Telegram';

  @override
  String get nojs250Sbtrade250Sbchat250Sbrefresh => 'ينعش';

  @override
  String note250Sbbutton(Object username) {
    return 'أضف ملاحظة على $username';
  }

  @override
  String note250Sbcreated(Object at) {
    return 'تم إنشاؤه $at';
  }

  @override
  String get note250Sbinput250Sbplaceholder => 'هذه ملاحظة خاصة للرجوع إليها ، ولن تكون مرئية لهذا المستخدم أو أي مستخدم آخر.';

  @override
  String note250Sbtitle(Object username) {
    return 'ملاحظتك على $username (يمكنك رؤيتها أنت فقط)';
  }

  @override
  String note250Sbupdated(Object at) {
    return 'تم تحريره $at';
  }

  @override
  String notice250Sbnon8722Sbcustodial(Object appName) {
    return 'تسويات تجارية غير احتجازية بالكامل نشطة الآن! <a href=\"https://t.me/$appName\" target=\"_blank\" class=\"next-link\"> أخبرنا بـ </a> إذا كان لديك أي أسئلة أو واجهت أي مشاكل. في حال فاتتك ، <a href=\"/blog/announcements/fully-non-custodial-trade-settlements\" target=\"_blank\" class=\"next-link\"> يمكنك أن تقرأ عن التحديث بالتفصيل هنا. </a>';
  }

  @override
  String get notification250Sbmarked8722Sball8722Sbread => 'اجعل جميع الإخطارات مقروءة';

  @override
  String notification250Sbmessage(Object tradeId, Object username) {
    return 'لديك رسالة جديدة في الصفقة $tradeId من $username';
  }

  @override
  String get notification250Sbno8722Sbnotifications => 'ليس لديك أي إخطارات حتى الآن';

  @override
  String get notification250Sbread => 'قراءة الإخطارات';

  @override
  String notification250Sbtrade8722Sbcancelled(Object tradeId, Object username) {
    return 'تم إلغاء الصفقة $tradeId بواسطة $username';
  }

  @override
  String notification250Sbtrade8722Sbcomplete(Object tradeId, Object username) {
    return 'تم إكمال تداولك $tradeId مع $username';
  }

  @override
  String notification250Sbtrade8722Sbdisputed(Object tradeId, Object username) {
    return 'تم التنازع على الصفقة $tradeId بواسطة $username';
  }

  @override
  String notification250Sbtrade8722Sbpayment8722Sbmarked8722Sbcomplete(Object username, Object tradeId) {
    return 'أكمل $username الدفع في الصفقة $tradeId';
  }

  @override
  String notification250Sbtrade8722Sbrequest(Object tradeId, Object username) {
    return 'لديك عرض جديد $tradeId من المستخدم $username';
  }

  @override
  String get notification250Sbunread => 'إخطارات غير مقروءة';

  @override
  String get otp8722Sbtip8722Sb08722Sb0 => 'إذا قمت بتمكين المصادقة ذات العاملين ، فأدخل كلمة المرور المكونة من 6 أرقام لمرة واحدة هنا.';

  @override
  String get otp8722Sbtip8722Sb08722Sb1 => 'أين أجد كلمة المرور الخاصة بي لمرة واحدة؟';

  @override
  String get otp8722Sbtip8722Sb1 => 'أدخل كلمة المرور المكونة من 6 أرقام للاستخدام مرة واحدة من تطبيق 2FA للهاتف المحمول هنا.';

  @override
  String get otp8722Sbtitle8722Sb0 => 'كلمة مرور لمرة واحدة (إذا تم تمكينها)';

  @override
  String get otp8722Sbtitle8722Sb1 => 'كلمة السر لمرة واحدة';

  @override
  String get password => 'كلمة المرور';

  @override
  String get password8722Sbreset250Sbbtn => 'غير كلمة السر';

  @override
  String get password8722Sbreset250Sbconfirm8722Sbnew8722Sbpassword => 'تأكيد كلمة المرور الجديدة';

  @override
  String get password8722Sbreset250Sbconfirm8722Sbnew8722Sbpassword8722Sbtip => 'يرجى تأكيد كلمة المرور الجديدة الخاصة بك';

  @override
  String get password8722Sbreset250Sberror => 'كان هناك خطأ في طلبك';

  @override
  String get password8722Sbreset250Sbnew8722Sbpassword => 'كلمة السر الجديدة';

  @override
  String get password8722Sbreset250Sbsubtitle => 'بعد تغيير كلمة المرور ، سيتعين عليك تسجيل الدخول مرة أخرى باستخدام كلمة المرور الجديدة';

  @override
  String get password8722Sbreset250Sbsuccess => 'النجاح!';

  @override
  String get password8722Sbreset250Sbsuccess8722Sbtip => 'ستتم إعادة توجيهك الآن إلى صفحة تسجيل الدخول.';

  @override
  String get password8722Sbreset250Sbtitle => 'غير كلمة السر';

  @override
  String get password8722Sbtip => '8-72 حرفًا.';

  @override
  String get post8722Sbad250Sbamount8722Sbtitle => 'مبلغ';

  @override
  String get post8722Sbad250Sbcountry250Sbtitle => 'دولة';

  @override
  String get post8722Sbad250Sbcurrency250Sbtitle => 'عملة';

  @override
  String get post8722Sbad250Sbdetails => 'تفاصيل';

  @override
  String get post8722Sbad250Sberror250Sbcorrect8722Sberrors => 'يرجى تصحيح الأخطاء المظللة';

  @override
  String get post8722Sbad250Sberror250Sbdialog8722Sbback8722Sbbtn => 'خلف';

  @override
  String get post8722Sbad250Sberror250Sbdialog8722Sbbtn => 'خلف';

  @override
  String get post8722Sbad250Sberror250Sbdialog8722Sbtitle => 'خطأ في النموذج';

  @override
  String get post8722Sbad250Sberror250Sbdialog8722Sbtitle8722Sbtoo8722Sbmany8722Sbads => 'عدد كبير جدًا من الإعلانات';

  @override
  String post8722Sbad250Sberror250Sbfirst8722Sbtime8722Sblimit8722Sbnot8722Sbvalid(Object assetSymbol, Object min_asset_amount, Object max_asset_amount) {
    return 'الرجاء إدخال قيمة صالحة لأول مرة $assetSymbol. يُسمح فقط بالأرقام بين $min_asset_amount و $max_asset_amount.';
  }

  @override
  String get post8722Sbad250Sberror250Sblimit8722Sbamounts8722Sbnot8722Sbvalid => 'الرجاء إدخال حد صالح لقيمة المبالغ. يسمح فقط بالأعداد الصحيحة بين 1 و 1000000000000.';

  @override
  String get post8722Sbad250Sberror250Sblimit8722Sbrequests8722Sbcontent => 'أنت تحاول إنشاء الكثير من الإعلانات';

  @override
  String get post8722Sbad250Sberror250Sblimit8722Sbrequests8722Sbtitle => 'طلبات كثيرة جدا';

  @override
  String get post8722Sbad250Sberror250Sbmargin8722Sbnot8722Sbvalid => 'الرجاء إدخال قيمة هامش صحيحة. يُسمح فقط بالأرقام بين -100 و 1000.';

  @override
  String get post8722Sbad250Sberror250Sbmax8722Sbamount8722Sbnot8722Sbvalid => 'الرجاء إدخال قيمة قصوى صالحة للمبلغ. يُسمح فقط بالأرقام بين 0.000000000001 و 10000000000000.';

  @override
  String post8722Sbad250Sberror250Sbmin8722Sbamount8722Sbless8722Sbthan8722Sbbalance(Object appName) {
    return 'لا يمكن أن يكون الحد الأدنى لمبلغ المعاملة أقل من رصيدك الحالي. حاول تخفيض الحد الأدنى للمبلغ أو إيداع الأموال في محفظتك $appName.';
  }

  @override
  String get post8722Sbad250Sberror250Sbmin8722Sbamount8722Sbnot8722Sbvalid => 'الرجاء إدخال قيمة الحد الأدنى للمبلغ صالحة. يُسمح فقط بالأرقام بين 0.000000000001 و 10000000000000.';

  @override
  String get post8722Sbad250Sberror250Sbnetwork => 'خطأ في الشبكة';

  @override
  String get post8722Sbad250Sberror250Sbpayment8722Sbwindow8722Sbnot8722Sbvalid => 'الرجاء إدخال قيمة نافذة دفع صالحة. يسمح فقط بالأعداد الصحيحة بين 15 و 90.';

  @override
  String get post8722Sbad250Sberror250Sbprice8722Sbnot8722Sbvalid => 'الرجاء إدخال قيمة سعر صالحة. يُسمح فقط بالأرقام بين 0.000000000001 و 10000000000000.';

  @override
  String get post8722Sbad250Sberror250Sbrequire8722Sbfeedback8722Sbnot8722Sbvalid => 'الرجاء إدخال حد صالح لطلب قيمة درجة الملاحظات. يسمح فقط بالأعداد الصحيحة بين 0 و 100.';

  @override
  String get post8722Sbad250Sberror250Sbwallet8722Sbbalance => 'رصيد المحفظة أقل من الحد الأدنى المطلوب لهذا النوع من الإعلانات';

  @override
  String post8722Sbad250Sbfirst8722Sbtime8722Sbxmr8722Sblimit(Object assetSymbol) {
    return 'الحد الزمني الأول ($assetSymbol)';
  }

  @override
  String get post8722Sbad250Sbfirst8722Sbtime8722Sbxmr8722Sblimit8722Sbtip => 'اختياري. حدد الحد الأقصى لمبلغ المعاملات للمستخدمين الذين ليس لديك تداولات سابقة معهم. الحد الأدنى 0.';

  @override
  String get post8722Sbad250Sbfor8722Sbtrusted8722Sbswitch8722Sbdescription => 'يجعل هذا الإعلان متاحًا فقط للمستخدمين الذين حددتهم على أنهم موثوق بهم';

  @override
  String get post8722Sbad250Sbfor8722Sbtrusted8722Sbswitch8722Sblabel => 'للمستخدمين الموثوق بهم فقط';

  @override
  String get post8722Sbad250Sblimit8722Sbfiat8722Sbamounts => 'حدود تصل إلى';

  @override
  String get post8722Sbad250Sblimit8722Sbfiat8722Sbamounts8722Sbtip => 'اختياري. تقييد التداول بأرقام صحيحة مفصولة بفواصل ، على سبيل المثال 20،50،100. بالعملة الورقية (دولار أمريكي / يورو / إلخ). مفيد للقسائم وبطاقات الهدايا وما إلى ذلك.';

  @override
  String get post8722Sbad250Sblocation250Sbtitle => 'موقع';

  @override
  String post8722Sbad250Sblogged8722Sbout8722Sbnotice(Object logIn, Object signUp) {
    return 'لنشر إعلان جديد من فضلك $logIn أو $signUp';
  }

  @override
  String get post8722Sbad250Sblogged8722Sbout8722Sbnotice8722Sblog8722Sbin => 'تسجيل الدخول';

  @override
  String get post8722Sbad250Sblogged8722Sbout8722Sbnotice8722Sbsign8722Sbup => 'اشتراك';

  @override
  String get post8722Sbad250Sbmax8722Sbamount => 'الحد الأقصى للمبلغ';

  @override
  String get post8722Sbad250Sbmax8722Sbamount8722Sbtip => 'اختياري. الحد الأقصى للصفقة في صفقة واحدة.';

  @override
  String get post8722Sbad250Sbmin8722Sbamount => 'الحد الأدنى للمبلغ';

  @override
  String get post8722Sbad250Sbmin8722Sbamount8722Sbtip => 'اختياري. الحد الأدنى للصفقة في صفقة واحدة';

  @override
  String get post8722Sbad250Sbmin8722Sbfeedback8722Sbscore => 'الحد الأدنى من درجة التغذية المرتدة';

  @override
  String get post8722Sbad250Sbmin8722Sbfeedback8722Sbscore8722Sbtip => 'اختياري. الحد الأدنى لدرجة ملاحظات المستخدم المطلوبة لطلب صفقة من 0 إلى 100.';

  @override
  String get post8722Sbad250Sbpayment8722Sbmethod8722Sbdetail => 'تفاصيل طريقة الدفع';

  @override
  String get post8722Sbad250Sbpayment8722Sbmethod8722Sbdetail8722Sbtip => 'اختياري. حدد بعض التفاصيل المختصرة حول طريقة الدفع التي سيتم عرضها في قائمة الإعلانات ، مثل اسم البنك في حالة كانت طريقة الدفع هي التحويل المصرفي. 64 حرفًا كحد أقصى.';

  @override
  String get post8722Sbad250Sbpayment8722Sbmethod8722Sbinfo => 'معلومات طريقة الدفع';

  @override
  String get post8722Sbad250Sbpayment8722Sbmethod8722Sbinfo8722Sbtip8722Sb0 => 'حدد معلومات طريقة الدفع لتظهر أثناء التجارة. 4096 حرفًا كحد أقصى. يمكنك استخدام تخفيض السعر لتحديد نمط معلومات طريقة الدفع (الصور غير مسموح بها).';

  @override
  String get post8722Sbad250Sbpayment8722Sbmethod250Sbtitle => 'طريقة الدفع او السداد';

  @override
  String get post8722Sbad250Sbpayment8722Sbwindow => 'نافذة الدفع (بالدقائق)';

  @override
  String get post8722Sbad250Sbpayment8722Sbwindow8722Sbtip => 'وقت نافذة الدفع بالدقائق. الحد الأدنى 15. الحد الأقصى 90. في حالة عدم تقديم أي منها ، يتم التعيين على القيمة الافتراضية 90.';

  @override
  String get post8722Sbad250Sbprice8722Sbtype250Sbfixed => 'سعر ثابت';

  @override
  String post8722Sbad250Sbprice8722Sbtype250Sbfixed8722Sbprice8722Sbin(Object currency) {
    return 'سعر ثابت في $currency';
  }

  @override
  String post8722Sbad250Sbprice8722Sbtype250Sbfixed8722Sbprice8722Sbtip(Object assetSymbol, Object currency) {
    return 'سعر 1 $assetSymbol في $currency. لن يتغير هذا السعر إلا إذا قمت بتغييره يدويًا.';
  }

  @override
  String get post8722Sbad250Sbprice8722Sbtype250Sbfixed8722Sbprice8722Sbtip250Sbnojs => 'سعر عملة واحدة بعملة الإعلان المحددة. لن يتغير هذا السعر إلا إذا قمت بتغييره يدويًا.';

  @override
  String get post8722Sbad250Sbprice8722Sbtype250Sbfloating => 'سعر متغير';

  @override
  String post8722Sbad250Sbprice8722Sbtype250Sbfloating8722Sbtip(Object assetName) {
    return 'اجعل سعر الصرف عائمًا مع السوق أثناء فتح الصفقة. يتم تحديد سعر التداول في وقت الانتهاء. لاحظ أنه تمت إضافة احتياطي إضافي بنسبة 15٪ إلى مبلغ $assetName المحجوز في سند التحكيم. سيتم إرجاع المبلغ الزائد بعد الانتهاء من الصفقة.';
  }

  @override
  String get post8722Sbad250Sbprice8722Sbtype250Sbfloating8722Sbtip250Sbnojs => 'اجعل سعر الصرف عائمًا مع السوق أثناء فتح الصفقة. يتم تحديد سعر التداول في وقت إنهاء الصفقة. لاحظ أنه يتم إضافة احتياطي إضافي بنسبة 15٪ إلى مبلغ أصل العملة المشفرة المحدد المحجوز لسند التحكيم. سيتم إرجاع المبلغ الزائد بعد انتهاء الصفقة.';

  @override
  String get post8722Sbad250Sbprice8722Sbtype250Sbmargin => 'الهامش٪';

  @override
  String get post8722Sbad250Sbprice8722Sbtype250Sbmargin250Sbtip => 'الهامش هو الفرق بين سعرك وسعر السوق. 0٪ هو سعر السوق. استخدم القيمة الموجبة لتتجاوز سعر السوق والقيمة السلبية للانخفاض عن سعر السوق.';

  @override
  String get post8722Sbad250Sbprice8722Sbtype250Sbmarket => 'سعر السوق';

  @override
  String get post8722Sbad250Sbprice8722Sbtype250Sbradio250Sbformula => 'صيغة السعر (متقدمة)';

  @override
  String get post8722Sbad250Sbprice8722Sbtype250Sbtip => 'يعني سعر السوق أن السعر على إعلانك سيتغير مع تغير سعر السوق. السعر الثابت يعني أنه على الرغم من تقلبات السوق ، فإن سعرك سيبقى كما هو حتى تقوم بتغييره يدويًا. استخدم صيغة السعر (متقدمة) لإنشاء آليات تسعير أكثر تعقيدًا.';

  @override
  String get post8722Sbad250Sbprice8722Sbtype250Sbtitle => 'نوع إدخال السعر';

  @override
  String get post8722Sbad250Sbprice250Sbtitle => 'سعر';

  @override
  String get post8722Sbad250Sbpublish8722Sbbtn => 'نشر إعلان';

  @override
  String get post8722Sbad250Sbrestrictions => 'قيود';

  @override
  String get post8722Sbad250Sbreview => 'مراجعة إعلانك';

  @override
  String get post8722Sbad250Sbreview250Sbad8722Sbtype => 'نوع الإعلان';

  @override
  String get post8722Sbad250Sbreview250Sbmargin => 'الهامش';

  @override
  String get post8722Sbad250Sbreview250Sbminutes => 'الدقائق';

  @override
  String get post8722Sbad250Sbreview250Sbno => 'رقم';

  @override
  String get post8722Sbad250Sbreview250Sbyes => 'نعم';

  @override
  String post8722Sbad250Sbrules8722Sbtext8722Sb0(Object termsOfservice, Object guides) {
    return 'قبل إنشاء إعلان ، يرجى قراءة $termsOfservice و $guides';
  }

  @override
  String get post8722Sbad250Sbrules8722Sbtext8722Sb08722Sbguides => 'خطوط إرشاد';

  @override
  String get post8722Sbad250Sbrules8722Sbtext8722Sb08722Sbterms8722Sbof8722Sbservice => 'شروط الخدمة';

  @override
  String get post8722Sbad250Sbrules8722Sbtext8722Sb18722Sb0 => 'تكلف كل صفقة مكتملة المعلنين 1٪ من إجمالي مبلغ التجارة (رسوم حماية التحكيم).';

  @override
  String post8722Sbad250Sbrules8722Sbtext8722Sb18722Sb1(Object minimumXmrAmount, Object assetSymbol, Object appName) {
    return 'يجب أن يكون لديك $minimumXmrAmount $assetSymbol على الأقل في محفظة سندات التحكيم $appName الخاصة بك لإعلان بيع $assetSymbol منشور حتى يكون مرئيًا.';
  }

  @override
  String post8722Sbad250Sbrules8722Sbtext8722Sb18722Sb1250Sbagoradesk8722Sbnojs(Object minimumXmrAmount, Object assetSymbol, Object appName) {
    return 'يجب أن يكون لديك $minimumXmrAmount $assetSymbol على الأقل في محفظتك $appName لبيع إعلان $assetSymbol منشور أو $assetSymbol بيع إعلان أو $assetSymbol ضع إعلان شراء ليكون مرئيًا.';
  }

  @override
  String post8722Sbad250Sbrules8722Sbtext8722Sb18722Sb2(Object maximumNumberOfAds) {
    return 'يُسمح لكل مستخدم بإنشاء ما يصل إلى إعلان $maximumNumberOfAds.';
  }

  @override
  String get post8722Sbad250Sbrules8722Sbtext8722Sb18722Sb3 => 'بمجرد فتح الصفقة ، يكون السعر نهائيًا ، إلا في حالة وجود خطأ واضح في التسعير.';

  @override
  String post8722Sbad250Sbrules8722Sbtext8722Sb18722Sb4(Object assetName) {
    return 'لا يُسمح لك بشراء أو بيع $assetName نيابة عن شخص آخر (سمسرة).';
  }

  @override
  String get post8722Sbad250Sbrules8722Sbtext8722Sb18722Sb4250Sbnojs => 'لا يُسمح لك بشراء أو بيع عملة مشفرة نيابة عن شخص آخر (سمسرة).';

  @override
  String get post8722Sbad250Sbrules8722Sbtext8722Sb18722Sb5 => 'لا يجوز لك استخدام سوى حسابات الدفع المسجلة باسمك (بدون مدفوعات من طرف ثالث!).';

  @override
  String get post8722Sbad250Sbrules8722Sbtext8722Sb18722Sb6 => 'يجب عليك تقديم تفاصيل الدفع الخاصة بك في الإعلان أو في الدردشة التجارية.';

  @override
  String post8722Sbad250Sbrules8722Sbtext8722Sb18722Sb7(Object appName) {
    return 'يجب أن تحدث جميع الاتصالات على $appName.';
  }

  @override
  String get post8722Sbad250Sbrules8722Sbtitle => 'قواعد ومتطلبات الإعلان';

  @override
  String post8722Sbad250Sbsettlement8722Sbaddress250Sbtip(Object appName) {
    return 'مطلوب. عنوانك الذي سيتم إرسال العملات إليه. لا يمكن أن يكون عنوان $appName داخلي.';
  }

  @override
  String post8722Sbad250Sbstep8722Sb1(Object step_number) {
    return 'الخطوة $step_number';
  }

  @override
  String get post8722Sbad250Sbstep8722Sb2 => 'الخطوة 2';

  @override
  String get post8722Sbad250Sbstep8722Sb3 => 'الخطوه 3';

  @override
  String get post8722Sbad250Sbstep8722Sb4 => 'الخطوة 4';

  @override
  String get post8722Sbad250Sbstep8722Sb5 => 'الخطوة الخامسة';

  @override
  String get post8722Sbad250Sbstep8722Sb6 => 'الخطوة 6';

  @override
  String get post8722Sbad250Sbswitch8722Sbform8722Sbtoggle250Sbshow8722Sbfull => 'إظهار الشكل الكامل';

  @override
  String get post8722Sbad250Sbswitch8722Sbform8722Sbtoggle250Sbshow8722Sbstep => 'إظهار عرض الخطوة';

  @override
  String get post8722Sbad250Sbterms => 'شروط المعاملة';

  @override
  String get post8722Sbad250Sbterms8722Sbtip8722Sb0 => 'شروط اعلان الصفقة، بحد أقصى 4096 حرفًا. يمكنك استخدام تخفيض السعر لتحديد نمط مصطلحات إعلانك (الصور غير مسموح بها).';

  @override
  String get post8722Sbad250Sbterms8722Sbtip8722Sb1 => 'كيفية استخدام تخفيض السعر؟';

  @override
  String get post8722Sbad250Sbtitle => 'قم بإنشاء إعلان';

  @override
  String get post8722Sbad250Sbtrack8722Sbmax8722Sbamount8722Sbliquidity => 'تتبع السيولة القصوى';

  @override
  String get post8722Sbad250Sbtrack8722Sbmax8722Sbamount8722Sbliquidity8722Sbtip => 'يحد هذا الخيار من سيولة هذا الإعلان إلى أقصى حد. حد المعاملة. لا يمكن للمشترين فتح وإكمال التداولات بأكثر من هذا المبلغ. مثال: مع تشغيل تتبع السيولة والحد الأقصى. تم تعيين حد المعاملة على 100 دولار أمريكي عندما يفتح المشتري صفقة بقيمة 20 دولارًا أمريكيًا كحد أقصى. يتم تقليل حد المعاملة تلقائيًا إلى 80 دولارًا أمريكيًا. يعود إلى 100 دولار أمريكي إذا ألغى المشتري الصفقة ، ويبقى عند 80 دولارًا أمريكيًا إذا اكتملت الصفقة.';

  @override
  String post8722Sbad250Sbtrade8722Sbtype250Sblocal8722Sbbuy(Object assetName) {
    return 'شراء $assetName نقدًا (محليًا)';
  }

  @override
  String post8722Sbad250Sbtrade8722Sbtype250Sblocal8722Sbsell(Object assetName) {
    return 'بيع $assetName نقدًا (محليًا)';
  }

  @override
  String post8722Sbad250Sbtrade8722Sbtype250Sbonline8722Sbbuy(Object assetName) {
    return 'شراء $assetName عبر الإنترنت';
  }

  @override
  String post8722Sbad250Sbtrade8722Sbtype250Sbonline8722Sbsell(Object assetName) {
    return 'بيع $assetName عبر الإنترنت';
  }

  @override
  String get post8722Sbad250Sbtrade8722Sbtype250Sbsubtitle => 'أريد أن...';

  @override
  String post8722Sbad250Sbtrade8722Sbtype250Sbtip(Object assetName, Object appName) {
    return 'ما نوع الإعلان التجاري الذي ترغب في إنشائه؟ إذا كنت ترغب في بيع $assetName تأكد من أن لديك $assetName في محفظة سندات التحكيم $appName.';
  }

  @override
  String post8722Sbad250Sbtrade8722Sbtype250Sbtip250Sbnojs(Object appName) {
    return 'ما نوع الإعلان التجاري الذي ترغب في إنشائه؟ إذا كنت ترغب في بيع Monero ، فتأكد من وجود Monero في محفظة سندات التحكيم $appName الخاصة بك.';
  }

  @override
  String post8722Sbad250Sbtrade8722Sbtype250Sbtip250Sbnojs57Sbagoradesk(Object appName) {
    return 'ما نوع الإعلان التجاري الذي ترغب في إنشائه؟ إذا كنت ترغب في بيع عملة مشفرة ، فتأكد من أن لديك العملة المشفرة ذات الصلة في محفظة سندات التحكيم $appName.';
  }

  @override
  String get post8722Sbad250Sbtrade8722Sbtype250Sbtitle => 'نوع الصفقة';

  @override
  String price8722Sbformula8722Sbinterface250Sbtickers250Sbasset8722Sbpairs(Object asset) {
    return 'أزواج $asset';
  }

  @override
  String get price8722Sbformula8722Sbinterface250Sbtickers250Sbasset8722Sbpairs250Sbother8722Sbasset => 'آخر';

  @override
  String get read8722Sbmore => 'اقرأ أكثر';

  @override
  String get recaptcha250Sbno8722Sbgoogle8722Sbmessage => 'لقد لاحظنا أن خدمات Google محظورة في متصفحك. نظرًا لأننا نستخدم reCAPTCHA من Google لبعض إجراءات الموقع ، فستحتاج إلى إيجاد طريقة للوصول إلى خدمات Google (مثل VPN أو الوكيل أو باستخدام متصفح Tor).';

  @override
  String get receipt250Sbchat8722Sbmessages => 'المراسلة';

  @override
  String get receipt250Sbchat8722Sbmessages8722Sbnone => 'لا رسائل';

  @override
  String get receipt250Sbdetails250Sbopened => 'افتتح';

  @override
  String get receipt250Sbno8722SbaccountInfo => 'لم يتم تقديم معلومات عن طريقة الدفع';

  @override
  String receipt250Sbtitle(Object appName, Object id) {
    return '$appName - معرف الصفقة: $id';
  }

  @override
  String get reputation8722Sbimport250Sbdenied250Sbtip => 'يمكنك المحاولة مرة أخرى باسم مستخدم مختلف';

  @override
  String get reputation8722Sbimport250Sbdenied250Sbtitle => 'رفض';

  @override
  String get reputation8722Sbimport250Sbinitial250Sbtitle => 'لم يبدأ';

  @override
  String get reputation8722Sbimport250Sbpending250Sbtitle => 'قيد الانتظار';

  @override
  String get reputation8722Sbimport250Sbstats250Sbfeedback => 'ملاحظات';

  @override
  String get reputation8722Sbimport250Sbstats250Sbregistered => 'مسجل';

  @override
  String reputation8722Sbimport250Sbstats250Sbtitle(Object platform) {
    return 'سمعة $platform';
  }

  @override
  String get reputation8722Sbimport250Sbstats250Sbtrades => 'الصفقات';

  @override
  String get reputation8722Sbimport250Sbstats250Sbvolume => 'الصوت';

  @override
  String reputation8722Sbimport250Sbstep250Sbcode250Sbmessage(Object platform) {
    return 'أضف هذا الرمز في مكان ما في ملفك الشخصي العام على $platform. بمجرد التحقق من الرمز ، يمكنك إزالته.';
  }

  @override
  String get reputation8722Sbimport250Sbstep250Sbcode250Sbmessage250Sblbc => 'أضف هذا الرمز إلى ملف تعريف LocalBitcoins الخاص بك كصفحة ويب شخصية ، مع إضافة \".com\" في النهاية. بمجرد التحقق من الرمز ، يمكنك إزالته.';

  @override
  String get reputation8722Sbimport250Sbstep250Sbcode250Sbtitle => 'أضف الكود';

  @override
  String get reputation8722Sbimport250Sbstep250Sbfinal250Sbtitle => 'انتظر التحقق';

  @override
  String reputation8722Sbimport250Sbstep250Sbusername250Sbinput250Sblabel(Object platform) {
    return 'اسم مستخدم $platform الخاص بك';
  }

  @override
  String reputation8722Sbimport250Sbstep250Sbusername250Sbmessage(Object platform) {
    return 'ما هو اسم المستخدم الخاص بك على $platform؟';
  }

  @override
  String get reputation8722Sbimport250Sbstep250Sbusername250Sbtitle => 'حدد اسم المستخدم';

  @override
  String get reputation8722Sbimport250Sbstepper250Sbfinal250Sbmessage => 'فقط انتظر قليلاً حتى نتحقق من ملفك الشخصي.';

  @override
  String get reputation8722Sbimport250Sbstepper250Sbfinal250Sbtitle => 'اوشكت على الوصول!';

  @override
  String get reputation8722Sbimport250Sbunconfirmed250Sbtitle => 'غير مؤكد';

  @override
  String get reputation8722Sbimport250Sbverified250Sbtitle => 'تم التحقق';

  @override
  String get reputation8722Sbimport250Sbwizard8722Sbtoggle250Sbedit => 'تحرير معلومات الاستيراد';

  @override
  String get reputation8722Sbimport250Sbwizard8722Sbtoggle250Sbinitial => 'رابط الحساب';

  @override
  String get request8722Sbpassword8722Sbreset250Sbbtn => 'إرسال رسالة إعادة تعيين';

  @override
  String get request8722Sbpassword8722Sbreset250Sbemail => 'بريدك الالكتروني';

  @override
  String get request8722Sbpassword8722Sbreset250Sbemail8722Sbtip => 'أدخل بريدًا إلكترونيًا تم التحقق منه مرتبطًا بحسابك. سنرسل رسالة تحتوي على تعليمات إعادة تعيين كلمة المرور';

  @override
  String get request8722Sbpassword8722Sbreset250Sberror8722Sb1 => 'ليس لدينا حساب مرتبط بهذا البريد الإلكتروني.';

  @override
  String get request8722Sbpassword8722Sbreset250Sberror8722Sb2 => 'هذا البريد الإلكتروني لم يتم التحقق منه';

  @override
  String get request8722Sbpassword8722Sbreset250Sberror8722Sb3 => 'خطأ';

  @override
  String get request8722Sbpassword8722Sbreset250Sberror8722Sb58722Sbtext => 'يرجى الانتظار قبل إعادة تعيين كلمة المرور الخاصة بك مرة أخرى';

  @override
  String get request8722Sbpassword8722Sbreset250Sberror8722Sb58722Sbtitle => 'طلبات كثيرة جدا';

  @override
  String get request8722Sbpassword8722Sbreset250Sberror8722Sb6 => 'خطأ في إعادة تعيين كلمة المرور';

  @override
  String get request8722Sbpassword8722Sbreset250Sbletter8722Sbsent => 'إذا تم التحقق من هذا البريد الإلكتروني باستخدام حساب ، فستتلقى رسالة.';

  @override
  String get request8722Sbpassword8722Sbreset250Sbtitle => 'إعادة تعيين كلمة المرور';

  @override
  String get right8722Sbdrawer250Sbaffiliate => 'إنضم لبرنامج';

  @override
  String get right8722Sbdrawer250Sbcancelled => 'التداولات الملغاة';

  @override
  String get right8722Sbdrawer250Sbcompleted => 'الصفقات المنجزة';

  @override
  String get right8722Sbdrawer250Sbdashboard => 'فتح الصفقات والإعلانات';

  @override
  String get right8722Sbdrawer250Sblogout => 'تسجيل خروج';

  @override
  String get right8722Sbdrawer250Sbprofile => 'الملف الشخصي';

  @override
  String get right8722Sbdrawer250Sbsettings => 'إعدادات';

  @override
  String get right8722Sbdrawer250Sbwallet => 'محفظة';

  @override
  String get sanction250Sbaction8722Sbnotice => 'يحظر عليك تنفيذ هذا الإجراء بسبب القيود التالية على حسابك:';

  @override
  String get sanction250Sbban250Sblabel => 'محظور';

  @override
  String get sanction250Sbexpires => 'تنتهي';

  @override
  String get sanction250Sblabel250Sbtrading8722Sbsuspension => 'تم تعليق التداول';

  @override
  String get sanction250Sbreason => 'سبب';

  @override
  String get sanction250Sbsanctioned8722Sbat => 'حيث';

  @override
  String get sanction250Sbuser => 'المستخدم';

  @override
  String get sanction250Sbwallet8722Sbfreeze250Sblabel => 'تم تجميد المحفظة وتعليق التداول';

  @override
  String search250Sball8722Sbmethods(Object code) {
    return 'جميع طرق $code';
  }

  @override
  String get search250Sbamount => 'مقدار';

  @override
  String get search250Sbbtn => 'يبحث';

  @override
  String get search250Sbbuy8722Sbtab => 'يشتري';

  @override
  String get search250Sbcoordinates250Sblat => 'خط العرض';

  @override
  String get search250Sbcoordinates250Sblon => 'خط الطول';

  @override
  String search250Sbheading8722Sblocal8722Sbbuy(Object assetName, Object location) {
    return 'بيع $assetName نقدًا في {country}';
  }

  @override
  String search250Sbheading8722Sblocal8722Sbsell(Object assetName, Object location) {
    return 'اشترِ $assetName نقدًا في {country}';
  }

  @override
  String search250Sbheading8722Sbonline8722Sbbuy(Object assetName, Object country, Object usingMethod) {
    return 'بيع $assetName عبر الإنترنت في $country $usingMethod';
  }

  @override
  String search250Sbheading8722Sbonline8722Sbsell(Object assetName, Object country, Object usingMethod) {
    return 'شراء $assetName عبر الإنترنت في $country $usingMethod';
  }

  @override
  String search250Sbheading8722Sbusing8722Sbmethod(Object method) {
    return 'باستخدام $method';
  }

  @override
  String get search250Sblocation8722Sbplaceholder => 'اكتب موقعك ...';

  @override
  String search250Sbno8722Sbgoogle8722Sbtext(Object value) {
    return 'لقد لاحظنا أن خدمات Google محظورة في متصفحك. لا بأس بذلك ، لكننا نستخدمها للعثور على صفقات محلية بالقرب منك. هذا يعني أنه سيتعين عليك إدخال إحداثياتك يدويًا. يمكنك استخدام خدمات مثل $value لمساعدتك في ذلك.';
  }

  @override
  String get search250Sbno8722Sbgoogle8722Sbtext8722Sbhere => 'هذه';

  @override
  String search250Sbno8722Sbresults(Object country) {
    return 'لا توجد نتائج في $country بالمعايير المحددة ... حتى الآن. ';
  }

  @override
  String get search250Sbno8722Sbresults8722Sb1 => 'جرب طريقة دفع مختلفة أو مبلغ مختلف أو بدون مبلغ على الإطلاق. ';

  @override
  String search250Sbno8722Sbresults8722Sb2(Object postAnad) {
    return 'بدلاً من ذلك ، كن أول شخص $postAnad هنا!';
  }

  @override
  String get search250Sbno8722Sbresults8722Sbpost8722Sban8722Sbad => 'انشر إعلانا';

  @override
  String search250Sbpopular8722Sbmethods(Object code) {
    return '🔥 طرق $code الشائعة';
  }

  @override
  String get search250Sbsell8722Sbtab => 'باع';

  @override
  String get seo250Sbheadline8722Sb1 => 'احم حقك في الخصوصية - اشتر Monero.';

  @override
  String get seo250Sbheadline8722Sb157Sbagoradesk => 'أفضل تبادل عملة معماة لشراء وبيع البيتكوين عبر الإنترنت دون التحقق من الهوية.';

  @override
  String get seo250Sbheadline8722Sb2 => 'قم ببيع Monero للناس في جميع أنحاء العالم أو محليًا - ادعم المجتمع واكسب المال باستخدام العملة المشفرة.';

  @override
  String get seo250Sbheadline8722Sb257Sbagoradesk => 'بديل حقيقي لـ LocalBitcoins و Paxful.';

  @override
  String get seo250Sbtext8722Sb1 => 'إذا كنت قلقًا بشأن انتهاك الخصوصية - فإن أفضل عملة مشفرة يمكنك الاستثمار فيها هي XMR. Monero هي عملة لا يمكن تعقبها تم تطويرها مع مراعاة الخصوصية حسب التصميم.\n<br/>\nمن أين تشتري Monero؟ LocalMonero هي أكبر بورصة Monero وأكثرها ثقة وثقة في مجتمع XMR. ليس لدينا شيكات KYC - يمكنك ببساطة شراء Monero بشكل مجهول دون التحقق من الهوية باستخدام PayPal أو بطاقة الائتمان أو بطاقة الهدايا أو النقد عن طريق البريد أو تحويل البيتكوين إلى Monero - تدعم منصتنا أي طريقة دفع.';

  @override
  String get seo250Sbtext8722Sb157Sbagoradesk => 'أتساءل كيف تستثمر في البيتكوين؟ على AgoraDesk ، لم يكن شراء عملات البيتكوين أسهل من أي وقت مضى - اشترِ BTC على الفور من شخص باستخدام طريقة الدفع المفضلة لديك عبر الإنترنت: PayPal أو بطاقة الائتمان / الخصم أو التحويل المصرفي أو بطاقات الهدايا أو Venmo أو أي وسيلة أخرى.\n<br/>\nإذا كنت ترغب في شراء عملات البيتكوين بالقرب منك نقدًا ، فيمكنك العثور على شخص يرغب في بيع عملات البيتكوين محليًا - تدعم منصة التداول شراء BTC واختيارها نقدًا. يمكنك حتى شراء عملات البيتكوين نقدًا عن طريق البريد.';

  @override
  String get seo250Sbtext8722Sb2 => 'LocalMonero هو أفضل مكان لبيع XMR - سواء كانت مكافآت التعدين الخاصة بك ،\nموازنة سعر Monero ، أو ترى ببساطة القيمة في خدمة المجتمع. يوفر لك نظام حماية سندات التحكيم ومحفظة سندات تحكيم Monero الآمنة تجربة تداول XMR قوية - حتى تتمكن من تحويل XMR إلى الدولار الأمريكي أو اليورو أو الدولار الأسترالي أو الجنيه الإسترليني أو أي عملة محلية أخرى براحة البال.';

  @override
  String get seo250Sbtext8722Sb257Sbagoradesk => 'هل أنت متداول بيتكوين تتطلع إلى كسب المال من خلال المراجحة في العملات المشفرة؟ عامل منجم يريد صرف BTC إلى دولار أمريكي أو عملة محلية أخرى؟\n<br/>\nAgoraDesk هو <a href=\"/localbitcoins-alternative\" style=\"color: #0b4f6c\"> بديل لوكال بيتكوينز </a> يحترم خصوصيتك وأمانك ، بينما يوفر لك تجربة سلسة وسريعة لصرف عملات البيتكوين الخاصة بك.';

  @override
  String get settings250Sb2fa250Sbbackup8722Sbcode => 'رمزك الاحتياطي هو:';

  @override
  String get settings250Sb2fa250Sbdisable8722Sbbtn => 'تعطيل 2FA';

  @override
  String get settings250Sb2fa250Sbdisable8722Sberror => 'كلمة مرور خاطئة أو كلمة مرور لمرة واحدة.';

  @override
  String get settings250Sb2fa250Sbdisable8722Sbsubtitle => 'لتعطيل المصادقة الثنائية (2FA) ، أدخل كلمة المرور وكلمة المرور لمرة واحدة.';

  @override
  String get settings250Sb2fa250Sbdisable8722Sbsuccess => 'النجاح! 2FA المعوقين.';

  @override
  String get settings250Sb2fa250Sbdisable8722Sbtitle => 'تعطيل المصادقة الثنائية';

  @override
  String get settings250Sb2fa250Sbenable => 'قم بتمكين المصادقة الثنائية';

  @override
  String get settings250Sb2fa250Sbenable8722Sbbtn => 'تمكين 2FA';

  @override
  String get settings250Sb2fa250Sbenable8722Sbenter8722Sbpass => 'لتمكين المصادقة الثنائية (2FA) ، أدخل كلمة المرور الخاصة بك.';

  @override
  String get settings250Sb2fa250Sbnetwork8722Sberror => 'حدث خطأ ما في الطلب! حاول تحديث الصفحة وكرر الطلب.';

  @override
  String get settings250Sb2fa250Sbnot8722Sbenabled8722Sbyet => 'لم يتم تمكين المصادقة الثنائية الخاصة بك حتى الآن! تحتاج إلى إدخال كلمة المرور لمرة واحدة لتنشيطها.';

  @override
  String get settings250Sb2fa250Sbrtfm => 'اقرأ دليل تنشيط المصادقة الثنائية';

  @override
  String get settings250Sb2fa250Sbstatus => 'حالة المصادقة الثنائية الخاصة بك:';

  @override
  String get settings250Sb2fa250Sbstatus8722Sbdisabled => 'معاق';

  @override
  String get settings250Sb2fa250Sbstatus8722Sbenabled => 'تم التمكين';

  @override
  String get settings250Sb2fa250Sbstep8722Sbfour => '<strong> أدخل الرمز </strong> الذي قدمه تطبيق 2FA للجوال في المربع الموجود أسفل رمز الاستجابة السريعة و <strong> اضغط على الزر \"تحقق من 2FA\" </strong>.';

  @override
  String settings250Sb2fa250Sbstep8722Sbone(Object downloadA2faapp, Object andotp, Object anyOther2faapp, Object totp) {
    return '$downloadA2faapp مثل $andotp أو $anyOther2faapp يدعم $totp لجهازك.';
  }

  @override
  String get settings250Sb2fa250Sbstep8722Sbone8722Sbany8722Sbother8722Sb2fa8722Sbapp => 'أي تطبيق 2FA آخر';

  @override
  String get settings250Sb2fa250Sbstep8722Sbone8722Sbdownload8722Sba8722Sb2fa8722Sbapp => 'قم بتنزيل تطبيق 2FA';

  @override
  String get settings250Sb2fa250Sbstep8722Sbthree => 'قم بتشغيل تطبيق 2FA على جهازك المحمول. ابحث عن وظيفة مسح الرمز الشريطي في التطبيق و <strong> امسح رمز QR </strong> المعروض في هذه الصفحة.';

  @override
  String settings250Sb2fa250Sbstep8722Sbtwo(Object appName) {
    return '<strong> اكتب الرمز الاحتياطي الخاص بك </strong> (باللون الأخضر أعلاه) على قطعة من الورق واحفظه في مكان آمن. ستحتاج إليه إذا فقدت هاتفك ، أو سيتم حظر دخولك إلى حسابك. لن يتمكن $appName من مساعدتك في حالة فقد هذا الرمز.';
  }

  @override
  String get settings250Sb2fa250Sbsubtitle => 'عندما تكون المصادقة ذات العاملين نشطة ، فأنت بحاجة إلى إدخال رمز لمرة واحدة في كل مرة تقوم فيها بتسجيل الدخول أو سحب الأموال.';

  @override
  String get settings250Sb2fa250Sbsuccess => 'النجاح!';

  @override
  String get settings250Sb2fa250Sbsuccess8722Sbtext => 'تم تعيين المصادقة ذات العاملين على حسابك.';

  @override
  String get settings250Sb2fa250Sbsuccess8722Sbwarn => 'هذه هي الفرصة الأخيرة لكتابة الرمز الاحتياطي الخاص بك!';

  @override
  String get settings250Sb2fa250Sbtitle => 'المصادقة الثنائية (2FA)';

  @override
  String get settings250Sb2fa250Sbverify8722Sbbtn => 'تحقق من 2FA';

  @override
  String get settings250Sb2fa250Sbwarning => 'نوصي بشدة بتمكين المصادقة الثنائية (2FA) على حسابك لتحسين الأمان.';

  @override
  String get settings250Sb2fa250Sbwarning250Sbenable => 'يُمكَِن';

  @override
  String get settings250Sb2fa250Sbwrong8722Sbotp => 'كلمة مرور غير صحيحة تستخدم لمرة واحدة.';

  @override
  String get settings250Sbapi8722Sbkey250Sbcopy8722Sbtooltip => 'نسخ إلى الحافظة';

  @override
  String get settings250Sbapi8722Sbkey250Sbdelete8722Sbtooltip => 'حذف المفتاح النشط وتنتهي صلاحيته';

  @override
  String get settings250Sbapi8722Sbkey250Sbgenerate250Sbbutton => 'يولد';

  @override
  String get settings250Sbapi8722Sbkey250Sbgenerate250Sbcaption => 'سيؤدي إنشاء مفتاح أيضًا إلى إبطال مفتاح واجهة برمجة التطبيقات الذي تم إنشاؤه مسبقًا';

  @override
  String get settings250Sbapi8722Sbkey250Sbgenerate250Sbtitle => 'إنشاء مفتاح API جديد';

  @override
  String get settings250Sbapi8722Sbkey250Sblabel => 'مفتاح API';

  @override
  String settings250Sbapi8722Sbkey250Sblabel250Sbcaption(Object apiDocs) {
    return 'لتتمكن من استخدام نقاط نهاية API الخاصة ، يجب عليك تعيين مفتاح API الخاص بك كرأس \"التفويض\". المفتاح ينتهي في 5 سنوات. اعثر على مزيد من التفاصيل في $apiDocs.';
  }

  @override
  String get settings250Sbapi8722Sbkey250Sblabel250Sbcaption250Sbapi8722Sbdocs8722Sblink => 'مستندات API';

  @override
  String get settings250Sbbasic8722Sbinfo8722Sbtitle => 'معلومات المستخدم الأساسية';

  @override
  String get settings250Sbbuying8722Sbvacation8722Sbtip => 'لن يرى أي شخص يرغب في بيع عملاتك المعدنية إعلاناتك أو يفتح تداولات عليها';

  @override
  String get settings250Sbbuying8722Sbvacation8722Sbtitle => 'شراء اجازة';

  @override
  String get settings250Sbchange8722Sbemail250Sbbtn => 'تغيير الايميل';

  @override
  String get settings250Sbchange8722Sbemail250Sbnew => 'بريد إلكتروني جديد';

  @override
  String get settings250Sbchange8722Sbemail250Sbnew8722Sbtip => 'سيتم إرسال خطاب تحقق للتحقق من بريدك الإلكتروني';

  @override
  String get settings250Sbchange8722Sbemail250Sbnone => 'لم يتم تقديم بريد إلكتروني';

  @override
  String settings250Sbchange8722Sbemail250Sbsubtitle(Object email) {
    return 'البريد الإلكتروني الحالي: $email';
  }

  @override
  String get settings250Sbchange8722Sbemail250Sbtitle => 'تغيير / التحقق من البريد الإلكتروني';

  @override
  String get settings250Sbchange8722Sbemail250Sbunverified => 'لم يتم التحقق منه';

  @override
  String get settings250Sbchange8722Sbemail250Sbverified => 'تم التحقق';

  @override
  String get settings250Sbchange8722Sbpassword8722Sbwrong => 'كلمة المرور الحالية خاطئة';

  @override
  String get settings250Sbchange8722Sbpassword250Sbbtn => 'غير كلمة السر';

  @override
  String get settings250Sbchange8722Sbpassword250Sbconfirm => 'تأكيد كلمة المرور الجديدة';

  @override
  String get settings250Sbchange8722Sbpassword250Sbconfirm8722Sbtip => 'يرجى تأكيد كلمة المرور الجديدة الخاصة بك';

  @override
  String get settings250Sbchange8722Sbpassword250Sbnew => 'كلمة السر الجديدة';

  @override
  String get settings250Sbchange8722Sbpassword250Sbold => 'كلمة المرور القديمة';

  @override
  String get settings250Sbchange8722Sbpassword250Sbold8722Sbtip => 'الرجاء إدخال كلمة المرور الحالية الخاصة بك للمتابعة';

  @override
  String get settings250Sbchange8722Sbpassword250Sbsubtitle => 'بعد تغيير كلمة المرور ، سيتعين عليك تسجيل الدخول مرة أخرى باستخدام كلمة المرور الجديدة';

  @override
  String get settings250Sbchange8722Sbpassword250Sbtitle => 'غير كلمة السر';

  @override
  String get settings250Sbdelete8722Sbaccount250Sbbutton => 'حذف الحساب';

  @override
  String get settings250Sbdelete8722Sbaccount250Sbdescription => 'سيؤدي هذا إلى حذف جميع بيانات حسابك وإخفاء هويتك. سيتم حذف حسابك بالكامل - لا يمكن التراجع عن هذا الإجراء.';

  @override
  String get settings250Sbdelete8722Sbaccount250Sbdialog250Sbwarning => 'سيتم حذف حسابك بالكامل - هل أنت متأكد أنك تريد المتابعة؟ هذا لا يمكن التراجع عنها.';

  @override
  String get settings250Sbemail8722Sbalready8722Sblinked => 'هذا البريد الإلكتروني مرتبط بمستخدم آخر';

  @override
  String get settings250Sberror250Sbemail8722Sbchange8722Sbtitle => 'خطأ في تغيير البريد الإلكتروني';

  @override
  String get settings250Sbgeneric8722Sberror => 'هناك خطأ ما! حاول مرة اخرى.';

  @override
  String get settings250Sbhavent8722Sbreceived8722Sbemail => 'إذا كنت لا ترى رسالة منا في صندوق البريد الإلكتروني الخاص بك';

  @override
  String get settings250Sbhavent8722Sbreceived8722Sbemail8722Sbbtn => 'انقر هنا لإرسال خطاب التحقق';

  @override
  String get settings250Sbhomepage => 'الصفحة الرئيسية';

  @override
  String settings250Sbhomepage8722Sbtip(Object example_url) {
    return 'تظهر في ملفك الشخصي العام. يتم قبول عنوان URL الصالح فقط (مثل https: // $example_url)';
  }

  @override
  String settings250Sbno8722Sbemail8722Sbwarn(Object appName) {
    return 'حسابك ليس لديه مجموعة بريد إلكتروني تم التحقق منها. إذا فقدت كلمة المرور الخاصة بك ، فلن يتمكن $appName من مساعدتك في إعادة تعيينها.';
  }

  @override
  String get settings250Sbnotifications250Sbemail8722Sbmessage8722Sblong => 'إرسال إشعارات بالبريد الإلكتروني عند استلام رسالة تجارية جديدة (مرة واحدة في الساعة)';

  @override
  String get settings250Sbnotifications250Sbemail8722Sbmessage8722Sbshort => 'رسالة تجارية جديدة (مرة واحدة في الساعة)';

  @override
  String get settings250Sbnotifications250Sbemail250Sbtitle => 'اشعارات البريد الالكتروني';

  @override
  String get settings250Sbnotifications250Sbescrow8722Sbrelease8722Sblong => 'إرسال إشعارات بالبريد الإلكتروني عند الانتهاء من الصفقة';

  @override
  String get settings250Sbnotifications250Sbescrow8722Sbrelease8722Sbshort => 'تم الانتهاء من الصفقة';

  @override
  String get settings250Sbnotifications250Sbescrow8722Sbrelease8722Sbtip => 'إرسال إشعارات بالبريد الإلكتروني عند الانتهاء من الصفقة';

  @override
  String get settings250Sbnotifications250Sbnew8722Sboffers8722Sblong => 'إرسال إخطارات البريد الإلكتروني لجهات الاتصال التجارية الجديدة';

  @override
  String get settings250Sbnotifications250Sbnew8722Sboffers8722Sbshort => 'اتصالات تجارية جديدة';

  @override
  String get settings250Sbnotifications250Sbnew8722Sboffers8722Sbtip => 'إرسال إشعارات البريد الإلكتروني لطلبات الاتصال الجديدة';

  @override
  String get settings250Sbnotifications250Sbnew8722Sbpayments8722Sblong => 'إرسال إشعارات البريد الإلكتروني للمدفوعات الجديدة عبر الإنترنت';

  @override
  String get settings250Sbnotifications250Sbnew8722Sbpayments8722Sbshort => 'المدفوعات الجديدة عبر الإنترنت';

  @override
  String get settings250Sbnotifications250Sbnew8722Sbpayments8722Sbtip => 'إرسال إشعارات بالبريد الإلكتروني للمدفوعات الجديدة عبر الإنترنت في تداولاتك';

  @override
  String get settings250Sbnotifications250Sbsensitive8722Sblong => 'تعطيل المعلومات الحساسة من إشعارات البريد الإلكتروني';

  @override
  String get settings250Sbnotifications250Sbsensitive8722Sbshort => 'تعطيل المعلومات الحساسة';

  @override
  String get settings250Sbnotifications250Sbsensitive8722Sbtip => 'ستطلب منك رسائل البريد الإلكتروني فقط تسجيل الدخول إلى الموقع ، حيث ستكون الإشعارات الفعلية';

  @override
  String get settings250Sbnotifications250Sbtelegram250Sbdialog8722Sbtitle => 'إشعارات الهاتف المحمول برقية';

  @override
  String get settings250Sbnotifications250Sbtelegram250Sbdisable8722Sbconfirm8722Sbbtn => 'تعطيل إشعارات Telegram';

  @override
  String get settings250Sbnotifications250Sbtelegram250Sbdisable8722Sbconfirm8722Sbtext => 'سيؤدي هذا إلى تعطيل الإشعارات على Telegram. يمكنك تمكين إشعارات Telegram مرة أخرى عن طريق إدخال معرف إشعار Telegram الخاص بك.';

  @override
  String get settings250Sbnotifications250Sbtelegram250Sberror250Sbgeneric => 'هناك خطأ ما. يرجى محاولة تحديث الصفحة وتكرار الطلب.';

  @override
  String get settings250Sbnotifications250Sbtelegram250Sberror250Sbid8722Sbalready8722Sblinked => 'معرف Telegram هذا مرتبط بمستخدم آخر';

  @override
  String get settings250Sbnotifications250Sbtelegram250Sbescrow8722Sblong => 'إرسال إشعارات Telegram عند الانتهاء من الصفقة';

  @override
  String get settings250Sbnotifications250Sbtelegram250Sbescrow8722Sbshort => 'تم الانتهاء من الصفقة';

  @override
  String settings250Sbnotifications250Sbtelegram250Sbhow8722Sbto(Object appName) {
    return 'كيف يمكنني تشغيل إشعارات الهاتف المحمول برقية $appName؟';
  }

  @override
  String get settings250Sbnotifications250Sbtelegram250Sbid => 'معرف إشعارات Telegram';

  @override
  String settings250Sbnotifications250Sbtelegram250Sbid8722Sbtip(Object appName) {
    return 'معرّف إشعارات Telegram الممنوح لك بواسطة $appName Notification Bot';
  }

  @override
  String get settings250Sbnotifications250Sbtelegram250Sbmessages8722Sblong => 'إرسال إشعارات Telegram لرسائل الدردشة الجديدة في التداولات';

  @override
  String get settings250Sbnotifications250Sbtelegram250Sbmessages8722Sbshort => 'رسائل الدردشة في الصفقة';

  @override
  String get settings250Sbnotifications250Sbtelegram250Sbpayments8722Sblong => 'إرسال إشعارات Telegram للمدفوعات الجديدة عبر الإنترنت';

  @override
  String get settings250Sbnotifications250Sbtelegram250Sbpayments8722Sbshort => 'المدفوعات الجديدة عبر الإنترنت';

  @override
  String get settings250Sbnotifications250Sbtelegram250Sbpayments8722Sbtip => 'إرسال إشعارات Telegram للمدفوعات الجديدة عبر الإنترنت في تداولاتك';

  @override
  String get settings250Sbnotifications250Sbtelegram250Sbtitle => 'إخطارات Telegram';

  @override
  String get settings250Sbnotifications250Sbtelegram250Sbtrade8722Sbrequests8722Sblong => 'إرسال إشعارات Telegram لطلبات الصفقة الجديدة';

  @override
  String get settings250Sbnotifications250Sbtelegram250Sbtrade8722Sbrequests8722Sbshort => 'طلبات الصفقة الجديدة';

  @override
  String get settings250Sbnotifications250Sbtitle => 'إشعارات';

  @override
  String get settings250Sbnotifications250Sbweb8722Sbnotifications => 'تفعيل إشعارات الويب';

  @override
  String get settings250Sbnotifications250Sbweb8722Sbnotifications8722Sbtip => 'سوف تحصل على إشعارات خارجية خارج نافذة المتصفح';

  @override
  String get settings250Sbpersonal8722Sbinfo => 'مقدمة شخصية';

  @override
  String get settings250Sbpersonal8722Sbinfo8722Sbtip => 'تظهر في ملفك الشخصي العام. الحد الأقصى 65536 حرفًا. يمكن استخدام تخفيض السعر للتصميم.';

  @override
  String get settings250Sbpersonal8722Sbinfo8722Sbtitle => 'معلومات شخصية';

  @override
  String get settings250Sbreputation8722Sbimport250Sberror250Sbimported8722Sbby8722Sbother8722Sbuser => 'تم استيراد سمعة هذا الحساب من قبل مستخدم آخر. ربما قمت بخطأ إملائي في اسم المستخدم ، أو ربما اخترت النظام الأساسي الخطأ؟';

  @override
  String settings250Sbreputation8722Sbimport250Sberror250Sblbc8722Sbinvalid8722Sbusername(Object link) {
    return 'ملف تعريف LocalBitcoins الخاص بك غير متاح للجمهور ، يمكنك اختباره بنفسك عن طريق محاولة فتح ملف تعريف LocalBitcoins الخاص بك أثناء تسجيل الخروج: $link. لا يمكننا استيراد ملفات التعريف غير المتاحة للجمهور. حاول الاتصال بدعم LocalBitcoins لحل هذه المشكلة ، ولكن قم بإزالة الرمز من مقدمة LocalBitcoins الخاصة بك قبل القيام بذلك.';
  }

  @override
  String get settings250Sbreputation8722Sbimport250Sberror250Sbplatform8722Sberror => 'هناك خطأ ما. تأكد من صحة اسم المستخدم وأنك حددت النظام الأساسي الصحيح. إذا كانت صحيحة ، حاول مرة أخرى خلال 5 دقائق. إذا لم يساعدك ذلك بعد ، فافتح تذكرة دعم.';

  @override
  String get settings250Sbresend8722Sbletter8722Sbdialog250Sbtitle => 'الرجاء إكمال اختبار CAPTCHA';

  @override
  String get settings250Sbresend8722Sbletter250Sbsent => 'تم إرسال الرسالة!';

  @override
  String get settings250Sbsaved => 'محفوظ!';

  @override
  String get settings250Sbselling8722Sbvacation8722Sbtip => 'لن يرى أي شخص يرغب في شراء عملاتك إعلاناتك أو يفتح صفقات عليها';

  @override
  String get settings250Sbselling8722Sbvacation8722Sbtitle => 'بيع الاجازة';

  @override
  String get settings250Sbtab250Sb2fa8722Sblong => '2FA';

  @override
  String get settings250Sbtab250Sbchange8722Sbemail8722Sblong => 'تغيير الايميل';

  @override
  String get settings250Sbtab250Sbchange8722Sbemail8722Sbshort => 'البريد الإلكتروني';

  @override
  String get settings250Sbtab250Sbchange8722Sbpassword8722Sblong => 'كلمة المرور';

  @override
  String get settings250Sbtab250Sbimport8722Sbreputation => 'سمعة الاستيراد';

  @override
  String settings250Sbtab250Sbimport8722Sbreputation250Sbdescription(Object appName) {
    return 'يمكنك الحصول على سمعتك من منصة P2P أخرى إلى $appName. ستحتاج إلى وضع رمز في مكان ما في ملفك الشخصي على النظام الأساسي الآخر ، والذي سنتحقق منه بعد ذلك. يمكنك ربط حساب واحد لكل منصة.';
  }

  @override
  String get settings250Sbtab250Sbnotifications250Sblong => 'إشعارات';

  @override
  String get settings250Sbtab250Sbuser8722Sbsettings8722Sblong => 'شخصي';

  @override
  String get settings250Sbtitle => 'إعدادت الحساب';

  @override
  String get settings250Sbvacation8722Sbtitle => 'عطلة';

  @override
  String get settings250Sbwrong8722Sbpassword => 'كلمة مرور خاطئة';

  @override
  String get settlement8722Sbaddress => 'عنوان محفظة التسوية';

  @override
  String get signup8722Sbsuccess250Sbletter8722Sbsent => 'تم إرسال خطاب التحقق إلى بريدك الإلكتروني.';

  @override
  String get signup8722Sbsuccess250Sblogin => 'سيتم الآن إعادة توجيهك إلى الصفحة الرئيسية.';

  @override
  String get signup8722Sbsuccess250Sbtitle => 'نجاح التسجيل!';

  @override
  String signup250Sbagree8722Sbto8722Sbtos(Object terms) {
    return 'لقد قرأت ووافقت على $terms';
  }

  @override
  String signup250Sbagree8722Sbto8722Sbtos8722Sbterms(Object appName) {
    return '$appName شروط الخدمة';
  }

  @override
  String get signup250Sbbtn => 'يسجل';

  @override
  String get signup250Sbconfirm8722Sbpass => 'تأكيد كلمة المرور';

  @override
  String get signup250Sbemail => 'البريد الإلكتروني اختياري)';

  @override
  String get signup250Sbemail8722Sbtip => 'لست مضطرًا إلى إدخال بريدك الإلكتروني لتداول Monero ، ولكن بدونه لن نتمكن من استعادة كلمة مرورك أو إرسال إشعارات بالبريد الإلكتروني إليك. سيتم التحقق من بريدك الإلكتروني مقابل قاعدة بيانات تابعة لجهات خارجية لموفري البريد الإلكتروني الذين يمكن التخلص منهم.';

  @override
  String get signup250Sbemail8722Sbtip57Sbagoradesk => 'لا يتعين عليك إدخال بريدك الإلكتروني لتداول العملات المشفرة ، ولكن بدونها لن نتمكن من استعادة كلمة مرورك أو إرسال إشعارات بالبريد الإلكتروني إليك. سيتم التحقق من بريدك الإلكتروني مقابل قاعدة بيانات تابعة لجهات خارجية لموفري البريد الإلكتروني الذين يمكن التخلص منهم.';

  @override
  String get signup250Sberror8722Sb28722Sbdialog8722Sbtitle => 'خطأ في التسجيل';

  @override
  String get signup250Sberror8722Sbdialog8722Sbtext => 'الرجاء إدخال معلومات صحيحة.';

  @override
  String get signup250Sberror8722Sbdialog8722Sbtitle => 'خطأ في النموذج';

  @override
  String signup250Sblogin(Object link) {
    return 'هل لديك حساب؟ $link';
  }

  @override
  String get signup250Sblogin8722Sblink => 'تسجيل الدخول.';

  @override
  String get signup250Sbtitle => 'اشتراك';

  @override
  String signup250Sbtos8722Sbdialog8722Sbtext(Object terms) {
    return 'للتسجيل ، يرجى قراءة $terms والموافقة عليها';
  }

  @override
  String get signup250Sbtos8722Sbdialog8722Sbtext8722Sbagree => 'يوافق على';

  @override
  String get signup250Sbtos8722Sbdialog8722Sbtext8722Sbdisagree => 'تعارض';

  @override
  String signup250Sbtos8722Sbdialog8722Sbtext8722Sbterms(Object appName) {
    return '$appName شروط الخدمة';
  }

  @override
  String get signup250Sbtos8722Sbdialog8722Sbtitle => 'شروط الخدمة';

  @override
  String get sso250Sblogout8722Sbportal => 'يتم تسجيل خروجك ...';

  @override
  String sso250Sbunverified8722Sbemail8722Sbtext(Object settingsPage) {
    return 'تحتاج إلى التحقق من بريدك الإلكتروني للمتابعة. يمكنك القيام بذلك على $settingsPage.';
  }

  @override
  String get sso250Sbunverified8722Sbemail8722Sbtext8722Sbsettings8722Sbpage => 'صفحة الإعدادات';

  @override
  String get sso250Sbunverified8722Sbemail8722Sbtitle => 'البريد الإلكتروني لم يتم التحقق منها';

  @override
  String get start250Sb2fa => 'توثيق ذو عاملين';

  @override
  String start250Sbbuy8722Sbonline(Object assetName) {
    return 'كيف تشتري $assetName عبر الإنترنت';
  }

  @override
  String get start250Sbbuy8722Sbonline57Sbagoradesk => 'كيفية شراء العملات المشفرة عبر الإنترنت';

  @override
  String get start250Sblearn8722Sbmore => 'يتعلم أكثر';

  @override
  String start250Sblocal(Object assetName) {
    return 'كيف تشتري أو تبيع $assetName نقدًا';
  }

  @override
  String get start250Sblocal57Sbagoradesk => 'كيفية شراء أو بيع العملات المشفرة نقدًا';

  @override
  String start250Sbsettings(Object appName) {
    return 'إعدادات $appName';
  }

  @override
  String start250Sbtitle(Object appName) {
    return 'إرشادات $appName: كيفية شراء أو بيع Monero';
  }

  @override
  String start250Sbtrade(Object assetName) {
    return 'مقدمة عن التداول $assetName';
  }

  @override
  String get start250Sbtrade57Sbagoradesk => 'مقدمة عن تداول العملات المشفرة';

  @override
  String get statistics250Sbno8722Sbdata => 'لايوجد بيانات';

  @override
  String get statistics250Sbticker8722Sb12hr => '12 ساعة:';

  @override
  String get statistics250Sbticker8722Sb1hr => 'ساعة واحدة:';

  @override
  String get statistics250Sbticker8722Sb24hr => '24 ساعة:';

  @override
  String get statistics250Sbticker8722Sb6hr => '6 ساعات:';

  @override
  String statistics250Sbticker8722Sbapi8722Sbtitle(Object appName) {
    return '$appName متوسط مؤشر السعر API';
  }

  @override
  String get statistics250Sbticker8722Sbsubtitle => 'فقط العملات مع البيانات المتاحة المعروضة';

  @override
  String statistics250Sbticker8722Sbtitle(Object assetSymbol) {
    return 'متوسط السعر / $assetSymbol بناءً على الصفقات المكتملة';
  }

  @override
  String get statistics250Sbtitle => 'إحصائيات';

  @override
  String statistics250Sbwidget250Sbinstructions250Sbno8722Sbdata250Sbconvert(Object currencyCode) {
    return 'قم بالتحويل إلى $currencyCode من الدولار الأمريكي';
  }

  @override
  String get statistics250Sbwidget250Sbinstructions250Sbno8722Sbdata250Sbnone => 'إظهار رسالة \"لا توجد بيانات\"';

  @override
  String statistics250Sbwidget250Sbinstructions250Sbno8722Sbdata250Sbtitle(Object currencyCode) {
    return 'في حالة عدم وجود بيانات لـ $currencyCode ...';
  }

  @override
  String get statistics250Sbwidget250Sbinstructions250Sbno8722Sbdata250Sbusd => 'عرض السعر بالدولار الأمريكي';

  @override
  String get stepper250Sbback8722Sbbtn => 'خلف';

  @override
  String get stepper250Sbnext8722Sbbtn => 'التالي';

  @override
  String get support250Sbdescription => 'يمكنك الحصول على الدعم من خلال فتح تذكرة أو إرسال بريد إلكتروني أو التواصل عبر Telegram.';

  @override
  String get support250Sbemail250Sbbutton => 'أرسل بريدا إلكترونيا';

  @override
  String support250Sbemail250Sbdescription(Object email) {
    return 'يمكنك إرسال بريد إلكتروني إلى $email';
  }

  @override
  String get support250Sbemail250Sbtitle => 'البريد الإلكتروني';

  @override
  String get support250Sbmatrix250Sbbutton => 'رسالة على ماتريكس';

  @override
  String get support250Sbmatrix250Sbdescription => 'يمكنك مراسلتنا على ماتريكس';

  @override
  String get support250Sbsubtitle => 'تواصل معنا - نحن نحب مساعدة مستخدمينا! عادة ما تكون أوقات استجابتنا سريعة ، يمكنك الحصول على الدعم من خلال الطرق التالية:    ';

  @override
  String get support250Sbtelegram250Sbbutton => 'رسالة على Telegram';

  @override
  String get support250Sbtelegram250Sbdescription => 'يمكنك مراسلتنا على Telegram';

  @override
  String get support250Sbticket250Sbbutton => 'افتح تذكرة';

  @override
  String get support250Sbticket250Sbdescription => 'يمكنك رفع تذكرة على بوابة الدعم الخاصة بنا';

  @override
  String get support250Sbticket250Sbtitle => 'تذكرة';

  @override
  String get support250Sbtitle => 'احصل على الدعم';

  @override
  String get trade8722Sbnoun => 'صفقة';

  @override
  String get trade250Sbamount8722Sbminus8722Sbfee250Sblabel => 'المبلغ مطروحًا منه الرسوم:';

  @override
  String get trade250Sbamount8722Sbplus8722Sbfee250Sblabel => 'المبلغ بالإضافة إلى الرسوم:';

  @override
  String trade250Sbamount8722Sbto8722Sbpay(Object amount) {
    return 'المبلغ الذي يتعين عليك دفعه: $amount.';
  }

  @override
  String trade250Sbamount8722Sbto8722Sbreceive(Object amount) {
    return 'المبلغ الذي يتعين على المشتري دفعه: $amount.';
  }

  @override
  String trade250Sbbuyer8722Sbhasnt8722Sbcompleted8722Sbpayment8722Sbtext(Object minutes) {
    return 'لم يقم المشتري بوضع علامة على اكتمال عملية الدفع ولديه $minutes دقائق لإجراء الدفع قبل أن تتمكن من إلغاء الصفقة. عندما تتلقى الدفع ، قم بإنهاء الصفقة.';
  }

  @override
  String get trade250Sbbuyer8722Sbinstruction8722Sbstep8722Sbtwo8722Sbtext8722Sb0 => 'في الوقت الحالي ، يمكن للبائع إلغاء الصفقة ، ما لم تقم <strong> بتأكيد الدفع </strong> بالضغط على زر \"لقد دفعت\".';

  @override
  String trade250Sbbuyer8722Sbinstruction8722Sbstep8722Sbtwo8722Sbtext8722Sb1(Object minutes) {
    return 'لن يتمكن البائع من إلغاء الصفقة لمدة $minutes دقيقة ، حيث يكون الدفع آمنًا.';
  }

  @override
  String get trade250Sbbuyer8722Sbinstruction8722Sbstep8722Sbtwo8722Sbtext8722Sb2 => 'بعد الدفع ، يتعين عليك وضع علامة <strong> على عملية الدفع مكتملة </strong> بالضغط على زر \"لقد دفعت\" وإلا فسيكون البائع قادرًا على إلغاء الصفقة ، بمجرد انتهاء فترة الدفع.';

  @override
  String get trade250Sbbuyer8722Sbinstruction8722Sbstep8722Sbtwo8722Sbtext8722Sb3 => 'في انتظار البائع لتأكيد الدفع الخاص بك';

  @override
  String trade250Sbbuyer8722Sbinstruction8722Sbstep8722Sbtwo8722Sbtext8722Sb4(Object time) {
    return 'لقد قمت بوضع علامة على اكتمال الدفع في $time.';
  }

  @override
  String trade250Sbbuyer8722Sbinstruction8722Sbstep8722Sbtwo8722Sbtext8722Sb5(Object username, Object assetSymbol) {
    return 'بمجرد تأكيد $username الدفع ، سيتم إرسال $assetSymbol إلى محفظة التسوية الخاصة بك.';
  }

  @override
  String get trade250Sbbuyer8722Sbsettlement8722Sbaddress8722Sbwarning => 'إذا كان العنوان المقدم عند فتح الصفقة خاطئًا ، فستحتاج إلى إعادة فتح الصفقة بالعنوان الصحيح ، وإلا فقد تفقد العملات المعدنية بشكل غير قابل للاسترداد.';

  @override
  String get trade250Sbbuyer8722Sbsettlement8722Sbaddress8722Sbwarning250Sbtoggle => 'أظهر العنوان';

  @override
  String get trade250Sbbuyer8722Sbsettlement8722Sbaddress8722Sbwarning250Sbtoggle8722Sbsettlement => 'إظهار عنوان الوجهة';

  @override
  String get trade250Sbcancel8722Sbtrade8722Sbbtn => 'إلغاء الصفقة';

  @override
  String get trade250Sbdialog8722Sbconfirm8722Sbdispute8722Sbtext => 'يرجى تأكيد أنك تريد بدء نزاع.';

  @override
  String get trade250Sbdialog8722Sbconfirm8722Sbdispute8722Sbtitle => 'تأكيد الخلاف';

  @override
  String trade250Sbdialog8722Sbconfirm8722Sbpayment8722Sbtext(Object username) {
    return 'تقر أنت ، $username ، بإتمام الدفع';
  }

  @override
  String get trade250Sbdialog8722Sbconfirm8722Sbpayment8722Sbtitle => 'تأكيد الدفع';

  @override
  String get trade250Sbdialog250Sbconfirm8722Sbcancel8722Sbbtn => 'تاكيد';

  @override
  String get trade250Sbdialog250Sbconfirm8722Sbcancel8722Sbtext => 'يرجى تأكيد رغبتك في إلغاء الصفقة';

  @override
  String get trade250Sbdialog250Sbconfirm8722Sbcancel8722Sbtitle => 'تأكيد الالغاء';

  @override
  String get trade250Sbdialog250Sbconfirm8722Sbescrow8722Sbtext => 'يرجى تأكيد رغبتك في تمكين حماية سند التحكيم';

  @override
  String get trade250Sbdialog250Sbconfirm8722Sbescrow8722Sbtitle => 'تأكيد تمكين حماية سند التحكيم';

  @override
  String get trade250Sbdialog250Sbconfirm8722Sbrelease8722Sbmonero8722Sbnot8722Sbpaid8722Sbtext => 'لم يضع المشتري علامة على اكتمال الدفع حتى الآن! هل أنت متأكد أنك تريد إنهاء الصفقة الآن؟';

  @override
  String get trade250Sbdialog250Sbconfirm8722Sbrelease8722Sbmonero8722Sbtext => 'يرجى تأكيد أنك قد تلقيت الدفعة وتريد إنهاء الصفقة';

  @override
  String get trade250Sbdialog250Sbconfirm8722Sbrelease8722Sbmonero8722Sbtext8722Sbwarning => 'كن حذرا! قم بإنهاء الصفقة فقط عندما تكون متأكدًا من استلامك للدفع. كان هناك محتالون يحاولون خداع البائعين لإنهاء صفقة قبل الأوان.';

  @override
  String trade250Sbdialog250Sbconfirm8722Sbrelease8722Sbtitle(Object amount, Object username) {
    return 'إنهاء الصفقة لـ $amount مع $username';
  }

  @override
  String trade250Sbdialog250Sbconfirm8722Sbrelease250Sboffset8722Sbnotice(Object appName) {
    return 'تُستخدم كلمة المرور هذه كإزاحة لإنشاء محفظة تسوية غير أمينة وتوقيع المعاملة. لن يكون لدى $appName طريقة لاستعادة المحفظة إذا فقدت كلمة المرور هذه.';
  }

  @override
  String trade250Sbdialog250Sbfunding8722Sbconfirm8722Sbtext(Object appName) {
    return 'يرجى تأكيد رغبتك في تمويل الصفقة من محفظتك $appName';
  }

  @override
  String get trade250Sbdialog250Sbfunding8722Sbconfirm8722Sbtitle => 'تأكيد التمويل';

  @override
  String get trade250Sbdialog250Sbfunding8722Sberror8722Sbtext => 'رصيد غير كاف لتمويل الصفقة';

  @override
  String get trade250Sbdialog250Sbfunding8722Sberror8722Sbtitle => 'خطأ في التمويل!';

  @override
  String get trade250Sbdispute8722Sbbtn => 'ابدأ نزاعًا';

  @override
  String trade250Sbdispute8722Sbtext(Object appName) {
    return 'إذا كان هناك خلاف بشأن التجارة ، يمكنك بدء نزاع. بعد ذلك ، سيتصل بك دعم $appName من خلال   هذه الدردشةالتجارية.';
  }

  @override
  String get trade250Sbenable8722Sbescrow8722Sbbtn => 'تمكين سند التحكيم';

  @override
  String get trade250Sberror250Sb247 => 'حسابك محظور من الانسحاب بسبب العقوبات';

  @override
  String get trade250Sberror250Sb248 => 'مبلغ الصفقة لا يكفي لتغطية الرسوم المتعلقة بالتسوية. يرجى المحاولة مرة أخرى في وقت لاحق عندما تكون الرسوم أقل أو إعادة فتح الصفقة بمبلغ أكبر وإلغاء هذا.';

  @override
  String trade250Sbescrow8722Sbterms8722Sband8722Sbinfo8722Sbtext8722Sb0(Object appName) {
    return 'يمكن لـ $appName تقديم الحماية فقط إذا تم تمكين حماية سندات التحكيم للصفقة';
  }

  @override
  String trade250Sbescrow8722Sbterms8722Sband8722Sbinfo8722Sbtext8722Sb1(Object appName) {
    return 'عند التمكين ، يمكن للمشتري وموظفي $appName فقط إلغاء الصفقة';
  }

  @override
  String trade250Sbescrow8722Sbterms8722Sband8722Sbinfo8722Sbtitle(Object appName) {
    return '$appName شروط ومعلومات حماية سند التحكيم';
  }

  @override
  String get trade250Sbfeedback250Sbblock => 'مستخدم محضور';

  @override
  String trade250Sbfeedback250Sbleave8722Sbfeedback8722Sbon(Object username) {
    return 'اترك تعليقًا على $username';
  }

  @override
  String get trade250Sbfeedback250Sbnegative => 'سلبي';

  @override
  String get trade250Sbfeedback250Sbneutral => 'محايد';

  @override
  String get trade250Sbfeedback250Sbpositive => 'إيجابي';

  @override
  String get trade250Sbfeedback250Sbtip => 'ستكون التعليقات مرئية فقط إذا كان إجمالي حجم التجارة بينك وبين شريكك التجاري يزيد عن 100 دولار أمريكي.';

  @override
  String get trade250Sbfeedback250Sbtrust => 'جدير بالثقة';

  @override
  String trade250Sbfeedback250Sbupdate8722Sbfeedback8722Sbon(Object username) {
    return 'تحديث الملاحظات على $username';
  }

  @override
  String trade250Sbfeedback250Sbyour8722Sbmessage8722Sbtip(Object username) {
    return 'اختياري. اترك رسالة حول $username ليتم عرضها بجانب الملاحظات على صفحة ملف تعريف المتلقي. الحد الأقصى 256 حرفًا.';
  }

  @override
  String get trade250Sbfeedback250Sbyour8722Sbmessage8722Sbtitle => 'رسالة ملاحظاتك';

  @override
  String trade250Sbfloating8722Sbprice8722Sbtext(Object assetName, Object floating) {
    return 'المبلغ $assetName هو $floating مع سعر السوق.';
  }

  @override
  String get trade250Sbfloating8722Sbprice8722Sbtext8722Sbfloating => 'يطفو على السطح';

  @override
  String get trade250Sbfund8722Sbtrade8722Sbbtn => 'قم بتمويل هذه الصفقة';

  @override
  String get trade250Sbi8722Sbhave8722Sbpaid8722Sbbtn => 'لقد دفعت';

  @override
  String trade250Sbinfo250Sbfee250Sblabel(Object appName) {
    return '1٪ رسوم $appName:';
  }

  @override
  String trade250Sbinfo250Sbtrade8722Sbad(Object ad_type) {
    return 'إعلان تجاري ($ad_type)';
  }

  @override
  String get trade250Sbleave8722Sbfeedback8722Sbbtn => 'اترك تقييم للخدمة';

  @override
  String get trade250Sblocal250Sbbuyer250Sbescrowed => 'قام البائع بتمكين حماية سندات التحكيم في هذه الصفقة ، مما يعني أنه لا يمكن للبائع إلغاء هذه الصفقة.';

  @override
  String get trade250Sblocal250Sbbuyer250Sbnot8722Sbescrowed => 'لم يقم البائع بتمكين حماية سندات التحكيم في هذه الصفقة ، مما يعني أنه يمكن للبائع إلغاء الصفقة في أي لحظة. يمكنك طلب حماية سند التحكيم عبر الدردشة.';

  @override
  String trade250Sblocal250Sbbuyer250Sbverification8722Sbcode(Object verificationCode) {
    return '$verificationCode هو رمز التحقق الخاص بك. لن يعرفها البائع إلا بعد الانتهاء من الصفقة. يمكنك تدوينها واستخدامها للتحقق من أن البائع قد أرسل العملات المعدنية بالفعل بعد تلقي مدفوعاتك عندما تقابل ، دون الحاجة إلى استخدام جهاز على الإطلاق.';
  }

  @override
  String get trade250Sblocal250Sbstep8722Sb0250Sbbuyer250Sbtitle => 'انتظار البائع لتمويل الصفقة';

  @override
  String trade250Sblocal250Sbstep8722Sb0250Sbbuyer250Sbwait8722Sbfor8722Sbfunding(Object appName) {
    return 'انتظر حتى يقوم البائع بإيداع المزيد من العملات المعدنية في محفظته $appName لتغطية مبلغ هذه الصفقة.';
  }

  @override
  String trade250Sblocal250Sbstep8722Sb0250Sbseller250Sbfund8722Sbthe8722Sbtrade(Object amount, Object appName) {
    return 'يجب أن يكون لديك على الأقل $amount في محفظتك $appName لتمويل هذه الصفقة.';
  }

  @override
  String get trade250Sblocal250Sbstep8722Sb0250Sbseller250Sbpress8722Sbfund8722Sbbtn => 'بعد إيداع المبلغ المطلوب ، اضغط على الزر لتمويل الصفقة.';

  @override
  String get trade250Sblocal250Sbstep8722Sb0250Sbseller250Sbtitle => 'قم بتمويل الصفقة';

  @override
  String get trade250Sblocal250Sbstep8722Sb1250Sbbuyer250Sbtitle => 'رتب الاجتماع وقم بالدفع';

  @override
  String get trade250Sblocal250Sbstep8722Sb1250Sbseller250Sbrelease8722Sbafter8722Sbpayment => 'بعد استلام الدفع ، قم بإنهاء الصفقة. تأكد من التحقق من النقود للتأكد من صحتها قبل قبولها وإنهاء الصفقة. ضع اللمسات الأخيرة فقط بعد التأكد من أن الدفع بين يديك بحزم.';

  @override
  String get trade250Sblocal250Sbstep8722Sb1250Sbseller250Sbtitle => 'رتب الاجتماع واستلم الدفعة';

  @override
  String get trade250Sblocal250Sbstep8722Sb2250Sbbuyer250Sbcompleted => 'اكتملت الصفقة الآن ، العملات المعدنية في محفظتك!';

  @override
  String trade250Sblocal250Sbstep8722Sb2250Sbseller250Sbverification8722Sbcode(Object verificationCode) {
    return '$verificationCode هو رمز التحقق. يمكنك إخبار المشتري بذلك حتى يتمكن المشتري من التحقق من إتمامك للصفقة دون الحاجة إلى استخدام جهاز.';
  }

  @override
  String get trade250Sbmark8722Sbpaid => 'عندما تدفع ، اضغط على زر \"لقد دفعت\". سيمنع هذا البائع من القدرة على إلغاء الصفقة. لا تضغط على هذا الزر إلا إذا كنت قد دفعت بالفعل.';

  @override
  String get trade250Sbno8722Sbpayment8722Sbdetails => 'لم يتم تحديد تفاصيل الدفع. ناقشهم في الدردشة.';

  @override
  String get trade250Sbno8722Sbpayment8722Sbinfo250Sbpaying8722Sbparty => 'اسأل شريكك التجاري عن تفاصيل الدفع الخاصة به في الدردشة وقم بالدفع. <strong> إذا قمت بالتداول من قبل ، فلا ترسل الدفعة إلى الحساب الذي أعطاه لك البائع في صفقة سابقة دون التأكيد أولاً مع البائع في هذه الدردشة التجارية . </strong>';

  @override
  String get trade250Sbno8722Sbpayment8722Sbinfo250Sbreceiving8722Sbparty => 'أخبر شريكك التجاري عن تفاصيل الدفع الخاصة بك في الدردشة.';

  @override
  String get trade250Sbpay => 'ادفع وفقًا لتفاصيل الدفع الموضحة أدناه. إذا كان لديك أي أسئلة ، اسأل البائع في الدردشة.';

  @override
  String get trade250Sbpayment8722Sbdetails => 'بيانات الدفع';

  @override
  String trade250Sbprice(Object price, Object currency, Object assetSymbol) {
    return 'السعر: $price $currency / $assetSymbol';
  }

  @override
  String get trade250Sbreceipt250Sbbtn => 'استلام عرض';

  @override
  String get trade250Sbreceipt250Sbinclude8722Sbchat => 'قم بتضمين رسائل الدردشة';

  @override
  String get trade250Sbreceipt250Sbinclude8722Sbinfo => 'تضمين معلومات طريقة الدفع';

  @override
  String get trade250Sbreceipt250Sbtitle => 'عرض إيصال قابل للطباعة';

  @override
  String get trade250Sbrelease8722Sbmonero8722Sbbtn => 'وضع اللمسات الأخيرة';

  @override
  String get trade250Sbseller8722Sbcan8722Sbcancel => 'أنت الآن قادر على <strong> إلغاء الصفقة </strong> ، لأن المشتري فشل في إتمام الدفع في نافذة الدفع.';

  @override
  String get trade250Sbsettlement8722Sbfees8722Sbnotice => 'سيتم خصم رسوم معاملات الشبكة المرتبطة بتسوية الصفقة من مبلغ التداول ، مما يعني أنك ستتلقى أقل قليلاً من المبلغ المعروض.';

  @override
  String trade250Sbstatus250Sbcancelled8722Sbtext(Object linebreak, Object time) {
    return 'تم إلغاء هذه الصفقة $linebreak  عند $time.';
  }

  @override
  String get trade250Sbstatus250Sbcancelled8722Sbtitle => 'ألغيت';

  @override
  String trade250Sbstatus250Sbclosed8722Sbtext8722Sb0(Object linebreak, Object time) {
    return 'تم إغلاق هذه الصفقة من قبل المسؤول $linebreak  في $time.';
  }

  @override
  String get trade250Sbstatus250Sbclosed8722Sbtext8722Sb1 => 'لم يتم إنهاء الصفقة ولم يتم إلغاؤها.';

  @override
  String get trade250Sbstatus250Sbclosed8722Sbtitle => 'مغلق';

  @override
  String trade250Sbstatus250Sbcompleted8722Sbtext(Object linebreak, Object time) {
    return 'تم الانتهاء من هذه الصفقة $linebreak  في $time.';
  }

  @override
  String get trade250Sbstatus250Sbcompleted8722Sbtitle => 'مكتمل';

  @override
  String trade250Sbstatus250Sbdisputed8722Sbtext8722Sb0(Object linebreak, Object time) {
    return 'تم التنازع على هذه الصفقة $linebreak  في $time.';
  }

  @override
  String trade250Sbstatus250Sbdisputed8722Sbtext8722Sb1(Object appName) {
    return 'يرجى انتظار مسؤول $appName للانضمام إلى الدردشة وتحديد نتيجة الصفقة.';
  }

  @override
  String get trade250Sbstatus250Sbdisputed8722Sbtitle => 'المتنازع عليها';

  @override
  String get trade250Sbstatus250Sbescrowed => 'محمي بسند التحكيم';

  @override
  String get trade250Sbstatus250Sbfunded8722Sbescrowed8722Sbtext8722Sb0 => 'تم تمكين حماية سند التحكيم.';

  @override
  String trade250Sbstatus250Sbfunded8722Sbescrowed8722Sbtext8722Sb1(Object appName) {
    return 'يمكن فقط للمشتري وموظفي $appName إلغاء المعاملة.';
  }

  @override
  String get trade250Sbstatus250Sbfunded8722Sbescrowed8722Sbtext8722Sb2 => 'يمكن للبائع إلغاء الصفقة بمجرد انتهاء فترة الدفع';

  @override
  String get trade250Sbstatus250Sbfunded8722Sbescrowed8722Sbtitle => 'ممول ومحمي بسند تحكيم';

  @override
  String get trade250Sbstatus250Sbfunded8722Sbnot8722Sbescrowed8722Sbtitle => 'ممول ، غير محمي بسند التحكيم';

  @override
  String get trade250Sbstatus250Sbsettlement250Sbaccordion8722Sbsummary => 'تفاصيل الصفقه';

  @override
  String get trade250Sbstatus250Sbsettlement250Sbaddress => 'تبوك';

  @override
  String get trade250Sbstatus250Sbsettlement250Sbarbitrated => 'تم التحكيم من قبل المسؤول';

  @override
  String get trade250Sbstatus250Sbsettlement250Sbbuyer8722Sbtx250Sbtitle => 'التحويل إلى محفظة تسوية المشتري';

  @override
  String get trade250Sbstatus250Sbsettlement250Sbcheck8722Sbyour8722Sbwallet => 'تحقق من محفظتك المستلمة وسترى المعاملة!';

  @override
  String get trade250Sbstatus250Sbsettlement250Sbmnemonic8722Sbguide8722Sblink => 'كيف يمكنني استعادة محفظتي من البذور؟';

  @override
  String get trade250Sbstatus250Sbsettlement250Sbmnemonic8722Sbseed => 'بذرة ذاكري لمحفظتك غير الحراسة';

  @override
  String get trade250Sbstatus250Sbsettlement250Sbprocessing => 'يعالج';

  @override
  String get trade250Sbstatus250Sbsettlement250Sbprocessing250Sbdescription => 'تتم معالجة التسوية. <br /> الرجاء الانتظار ، لا يوجد شيء تحتاج إلى القيام به.';

  @override
  String get trade250Sbstatus250Sbsettlement250Sbprocessing250Sbtime8722Sbestimation => 'قد يستغرق هذا من 10 إلى 60 دقيقة.';

  @override
  String get trade250Sbstatus250Sbsettlement250Sbprogress250Sbstepper250Sbawaiting8722Sbto8722Sbbuyer => 'في انتظار التحويل إلى محفظة تسوية المشتري ...';

  @override
  String get trade250Sbstatus250Sbsettlement250Sbprogress250Sbstepper250Sbawaiting8722Sbto8722Sbseller => 'بانتظار التحويل إلى المحفظة غير الأمينة للبائع ...';

  @override
  String get trade250Sbstatus250Sbsettlement250Sbprogress250Sbstepper250Sbconfirming8722Sbto8722Sbseller => 'تأكيد التحويل إلى المحفظة غير الأمينة للبائع ...';

  @override
  String get trade250Sbstatus250Sbsettlement250Sbprogress250Sbstepper250Sbdone250Sbbuyer => 'فعله! تحقق من محفظتك المستلمة وسترى المعاملة!';

  @override
  String get trade250Sbstatus250Sbsettlement250Sbprogress250Sbstepper250Sbdone250Sbseller => 'فعله! يجب على المشتري الآن رؤية المعاملة في المحفظة المستلمة.';

  @override
  String get trade250Sbstatus250Sbsettlement250Sbprogress250Sbstepper250Sbeta8722Sbminutes => 'دقيقة';

  @override
  String get trade250Sbstatus250Sbsettlement250Sbprogress250Sbstepper250Sbexplorer8722Sbbtn => 'افتح المستكشف';

  @override
  String trade250Sbstatus250Sbsettlement250Sbprogress250Sbstepper250Sbtotal8722Sbeta(Object eta) {
    return 'الوقت المتبقي المقدر: ≈ $eta دقيقة';
  }

  @override
  String get trade250Sbstatus250Sbsettlement250Sbproof => 'إثبات التسوية';

  @override
  String get trade250Sbstatus250Sbsettlement250Sbseller8722Sbtx250Sbtitle => 'التحويل إلى المحفظة غير الأمينة للبائع';

  @override
  String get trade250Sbstatus250Sbsettlement250Sbshow8722Sbproof => 'إظهار إثبات الدفع';

  @override
  String get trade250Sbstatus250Sbsettlement250Sbtx8722Sbkey => 'مفتاح الصفقة';

  @override
  String get trade250Sbstatus250Sbunfunded8722Sbescrowed => 'غير ممول ومحمي بسند تحكيم';

  @override
  String get trade250Sbstatus250Sbunfunded8722Sbnot8722Sbescrowed => 'غير ممول وغير محمي بسند التحكيم';

  @override
  String get trade250Sbstep250Sbprocessing8722Sbsettlement => 'تتم معالجة التسوية ، ويتم تحويل العملات المعدنية إلى محفظتك. من فضلك انتظر ، ليس هناك ما عليك القيام به.';

  @override
  String trade250Sbsubtitle8722Sblocal8722Sbbuy(Object username, Object ad, Object time) {
    return 'استجاب $username لـ $ad الخاص بك في $time';
  }

  @override
  String get trade250Sbsubtitle8722Sblocal8722Sbbuy8722Sbad => 'إعلان شراء محلي';

  @override
  String trade250Sbsubtitle8722Sblocal8722Sbbuy8722Sbseller(Object username, Object ad, Object time) {
    return 'لقد رددت على $username $ad في $time';
  }

  @override
  String get trade250Sbsubtitle8722Sblocal8722Sbsell8722Sbbuyer => 'إعلان بيع محلي';

  @override
  String get trade250Sbsubtitle8722Sbonline8722Sbbuy8722Sbadvertisement => 'إعلان شراء عبر الإنترنت';

  @override
  String get trade250Sbsubtitle8722Sbonline8722Sbsell8722Sbadvertisement => 'إعلان بيع عبر الإنترنت';

  @override
  String get trade250Sbterms8722Sband8722Sbinfo8722Sbtext8722Sb0 => 'لا يحتاج المشتري إلى جهاز على الإطلاق - تأكد من نجاح المعاملة باستخدام رمز التحقق';

  @override
  String get trade250Sbterms8722Sband8722Sbinfo8722Sbtext8722Sb1 => 'يمكن للبائع إنهاء المعاملة باستخدام هاتف ذكي أو كمبيوتر محمول';

  @override
  String get trade250Sbterms8722Sband8722Sbinfo8722Sbtext8722Sb2 => 'المعاملة النهائية لا رجوع فيها';

  @override
  String get trade250Sbterms8722Sband8722Sbinfo8722Sbtext8722Sb5 => 'من فضلك لا تستخدم طرق الدفع عبر الإنترنت! استخدم التداولات عبر الإنترنت لذلك';

  @override
  String trade250Sbterms8722Sband8722Sbinfo8722Sbtitle(Object appName) {
    return '$appName شروط ومعلومات المعاملات النقدية المحلية';
  }

  @override
  String trade250Sbterms8722Sbtitle(Object username) {
    return 'شروط الصفقة مع $username';
  }

  @override
  String trade250Sbtitle8722Sbid(Object id) {
    return 'معرف الصفقة: $id';
  }

  @override
  String trade250Sbtitle8722Sblocal8722Sbbuy(Object amountXmr, Object assetSymbol, Object amountFiat, Object currency) {
    return 'شراء $amountXmr $assetSymbol مقابل $amountFiat $currency نقدًا';
  }

  @override
  String trade250Sbtitle8722Sblocal8722Sbsell(Object amountXmr, Object assetSymbol, Object amountFiat, Object currency) {
    return 'بيع $amountXmr $assetSymbol مقابل $amountFiat $currency نقدًا';
  }

  @override
  String trade250Sbtitle8722Sbonline8722Sbbuy(Object amountXmr, Object assetSymbol, Object amountFiat, Object currency, Object method) {
    return 'شراء $amountXmr $assetSymbol لـ $amountFiat $currency باستخدام $method';
  }

  @override
  String trade250Sbtitle8722Sbonline8722Sbsell(Object amountXmr, Object assetSymbol, Object amountFiat, Object currency, Object method) {
    return 'بيع $amountXmr $assetSymbol مقابل $amountFiat $currency باستخدام $method';
  }

  @override
  String get trade250Sbtitle250Sbbuying => 'شراء';

  @override
  String get trade250Sbtitle250Sbexpiry => 'مدة العقد:';

  @override
  String get trade250Sbtitle250Sbselling => 'بيع';

  @override
  String get trade250Sbupdate8722Sbfeedback8722Sbbtn => 'تحديث التعليقات';

  @override
  String trade250Sbwarning250Sbimpersonation(Object appName) {
    return 'احذر من المحتالين الذين يحاولون انتحال شخصية الموظفين! لن يخبرك مديرو <br /> $appName أبدًا بإنهاء صفقة. <br /> رسائل الموظفين خلفية حمراء.';
  }

  @override
  String get trades8722Sbtable250Sbstatus250Sbnot8722Sbpaid => 'غير مدفوع';

  @override
  String get trades8722Sbtable250Sbstatus250Sbpaid => 'مدفوع';

  @override
  String get try8722Sbagain => 'حاول مرة أخرى';

  @override
  String get user250Sbaccount8722Sbcreated => 'تم إنشاء الحساب:';

  @override
  String user250Sbads250Sblocal8722Sbbuy8722Sbtitle(Object assetName, Object user) {
    return 'بيع $assetName نقدًا إلى $user';
  }

  @override
  String user250Sbads250Sblocal8722Sbsell8722Sbtitle(Object assetName, Object user) {
    return 'اشترِ $assetName نقدًا من $user';
  }

  @override
  String user250Sbads250Sbonline8722Sbbuy8722Sbtitle(Object assetName, Object user) {
    return 'بيع $assetName عبر الإنترنت إلى $user';
  }

  @override
  String user250Sbads250Sbonline8722Sbsell8722Sbtitle(Object assetName, Object user) {
    return 'شراء $assetName عبر الإنترنت من $user';
  }

  @override
  String user250Sbblock8722Sbbtn(Object username) {
    return 'منع $username';
  }

  @override
  String user250Sbblock8722Sbstatus(Object username) {
    return 'أنت تحظر $username';
  }

  @override
  String get user250Sbblock8722Sbstatus8722Sbdescription => 'لن يتمكنوا من الاستجابة لإعلاناتك. إعلاناتهم مخفية من نتائج البحث الخاصة بك.';

  @override
  String get user250Sbblock250Sbwill8722Sbhide8722Sbads => 'سيؤدي حظر المستخدم إلى إخفاء إعلاناته من نتائج البحث الخاصة بك';

  @override
  String get user250Sbcache8722Sbdisclaimer => 'يتم التحديث مرة كل ساعة';

  @override
  String user250Sbfeedback8722Sbmore(Object user) {
    return 'شاهد المزيد من التعليقات على $user';
  }

  @override
  String get user250Sbfeedback8722Sbscore => 'نتاىج المراجعة:';

  @override
  String get user250Sbfeedback8722Sbtitle => 'ملاحظة';

  @override
  String get user250Sbhave8722Sbtraded => 'لقد قمت بالتداول مع هذا المستخدم';

  @override
  String get user250Sbhavent8722Sbtraded => 'أنت لم تتداول مع هذا المستخدم حتى الآن';

  @override
  String get user250Sbinformation => 'معلومة';

  @override
  String get user250Sblast8722Sbseen => 'تمت مشاهدته';

  @override
  String get user250Sblast8722Sbseen250Sbjust8722Sbnow => 'الآن';

  @override
  String get user250Sbmedian8722Sbdays => 'أيام';

  @override
  String get user250Sbmedian8722Sbhours => 'ساعات';

  @override
  String get user250Sbmedian8722Sbminutes => 'الدقائق';

  @override
  String get user250Sbmedian8722Sbnot8722Sbknown => 'غير معروف';

  @override
  String get user250Sbmedian8722Sbseconds => 'ثواني';

  @override
  String get user250Sbmedian8722Sbtitle => 'الوقت المعتاد لإنهاء الصفقة:';

  @override
  String get user250Sbno8722Sbfeedback250Sbwhy250Sb1 => 'تستغرق التعليقات ما يصل إلى ساعة للتفكير.';

  @override
  String get user250Sbno8722Sbfeedback250Sbwhy250Sb2 => 'تظهر الملاحظات فقط إذا كانت القيمة السوقية الإجمالية <strong> </strong> (حسب سعر CoinGecko ، وليس السعر المحدد في العرض) للعملات المعدنية المتداولة بينكما تزيد عن 100 دولار أمريكي.';

  @override
  String get user250Sbno8722Sbfeedback250Sbwhy250Sbtitle => 'أين ملاحظاتي؟';

  @override
  String get user250Sbnumber8722Sbof8722Sbpartners => 'الشركاء التجاريون:';

  @override
  String get user250Sbnumber8722Sbof8722Sbtrades => 'الصفقات:';

  @override
  String get user250Sbthis8722Sbis8722Sbyou => 'هذا هو أنت';

  @override
  String user250Sbtrust8722Sbbtn(Object username) {
    return 'الثقة $username';
  }

  @override
  String user250Sbtrust8722Sbstatus(Object username) {
    return 'أنت تثق بـ $username';
  }

  @override
  String get user250Sbtrust8722Sbstatus8722Sbdescription => 'سيكونون قادرين على الرد على الإعلانات التي قدمتها للمستخدمين الموثوق بهم فقط';

  @override
  String user250Sbunblock8722Sbbtn(Object username) {
    return 'Unblock $username';
  }

  @override
  String user250Sbuntrust8722Sbbtn(Object username) {
    return 'غير موثوق $username';
  }

  @override
  String user250Sbupdate8722Sbfeedback8722Sbtitle(Object username) {
    return 'تحديث الملاحظات على $username';
  }

  @override
  String get validation250Sberror250Sbad8722Sbid => 'بطاقة التعريف غير صالحة!';

  @override
  String get validation250Sberror250Sbattachment8722Sbid => 'معرف مرفق غير صالح';

  @override
  String get validation250Sberror250Sbcountry8722Sbcode => 'رمز الدولة غير صحيح!';

  @override
  String get validation250Sberror250Sbiso86018722Sbtimestamp => 'يجب أن يكون تاريخ UTC صالحًا بتنسيق ISO 8601: https://en.wikipedia.org/wiki/ISO_8601';

  @override
  String get validation250Sberror250Sbnotification8722Sbid => 'معرف إعلام غير صالح';

  @override
  String get validation250Sberror250Sbpage => 'يجب أن تكون الصفحة رقمًا';

  @override
  String get validation250Sberror250Sbtrade8722Sbid => 'رقم التعريف الصفقة غير صالح';

  @override
  String get verify8722Sbemail250Sberror => 'كان هناك خطأ في التحقق من البريد الإلكتروني';

  @override
  String get verify8722Sbemail250Sbsuccess => 'تم التحقق من البريد الإلكتروني بنجاح!';

  @override
  String get wallet250Sbclipboard8722Sbvirus8722Sbwarning => '<strong> تأكد من أن العنوان الذي لصقته هو نفس العنوان الذي نسخته! </strong> حصل بعض المستخدمين على أموالهم المسروقة بواسطة برنامج ضار <a style=\"text-decoration:underline;font-size:inherit;color:inherit\" href=\"https://reddit.com/r/Monero/comments/mcvuxc/beware_crypto_stealing_malware/\" target=\"_blank\"> واستبدل العنوان المنسوخ إلى الحافظة بعنوان المهاجم </a>.';

  @override
  String get wallet250Sbdownload8722Sbcsv8722Sbbtn => 'تنزيل ملف CSV';

  @override
  String get wallet250Sbfee250Sbbtc250Sbhigh => 'عالٍ';

  @override
  String get wallet250Sbfee250Sbbtc250Sbhigh250Sblabel => 'رسوم عالية ، يقدر أن يتم تأكيدها في غضون بضع كتل';

  @override
  String get wallet250Sbfee250Sbbtc250Sblow => 'قليل';

  @override
  String get wallet250Sbfee250Sbbtc250Sblow250Sblabel => 'رسوم منخفضة ، يقدر أن يتم تأكيدها في غضون أسبوع';

  @override
  String get wallet250Sbfee250Sbbtc250Sbmedium => 'متوسط';

  @override
  String get wallet250Sbfee250Sbbtc250Sbmedium250Sblabel => 'رسوم متوسطة ، يقدر أن يتم تأكيدها في غضون يوم واحد';

  @override
  String get wallet250Sbfee250Sbbtc250Sbradio8722Sbtitle => 'حدد مستوى الرسوم';

  @override
  String get wallet250Sbfee250Sbxmr250Sblow => 'قليل';

  @override
  String get wallet250Sbfee250Sbxmr250Sbstandard => 'اساسي';

  @override
  String wallet250Sbfunds8722Sbunlock8722Sbtime8722Sbblock(Object blockHeight) {
    return 'سيتم فتح الأموال في كتلة $blockHeight';
  }

  @override
  String wallet250Sbfunds8722Sbunlock8722Sbtime8722Sbtime(Object time) {
    return 'سيتم فتح الأموال في $time';
  }

  @override
  String get wallet250Sbfunds8722Sbunlocked => 'مفتوحة';

  @override
  String get wallet250Sbinternal8722Sbtransfer => 'التحويل الداخلي';

  @override
  String get wallet250Sbnojs250Sbsend250Sbsend8722Sbbalance8722Sbbtn => 'أرسل كل الرصيد';

  @override
  String get wallet250Sbpassword8722Sbtip => 'الرجاء إدخال كلمة المرور الحالية الخاصة بك للمتابعة. 8-72 حرفًا.';

  @override
  String wallet250Sbpriority250Sbfee(Object amount, Object asset) {
    return 'الرسوم: $amount $asset';
  }

  @override
  String get wallet250Sbpriority250Sblow => 'قليل';

  @override
  String get wallet250Sbpriority250Sbstandard => 'اساسي';

  @override
  String wallet250Sbreceive250Sbaddress(Object assetName) {
    return 'عنوان الإيداع الخاص بك $assetName:';
  }

  @override
  String get wallet250Sbreceive250Sbcopied => 'نسخ إلى الحافظة!';

  @override
  String get wallet250Sbreceive250Sbdetails8722Sbdialog250Sbamount => 'مقدار';

  @override
  String get wallet250Sbreceive250Sbdetails8722Sbdialog250Sbconfirmations => 'التأكيدات:';

  @override
  String get wallet250Sbreceive250Sbdetails8722Sbdialog250Sbdate => 'تاريخ:';

  @override
  String get wallet250Sbreceive250Sbdetails8722Sbdialog250Sbid => 'معرف المعاملة:';

  @override
  String get wallet250Sbreceive250Sbdetails8722Sbdialog250Sblocked8722Sbstatus => 'حالة القفل:';

  @override
  String get wallet250Sbreceive250Sbdetails8722Sbdialog250Sblocked8722Sbstatus8722Sbunlocked => 'مفتوحة';

  @override
  String get wallet250Sbreceive250Sbdetails8722Sbdialog250Sbnote => 'ملحوظة:';

  @override
  String get wallet250Sbreceive250Sbdetails8722Sbdialog250Sbstatus => 'حالة:';

  @override
  String get wallet250Sbreceive250Sbdetails8722Sbdialog250Sbstatus8722Sbpending => 'قيد الانتظار';

  @override
  String get wallet250Sbreceive250Sbdetails8722Sbdialog250Sbtitle => 'تفاصيل الإيداع';

  @override
  String wallet250Sbreceive250Sbincoming8722Sbdeposits8722Sbtable250Sbamount(Object assetSymbol) {
    return 'المبلغ $assetSymbol';
  }

  @override
  String get wallet250Sbreceive250Sbincoming8722Sbdeposits8722Sbtable250Sbconfirmations8722Sblong => 'التأكيدات';

  @override
  String get wallet250Sbreceive250Sbincoming8722Sbdeposits8722Sbtable250Sbconfirmations8722Sbshort => 'تأكيد.';

  @override
  String get wallet250Sbreceive250Sbincoming8722Sbdeposits8722Sbtable250Sbdate => 'تاريخ';

  @override
  String get wallet250Sbreceive250Sbincoming8722Sbdeposits8722Sbtable250Sbdetails8722Sbbtn => 'تفاصيل';

  @override
  String get wallet250Sbreceive250Sbincoming8722Sbdeposits8722Sbtable250Sbstatus => 'حالة';

  @override
  String get wallet250Sbreceive250Sbincoming8722Sbdeposits8722Sbtitle => 'الودائع الواردة';

  @override
  String get wallet250Sbreceive250Sbno8722Sbincoming => 'سيتم عرض ودائعك المعلقة هنا';

  @override
  String wallet250Sbreceive250Sbqr(Object appName, Object assetSymbol) {
    return 'تمثيل QR لعنوان $appName $assetSymbol الخاص بك';
  }

  @override
  String wallet250Sbreceive250Sbtitle(Object assetName) {
    return 'تلقي $assetName';
  }

  @override
  String get wallet250Sbselect8722Sball8722Sbbalance => 'كل الرصيد المتاح';

  @override
  String wallet250Sbsend250Sbamount8722Sbto8722Sbbe8722Sbreceived(Object assetName) {
    return 'تلقي المبلغ في $assetName';
  }

  @override
  String wallet250Sbsend250Sbamount8722Sbto8722Sbbe8722Sbreceived8722Sbtip(Object assetName) {
    return 'هذا هو مبلغ $assetName الذي سيتم استلامه على عنوان الاستلام $assetName.';
  }

  @override
  String get wallet250Sbsend250Sbamount8722Sbto8722Sbbe8722Sbreceived8722Sbtip250Sbfee8722Sbon8722Sbtop => 'ستتم إضافة رسوم معاملات الشبكة فوق هذا المبلغ.';

  @override
  String wallet250Sbsend250Sbamount8722Sbto8722Sbbe8722Sbwithdrawn(Object assetName) {
    return 'المبلغ المراد خصمه في $assetName';
  }

  @override
  String wallet250Sbsend250Sbamount8722Sbto8722Sbbe8722Sbwithdrawn8722Sbtip(Object assetSymbol, Object appName, Object assetName) {
    return 'هذا هو المبلغ المقدر بـ $assetSymbol الذي سيتم خصمه من محفظتك $appName $assetName بما في ذلك رسوم شبكة المعاملات $assetName.';
  }

  @override
  String wallet250Sbsend250Sbamount8722Sbto8722Sbbe8722Sbwithdrawn8722Sbtip250Sbonly8722Sbfor8722Sbexternal(Object assetName, Object appName) {
    return 'ذات صلة فقط بالمعاملات المرسلة إلى محفظة خارجية $assetName. المعاملات الداخلية بين محافظ $appName مجانية تمامًا.';
  }

  @override
  String wallet250Sbsend250Sbavailable8722Sbbalance(Object amount, Object assetSymbol) {
    return 'يمكنك إرسال ما يصل إلى $amount $assetSymbol';
  }

  @override
  String get wallet250Sbsend250Sbcontinue8722Sbbtn => 'يكمل';

  @override
  String get wallet250Sbsend250Sbdialog250Sbconfirm8722Sbtitle => 'تأكيد سحب سند التحكيم';

  @override
  String wallet250Sbsend250Sblocal8722Sbwallet(Object appName) {
    return '$appName عنوان المحفظة';
  }

  @override
  String get wallet250Sbsend250Sbpriority250Sbfaq8722Sblink => 'ما هذا؟';

  @override
  String get wallet250Sbsend250Sbpriority250Sbtitle => 'حدد أولوية المعاملة';

  @override
  String wallet250Sbsend250Sbreceiving8722Sbaddress(Object assetName) {
    return 'تلقي عنوان {cryptocurrencyName}';
  }

  @override
  String wallet250Sbsend250Sbreceiving8722Sbaddress8722Sbtip(Object assetName) {
    return 'يتم قبول عناوين $assetName الصالحة فقط';
  }

  @override
  String wallet250Sbsend250Sbsend8722Sbbtn(Object assetName) {
    return 'إرسال $assetName';
  }

  @override
  String get wallet250Sbsend250Sbsuccess => 'النجاح!';

  @override
  String get wallet250Sbsend250Sbtip8722Sb08722Sbtext8722Sb0 => 'تستغرق معاملات Monero عادةً حوالي 30 إلى 60 دقيقة لإرسالها ، وقد تستغرق أحيانًا بضع ساعات إذا كانت الشبكة بطيئة.';

  @override
  String get wallet250Sbsend250Sbtip8722Sb08722Sbtext8722Sb057Sbagoradesk => 'تستغرق معاملات العملة المشفرة عادةً حوالي 30 إلى 60 دقيقة لإرسالها ، وفي بعض الأحيان قد يستغرق الأمر بضع ساعات إذا كانت الشبكة بطيئة.';

  @override
  String get wallet250Sbsend250Sbtip8722Sb08722Sbtext8722Sb1 => 'انظر لماذا في بعض الأحيان يستغرق وقتا أطول';

  @override
  String get wallet250Sbsend250Sbtip8722Sb08722Sbtitle => 'كم من الوقت تستغرق معاملة Monero؟';

  @override
  String get wallet250Sbsend250Sbtip8722Sb08722Sbtitle57Sbagoradesk => 'ما هي المدة التي تستغرقها معاملة العملة المشفرة؟';

  @override
  String wallet250Sbsend250Sbtip8722Sb18722Sbtext(Object appName) {
    return '$appName المحفظة عبارة عن محفظة ويب - عناوين Monero الصادرة غير متصلة بحسابك. إذا كنت تطلب استرداد الأموال من أحد التجار ، فيرجى مطالبتهم بإرسال المبلغ المسترد إلى عنوان الاستلام الخاص بك.';
  }

  @override
  String wallet250Sbsend250Sbtip8722Sb18722Sbtext57Sbagoradesk(Object appName) {
    return '$appName المحفظة هي محفظة ويب - عناوين العملات المشفرة الصادرة غير مرتبطة بحسابك. إذا كنت تطلب استرداد الأموال من أحد التجار ، فيرجى مطالبتهم بإرسال المبلغ المسترد إلى عنوان الاستلام الخاص بك.';
  }

  @override
  String get wallet250Sbsend250Sbtip8722Sb18722Sbtitle => 'المبالغ المستردة والمدفوعات Monero';

  @override
  String get wallet250Sbsend250Sbtip8722Sb18722Sbtitle57Sbagoradesk => 'المبالغ المستردة والمدفوعات العملة المشفرة';

  @override
  String wallet250Sbsend250Sbtip8722Sb28722Sbtext(Object appName) {
    return 'عند الإرسال من محفظة $appName ، يتم حجز رسوم شبكة Monero وخصمها من رصيدك. المعاملات إلى محافظ مستخدمي $appName الآخرين مجانية.';
  }

  @override
  String wallet250Sbsend250Sbtip8722Sb28722Sbtext8722Sbfee(Object assetName) {
    return 'رسوم الشبكة الصادرة $assetName الحالية';
  }

  @override
  String wallet250Sbsend250Sbtip8722Sb28722Sbtext8722Sbfee8722Sbrates(Object assetName) {
    return 'معدلات رسوم الشبكة الصادرة الحالية $assetName';
  }

  @override
  String wallet250Sbsend250Sbtip8722Sb28722Sbtext57Sbagoradesk(Object appName) {
    return 'عند الإرسال من المحفظة $appName ، يتم حجز رسوم الشبكة وخصمها من رصيدك. المعاملات إلى محافظ مستخدمي $appName الآخرين مجانية.';
  }

  @override
  String get wallet250Sbsend250Sbtip8722Sb28722Sbtitle => 'رسوم مونيرو الصادرة';

  @override
  String get wallet250Sbsend250Sbtip8722Sb28722Sbtitle57Sbagoradesk => 'رسوم العملات المشفرة الصادرة';

  @override
  String wallet250Sbsend250Sbtitle(Object assetName) {
    return 'إرسال $assetName';
  }

  @override
  String get wallet250Sbswap250Sbcheckbox250Sbdeposit => 'أريد إيداع عملة أخرى';

  @override
  String get wallet250Sbswap250Sbcheckbox250Sbwithdraw => 'أريد الحصول على عملة أخرى';

  @override
  String wallet250Sbswap250Sbconfirmation250Sbtitle(Object partner) {
    return 'تداول $partner الخاص بك';
  }

  @override
  String wallet250Sbswap250Sbconnection8722Sberror(Object partner) {
    return 'حدث خطأ ما أثناء الاتصال بـ $partner ، يرجى المحاولة مرة أخرى لاحقًا.';
  }

  @override
  String wallet250Sbswap250Sbcontinue8722Sbon(Object partner) {
    return 'استمر في $partner';
  }

  @override
  String get wallet250Sbswap250Sbcurrencies250Sbdeposit => 'اريد ارسال...';

  @override
  String get wallet250Sbswap250Sbcurrencies250Sbwithdrawal => 'اريد استلام ...';

  @override
  String get wallet250Sbswap250Sbdeposit250Sbconfirmation250Sbaddress => 'إلى هذا العنوان:';

  @override
  String wallet250Sbswap250Sbdeposit250Sbconfirmation250Sbaddress250Sbhelper(Object partner, Object asset, Object appName) {
    return 'بعد استلام معاملتك ، سيقوم $partner بإرسال $asset إلى محفظتك $appName';
  }

  @override
  String get wallet250Sbswap250Sbdeposit250Sbconfirmation250Sbaddress250Sbsend => 'إرسال';

  @override
  String get wallet250Sbswap250Sbdeposit250Sbconfirmation250Sbaddress250Sbto8722Sbthis => ' إلى هذا العنوان:';

  @override
  String wallet250Sbswap250Sbdeposits250Sbhelper(Object asset) {
    return 'سترى المعاملة على المحفظة المستلمة بعد تأكيدها من قبل شبكة $asset (≈10-60 دقيقة)';
  }

  @override
  String get wallet250Sbswap250Sblimits250Sbdeposit250SbmaxAmount => 'الحد الأقصى لمبلغ الإيداع';

  @override
  String get wallet250Sbswap250Sblimits250Sbdeposit250SbminAmount => 'الحد الأدنى لمبلغ الإيداع';

  @override
  String wallet250Sbswap250Sbnative250Sbamount8722Sbtype8722Sbselector250Sbnojs8722Sbdescription(Object asset, Object currencyCode) {
    return 'اختر ما إذا كنت تريد حساب التبادل بناءً على مقدار $asset الذي تريد إرساله أو مقدار $currencyCode الذي تريد استلامه. سنستخدمه للعثور على أفضل العروض لك.';
  }

  @override
  String wallet250Sbswap250Sbnative250Sbamount8722Sbtype8722Sbselector250Sbreceive(Object currencyCode) {
    return 'تلقي {assetName}';
  }

  @override
  String wallet250Sbswap250Sbnative250Sbamount8722Sbtype8722Sbselector250Sbsend(Object asset) {
    return 'إرسال {assetName}';
  }

  @override
  String wallet250Sbswap250Sbnative250Sbamount250Sbdescription250Sbamount8722Sbtype8722Sbreceive(Object currencyCode) {
    return 'مقدار $currencyCode الذي تريد الحصول عليه';
  }

  @override
  String wallet250Sbswap250Sbnative250Sbamount250Sbdescription250Sbamount8722Sbtype8722Sbsend(Object asset) {
    return 'مقدار $asset الذي تريد إرساله';
  }

  @override
  String get wallet250Sbswap250Sbnative250Sberror250Sbinvalid8722Sbamount => 'مبلغ غير صحيح';

  @override
  String get wallet250Sbswap250Sbnative250Sberror250Sbno8722Sboffers => 'لم نتمكن من العثور على أي عروض مناسبة ... حاول تعديل المبلغ.';

  @override
  String get wallet250Sbswap250Sbnative250Sboffers250Sbtitle => 'اختر عرضًا';

  @override
  String get wallet250Sbswap250Sbnative250Sboffers250Sbview8722Sbad8722Sbbutton => 'مشاهدة الاعلان';

  @override
  String get wallet250Sbswap250Sbnative250Sbtrade8722Sbbutton => 'صفقة';

  @override
  String wallet250Sbswap250Sbpowered8722Sbby(Object partner) {
    return 'مدعوم من $partner';
  }

  @override
  String wallet250Sbswap250Sbprovide8722Sbemail(Object partner) {
    return 'أعط $partner البريد الإلكتروني للاتصال الخاص بي';
  }

  @override
  String get wallet250Sbswap250Sbsave8722Sblink => 'تأكد من حفظ هذا الرابط ، فهو طريقتك الوحيدة لتتبع الصفقة!';

  @override
  String get wallet250Sbswap250Sbsend8722Sbbtn => 'أرسل القطع النقدية!';

  @override
  String get wallet250Sbswap250Sbstatus250Sbavailable => 'الحالة: متاح';

  @override
  String wallet250Sbswap250Sbswap8722Sbasset8722Sbinput250Sbwithdrawal(Object asset) {
    return 'المقدرة المرسلة $asset';
  }

  @override
  String wallet250Sbswap250Sbswap8722Sbasset8722Sbinput250Sbwithdrawal250Sbhelper(Object asset, Object appName, Object assetName, Object currency) {
    return 'المبلغ المقدر بـ $asset الذي سيتم خصمه من محفظتك $appName $assetName لتلقي مبلغ $currency أعلاه بما في ذلك رسوم شبكة المعاملات $assetName. قد يتغير قليلاً بسبب تقلبات رسوم الشبكة.';
  }

  @override
  String wallet250Sbswap250Sbswap8722Sbcurrency8722Sbinput250Sbdeposit(Object currency) {
    return 'كم $currency تريد إرساله؟';
  }

  @override
  String wallet250Sbswap250Sbswap8722Sbcurrency8722Sbinput250Sbwithdrawal(Object currency) {
    return 'المقدرة المتلقاة $currency';
  }

  @override
  String wallet250Sbswap250Sbswap8722Sbcurrency8722Sbinput250Sbwithdrawal250Sbhelper(Object currency, Object partner) {
    return 'المقدار المقدّر بـ $currency الذي ستحصل عليه. استخدم الإدخال أدناه لتغييره. قد يتغير قليلاً بسبب $partner تقلبات أسعار الصرف.';
  }

  @override
  String wallet250Sbswap250Sbwithdrawal250Sbsuccess250Sbhelper(Object time, Object partner, Object currency) {
    return 'فقط استرخي ، انتظر $time دقيقة ، و $partner سيرسل لك $currency';
  }

  @override
  String wallet250Sbswap250Sbwithdrawal250Sbsuccess250Sbtitle(Object asset, Object partner) {
    return ' لقد أرسلنا $asset إلى $partner';
  }

  @override
  String wallet250Sbswap250Sbwithdrawal250Sbsuccess250Sbtitle250Sball8722Sbset(Object partner) {
    return 'كل شيء جاهز للصفقة $partner!';
  }

  @override
  String wallet250Sbtab250Sbreceive8722Sblong(Object assetName) {
    return 'تلقي $assetName';
  }

  @override
  String get wallet250Sbtab250Sbreceive8722Sbshort => 'تسلم';

  @override
  String wallet250Sbtab250Sbsend8722Sblong(Object assetName) {
    return 'إرسال $assetName';
  }

  @override
  String get wallet250Sbtab250Sbsend8722Sbshort => 'إرسال';

  @override
  String get wallet250Sbtab250Sbtx8722Sblong => 'المعاملات';

  @override
  String get wallet250Sbtab250Sbtx8722Sbshort => 'TXs';

  @override
  String get wallet250Sbtitle => 'محفظة';

  @override
  String get wallet250Sbtx250Sbaffiliate => 'دفع عمولة برنامج الانتساب';

  @override
  String wallet250Sbtx250Sbfee(Object assetName) {
    return '$assetName رسوم معاملات الشبكة.';
  }

  @override
  String wallet250Sbtx250Sbinternal8722Sbreceive8722Sbtrade(Object id) {
    return 'وردت من الصفقة $id';
  }

  @override
  String wallet250Sbtx250Sbinternal8722Sbreceive8722Sbuser(Object username) {
    return 'تم الاستلام من المستخدم $username';
  }

  @override
  String wallet250Sbtx250Sbinternal8722Sbsend8722Sbtrade(Object id) {
    return 'أرسلت للتداول $id';
  }

  @override
  String wallet250Sbtx250Sbinternal8722Sbsend8722Sbuser(Object username) {
    return 'مرسل إلى المستخدم $username';
  }

  @override
  String get wallet250Sbtx250Sbpending8722Sbsend => 'في انتظار الإرسال إلى';

  @override
  String wallet250Sbtx250Sbrebate(Object code) {
    return 'خصم الرسوم. رمز القسيمة: $code.';
  }

  @override
  String wallet250Sbtx250Sbreceive(Object assetName) {
    return 'تلقى. معرّف معاملة الشبكة $assetName:';
  }

  @override
  String wallet250Sbtx250Sbreserve(Object assetName, Object id) {
    return '$assetName احتياطي للصفقة $id';
  }

  @override
  String wallet250Sbtx250Sbreserve8722Sbreturn(Object assetName, Object id) {
    return '$assetName عائد احتياطي من الصفقة $id';
  }

  @override
  String get wallet250Sbtx250Sbsend => 'مرسلة إلى';

  @override
  String wallet250Sbtx250Sbsend8722Sbid(Object assetName) {
    return '$assetName معرف معاملة الشبكة:';
  }

  @override
  String get wallet250Sbtxs250Sbdetails8722Sbdialog250Sbtitle => 'تفاصيل الصفقه';

  @override
  String get wallet250Sbtxs250Sbfilter250Sbdetails => 'تفاصيل';

  @override
  String get wallet250Sbtxs250Sbfilter250Sbdetails250Sbplaceholder => 'معرف Tx والعنوان والمعرف التجاري واسم المستخدم وما إلى ذلك.';

  @override
  String get wallet250Sbtxs250Sbfilter250Sbfrom => 'من';

  @override
  String get wallet250Sbtxs250Sbfilter250Sbtitle => 'تصفية المعاملات';

  @override
  String get wallet250Sbtxs250Sbfilter250Sbto => 'إلى';

  @override
  String get wallet250Sbtxs250Sbfilter250Sbtype => 'يكتب';

  @override
  String get wallet250Sbtxs250Sbfilter250Sbtype250Sbaffiliate => 'عمولة الانتساب';

  @override
  String get wallet250Sbtxs250Sbfilter250Sbtype250Sball => 'كل الانواع';

  @override
  String get wallet250Sbtxs250Sbfilter250Sbtype250Sbcoupon => 'خصم القسيمة';

  @override
  String get wallet250Sbtxs250Sbfilter250Sbtype250Sbfee => 'رسوم الشبكة';

  @override
  String get wallet250Sbtxs250Sbfilter250Sbtype250Sbinternal8722Sbreceive => 'استقبال داخلي';

  @override
  String get wallet250Sbtxs250Sbfilter250Sbtype250Sbinternal8722Sbsend => 'الإرسال الداخلي';

  @override
  String get wallet250Sbtxs250Sbfilter250Sbtype250Sbpending => 'في انتظار الإرسال';

  @override
  String get wallet250Sbtxs250Sbfilter250Sbtype250Sbreceive => 'تسلم';

  @override
  String get wallet250Sbtxs250Sbfilter250Sbtype250Sbreserve => 'الاحتياطي التجاري';

  @override
  String get wallet250Sbtxs250Sbfilter250Sbtype250Sbreserve8722Sbreturn => 'العائد الاحتياطي التجاري';

  @override
  String get wallet250Sbtxs250Sbfilter250Sbtype250Sbsend => 'إرسال';

  @override
  String wallet250Sbtxs250Sbtable250Sbamount(Object assetSymbol) {
    return 'المبلغ $assetSymbol';
  }

  @override
  String get wallet250Sbtxs250Sbtable250Sbdate => 'تاريخ';

  @override
  String get wallet250Sbtxs250Sbtable250Sbdescription => 'وصف';

  @override
  String wallet250Sbtxs250Sbtable250Sbreceived(Object assetSymbol) {
    return 'تم استلام $assetSymbol';
  }

  @override
  String wallet250Sbtxs250Sbtable250Sbsent(Object assetSymbol) {
    return 'تم الإرسال $assetSymbol';
  }

  @override
  String wallet250Sbtxs250Sbtip8722Sbtext(Object latestVersion, Object assetName) {
    return 'إذا كان بإمكانك رؤية معرف المعاملة مع رابط إلى مستكشف blockchain في الوصف ، فهذا يعني أنه تم بث معاملتك بنجاح. يرجى التأكد من أن محفظتك متزامنة تمامًا وأنك تستخدم $latestVersion من محفظتك $assetName';
  }

  @override
  String get wallet250Sbtxs250Sbtip8722Sbtext8722Sblatest8722Sbversion => 'احدث اصدار';

  @override
  String wallet250Sbtxs250Sbtip8722Sbtitle(Object appName) {
    return 'نصيحة: سحب الأموال من $appName ولا تراها في محفظتك؟';
  }

  @override
  String get wallet250Sbtxs250Sbtitle => 'معاملات المحفظة';

  @override
  String wallet250Sbupdate8722Sbsoft8722Sbwarn(Object update) {
    return 'تم إصدار إصدار جديد من برنامج Monero! لا تنس $update برنامج محفظتك ، وإلا فلن تتمكن من إرسال واستقبال المعاملات.';
  }

  @override
  String get wallet250Sbupdate8722Sbsoft8722Sbwarn8722Sbupdate => 'تحديث';

  @override
  String get wallet250Sbwithdraw250Sbamount8722Sband8722Sbfee8722Sbnext => 'ستحدد المبلغ ومستوى الرسوم في الخطوة التالية';

  @override
  String get wallet250Sbwithdraw250Sbamount8722Sbnext => 'ستختار المبلغ في الخطوة التالية';

  @override
  String get wallet250Sbwithdraw250Sbamount8722Sbtype250Sbreceive250Sblabel => 'تسلم';

  @override
  String get wallet250Sbwithdraw250Sbamount8722Sbtype250Sbreceive250Sbsecondary8722Sblabel => 'أدخل المبلغ الذي سيتم استلامه (بدون رسوم)';

  @override
  String get wallet250Sbwithdraw250Sbamount8722Sbtype250Sbsend250Sblabel => 'إرسال';

  @override
  String get wallet250Sbwithdraw250Sbamount8722Sbtype250Sbsend250Sbsecondary8722Sblabel => 'أدخل المبلغ المراد خصمه (مع الرسوم)';

  @override
  String get wallet250Sbwithdraw250Sbconfirmation8722Sbdialog250Sbfree8722Sbupgrade8722Sblabel => 'ترقية مجانية';

  @override
  String get wallet250Sbwithdraw250Sbconfirmation8722Sbdialog250Sbfree8722Sbupgrade8722Sbtooltip => 'نظرًا للطريقة التي نجمع بها عمليات السحب ، فمن الأرخص في الواقع إرسال سحوباتك بمعدل رسوم أعلى. يتمتع!';

  @override
  String get wallet250Sbwithdraw250Sbconfirmation8722Sbdialog250Sbnetwork8722Sbfees => 'رسوم الشبكة';

  @override
  String get wallet250Sbwithdraw250Sbconfirmation8722Sbdialog250Sbnetwork8722Sbfees250Sbhigh => 'سريع';

  @override
  String get wallet250Sbwithdraw250Sbconfirmation8722Sbdialog250Sbnetwork8722Sbfees250Sblow => 'بطيء';

  @override
  String get wallet250Sbwithdraw250Sbconfirmation8722Sbdialog250Sbnetwork8722Sbfees250Sbmedium => 'متوسط';

  @override
  String get wallet250Sbwithdraw250Sbconfirmation8722Sbdialog250Sbsend8722Sbmax => 'أرسل ماكس';

  @override
  String get wallet250Sbwithdraw250Sbconfirmation8722Sbdialog250Sbstepper250Sbamount => 'مقدار';

  @override
  String get wallet250Sbwithdraw250Sbconfirmation8722Sbdialog250Sbstepper250Sbrecipient => 'متلقي';

  @override
  String get wallet250Sbwithdraw250Sbconfirmation8722Sbdialog250Sbstepper250Sbsummary => 'ملخص';

  @override
  String get wallet250Sbwithdraw250Sbconfirmation250Sbwallet8722Sbowner => 'بتأكيد السحب ، فإنك تؤكد أيضًا أن المحفظة التي تسحبها ملك لك.';

  @override
  String get wallet250Sbwithdraw250Sbfee8722Sbchange8722Sbdialog250Sbnew8722Sbfee => 'رسوم السحب الجديدة';

  @override
  String get wallet250Sbwithdraw250Sbfee8722Sbchange8722Sbdialog250Sbold8722Sbfee => 'رسوم السحب القديمة';

  @override
  String get wallet250Sbwithdraw250Sbfee8722Sbchange8722Sbdialog250Sbreceive8722Sbamount => 'استلام المبلغ';

  @override
  String get wallet250Sbwithdraw250Sbfee8722Sbchange8722Sbdialog250Sbsend8722Sbamount => 'المبلغ المراد خصمه';

  @override
  String get wallet250Sbwithdraw250Sbfee8722Sbchange8722Sbdialog250Sbtitle8722Sbdecreased => 'انخفضت رسوم السحب';

  @override
  String get wallet250Sbwithdraw250Sbfee8722Sbchange8722Sbdialog250Sbtitle8722Sbincreased => 'زادت رسوم السحب';

  @override
  String get wallet250Sbwithdraw250Sbnojs250Sbchange8722Sbaddress8722Sbbtn => 'تغيير العنوان';

  @override
  String wallet250Sbwithdrawal250Sbamount8722Sbinput250Sblabel(Object asset) {
    return 'المبلغ ({assetSymbol})';
  }

  @override
  String wallet250Sbwithdrawal250Sbconfirmation250Sbfee(Object fee, Object currency) {
    return '+ رسوم الشبكة (≈ $fee $currency)';
  }

  @override
  String get wallet250Sbwithdrawal250Sberror250Sbtoo8722Sbsmall => 'المبلغ الذي تم طلبه للسحب أقل من الحد الأدنى للمبلغ الممكن';

  @override
  String get wallet250Sbwithdrawal250Sbnetwork8722Sbfee => 'رسوم الشبكة';

  @override
  String get warn250Sbhigh8722Sbrisk8722Sbmethod8722Sb0 => '<strong> ملاحظة: </strong> طريقة الدفع هذه <strong> عالية المخاطر </strong> ، نظرًا لأنها <strong> قابلة للعكس </strong> ولهذا السبب غالبًا ما يستخدمها المحتالون.';

  @override
  String warn250Sbhigh8722Sbrisk8722Sbmethod8722Sb1(Object method, Object linebreak) {
    return 'حتى إذا بذلت العناية الواجبة وتداولت فقط مع مستخدمين ذوي سمعة طيبة ، فليس هناك ما يضمن أنك لن ينتهي بك الأمر في حالة نزاع $method. إليك شيء يمكنك القيام به لزيادة فرصك: $linebreak  1. اطلب مسحين لمعرف الصورة للمستخدم (أي جواز السفر ورخصة القيادة) ، تأكد من تطابق اسم الحساب $method مع المعرف. $linebreak  2. اطلب من المستخدم أن يرسل لك بريدًا إلكترونيًا من حساب البريد الإلكتروني $method (ربما أخبرهم بوضع معرف الصفقة وشيء عن الصفقة في البريد الإلكتروني). $linebreak  3. فرض أقساط عالية جدًا مقابل $method الصفقات. على سبيل المثال ، 25٪ وما فوق. بهذه الطريقة يتم تغطيتك إذا كانت 1 من كل 5 تداولات من $method عبارة عن عمليات احتيال (نظرًا لمقادير تداول متساوية). $linebreak  4. كن حذرًا من كميات الصفقات المرتفعة. حاول الحصول على عدد قليل من الصفقات الأقل مع المتداول أولاً. $linebreak ';
  }

  @override
  String get warning250Sbmin8722Sbamount8722Sbless8722Sbthan8722Sbbalance8722Sb0 => 'تم إخفاء هذا الإعلان لأن الحد الأدنى للمبلغ الذي حددته أقل من الحد الأقصى للمبلغ المتاح';

  @override
  String warning250Sbmin8722Sbamount8722Sbless8722Sbthan8722Sbbalance8722Sb1(Object assetName) {
    return 'هذا التاجر في إجازة أو غير متوفر $assetName. يرجى التحقق مرة أخرى لاحقًا أو البحث عن عروض أخرى.';
  }

  @override
  String warning250Sbnot8722Sbenough8722Sbbalance(Object asset, Object minRequiredbalance, Object amountXmr, Object localmoneroWallet) {
    return 'تم إخفاء جميع إعلانات البيع الخاصة بك $asset من البحث العام لأن رصيد محفظة سندات التحكيم الخاص بك أقل من $minRequiredbalance. لكي تظهر إعلانات البيع الخاصة بك ، يرجى إيداع $amountXmr على الأقل في سند التحكيم الخاص بك $localmoneroWallet.';
  }

  @override
  String warning250Sbnot8722Sbenough8722Sbbalance8722Sblocalmonero8722Sbwallet(Object appName) {
    return '$appName المحفظة';
  }

  @override
  String get web8722Sbnotification250Sbmessage => 'لديك رسالة جديدة.';

  @override
  String get web8722Sbnotification250Sbtrade8722Sbcancelled => 'تم إلغاء الصفقة.';

  @override
  String get web8722Sbnotification250Sbtrade8722Sbcomplete => 'اكتملت الصفقة.';

  @override
  String get web8722Sbnotification250Sbtrade8722Sbdisputed => 'تم التنازع على إحدى تداولاتك.';

  @override
  String get web8722Sbnotification250Sbtrade8722Sbpayment8722Sbmarked8722Sbcomplete => 'تم وضع علامة على الدفع \"مكتمل\".';

  @override
  String get web8722Sbnotification250Sbtrade8722Sbrequest => 'لديك عرض تجاري جديد.';

  @override
  String get widget8722Sbinstructions250Sbaffiliate8722Sbattach8722Sbcode8722Sbcheckbox => 'أضف رمز الإحالة الخاص بي إلى القطعة';

  @override
  String get widget8722Sbinstructions250Sbaffiliate8722Sblogged8722Sbout => 'قم بتسجيل الدخول لإرفاق رمز الإحالة التابع للأداة';

  @override
  String get widget8722Sbinstructions250Sbaffiliate8722Sbnot8722Sbenabled => 'تمكين البرنامج التابع لإرفاق رمز الإحالة إلى القطعة';

  @override
  String widget8722Sbinstructions250Sbinstructions(Object assetName) {
    return 'للحصول على أداة سعر الشارع $assetName لموقع الويب الخاص بك ، حدد العملة المطلوبة أدناه والصق الرمز التالي في صفحة الويب الخاصة بك:';
  }

  @override
  String widget8722Sbinstructions250Sbtitle8722Sbaffiliate(Object assetName) {
    return '$assetName أداة سعر الشارع (مع رمز الشركة التابعة)';
  }

  @override
  String widget8722Sbinstructions250Sbtitle8722Sbno8722Sbaffiliate(Object assetName) {
    return '$assetName أداة سعر الشارع';
  }

  @override
  String get ads => 'إعلانات';

  @override
  String get unknown_error => 'خطأ غير معروف';

  @override
  String get ads_choose_ad_type => 'اختر نوع الإعلان';

  @override
  String get ads_ad_type => 'نوع الإعلان';

  @override
  String get ads_choose_ad_cryptocurrency => 'اختر العملة المشفرة';

  @override
  String get ads_choose_price_type => 'اختر نوع السعر';

  @override
  String get ads_which_type_to_choose => 'أي نوع تختار؟';

  @override
  String get enter_margin => 'أدخل الهامش';

  @override
  String get what_is_margin => 'ما هو الهامش؟';

  @override
  String get price_formula_examples => 'أمثلة صيغة السعر';

  @override
  String get see_examples => 'انظر الأمثلة';

  @override
  String get see_example => 'انظر المثال';

  @override
  String get final_price_in => 'السعر النهائي بـ';

  @override
  String get show_formula_controls => 'إظهار عناصر التحكم بالصيغة';

  @override
  String get market_rates => 'أسعار السوق';

  @override
  String get set_trade_limits => 'تعيين حدود التجارة (اختياري):';

  @override
  String get restrict_limit_amounts_to => 'تقييد حدود المبالغ إلى';

  @override
  String get restrict_limit_amounts => 'تقييد المبالغ المحددة';

  @override
  String get what_does_it_mean => 'ماذا يعني ذلك؟';

  @override
  String ads_enter_amount(Object currency) {
    return 'أدخل المبلغ $currency';
  }

  @override
  String ads_enter_comma_sep_amounts(Object currency) {
    return 'أدخل مبالغ مفصولة بفواصل $currency';
  }

  @override
  String ads_first_trade_max_limit(Object currency) {
    return 'الحد الأقصى للتداول الأول $currency';
  }

  @override
  String get ads_specify_trade_details => 'حدد تفاصيل التجارة (اختياري):';

  @override
  String get ads_payment_method_details => 'تفاصيل طريقة الدفع';

  @override
  String get ads_payment_method_details_64 => 'تظهر في قائمة الإعلانات. 64 حرفًا كحد أقصى.';

  @override
  String get ads_maximum_64 => '64 حرفًا كحد أقصى';

  @override
  String get ads_payment_method_info_trade => 'معلومات طريقة الدفع';

  @override
  String get ads_payment_method_info_trade_4096 => 'تظهر أثناء التجارة. 4096 حرفًا كحد أقصى.';

  @override
  String get ads_specify_restrictions => 'حدد القيود (اختياري):';

  @override
  String get maximum_4096 => '4096 حرفًا كحد أقصى';

  @override
  String get enter_number_0_100 => 'أدخل رقمًا من 0 إلى 100';

  @override
  String get enter_number_15_90 => 'أدخل الرقم بين 15-90';

  @override
  String get enter_amount_min_0 => 'أدخل المبلغ (الحد الأدنى 0)';

  @override
  String get currency => 'عملة:';

  @override
  String get payment_method => 'طريقة الدفع او السداد:';

  @override
  String get restrict_amounts_to => 'تقييد المبالغ على:';

  @override
  String get payment_method_details => 'تفاصيل طريقة الدفع:';

  @override
  String get review => 'إعادة النظر';

  @override
  String get publish => 'ينشر';

  @override
  String get enter_your_settlement_wallet_address => 'أدخل عنوان محفظة التسوية الخاصة بك:';

  @override
  String ads_enter_verify_address(Object appName) {
    return 'أدخل وتحقق من عنوانك الذي سيتم إرسال العملات إليه. لا يمكن أن يكون عنوان $appName داخلي.';
  }

  @override
  String get what_is_settlement_fee_level => 'ما هو مستوى رسوم التسوية؟';

  @override
  String get settlement_fee_level_selector_explanation => 'يتيح لك هذا المحدد اختيار مستوى رسوم الشبكة الذي تريد استخدامه عند إرسال المعاملة إلى محفظتك. إذا لم تكن متأكدًا من مستوى الرسوم الذي تريده ، فحدد الرسوم المتوسطة.';

  @override
  String get ads_payment_window => 'وقت نافذة الدفع (بالدقائق)';

  @override
  String get ads_payment_window_short => 'نافذة الدفع';

  @override
  String get ads_havent_posted => 'لم تنشر أي إعلانات حتى الآن.';

  @override
  String get no_trades => 'ليس لديك صفقات ، حتى الآن.';

  @override
  String get no_feedbacks => 'لا التقيمات.';

  @override
  String get ad_settings => 'إعدادات الإعلان';

  @override
  String get settings_saved => 'تم حفظ الإعدادات';

  @override
  String get preferences => 'التفضيلات';

  @override
  String get about_this_ad => 'عن هذا الإعلان';

  @override
  String get price => 'سعر';

  @override
  String get activity => 'نشاط';

  @override
  String get chat => 'دردشة';

  @override
  String get market => 'سوق';

  @override
  String get help => 'مساعدة';

  @override
  String sell_asset(Object asset) {
    return 'بيع $asset';
  }

  @override
  String buy_asset(Object asset) {
    return 'شراء $asset';
  }

  @override
  String get trader_profile => 'ملف التاجر';

  @override
  String get trader_info => 'معلومات المتداول';

  @override
  String get trading_tips => 'نصائح التداول';

  @override
  String get clear_all => 'امسح الكل';

  @override
  String get apply => 'يتقدم';

  @override
  String get enter_amount => 'أدخل المبلغ';

  @override
  String get any_payment_method => 'أي طريقة دفع';

  @override
  String get see_more_feedback => 'رؤية المزيد من التعليقات';

  @override
  String get see_more_ads => 'مشاهدة المزيد من الإعلانات';

  @override
  String feedback_title(Object user) {
    return 'ردود الفعل على $user';
  }

  @override
  String get active_ads => 'الإعلانات النشطة';

  @override
  String get you_sell => 'أنت تبيع';

  @override
  String get you_buy => 'أنت تشتري';

  @override
  String get you_receive => 'انت تستقبل';

  @override
  String get you_pay => 'انت تدفع';

  @override
  String get export_csv => 'تصدير CSV';

  @override
  String get copy => 'ينسخ';

  @override
  String sell_via(Object asset, Object provider) {
    return 'بيع $asset عبر $provider';
  }

  @override
  String buy_via(Object asset, Object provider) {
    return 'شراء $asset عبر $provider';
  }

  @override
  String sell_to(Object user) {
    return 'بيع إلى $user';
  }

  @override
  String buy_from(Object user) {
    return 'شراء من $user';
  }

  @override
  String must_be_at_least(Object num, Object currency) {
    return 'يجب أن يكون على الأقل $num $currency';
  }

  @override
  String must_be_less(Object num, Object currency) {
    return 'يجب أن يكون أقل من $num $currency';
  }

  @override
  String send_all(Object asset) {
    return 'إرسال الكل $asset';
  }

  @override
  String about_transactions(Object asset) {
    return 'حول $asset المعاملات';
  }

  @override
  String get trade_id => 'معرف التجارة';

  @override
  String get view_trade => 'مشاهدة التجارة';

  @override
  String get receiving => 'يستلم';

  @override
  String get paying => 'الدفع';

  @override
  String get rate => 'معدل';

  @override
  String get enter_your_password => 'ادخل رقمك السري';

  @override
  String get good_seller => 'بائع جيد';

  @override
  String get cancel => 'يلغي';

  @override
  String get delete => 'حذف';

  @override
  String get important => 'مهم';

  @override
  String get feedback_updated_successfully => 'تم تحديث التعليقات بنجاح.';

  @override
  String get pay => 'يدفع';

  @override
  String get send_trade_request => 'أرسل طلب تجارة';

  @override
  String get start_trading => 'بدء التداول';

  @override
  String get api_error_13 => 'حدث خطأ ما في الطلب. إنها على الأرجح مشكلة تتعلق بالتحقق من الصحة. تحقق من معلمات طلبك ، وإذا كان هذا لا يزال غير صحيح ، فيرجى الاتصال بدعمنا.';

  @override
  String get api_error_49 => 'كلمة المرور القديمة المقدمة في طلب تغيير كلمة المرور لا تتطابق مع كلمة المرور الحالية';

  @override
  String get api_error_60 => 'كلمة المرور المقدمة لتغيير البريد الإلكتروني غير صحيحة';

  @override
  String get api_error_61 => 'هذا البريد الإلكتروني مرتبط بالفعل بحساب آخر';

  @override
  String get api_error_73 => 'كلمة المرور المقدمة أثناء طلب السحب غير صحيحة';

  @override
  String get api_error_74 => 'أموال غير كافية لسحب المبلغ المطلوب';

  @override
  String get api_error_75 => 'محاولة سحب الأموال إلى عنوان داخلي غير موجود';

  @override
  String get api_error_76 => 'محاولة سحب الأموال إلى نفس الحساب مثل الحساب الذي يطلب السحب';

  @override
  String get api_error_77 => 'أموال غير كافية لإجراء تحويل داخلي للمبلغ المطلوب';

  @override
  String get api_error_103 => 'طلب مقايضة إعلان من الملصق على بيع إجازة';

  @override
  String get api_error_105 => 'لا يحتوي ملصق الإعلان المطلوب التجارة من أجله على رصيد كافٍ لتمويل الضمان';

  @override
  String get api_error_107 => 'محاولة تتبع السيولة دون تحديد أقصى مبلغ';

  @override
  String get api_error_137 => 'محاولة تسجيل 2FA مع توفير كلمة مرور غير صحيحة';

  @override
  String get api_error_138 => 'محاولة التحقق من المصادقة الثنائية مع تقديم OTP غير صحيح';

  @override
  String get api_error_139 => 'إما كلمة المرور أو OTP غير صحيحة عند محاولة تعطيل 2FA';

  @override
  String get api_error_140 => 'OTP غير صحيح عند محاولة سحب العملات من المحفظة';

  @override
  String get api_error_146 => 'محاولة تمكين البرنامج التابع للحساب الذي تم تمكينه بالفعل';

  @override
  String get api_error_170 => 'المبلغ الذي تم طلبه للسحب أقل من الحد الأدنى للمبلغ الممكن لعملة معينة';

  @override
  String get api_error_171 => 'تم تقديم عنوان غير صالح عند طلب السحب';

  @override
  String get api_error_173 => 'محاولة فتح العديد من الصفقات دفعة واحدة لحساب جديد';

  @override
  String get api_error_178 => 'محاولة استرداد قسيمة لمستخدم غير موجود';

  @override
  String get api_error_179 => 'محاولة استرداد قسيمة غير موجودة';

  @override
  String get api_error_180 => 'محاولة استرداد قسيمة منتهية الصلاحية';

  @override
  String get api_error_181 => 'محاولة استرداد قسيمة لا يُسمح باستردادها إلا أثناء التسجيل';

  @override
  String get api_error_182 => 'محاولة استرداد قسيمة تم استردادها بالفعل بواسطة هذا المستخدم';

  @override
  String get api_error_183 => 'محاولة استرداد قسيمة غير متوفرة';

  @override
  String get api_error_184 => 'محاولة استرداد القسيمة في حالة وجود قسيمة نشطة حاليًا';

  @override
  String get api_error_204 => 'محاولة طلب رمز استيراد السمعة لحساب غير موجود';

  @override
  String get api_error_205 => 'محاولة إنشاء رمز تحقق لاستيراد السمعة لمنصة لديها بالفعل رمز تحقق تم إنشاؤه لها';

  @override
  String get api_error_206 => 'محاولة إنشاء رمز تحقق لاستيراد السمعة لمنصة تم استيراد السمعة منها بالفعل';

  @override
  String get api_error_207 => 'محاولة تأكيد وضع رمز التحقق من استيراد السمعة لمستخدم غير موجود';

  @override
  String get api_error_208 => 'محاولة تأكيد موضع رمز التحقق من استيراد السمعة لمستخدم ليس في الخطوة 1 من تدفق استيراد السمعة';

  @override
  String get api_error_209 => 'خطأ LocalBitcoins عند محاولة تأكيد وضع رمز التحقق من استيراد السمعة. ربما يكون اسم المستخدم خاطئًا أو الملف الشخصي غير مرئي';

  @override
  String get api_error_210 => 'خطأ شخصي عند محاولة تأكيد وضع رمز التحقق من استيراد السمعة ربما يكون اسم المستخدم خاطئًا أو الملف الشخصي غير مرئي';

  @override
  String get api_error_225 => 'تعرض واجهة برمجة تطبيقات LocalBitcoins \"مستخدم غير صالح\" كخطأ عند محاولة تأكيد وضع رمز السمعة';

  @override
  String get api_error_226 => 'كلمة مرور غير صحيحة عند محاولة حذف الحساب';

  @override
  String get api_error_238 => 'مستوى الرسوم غير محدد لسحب البيتكوين الخارجي';

  @override
  String get api_error_239 => 'كلمة مرور غير صحيحة عند محاولة تحرير صفقة';

  @override
  String get api_error_243 => 'لا يمكن استخدام عنوان AgoraDesk الداخلي للتسوية التجارية. يرجى إدخال عنوان خارجي غير AgoraDesk XMR للمتابعة.';

  @override
  String get api_error_254 => 'محاولة إرسال سحب إلى عنوان ومبلغ متطابقين خلال آخر 10 دقائق';

  @override
  String get api_error_260 => 'محاولة نشر ملاحظة على مستخدم غير موجود';

  @override
  String get api_error_261 => 'محاولة نشر ملاحظة على حسابك الخاص';

  @override
  String get api_error_262 => 'محاولة الحصول على ملاحظة حول مستخدم غير موجود';

  @override
  String get api_error_263 => 'محاولة الحصول على ملاحظة على حسابك الخاص';

  @override
  String get api_error_264 => 'محاولة حذف ملاحظة على مستخدم غير موجود';

  @override
  String get api_error_265 => 'محاولة حذف ملاحظة على حسابك الخاص';

  @override
  String get api_error_267 => 'محاولة حذف ملاحظة مستخدم غير موجودة';

  @override
  String get api_error_403 => 'أنت غير مخول للقيام بهذا الإجراء';

  @override
  String get api_error_4000 => 'لا يوجد اتصال بالإنترنت.';

  @override
  String get api_error_4001 => 'انتهت مهلة الاتصال ، يرجى التحقق من اتصال الإنترنت.';

  @override
  String get api_error_45 => 'لا يمكنك تضمين \"first_time_limit_asset\" و \"first_time_limit_ TICKER\" في طلبك. قم بإزالة أحدهما (وهما قابلان للتبديل).';

  @override
  String get api_error_46 => 'يجب أن يحتوي الطلب إما على نص طلب application / json مع معلمة \"msg\" أو نص طلب متعدد الأجزاء / نموذج بيانات مع ملف الصورة المدرج ضمن المعلمة \"document\"';

  @override
  String get api_error_47 => 'المستخدم بهذا الاسم موجود بالفعل';

  @override
  String get api_error_48 => 'المستخدم بهذا البريد الإلكتروني موجود بالفعل';

  @override
  String get api_error_50 => 'محاولة إرسال بريد إلكتروني إلى مستخدم بدون تعيين بريد إلكتروني';

  @override
  String get api_error_51 => 'يتم تقديم الرمز المميز للتحقق من البريد الإلكتروني إلى مستخدم غير موجود';

  @override
  String get api_error_52 => 'الرمز المقدم للتحقق من البريد الإلكتروني غير صالح';

  @override
  String get api_error_53 => 'لا يتطابق البريد الإلكتروني الموجود في الرمز المميز مع البريد الإلكتروني الحالي في قاعدة البيانات';

  @override
  String get api_error_54 => 'يتم تقديم الرمز المميز لإعادة تعيين كلمة المرور إلى بريد إلكتروني غير موجود في قاعدة البيانات';

  @override
  String get api_error_55 => 'الرمز المقدم لإعادة تعيين كلمة المرور غير صالح';

  @override
  String get api_error_56 => 'محاولة إرسال بريد إلكتروني لإعادة تعيين كلمة المرور إلى بريد إلكتروني غير موجود في قاعدة البيانات';

  @override
  String get api_error_57 => 'الرمز المقدم لإعادة تعيين كلمة المرور ليس رمز إعادة تعيين';

  @override
  String get api_error_58 => 'محاولة إرسال بريد إلكتروني لإعادة تعيين كلمة المرور إلى مستخدم برسالة بريد إلكتروني لم يتم التحقق منها';

  @override
  String get api_error_59 => 'محاولة إعادة تعيين كلمة مرور لمستخدم بريد إلكتروني لم يتم التحقق منه';

  @override
  String get api_error_62 => 'لا يوجد حساب باسم المستخدم المقدم لطلب بيانات الحساب العامة';

  @override
  String get api_error_63 => 'محاولة رفع ملف ممنوع';

  @override
  String get api_error_64 => 'محاولة وضع علامة \"مقروءة\" على إشعار غير موجود';

  @override
  String get api_error_65 => 'محاولة وضع علامة على إخطار تمت قراءته بالفعل كمقروء';

  @override
  String get api_error_66 => 'محاولة تحميل مرفق دردشة للتداول غير موجود';

  @override
  String get api_error_67 => 'محاولة إرسال رسالة دردشة للتداول غير موجود';

  @override
  String get api_error_68 => 'محاولة الحصول على قائمة رسائل دردشة غير موجودة';

  @override
  String get api_error_69 => 'محاولة الحصول على رسالة محادثة غير موجودة';

  @override
  String get api_error_70 => 'محاولة الحصول على عنوان محفظة حساب غير موجود';

  @override
  String get api_error_71 => 'محاولة الحصول على معاملات حساب غير موجود';

  @override
  String get api_error_72 => 'محاولة سحب أموال من حساب غير موجود';

  @override
  String get api_error_78 => 'محاولة الحصول على إعلانات مع مجموعة غير قانونية من المعلمات';

  @override
  String get api_error_79 => 'معرّف الإعلان المطلوب غير موجود';

  @override
  String get api_error_80 => 'لم يتم تعيين كل من خطوط العرض والعرض في طلب تحديث / إنشاء الإعلان';

  @override
  String get api_error_81 => 'لم تحدد صيغة السعر عند نشر الإعلان';

  @override
  String get api_error_82 => 'محاولة تعيين خطوط الطول والعرض لإعلان عبر الإنترنت';

  @override
  String get api_error_83 => 'محاولة تعيين الخصائص الخاصة بـ ONLINE_SELL / CALL_SELL / PUT_BUY على نوع مختلف من الإعلانات';

  @override
  String get api_error_84 => 'محاولة تعيين الخصائص الخاصة بـ ONLINE_BUY / CALL_BUY / PUT_SELL على نوع مختلف من الإعلانات';

  @override
  String get api_error_85 => 'محاولة تعيين الخصائص الخاصة بـ LOCAL_SELL على نوع مختلف من الإعلانات';

  @override
  String get api_error_86 => 'محاولة تعيين البلد أو طريقة الدفع أو العملة غير الصالحة عند إنشاء / تحديث الإعلان';

  @override
  String get api_error_87 => 'محاولة تعيين طريقة دفع غير صالحة لذلك البلد عند إنشاء / تحديث الإعلان';

  @override
  String get api_error_88 => 'محاولة تعيين عملة غير صالحة لطريقة الدفع هذه عند إنشاء / تحديث الإعلان';

  @override
  String get api_error_89 => 'محاولة إنشاء إعلان LOCAL_ * بدون إعداد lon / lat';

  @override
  String get api_error_90 => 'محاولة الوصول إلى صفقات مستخدم غير موجود.';

  @override
  String get api_error_91 => 'محاولة الوصول إلى بيانات الحساب العامة باستخدام رمز مميز لمستخدم غير موجود';

  @override
  String get api_error_92 => 'محاولة الحصول على إشعارات لمستخدم غير موجود';

  @override
  String get api_error_93 => 'محاولة الحصول على ودائع معلقة لمستخدم غير موجود';

  @override
  String get api_error_94 => 'محاولة الحصول على نتيجة تعليقات لمستخدم غير موجود';

  @override
  String get api_error_95 => 'محاولة الحصول على إعلانات لمستخدم غير موجود';

  @override
  String get api_error_96 => 'مستخدم غير موجود يحاول إنشاء تجارة';

  @override
  String get api_error_97 => 'محاولة إنشاء مقايضة للإعلان غير موجود';

  @override
  String get api_error_98 => 'محاولة إنشاء صفقة لإعلان غير موجود';

  @override
  String get api_error_99 => 'محاولة طلب مبلغ أكبر مما يسمح به first_time_limit_asset عند إنشاء أول صفقة تداول';

  @override
  String get api_error_100 => 'لا يمكن طلب أقل من 0.0000000001 XMR لإنشاء التجارة';

  @override
  String get api_error_101 => 'المبلغ المطلوب أقل من الحد الأدنى للإعلان عند إنشاء التجارة';

  @override
  String get api_error_102 => 'المبلغ المطلوب أكثر من الحد الأقصى للإعلان المتاح عند إنشاء التجارة';

  @override
  String get api_error_104 => 'طلب مقايضة إعلان من صاحب الملصق على وشك شراء إجازة';

  @override
  String get api_error_106 => 'لا يملك طالب التجارة رصيدًا كافيًا لتمويل طلب التجارة';

  @override
  String get api_error_108 => 'لا يمكن أن يكون minAmount مساويًا لـ maxAmount أو أكبر منه';

  @override
  String get api_error_109 => 'المبلغ المطلوب هو أكثر من الحد الأقصى للإعلان عند إنشاء التجارة';

  @override
  String get api_error_110 => 'طالب التجارة لديه درجة ملاحظات أقل مما هو مطلوب من قبل الملصق';

  @override
  String get api_error_111 => 'المبلغ المطلوب ليس من بين المبالغ المقبولة ، انظر Limit_to_fiat_amounts';

  @override
  String get api_error_112 => 'لا يمكن طلب صفقة لإعلان نشرته بنفسك';

  @override
  String get api_error_113 => 'لا يمكن تعيين paymentWindowMinutes على <15 أو> 90 عند تحديث الإعلان';

  @override
  String get api_error_114 => 'لا يمكن تعيين paymentWindowMinutes على <15 أو> 90 عند إنشاء الإعلان';

  @override
  String get api_error_115 => 'التجارة حسب المعرف المطلوب غير موجود';

  @override
  String get api_error_116 => 'طلب المستخدم للتجارة غير موجود';

  @override
  String get api_error_117 => 'العملة التي تم طلب سعر الصرف لها غير موجودة';

  @override
  String get api_error_118 => 'طلب المستخدم لتمويل التجارة غير موجود';

  @override
  String get api_error_119 => 'محاولة تمويل تجارة غير موجودة';

  @override
  String get api_error_120 => 'طلب المستخدم للضمان التجاري غير موجود';

  @override
  String get api_error_121 => 'محاولة ضمان صفقة غير موجودة';

  @override
  String get api_error_122 => 'أموال غير كافية لتمويل صفقة LOCAL_SELL عائمة';

  @override
  String get api_error_123 => 'أموال غير كافية لتمويل صفقة LOCAL_SELL غير عائمة';

  @override
  String get api_error_124 => 'خطأ عند تمويل LOCAL_SELL';

  @override
  String get api_error_125 => 'طلب المستخدم لإلغاء التجارة غير موجود';

  @override
  String get api_error_126 => 'محاولة إلغاء صفقة غير موجودة';

  @override
  String get api_error_127 => 'طلب المستخدم دفع رسوم التجارة غير موجود';

  @override
  String get api_error_128 => 'محاولة تحديد صفقة غير موجودة مدفوعة الأجر';

  @override
  String get api_error_129 => 'طلب المستخدم للإفراج عن التجارة غير موجود';

  @override
  String get api_error_130 => 'محاولة تحرير صفقة غير موجودة';

  @override
  String get api_error_131 => 'طلب المستخدم للنزاع التجاري غير موجود';

  @override
  String get api_error_132 => 'محاولة الخلاف على تجارة غير موجودة';

  @override
  String get api_error_133 => 'محاولة الحصول على تعليقات من مستخدم غير موجود';

  @override
  String get api_error_134 => 'محاولة إنشاء إعلان عندما يكون لدى المستخدم بالفعل الحد الأقصى المسموح به لعدد الإعلانات';

  @override
  String get api_error_135 => 'بطريقة ما يتم تعيين maxAmount على null بينما يتم ضبط trackingMaxAmount على القيمة true';

  @override
  String get api_error_136 => 'محاولة نشر إعلان برصيد أقل من الحد الأدنى للرصيد المطلوب.';

  @override
  String get api_error_141 => 'محاولة إنشاء صفقة بمبلغ أقل من الحد الأدنى للمبلغ المسموح به';

  @override
  String get api_error_142 => 'محاولة تعيين حد قانوني أقل من minAmount عند إنشاء الإعلان';

  @override
  String get api_error_143 => 'محاولة تعيين حد قانوني أكبر من maxAmount عند إنشاء الإعلان';

  @override
  String get api_error_144 => 'محاولة تعيين حد قانوني أقل من minAmount عند تحديث الإعلان';

  @override
  String get api_error_145 => 'محاولة تعيين حد قانوني أكبر من maxAmount عند تحديث الإعلان';

  @override
  String get api_error_147 => 'محاولة الحصول على بيانات الشركة التابعة للمستخدم الذي لم يتم تمكين البرنامج التابع له';

  @override
  String get api_error_148 => 'محاولة تعيين معرف برقية تم تعيينه بالفعل';

  @override
  String get api_error_149 => 'الأولوية غير محددة للسحب الخارجي';

  @override
  String get api_error_150 => 'محاولة بدء تداول على إعلان حيث يتم حظر المستخدم الطالب بواسطة ملصق الإعلان';

  @override
  String get api_error_151 => 'محاولة بدء تداول على إعلان لا يثق فيه ملصق الإعلان بالمستخدم الطالب';

  @override
  String get api_error_152 => 'محاولة إلغاء صفقة تم إغلاقها بالفعل';

  @override
  String get api_error_153 => 'محاولة تحرير صفقة تم إغلاقها بالفعل';

  @override
  String get api_error_154 => 'محاولة طلب صفقات لحساب غير موجود';

  @override
  String get api_error_155 => 'محاولة الحصول على قائمة بالمستخدمين الموثوق بهم لمستخدم غير موجود';

  @override
  String get api_error_156 => 'محاولة الحصول على قائمة بالمستخدمين المحظورين لمستخدم غير موجود';

  @override
  String get api_error_157 => 'محاولة تعيين الخصائص الخاصة بالخيار لإعلان ليس به خيار';

  @override
  String get api_error_158 => 'محاولة إنشاء إعلان خيار بدون تعيين الخصائص الخاصة بالخيار';

  @override
  String get api_error_159 => 'طلب المستخدم تحديد دفع قسط التجارة غير موجود';

  @override
  String get api_error_160 => 'محاولة تحديد قسط مدفوع مقابل صفقة غير موجودة';

  @override
  String get api_error_161 => 'طلب المستخدم لممارسة الخيار غير موجود';

  @override
  String get api_error_162 => 'محاولة ممارسة الخيار في صفقة غير موجودة';

  @override
  String get api_error_163 => 'طلب المستخدم لتأكيد دفع قسط التجارة غير موجود';

  @override
  String get api_error_164 => 'محاولة تأكيد قسط مدفوع مقابل صفقة غير موجودة';

  @override
  String get api_error_165 => 'طلب المستخدم لممارسة التجارة مع صافي التسوية غير موجود';

  @override
  String get api_error_166 => 'محاولة ممارسة صفقة غير موجودة مع التسوية الصافية';

  @override
  String get api_error_167 => 'سعر السوق الحالي أقل من أو يساوي سعر الممارسة عند إجراء صفقة CALL. التجارة خارج نطاق المال وفقًا لمعايير السوق ، وبالتالي لا يمكن تحقيقها. استخدم التسوية العادية إذا لزم الأمر.';

  @override
  String get api_error_168 => 'طلب المستخدم لتأكيد تغطية الدفع للتجارة غير موجود';

  @override
  String get api_error_169 => 'محاولة تأكيد تغطية مدفوعة لصفقة غير موجودة';

  @override
  String get api_error_172 => 'محاولة نشر إعلان حيث الأصل هو نفس عملة الإعلان';

  @override
  String get api_error_174 => 'محاولة ممارسة التجارة خارج نطاق المال';

  @override
  String get api_error_175 => 'محاولة استرداد قسيمة غير موجودة أثناء التسجيل';

  @override
  String get api_error_176 => 'محاولة استرداد قسيمة منتهية الصلاحية أثناء التسجيل';

  @override
  String get api_error_177 => 'محاولة استرداد قسيمة غير متوفرة أثناء التسجيل';

  @override
  String get api_error_185 => 'محاولة الحصول على قسائم لمستخدم غير موجود';

  @override
  String get api_error_186 => 'محاولة الحصول على أكثر من 50 إعلانًا عند الحصول على إعلانات بالمعرف';

  @override
  String get api_error_187 => 'محاولة إعطاء قائمة فارغة من المعرفات عند الحصول على الإعلانات حسب المعرف';

  @override
  String get api_error_188 => 'لا يعد أي من معرّفات الإعلانات المطلوبة معرّفًا صالحًا عند الحصول على الإعلانات حسب المعرّف';

  @override
  String get api_error_189 => 'لا يوجد إعلان واحد من الإعلانات المطلوبة عند الحصول على الإعلانات حسب المعرف';

  @override
  String get api_error_190 => 'محاولة إعطاء قائمة فارغة من المعرفات عند الحصول على التداولات بواسطة المعرف';

  @override
  String get api_error_191 => 'محاولة الحصول على أكثر من 50 إعلانًا عند الحصول على تداولات بالمعرف';

  @override
  String get api_error_192 => 'لا يعد أي من معرّفات التجارة المطلوبة معرّفًا صالحًا عند الحصول على التداولات عن طريق المعرّف';

  @override
  String get api_error_193 => 'لا توجد أي من الصفقات المطلوبة عند الحصول على التداولات بالمعرف';

  @override
  String get api_error_194 => 'محاولة إنشاء رمز API مميز عام لمستخدم غير موجود';

  @override
  String get api_error_195 => 'كلمة مرور غير صحيحة عند محاولة الحصول على رمز API العام';

  @override
  String get api_error_196 => 'محاولة الحصول على رسائل حديثة لمستخدم غير موجود';

  @override
  String get api_error_197 => 'محاولة الحصول على رسائل دردشة تجارية بطابع زمني \"بعد\" يكون خارج النطاق المسموح به';

  @override
  String get api_error_198 => 'محاولة الحصول على رسائل الدردشة الأخيرة للحساب مع الطابع الزمني \"بعد\" خارج النطاق المسموح به';

  @override
  String get api_error_199 => 'محاولة الحصول على رمز API العام لمستخدم غير موجود';

  @override
  String get api_error_200 => 'محاولة إنهاء وحذف رمز API العام للمستخدم بدون رمز API العام';

  @override
  String get api_error_201 => 'محاولة تحديث صيغة سعر إعلان غير موجود';

  @override
  String get api_error_202 => 'محاولة الحصول على معاملات الحساب بالطابع الزمني \"بعد\" خارج النطاق المسموح به';

  @override
  String get api_error_203 => 'محاولة الحصول على بيانات استيراد السمعة لحساب غير موجود';

  @override
  String get api_error_211 => 'محاولة الموافقة على استيراد السمعة لمستخدم غير موجود';

  @override
  String get api_error_212 => 'محاولة الموافقة على استيراد السمعة لمستخدم ليس في الخطوة 2 من تدفق استيراد السمعة';

  @override
  String get api_error_213 => 'محاولة رفض استيراد السمعة لمستخدم غير موجود';

  @override
  String get api_error_214 => 'محاولة رفض استيراد السمعة لمستخدم ليس في الخطوة 2 من تدفق استيراد السمعة';

  @override
  String get api_error_215 => 'محاولة تحديد كل من كود_البلد ورمز_العملة عند طلب طرق الدفع الأكثر شيوعًا';

  @override
  String get api_error_216 => 'محاولة طلب طرق الدفع الأكثر شيوعًا لبلد غير موجود';

  @override
  String get api_error_217 => 'محاولة طلب طرق الدفع الأكثر شيوعًا لرمز_عملة غير موجود';

  @override
  String get api_error_218 => 'محاولة فتح صفقة على إعلان يتطلب بريدًا إلكترونيًا تم التحقق منه عندما لا يكون لدى المستخدم الطالب بريد إلكتروني تم التحقق منه';

  @override
  String get api_error_219 => 'محاولة التسجيل في بريد إلكتروني من مزود بريد إلكتروني يمكن التخلص منه';

  @override
  String get api_error_220 => 'محاولة تغيير البريد الإلكتروني للحساب إلى بريد إلكتروني من مزود بريد إلكتروني يمكن التخلص منه';

  @override
  String get api_error_221 => 'محاولة وضع علامة على جميع الإشعارات كمقروءة لمستخدم غير موجود';

  @override
  String get api_error_222 => 'محاولة طلب رمز سمعة لحساب نظام أساسي خارجي تم استيراده بالفعل';

  @override
  String get api_error_223 => 'محاولة تحديث الإعلان مع تحديد VerificationRequired as true بينما verificationMsg خالية';

  @override
  String get api_error_224 => 'محاولة تحديث الإعلان بتحديد رسائل التحقق ولكن الإعلان لا يتطلب التحقق وطلب تحديث الإعلان أيضًا لا يعيِّن التحقق مطلوب على أنه صحيح';

  @override
  String get api_error_227 => 'محاولة معاقبة مستخدم غير موجود';

  @override
  String get api_error_228 => 'محاولة معاقبة مستخدم بحساب مشرف غير موجود';

  @override
  String get api_error_229 => 'محاولة إزالة عقوبة من مستخدم غير موجود';

  @override
  String get api_error_230 => 'محاولة إزالة عقوبة من مستخدم لديه حساب مشرف غير موجود';

  @override
  String get api_error_231 => 'محاولة إزالة عقوبة من مستخدم ليس عليه أي عقوبات';

  @override
  String get api_error_232 => 'محاولة فتح صفقة مع مستخدم ممنوع حاليًا من التداول بسبب عقوبة';

  @override
  String get api_error_233 => 'محاولة إزالة تعليقات ذات معرّف غير موجود';

  @override
  String get api_error_234 => 'محاولة إزالة التعليقات التي تمت إزالتها بالفعل';

  @override
  String get api_error_235 => 'محاولة إزالة حالة النزاع من تجارة غير موجودة';

  @override
  String get api_error_236 => 'محاولة إزالة حالة النزاع من التجارة غير المتنازع عليها';

  @override
  String get api_error_237 => 'محاولة فتح صفقة كمستخدم غير موجود عند استدعاء نقطة نهاية فتح التجارة كمسؤول وتحديد معلمة openAsUsername';

  @override
  String get api_error_240 => 'عنوان غير صالح قدمه المشتري عند الرد على إعلان من نوع SELL';

  @override
  String get api_error_241 => 'يحاول المشتري تقديم عنوان داخلي عند الرد على إعلان من نوع SELL (لا يُسمح بالعناوين الداخلية لغرض التسوية التجارية)';

  @override
  String get api_error_242 => 'قدم المشتري عنوانًا غير صالح عند إنشاء إعلان من نوع BUY';

  @override
  String get api_error_244 => 'قدم المشتري عنوانًا غير صالح عند تحديث إعلان من نوع BUY';

  @override
  String get api_error_245 => 'يحاول المشتري توفير عنوان داخلي عند تحديث إعلان من نوع الشراء (لا يُسمح بالعناوين الداخلية لغرض تسوية التجارة)';

  @override
  String get api_error_246 => 'محاولة بدء عملية تداول من إعلان من نوع BUY لا يحدد عنوان تسوية المشتري';

  @override
  String get api_error_247 => 'محاولة تحرير صفقة من حساب ممنوع من الانسحاب بسبب العقوبات';

  @override
  String get api_error_248 => 'محاولة تحرير صفقة عندما لا يكون مبلغ الصفقة كافياً لتغطية الرسوم المتعلقة بالتسوية';

  @override
  String get api_error_249 => 'محاولة تحديث إعلان من نوع BUY لا يحتوي على عنوان للمشتري تم تعيين عنوان \"المشتري\" بدون تعيين معلمة \"عنوان\" المشتري في طلب التحديث';

  @override
  String get api_error_250 => 'تم تقديم عنوان غير صالح عند طلب رسوم السحب لـ BTC';

  @override
  String get api_error_251 => 'لم يتم توفير مستوى الرسوم عند فتح صفقة من خلال الرد على إعلان من نوع BTC SELL';

  @override
  String get api_error_252 => 'لم يتم توفير مستوى الرسوم عند إنشاء إعلان من نوع BTC BUY';

  @override
  String get api_error_253 => 'لم يتم تقديم مستوى الرسوم عند تحديث إعلان من نوع BTC BUY الذي لا يتم تعيين مستوى الرسوم فيه';

  @override
  String get api_error_255 => 'محاولة الحصول على إشعارات بالطابع الزمني \"بعد\" خارج النطاق المسموح به';

  @override
  String get api_error_256 => 'محاولة تسجيل رمز دفع إعلام موجود بالفعل';

  @override
  String get api_error_257 => 'محاولة تسجيل رمز دفع إشعار غير صالح';

  @override
  String get api_error_258 => 'محاولة تسجيل رمز دفع للإشعار لحساب يحتوي بالفعل على 500 رمز مميز للجهاز ، احذف أحد الرموز المميزة الموجودة قبل محاولة ذلك مرة أخرى';

  @override
  String get api_error_259 => 'محاولة حذف رمز غير موجود أو لا ينتمي لهذا المستخدم';

  @override
  String get account => 'الحساب';

  @override
  String get login => 'تسجيل الدخول';

  @override
  String get skip => 'يتخطى';

  @override
  String get pin_setup => 'قم بإعداد PIN';

  @override
  String get pin_enter_continue => 'أدخل رقم التعريف الشخصي للمتابعة';

  @override
  String get pin_enter => 'أدخل رقم التعريف الشخصي';

  @override
  String get pin_enter_to_confirm_transaction => 'أدخل رقم التعريف الشخصي لتأكيد المعاملة';

  @override
  String get pin_you_can_use => 'يمكنك استخدام رقم التعريف الشخصي هذا لفتح التطبيق.';

  @override
  String get pin_confirm => 'تأكيد PIN';

  @override
  String get pin_current => 'الرقم السري الحالي';

  @override
  String get pin_set => 'قم بتعيين رمز PIN';

  @override
  String get pin_do_not_match => 'أرقام التعريف الشخصية غير متطابقة';

  @override
  String get pin_second_as_first => 'رقم التعريف الشخصي الذي أدخلته في المرة الثانية لا يتطابق مع الأول.';

  @override
  String get pin_wrong_current => 'رقم التعريف الشخصي الحالي خاطئ';

  @override
  String get pin_please_input_correct => 'الرجاء إدخال رقم التعريف الشخصي الحالي الصحيح.';

  @override
  String get enter_email => 'أدخل البريد الإلكتروني';

  @override
  String get convert => 'يتحول';

  @override
  String get recent_transactions => 'التحويلات الاخيرة';

  @override
  String get transactions_30_days => 'معاملات آخر 30 يومًا';

  @override
  String get forgot_password => 'هل نسيت كلمة السر؟';

  @override
  String get password_have_changed => 'تم تغيير كلمة المرور.';

  @override
  String get i_want_to_buy => 'أريد شراء';

  @override
  String get error_password_reset_token_invalid => 'الرمز المقدم لإعادة تعيين كلمة المرور غير صالح';

  @override
  String get error_password_reset_unverified_email => 'محاولة إعادة تعيين كلمة مرور لمستخدم بريد إلكتروني لم يتم التحقق منه';

  @override
  String get i_want_to_buy_new => 'أريد شراء';

  @override
  String get new_password => 'كلمة مرور جديدة (8-72 حرفًا)';

  @override
  String get i_want_to_sell => 'أريد أن أبيع';

  @override
  String get log_in_to_start_trading => 'قم بتسجيل الدخول لبدء التداول';

  @override
  String get why_do_you_need_my_email => 'لماذا تحتاج البريد الإلكتروني الخاص بي؟';

  @override
  String get view_all_transactions => 'عرض جميع المعاملات';

  @override
  String get email_is_used_to => 'يُستخدم البريد الإلكتروني لاستعادة كلمة المرور الخاصة بك أو إرسال إشعارات بالبريد الإلكتروني إليك. سيتم التحقق من بريدك الإلكتروني مقابل قاعدة بيانات تابعة لجهات خارجية لموفري البريد الإلكتروني الذين يمكن التخلص منهم.';

  @override
  String get email_verified => 'تم التحقق من البريد الإلكتروني.';

  @override
  String get email_verification_error => 'خطأ في التحقق من البريد الإلكتروني.';

  @override
  String get email_token_error => 'الرمز المميز أو البريد الإلكتروني خاطئان. لم يتم التحقق من البريد الإلكتروني.';

  @override
  String get welcome_screen_about => 'منصة آمنة وسهلة الاستخدام من شخص إلى شخص لتداول العملة المحلية لبيتكوين ومونيرو.';

  @override
  String get view_in_block_explorer => 'عرض في مستكشف الكتلة';

  @override
  String get welcome_pick_a_payment_method => 'اختر طريقة الدفع أو اختر من بين جميع العروض المتاحة.';

  @override
  String get welcome_buy_press_buy => 'اضغط على BUY لبدء التداول.';

  @override
  String get welcome_buy_follow_the_sellers => 'اتبع تعليمات البائع في الدردشة التجارية!';

  @override
  String get welcome_sell_go_to_wallet => 'اذهب إلى محفظتك وقم بإيداع عملاتك المعدنية.';

  @override
  String get welcome_sell_press_sell => 'اضغط على SELL لبدء التداول.';

  @override
  String get welcome_sell_follow_the_buyer => 'اتبع تعليمات المشتري في الدردشة التجارية!';

  @override
  String get get_started => 'البدء';

  @override
  String get send_to => 'ارسل إلى';

  @override
  String get error_only_numbers_are_possible => 'الأرقام فقط ممكنة.';

  @override
  String get error_entered_greater_than_balance => 'القيمة المدخلة أكبر من الرصيد.';

  @override
  String get amount_to_receive => 'مبلغ لتلقي';

  @override
  String get amount_to_send => 'المبلغ المراد إرسالها';

  @override
  String your_deposit_address(Object asset) {
    return 'عنوان الإيداع الخاص بك $asset';
  }

  @override
  String pending(Object num1, Object num2) {
    return 'معلق ($num1 / $num2)';
  }

  @override
  String get preview => 'معاينة';

  @override
  String get close => 'قريب';

  @override
  String get deposit => 'إيداع';

  @override
  String get share => 'يشارك';

  @override
  String get edit => 'يحرر';

  @override
  String get confirm_transaction => 'قم بتأكيد المعاملة';

  @override
  String get transaction_fee => 'رسوم التحويل';

  @override
  String get show_qr_code => 'إظهار رمز الاستجابة السريعة';

  @override
  String get security => 'حماية';

  @override
  String get no_pending_deposits => 'لا توجد ودائع معلقة';

  @override
  String get create_pin => 'قم بإنشاء PIN';

  @override
  String get change_pin => 'تغيير PIN';

  @override
  String get remove_pin => 'قم بإزالة PIN';

  @override
  String get remove_pin_message_success => 'تمت إزالة PIN';

  @override
  String get you_will_receive => 'ستستلم';

  @override
  String get total_amount_to_send => 'المبلغ الإجمالي للإرسال';

  @override
  String get enter_amount_to_receive_without_fee => 'أدخل المبلغ المراد استلامه (بدون رسوم)';

  @override
  String get enter_amount_to_receive_with_fee => 'أدخل المبلغ المراد خصمه (مع رسوم)';

  @override
  String get return_reserve_from_trade => 'احتياطي العائد من التجارة';

  @override
  String get user_profile => 'ملف تعريفي للمستخدم';

  @override
  String get personal_introduction => 'مقدمة شخصية';

  @override
  String get trading_reputation_on_other_platforms => 'سمعة التداول على منصات أخرى';

  @override
  String get how_to_link_my_account => 'كيف اربط حسابي؟';

  @override
  String link_account(Object platform) {
    return 'ربط حساب $platform';
  }

  @override
  String what_is_your_username(Object platform) {
    return 'ما هو اسم المستخدم الخاص بك على $platform؟';
  }

  @override
  String get enter_username => 'ادخل اسم المستخدم';

  @override
  String get edit_personal_introduction => 'تحرير المقدمة الشخصية';

  @override
  String get your_info => 'معلوماتك';

  @override
  String get website => 'موقع الكتروني';

  @override
  String get are_you_sure => 'هل أنت واثق؟';

  @override
  String get no_trusted_users_yet => 'لا يوجد مستخدمون موثوق بهم حتى الآن.';

  @override
  String get no_blocked_users_yet => 'لا يوجد مستخدمون محظورون حتى الآن.';

  @override
  String get no_transactions_yet => 'لا توجد معاملات حتى الآن.';

  @override
  String get web_links => 'روابط انترنت';

  @override
  String get tor_links => 'روابط Tor';

  @override
  String get i2p_links => 'روابط I2P';

  @override
  String get active_coupons => 'كوبونات نشطة';

  @override
  String get expired_coupons => 'كوبونات منتهية الصلاحية';

  @override
  String get hide_expired_coupons => 'إخفاء القسائم منتهية الصلاحية';

  @override
  String get show_expired_coupons => 'إظهار القسائم منتهية الصلاحية';

  @override
  String get terms_and_conditions => 'الأحكام والشروط';

  @override
  String get current_email => 'الايميل الحالي';

  @override
  String get remove_email => 'إزالة البريد الإلكتروني';

  @override
  String get email_not_received_content => 'إذا لم تتلق رسالة التحقق ، يرجى مراجعة مجلد \"البريد العشوائي\" أو';

  @override
  String get email_not_received_link => 'انقر هنا لإعادة إرسال البريد الإلكتروني.';

  @override
  String get email_confirm_delete => 'تأكيد حذف البريد الإلكتروني';

  @override
  String get email_deleted => 'تم حذف البريد الإلكتروني.';

  @override
  String email_confirmation_we_ve_sent_an_email(Object email) {
    return 'لقد أرسلنا بريدًا إلكترونيًا إلى $email. انقر فوق الارتباط الموجود في البريد الإلكتروني للتحقق من عنوان بريدك الإلكتروني.';
  }

  @override
  String app_staff(Object appName) {
    return '$appName من الموظفين';
  }

  @override
  String get current_password => 'كلمة المرور الحالية';

  @override
  String get save_your_backup_code => 'احفظ رمزك الاحتياطي';

  @override
  String get your_backup_code => 'الرمز الاحتياطي الخاص بك';

  @override
  String get set_up_2fa => 'قم بإعداد 2FA';

  @override
  String get download_2fa => 'قم بتنزيل تطبيق 2FA. انسخ الكود أدناه والصقه في تطبيق 2FA الخاص بك.';

  @override
  String get paste_code => 'الصق الكود';

  @override
  String get code_valid => 'كود صالح';

  @override
  String get verifying_the_code => 'التحقق من الرمز ...';

  @override
  String get language => 'لغة';

  @override
  String get my_profile => 'ملفي';

  @override
  String get choose_ad_default_region => 'اختر المنطقة الافتراضية للإعلان';

  @override
  String get knowledge_base => 'قاعدة المعرفة';

  @override
  String get report_this_ad => 'الإبلاغ عن هذا الإعلان';

  @override
  String get cash_only => 'نقد فقط';

  @override
  String get dispute_started => 'بدأ النزاع';

  @override
  String get payment_info => 'معلومات الدفع';

  @override
  String get trade_ad => 'إعلان التجارة';

  @override
  String get ask_delete_ad => 'هل أنت متأكد أنك تريد حذف هذا الإعلان؟';

  @override
  String get general => 'عام';

  @override
  String get final_price => 'السعر النهائي';

  @override
  String get use_price_formula_to_calculate => 'استخدم صيغة السعر للحساب';

  @override
  String get enter_price_formula => 'أدخل صيغة السعر';

  @override
  String get trade_limits => 'حدود التجارة (اختياري)';

  @override
  String get trade_details => 'تفاصيل التجارة (اختياري)';

  @override
  String get reply => 'رد';

  @override
  String get trade_loading_failed => 'فشل تحميل التجارة ، يرجى التحقق من الاتصال.';

  @override
  String get dark_theme => 'مظهر داكن';

  @override
  String search__no_results(Object country) {
    return 'لا توجد نتائج في $country بالمعايير المحددة ... حتى الآن. ';
  }

  @override
  String get affiliate__explain_is_reg => 'يتم تسجيل الانتساب عندما يقوم أي مستخدم بالتسجيل بعد الوصول إلى الموقع من خلال رابط مع رمز الإحالة الخاص بك.';

  @override
  String get affiliate__ref_code_title => 'رمز الإحالة الخاص بك';

  @override
  String affiliate__users__text(Object number) {
    return 'أنت مسجل حاليًا كشركة تابعة لمستخدمي $number وستكسب عمولات من جميع الصفقات التي يقوم بها هؤلاء.';
  }

  @override
  String affiliate__terms__text___agoradesk(Object appName) {
    return '• يمكنك الارتباط بأي صفحة فردية ، مثل قائمة الدول أو قائمة طرق الدفع ، أو أي شيء آخر على $appName.\n• سوف تكسب عملة مشفرة من المستخدمين الذين يصلون إلى الموقع من خلال تسجيل الرابط التابع الخاص بك وإجراء الصفقات.\n• سيتم دفع المدفوعات يوميًا إلى محفظتك $appName بالعملات المشفرة ذات الصلة.\n• سيتم دفع العمولات لمدة عام واحد من تسجيل المستخدم. تعتمد العمولة على الدخل الذي يجلبه المستخدم الجديد مقابل $appName (رسوم التداول).\n• يحظر أي لعب شرير ، مثل الإعلانات المضللة.\n• البريد العشوائي ممنوع. يتضمن البريد العشوائي إرسال رسائل خاصة أو عامة غير مشترك في المنتديات / reddit ، والبريد الجماعي غير المشترك ، وما إلى ذلك.\n• يحظر إضافة إطارات iframe مخفية على موقع ويب من أجل التقاط الشركات التابعة. يُسمح فقط بإطارات iframe التابعة أو الروابط المباشرة إلى صفحة الويب.\n• يحق لـ $appName تعطيل أي مستخدم تابع في أي وقت. إذا انتهكت الشروط ، فسيتم إنهاء برنامج الإحالة الخاص بك.';
  }

  @override
  String affiliate__example__text(Object assetName, Object appName, Object assetSymbol) {
    return 'تحصل على اثنين من المستخدمين ، المشتري والبائع لـ $assetName مسجلين على $appName ، ويقومان بصفقة واحدة بقيمة 100 $assetSymbol. تكسب عمولة 20٪ على رسوم تداول $appName من كلا المشاركين ، بإجمالي 40٪ من رسوم $appName.\n\nالمبلغ الذي ربحته هو 0.4 $assetSymbol. فقط المبيعات النهائية التي تتم من خلال عملية معاملاتنا مهمة. المدفوعات تتم يوميا.\n\nدعم $appName على أتم الاستعداد لمساعدتك في أي أسئلة.';
  }

  @override
  String get affiliate__enable_btn => 'تمكين البرنامج التابع';

  @override
  String affiliate__enabled(Object ref_code, Object appName) {
    return 'تم تمكين برنامج الإحالة الخاص بك ، ويمكنك كسب العمولات عن طريق إضافة علامة الإحالة الخاصة بك {refCode} إلى أي عنوان URL $appName.';
  }

  @override
  String reputation_import__step__username__input__label(Object platform) {
    return 'اسم مستخدم $platform الخاص بك';
  }

  @override
  String reputation_import__step__code__message(Object platform) {
    return 'أضف هذا الرمز في مكان ما في ملفك الشخصي العام على $platform. بمجرد التحقق من الرمز ، يمكنك إزالته.';
  }

  @override
  String settings__homepage_tip(Object example_url) {
    return 'تظهر في ملفك الشخصي العام. يتم قبول عنوان URL الصالح فقط (مثل https: // $example_url)';
  }

  @override
  String get settings__personal_info_tip => 'تظهر في ملفك الشخصي العام. الحد الأقصى 65536 حرفًا. يمكن استخدام تخفيض السعر للتصميم.';

  @override
  String get settings__personal_info_tip_1 => 'تظهر في ملفك الشخصي العام. الحد الأقصى 65536 حرفًا.';

  @override
  String get coupons__coupon__type_here => 'اكتب قسيمتك هنا';

  @override
  String get trade__mark_pay_according => ' ادفع وفقًا لتفاصيل الدفع الموضحة أدناه. إذا كان لديك أي أسئلة ، اسأل البائع في الدردشة.';

  @override
  String get dashboard__trade__status__open => 'فتح';

  @override
  String get wallet__available_balance => 'الرصيد المتوفر';

  @override
  String get trade__dialog__confirm_release_monero_text_password => 'تُستخدم كلمة المرور هذه كإزاحة لإنشاء محفظة تسوية غير أمينة وتوقيع المعاملة. لن يكون لدى LocalMonero أي طريقة لاستعادة المحفظة إذا فقدت كلمة المرور هذه.';

  @override
  String get dont_have_an_account_yet => 'لا تملك حسابا حتى الآن؟';

  @override
  String get app_trades => 'الحرف';

  @override
  String get app_unlimited => 'غير محدود';

  @override
  String get app_guides => 'خطوط إرشاد';

  @override
  String get app_edit_this_ad => 'تحرير هذا الإعلان';

  @override
  String get app_you_can_use_markdown => 'يمكنك استخدام تخفيض السعر لتحديد نمط مصطلحات إعلانك (الصور غير مسموح بها).';

  @override
  String get app_no_trades_to_export => 'لا صفقات للتصدير.';

  @override
  String app_settings_2fa_step_two(Object appName) {
    return 'اكتب الرمز الاحتياطي (أعلاه باللون الأخضر) على قطعة من الورق واحفظه في مكان آمن. ستحتاج إليه إذا فقدت هاتفك ، أو سيتم حظر دخولك إلى حسابك. لن يتمكن $appName من مساعدتك في حالة فقد هذا الرمز.';
  }

  @override
  String get ad_post_ad_rules_text_0 => 'قبل إنشاء إعلان يرجى قراءة من خلال ';

  @override
  String app_trade_warning_impersonation(Object appName) {
    return 'احذر من المحتالين الذين يحاولون انتحال شخصية الموظفين!\n$appName لن يخبرك مديرو $appName بإنهاء صفقة.\nرسائل الموظفين ذات خلفية حمراء.';
  }

  @override
  String app_buy_sell(Object val) {
    return 'كم ترغب في {buyOrsell}؟';
  }

  @override
  String app_buyer_marked_as_paid(Object val) {
    return '$val وضع علامة على التجارة على أنها مدفوعة';
  }

  @override
  String app_buy_crypto_from(Object val) {
    return 'شراء العملات المشفرة من $val';
  }

  @override
  String app_sell_crypto_to(Object val) {
    return 'بيع العملات المشفرة لـ $val';
  }

  @override
  String app_trades_with(Object val) {
    return 'انظر التداولات مع $val';
  }

  @override
  String app_able_to_cancel(Object val1, Object val2) {
    return '($val1 سيكون قادرًا على الإلغاء خلال $val2 دقيقة ما لم تحدد أنه مدفوع)';
  }

  @override
  String app_able_to_cancel_now(Object val) {
    return '($val الآن قادر على الإلغاء ما لم تضع علامة على أنه مدفوع)';
  }

  @override
  String app_buying_from(Object asset, Object amount, Object username) {
    return 'شراء $asset $amount من $username';
  }

  @override
  String app_selling_to(Object asset, Object amount, Object username) {
    return 'بيع $asset $amount إلى $username';
  }

  @override
  String app_for_sum(Object val) {
    return 'لـ $val';
  }

  @override
  String get app_buy_crypto => 'شراء العملات المشفرة من';

  @override
  String get app_sell_crypto => 'بيع العملات المشفرة إلى';

  @override
  String get app_intall_trade_title => 'الرجاء تثبيت AgoraDesk لعرض هذه التجارة';

  @override
  String get app_intall_ad_title => 'الرجاء تثبيت AgoraDesk لعرض هذا الإعلان';

  @override
  String get app_intall_trade_body => 'هذه تجارة تعتمد على Bitcoin ، وهي تتطلب تطبيق AgoraDesk الخاص بنا لعرضها.';

  @override
  String get app_intall_ad_body => 'هذا إعلان قائم على Bitcoin ، ويتطلب عرض تطبيق AgoraDesk الخاص بنا.';

  @override
  String get app_trade_option_payment_receiver_cancel_notice => 'لا تنهي أي صفقة أبدًا حتى تكون متأكدًا بنسبة 100٪ من استلامك المال. سيحاول المحتالون خداعك لوضع اللمسات الأخيرة مبكرًا.';

  @override
  String get app_cancel_trade_message => 'أخطأت أو تريد تجربة متداول آخر؟ إذا كنت قد قمت بتحويل الأموال بالفعل وتريد الإلغاء الآن ، فأنت بحاجة إلى التفاوض بشأن إعادة مدفوعاتك مع شريكك التجاري بنفسك. لا تلغي أبدًا ما لم تكن متأكدًا من استرداد أموالك.';

  @override
  String get app_all_feedback => 'كل الملاحظات';

  @override
  String get app_camera => 'آلة تصوير';

  @override
  String get app_clear => 'صافي';

  @override
  String get app_ad_deleted => 'الإعلان محذوف';

  @override
  String get app_verifiacetion_code_to_seller => 'هذا هو رمز التحقق الخاص بك. يمكنك إخبار المشتري بذلك حتى يتمكن المشتري من التحقق من إتمام الصفقة دون الحاجة إلى استخدام الجهاز.';

  @override
  String get app_verification_code => 'رمز التحقق';

  @override
  String get app_ad => 'ميلادي';

  @override
  String get app_with => 'مع';

  @override
  String get app_edited => 'تم تحريره';

  @override
  String get app_permanent => 'دائم';

  @override
  String get app_error_saving => 'خطأ أثناء الحفظ. لم يتم حفظ التغييرات.';

  @override
  String get app_manage_ads => 'إدارة الإعلانات';

  @override
  String get app_vacation_enabled => 'تم تمكين الإجازة';

  @override
  String get app_trade_created => 'خلق التجارة';

  @override
  String get app_session_expired => 'انتهت الجلسة';

  @override
  String get app_anonymous_crash_diagnostics => 'تشخيص تحطم مجهول';

  @override
  String get app_restart_now => 'اعد البدء الان';

  @override
  String get app_postpone => 'يؤجل';

  @override
  String get app_biometric_authentication => 'المصادقة البيومترية';

  @override
  String get app_biometric_authentication_message => 'يرجى تعيين رمز PIN لتمكين المصادقة البيومترية.';

  @override
  String get app_anonymous_crash_diagnostics_restart => 'تم تعطيل تشخيص الأعطال المجهولة ولن يتم إرسالها بعد إعادة تشغيل التطبيق.';

  @override
  String get app_trading_partners => 'شركاء تجاريون';

  @override
  String get app_trade_status_settlement_processing_description => 'تتم معالجة التسوية. من فضلك انتظر ، ليس هناك ما عليك القيام به.';

  @override
  String get app_buyer_settlement_fee_level_description => 'اختر مستوى الرسوم لاستخدامه أثناء تسوية التجارة. القيم الموضحة هنا هي تقديرات الأسعار الحالية وقد تختلف عن تلك المطبقة أثناء تسوية التجارة. إذا كان مبلغ الصفقة منخفضًا جدًا لتسوية الصفقة بمستوى الرسوم المحدد ، فسيتم تحديد مستوى رسوم أقل تلقائيًا أثناء التسوية.';

  @override
  String get app_change_vacation_settings => 'تغيير إعدادات الإجازة.';

  @override
  String get app_gallery => 'صالة عرض';

  @override
  String get app_via => 'عبر';

  @override
  String get app_one_percent => '1٪ رسوم';

  @override
  String get app_final_amount => 'القيمة النهائية';

  @override
  String app_note_label(Object val) {
    return 'ملاحظتك على {username} (يمكنك رؤيتها أنت فقط)';
  }

  @override
  String app_note_add(Object val) {
    return 'أضف ملاحظة على {username}';
  }

  @override
  String app_update_new_version_available(Object val) {
    return 'الإصدار الجديد $val متاح.';
  }

  @override
  String get app_update_now => 'تحديث الان';

  @override
  String get app_update_ingnor_until_next => 'تجاهل حتى التحديث القادم';

  @override
  String get app_update_ignore_always => 'تجاهل دائما';

  @override
  String get app_tooltip_visibility => 'انقر لتبديل الرؤية';

  @override
  String get app_tooltip_long_press_ad => 'اضغط مطولاً على الإعلان لتمكين تعديل المجموعة';

  @override
  String get app_join_telegram => 'انضم إلى مجموعة Telegram';

  @override
  String get app_join_matrix => 'انضم إلى مجموعة ماتريكس';

  @override
  String get app_display_password => 'عرض كلمة المرور';

  @override
  String get app_hide_password => 'اخفاء كلمة المرور';

  @override
  String get app_trade_has_been_cancelled => 'تم إلغاء التجارة.';

  @override
  String app_last_seen(Object val) {
    return 'آخر ظهور $val';
  }

  @override
  String get app_open_additional_filters => 'افتح عوامل تصفية إضافية';

  @override
  String get app_select_asset => 'حدد الأصل';

  @override
  String get app_select_trade_type => 'حدد نوع التجارة';

  @override
  String get app_paste => 'معجون';

  @override
  String get app_scan_qr_code => 'مسح رمز الاستجابة السريعة';

  @override
  String get app250Sbapple8722Sbapp8722Sbstore8722Sbdescription250Sbagoradesk => 'قم بشراء أو بيع Bitcoin بشكل مجهول ، دون التحقق من الهوية. نقدًا أو عبر الإنترنت. آمن وسريع وسهل.\n\nأتساءل كيف تستثمر في البيتكوين؟ على AgoraDesk ، لم يكن شراء عملات البيتكوين أسهل من أي وقت مضى - اشترِ BTC على الفور من شخص باستخدام طريقة الدفع المفضلة لديك عبر الإنترنت: PayPal أو بطاقة الائتمان / الخصم أو التحويل المصرفي أو بطاقات الهدايا أو Venmo أو أي وسيلة أخرى. إذا كنت ترغب في شراء عملات البيتكوين بالقرب منك نقدًا ، فيمكنك العثور على شخص يرغب في بيع عملات البيتكوين محليًا - تدعم منصة التداول شراء وبيع البيتكوين نقدًا. يمكنك حتى شراء عملات البيتكوين نقدًا عن طريق البريد.\n\n- تداول آمن وسلس\nتمامًا مثل LocalBitcoins ، نحن ندعم أي طريقة دفع ، وأي عملة ، في أي مكان. لا نقوم بإزالة طرق الدفع ، وعلى عكس LocalBitcoins ، فإننا ندعم تمامًا الصفقات النقدية وجهًا لوجه. جميع تداولاتنا محمية بسند تحكيم. نظرًا لحقيقة أننا نطلب الأموال ليتم الاحتفاظ بها في سند تحكيم قبل بدء التجارة ، فإننا نضمن تجربة سلسة وآمنة للمشتري ، وهو أمر ضروري لشعبية المنصة وتكرار العملاء للبائعين.\n\n- لا يوجد التحقق من الهوية KYC / AML أو الهوية\nتلتزم AgoraDesk بالحفاظ على البساطة والاستقامة التي جعلت من LocalBitcoins الأصلية شائعة جدًا. نحن لا نستخدم KYC / AML ، ولا نخطط للقيام بذلك على الإطلاق.\n\n- موثوق به من قبل المجتمع\nعملت منصتنا لأكثر من أربع سنوات ، ونجت من الانهيار الكبير لسوق العملات المشفرة لعام 2018 ، ومن خلال خدمتها الدؤوبة الموجهة نحو المجتمع أصبحت واحدة من أكثر الأسماء الموثوقة في مجتمع العملات المشفرة المتشكك للغاية.\n\n- آمن ومفتوح المصدر ومرتكز على الخصوصية ومقاوم للرقابة\nتطبيقنا مجاني ومفتوح المصدر ، مما يضمن أن العديد من العيون تطلع على كود التطبيق للتأكد من عدم وجود ثغرات أمنية أو تسريبات للخصوصية. فتح المصادر يسمح تطبيقنا أيضًا لأي شخص بالوصول إلى تطبيقنا حتى إذا كان مستودع تطبيقات معين يراقب التطبيق. يعمل تطبيقنا أيضًا على الهواتف التي تم حظر Google تمامًا. نحن نقدر خصوصيتك كثيرًا ، ولا نطلب منك حتى تقديم بريد إلكتروني عند التسجيل.\n\nكود المصدر: https://github.com/AgoraDesk-LocalMonero/agoradesk-app-foss\nأداة تعقب المشكلات: https://github.com/AgoraDesk-LocalMonero/agoradesk-app-foss/issues\n\n- دعم ممتاز\nفريق الدعم لدينا سريع وسريع الاستجابة ومتشوق دائمًا للإرضاء. لم يكن لدينا أبدًا تذكرة دعم لم يتم الرد عليها في غضون 24 ساعة. يسهل الوصول إلينا دائمًا من خلال وسائل التواصل الاجتماعي ، ونستمع باهتمام إلى انتقاداتك وننفذ دائمًا اقتراحات المستخدمين الجيدة في وقت قياسي.\n\nيمكنك الوصول إلى دعمنا على: https://agoradesk.com/support\n\n- رسوم عادلة\nنحن لا نفرض رسومًا باهظة عند إيداع أو سحب عملات البيتكوين من / إلى محفظة سندات التحكيم الخاصة بنا. لا توجد رسوم إيداع ، ورسوم السحب قريبة جدًا من الرسوم التي ستدفعها في معاملة عادية.';

  @override
  String get app250Sbapple8722Sbapp8722Sbstore8722Sbtitle250Sbagoradesk => 'AgoraDesk: اشترِ البيتكوين بسهولة';

  @override
  String get app250Sbapple8722Sbapp8722Sbstore8722Sbtitle250Sblocalmonero => 'LocalMonero: اشترِ XMR بسهولة';

  @override
  String get app250Sbapple8722Sbapp8722Sbstore8722Sbdescription250Sblocalmonero => 'شراء أو بيع Monero بدون التحقق من الهوية. نقدًا أو عبر الإنترنت. آمن وسريع وسهل.\n\nLocalMonero هي أكبر منصة تداول P2P وأكثرها ثقة وراسخة في مجتمع XMR. ليس لدينا شيكات KYC - يمكنك ببساطة شراء Monero بشكل مجهول دون التحقق من الهوية باستخدام PayPal أو بطاقة الائتمان أو بطاقة الهدايا أو النقد عن طريق البريد أو تحويل Bitcoin أو Ether أو USDT أو أي عملة مشفرة أخرى إلى Monero - يدعم نظامنا الأساسي أي طريقة دفع.\n\n- تداول آمن وسلس\nنحن ندعم أي طريقة دفع ، أي عملة ، في أي مكان. نحن لا نزيل طرق الدفع ، وندعم تمامًا عمليات التداول النقدي وجهًا لوجه. جميع تداولاتنا محمية بسند تحكيم. نظرًا لحقيقة أننا نطلب الأموال ليتم الاحتفاظ بها في سند تحكيم قبل بدء التجارة ، فإننا نضمن تجربة سلسة وآمنة للمشتري ، وهو أمر ضروري لشعبية المنصة وتكرار العملاء للبائعين.\n\n- لا يوجد التحقق من الهوية KYC / AML أو الهوية\nتلتزم LocalMonero بالحفاظ على البساطة والاستقامة في تجربة التداول الخاصة بك. نحن لا نستخدم KYC / AML ، ولا نخطط للقيام بذلك على الإطلاق.\n\n- موثوق به من قبل المجتمع\nتعمل منصتنا لأكثر من أربع سنوات ، ونجت من الانهيار الكبير لسوق العملات المشفرة لعام 2018 ، ومن خلال خدمتها الدؤوبة الموجهة نحو المجتمع أصبحت واحدة من أكثر الأسماء الموثوقة في مجتمع Monero المتشكك للغاية.\n\n- آمن ومفتوح المصدر ومرتكز على الخصوصية ومقاوم للرقابة\nتطبيقنا مجاني ومفتوح المصدر ، مما يضمن أن العديد من العيون تطلع على كود التطبيق للتأكد من عدم وجود ثغرات أمنية أو تسريبات للخصوصية. فتح المصادر يسمح تطبيقنا أيضًا لأي شخص بالوصول إلى تطبيقنا حتى إذا كان مستودع تطبيقات معين يراقب التطبيق. يعمل تطبيقنا أيضًا على الهواتف التي تم حظر Google تمامًا. نحن نقدر خصوصيتك كثيرًا ، ولا نطلب منك حتى تقديم بريد إلكتروني عند التسجيل.\nشراء أو بيع Monero بدون التحقق من الهوية. تحذير: هذا التطبيق قيد الإصدار التجريبي المفتوح حاليًا!\n\nكود المصدر: https://github.com/AgoraDesk-LocalMonero/agoradesk-app-foss\nأداة تعقب المشكلات: https://github.com/AgoraDesk-LocalMonero/agoradesk-app-foss/issues\n\n- دعم ممتاز\nفريق الدعم لدينا سريع وسريع الاستجابة ومتشوق دائمًا للإرضاء. لم يكن لدينا أبدًا تذكرة دعم لم يتم الرد عليها في غضون 24 ساعة. يسهل الوصول إلينا دائمًا من خلال وسائل التواصل الاجتماعي ، ونستمع باهتمام إلى انتقاداتك وننفذ دائمًا اقتراحات المستخدمين الجيدة في وقت قياسي.\n\nيمكنك الوصول إلى دعمنا على: https://localmonero.co/support\n\n- رسوم عادلة\nنحن لا نفرض رسومًا باهظة عند إيداع أو سحب Monero إلى / من محفظة سندات التحكيم الخاصة بنا. لا توجد رسوم إيداع ، ورسوم السحب قريبة جدًا من الرسوم التي ستدفعها في معاملة عادية.';

  @override
  String get app250Sbgoogle8722Sbplay8722Sbstore8722Sbtitle250Sblocalmonero => 'LocalMonero: اشترِ XMR بشكل خاص';

  @override
  String get app250Sbgoogle8722Sbplay8722Sbstore8722Sbdescription250Sblocalmonero => 'شراء أو بيع Monero بدون التحقق من الهوية. نقدًا أو عبر الإنترنت. آمن وسريع وسهل.\n\nLocalMonero هي أكبر منصة تداول P2P وأكثرها ثقة وراسخة في مجتمع XMR. ليس لدينا شيكات KYC - يمكنك ببساطة شراء Monero بشكل مجهول دون التحقق من الهوية باستخدام PayPal أو بطاقة الائتمان أو بطاقة الهدايا أو النقد عن طريق البريد أو تحويل Bitcoin أو Ether أو USDT أو أي عملة مشفرة أخرى إلى Monero - يدعم نظامنا الأساسي أي طريقة دفع.\n\n- تداول آمن وسلس\nنحن ندعم أي طريقة دفع ، أي عملة ، في أي مكان. نحن لا نزيل طرق الدفع ، وندعم تمامًا عمليات التداول النقدي وجهًا لوجه. جميع تداولاتنا محمية بسند تحكيم. نظرًا لحقيقة أننا نطلب الأموال ليتم الاحتفاظ بها في سند تحكيم قبل بدء التجارة ، فإننا نضمن تجربة سلسة وآمنة للمشتري ، وهو أمر ضروري لشعبية المنصة وتكرار العملاء للبائعين.\n\n- لا يوجد التحقق من الهوية KYC / AML أو الهوية\nتلتزم LocalMonero بالحفاظ على البساطة والاستقامة في تجربة التداول الخاصة بك. نحن لا نستخدم KYC / AML ، ولا نخطط للقيام بذلك على الإطلاق.\n\n- موثوق به من قبل المجتمع\nتعمل منصتنا لأكثر من أربع سنوات ، ونجت من الانهيار الكبير لسوق العملات المشفرة لعام 2018 ، ومن خلال خدمتها الدؤوبة الموجهة نحو المجتمع أصبحت واحدة من أكثر الأسماء الموثوقة في مجتمع Monero المتشكك للغاية.\n\n- آمن ومفتوح المصدر ومرتكز على الخصوصية ومقاوم للرقابة\nتطبيقنا مجاني ومفتوح المصدر ، مما يضمن أن العديد من العيون تطلع على كود التطبيق للتأكد من عدم وجود ثغرات أمنية أو تسريبات للخصوصية. فتح المصادر يسمح تطبيقنا أيضًا لأي شخص بالوصول إلى تطبيقنا حتى إذا كان مستودع تطبيقات معين يراقب التطبيق. يعمل تطبيقنا أيضًا على الهواتف التي تم حظر Google تمامًا. نحن نقدر خصوصيتك كثيرًا ، ولا نطلب منك حتى تقديم بريد إلكتروني عند التسجيل.\n\nكود المصدر: https://github.com/AgoraDesk-LocalMonero/agoradesk-app-foss\nأداة تعقب المشكلات: https://github.com/AgoraDesk-LocalMonero/agoradesk-app-foss/issues\n\n- دعم ممتاز\nفريق الدعم لدينا سريع وسريع الاستجابة ومتشوق دائمًا للإرضاء. لم يكن لدينا أبدًا تذكرة دعم لم يتم الرد عليها في غضون 24 ساعة. يسهل الوصول إلينا دائمًا من خلال وسائل التواصل الاجتماعي ، ونستمع باهتمام إلى انتقاداتك وننفذ دائمًا اقتراحات المستخدمين الجيدة في وقت قياسي.\n\nيمكنك الوصول إلى دعمنا على: https://localmonero.co/support\n\n- رسوم عادلة\nنحن لا نفرض رسومًا باهظة عند إيداع أو سحب Monero إلى / من محفظة سندات التحكيم الخاصة بنا. لا توجد رسوم إيداع ، ورسوم السحب قريبة جدًا من الرسوم التي ستدفعها في معاملة عادية.';

  @override
  String get app250Sbgoogle8722Sbplay8722Sbstore8722Sbtitle250Sbagoradesk => 'AgoraDesk: اشترِ BTC بشكل مجهول';

  @override
  String get app250Sbgoogle8722Sbplay8722Sbstore8722Sbdescription250Sbagoradesk => 'شراء أو بيع Bitcoin بدون التحقق من الهوية. نقدًا أو عبر الإنترنت.\n\nأتساءل كيف تستثمر في البيتكوين؟ على AgoraDesk ، لم يكن شراء عملات البيتكوين أسهل من أي وقت مضى - اشترِ BTC على الفور من شخص باستخدام طريقة الدفع المفضلة لديك عبر الإنترنت: PayPal أو بطاقة الائتمان / الخصم أو التحويل المصرفي أو بطاقات الهدايا أو Venmo أو أي وسيلة أخرى. إذا كنت ترغب في شراء عملات البيتكوين بالقرب منك نقدًا ، فيمكنك العثور على شخص يرغب في بيع عملات البيتكوين محليًا - تدعم منصة التداول شراء وبيع البيتكوين نقدًا. يمكنك حتى شراء عملات البيتكوين نقدًا عن طريق البريد.\n\n- تداول آمن وسلس\nتمامًا مثل LocalBitcoins ، نحن ندعم أي طريقة دفع ، وأي عملة ، في أي مكان. لا نقوم بإزالة طرق الدفع ، وعلى عكس LocalBitcoins ، فإننا ندعم تمامًا الصفقات النقدية وجهًا لوجه. جميع تداولاتنا محمية بسند تحكيم. نظرًا لحقيقة أننا نطلب الأموال ليتم الاحتفاظ بها في سند تحكيم قبل بدء التجارة ، فإننا نضمن تجربة سلسة وآمنة للمشتري ، وهو أمر ضروري لشعبية المنصة وتكرار العملاء للبائعين.\n\n- لا يوجد التحقق من الهوية KYC / AML أو الهوية\nتلتزم AgoraDesk بالحفاظ على البساطة والاستقامة التي جعلت من LocalBitcoins الأصلية شائعة جدًا. نحن لا نستخدم KYC / AML ، ولا نخطط للقيام بذلك على الإطلاق.\n\n- موثوق به من قبل المجتمع\nعملت منصتنا لأكثر من أربع سنوات ، ونجت من الانهيار الكبير لسوق العملات المشفرة لعام 2018 ، ومن خلال خدمتها الدؤوبة الموجهة نحو المجتمع أصبحت واحدة من أكثر الأسماء الموثوقة في مجتمع العملات المشفرة المتشكك للغاية.\n\n- آمن ومفتوح المصدر ومرتكز على الخصوصية ومقاوم للرقابة\nتطبيقنا مجاني ومفتوح المصدر ، مما يضمن أن العديد من العيون تطلع على كود التطبيق للتأكد من عدم وجود ثغرات أمنية أو تسريبات للخصوصية. فتح المصادر يسمح تطبيقنا أيضًا لأي شخص بالوصول إلى تطبيقنا حتى إذا كان مستودع تطبيقات معين يراقب التطبيق. يعمل تطبيقنا أيضًا على الهواتف التي تم حظر Google تمامًا. نحن نقدر خصوصيتك كثيرًا ، ولا نطلب منك حتى تقديم بريد إلكتروني عند التسجيل.\n\nكود المصدر: https://github.com/AgoraDesk-LocalMonero/agoradesk-app-foss\nأداة تعقب المشكلات: https://github.com/AgoraDesk-LocalMonero/agoradesk-app-foss/issues\n\n- دعم ممتاز\nفريق الدعم لدينا سريع وسريع الاستجابة ومتشوق دائمًا للإرضاء. لم يكن لدينا أبدًا تذكرة دعم لم يتم الرد عليها في غضون 24 ساعة. يسهل الوصول إلينا دائمًا من خلال وسائل التواصل الاجتماعي ، ونستمع باهتمام إلى انتقاداتك وننفذ دائمًا اقتراحات المستخدمين الجيدة في وقت قياسي.\n\nيمكنك الوصول إلى دعمنا على: https://agoradesk.com/support\n\n- رسوم عادلة\nنحن لا نفرض رسومًا باهظة عند إيداع أو سحب عملات البيتكوين من / إلى محفظة سندات التحكيم الخاصة بنا. لا توجد رسوم إيداع ، ورسوم السحب قريبة جدًا من الرسوم التي ستدفعها في معاملة عادية.';

  @override
  String get app250Sbapple8722Sbapp8722Sbstore8722Sbkeywords250Sblocalmonero => 'عملة معماة ، مجهولة ، خاصة ، مونيرو ، xmr ، p2p';

  @override
  String get app250Sbapple8722Sbapp8722Sbstore8722Sbkeywords250Sbagoradesk => 'cryptocurrency، bitcoin، monero، BTC، XMR، مجهول، خاص';

  @override
  String get app_report_this_user => 'الإبلاغ عن هذا المستخدم';

  @override
  String get app_open_dropdown => 'فتح القائمة المنسدلة';

  @override
  String get error250Sbsignup250Sb175 => 'محاولة استرداد قسيمة غير موجودة أثناء التسجيل';

  @override
  String get error250Sbsignup250Sb176 => 'محاولة استرداد قسيمة منتهية الصلاحية أثناء التسجيل';

  @override
  String get error250Sbsignup250Sb177 => 'محاولة استرداد قسيمة غير متوفرة أثناء التسجيل';

  @override
  String get nojs250Sbpassword8722Sbreset250Sbsuccess => 'تم إرسال خطاب إعادة تعيين كلمة المرور! تحقق من بريدك الوارد.';

  @override
  String get ad8722Sbpage250Sbterms8722Sbdialog250Sbagree8722Sbcontinue => 'وافق على الشروط والمتابعة';

  @override
  String get logout250Sbtitle => 'تسجيل خروج';

  @override
  String get coupons250Sbcode8722Sbapply => 'تطبيق رمز القسيمة';

  @override
  String post8722Sbad250Sbtrade8722Stype250Sbonline8722Sbuy(Object assetName) {
    return 'شراء $assetName عبر الإنترنت';
  }

  @override
  String get coupons250Sbcoupon250Sbdescription250Sbtypes250Sbcall_buy => 'شراء خيار الاتصال';

  @override
  String get coupons250Sbcoupon250Sbdescription250Sbtypes250Sbcall_sell => 'بيع خيار الاتصال';
}
