import 'i18n.dart';

/// The translations for German (`de`).
class I18nDe extends I18n {
  I18nDe([String locale = 'de']) : super(locale);

  @override
  String get numSb404 => 'Du hast dich verirrt. Diese Seite existiert nicht.';

  @override
  String about250Sbblock8722Sb18722Sbtext(Object appName) {
    return 'Unser Ziel bei $appName ist es, eine sichere und einfach zu bedienende Peer-2-Peer-Plattform einzurichten, die es jedem ermöglicht, seine lokale Währung überall gegen Monero zu tauschen. Unsere Benutzer veröffentlichen Anzeigen, in denen sie ihre bevorzugte Zahlungsmethode angeben (z. B. Banküberweisung, Bargeld, Online-Zahlungsprozessor wie PayPal, Geschenkkarten usw.), andere Benutzer antworten auf diese Anzeigen, $appName nimmt eine Schlichtungsbürgschaft in Höhe des Handelsbetrags von dem Benutzer, der der Monero-Verkäufer in einem bestimmten Geschäft ist, und der Verkäufer sendet das Monero an den Käufer, wenn der Verkäufer bestätigt, dass er die Zahlung vom Käufer erhalten hat, woraufhin die Schlichtungsbürgschaft an den Verkäufer zurückgegeben wird. $appName kann auch eingreifen, um bei eventuell auftretenden Streitigkeiten zu schlichten.';
  }

  @override
  String about250Sbblock8722Sb18722Sbtext57Sbagoradesk(Object appName) {
    return 'Unser Ziel bei $appName ist es, eine sichere und einfach zu bedienende Peer-zu-Peer-Plattform einzurichten, die es jedem ermöglicht, seine lokale Währung überall gegen Kryptowährung zu tauschen. Unsere Benutzer veröffentlichen Anzeigen, in denen sie ihre bevorzugte Zahlungsmethode angeben (z. B. Banküberweisung, Bargeld, Online-Zahlungsprozessor wie PayPal, Geschenkkarten usw.), andere Benutzer antworten auf diese Anzeigen, $appName nimmt eine Schlichtungsbürgschaft in Höhe des Handelsbetrags vom Benutzer, der der Kryptowährungsverkäufer in einem bestimmten Geschäft ist, und der Verkäufer sendet die Kryptowährung an den Käufer, wenn der Verkäufer bestätigt, dass er die Zahlung vom Käufer erhalten hat, woraufhin die Schlichtungsbürgschaft an den Verkäufer zurückgegeben wird. $appName kann auch eingreifen, um bei eventuellen Streitigkeiten zu schlichten.';
  }

  @override
  String get about250Sbblock8722Sb18722Sbtitle => 'Unsere Aufgabe';

  @override
  String about250Sbblock8722Sb28722Sbtext(Object appName) {
    return 'Auf $appName handeln Sie mit echten Menschen. Im Gegensatz zu zentralisierten Kryptowährungsbörsen handeln Sie direkt mit einer anderen Person. Das macht den Prozess schlank und schnell, da kein unternehmensinterner Overhead anfällt. Sie erhalten Ihr Monero sofort. Außerdem kann $appName jede Zahlungsmethode unterstützen, die seine Benutzergemeinschaft unterstützt, sodass Benutzer ohne Zugang zum traditionellen Banking auch Monero kaufen oder verkaufen können. Für jede Transaktion verlangt $appName vom Verkäufer, eine Schlichtungsbürgschaft zu hinterlegen, um den Monero-Käufer zu schützen.';
  }

  @override
  String about250Sbblock8722Sb28722Sbtext57Sbagoradesk(Object appName) {
    return 'Auf $appName handeln Sie mit echten Menschen. Im Gegensatz zu zentralisierten Kryptowährungsbörsen handeln Sie direkt mit einer anderen Person. Das macht den Prozess schlank und schnell, da kein unternehmensinterner Overhead anfällt. Sie erhalten Ihre Kryptowährung sofort. Außerdem kann $appName jede Zahlungsmethode unterstützen, die seine Benutzergemeinschaft unterstützt, sodass Benutzer ohne Zugang zum traditionellen Banking auch mit Kryptowährung handeln können. Für jede Transaktion verlangt $appName vom Verkäufer, eine Schlichtungsbürgschaft zu hinterlegen, um den Käufer der Kryptowährung zu schützen.';
  }

  @override
  String get about250Sbblock8722Sb28722Sbtitle => 'Wie wir anders sind';

  @override
  String get about250Sbcontact8722Sbbtn => 'Kontaktiere uns';

  @override
  String get about250Sbtitle => 'Über uns';

  @override
  String get ad8722Sblisting8722Sbtable250Sbbuy8722Sbbtn => 'Kaufen';

  @override
  String get ad8722Sblisting8722Sbtable250Sbbuyer => 'Käufer';

  @override
  String get ad8722Sblisting8722Sbtable250Sbdistance => 'Distanz';

  @override
  String get ad8722Sblisting8722Sbtable250Sblimits => 'Limit';

  @override
  String get ad8722Sblisting8722Sbtable250Sblocation => 'Ort';

  @override
  String get ad8722Sblisting8722Sbtable250Sbmethod => 'Zahlungsmethode';

  @override
  String ad8722Sblisting8722Sbtable250Sbprice(Object assetSymbol) {
    return 'Preis/$assetSymbol';
  }

  @override
  String get ad8722Sblisting8722Sbtable250Sbsell8722Sbbtn => 'Verkaufen';

  @override
  String get ad8722Sblisting8722Sbtable250Sbseller => 'Verkäufer';

  @override
  String get ad8722Sblisting8722Sbtable250Sbshow8722Sbmore => 'Zeige mehr...';

  @override
  String ad8722Sblisting8722Sbtable250Sbshow8722Sbmore8722Sbby8722Sbuser(Object user) {
    return 'Weitere Anzeigen dieses Typs von $user anzeigen...';
  }

  @override
  String ad8722Sblisting8722Sbtable250Sbshow8722Sbmore250Sball8722Sbin8722Sbcountry8722Sbor8722Sbcurrency(Object countryOrcurrency) {
    return 'Alles in $countryOrcurrency';
  }

  @override
  String ad8722Sblisting8722Sbtable250Sbsimilar8722Sbads8722Sbtoggle8722Sblabel250Sbhide(Object username) {
    return 'Ähnliche Anzeigen von $username ausblenden';
  }

  @override
  String ad8722Sblisting8722Sbtable250Sbsimilar8722Sbads8722Sbtoggle8722Sblabel250Sbshow(Object numberOfSimilarAds, Object username) {
    return 'Zeige $numberOfSimilarAds weitere ähnliche Anzeigen von $username';
  }

  @override
  String get ad8722Sbpage250Sbcant8722Sbsend8722Sbtrade8722Sbrequest => 'Für diese Anzeige kann derzeit kein Handel angefordert werden';

  @override
  String get ad8722Sbpage250Sbedit8722Sbad8722Sbbtn => 'Anzeige bearbeiten';

  @override
  String get ad8722Sbpage250Sberror250Sbtitle => 'Fehler bei der Handelsanfrage';

  @override
  String ad8722Sbpage250Sbfirst8722Sbtime8722Sblimit8722Sbtip(Object firstTimelimitxmr) {
    return 'Dieser Händler erlaubt maximal $firstTimelimitxmr für den ersten Handel mit ihm.';
  }

  @override
  String ad8722Sbpage250Sbfluctuations8722Sbtip(Object assetSymbol) {
    return 'Bitte beachten Sie, dass der tatsächliche $assetSymbol-Betrag des Handels aufgrund von Preis- und Wechselkursschwankungen leicht von dem aktuell angezeigten Betrag abweichen kann.';
  }

  @override
  String ad8722Sbpage250Sbfor8722Sbtrusted(Object username) {
    return 'Nur für Benutzer, denen $username vertraut';
  }

  @override
  String ad8722Sbpage250Sbheading8722Sblocal8722Sbbuy(Object assetName, Object location, Object user, Object currency) {
    return 'Verkaufe $assetName für Bargeld in $location an $user mit $currency';
  }

  @override
  String ad8722Sbpage250Sbheading8722Sblocal8722Sbsell(Object assetName, Object location, Object user, Object currency) {
    return 'Kaufen Sie $assetName mit Bargeld in $location von $user mit $currency';
  }

  @override
  String ad8722Sbpage250Sbheading8722Sbonline8722Sbbuy(Object assetName, Object paymentMethod, Object detail, Object currency) {
    return 'Verkaufe $assetName mit $paymentMethod${detail} mit $currency';
  }

  @override
  String ad8722Sbpage250Sbheading8722Sbonline8722Sbsell(Object assetName, Object paymentMethod, Object detail, Object currency) {
    return 'Kaufen Sie $assetName mit $paymentMethod${detail} mit $currency';
  }

  @override
  String ad8722Sbpage250Sbhidden8722Sbwarning8722Sb0(Object editAd) {
    return 'Die Sichtbarkeit dieser Anzeige wurde auf Ausgeblendet gesetzt. Sie können dies auf der Seite $editAd ändern.';
  }

  @override
  String get ad8722Sbpage250Sbhidden8722Sbwarning8722Sb08722Sbedit8722Sbad => 'Anzeige bearbeiten';

  @override
  String get ad8722Sbpage250Sbhidden8722Sbwarning8722Sb1 => 'Diese Anzeige ist derzeit nicht aktiv. Bitte suchen Sie nach anderen Angeboten oder kommen Sie später wieder.';

  @override
  String get ad8722Sbpage250Sbhow8722Sbmuch8722Sbdo8722Sbyou8722Sbwish8722Sbto8722Sbbuy => 'Kaufen';

  @override
  String ad8722Sbpage250Sbhow8722Sbmuch8722Sbdo8722Sbyou8722Sbwish8722Sbto8722Sbbuy57Sbsell(Object buyOrsell) {
    return 'Wie viel möchten Sie $buyOrsell?';
  }

  @override
  String get ad8722Sbpage250Sbhow8722Sbmuch8722Sbdo8722Sbyou8722Sbwish8722Sbto8722Sbsell => 'verkaufen';

  @override
  String get ad8722Sbpage250Sbinfo250Sbpayment8722Sbwindow => 'Zahlungsfenster';

  @override
  String get ad8722Sbpage250Sbinfo250Sbtrade8722Sblimits => 'Handelslimits';

  @override
  String get ad8722Sbpage250Sbinfo250Sbuser => 'Benutzer';

  @override
  String ad8722Sbpage250Sblimit8722Sbto8722Sbamounts(Object amounts, Object currency) {
    return 'Dieser Händler hat die möglichen Handelsbeträge auf $amounts $currency begrenzt';
  }

  @override
  String ad8722Sbpage250Sbmin8722Sbamount8722Sbtip(Object minimumAmount) {
    return 'Sie müssen mit dieser Anzeige mindestens $minimumAmount eintauschen.';
  }

  @override
  String ad8722Sbpage250Sbmin8722Sbfeedback8722Sbtip(Object minimumFeedbackscore) {
    return 'Dieser Händler benötigt mindestens $minimumFeedbackscore Feedback-Punktzahl, um handeln zu können.';
  }

  @override
  String get ad8722Sbpage250Sbreport8722Sbad => 'Melden Sie diese Anzeige, indem Sie ein Ticket eröffnen';

  @override
  String ad8722Sbpage250Sbrequest8722Sbtrade250Sbmin8722Sbrequired8722Sbbalance(Object amount, Object appName) {
    return 'Sie müssen $amount in Ihrem $appName Schiedsbündnis-Wallet haben, um die 1 %ige Schiedsgerichtsschutzgebühr für diesen Handel zu decken.';
  }

  @override
  String get ad8722Sbpage250Sbrequest8722Sbtrade250Sbprice8722Sbchanged250Sbaccept8722Sbprice => 'Akzeptieren Sie den Preis und fahren Sie fort';

  @override
  String get ad8722Sbpage250Sbrequest8722Sbtrade250Sbprice8722Sbchanged250Sbnew8722Sbamount => 'Neuer Handelsbetrag';

  @override
  String get ad8722Sbpage250Sbrequest8722Sbtrade250Sbprice8722Sbchanged250Sbnew8722Sbprice => 'Neuer Preis';

  @override
  String get ad8722Sbpage250Sbrequest8722Sbtrade250Sbprice8722Sbchanged250Sbold8722Sbprice => 'Alter Preis';

  @override
  String get ad8722Sbpage250Sbrequest8722Sbtrade250Sbprice8722Sbchanged250Sbselect8722Sbadjustment => 'Passen Sie den Handelsbetrag für an';

  @override
  String get ad8722Sbpage250Sbrequest8722Sbtrade250Sbprice8722Sbchanged250Sbtitle => 'Der Preis hat sich geändert';

  @override
  String get ad8722Sbpage250Sbselect8722Sbamount => 'Betrag auswählen...';

  @override
  String get ad8722Sbpage250Sbsend8722Sbtrade8722Sbrequest8722Sbbtn => 'Handelsanfrage senden';

  @override
  String get ad8722Sbpage250Sbshow8722Sbon8722Sbmap => 'Auf der Karte anzeigen';

  @override
  String get ad8722Sbpage250Sbsign8722Sbup8722Sbbtn => 'Melden Sie sich an, um mit dem Handel zu beginnen';

  @override
  String get ad8722Sbpage250Sbterms8722Sbdialog250Sbagree8722Sbbtn => 'Stimmen Sie den Bedingungen zu und beginnen Sie mit dem Handel';

  @override
  String get ad8722Sbpage250Sbterms8722Sbdialog250Sbsubtitle => 'Stimmen Sie den Bedingungen dieses Händlers zu?';

  @override
  String get ad8722Sbpage250Sbterms8722Sbdialog250Sbtitle => 'Lesen Sie die Bedingungen';

  @override
  String ad8722Sbpage250Sbterms8722Sbof8722Sbtrade(Object username) {
    return 'Handelsbedingungen mit $username';
  }

  @override
  String get ad8722Sbpage250Sbtips => 'Tipps';

  @override
  String get ad8722Sbpage250Sbtips8722Sbtext8722Sb0 => 'Lesen Sie die Anzeige und überprüfen Sie die Bedingungen.';

  @override
  String get ad8722Sbpage250Sbtips8722Sbtext8722Sb1 => 'Schlagen Sie einen Treffpunkt und eine Kontaktzeit vor, wenn physisches Bargeld gehandelt wird.';

  @override
  String get ad8722Sbpage250Sbtips8722Sbtext8722Sb2 => 'Achten Sie auf Betrüger! Überprüfen Sie das Profil-Feedback und seien Sie bei kürzlich erstellten Konten besonders vorsichtig.';

  @override
  String ad8722Sbpage250Sbtips8722Sbtext8722Sb3(Object assetName) {
    return 'Beachten Sie, dass Rundungen und Preisschwankungen den endgültigen $assetName-Betrag ändern können. Der $assetName-Betrag wird basierend auf dem von Ihnen eingegebenen Handelswährungsbetrag berechnet.';
  }

  @override
  String get ad250Sbconfirmation250Sbaccept8722Sbterms8722Sbbtn => 'Bedingungen akzeptieren';

  @override
  String ad250Sbconfirmation250Sbprovide8722Sbaddress(Object asset) {
    return 'Geben Sie die Wallet-Adresse der Abrechnung $asset an';
  }

  @override
  String ad250Sbconfirmation250Sbprovide8722Sbaddress250Sbsubtitile(Object asset) {
    return 'Die Adresse wird verwendet, um das von Ihnen gekaufte $asset zu erhalten. Achte darauf, dass die Adresse stimmt und du Zugriff auf das Wallet hast, sonst können die Coins unwiederbringlich verloren gehen.';
  }

  @override
  String get ad250Sbconfirmation250Sbprovide8722Sbaddress250Sbyou8722Sbown => 'Mit Beginn des Handels bestätigen Sie, dass die empfangende Brieftasche Ihnen gehört';

  @override
  String get ad250Sbdeleted => 'Diese Anzeige wurde gelöscht';

  @override
  String ad250Sbhomepage8722Sblisting250Sblocal8722Sbbuy8722Sbheading(Object assetName, Object country) {
    return 'Verkaufe $assetName für Bargeld in $country';
  }

  @override
  String ad250Sbhomepage8722Sblisting250Sblocal8722Sbsell8722Sbheading(Object assetName, Object country) {
    return 'Kaufen Sie $assetName mit Bargeld in $country';
  }

  @override
  String ad250Sbhomepage8722Sblisting250Sbonline8722Sbbuy8722Sbheading(Object assetName, Object country) {
    return 'Verkaufe $assetName online in $country';
  }

  @override
  String ad250Sbhomepage8722Sblisting250Sbonline8722Sbsell8722Sbheading(Object assetName, Object country) {
    return 'Kaufen Sie $assetName online in $country';
  }

  @override
  String ad250Sblinks250Sbsubtitle(Object appName, Object assetName) {
    return 'Haben Sie das gesuchte Angebot nicht gefunden? Diese $appName-Listings haben weitere $assetName-Handelsangebote, die diesem ähnlich sind:';
  }

  @override
  String get ad250Sblinks250Sbtitle => 'Einträge mit dieser Anzeige';

  @override
  String get ad250Sblisting250Sbinsufficient8722Sbbalance => 'Händler hat unzureichendes Guthaben';

  @override
  String get ad250Sbno8722Sbmax8722Sbamount => 'jeder Betrag ';

  @override
  String get ad250Sbno8722Sbmin8722Sbamount => 'Bis zu ';

  @override
  String get ad250Sbno8722Sbterms => 'Keine Handelsbedingungen angegeben. ';

  @override
  String ad250Sbnotice250Sbprotected(Object link) {
    return 'Dieser Handel ist durch ein $link geschützt';
  }

  @override
  String get ad250Sbnotice250Sbprotected250Sblink => 'Schiedsbürgschaft';

  @override
  String get ad250Sbself8722Sbvacation8722Sbnotice => 'Diese Anzeige ist nicht öffentlich sichtbar, da Sie derzeit im Urlaub sind. Sie können dies in den Einstellungen oder auf dem Dashboard ändern.';

  @override
  String get ad250Sbverified8722Sbemail => 'Ihre E-Mail muss verifiziert werden, um einen Handel mit dieser Anzeige zu eröffnen';

  @override
  String address8722Sbinput250Sbbuyer8722Sbsettlement8722Sbaddress250Sblabel(Object asset) {
    return 'Settlement $asset Wallet-Adresse';
  }

  @override
  String get affiliate250Sbbanner250Sbcode => 'Bannercode:';

  @override
  String affiliate250Sbbanner250Sbtext(Object appName, Object linebreak, Object iframe) {
    return 'Banner bewerben $appName bei Ihrem Partner. Sie können Ihren Blogs und Websites HTML-Banner hinzufügen. $linebreak  $iframe Banner für Ihre Anzeige (Größe 234 x 60 Pixel, halbe Bannereinheit):';
  }

  @override
  String get affiliate250Sbbanner250Sbtitle => 'Banner';

  @override
  String get affiliate250Sbenable8722Sbbtn => 'Partnerprogramm aktivieren';

  @override
  String affiliate250Sbenabled(Object refCode, Object appName) {
    return 'Ihr Affiliate-Programm ist aktiviert und Sie können Provisionen verdienen, indem Sie Ihr Affiliate-Tag $refCode zu einer beliebigen $appName-URL hinzufügen.';
  }

  @override
  String affiliate250Sbexample250Sbtext(Object assetName, Object appName, Object assetSymbol, Object linebreak, Object support) {
    return 'Sie erhalten zwei Benutzer, Käufer und Verkäufer von $assetName, die auf $appName registriert sind, und sie führen einen Handel im Wert von 100 $assetSymbol durch. Sie verdienen 20 % Provision auf die $appName-Handelsgebühren von beiden Teilnehmern, insgesamt 40 % der $appName-Gebühr. Ihre verdiente Summe beträgt 0,4 $assetSymbol. Nur abgeschlossene Verkäufe, die unseren Transaktionsprozess durchlaufen, sind von Bedeutung. Auszahlungen erfolgen täglich. $linebreak  $appName $support hilft Ihnen gerne bei Fragen weiter.';
  }

  @override
  String get affiliate250Sbexample250Sbtext8722Sbsupport => 'Unterstützung';

  @override
  String get affiliate250Sbexample250Sbtitle => 'Beispiel Kommission';

  @override
  String get affiliate250Sbinstructions8722Sb0 => 'Die Zugehörigkeit wird registriert, wenn sich ein Benutzer anmeldet, nachdem er über einen Link mit Ihrem Empfehlungscode auf der Website gelandet ist.';

  @override
  String get affiliate250Sbinstructions8722Sblink8722Sbtype8722Sbregular8722Sbsubtitle => 'Regulär:';

  @override
  String affiliate250Sbinstructions8722Sbtext(Object appName) {
    return 'Sie können jeden der $appName-Links verwenden, zum Beispiel:';
  }

  @override
  String get affiliate250Sbinstructions8722Sbtitle => 'Beispiellinks';

  @override
  String affiliate250Sblogged8722Sbout(Object signUp, Object logIn) {
    return 'Sie können das Partnerprogramm nach dem $signUp oder $logIn aktivieren.';
  }

  @override
  String get affiliate250Sblogged8722Sbout8722Sblog8722Sbin => 'Einloggen';

  @override
  String get affiliate250Sblogged8722Sbout8722Sbsign8722Sbup => 'Registrieren';

  @override
  String get affiliate250Sbpayouts250Sbnone => 'Noch keine Auszahlungen';

  @override
  String get affiliate250Sbpayouts250Sbtable250Sbdate => 'Datum';

  @override
  String get affiliate250Sbpayouts250Sbtable250Sbdescription => 'Beschreibung';

  @override
  String get affiliate250Sbpayouts250Sbtable250Sbdescription8722Sbtext => 'Provisionsauszahlung des Partnerprogramms';

  @override
  String get affiliate250Sbpayouts250Sbtable250Sbreceived => 'Erhalten ';

  @override
  String get affiliate250Sbpayouts250Sbtitle => 'Auszahlungen';

  @override
  String affiliate250Sbref8722Sbcode(Object refCode) {
    return 'Ihr Empfehlungscode lautet: $refCode';
  }

  @override
  String affiliate250Sbterms250Sbtext(Object appName, Object assetName) {
    return '• Auf $appName können Sie auf jede einzelne Seite verlinken, z. B. eine Länderliste oder eine Liste mit Zahlungsmethoden oder irgendetwas anderes. <br/>• Sie verdienen $assetName von den Benutzern, die über Ihren Affiliate-Link auf die Website gelangen, registrieren Sie sich und tätigen Sie Trades. <br/>• Auszahlungen erfolgen täglich als $assetName auf Ihr $appName-Wallet. <br/>• Provisionen werden für ein Jahr ab Registrierung des Benutzers gezahlt. Die Provision basiert auf den Einnahmen, die der neue Benutzer für $appName (Handelsgebühren) erzielt. <br/>• Wenn Sie aktive Coupons haben, werden Ihre gesamten Coupon-Rabatte für einen bestimmten Zeitraum von Ihren Affiliate-Einnahmen für denselben bestimmten Zeitraum abgezogen. Wenn Ihr gesamter Rabattbetrag für einen bestimmten Zeitraum größer oder gleich den Affiliate-Einnahmen für denselben bestimmten Zeitraum ist, erhalten Sie für diesen bestimmten Zeitraum keine Affiliate-Einnahmen. <br/>• Jegliches Foulspiel, wie etwa irreführende Werbung, ist verboten. <br/>• Spamming ist verboten. Spamming umfasst das Versenden von nicht abonnierten privaten oder öffentlichen Nachrichten in Foren/reddit, nicht abonnierte Massen-E-Mails usw. <br/>• Das Hinzufügen von versteckten Iframes auf einer Website, um Affiliates zu erfassen, ist verboten. Nur Affiliate-iFrames oder direkte Links zur Webseite sind erlaubt. <br/>• $appName hat das Recht, jeden Affiliate-Benutzer jederzeit zu deaktivieren. Wenn Sie gegen die Bedingungen verstoßen, wird Ihr Partnerprogramm beendet.';
  }

  @override
  String affiliate250Sbterms250Sbtext57Sbagoradesk(Object appName) {
    return '• Auf $appName können Sie auf jede einzelne Seite verlinken, z. B. eine Länderliste oder eine Liste mit Zahlungsmethoden oder irgendetwas anderes. <br/>• Sie verdienen Kryptowährung von den Benutzern, die über Ihre Affiliate-Link-Registrierung auf die Website gelangen und Trades tätigen. <br/>• Auszahlungen erfolgen täglich in den relevanten Kryptowährungen auf Ihr $appName-Wallet. <br/>• Provisionen werden für ein Jahr ab Registrierung des Benutzers gezahlt. Die Provision basiert auf den Einnahmen, die der neue Benutzer für $appName (Handelsgebühren) erzielt. <br/>• Jegliches Foulspiel, wie etwa irreführende Werbung, ist verboten. <br/>• Spamming ist verboten. Spamming umfasst das Versenden von nicht abonnierten privaten oder öffentlichen Nachrichten in Foren/reddit, nicht abonnierte Massen-E-Mails usw. <br/> • Das Hinzufügen versteckter Iframes auf einer Website, um Affiliates zu erfassen, ist verboten. Nur Affiliate-iFrames oder direkte Links zur Webseite sind erlaubt. <br/>• $appName hat das Recht, jeden Affiliate-Benutzer jederzeit zu deaktivieren. Wenn Sie gegen die Bedingungen verstoßen, wird Ihr Partnerprogramm beendet.';
  }

  @override
  String get affiliate250Sbterms250Sbtitle => 'Bedingungen des Partnerprogramms';

  @override
  String get affiliate250Sbtitle => 'Partnerprogramm';

  @override
  String affiliate250Sbusers250Sbtext(Object number) {
    return 'Sie sind derzeit als Partner für $number-Benutzer registriert und erhalten Provisionen aus allen von diesen getätigten Trades.';
  }

  @override
  String get affiliate250Sbusers250Sbtitle => 'Benutzer';

  @override
  String get agoradesk250Sbad8722Sbpage250Sbhow8722Sbmuch8722Sbnotional8722Sbamount250Sbor => 'oder';

  @override
  String get agoradesk250Sbasset8722Sbfilter8722Sbtoggle250Sbads250Sball => 'ZEIGE ALLE ANZEIGEN';

  @override
  String agoradesk250Sbasset8722Sbfilter8722Sbtoggle250Sbads250Sbcoin(Object assetSymbol) {
    return 'NUR $assetSymbol ANZEIGEN';
  }

  @override
  String get agoradesk250Sbasset8722Sbfilter8722Sbtoggle250Sball => 'ZEIGE ALLES';

  @override
  String agoradesk250Sbasset8722Sbfilter8722Sbtoggle250Sbcoin(Object assetSymbol) {
    return 'NUR $assetSymbol';
  }

  @override
  String get agoradesk250Sbasset250Sblabel => 'Kryptowährungs-Asset';

  @override
  String get agoradesk250Sbguide250Sbad8722Sbpage250Sbbuy => 'kaufen';

  @override
  String get agoradesk250Sbguide250Sbad8722Sbpage250Sbbuyer => 'Käufer';

  @override
  String agoradesk250Sbguide250Sbad8722Sbpage250Sbgeneral(Object buy_or_sell_button_name) {
    return 'Nachdem Sie auf die Schaltfläche „$buy_or_sell_button_name“ geklickt haben, sehen Sie weitere Informationen über die Anzeige, einschließlich der Handelsbedingungen. Lesen Sie sie durch, bevor Sie die Handelsanfrage einreichen. Wenn Sie damit nicht einverstanden sind, können Sie zur vorherigen Seite zurückkehren und eine andere Anzeige auswählen.';
  }

  @override
  String agoradesk250Sbguide250Sbad8722Sbpage250Sbgeneral250Sbhow8722Sbto8722Sbstart(Object asset, Object buy_or_sell) {
    return 'Um den Handel zu beginnen, geben Sie ein, wie viel $asset Sie $buy_or_sell möchten, und klicken Sie auf die Schaltfläche „Handelsanfrage senden“, um den Handel zu starten.';
  }

  @override
  String get agoradesk250Sbguide250Sbad8722Sbpage250Sbsell => 'verkaufen';

  @override
  String get agoradesk250Sbguide250Sbad8722Sbpage250Sbseller => 'Verkäufer';

  @override
  String get agoradesk250Sbguide250Sbbtc8722Sbas8722Sban8722Sbexample => 'Für die Zwecke dieses Leitfadens verwenden wir BTC als Basiswährung, aber die gleichen Regeln gelten für XMR.';

  @override
  String get agoradesk250Sbguide250Sbsearch250Sball8722Sbmethods8722Sbbuyer => 'Wenn Sie sich nicht sicher sind, wie Sie bezahlen möchten, wählen Sie als Zahlungsmethode „Alle Online-Angebote“.';

  @override
  String get agoradesk250Sbguide250Sbsearch250Sball8722Sbmethods8722Sbseller => 'Wenn Sie sich nicht sicher sind, wie Sie bezahlt werden möchten, wählen Sie als Zahlungsmethode „Alle Online-Angebote“.';

  @override
  String get agoradesk250Sbguide250Sbsearch250Sbbuy8722Sbtab8722Sbname => 'Kaufen';

  @override
  String agoradesk250Sbguide250Sbsearch250Sbchoose8722Sbad8722Sbtype(Object buy_or_sell_tab_name) {
    return 'In der linken Spalte sollten Sie dann den Reiter \'$buy_or_sell_tab_name\' auswählen. Wenn Sie das Land, die Währung, die Zahlungsmethode ändern oder den erforderlichen Betrag angeben möchten, klicken Sie auf die Schaltfläche „Suchmenü anzeigen“, wählen Sie die gewünschten Parameter aus und drücken Sie die Suchschaltfläche.';
  }

  @override
  String get agoradesk250Sbguide250Sbsearch250Sbchoose8722Sbasset => 'Wählen Sie dann die Kryptowährung aus, die Sie handeln möchten, indem Sie auf die entsprechende Registerkarte in der Zeile über der Anzeigentabelle klicken. Für dieses Beispiel wählen wir BTC.';

  @override
  String get agoradesk250Sbguide250Sbsearch250Sbmain8722Sbpage => 'Gehen Sie zur Startseite.';

  @override
  String get agoradesk250Sbguide250Sbsearch250Sbsearch8722Sbresults => 'Die Seite listet Händler auf, die in Ihrer Region verfügbar sind.';

  @override
  String get agoradesk250Sbguide250Sbsearch250Sbsell8722Sbtab8722Sbname => 'Verkaufen';

  @override
  String get agoradesk250Sbindex250Sbad8722Sbselectors250Sbbuy => 'Kaufen';

  @override
  String get agoradesk250Sbindex250Sbad8722Sbselectors250Sbcoins => 'Coins handeln';

  @override
  String get agoradesk250Sbindex250Sbad8722Sbselectors250Sbsell => 'Verkaufen';

  @override
  String get agoradesk250Sbindex250Sbads8722Sbtable250Sbitm8722Sbotm8722Sbseparator250Sbcurrent8722Sbmarket8722Sbprice => 'Marktpreis';

  @override
  String get agoradesk250Sbindex250Sbads8722Sbtable250Sbload8722Sbmor250Sbbutton => 'Mehr laden...';

  @override
  String get agoradesk250Sbindex250Sbads8722Sbtable250Sbload8722Sbmore250Sbloading => 'Bitte warten';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbcta => 'Melden Sie sich kostenlos an, um jetzt mit dem Handel von Bitcoin zu beginnen';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbdisputes250Sbcontent => 'Unsere Schiedsstandards sind sehr hoch, da<strong> wir keine Screenshots oder andere leicht zu fälschende Dokumente als Beweismittel in Streitfällen akzeptieren</strong>. Aus diesem Grund können wir eine große Anzahl von Betrügern davon abhalten, auf unserer Plattform zu plündern. Wir reagieren schnell auf Benutzermeldungen und geben Warnungen in Regionen heraus, in denen es plötzliche Spitzen von Betrügeraktivitäten gibt.';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbdisputes250Sbtitle => 'Betrugsprävention';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb0 => 'Kein KYC/AML und Verifizierung';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb1 => 'Jede Währung, jede Zahlungsmethode, überall';

  @override
  String agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb10(Object nojs) {
    return '$nojs (lädt standardmäßig beim Zugriff von Tor oder I2P)';
  }

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb108722Sb1 => 'No-JavaScript-Version der Website';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb11 => 'Voll funktionsfähig, wenn Google blockiert ist';

  @override
  String agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb12(Object affiliate) {
    return '$affiliate - Verdienen Sie eine Provision für das Einladen von Handelsbenutzern';
  }

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb128722Sb1 => 'Partnerprogramm';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb13 => 'Mehrsprachig: Wir unterstützen Englisch, Russisch, Chinesisch (sowohl vereinfacht als auch traditionell), Italienisch, Portugiesisch und Spanisch';

  @override
  String agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb14(Object telegram) {
    return 'Mobile Benachrichtigungen über $telegram, sodass Sie keine weitere App auf Ihrem Telefon installieren müssen, nur um Push-Benachrichtigungen über Ihre Trades zu erhalten (LocalBitcoins hat diese Funktion nach uns implementiert)';
  }

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb15 => 'Schöne Anzeigen durch die Verwendung von Markdown';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb16 => '2FA (mit TOTP-Apps wie Google Authenticator oder andOTP)';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb17 => 'Ziehen Sie andere Währungen als BTC ab ';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb18 => 'Komplizierte Preismechanismen durch die Verwendung von Preisformeln';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb19 => 'und mehr...';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb2 => 'Online-Bitcoin-Handel';

  @override
  String agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb20(Object api) {
    return 'Voll funktionsfähiges $api nach dem Vorbild der LocalBitcoins-API für einen einfachen Übergang';
  }

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb208722Sb1 => 'API';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb3 => 'Offline Bitcoin-Handel mit Bargeld von Angesicht zu Angesicht';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb4 => 'Vollständiger Schutz durch Schiedsgerichtsbarkeit für alle Online-Trades';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb5 => 'Keine Einzahlungsgebühren, faire Auszahlungsgebühren';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb6 => 'Schnelle und reaktionsschnelle Unterstützung';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb7 => 'Keine E-Mail während der Registrierung';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb8 => 'Onion-Portal';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb9 => 'I2P-Portal';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfeatures250Sbtitle => 'Zu den Funktionen von AgoraDesk gehören:';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfees250Sbcontent => '<i>Im Gegensatz zu</i> LocalBitcoins erheben wir jedoch keine exorbitanten Gebühren, wenn Sie Bitcoins in/aus unserer Wallet für Schiedsbürgschaften einzahlen oder abheben. Es gibt <strong> keine Einzahlungsgebühr und die Auszahlungsgebühr liegt sehr nahe an der Gebühr, die Sie für eine normale Transaktion zahlen würden</strong>. Für Überweisungen auf die Wallets anderer AgoraDesk-Benutzer fallen keinerlei Gebühren an.';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfees250Sbtitle => 'Faire Gebühren';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbhtml8722Sbdescription => 'Suchen Sie nach einem LocalBitcoins-Analogon, um Bitcoins Peer-to-Peer ohne KYC/AML oder Verifizierung zu handeln? AgoraDesk ist eine neue P2P-Plattform für den Handel mit Bitcoin, die vom Team hinter LocalMonero, Moneros Äquivalent zu LocalBitcoins, entwickelt wurde. Wir bieten das gleiche schnelle und einfache Bitcoin-Handelserlebnis, das LocalBitcoins früher bot, und mehr.';

  @override
  String agoradesk250Sblbc8722Sbalternative250Sbintroduction(Object lbc, Object lm) {
    return 'Suchen Sie nach einem $lbc-Analogon, um Bitcoins Peer-to-Peer ohne KYC/AML oder Verifizierung zu handeln? AgoraDesk ist eine neue P2P-Plattform für den Handel mit Bitcoin, die von dem Team hinter $lm, Moneros Äquivalent zu LocalBitcoins, entwickelt wurde.';
  }

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbno8722Sbkyc250Sbcontent => 'AgoraDesk ist bestrebt, die Einfachheit und Geradlinigkeit beizubehalten, die die ursprünglichen LocalBitcoins so beliebt gemacht haben. <strong> Wir setzen KYC/AML nicht ein und planen dies auch nie</strong>. Wir sind der festen Überzeugung, dass das Konzept von KYC/AML der Idee eines Peer-to-Peer-Over-the-Counter-Austauschs wie unserem eigenen völlig widerspricht, und zwar so lange, bis es auf dem <i>Planeten Erde keine legalen Wege mehr gibt </i> Um die Implementierung von KYC/AML zu vermeiden, werden wir alles tun, was wir rechtlich können, um Ihnen ein problemloses Erlebnis zu bieten.';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbno8722Sbkyc250Sbtitle => 'Kein KYC/AML';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbnojs250Sbcontent => ' Da AgoraDesk von einem Team mit einem Hintergrund in der datenschutzorientierten Monero-Community entwickelt wurde, erbt AgoraDesk die gleiche datenschutzorientierte Ausrichtung wie LocalMonero. Ein Nutzer, der Google-Dienste vollständig blockiert, kann unsere Plattform problemlos nutzen. <strong> Unsere Plattform ist sogar ohne JavaScript voll funktionsfähig</strong>, was ein Sicherheits- und Datenschutzniveau gewährleistet, das auf anderen Plattformen <i>niemals</i> erreichbar sein wird, die JavaScript zum Betrieb erfordern.';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbnojs250Sbtitle => 'Funktioniert ohne JavaScript';

  @override
  String agoradesk250Sblbc8722Sbalternative250Sbprivacy250Sbcontent(Object tor_link, Object advanced_routing, Object i2p_link, Object dont_ask_email) {
    return 'Unsere Website ist über unseren $tor_link (der durch die Verwendung von $advanced_routing auf maximale Leistung für Ihren Komfort abgestimmt ist) und sogar über einen $i2p_link leicht zugänglich. Dies stellt nicht nur sicher, dass Sie Ihre wahre IP-Adresse vor uns verbergen können (die wir sowieso niemals mit Ihrem Konto in Verbindung bringen), sondern dass es andere Möglichkeiten für Sie gibt, auf sie zuzugreifen, wenn Sie aus irgendeinem Grund nicht mehr auf unsere normale Domain zugreifen können unser Service. Wir schätzen Ihre Privatsphäre sehr, $dont_ask_email.';
  }

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbprivacy250Sbcontent250Sbadvanced8722Sbrouting => 'Erweiterte Onion-Routing-Funktionen';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbprivacy250Sbcontent250Sbi2p8722Sblink => 'I2P-Portal';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbprivacy250Sbcontent250Sbno8722Sbemail => 'Bei der Registrierung müssen Sie nicht einmal eine E-Mail-Adresse angeben';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbprivacy250Sbcontent250Sbtor8722Sblink => 'Tor-Portal';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbprivacy250Sbtitle => 'Datenschutzorientiert, zensurresistent';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbsubtitle => 'Wir bieten das gleiche schnelle und einfache Bitcoin-Handelserlebnis, das LocalBitcoins früher bot, und mehr.';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbsupport250Sbcontent => 'Unser Support-Team ist schnell, reaktionsschnell und immer bemüht, Ihnen zu gefallen. <strong> Wir hatten noch nie ein Support-Ticket, das nicht innerhalb von 24 Stunden beantwortet wurde</strong>. Wir sind über Social Media immer gut erreichbar, hören uns Ihre Kritik aufmerksam an und setzen gute User-Vorschläge immer in Rekordzeit um.';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbsupport250Sbtitle => 'Hervorragender Support';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbtitle => 'LocalBitcoins-Alternative';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbtrading250Sbcontent => 'Genau wie LocalBitcoins unterstützen wir <strong> jede Zahlungsmethode, jede Währung, überall</strong>. Wir entfernen keine Zahlungsmethoden, und <i>im Gegensatz zu</i> LocalBitcoins unterstützen wir <strong>den persönlichen Bargeldhandel voll und ganz</strong>. Alle unsere Trades sind durch eine Schiedsbürgschaft geschützt. Dank der Tatsache, dass wir verlangen, dass Gelder in einer Schiedsbürgschaft gehalten werden, bevor ein Handel beginnen kann, stellen wir eine reibungslose und schnelle Erfahrung für den Käufer sicher, was für die Popularität der Plattform und Stammkunden für die Verkäufer unerlässlich ist.';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbtrading250Sbtitle => 'Sicherer und reibungsloser Handel';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbtrust250Sbcontent => 'LocalMonero ist seit über zwei Jahren in Betrieb, hat den großen Kryptowährungsmarktcrash von 2018 überstanden und wurde durch seinen <strong>gemeinschaftsorientierten, sorgfältigen Service</strong> zu einem der <strong>vertrauenswürdigsten</strong> Namen im <i>extrem skeptisch</i> Monero-Community.';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbtrust250Sbtitle => 'Von der Community vertraut';

  @override
  String get agoradesk250Sbleft8722Sbmenu250Sbtrade => 'Handeln';

  @override
  String get agoradesk250Sblink8722Sbfrom8722Sblocalmonero => 'BTC handeln';

  @override
  String get agoradesk250Sbpost8722Sbad250Sbtrade8722Sbtype250Sbnojs250Sblocal8722Sbbuy => 'Coins gegen Bargeld kaufen (lokal)';

  @override
  String get agoradesk250Sbpost8722Sbad250Sbtrade8722Sbtype250Sbnojs250Sblocal8722Sbsell => 'Coins gegen Bargeld verkaufen (lokal)';

  @override
  String get agoradesk250Sbpost8722Sbad250Sbtrade8722Sbtype250Sbnojs250Sbonline8722Sbbuy => 'Coins online kaufen';

  @override
  String get agoradesk250Sbpost8722Sbad250Sbtrade8722Sbtype250Sbnojs250Sbonline8722Sbsell => 'Coins online verkaufen';

  @override
  String agoradesk250Sbstart250Sbcoins(Object appName) {
    return '$appName Leitfäden für den Coin-Handel';
  }

  @override
  String get agoradesk250Sbtrade250Sbaction250Sberror8722Sbdialog250Sbcontent => 'Ihre Aktion hat einen Fehler verursacht, bitte laden Sie die Seite neu.';

  @override
  String agoradesk250Sbtrade250Sboption250Sbcall250Sbseller250Sbconfirm8722Sbpayment8722Sband8722Sbrelease(Object date) {
    return 'Der Käufer hat die Zahlung um $date als abgeschlossen markiert. Vergewissern Sie sich, dass Sie das Geld erhalten haben, und schließen Sie den Handel ab.';
  }

  @override
  String get agoradesk250Sbtrade250Sboption250Sbcall250Sbstep8722Sbfive250Sbbuyer250Sbtitle => 'Bezahlen Sie den Verkäufer';

  @override
  String get agoradesk250Sbtrade250Sboption250Sbcall250Sbstep8722Sbfive250Sbseller250Sbtitle => 'Warten auf die Zahlung des Käufers';

  @override
  String get agoradesk250Sbtrade250Sboption250Sbcall250Sbstep8722Sbsix250Sbseller250Sbtitle => 'Bestätige Zahlung';

  @override
  String get agoradesk250Sbtrade250Sboption250Sblast8722Sbstep250Sbtitle => 'Handel abgeschlossen';

  @override
  String get agoradesk250Sbtrade250Sboption250Sbpayer8722Sbcancel8722Sbnotice => 'Haben Sie einen Fehler gemacht oder möchten Sie einen anderen Händler ausprobieren? Wenn Sie das Geld bereits überwiesen haben und jetzt stornieren möchten, müssen Sie die Rückzahlung Ihrer Zahlung mit Ihrem Handelspartner selbst aushandeln. <strong> Stornieren Sie niemals, es sei denn, Sie sind sicher, dass Sie Ihr Geld zurückerhalten haben. </strong>';

  @override
  String get agoradesk250Sbtrade250Sboption250Sbpayment8722Sbreceiver8722Sbcancel8722Sbnotice => 'Schließen Sie niemals einen Handel ab, bis Sie sich zu 100 % sicher sind, dass Sie das Geld erhalten haben. Betrüger werden versuchen, <strong>Sie dazu zu bringen, vorzeitig abzuschließen</strong>.';

  @override
  String get agoradesk250Sbtrade250Sbstatus250Sbexercised250Sbcontent8722Sbbuyer => 'Käufer';

  @override
  String get agoradesk250Sbtrade250Sbstatus250Sbexercised250Sbcontent8722Sbseller => 'Verkäufer';

  @override
  String agoradesk250Sbwallet250Sbbtc250Sbsingle8722Sbuse8722Sbnotice(Object assetName) {
    return 'Diese Adresse ändert sich automatisch, nachdem sie verwendet wurde. Wenn Sie Ihr $assetName trotzdem an eine verwendete Einzahlungsadresse senden, wird es Ihrem Konto gutgeschrieben. Aus Datenschutzgründen zeigen wir keine verwendeten Einzahlungsadressen an. An diese Adresse darfst du Coins nur von einem Wallet senden, das du persönlich kontrollierst.';
  }

  @override
  String get and => 'und';

  @override
  String get api8722Sbdocs250Sblabel => 'API-Dokumente';

  @override
  String get api250Sbvalidation8722Sberror250Sbaddress => 'Ungültige Adresse!';

  @override
  String get appbar8722Sbbtn250Sblogin => 'Einloggen';

  @override
  String get appbar8722Sbbtn250Sbsignup => 'Melde dich kostenlos an';

  @override
  String get article250Sblast8722Sbupdated => 'Zuletzt aktualisiert';

  @override
  String get article250Sbpublished => 'Veröffentlicht';

  @override
  String get as8722Sbseen8722Sbon => 'Wie gesehen bei:';

  @override
  String get asset8722Sbprops250Sbname250Sbasset => 'Coin';

  @override
  String get asset8722Sbprops250Sbname250Sbbtc => 'Bitcoin';

  @override
  String get asset8722Sbprops250Sbname250Sbxmr => 'Monero';

  @override
  String breadcrumbs250Sblocal8722Sbbuy(Object asset, Object currencyCode) {
    return 'Verkaufe $asset für $currencyCode';
  }

  @override
  String breadcrumbs250Sblocal8722Sbsell(Object asset, Object currencyCode) {
    return 'Kaufen Sie $asset für $currencyCode';
  }

  @override
  String breadcrumbs250Sbonline8722Sbbuy(Object asset, Object currencyCode) {
    return 'Verkaufe $asset für $currencyCode';
  }

  @override
  String breadcrumbs250Sbonline8722Sbsell(Object asset, Object currencyCode) {
    return 'Kaufen Sie $asset für $currencyCode';
  }

  @override
  String get button250Sbaccept => 'Akzeptieren';

  @override
  String get buy8722Sbmonero8722Sbin8722Sbany8722Sbcountry => 'Beliebiges Land';

  @override
  String get buyer8722Sbsettlement8722Sbfee8722Sblevel250Sbcurrently => 'zur Zeit';

  @override
  String get buyer8722Sbsettlement8722Sbfee8722Sblevel250Sbdescription => '<strong> Wählen Sie eine Gebührenstufe, die während der Handelsabwicklung verwendet werden soll. </strong> Die hier gezeigten Werte sind die aktuellen Kursschätzungen und können von denen abweichen, die während der Handelsabwicklung angewendet wurden. Sollte der Handelsbetrag zu gering sein, um den Handel mit der ausgewählten Gebührenstufe abzurechnen, wird während der Abrechnung automatisch eine niedrigere Gebührenstufe ausgewählt.';

  @override
  String get buyer8722Sbsettlement8722Sbfee8722Sblevel250Sbtitle => 'Höhe der Abrechnungsgebühr';

  @override
  String get cancelled250Sbno8722Sbtrades => 'Sie haben noch keine Trades storniert';

  @override
  String get cancelled250Sbtitle => 'Ihre stornierten Trades';

  @override
  String get captcha250Sbhelper8722Sbtext => 'Geben Sie den Text auf dem Bild oben ein';

  @override
  String get chat250Sbattach => 'Eine Datei anhängen';

  @override
  String get chat250Sbattachment => 'Anhang';

  @override
  String get chat250Sbbtn => 'Nachricht senden';

  @override
  String get chat250Sbcash8722Sbdeposit8722Sbseller8722Sbwarning => '<strong>Warnung:</strong> Es gab Fälle, in denen Verkäufer einen Scheck hinterlegt bekamen, der später storniert wurde. Stellen Sie sicher, dass Sie jede erhaltene Einzahlung überprüfen (z. B. indem Sie die Bank anrufen)!';

  @override
  String get chat250Sbeu8722Sbfraud8722Sbwarning => 'In unserer europäischen Region scheint es derzeit eine Welle von Bankkontobetrug zu geben. <br /> Wir raten allen unseren Händlern in der europäischen Region, beim Umgang mit neuen Handelspartnern äußerste Vorsicht walten zu lassen, z. Benutzername und Datum). Denken Sie daran, dass Betrüger möglicherweise im Besitz von durchgesickerten oder gestohlenen KYC-Dokumenten sind. <br />';

  @override
  String chat250Sbinput8722Sbtip(Object appName) {
    return '<strong>Enter</strong> um eine neue Zeile zu beginnen, <strong>Alt+Enter</strong> um eine Nachricht zu senden. Maximal 65536 Zeichen. $appName verschlüsselt und speichert Chat-Nachrichten für 180 Tage zu Schlichtungszwecken.';
  }

  @override
  String chat250Sbinput8722Sbtip8722Sbshort(Object appName) {
    return '$appName verschlüsselt und speichert Chat-Nachrichten für 180 Tage zu Streitschlichtungszwecken.';
  }

  @override
  String get chat250Sbinput8722Sbtitle => 'Schreiben Sie eine Nachricht...';

  @override
  String get chat250Sbmitm8722Sbcryptocurency8722Sbwarning => 'Warnung: Holen Sie sich die Adresse des Verkäufers nur in diesem Handels-Chat oder aus dem Abschnitt mit den Zahlungsdetails auf dieser Handelsseite und senden Sie keine Zahlungstransaktions-IDs außerhalb dieses Handels-Chats! Wir empfehlen Ihnen außerdem, die gesamte Kommunikation in diesem Handels-Chat zu führen.';

  @override
  String get chat250Sbmitm8722Sbwarning250Sb0 => '⚠️ PSA: Es ist ein neuer Betrüger aktiv, der als Man-in-the-Middle agiert. Der Betrüger kontaktiert Sie außerhalb der Plattform und gibt vor, ein Verkäufer auf der Plattform zu sein, der Ihnen anbietet, XMR von ihm im Austausch gegen BTC zu einem reduzierten Preis zu kaufen (z. B. zahlen Sie BTC im Wert von 8 XMR, um 10 XMR zu kaufen). Gleichzeitig eröffnen sie einen Handel mit dem Verkäufer, den sie auf der Plattform imitieren, für den reduzierten Betrag.';

  @override
  String get chat250Sbmitm8722Sbwarning250Sb1 => '<p>Der Betrüger fordert den Käufer dann auf, den Handel mit dem vollen Betrag zu beginnen und den reduzierten Betrag zu zahlen, während er gleichzeitig die Empfangsadresse des Verkäufers in der Blockchain überwacht und nach der Transaktion des legitimen Käufers mit reduziertem Betrag Ausschau hält. Der Betrüger nimmt dann die txid des rechtmäßigen Käufers und stellt sie dem Verkäufer als Zahlungsnachweis zur Verfügung. Der Verkäufer gibt die Münzen an den Betrüger frei, da er zwei Trades offen hat, einen für den vollen Betrag vom legitimen Käufer und einen für den reduzierten Betrag vom Betrüger, in der Annahme, dass der Betrüger bezahlt hat, weil der Betrag seinem Handelsbetrag entspricht. </p>\n\n<p> <strong> FÜHREN SIE KEINEN HANDEL AUSSERHALB DER PLATTFORM DURCH. WENN JEMAND SIE VON DER PLATTFORM AUS NÄHERT, ERÖFFNEN SIE EINEN HANDEL MIT IHM AUF DER PLATTFORM UND ÜBERPRÜFEN SIE, DASS SIE SIND, WER SIE SAGEN ZU SEIN UND HALTEN SIE DIE GESAMTE KOMMUNIKATION DORT AUF. </strong> </p>\n\n<p> <strong> VERKÄUFER, DIE ZAHLUNGEN ÜBER TRANSPARENTE KRYPTO-KETTEN AKZEPTIEREN: STELLEN SIE SICHER, DASS SIE EINE ANGEMESSENE ZAHLUNGSUNTERSCHEIDUNG ZWISCHEN IHREN KUNDEN UND GESCHÄFTEN VORNEHMEN, UM ZU VERMEIDEN, DASS SIE IHNEN ZUM OPFER FALLEN. </strong> </p>\n\n<p> Verwenden Sie immer unterschiedliche Adressen für jeden Trade auf einer öffentlich durchsuchbaren Krypto wie BTC. </p>';

  @override
  String get chat250Sbno8722Sbmessages => 'Noch keine Nachrichten';

  @override
  String chat250Sbsecurity8722Sbwarning(Object appName) {
    return 'Öffnen Sie keine externen Links, die Sie im Chat erhalten, und laden Sie keine Dateien herunter, die Sie von anderen Benutzern extern erhalten haben. Verwenden Sie am besten einen separaten Browser für alle Ihre $appName-Aktivitäten.';
  }

  @override
  String get chat250Sbselect8722Sbfile => 'Datei aussuchen...';

  @override
  String get chat250Sbsend => 'Senden';

  @override
  String get chat250Sbshortcuts => 'Enter: neue Zeile, Alt+Enter: senden';

  @override
  String chat250Sbtitle(Object user) {
    return 'Nachricht an $user senden';
  }

  @override
  String get chat250Sbupload8722Sberror8722Sbdialog8722Sbtext => 'Angehängte Dateien müssen .jpg oder .png sein und dürfen maximal 5 MB groß sein.';

  @override
  String get chat250Sbupload8722Sberror8722Sbdialog8722Sbtitle => 'Fehler beim Hochladen';

  @override
  String get chat250Sbupload8722Sbfile => 'Hochladen';

  @override
  String get chat250Sbupload8722Sbtip => 'Akzeptierte Dateitypen: .jpg, .png. 5 MB maximal.';

  @override
  String get chat250Sbzoom8722Sbtip => 'Tipp: Drücken Sie dreimal auf die Nachricht, um sie zu vergrößern';

  @override
  String get completed250Sbno8722Sbtrades => 'Sie haben noch keine Trades abgeschlossen';

  @override
  String get completed250Sbtitle => 'Ihre abgeschlossenen Trades';

  @override
  String contact250Sble(Object lawEnforcementinquiries) {
    return 'Für Anfragen von Strafverfolgungsbehörden lesen Sie bitte $lawEnforcementinquiries.';
  }

  @override
  String get contact250Sble250Sbpolicy8722Sblink => 'unsere Geschäftspolitik';

  @override
  String contact250Sbtext8722Sb0(Object openAticket, Object email) {
    return 'Um unseren Support zu kontaktieren, können Sie $openAticket oder eine E-Mail an $email senden.';
  }

  @override
  String get contact250Sbtext8722Sb08722Sbopen8722Sba8722Sbticket => 'Ticket öffnen';

  @override
  String contact250Sbtext8722Sb1(Object email) {
    return 'Für geschäftliche, Presse- und andere Anfragen kontaktieren Sie uns unter $email';
  }

  @override
  String contact250Sbtext8722Sb2(Object appName, Object here) {
    return 'Sie können das $appName-Logo in hoher Qualität $here herunterladen.';
  }

  @override
  String get contact250Sbtext8722Sb28722Sbhere => 'hier';

  @override
  String get contact250Sbtitle => 'Kontaktiere uns';

  @override
  String get coupons250Sbcode8722Sbinput250Sbplaceholder => 'Geben Sie hier Ihren Code ein...';

  @override
  String get coupons250Sbcoupon250Sbbutton250Sblabel => 'Einlösen';

  @override
  String coupons250Sbcoupon250Sbdescription(Object percent, Object assets, Object types) {
    return '$percent % Gebührennachlass auf $assets $types Trades.';
  }

  @override
  String get coupons250Sbcoupon250Sbdescription250Sbtypes250Sblocal_buy => 'lokal kaufen';

  @override
  String get coupons250Sbcoupon250Sbdescription250Sbtypes250Sblocal_sell => 'lokal verkaufen';

  @override
  String get coupons250Sbcoupon250Sbdescription250Sbtypes250Sbonline_buy => 'online kaufen';

  @override
  String get coupons250Sbcoupon250Sbdescription250Sbtypes250Sbonline_sell => 'online verkaufen';

  @override
  String get coupons250Sbcoupon250Sbdescription250Sbtypes250Sbput_buy => 'Put-Option kaufen';

  @override
  String get coupons250Sbcoupon250Sbdescription250Sbtypes250Sbput_sell => 'Put-Option verkaufen';

  @override
  String get coupons250Sbcoupon250Sbexpired => 'Abgelaufen';

  @override
  String get coupons250Sbcoupon250Sbexpires => 'Läuft ab';

  @override
  String get coupons250Sbcoupon250Sbtitle250Sbactive => 'Aktiver Gutschein';

  @override
  String get coupons250Sbcoupon250Sbtitle250Sbexpired => 'Abgelaufener Gutschein';

  @override
  String get coupons250Sbcoupon250Sbtitle250Sbredeem => 'Gutschein einlösen';

  @override
  String get coupons250Sberror250Sb175 => 'Ungültiger Gutscheincode';

  @override
  String get coupons250Sberror250Sb176 => 'Gutschein ist bereits abgelaufen';

  @override
  String get coupons250Sberror250Sb177 => 'Dieser Gutschein ist nicht mehr verfügbar';

  @override
  String get coupons250Sberror250Sb179 => 'Ungültiger Gutscheincode';

  @override
  String get coupons250Sberror250Sb180 => 'Gutschein ist bereits abgelaufen';

  @override
  String get coupons250Sberror250Sb181 => 'Dieser Gutschein kann nur während der Registrierung eingelöst werden';

  @override
  String get coupons250Sberror250Sb182 => 'Sie haben diesen Gutschein bereits eingelöst';

  @override
  String get coupons250Sberror250Sb183 => 'Dieser Gutschein ist nicht mehr verfügbar';

  @override
  String get coupons250Sberror250Sb184 => 'Sie können jeweils nur einen aktiven Coupon haben';

  @override
  String get coupons250Sberror250Sbdialog250Sbtitle => 'Fehler beim Einlösen des Gutscheins';

  @override
  String coupons250Sberror250Sbgeneric(Object error_code) {
    return 'Beim Einlösen eines Gutscheins ist etwas schief gelaufen. Wenn das nicht richtig erscheint, wenden Sie sich bitte an den Support. Fehlercode: $error_code.';
  }

  @override
  String get coupons250Sbshow8722Sbexpired8722Sbbtn250Sbhide => 'Blenden Sie Ihre abgelaufenen Coupons aus';

  @override
  String get coupons250Sbshow8722Sbexpired8722Sbbtn250Sbshow => 'Zeigen Sie Ihre abgelaufenen Coupons an';

  @override
  String get coupons250Sbsignup250Sbshow8722Sbcoupon8722Sbinput8722Sbbtn => 'Ich habe einen Gutscheincode';

  @override
  String get coupons250Sbsubtitle => 'Hier werden Ihre aktiven und abgelaufenen Coupons angezeigt. Wenn Sie einen Gutscheincode haben, können Sie diesen hier einlösen.';

  @override
  String get coupons250Sbterms8722Sb0 => 'Es kann immer nur ein Coupon aktiv sein.';

  @override
  String get coupons250Sbterms8722Sb1 => 'Sie können einen Gutschein nicht deaktivieren, nachdem Sie ihn eingelöst haben.';

  @override
  String get coupons250Sbterms8722Sb2 => 'Jeder Gutschein ist nur einmal pro Konto einlösbar.';

  @override
  String get coupons250Sbterms8722Sb3 => 'Die Gebühr wird nur der Partei erstattet, die die Treuhandgebühr für das Geschäft ursprünglich bezahlt hat.';

  @override
  String get coupons250Sbterms8722Sb4 => 'Die Gebührenrückerstattung erfolgt, wenn der Handel geschlossen ist.';

  @override
  String get coupons250Sbterms8722Sb5 => 'Wenn Sie Affiliate-Provisionen verdienen, werden Ihre gesamten Coupon-Rabatte für einen bestimmten Zeitraum von Ihren Affiliate-Einnahmen für denselben bestimmten Zeitraum abgezogen. Wenn Ihr gesamter Rabattbetrag für einen bestimmten Zeitraum größer oder gleich den Affiliate-Einnahmen für denselben bestimmten Zeitraum ist, erhalten Sie für diesen bestimmten Zeitraum keine Affiliate-Einnahmen.';

  @override
  String coupons250Sbterms8722Sb6(Object appName) {
    return '$appName behält sich das Recht vor, Ihren Gutschein jederzeit ohne Vorankündigung oder Entschädigung zu deaktivieren.';
  }

  @override
  String get coupons250Sbterms250Sbtitle => 'Gutscheinbedingungen';

  @override
  String get coupons250Sbtitle => 'Gutscheine';

  @override
  String get dashboard250Sbad250Sbdelete8722Sbbtn => 'Anzeige löschen';

  @override
  String get dashboard250Sbad250Sbdelete8722Sbdialog8722Sbtext => 'Dadurch wird die Anzeige dauerhaft gelöscht. Erwägen Sie, die Anzeige auszublenden, indem Sie die Sichtbarkeit auf „deaktiviert“ setzen.';

  @override
  String get dashboard250Sbad250Sbdelete8722Sbdialog8722Sbtitle => 'Löschen bestätigen';

  @override
  String get dashboard250Sbad250Sbemail8722Sbverified => 'Diese Anzeige ist nur für Benutzer mit verifizierter E-Mail-Adresse bestimmt';

  @override
  String get dashboard250Sbad250Sbfor8722Sbtrusted => 'Nur für vertrauenswürdige Benutzer';

  @override
  String get dashboard250Sbad250Sbmethod250Sbcash => 'Bargeld';

  @override
  String dashboard250Sbad250Sbprice8722Sbtype250Sbmarket8722Sbnegative(Object percent) {
    return 'Markt $percent';
  }

  @override
  String dashboard250Sbad250Sbprice8722Sbtype250Sbmarket8722Sbpositive(Object percent) {
    return 'Markt +$percent';
  }

  @override
  String get dashboard250Sbad250Sbtable8722Sbcreated8722Sbat => 'Erstellt';

  @override
  String get dashboard250Sbad250Sbtable8722Sbid => 'ID';

  @override
  String get dashboard250Sbad250Sbtable8722Sbmethod => 'Methode';

  @override
  String get dashboard250Sbad250Sbtable8722Sbprice => 'Preis';

  @override
  String get dashboard250Sbad250Sbtable8722Sbtype => 'Typ';

  @override
  String get dashboard250Sbad250Sbtable8722Sbvisible => 'Sichtbar';

  @override
  String get dashboard250Sbads250Sbbulk8722Sbdelete8722Sbwarning => 'Dadurch werden ausgewählte Anzeigen dauerhaft gelöscht. Erwägen Sie, sie auszublenden, indem Sie die Sichtbarkeit auf „deaktiviert“ setzen.';

  @override
  String get dashboard250Sbads250Sbbulk8722Sbedit250Sbapply => 'Auf Ausgewählte anwenden';

  @override
  String get dashboard250Sbads250Sbbulk8722Sbedit250Sbboolean250Sbfalse => 'deaktiviert';

  @override
  String get dashboard250Sbads250Sbbulk8722Sbedit250Sbboolean250Sbtrue => 'Wahr';

  @override
  String get dashboard250Sbads250Sbbulk8722Sbedit250Sberror => 'Beim Aktualisieren mehrerer Anzeigen ist ein Fehler aufgetreten. Einige oder alle Anzeigen wurden möglicherweise nicht aktualisiert. Wahrscheinlich haben Sie zu viele Anzeigen auf einmal ausgewählt. Bitte aktualisieren Sie die Seite und versuchen Sie es erneut.';

  @override
  String get dashboard250Sbads250Sbbulk8722Sbedit250Sbgroup250Sbany => 'Irgendwelche Anzeigen';

  @override
  String get dashboard250Sbads250Sbbulk8722Sbedit250Sbgroup250Sbsame8722Sbasset8722Sbbuys => 'Nur Kaufanzeigen für dieselben Vermögenswerte';

  @override
  String get dashboard250Sbads250Sbbulk8722Sbedit250Sbgroup250Sbsame8722Sbcurrency => 'Nur Anzeigen in derselben Währung';

  @override
  String get dashboard250Sbads250Sbbulk8722Sbedit250Sbgroup250Sbsells => 'Nur Verkaufsanzeigen';

  @override
  String get dashboard250Sbads250Sbbulk8722Sbedit250Sbsetting8722Sbselect250Sblabel => 'Einstellung wählen';

  @override
  String get dashboard250Sbads250Sbbulk8722Sbedit250Sbtitle => 'Verwalten Sie mehrere Anzeigen';

  @override
  String get dashboard250Sbads250Sbfilter250Sbapply8722Sbbtn => 'Filter anwenden';

  @override
  String get dashboard250Sbads250Sbfilter250Sbasset => 'Anlage';

  @override
  String get dashboard250Sbads250Sbfilter250Sbdelete8722Sbselected => 'Ausgewählte löschen';

  @override
  String get dashboard250Sbads250Sbfilter250Sbno8722Sbads => 'Keine Anzeigen hier';

  @override
  String get dashboard250Sbads250Sbfilter250Sbreset8722Sbbtn => 'Filter zurücksetzen';

  @override
  String get dashboard250Sbads250Sbfilter250Sbsort => 'Sortieren nach';

  @override
  String get dashboard250Sbads250Sbfilter250Sbtype => 'Typ';

  @override
  String get dashboard250Sbads250Sbfilter250Sbvisibility => 'Sichtbarkeit';

  @override
  String get dashboard250Sbads250Sbload8722Sball => 'Lade alle Anzeigen';

  @override
  String get dashboard250Sbads250Sbshowing8722Sball => 'Alle Anzeigen werden angezeigt';

  @override
  String get dashboard250Sbblocked => 'verstopft';

  @override
  String get dashboard250Sbfilter250Sball => 'Alle';

  @override
  String get dashboard250Sbfilter250Sbrole250Sbboth => 'Kaufen/Verkaufen';

  @override
  String get dashboard250Sbfilter250Sbrole250Sbbuying => 'Kaufen';

  @override
  String get dashboard250Sbfilter250Sbrole250Sbselling => 'Verkaufen';

  @override
  String get dashboard250Sbfilter250Sbvisibility250Sbhidden => 'Versteckt';

  @override
  String get dashboard250Sbfilter250Sbvisibility250Sbvisible => 'Sichtbar';

  @override
  String get dashboard250Sbopen8722Sbads8722Sbno8722Sbads => 'Sie haben derzeit keine Anzeigen';

  @override
  String get dashboard250Sbopen8722Sbads8722Sbtitle => 'Ihre Anzeigen';

  @override
  String get dashboard250Sbopen8722Sbtrades8722Sbno8722Sbtrades => 'Sie haben derzeit keine offenen Trades';

  @override
  String get dashboard250Sbopen8722Sbtrades8722Sbtitle => 'Ihre offenen Trades';

  @override
  String get dashboard250Sbpost8722Sbad8722Sbbtn => 'Neue Anzeige erstellen';

  @override
  String get dashboard250Sbtitle => 'Armaturenbrett';

  @override
  String get dashboard250Sbtrade250Sbcancelled8722Sbat => 'Storniert um';

  @override
  String get dashboard250Sbtrade250Sbcompleted8722Sbat => 'Abgeschlossen um';

  @override
  String get dashboard250Sbtrade250Sbcreated8722Sbat => 'Erstellungszeitpunkt';

  @override
  String get dashboard250Sbtrade250Sbstatus250Sbcancelled => 'Abgesagt';

  @override
  String get dashboard250Sbtrade250Sbstatus250Sbcompleted => 'Abgeschlossen';

  @override
  String get dashboard250Sbtrade250Sbstatus250Sbdisputed => 'Umstritten';

  @override
  String get dashboard250Sbtrade250Sbstatus250Sbfunded => 'Gefördert';

  @override
  String get dashboard250Sbtrade250Sbstatus250Sbnot8722Sbpaid => 'Warten auf Zahlung';

  @override
  String get dashboard250Sbtrade250Sbstatus250Sbpaid => 'Bezahlt, wartet auf Fertigstellung';

  @override
  String get dashboard250Sbtrade250Sbstatus250Sbunfunded => 'Nicht finanziert';

  @override
  String get dashboard250Sbtrade250Sbtable8722Sbamount8722Sbfiat58Sb => 'Betrag (Währung)';

  @override
  String dashboard250Sbtrade250Sbtable8722Sbamount8722Sbxmr58Sb(Object assetSymbol) {
    return 'Betrag ($assetSymbol)';
  }

  @override
  String get dashboard250Sbtrade250Sbtable8722Sbid58Sb => 'ID';

  @override
  String get dashboard250Sbtrade250Sbtable8722Sbmethod58Sb => 'Methode';

  @override
  String get dashboard250Sbtrade250Sbtable8722Sbpartner58Sb => 'Handelspartner';

  @override
  String get dashboard250Sbtrade250Sbtable8722Sbstatus58Sb => 'Status';

  @override
  String get dashboard250Sbtrade250Sbtable8722Sbtype58Sb => 'Typ';

  @override
  String get dashboard250Sbtrade250Sbtable8722Sbview8722Sbbtn58Sb => 'Ansicht';

  @override
  String get dashboard250Sbtrade250Sbuser8722Sbdeleted => '[gelöscht]';

  @override
  String get dashboard250Sbtrades250Sbfilter250Sbno8722Sbtrades => 'Keine Trades hier';

  @override
  String get dashboard250Sbtrades250Sbfilter250Sbrole => 'Ich bin...';

  @override
  String get dashboard250Sbtrusted => 'Vertrauenswürdig';

  @override
  String get dashboard250Sbtrusted8722Sbusers => 'Ihre vertrauenswürdigen/blockierten Benutzer';

  @override
  String get dashboard250Sbwarning250Sbno8722Sbbuyer8722Sbsettlement8722Sbaddress => 'DRINGENDE MASSNAHMEN ERFORDERLICH: Für eine oder mehrere Ihrer Kaufanzeigen ist keine Abrechnungs-Wallet-Adresse festgelegt. Stellen Sie es so schnell wie möglich bereit, um zu vermeiden, dass diese Anzeigen ausgeblendet werden. Sie können die Filter und die Funktion zum Bearbeiten von Massenanzeigen verwenden, um sie für alle relevanten Anzeigen auf einmal festzulegen.';

  @override
  String get dashboards250Sbads250Sbfilter250Sbtitle => 'Anzeigen filtern';

  @override
  String get dashboards250Sbtrades250Sbfilter250Sbtitle => 'Trades filtern';

  @override
  String get description => 'Holen Sie sich Monero. Schnell, einfach und sicher. In Ihrer Nähe.';

  @override
  String description250Sbaffiliate(Object appName) {
    return 'Sie verdienen 20 % der Handelsgebühren, die von den von Ihnen geworbenen Benutzern generiert werden. Diese Auszahlungen werden täglich als Monero in Ihr $appName-Wallet vorgenommen. Ihre geworbenen Benutzer generieren eine Provision für Sie für einen Zeitraum von 1 Jahr ab dem Datum ihrer Registrierung.';
  }

  @override
  String description250Sbaffiliate57Sbagoradesk(Object appName) {
    return 'Sie verdienen 20 % der Handelsgebühren, die von den von Ihnen geworbenen Benutzern generiert werden. Diese Auszahlungen werden täglich als relevante Kryptowährungen in Ihr $appName-Wallet vorgenommen. Ihre geworbenen Benutzer generieren eine Provision für Sie für einen Zeitraum von 1 Jahr ab dem Datum ihrer Registrierung.';
  }

  @override
  String description250Sbfaq(Object appName) {
    return 'Finden Sie Antworten auf häufig gestellte Fragen zum Monero-Handel und andere $appName-bezogene Fragen.';
  }

  @override
  String description250Sbfaq57Sbagoradesk(Object appName) {
    return 'Finden Sie Antworten auf häufig gestellte Fragen zum Kryptowährungshandel und andere $appName-bezogene Fragen.';
  }

  @override
  String description250Sbfee(Object appName) {
    return 'Die Registrierung, der Kauf und Verkauf von Monero ist völlig kostenlos. $appName-Benutzern, die Anzeigen erstellen, wird eine Treuhandgebühr von 1 % für jeden abgeschlossenen Handel berechnet.';
  }

  @override
  String description250Sbfee57Sbagoradesk(Object appName) {
    return 'Die Registrierung, der Kauf und Verkauf von Kryptowährungen ist völlig kostenlos. $appName-Benutzern, die Anzeigen erstellen, wird eine Treuhandgebühr von 1 % für jeden abgeschlossenen Handel berechnet.';
  }

  @override
  String description250Sbguide250Sb2fa(Object appName) {
    return 'Diese Anleitung hilft Ihnen bei der Einrichtung der Zwei-Faktor-Authentifizierung für Ihr $appName-Konto.';
  }

  @override
  String get description250Sbguide250Sbbtc => 'Liegen die Zeiten, in denen Sie Bitcoins mit einer Kreditkarte sofort und ohne Verifizierung kaufen konnten, hinter uns? Nicht ganz. Hier stellen wir Ihnen eine einfache, anonyme, private und schnelle Möglichkeit vor, Bitcoins in wenigen Schritten mit Bargeld zu erwerben.';

  @override
  String description250Sbguide250Sbbuy(Object appName) {
    return 'Dieser Leitfaden hilft Ihnen zu verstehen, wie Sie Monero mit gängigen Online-Zahlungsmethoden (wie Banküberweisung, PayPal, Kreditkarte usw.) kaufen. $appName ist eine sichere, schnelle und einfache Möglichkeit, Monero anonym ohne ID-Verifizierung zu kaufen. ';
  }

  @override
  String description250Sbguide250Sbbuy57Sbagoradesk(Object appName) {
    return 'Dieser Leitfaden hilft Ihnen zu verstehen, wie Sie Kryptowährung mit gängigen Online-Zahlungsmethoden (wie Banküberweisung, PayPal, Kreditkarte usw.) kaufen. $appName ist eine sichere, schnelle und einfache Möglichkeit, Kryptowährung anonym ohne ID-Verifizierung zu kaufen. ';
  }

  @override
  String description250Sbguide250Sblocal(Object appName) {
    return 'Dieser Leitfaden hilft Ihnen zu verstehen, wie Sie Monero anonym über ein lokales Treffen gegen Bargeld kaufen oder verkaufen können. $appName ist eine sichere, schnelle und einfache Möglichkeit, XMR ohne ID-Verifizierung zu handeln. ';
  }

  @override
  String description250Sbguide250Sblocal57Sbagoradesk(Object appName) {
    return 'Dieser Leitfaden hilft Ihnen zu verstehen, wie Sie Kryptowährungen anonym gegen Bargeld über ein lokales Treffen kaufen oder verkaufen können. Bei $appName können Sie Kryptowährungen ohne ID-Verifizierung handeln. ';
  }

  @override
  String description250Sbguide250Sbsell(Object appName) {
    return 'Dieser Leitfaden hilft Ihnen zu verstehen, wie Sie Monero mit gängigen Online-Zahlungsmethoden (wie Banküberweisung, PayPal, Kreditkarte usw.) verkaufen können. $appName ist eine sichere, schnelle und einfache Möglichkeit, Monero ohne ID-Verifizierung zu verkaufen. ';
  }

  @override
  String description250Sbguide250Sbsell57Sbagoradesk(Object appName) {
    return 'Dieser Leitfaden hilft Ihnen zu verstehen, wie Sie Kryptowährungen mit gängigen Online-Zahlungsmethoden (wie Banküberweisung, PayPal, Kreditkarte usw.) verkaufen. $appName ist eine sichere, schnelle und einfache Möglichkeit, Kryptowährung ohne ID-Verifizierung zu verkaufen. ';
  }

  @override
  String description250Sbguide250Sbtelegram(Object appName) {
    return 'Diese Anleitung hilft Ihnen bei der Konfiguration von Telegram-Benachrichtigungen für $appName. ';
  }

  @override
  String description250Sbguide250Sbtrade(Object appName) {
    return 'Dieser Leitfaden wird Ihnen helfen, die Grundlagen des Handels mit Monero an einer P2P-Börse $appName zu verstehen.';
  }

  @override
  String description250Sbguide250Sbtrade57Sbagoradesk(Object appName) {
    return 'Dieser Leitfaden hilft Ihnen, die Grundlagen des Handels mit Kryptowährung auf einem P2P-OTC-Desk $appName zu verstehen.';
  }

  @override
  String description250Sbguide250Sbxmr(Object appName) {
    return 'Wie kaufe ich Monero anonym ohne ID? $appName bietet die Möglichkeit, XMR ohne KYC-Verifizierung zu kaufen, damit Sie Ihre Privatsphäre schützen können!';
  }

  @override
  String get description250Sbhomepage => 'Kaufen und verkaufen Sie Monero (XMR) online ohne Identitätsprüfung - verwenden Sie PayPal, Kredit-/Debitkarte oder Banküberweisung, Geschenkkarten, Bargeld per Post, Venmo, BTC oder jede andere Zahlungsmethode.';

  @override
  String get description250Sbhomepage57Sbagoradesk => 'Kaufen und verkaufen Sie Bitcoin online ohne Identitätsprüfung - verwenden Sie PayPal, Kredit-/Debitkarte oder Banküberweisung, Geschenkkarten, Bargeld per Post, Venmo oder jede andere Zahlungsmethode.';

  @override
  String description250Sblogin(Object appName) {
    return 'Melden Sie sich bei Ihrem $appName-Konto an, um jetzt mit dem Handel zu beginnen.';
  }

  @override
  String get description250Sbnew => 'Erstellen Sie eine neue Anzeige, um Monero lokal gegen Bargeld oder online zu kaufen oder zu verkaufen.';

  @override
  String get description250Sbnew57Sbagoradesk => 'Erstellen Sie eine neue Anzeige, um Kryptowährung zu kaufen oder zu verkaufen.';

  @override
  String description250Sbsignup(Object appName) {
    return 'Erstellen Sie ein $appName-Konto – es ist völlig kostenlos – und beginnen Sie mit dem Monero-Handel!';
  }

  @override
  String description250Sbsignup57Sbagoradesk(Object appName) {
    return 'Erstellen Sie ein $appName-Konto – es ist völlig kostenlos – und beginnen Sie mit dem Handel von Kryptowährungen!';
  }

  @override
  String description250Sbstart(Object appName) {
    return '$appName-Leitfäden, die Ihnen helfen, die grundlegenden und fortgeschrittenen Prinzipien des Kaufs oder Verkaufs von Monero zu verstehen.';
  }

  @override
  String description250Sbstart57Sbagoradesk(Object appName) {
    return '$appName-Leitfäden, die Ihnen helfen, die grundlegenden und fortgeschrittenen Prinzipien des Kaufs oder Verkaufs von Bitcon und Monero zu verstehen.';
  }

  @override
  String description250Sbstatistics(Object appName) {
    return 'Erhalten Sie den durchschnittlichen $appName-Preis basierend auf allen Trades in den letzten 1, 6, 12 oder 24 Stunden.';
  }

  @override
  String description250Sbuser(Object user, Object appName) {
    return '${user}s $appName-Profil.';
  }

  @override
  String description250Sbuser8722Sbads(Object user, Object appName) {
    return '$appName-Anzeigen von $user.';
  }

  @override
  String get distance250Sbkilometers => 'km';

  @override
  String get distance250Sbmeters => 'm';

  @override
  String get document8722Sbtitle250Sb404 => 'Seite nicht gefunden';

  @override
  String get document8722Sbtitle250Sbabout => 'Über uns';

  @override
  String get document8722Sbtitle250Sbad8722Sbdeleted => 'Gelöscht';

  @override
  String get document8722Sbtitle250Sbaffiliate => 'Partnerprogramm';

  @override
  String get document8722Sbtitle250Sbcancelled => 'Stornierte Trades';

  @override
  String get document8722Sbtitle250Sbcompleted => 'Abgeschlossene Trades';

  @override
  String get document8722Sbtitle250Sbcontact => 'Kontaktiere uns';

  @override
  String get document8722Sbtitle250Sbdashboard => 'Dashboard';

  @override
  String get document8722Sbtitle250Sbedit => 'Bearbeiten Sie eine Anzeige';

  @override
  String get document8722Sbtitle250Sberror => 'Fehler';

  @override
  String get document8722Sbtitle250Sbfaq => 'FAQ';

  @override
  String get document8722Sbtitle250Sbfee => 'Gebühren';

  @override
  String document8722Sbtitle250Sbfeedback(Object user) {
    return 'Feedback von $user';
  }

  @override
  String get document8722Sbtitle250Sbguide250Sb2fa => 'So aktivieren Sie 2FA';

  @override
  String document8722Sbtitle250Sbguide250Sbbtc(Object year) {
    return 'Anleitung zum anonymen Kauf von Bitcoins (ohne ID) - Der privateste Weg in $year';
  }

  @override
  String get document8722Sbtitle250Sbguide250Sbbuy => 'Wie man Monero kauft';

  @override
  String get document8722Sbtitle250Sbguide250Sbbuy57Sbagoradesk => 'Wie man Kryptowährung kauft';

  @override
  String get document8722Sbtitle250Sbguide250Sbsell => 'Wie man Monero verkauft';

  @override
  String get document8722Sbtitle250Sbguide250Sbsell57Sbagoradesk => 'Wie man Kryptowährung verkauft';

  @override
  String document8722Sbtitle250Sbguide250Sbxmr(Object year) {
    return 'Anleitung zum anonymen Kauf von Monero (XMR) (ohne ID) - Der vertraulichste Weg in $year';
  }

  @override
  String get document8722Sbtitle250Sbindex => 'Kaufen oder verkaufen Sie Monero Anonym, Schnell und Einfach';

  @override
  String get document8722Sbtitle250Sbindex57Sbagoradesk => 'Kaufen oder verkaufen Sie Bitcoins Anonym, Schnell und Einfach';

  @override
  String get document8722Sbtitle250Sblogin => 'Anmelden';

  @override
  String get document8722Sbtitle250Sbpost8722Sbad => 'Geben Sie eine Anzeige auf';

  @override
  String get document8722Sbtitle250Sbreset8722Sbpassword => 'Passwort zurücksetzen';

  @override
  String document8722Sbtitle250Sbsearch250Sbbuy250Sbcountry(Object assetName, Object country) {
    return 'Kaufe $assetName in $country';
  }

  @override
  String document8722Sbtitle250Sbsearch250Sbbuy250Sbcountry8722Sbmethod(Object assetName, Object country, Object method) {
    return 'Kaufe $assetName in $country mit $method';
  }

  @override
  String document8722Sbtitle250Sbsearch250Sbbuy250Sbcurrency(Object assetName, Object currency) {
    return 'Kaufe $assetName für $currency';
  }

  @override
  String document8722Sbtitle250Sbsearch250Sbbuy250Sbmethod(Object assetName, Object method) {
    return 'Kaufe $assetName mit $method';
  }

  @override
  String document8722Sbtitle250Sbsearch250Sbsell(Object assetName, Object country) {
    return 'Verkaufe $assetName in $country';
  }

  @override
  String document8722Sbtitle250Sbsearch250Sbsell250Sbcountry(Object assetName, Object country) {
    return 'Verkaufe $assetName in $country';
  }

  @override
  String document8722Sbtitle250Sbsearch250Sbsell250Sbcountry8722Sbmethod(Object assetName, Object country, Object method) {
    return 'Verkaufe $assetName in $country mit $method';
  }

  @override
  String document8722Sbtitle250Sbsearch250Sbsell250Sbcurrency(Object assetName, Object currency) {
    return 'Verkaufe $assetName für $currency';
  }

  @override
  String document8722Sbtitle250Sbsearch250Sbsell250Sbmethod(Object assetName, Object method) {
    return 'Verkaufe $assetName mit $method';
  }

  @override
  String get document8722Sbtitle250Sbsettings => 'Einstellungen';

  @override
  String get document8722Sbtitle250Sbsignup => 'Registrieren';

  @override
  String get document8722Sbtitle250Sbsignup8722Sbsuccess => 'Registrierung erfolgreich';

  @override
  String document8722Sbtitle250Sbstart(Object appName) {
    return '$appName Anleitungen: wie man Monero kauft oder verkauft';
  }

  @override
  String document8722Sbtitle250Sbstart57Sbagoradesk(Object appName) {
    return '$appName Anleitungen: wie man Kryptowährungen kauft oder verkauft';
  }

  @override
  String document8722Sbtitle250Sbtrade(Object id) {
    return 'Trade $id';
  }

  @override
  String document8722Sbtitle250Sbuser8722Sbads(Object user) {
    return '${user}s Anzeigen';
  }

  @override
  String get document8722Sbtitle250Sbverify8722Sbemail => 'E-Mail bestätigen';

  @override
  String get document8722Sbtitle250Sbwallet => 'Wallet';

  @override
  String get done => 'Fertig';

  @override
  String get dropdown250Sbany8722Sbcountry => 'Alle';

  @override
  String get dropdown250Sbany8722Sbcurrency => 'Alle';

  @override
  String get edit8722Sbad250Sbcancel8722Sbbtn => 'Änderungen abbrechen';

  @override
  String get edit8722Sbad250Sbcurrent8722Sbprice => 'Aktueller Anzeigenpreis: ';

  @override
  String get edit8722Sbad250Sbdelete8722Sbbtn => 'Anzeige löschen';

  @override
  String get edit8722Sbad250Sbdelete8722Sbdialog250Sbtext => 'Dadurch wird die Anzeige dauerhaft gelöscht. Erwägen Sie, die Anzeige auszublenden, indem Sie die Sichtbarkeit auf „deaktiviert“ setzen.';

  @override
  String get edit8722Sbad250Sbdelete8722Sbdialog250Sbtitle => 'Löschen der Anzeige bestätigen';

  @override
  String get edit8722Sbad250Sbsave8722Sbbtn => 'Änderungen speichern';

  @override
  String edit8722Sbad250Sbthis8722Sbad8722Sbis8722Sbto(Object adType, Object createdAt, Object timeOfcreation, Object createAnewad) {
    return 'Diese Anzeige geht an $adType $createdAt $timeOfcreation. Um den Anzeigentyp zu ändern, bitte $createAnewad';
  }

  @override
  String edit8722Sbad250Sbthis8722Sbad8722Sbis8722Sbto8722Sbad8722Sbtype8722Sblocal8722Sbbuy(Object assetName) {
    return '$assetName mit Bargeld kaufen (lokal)';
  }

  @override
  String edit8722Sbad250Sbthis8722Sbad8722Sbis8722Sbto8722Sbad8722Sbtype8722Sblocal8722Sbsell(Object assetName) {
    return 'verkaufe $assetName gegen Bargeld (lokal)';
  }

  @override
  String edit8722Sbad250Sbthis8722Sbad8722Sbis8722Sbto8722Sbad8722Sbtype8722Sbonline8722Sbbuy(Object assetName) {
    return '$assetName online kaufen';
  }

  @override
  String edit8722Sbad250Sbthis8722Sbad8722Sbis8722Sbto8722Sbad8722Sbtype8722Sbonline8722Sbsell(Object assetName) {
    return 'verkaufe $assetName online';
  }

  @override
  String get edit8722Sbad250Sbthis8722Sbad8722Sbis8722Sbto8722Sbcreate8722Sbnew => 'eine neue Anzeige erstellen';

  @override
  String get edit8722Sbad250Sbthis8722Sbad8722Sbis8722Sbto8722Sbcreated8722Sbat => 'hergestellt in';

  @override
  String get edit8722Sbad250Sbtitle => 'Bearbeiten Sie eine Anzeige';

  @override
  String get edit8722Sbad250Sbupdated8722Sbprice => 'Aktualisierter Anzeigenpreis: ';

  @override
  String get edit8722Sbad250Sbvisible => 'Sichtbar';

  @override
  String get edit8722Sbad250Sbwarning250Sbno8722Sbbuyer8722Sbsettlement8722Sbaddress => 'DRINGENDE MASSNAHMEN ERFORDERLICH: Für diese Anzeige ist keine Settlement-Wallet-Adresse festgelegt. Stellen Sie diese so schnell wie möglich bereit, um zu vermeiden, dass die Anzeige ausgeblendet wird.';

  @override
  String get edit250Sberror250Sbinvalid8722Sbsettlement8722Sbaddress => 'Bitte geben Sie eine gültige Settlement-Wallet-Adresse ein';

  @override
  String get error => 'Fehler';

  @override
  String get error8722Sbpage => 'Hoppla! Etwas ist schief gelaufen. Bitte versuchen Sie es bald erneut. Klicken Sie irgendwo auf die Seite, um sie neu zu laden.';

  @override
  String error8722Sbpage250Sbsubtext(Object open_a_ticket) {
    return 'Wenn das nicht hilft, versuchen Sie, Ihre Cookies zu löschen oder einen anderen Browser zu verwenden. Wenn das auch nicht hilft, bitte $open_a_ticket';
  }

  @override
  String get error8722Sbpage250Sbsubtext250Sbticket => 'eröffne ein Support-Ticket.';

  @override
  String get error250Sbcaptcha => 'Captcha fehlgeschlagen, bitte versuche es erneut';

  @override
  String get error250Sbedit250Sb244 => 'Die angegebene Settlement-Wallet-Adresse ist ungültig';

  @override
  String error250Sbedit250Sb245(Object appName, Object asset) {
    return 'Die interne $appName-Adresse kann nicht für die Handelsabwicklung verwendet werden. Bitte gebe eine externe Adresse ein, die keine $appName $asset-Adresse ist, um fortzufahren.';
  }

  @override
  String error250Sbedit250Sb245250Sbnojs(Object appName) {
    return 'Die interne $appName-Adresse kann nicht für die Handelsabwicklung verwendet werden. Bitte gebe eine externe Nicht-$appName-Adresse ein, um fortzufahren.';
  }

  @override
  String get error250Sbedit250Sb249 => 'Sie müssen eine Settlement-Wallet-Adresse festlegen, um fortzufahren.';

  @override
  String get error250Sbpost8722Sbad250Sb107 => 'Kann die Liquidität nicht verfolgen, ohne den Höchstbetrag festzulegen';

  @override
  String get error250Sbpost8722Sbad250Sb108 => 'Der minimale Transaktionsbetrag darf nicht gleich oder größer als der maximale Transaktionsbetrag sein';

  @override
  String get error250Sbpost8722Sbad250Sb114 => 'Das Zahlungsfenster muss 15-90 Minuten betragen';

  @override
  String error250Sbpost8722Sbad250Sb132(Object maximumNumberOfAds) {
    return 'Es können nicht mehr als $maximumNumberOfAds Anzeigen erstellt werden. Bitte löschen Sie eine Ihrer alten Anzeigen, um diese zu erstellen.';
  }

  @override
  String get error250Sbpost8722Sbad250Sb142 => 'Es kann kein Fiat-Limit festgelegt werden, das unter dem Mindestbetrag liegt.';

  @override
  String get error250Sbpost8722Sbad250Sb143 => 'Es kann kein Fiat-Limit festgelegt werden, das über dem Höchstbetrag liegt.';

  @override
  String get error250Sbpost8722Sbad250Sb173 => 'Die Währung Ihrer Anzeige darf nicht mit dem Inhalt Ihrer Anzeige übereinstimmen';

  @override
  String get error250Sbpost8722Sbad250Sb80 => 'Breiten- oder Längengrad wurde nicht festgelegt';

  @override
  String get error250Sbpost8722Sbad250Sb81 => 'Der Preiswert wurde nicht richtig festgelegt';

  @override
  String get error250Sbpost8722Sbad250Sb86 => 'Unzulässige Kombinationen aus Land, Zahlungsmethode und Währung';

  @override
  String get error250Sbpost8722Sbad250Sb87 => 'Diese Zahlungsmethode ist für das ausgewählte Land nicht gültig';

  @override
  String get error250Sbpost8722Sbad250Sb88 => 'Diese Währung ist für die ausgewählte Zahlungsmethode nicht gültig';

  @override
  String get error250Sbpost8722Sbad250Sb89 => 'Standort wurde nicht richtig eingestellt';

  @override
  String get error250Sbpost8722Sbad250Sbgeneric => 'Fehler im Formular! Bitte überprüfen Sie Ihre Anzeige erneut.';

  @override
  String get error250Sbsettings250Sb220 => 'Wegwerf-E-Mail-Adressen sind nicht erlaubt';

  @override
  String get error250Sbsignup250Sb219 => 'Wegwerf-E-Mail-Adressen sind nicht erlaubt';

  @override
  String get error250Sbsignup250Sb47 => 'Benutzer mit diesem Benutzernamen existiert bereits.';

  @override
  String get error250Sbsignup250Sb48 => 'Benutzer mit dieser E-Mail existiert bereits';

  @override
  String error250Sbtrade8722Sbrequest250Sb100(Object min_asset_amount, Object assetSymbol) {
    return 'Es können nicht weniger als $min_asset_amount $assetSymbol für die Trade-Erstellung angefordert werden.';
  }

  @override
  String get error250Sbtrade8722Sbrequest250Sb101 => 'Der angeforderte Betrag liegt unter dem Mindesttransaktionsbetrag der Anzeige';

  @override
  String get error250Sbtrade8722Sbrequest250Sb102 => 'Der angeforderte Betrag ist höher, als dem Händler für diese Anzeige zur Verfügung steht';

  @override
  String get error250Sbtrade8722Sbrequest250Sb103 => 'Dieser Händler handelt derzeit nicht. Bitte überprüfen Sie andere Anzeigen oder kommen Sie später wieder.';

  @override
  String get error250Sbtrade8722Sbrequest250Sb105 => 'Dieser Händler hat nicht genug Guthaben, um einen trade für diesen Betrag zu starten.';

  @override
  String error250Sbtrade8722Sbrequest250Sb106(Object appName) {
    return 'Sie haben nicht genug Guthaben in Ihrer $appName-Wallet, um einen Trade zu beginnen!';
  }

  @override
  String get error250Sbtrade8722Sbrequest250Sb109 => 'Der angeforderte Betrag ist höher, als dem Händler für diese Anzeige zur Verfügung steht';

  @override
  String get error250Sbtrade8722Sbrequest250Sb110 => 'Dieser Händler benötigt eine höhere Feedback-Punktzahl, um zu handeln, als Sie im Moment haben. Sie können Ihren Feedback-Score erhöhen, indem Sie Trades mit Tradern abschließen, die diese Anforderung nicht haben.';

  @override
  String get error250Sbtrade8722Sbrequest250Sb111 => 'Der angeforderte Betrag entspricht nicht dem von diesem Händler akzeptierten Betrag';

  @override
  String get error250Sbtrade8722Sbrequest250Sb112 => 'Sie können keinen Trade für eine Anzeige anfordern, die Sie selbst gepostet haben';

  @override
  String get error250Sbtrade8722Sbrequest250Sb141 => 'Es kann kein Trade für einen Betrag erstellt werden, der unter dem zulässigen Mindestbetrag liegt';

  @override
  String get error250Sbtrade8722Sbrequest250Sb150 => 'Sie können keinen Trade starten, weil dieser Händler Sie blockiert hat. Versuchen Sie, nach anderen Händlern zu suchen.';

  @override
  String get error250Sbtrade8722Sbrequest250Sb151 => 'Diese Anzeige ist nur für Benutzer bestimmt, denen der Anzeigenersteller vertraut. Versuchen Sie, nach anderen Anzeigen zu suchen.';

  @override
  String get error250Sbtrade8722Sbrequest250Sb173 => 'Sie dürfen keine weiteren Trades eröffnen';

  @override
  String get error250Sbtrade8722Sbrequest250Sb218 => 'Diese Anzeige ist nur für Benutzer mit verifizierter E-Mail-Adresse. Gehen Sie zu Ihren Kontoeinstellungen, legen Sie Ihre E-Mail-Adresse fest (falls Sie dies noch nicht getan haben) und bestätigen Sie diese.';

  @override
  String get error250Sbtrade8722Sbrequest250Sb232 => 'Dieser Benutzer darf derzeit aufgrund einer Beschränkung seines Kontos nicht traden';

  @override
  String get error250Sbtrade8722Sbrequest250Sb237 => 'Dieser Benutzer existiert nicht';

  @override
  String get error250Sbtrade8722Sbrequest250Sb240 => 'Die angegebene Settlement-Wallet-Adresse ist ungültig';

  @override
  String error250Sbtrade8722Sbrequest250Sb241(Object appName, Object asset) {
    return 'Die interne $appName-Adresse kann nicht für die Handelsabwicklung verwendet werden. Bitte geben Sie eine externe Adresse ein, die keine $appName $asset-Adresse ist, um fortzufahren.';
  }

  @override
  String get error250Sbtrade8722Sbrequest250Sb246 => 'Trade kann nicht eröffnet werden: Dieser Trader hat noch keine Abwicklungsadresse für diese Anzeige angegeben. Wenden Sie sich nach Möglichkeit an den Verkäufer, versuchen Sie es später erneut oder suchen Sie nach einem anderen Angebot.';

  @override
  String get error250Sbtrade8722Sbrequest250Sb99 => 'Dieser Händler benötigt für den ersten Handel mit ihm einen niedrigeren Transaktionsbetrag. Bitte überprüfen Sie die Handelsdetails unten.';

  @override
  String get error250Sbvalidation250Sbreputation8722Sbimport8722Sbplatform => 'Bitte wählen Sie eine der gültigen Plattformen aus: localbitcoins oder paxful';

  @override
  String get error250Sbwithdraw250Sb170 => 'Der zur Auszahlung angeforderte Betrag liegt unter dem minimal möglichen Betrag';

  @override
  String get error250Sbwithdraw250Sb254 => 'Sie haben diesen Betrag bereits innerhalb der letzten 10 Minuten an diese Adresse gesendet. Überprüfen Sie Ihre Transaktionen, und wenn dies kein Fehler war, versuchen Sie später, die Auszahlung zu wiederholen.';

  @override
  String get error250Sbwithdraw250Sb7338Sb140 => 'Falsches Passwort/Einmalpasswort';

  @override
  String get error250Sbwithdraw250Sb7438Sb77 => 'Unzureichende Mittel';

  @override
  String error250Sbwithdraw250Sb75(Object appName) {
    return 'Diese Adresse existiert nicht in der $appName-Datenbank';
  }

  @override
  String get error250Sbwithdraw250Sb76 => 'Versuch, die Schlichtungsbürgschaft an dieselbe Adresse wie das Konto abzuheben, das die Abhebung beantragt';

  @override
  String get error250Sbwithdraw250Sbclosed8722Sbconnection => 'Bei der Anfrage ist etwas schief gelaufen, aber die Transaktion wurde möglicherweise bereits gesendet. Bitte laden Sie die Seite neu, überprüfen Sie, ob die Transaktion gesendet wurde, und wiederholen Sie sie bei Bedarf. Wenn der Fehler weiterhin besteht, wenden Sie sich bitte an unseren Support.';

  @override
  String error250Sbwithdraw250Sbgeneric(Object assetName) {
    return 'Etwas ist schief gelaufen, bitte überprüfen Sie die empfangende $assetName-Adresse.';
  }

  @override
  String get faq8722Sbquestion8722Sb31 => 'Was sollte ich über risikoreiche Zahlungsmethoden wissen?';

  @override
  String faq250Sbanswer8722Sb0(Object appName) {
    return '$appName ist eine Peer-to-Peer-Monero-Börse. Wir sind ein Marktplatz, auf dem Benutzer Monero untereinander kaufen und verkaufen können. Benutzer, Händler genannt, erstellen Anzeigen mit dem Preis und der Zahlungsmethode, die sie anbieten möchten. Sie können unsere Website nach Handelsanzeigen durchsuchen und nach einer von Ihnen bevorzugten Zahlungsmethode suchen. Sie finden Händler, die Monero online für mehr als 60 verschiedene Zahlungsmethoden kaufen und verkaufen. Wenn Sie neu bei $appName sind und Monero kaufen möchten, lesen Sie bitte unsere Kaufanleitung, um zu erfahren, wie Sie Monero kaufen können.';
  }

  @override
  String faq250Sbanswer8722Sb057Sbagoradesk(Object appName) {
    return '$appName ist ein Peer-to-Peer-Kryptowährungs-OTC-Desk. Wir sind ein Marktplatz, auf dem Benutzer Kryptowährungen untereinander kaufen und verkaufen können. Benutzer, Händler genannt, erstellen Anzeigen mit dem Preis und der Zahlungsmethode, die sie anbieten möchten. Sie können unsere Website nach Handelsanzeigen durchsuchen und nach einer von Ihnen bevorzugten Zahlungsmethode suchen. Sie finden Händler, die Kryptowährungen online für mehr als 60 verschiedene Zahlungsmethoden kaufen und verkaufen. Wenn Sie neu bei $appName sind und Kryptowährungen kaufen möchten, werfen Sie bitte einen Blick auf unsere Leitfäden.';
  }

  @override
  String faq250Sbanswer8722Sb1(Object buying, Object selling) {
    return 'Sie können unsere $buying- und $selling-Leitfäden lesen, um mit dem Handel mit Monero zu beginnen.';
  }

  @override
  String get faq250Sbanswer8722Sb18722Sbbuying => 'Kauf';

  @override
  String get faq250Sbanswer8722Sb18722Sbselling => 'Verkauf';

  @override
  String faq250Sbanswer8722Sb157Sbagoradesk(Object buying, Object selling) {
    return 'Sie können unsere Leitfäden $buying und $selling lesen, um mit dem Handel mit Kryptowährungen zu beginnen.';
  }

  @override
  String faq250Sbanswer8722Sb10(Object appName) {
    return 'Wenn Sie Monero mit $appName kaufen, wird das Monero an Ihre bereitgestellte Monero-Abrechnungs-Wallet gesendet. Von dort aus können Sie es versenden, wohin Sie möchten. Wenn Sie Monero verkaufen möchten, müssen Sie zuerst XMR auf Ihr $appName Monero-Wallet einzahlen.';
  }

  @override
  String get faq250Sbanswer8722Sb108722Sbwallet8722Sbpage => 'Wallet-Seite';

  @override
  String faq250Sbanswer8722Sb1057Sbagoradesk(Object appName) {
    return 'Wenn Sie Kryptowährung mit $appName kaufen, werden die Coins an Ihre bereitgestellte Abrechnungs-Wallet gesendet. Von dort aus können Sie es versenden, wohin Sie möchten. Wenn Sie Kryptowährung verkaufen möchten, müssen Sie zuerst Kryptowährung in Ihre entsprechende $appName-Wallet einzahlen.';
  }

  @override
  String faq250Sbanswer8722Sb11(Object appName, Object walletPage) {
    return 'Um Monero auf $appName zu verkaufen, müssen Sie zunächst etwas Monero für die Schiedsbürgschaft an Ihre $appName-Brieftasche senden. Dazu benötigen Sie ein $appName-Konto, Zugriff auf Monero in einem anderen Monero-Wallet und Sie müssen Ihre $appName-Empfangsadresse kennen. Um Ihre $appName-Empfangsadresse zu finden, müssen Sie zu $walletPage gehen. Der obere Teil der Seite ist in drei Teile unterteilt, die es Ihnen ermöglichen, Monero zu senden und zu empfangen und Ihre Transaktionen anzuzeigen. Auf der Registerkarte „Empfangen“ finden Sie Ihre Empfangsadresse. Sobald Sie Ihre $appName-Empfangsadresse kennen, können Sie zu Ihrer anderen Monero-Wallet gehen und diese Adresse verwenden, um Monero an Ihre $appName-Adresse zu senden.';
  }

  @override
  String faq250Sbanswer8722Sb1157Sbagoradesk(Object appName, Object walletPage) {
    return 'Um Kryptowährungen auf $appName zu verkaufen, müssen Sie zunächst einige Coins für die Schiedsbürgschaft an Ihr $appName-Wallet senden. Dazu benötigen Sie ein $appName-Konto, Zugriff auf Coins in einem anderen Wallet und Sie müssen Ihre $appName-Empfangsadresse kennen. Um Ihre $appName-Empfangsadresse zu finden, müssen Sie zu $walletPage gehen. Wählen Sie die relevante Kryptowährung aus. Der obere Teil der Wallet-Seite ist in drei Teile unterteilt, sodass Sie sowohl Kryptowährung senden als auch empfangen und Ihre Transaktionen anzeigen können. Auf der Registerkarte „Empfangen“ finden Sie Ihre Empfangsadresse. Sobald Sie Ihre $appName-Empfangsadresse kennen, können Sie zu Ihrem anderen Wallet gehen und diese Adresse verwenden, um die Coins an Ihre $appName-Adresse zu senden.';
  }

  @override
  String faq250Sbanswer8722Sb12(Object appName) {
    return 'Transaktionen dauern zwischen 10 und 60 Minuten, wenn Sie Monero an Ihr $appName-Wallet senden oder wenn Sie Monero von Ihrem $appName-Wallet aus senden.';
  }

  @override
  String faq250Sbanswer8722Sb1257Sbagoradesk(Object appName) {
    return 'Transaktionen dauern zwischen 10 und 60 Minuten, wenn Sie Coins an Ihr $appName-Wallet senden oder wenn Sie Coins aus Ihrem $appName-Wallet versenden.';
  }

  @override
  String faq250Sbanswer8722Sb13(Object wallet) {
    return 'Das Monero-Netzwerk ist möglicherweise überlastet, in diesem Fall dauert es viel länger, bis Transaktionen durchgeführt werden. Monero-Transaktionen müssen vom Monero-Netzwerk bestätigt werden. Wenn eine Transaktion durchgeführt wird, wird sie in einen Transaktionspool gesendet, von wo aus sie in Blöcke gebündelt wird, die Monero-Miner durch Mining bestätigen. Blöcke werden durchschnittlich alle zwei Minuten abgebaut. Sobald die Transaktion in einen Block aufgenommen und geschürft wurde, wurde sie einmal bestätigt. Wenn die Anzahl der Bestätigungen der Transaktion einen bestimmten Schwellenwert erreicht, derzeit 10 Bestätigungen, erscheint die Transaktion in den empfangenden Wallets. Sie können mehr über Bestätigungen auf der Monero-Wikipedia lesen und die aktuelle Anzahl unbestätigter Transaktionen im Monero-Netzwerk in Ihrem $wallet sehen.';
  }

  @override
  String get faq250Sbanswer8722Sb138722Sbwallet => 'Geldbörse';

  @override
  String faq250Sbanswer8722Sb1357Sbagoradesk(Object wallet) {
    return 'Das relevante Kryptowährungsnetzwerk ist möglicherweise überlastet, in diesem Fall dauert es viel länger, bis Transaktionen durchgeführt werden. Kryptowährungstransaktionen müssen vom Kryptowährungsnetzwerk bestätigt werden. Wenn eine Transaktion durchgeführt wird, wird sie in einen Transaktionspool gesendet, von wo aus sie in Blöcke gebündelt wird, die Miner durch Mining bestätigen. Sobald die Transaktion in einen Block aufgenommen und geschürft wurde, wurde sie einmal bestätigt. Wenn der Bestätigungszähler der Transaktion einen bestimmten Schwellenwert erreicht, erscheint die Transaktion in der empfangenden Brieftasche. Sie können die aktuelle Anzahl unbestätigter Transaktionen im Netzwerk in Ihrem $wallet sehen.';
  }

  @override
  String faq250Sbanswer8722Sb17(Object appName) {
    return '$appName verwendet ein Feedback-System, das eine Punktzahl in Ihrem öffentlichen Profil anzeigt. Diese Punktzahl, ein Prozentsatz, zeigt, wie viel positives Feedback ein Benutzer hat. Sie können einem Benutzer nur ein Feedback geben. Das Feedback kann einer von drei Arten sein: Positiv, Neutral und Negativ. Einmal gegebenes Feedback ist im öffentlichen Profil eines Benutzers sichtbar, wenn bestimmte Bedingungen erfüllt sind, andernfalls bleibt das Feedback unbestätigt und wirkt sich nicht auf die Bewertung des Feedbacks aus.';
  }

  @override
  String get faq250Sbanswer8722Sb18 => 'Feedback, das gegeben wurde, kann entweder bestätigt oder unbestätigt sein. Bestätigtes Feedback wird im öffentlichen Profil eines Benutzers angezeigt und wirkt sich auf die Bewertung des Benutzers aus. Damit ein unbestätigtes Feedback bestätigt wird, muss das gesamte Handelsvolumen zwischen dem Feedback des Benutzers und dem Empfang des Feedbacks mehr als 100 USD betragen.';

  @override
  String faq250Sbanswer8722Sb19(Object appName, Object enableWebnotificationsfromyourprofile) {
    return 'Webbenachrichtigungen ermöglichen es Ihnen, Popup-Benachrichtigungen über Ihren Browser zu erhalten, wenn Sie eine neue Benachrichtigung auf $appName erhalten. Wenn Sie handeln und sofort wissen wollen, wenn etwas passiert, $enableWebnotificationsfromyourprofile. Legen Sie den Schalter mit der Aufschrift Webbenachrichtigungen aktivieren um und wenn Ihr Browser Sie um Erlaubnis bittet, Webbenachrichtigungen anzuzeigen, drücken Sie Akzeptieren. Sie sind jetzt fertig und erhalten Web-Benachrichtigungen.';
  }

  @override
  String get faq250Sbanswer8722Sb198722Sbenable8722Sbweb8722Sbnotifications8722Sbfrom8722Sbyour8722Sbprofile => 'Aktivieren Sie Webbenachrichtigungen von Ihrem Profil aus';

  @override
  String faq250Sbanswer8722Sb2(Object guide) {
    return 'Schauen Sie sich unser $guide an.';
  }

  @override
  String get faq250Sbanswer8722Sb28722Sbguide => 'Leitfaden zur Zwei-Faktor-Authentifizierung';

  @override
  String get faq250Sbanswer8722Sb20 => 'Manchmal kann ein Händler nach Ihrem Ausweis fragen. Wenn Sie zum ersten Mal mit einem Händler handeln, werden Sie möglicherweise aufgefordert, sich auszuweisen. Dies liegt daran, dass Händler in bestimmten Ländern durch lokale Gesetze verpflichtet sind, zu wissen, wer ihre Kunden sind. Die meisten Händler erklären in den Geschäftsbedingungen, ob sie eine ID-Überprüfung benötigen oder nicht. Wenn Sie dem Händler Ihre ID nicht mitteilen möchten, können Sie den Handel jederzeit stornieren und nach einem Händler mit weniger strengen Anforderungen suchen. Senden Sie Ihre ID immer über den Handels-Chat an den Verkäufer, unsere Handels-Chat-Nachrichten werden verschlüsselt auf unseren Servern aufbewahrt und nach 180 Tagen gelöscht. Alle Fotos, die an den Handelschat gesendet werden, sind außerdem mit einem Wasserzeichen versehen, um einen Missbrauch der Bilder zu verhindern.';

  @override
  String faq250Sbanswer8722Sb21(Object appName) {
    return 'Die Verkäufer schließen normalerweise einen Handel ab, sobald sie Ihre Zahlung sehen, was manchmal ein oder zwei Stunden dauern kann. Wenn Sie bezahlt haben, aber immer noch warten, müssen Sie sich keine Sorgen machen, denn alle Online-Handel sind durch die Schlichtungsbürgschaft geschützt und der Verkäufer kann nicht weglaufen, ohne die Bürgschaft zu verlieren. Wenn es Probleme mit einem Handel gibt und der Verkäufer ihn nicht abschließen wird, können Sie den Handel anfechten, damit der Support von $appName ihn löst. Wenn Sie Monero online kaufen oder verkaufen, können Sie den Handel anfechten, nachdem Sie die Zahlung als abgeschlossen markiert haben. Ein Streit kann nicht mehr begonnen werden, wenn der Handel abgeschlossen wurde oder wenn es sich um einen lokalen Handel ohne aktivierten Schiedsbürgschaftsschutz handelt. Wenn ein Handel, an dem Sie beteiligt sind, strittig wird, erhalten Sie eine E-Mail. Ein strittiger Handel wird normalerweise innerhalb von 24-48 Stunden gelöst.';
  }

  @override
  String faq250Sbanswer8722Sb2157Sbagoradesk(Object appName) {
    return 'Die Verkäufer schließen normalerweise einen Handel ab, sobald sie Ihre Zahlung sehen, was manchmal ein oder zwei Stunden dauern kann. Wenn Sie bezahlt haben, aber immer noch warten, müssen Sie sich keine Sorgen machen, denn alle Online-Handel sind durch die Schlichtungsbürgschaft geschützt und der Verkäufer kann nicht weglaufen, ohne die Bürgschaft zu verlieren. Wenn es Probleme mit einem Handel gibt und der Verkäufer ihn nicht abschließen wird, können Sie den Handel anfechten, damit der Support von $appName ihn löst. Wenn Sie Kryptowährung online kaufen oder verkaufen, können Sie den Handel anfechten, nachdem Sie die Zahlung als abgeschlossen markiert haben. Ein Streit kann nicht mehr begonnen werden, wenn der Handel abgeschlossen wurde oder wenn es sich um einen lokalen Handel ohne aktivierten Schiedsbürgschaftsschutz handelt. Wenn ein Handel, an dem Sie beteiligt sind, strittig wird, erhalten Sie eine E-Mail. Ein strittiger Handel wird normalerweise innerhalb von 24-48 Stunden gelöst.';
  }

  @override
  String get faq250Sbanswer8722Sb22 => 'Wir reservieren einen kleinen Monero-Betrag aus Ihrem Wallet-Guthaben, um die Monero-Transaktionsgebühr an das Monero-Netzwerk zu zahlen. Jede Monero-Transaktion muss eine kleine Gebühr an das Netzwerk zahlen, um bestätigt zu werden, egal von wo sie gesendet wird. Wir reservieren diese Gebühr im Voraus, um zu verhindern, dass Ihr Wallet-Guthaben negativ wird.';

  @override
  String get faq250Sbanswer8722Sb2257Sbagoradesk => 'Wir reservieren einen kleinen Betrag von Ihrem Wallet-Guthaben, um die Netzwerktransaktionsgebühr zu bezahlen. Jede Kryptowährungstransaktion muss eine kleine Gebühr an das Netzwerk zahlen, um bestätigt zu werden, egal von wo sie gesendet wird.';

  @override
  String faq250Sbanswer8722Sb24(Object dashboard, Object appName, Object supportRequestform) {
    return 'Diese Antwort betrifft den Fall, wenn Sie Monero online kaufen. Nachdem Sie eine Handelsanfrage an den Verkäufer von Monero gesendet haben, haben Sie ein Zeitfenster, um die Zahlung abzuschließen, bevor der Verkäufer den Handel stornieren kann (das Zahlungsfenster variiert je nach Zahlungsmethode des Handels). Während dieser Zeit müssen Sie Ihre Zahlung abschließen und auf die Schaltfläche Ich habe bezahlt klicken. Der Verkäufer wird benachrichtigt, dass Sie die Zahlung getätigt haben, und der Monero wird in der Anleihe gehalten, bis der Verkäufer den Handel für Sie abschließt, wenn er die Zahlung auf seinem Konto sieht. Wenn Sie für den Kauf bezahlt haben, die Zahlung jedoch nicht vor Ablauf des Zahlungszeitfensters als abgeschlossen markiert haben, wenden Sie sich bitte über den Handel an den Verkäufer. Sie können den Verkäufer und Ihre anderen bestehenden Handelskontakte über $dashboard in Ihrem $appName-Benutzerprofil kontaktieren. Senden Sie eine Nachricht an den Verkäufer und erklären Sie freundlicherweise die Situation und warum Sie die Zahlung nicht innerhalb des Zeitfensters abschließen konnten. Wenn der Verkäufer auf diese Anfrage nicht antwortet, wenden Sie sich bitte unter $supportRequestform an den $appName-Support und geben Sie Ihre Handels-ID an.';
  }

  @override
  String get faq250Sbanswer8722Sb248722Sbdashboard => 'Armaturenbrett';

  @override
  String get faq250Sbanswer8722Sb248722Sbsupport8722Sbrequest8722Sbform => 'Support-Anfrageformular';

  @override
  String faq250Sbanswer8722Sb2457Sbagoradesk(Object dashboard, Object appName, Object supportRequestform) {
    return 'Nachdem Sie eine Handelsanfrage gesendet haben, haben Sie ein Zeitfenster, um die Zahlung abzuschließen, bevor die andere Partei den Handel stornieren kann. Während dieser Zeit müssen Sie Ihre Zahlung abschließen und auf die Schaltfläche „Ich habe bezahlt“ klicken. Die andere Partei wird benachrichtigt, dass Sie die Zahlung getätigt haben, und die Münzen werden in der Anleihe gehalten, bis die andere Partei den Handel für Sie abschließt, nachdem sie die Zahlung auf ihrem Konto gesehen hat. Wenn Sie für den Kauf bezahlt haben, die Zahlung jedoch nicht vor Ablauf des Zahlungszeitfensters als abgeschlossen markiert haben, kontaktieren Sie die andere Partei bitte über den Handels-Chat. Sie können die andere Partei und Ihre anderen bestehenden Handelskontakte über $dashboard kontaktieren. Senden Sie eine Nachricht an die andere Partei und erklären Sie freundlicherweise die Situation und warum Sie die Zahlung nicht innerhalb des Zeitfensters abschließen konnten. Wenn die andere Partei auf diese Anfrage nicht antwortet, wenden Sie sich bitte unter $supportRequestform an die Mitarbeiter von $appName und geben Sie Ihre Handels-ID an.';
  }

  @override
  String get faq250Sbanswer8722Sb25 => 'Wenn der Käufer oder Verkäufer einen Streit einleitet, tritt ein Administrator in den Handels-Chat ein und bittet beide Parteien um Beweise und berücksichtigt den Chat-Verlauf und den Ruf, um eine möglichst faire Entscheidung zu treffen.';

  @override
  String faq250Sbanswer8722Sb26(Object appName) {
    return 'Monero-Transaktionen sind irreversibel, sobald Sie Geld an eine andere Monero-Adresse gesendet haben, ist es weder Ihnen noch $appName möglich, es rückgängig zu machen.';
  }

  @override
  String faq250Sbanswer8722Sb2657Sbagoradesk(Object appName) {
    return 'Kryptowährungstransaktionen sind irreversibel, sobald Sie die Münzen an eine andere Adresse gesendet haben, ist es weder Ihnen noch $appName möglich, sie rückgängig zu machen.';
  }

  @override
  String faq250Sbanswer8722Sb27(Object appName) {
    return 'Die Anzeigenpreise basieren auf den Monero-Wechselkursen. Der Wechselkurs von Monero ist volatil und kann sich schnell ändern. $appName aktualisiert seine Wechselkurse und Anzeigenpreise alle zehn Minuten. Die in den Listen und auf der Titelseite angezeigten Preise werden zwischengespeichert und etwas langsamer aktualisiert. Manchmal, wenn der Monero-Preis schnell schwankt, können Anzeigen mit derselben Preisgleichung unterschiedliche Preise anzeigen. Manchmal sind für einige Währungen keine Marktdaten verfügbar, was zu Verzögerungen bei der Aktualisierung der Anzeigenpreise führt. Wenn Sie jedoch die Anzeigenseite selbst öffnen, ist der Preis aktueller. Der Preis des Kaufs wird in dem Moment festgelegt, in dem der Monero-Käufer die Handelsanfrage einsendet.';
  }

  @override
  String faq250Sbanswer8722Sb2757Sbagoradesk(Object appName) {
    return 'Die Anzeigenpreise basieren auf den Wechselkursen von Kryptowährungen. Die Wechselkurse sind volatil und können sich schnell ändern. $appName aktualisiert seine Wechselkurse und Anzeigenpreise alle zwölf Minuten. Die in den Listen und auf der Titelseite angezeigten Preise werden zwischengespeichert und etwas langsamer aktualisiert. Manchmal, wenn der Preis schnell schwankt, können Anzeigen mit der gleichen Preisformel unterschiedliche Preise anzeigen. Manchmal sind für einige Währungen keine Marktdaten verfügbar, was zu Verzögerungen bei der Aktualisierung der Anzeigenpreise führt. Wenn Sie jedoch die Anzeigenseite selbst öffnen, ist der Preis aktueller. Der Preis wird bestimmt, wenn die Handelsanfrage gesendet wird.';
  }

  @override
  String get faq250Sbanswer8722Sb28 => 'Wenn der Preis variabel ist, schwankt der gekaufte Monero-Betrag mit dem Monero-Wechselkurs. Der gehandelte Monero-Betrag wird bestimmt, wenn der Handel geschlossen wird, anstatt wenn der Handel eröffnet wird. Dies verringert das Marktzinsrisiko bei lokalen Kassageschäften, bei denen die Zeit zwischen Eröffnung und Schließung des Handels mehrere Tage betragen kann.';

  @override
  String get faq250Sbanswer8722Sb2857Sbagoradesk => 'Wenn der Preis schwankt, schwankt der gekaufte Kryptowährungsbetrag mit dem Wechselkurs. Der gehandelte Betrag wird bestimmt, wenn der Handel geschlossen wird, und nicht, wenn der Handel eröffnet wird. Dies verringert das Marktzinsrisiko bei lokalen Kassageschäften, bei denen die Zeit zwischen Eröffnung und Schließung des Handels mehrere Tage betragen kann.';

  @override
  String faq250Sbanswer8722Sb29(Object feesPage) {
    return 'Alle Informationen zu den aktuellen Gebühren finden Sie auf unserem $feesPage';
  }

  @override
  String get faq250Sbanswer8722Sb298722Sbfees8722Sbpage => 'Gebühren Seite';

  @override
  String faq250Sbanswer8722Sb30(Object telegram, Object thisGuide, Object appName) {
    return 'Im Moment haben wir keine eigenständige mobile App. Aber Sie können mobile Benachrichtigungen in $telegram erhalten! $thisGuide führt Sie durch den Aktivierungsprozess für Telegrammbenachrichtigungen (es ist ganz einfach). Unser Bot sendet Ihnen dann Benachrichtigungen zu Ihren $appName-Ereignissen.';
  }

  @override
  String get faq250Sbanswer8722Sb308722Sbthis8722Sbguide => 'Dieser Leitfaden';

  @override
  String get faq250Sbanswer8722Sb32 => 'Die Transaktionspriorität ist eine Einstellung, die in Monero verwendet wird, um Ihre Zahlung von anderen Zahlungen im Monero-Netzwerk abzuheben (falls es Konkurrenz gibt). Transaktionen mit niedriger Priorität können länger dauern, bis sie abgeschlossen sind.';

  @override
  String get faq250Sbanswer8722Sb32250Sb1 => 'Bei Bitcoin beeinflussen die Gebührenniveaus die Geschwindigkeit, mit der Ihre Transaktion bestätigt wird, indem sie Miner dazu anregen, Ihre Transaktion gegen eine höhere Gebühr zu priorisieren. Es wird geschätzt, dass eine Transaktion mit hohen Gebühren innerhalb weniger Blöcke bestätigt wird; Es wird geschätzt, dass eine Transaktion mit mittlerer Gebühr innerhalb eines Tages bestätigt wird; Eine Transaktion mit niedrigen Gebühren wird voraussichtlich innerhalb einer Woche bestätigt.';

  @override
  String faq250Sbanswer8722Sb33(Object appName) {
    return 'Sie können Münzen aus der $appName-Wallet in Ihre persönliche Wallet einer anderen Kryptowährung als der $appName-Währung abheben. Dazu müssen Sie zuerst das Kontrollkästchen „Ich möchte eine andere Währung erhalten“ aktivieren. Wählen Sie anschließend die gewünschte empfangende Kryptowährung aus und geben Sie die Adresse ein, an die die Coins gesendet werden sollen. Wählen Sie dann, ob Sie den Betrag entweder in Coins bereitstellen möchten, die von Ihrem Wallet gesendet wurden, oder in den konvertierten Coins, die Sie in Ihrem Ziel-Wallet erhalten haben, und geben Sie die Menge ein. Klicken Sie auf „Weiter“ und Ihnen werden die für Sie passenden Angebote angezeigt. Wenn die Liste leer ist, versuchen Sie, den Betrag anzupassen. Der Umrechnungskurs wird für jedes Angebot angezeigt, und wenn er akzeptabel ist, brauchen Sie nur auf „Handeln“ zu klicken, den Bedingungen zuzustimmen, und ein Handel für den entsprechenden Betrag wird automatisch für Sie erstellt. Die Zieladresse wird dem Käufer automatisch über den Handels-Chat mitgeteilt. Der Rest wird wie jeder andere Handel auf $appName abgewickelt – der Käufer sendet die gewünschte Währung an die von Ihnen angegebene Adresse, und nach Erhalt der Coins sollten Sie einen Handel abschließen. Das ist es!';
  }

  @override
  String get faq250Sbanswer8722Sb338722Sbmorphtoken8722Sbfaq8722Sblink => 'Hier können Sie mehr darüber lesen, wie ChangeNow funktioniert, ihre Service- und Netzwerkgebühren';

  @override
  String faq250Sbanswer8722Sb4(Object value) {
    return 'Wenn Sie Ihren Sicherungscode haben, verwenden Sie einen QR-Generierungsdienst wie $value, um den QR aus Ihrem Sicherungscode zu generieren. Scannen Sie dann den generierten QR mit Ihrer mobilen 2FA-App. Wenn Sie Ihren Sicherungscode nicht haben, bedeutet dies, dass Sie den Zugriff auf Ihr Konto verloren haben. Leider ist es uns nicht möglich, zwischen einem Hacker, der vorgibt, Sie zu sein, und Ihnen, die Sie tatsächlich sind, zu unterscheiden.';
  }

  @override
  String get faq250Sbanswer8722Sb48722Sbthis => 'Dies';

  @override
  String faq250Sbanswer8722Sb5(Object onionUrl, Object tor) {
    return 'Ja, tun wir! Hier ist es: $onionUrl (Sie benötigen $tor, um diesen Link zu öffnen).';
  }

  @override
  String faq250Sbanswer8722Sb6(Object b32I2purl, Object i2pUrl, Object i2p) {
    return 'Ja, wir haben tatsächlich zwei! Hier sind sie: $b32I2purl oder $i2pUrl (Sie benötigen $i2p, um diese Links zu öffnen).';
  }

  @override
  String faq250Sbanswer8722Sb7(Object here) {
    return 'Jawohl! Sieh es dir an $here.';
  }

  @override
  String get faq250Sbanswer8722Sb78722Sbhere => 'hier';

  @override
  String faq250Sbanswer8722Sb8(Object appName) {
    return 'Alle Online-Trades sind durch Schiedsgerichtsbarkeiten geschützt. Wenn ein Handel gestartet wird, wird automatisch ein Monero-Betrag in Höhe des Handelsbetrags von der $appName-Brieftasche des Verkäufers als Kaution reserviert. Das bedeutet, dass, wenn der Verkäufer mit Ihrem Geld davonläuft und den Handel nicht abschließt, der $appName-Support den in der Schlichtungsbürgschaft gehaltenen Monero an Sie weiterleiten kann. Wenn Sie Monero verkaufen, schließen Sie den Handel niemals ab, bevor Sie wissen, dass Sie Geld vom Monero-Käufer erhalten haben. Bitte beachten Sie, dass bei lokalen Trades der Schiedsbündnisschutz nicht standardmäßig aktiviert ist.';
  }

  @override
  String faq250Sbanswer8722Sb857Sbagoradesk(Object appName) {
    return 'Alle Online-Trades sind durch Schiedsgerichtsbarkeiten geschützt. Wenn ein Handel gestartet wird, wird automatisch ein Betrag an Kryptowährung in Höhe des Handelsbetrags aus der $appName-Brieftasche des Verkäufers als Anleihe reserviert. Das bedeutet, dass, wenn der Verkäufer mit Ihrem Geld davonläuft und den Handel nicht abschließt, der $appName-Support die in der Schiedsbürgschaft gehaltene Kryptowährung an Sie weiterleiten kann. Wenn Sie Kryptowährung verkaufen, schließen Sie den Handel niemals ab, bevor Sie wissen, dass Sie Geld vom Käufer erhalten haben. Bitte beachten Sie, dass bei lokalen Trades der Schiedsbündnisschutz nicht standardmäßig aktiviert ist.';
  }

  @override
  String faq250Sbanswer8722Sb9(Object appName) {
    return 'Wir haben zwei verschiedene Arten von Trades auf $appName, lokale Trades und Online-Trades. Online-Handel erfolgt vollständig online über unsere Handelsplattform, ohne dass Sie jemals Ihren Handelspartner treffen. Der Schutz vor Schiedsbürgschaften wird automatisch aktiviert und für Online-Handel finanziert, was bedeutet, dass Sie als Käufer automatisch durch unser Schiedsbürgschaftsschutzsystem geschützt sind. Die meisten Trades auf $appName sind Online-Trades. Lokale Geschäfte sollen von Angesicht zu Angesicht durchgeführt werden, und der Schutz von Schiedsbürgschaften ist nicht automatisch aktiviert. Aus diesem Grund ist es nicht sicher, den Verkäufer mit einer Online-Zahlungsmethode in einem lokalen Geschäft zu bezahlen. Online-Zahlungsmethoden sind beispielsweise Banküberweisungen; PayPal; Gutscheincodes etc.';
  }

  @override
  String faq250Sbmorph8722Sbdeposit250Sbcontent(Object appName) {
    return 'Wenn Sie Münzen aus einer Brieftasche mit einer anderen Kryptowährung in die $appName-Brieftasche einzahlen möchten, müssen Sie das Kontrollkästchen „Ich möchte eine andere Währung einzahlen“ auf der Registerkarte „Empfangen“ der Brieftaschenseite aktivieren. Wählen Sie im angezeigten Abschnitt die gewünschte Einzahlungswährung, den Einzahlungsbetrag (achten Sie auf die angezeigten Limits) und geben Sie die jeweilige Rückerstattungsadresse ein, die verwendet wird, wenn bei der Transaktion etwas schief geht. Nachdem Sie das getan haben, klicken Sie auf \'Zeig mir die Einzahlungsadresse!\' Schaltfläche, die ein Fenster öffnet, in dem Sie die Einzahlungsadresse sehen. Senden Sie die Coins aus Ihrem Wallet an die angegebene ChangeNow Einzahlungsadresse. An diesem Punkt konvertiert ChangeNow Ihre Coins und überträgt sie auf Ihre $appName-Wallet.';
  }

  @override
  String faq250Sbmorph8722Sbdeposit250Sbcontent57Sbagoradesk(Object appName) {
    return 'Wenn Sie Münzen aus einer Brieftasche mit einer anderen Kryptowährung in die $appName-Brieftasche einzahlen möchten, müssen Sie das Kontrollkästchen „Ich möchte eine andere Währung einzahlen“ auf der Registerkarte „Empfangen“ der Brieftaschenseite aktivieren. Wählen Sie im angezeigten Abschnitt die gewünschte Einzahlungswährung, den Einzahlungsbetrag (achten Sie auf die angezeigten Limits) und geben Sie die jeweilige Rückerstattungsadresse ein, die verwendet wird, wenn bei der Transaktion etwas schief geht. Nachdem Sie das getan haben, klicken Sie auf \'Zeig mir die Einzahlungsadresse!\' Schaltfläche, die ein Fenster öffnet, in dem Sie die Einzahlungsadresse sehen. Senden Sie die Coins aus Ihrem Wallet an die angegebene ChangeNow Einzahlungsadresse. An diesem Punkt konvertiert ChangeNow Ihre Coins und überträgt sie auf Ihre $appName-Wallet.';
  }

  @override
  String faq250Sbmorph8722Sbdeposit250Sbtitle(Object appName) {
    return 'Wie kann ich andere Kryptowährungen auf das $appName Wallet einzahlen?';
  }

  @override
  String faq250Sbquestion8722Sb0(Object appName) {
    return 'Was ist $appName?';
  }

  @override
  String get faq250Sbquestion8722Sb1 => 'Wie kaufe oder verkaufe ich Monero?';

  @override
  String get faq250Sbquestion8722Sb157Sbagoradesk => 'Wie kaufe oder verkaufe ich Kryptowährungen?';

  @override
  String get faq250Sbquestion8722Sb10 => 'Wie sende ich Monero und wie kann ich nach dem Kauf mit Monero bezahlen?';

  @override
  String get faq250Sbquestion8722Sb1057Sbagoradesk => 'Wie versende ich Kryptowährungen und wie kann ich nach dem Kauf mit Kryptowährungen bezahlen?';

  @override
  String faq250Sbquestion8722Sb11(Object appName) {
    return 'Wie bekomme ich Monero in mein $appName Wallet?';
  }

  @override
  String faq250Sbquestion8722Sb1157Sbagoradesk(Object appName) {
    return 'Wie erhalte ich Kryptowährung auf mein $appName Wallet?';
  }

  @override
  String faq250Sbquestion8722Sb12(Object appName) {
    return 'Wie lange dauert es, Monero an mein $appName Wallet zu senden oder zu empfangen?';
  }

  @override
  String faq250Sbquestion8722Sb1257Sbagoradesk(Object appName) {
    return 'Wie lange dauert es, Kryptowährungen an mein $appName Wallet zu senden oder zu empfangen?';
  }

  @override
  String get faq250Sbquestion8722Sb13 => 'Ich habe 60 Minuten gewartet und meine Transaktion steht noch aus, was nun?';

  @override
  String get faq250Sbquestion8722Sb17 => 'Wie funktioniert das Feedback-System?';

  @override
  String get faq250Sbquestion8722Sb18 => 'Was ist der Unterschied zwischen bestätigtem und unbestätigtem Feedback?';

  @override
  String get faq250Sbquestion8722Sb19 => 'Wie aktiviere ich Webbenachrichtigungen?';

  @override
  String get faq250Sbquestion8722Sb2 => 'Wie bin ich vor Betrug geschützt?';

  @override
  String get faq250Sbquestion8722Sb20 => 'Ein Händler fragt mich nach meinem Ausweis, und ich fühle mich nicht wohl dabei.';

  @override
  String get faq250Sbquestion8722Sb21 => 'Ich habe den Verkäufer bezahlt, aber ich habe mein Monero noch nicht erhalten.';

  @override
  String get faq250Sbquestion8722Sb2157Sbagoradesk => 'Ich habe bezahlt, aber meine Coins noch nicht erhalten.';

  @override
  String get faq250Sbquestion8722Sb22 => 'Warum kann ich nicht alle Monero senden, die sich in meiner Brieftasche befinden?';

  @override
  String get faq250Sbquestion8722Sb2257Sbagoradesk => 'Warum kann ich nicht alle Coins versenden, die sich in meiner Wallet befinden?';

  @override
  String faq250Sbquestion8722Sb23(Object appName) {
    return 'Ich habe eine Transaktion von $appName durchgeführt und sie wird auf der Empfängerseite nicht angezeigt!';
  }

  @override
  String get faq250Sbquestion8722Sb24 => 'Ich habe meine Zahlung getätigt, aber ich habe vergessen, die Schaltfläche „Ich habe bezahlt“ zu drücken, oder ich habe sie nicht rechtzeitig gedrückt';

  @override
  String get faq250Sbquestion8722Sb25 => 'Wie werden Streitigkeiten behandelt?';

  @override
  String get faq250Sbquestion8722Sb26 => 'Ich habe Monero an die falsche Adresse geschickt, kann ich sie zurückbekommen?';

  @override
  String get faq250Sbquestion8722Sb2657Sbagoradesk => 'Ich habe Coins an die falsche Adresse geschickt, kann ich sie zurückbekommen?';

  @override
  String get faq250Sbquestion8722Sb27 => 'Wie oft werden die Anzeigenpreise aktualisiert?';

  @override
  String get faq250Sbquestion8722Sb28 => 'Was ist ein variabler Preis?';

  @override
  String get faq250Sbquestion8722Sb29 => 'Wie hoch sind die Gebühren?';

  @override
  String get faq250Sbquestion8722Sb3 => 'Wie aktiviere ich die Zwei-Faktor-Authentifizierung?';

  @override
  String get faq250Sbquestion8722Sb30 => 'Haben Sie eine mobile App? / Wie kann ich mobile Benachrichtigungen erhalten?';

  @override
  String get faq250Sbquestion8722Sb32 => 'Was ist eine Transaktionspriorität?';

  @override
  String get faq250Sbquestion8722Sb32250Sb1 => 'Was ist eine Gebührenstufe?';

  @override
  String faq250Sbquestion8722Sb33(Object appName) {
    return 'Wie kann ich Monero von meiner $appName-Wallet auf eine andere Kryptowährungs-Wallet abheben?';
  }

  @override
  String faq250Sbquestion8722Sb3357Sbagoradesk(Object appName) {
    return 'Wie kann ich andere Kryptowährungen von meiner $appName Wallet abheben?';
  }

  @override
  String get faq250Sbquestion8722Sb5 => 'Ich habe meinen zweiten Authentifizierungsfaktor verloren, was soll ich tun?';

  @override
  String get faq250Sbquestion8722Sb6 => 'Habt ihr eine .onion-Site / einen versteckten Tor-Dienst?';

  @override
  String get faq250Sbquestion8722Sb7 => 'Habt ihr eine I2P-Seite?';

  @override
  String get faq250Sbquestion8722Sb8 => 'Haben Sie ein Partnerprogramm?';

  @override
  String get faq250Sbquestion8722Sb9 => 'Was ist der Unterschied zwischen einem Online-Handel und einem lokalen Handel?';

  @override
  String get faq250Sbtitle => 'Häufig gestellte Fragen';

  @override
  String get feedback250Sbnone => 'Noch keine Rückmeldung';

  @override
  String feedback250Sbtitle(Object user) {
    return 'Feedback zu $user';
  }

  @override
  String fees250Sbtitle(Object appName) {
    return '$appName Gebühren';
  }

  @override
  String fees250Sbtrading250Sbtext(Object appName) {
    return 'Das Registrieren, Kaufen und Verkaufen von Monero ist völlig <strong>kostenlos</strong>. <br/> $appName Benutzern, die Anzeigen erstellen, wird eine <strong> 1 % Schlichtungsschutzgebühr </strong> für jeden abgeschlossenen Handel berechnet.';
  }

  @override
  String fees250Sbtrading250Sbtext57Sbagoradesk(Object appName) {
    return 'Das Registrieren, Kaufen und Verkaufen von Kryptowährungen ist völlig <strong>kostenlos</strong>. <br/> $appName Benutzern, die Anzeigen erstellen, wird eine <strong> 1 % Schlichtungsschutzgebühr </strong> für jeden abgeschlossenen Handel berechnet.';
  }

  @override
  String get fees250Sbtrading250Sbtitle => 'Monero-Handel';

  @override
  String get fees250Sbtrading250Sbtitle57Sbagoradesk => 'Handel mit Kryptowährungen';

  @override
  String fees250Sbtx250Sbtext(Object appName, Object free, Object linebreak, Object walletPage, Object outgoingMonerofees) {
    return 'Transaktionen mit Wallets anderer $appName-Benutzer sind $free. $linebreak  Transaktionen mit anderen Monero-Wallets unterliegen der Transaktionsgebühr des Monero-Netzwerks. Die aktuelle Gebühr ist auf dem $walletPage unter der Überschrift $outgoingMonerofees ersichtlich. Die Transaktionsgebühr wird von Ihrem $appName-Wallet bezahlt, wenn Sie eine Transaktion senden.';
  }

  @override
  String get fees250Sbtx250Sbtext8722Sbfree => 'frei';

  @override
  String get fees250Sbtx250Sbtext8722Sbwallet8722Sbpage => 'Wallet-Seite';

  @override
  String fees250Sbtx250Sbtext57Sbagoradesk(Object appName, Object free, Object linebreak, Object walletPage, Object outgoingMonerofees) {
    return 'Transaktionen mit Wallets anderer $appName-Benutzer sind $free. $linebreak  Transaktionen an externe Kryptowährungs-Wallets unterliegen der entsprechenden Transaktionsgebühr des Kryptowährungsnetzwerks. Die aktuelle Gebühr ist auf dem $walletPage unter der Überschrift $outgoingMonerofees ersichtlich. Die Transaktionsgebühr wird von Ihrem $appName-Wallet bezahlt, wenn Sie eine Transaktion senden.';
  }

  @override
  String get fees250Sbtx250Sbtitle => 'Monero-Transaktionsgebühren';

  @override
  String get fees250Sbtx250Sbtitle57Sbagoradesk => 'Transaktionsgebühren für Kryptowährungen';

  @override
  String get finish => 'Fertig';

  @override
  String get footer250Sbabout => 'Um';

  @override
  String get footer250Sbaffiliate => 'Affiliate';

  @override
  String get footer250Sbblocks => 'Monero-Block-Explorer';

  @override
  String get footer250Sbbounty => 'Sicherheitsprämie';

  @override
  String get footer250Sbcanary => 'Kanarienvogel';

  @override
  String get footer250Sbcontact => 'Kontaktiere uns';

  @override
  String get footer250Sbfees => 'Honorare';

  @override
  String get footer250Sble => 'Anfragen von Strafverfolgungsbehörden';

  @override
  String get footer250Sbpgp => 'PGP-Schlüssel';

  @override
  String get footer250Sbtor => 'Tor versteckter Dienst';

  @override
  String get footer250Sbtos => 'Nutzungsbedingungen';

  @override
  String get formula250Sbexamples8722Sbtitle => 'Beispiele';

  @override
  String get formula250Sbexamples250Sbbtc => '5 % über dem durchschnittlichen BTC/EUR-Marktpreis: <strong>coingeckobtcusd*usdeur*1,05</strong>\n<br/> BTC/XMR Marktpreis: <strong>1/coingeckoxmrbtc</strong>\n<br/> 5 % über dem Kraken BTC/EUR letzter Preis umgerechnet in GBP: <strong> krakenbtceurlast/usdeur*usdgbp*1,05 </strong>\n<br/> 5 % unter dem höchsten unter dem BTC/USD-Bitfinex-Niedrigpreis und dem BTC/USD-Kraken-Last-Preis: <strong>max(bitfinexbtcusdlow,krakenbtcusdlast)*0,95</strong>\n<br/> 0,1 LTC über dem BTC/LTC-Marktpreis: <strong>Coingeckobtcltc+0,1</strong>';

  @override
  String get formula250Sbexamples250Sbxmr => '5 % über dem durchschnittlichen XMR/EUR-Marktpreis: <strong>coingeckoxmrusd*usdeur*1,05</strong>\n<br/> ETH/XMR Marktpreis: <strong>coingeckoethbtc/coingeckoxmrbtc</strong>\n<br/> BTC/XMR Marktpreis: <strong>1/coingeckoxmrbtc</strong>\n<br/> 5 % über dem Kraken XMR/EUR letzter Preis umgerechnet in GBP: <strong> krakenxmreurlast/usdeur*usdgbp*1,05 </strong>\n<br/> 5 % unter dem höchsten unter dem XMR/USD-Bitfinex-Niedrigpreis und dem XMR/USD-Kraken-Letztpreis: <strong>max(bitfinexxmrusdlow,krakenxmrusdlast)*0,95</strong>\n<br/> 0,001 BTC über dem XMR/BTC-Marktpreis: <strong>coingeckoxmrbtc+0,001</strong>';

  @override
  String get formula250Sbfiat8722Sbrates => 'Fiat-Wechselkurse';

  @override
  String get formula250Sbfiat8722Sbrates8722Sbtab => 'Fiat-Wechselkurse';

  @override
  String get formula250Sbfunctions => 'Funktionen';

  @override
  String get formula250Sbinput8722Sblabel => 'Preisformel';

  @override
  String get formula250Sbinvalid8722Sbmessage => 'Ungültige Formel!';

  @override
  String get formula250Sbmarkets => 'Märkte';

  @override
  String get formula250Sbmarkets8722Sbtab => 'Märkte';

  @override
  String get formula250Sbno8722Sbformula8722Sbmessage => 'Geben Sie eine gültige Formel ein, um den Preis anzuzeigen';

  @override
  String get formula250Sboperators => 'Betreiber';

  @override
  String get formula250Sboperators8722Sband8722Sbfunctions8722Sbtab => 'Opern & Funktionen';

  @override
  String get formula250Sbpopular8722Sbfiat8722Sbpairs => 'Beliebte Fiat-Tauschpaare';

  @override
  String get formula250Sbunexpected8722Sberror => 'Fehler! Aktualisieren Sie die Seite und versuchen Sie es erneut. Wenn das Problem weiterhin besteht, wenden Sie sich bitte an unseren Support.';

  @override
  String get guide250Sb2fa250Sbstep8722Sbfive8722Sbtext => 'Scannen Sie in Ihrer Authentifizierungs-App den auf der Seite angezeigten QR-Code. Danach erscheinen 6-stellige Einmalpasswörter in der App.';

  @override
  String guide250Sb2fa250Sbstep8722Sbfour8722Sbtext(Object chooseAnyapp, Object andotp) {
    return 'Installieren Sie die Authentifizierungs-App auf Ihrem Telefon. Sie können $chooseAnyapp verwenden, das TOTP unterstützt. Beispielsweise ist $andotp kostenlos und Open Source.';
  }

  @override
  String get guide250Sb2fa250Sbstep8722Sbfour8722Sbtext8722Sbchoose8722Sbany8722Sbapp => 'Wählen Sie eine beliebige App';

  @override
  String guide250Sb2fa250Sbstep8722Sbone8722Sbtext8722Sb0(Object appName) {
    return 'Die Zwei-Faktor-Authentifizierung (2FA) wird auf der Registerkarte „Zwei-Faktor-Authentifizierung“ auf der Einstellungsseite aktiviert. Bei der Aktivierung der Zwei-Faktor-Authentifizierung ist es sehr wichtig, dass Sie <strong> den Backup-Code </strong> notieren und an einem sicheren Ort aufbewahren, am besten auf Papier. Wenn Sie den Zugriff auf Ihre Zwei-Faktor-Codes verlieren, können Sie sich nicht bei Ihrem Konto anmelden und $appName kann Ihnen nicht helfen. Das ist der Sinn von 2FA. <strong> Verwendung auf eigene Gefahr. </strong>';
  }

  @override
  String guide250Sb2fa250Sbstep8722Sbone8722Sbtext8722Sb1(Object appName, Object totp, Object authMobileapp) {
    return '$appName bietet $totp 2FA an. Sobald 2FA aktiviert ist, wird $authMobileapp mit $appName synchronisiert und erzeugt 6-stellige Einmalpasswörter. Dieses Passwort wird jede Minute geändert. Um sich anzumelden oder die Schlichtungsbürgschaft abzuheben, müssen Sie zusätzlich zu Ihrem Passwort auch dieses einmalige Passwort eingeben, bevor es abläuft.';
  }

  @override
  String get guide250Sb2fa250Sbstep8722Sbone8722Sbtext8722Sb18722Sbauth8722Sbmobile8722Sbapp => 'mobile Authentifizierungs-App';

  @override
  String get guide250Sb2fa250Sbstep8722Sbone8722Sbtext8722Sb18722Sbtotp => 'Zeitbasierter Einmalpasswort-Algorithmus (TOTP)';

  @override
  String guide250Sb2fa250Sbstep8722Sbone8722Sbtext8722Sb2(Object settingsPage) {
    return 'Um mit der Aktivierung der Zwei-Faktor-Authentifizierung zu beginnen, besuchen Sie $settingsPage und wählen Sie die Registerkarte „Zwei-Faktor-Authentifizierung“.';
  }

  @override
  String get guide250Sb2fa250Sbstep8722Sbone8722Sbtext8722Sb28722Sbsettings8722Sbpage => 'Einstellungsseite';

  @override
  String get guide250Sb2fa250Sbstep8722Sbsix8722Sbtext => 'Um die Einrichtung abzuschließen, geben Sie den von Ihrer mobilen App bereitgestellten Code in das Feld unter dem QR-Code ein und drücken Sie die Schaltfläche „2FA bestätigen“. <br/><br/> Herzlichen Glückwunsch! Für Ihr Konto wurde die Zwei-Faktor-Authentifizierung aktiviert. Verwenden Sie Codes, die Sie von der App zusammen mit Ihrem Passwort erhalten, um sich anzumelden und Ihre Schlichtungsbürgschaft abzuheben.';

  @override
  String get guide250Sb2fa250Sbstep8722Sbthree8722Sbtext => '<strong>WICHTIG! Notieren Sie sich Ihren Backup-Code. </strong> Wir empfehlen, es für maximale Sicherheit auf ein Blatt Papier zu drucken oder zu schreiben. Bewahren Sie ihn sicher auf. Dieser Code ist Ihre einzige Chance, wieder Zugriff auf Ihr Konto zu erhalten, falls Sie Ihr Telefon verlieren oder die Authentifizierungs-App löschen.';

  @override
  String get guide250Sb2fa250Sbstep8722Sbtwo8722Sbtext => 'Geben Sie Ihr Passwort ein und klicken Sie auf die Schaltfläche „2FA aktivieren“.';

  @override
  String get guide250Sb2fa250Sbtitle => 'So aktivieren Sie die Zwei-Faktor-Authentifizierung';

  @override
  String get guide250Sbbtc250Sbcard8722Sbfive8722Sb1 => 'Leider haben <strong> Coins wie Bitcoin keine Privatsphäre in ihr Protokoll eingebettet. </strong> Alle zwischen allen Parteien gehandelten Transaktionen und Beträge sind öffentlich einsehbar. Dies verhindert, dass Bitcoin fungibel ist, und führt zu grundlegenden Problemen mit der Lebensfähigkeit von Bitcoin als globale Geldbasis.';

  @override
  String get guide250Sbbtc250Sbcard8722Sbfive8722Sb2 => 'Stellen Sie sich folgendes Szenario vor: Bitcoin ist die einzige verwendete Währung der Welt geworden. Was wären einige der Auswirkungen des Mangels an Privatsphäre?';

  @override
  String get guide250Sbbtc250Sbcard8722Sbfive8722Sb3 => 'Sie reisen durch Teile eines Landes mit einer mittleren bis hohen Gewaltkriminalitätsrate. Sie müssen etwas von Ihrem Bitcoin verwenden, um etwas zu bezahlen. <strong> Wenn jede Person, mit der Sie Geschäfte tätigen, genau weiß, wie viel Geld Sie haben, ist dies eine Bedrohung für Ihre persönliche physische Sicherheit. </strong>';

  @override
  String get guide250Sbbtc250Sbcard8722Sbfive8722Sb3250Sbtitle => '1. Physische Sicherheit';

  @override
  String get guide250Sbbtc250Sbcard8722Sbfive8722Sb4 => 'Sie sind ein Unternehmen, das eine Zahlung an einen Lieferanten leistet. Dieser Lieferant kann sehen, wie viel Geld Ihr Unternehmen hat, und kann daher einschätzen, wie preisempfindlich Sie in zukünftigen Verhandlungen sind. Sie können jede einzelne andere Zahlung sehen, die Sie jemals an diese Bitcoin-Adresse erhalten haben, und somit feststellen, mit welchen anderen Lieferanten Sie es zu tun haben und wie viel Sie diesen Lieferanten zahlen. Sie können möglicherweise ungefähr bestimmen, wie viele Kunden Sie haben und wie viel Sie Ihren Kunden in Rechnung stellen. <strong> Dies sind wirtschaftlich sensible Informationen, die Ihrer Verhandlungsposition so schaden, dass Sie einen relativen finanziellen Verlust erleiden. </strong>';

  @override
  String get guide250Sbbtc250Sbcard8722Sbfive8722Sb4250Sbtitle => '2. Geschäftsgeheimnis';

  @override
  String get guide250Sbbtc250Sbcard8722Sbfive8722Sb5 => 'Sie sind ein Privatmann, der für Online-Waren und -Dienstleistungen bezahlt. Sie sind sich bewusst, dass es gängige Praxis ist, dass Unternehmen versuchen, <strong> „Preisdiskriminierungs“</strong>-Algorithmen zu verwenden, um zu versuchen, die höchsten Preise zu ermitteln, zu denen sie Ihnen künftige Dienstleistungen anbieten können, und Sie würden es vorziehen, wenn sie dies nicht tun würden [X307X ] haben den Informationsvorsprung, zu wissen, wie viel Sie ausgeben und wo Sie es ausgeben.</strong>';

  @override
  String get guide250Sbbtc250Sbcard8722Sbfive8722Sb5250Sbtitle => '3. Preisdiskriminierung';

  @override
  String get guide250Sbbtc250Sbcard8722Sbfive8722Sb6 => 'Sie verkaufen Cupcakes und erhalten Bitcoin als Bezahlung. Es stellt sich heraus, dass <strong> jemand, der diese Bitcoin vor Ihnen besaß, in kriminelle Aktivitäten verwickelt war</strong>. Jetzt machen Sie sich Sorgen, dass Sie zu einem <strong> Verdächtigen in einem Strafverfahren geworden sind</strong>, weil die Überweisung von Geldern an Sie öffentlich bekannt ist. Sie sind auch besorgt, dass bestimmte Bitcoins, von denen Sie dachten, dass Sie sie besitzen, als „verdorben“ betrachtet werden und dass <strong> andere sich weigern werden, sie als Zahlungsmittel zu akzeptieren.</strong>';

  @override
  String get guide250Sbbtc250Sbcard8722Sbfive8722Sb6250Sbtitle => '4. Verdorbene Gelder';

  @override
  String get guide250Sbbtc250Sbcard8722Sbfive8722Sb7 => '<strong> Monero löst diese Datenschutzprobleme, indem es automatisch Datenschutztechniken auf jede einzelne getätigte Transaktion anwendet.</strong>';

  @override
  String get guide250Sbbtc250Sbcard8722Sbfive8722Sb7250Sbtitle => 'Wie Monero das löst';

  @override
  String guide250Sbbtc250Sbcard8722Sbfive8722Sb8(Object fungibility) {
    return 'Sie können darauf vertrauen, dass es nicht möglich ist, „verdorbenes“ Monero zu besitzen. Dies ist ein Konzept in der Wirtschaftswissenschaft, das als $fungibility bekannt ist und historisch als wichtiges Merkmal für jede Währung angesehen wird.';
  }

  @override
  String get guide250Sbbtc250Sbcard8722Sbfive250Sbtitle => 'Warum finanzielle Privatsphäre wichtig ist';

  @override
  String get guide250Sbbtc250Sbcard8722Sbfour8722Sb1 => 'Verwenden Sie Tor';

  @override
  String guide250Sbbtc250Sbcard8722Sbfour8722Sb2(Object tor) {
    return 'Laut $tor ist Tor freie Software und ein offenes Netzwerk, das Ihnen hilft, sich gegen Verkehrsanalysen zu wehren, eine Form der Netzwerküberwachung, die die persönliche Freiheit und Privatsphäre, vertrauliche Geschäftsaktivitäten und -beziehungen sowie die Staatssicherheit bedroht.';
  }

  @override
  String guide250Sbbtc250Sbcard8722Sbfour8722Sb3(Object torBrowser, Object appName, Object torLink) {
    return 'Um es zu verwenden, laden Sie einfach das $torBrowser von der offiziellen Website herunter und installieren Sie es. Nachdem Sie es gestartet haben, können Sie über unser spezielles Tor-Portal auf $appName zugreifen: $torLink';
  }

  @override
  String guide250Sbbtc250Sbcard8722Sbfour8722Sb4(Object appName) {
    return 'Verwenden Sie beim Kauf auf $appName Zahlungsmethoden, die Bargeld beinhalten';
  }

  @override
  String get guide250Sbbtc250Sbcard8722Sbfour8722Sb5 => 'Wann immer Sie per Banküberweisung, PayPal oder anderen Zahlungsoptionen einkaufen, wird es aufgrund der Aufzeichnungen der Unternehmen, die Ihre Zahlung verarbeiten, immer ein Datenschutzleck geben. Um dieses Datenschutzleck zu vermeiden, halten Sie sich an Methoden, die Bargeld beinhalten.';

  @override
  String get guide250Sbbtc250Sbcard8722Sbfour8722Sb6 => 'Verwenden Sie Methoden wie Bargeld per Post, Bargeldeinzahlungen am Geldautomaten, persönliche Treffen oder mit Bargeld gekaufte Geschenkkarten. ';

  @override
  String get guide250Sbbtc250Sbcard8722Sbfour250Sbtitle => 'Fortgeschrittene Techniken, um anonym zu bleiben, wenn Sie diese Methode zum Kauf von Bitcoins verwenden';

  @override
  String guide250Sbbtc250Sbcard8722Sbone8722Sb1(Object wikipedia) {
    return 'Gemäß $wikipedia:';
  }

  @override
  String get guide250Sbbtc250Sbcard8722Sbone8722Sb2 => 'Monero (XMR) ist eine Open-Source-Kryptowährung, die im April 2014 erstellt wurde und sich auf <strong> Fungibilität, Datenschutz und Dezentralisierung konzentriert. </strong> Monero verwendet ein verschleiertes öffentliches Hauptbuch, was bedeutet, dass jeder Transaktionen übertragen oder senden kann, aber kein externer Beobachter kann dies sagen die Quelle, die Menge oder das Ziel. Monero verwendet einen Proof-of-Work-Mechanismus, um neue Coins auszugeben und Miner anzuregen, das Netzwerk zu sichern und Transaktionen zu validieren.';

  @override
  String get guide250Sbbtc250Sbcard8722Sbone8722Sb3 => 'Monero wird denjenigen, die finanzielle Privatsphäre suchen, aktiv empfohlen, da <strong> Zahlungen und Kontostände vollständig verborgen bleiben</strong>, was nicht der Standard für die meisten Kryptowährungen ist.';

  @override
  String get guide250Sbbtc250Sbcard8722Sbone250Sbtitle => '1. Was ist Monero?';

  @override
  String guide250Sbbtc250Sbcard8722Sbthree8722Sb1(Object appName) {
    return 'Schritt 6: Abheben von Bitcoins von $appName';
  }

  @override
  String get guide250Sbbtc250Sbcard8722Sbthree8722Sb2 => 'Gehen Sie nun zur Wallet-Seite und aktivieren Sie das Kontrollkästchen „Ich möchte auf eine BTC-, XMR-, ETH-, LTC-, BCH- oder DASH-Wallet abheben“ auf der Registerkarte „Monero senden“ der Wallet-Seite. Wählen Sie im erscheinenden Abschnitt BTC aus und geben Sie die entsprechende empfangende BTC-Adresse ein. Dann geben Sie den Betrag in XMR ein, wählen die Priorität und klicken auf „Weiter“. Bitte beachten Sie, dass der Empfangsbetrag in XMR innerhalb der angegebenen Limits von ChangeNow liegen sollte.';

  @override
  String guide250Sbbtc250Sbcard8722Sbthree8722Sb3(Object appName, Object morphtoken) {
    return 'Nachdem Sie Ihr Passwort und (falls aktiviert) Einmalpasswort eingegeben haben, sendet $appName Ihre Coins zur Konvertierung an $morphtoken.';
  }

  @override
  String guide250Sbbtc250Sbcard8722Sbthree8722Sb4(Object appName) {
    return 'Sie müssen an dieser Stelle nichts tun, und ein neues Fenster, in dem Sie den Transaktionsstatus überwachen können, wird in Ihrem Browser geöffnet (wenn es nicht geöffnet wird, klicken Sie bitte auf den bereitgestellten Link und speichern Sie es, damit Sie es können können den Ablauf der Transaktion sehen). Sollte bei der Transaktion etwas schief gehen, werden die Coins in Ihr $appName-Wallet zurückerstattet.';
  }

  @override
  String get guide250Sbbtc250Sbcard8722Sbthree8722Sb5 => 'Schritt 7';

  @override
  String guide250Sbbtc250Sbcard8722Sbthree8722Sb6(Object morphtoken) {
    return 'Warten Sie danach einfach, bis die Transaktion abgeschlossen ist (etwa 15 Minuten), und $morphtoken sendet die Bitcoins an Ihre angegebene Adresse. Fertig!';
  }

  @override
  String get guide250Sbbtc250Sbcard8722Sbthree250Sbtitle => 'Bitcoin anonym mit Bargeld kaufen';

  @override
  String get guide250Sbbtc250Sbcard8722Sbtwo8722Sb1 => '<strong> Monero ist die führende Kryptowährung mit Fokus auf private und zensurresistente Transaktionen</strong>. Die meisten bestehenden Kryptowährungen, einschließlich Bitcoin und Ethereum, haben transparente Blockchains, was bedeutet, dass Transaktionen von jedem auf der Welt offen überprüfbar und nachvollziehbar sind. Darüber hinaus können Sende- und Empfangsadressen für diese Transaktionen möglicherweise mit der Identität einer Person in der realen Welt verknüpft werden.';

  @override
  String get guide250Sbbtc250Sbcard8722Sbtwo8722Sb2 => 'Monero verwendet Kryptografie, um Sende- und Empfangsadressen sowie Transaktionsbeträge abzuschirmen.';

  @override
  String get guide250Sbbtc250Sbcard8722Sbtwo8722Sb3 => 'Monero-Transaktionen sind vertraulich und nicht nachvollziehbar.';

  @override
  String get guide250Sbbtc250Sbcard8722Sbtwo8722Sb4 => 'Jede Monero-Transaktion verschleiert standardmäßig Sende- und Empfangsadressen sowie Transaktionsbeträge. Diese immer aktive Privatsphäre bedeutet, dass die Aktivität jedes Monero-Benutzers die Privatsphäre aller anderen Benutzer verbessert, im Gegensatz zu selektiv transparenten Kryptowährungen (z. B. Z-Cash). Monero ist fungibel. Aufgrund der Verschleierung kann Monero nicht durch die Teilnahme an früheren Transaktionen verdorben werden. Das bedeutet, dass Monero immer ohne Zensurrisiko akzeptiert wird. Dandelion++ ermöglicht die Weitergabe von Transaktionen, ohne dass die Herkunft sicher ist. Dadurch wird die IP-Adresse eines Transaktionsteilnehmers verschleiert und ein weiterer Schutz vor Netzwerküberwachung bereitgestellt.';

  @override
  String get guide250Sbbtc250Sbcard8722Sbtwo8722Sb5 => 'Monero ist eine Grassroots-Community, die die weltbesten Kryptowährungsforscher und Ingenieurtalente anzieht.';

  @override
  String get guide250Sbbtc250Sbcard8722Sbtwo8722Sb6 => 'Über 420 Entwickler haben zum Monero-Projekt beigetragen, darunter 30 Kernentwickler. Foren und Chatkanäle sind einladend und aktiv.';

  @override
  String get guide250Sbbtc250Sbcard8722Sbtwo8722Sb7 => 'Das Forschungslabor, das Kernentwicklungsteam und die Community-Entwickler von Monero erweitern ständig die Grenzen dessen, was mit dem Datenschutz und der Sicherheit von Kryptowährungen möglich ist.';

  @override
  String get guide250Sbbtc250Sbcard8722Sbtwo8722Sb8 => '<strong> Monero ist elektronisches Bargeld, das schnelle und kostengünstige Zahlungen von und nach überall auf der Welt ermöglicht. </strong> Es gibt keine mehrtägigen Haltefristen und kein Risiko betrügerischer Rückbuchungen. Es ist sicher vor „Kapitalkontrollen“ – das sind Maßnahmen, die den Fluss traditioneller Währungen in Ländern mit wirtschaftlicher Instabilität manchmal in extremem Maße einschränken.';

  @override
  String guide250Sbbtc250Sbcard8722Sbtwo250Sbtitle(Object getmonero) {
    return '2. Warum Monero? (wie von $getmonero erklärt)';
  }

  @override
  String get guide250Sbbtc250Sbconclusion8722Sb1 => 'Es wird mit der Zeit immer schwieriger, aber es ist immer noch möglich, einen anonymen Bitcoin-Kauf zu tätigen, solange Sie bereit sind, einen zusätzlichen Schritt von <strong> zu unternehmen, um es von Monero umzuwandeln. </strong> Glücklicherweise dient Monero nur dazu, Ihre Privatsphäre und Anonymität noch weiter zu erhöhen. Während in den meisten anderen online verfügbaren Leitfäden Methoden vorgeschlagen werden, die Schritte beinhalten, die weitere Datenschutzlecks verursachen, bietet dieser Leitfaden einen Weg, der nicht nur Datenschutzlecks minimiert, sondern sogar Ihr Datenschutzniveau im Vergleich zum direkten Kauf von Bitcoin mit Bargeld verbessert <strong> Sie werden durch die Datenschutzfunktionen von Monero geschützt. </strong>';

  @override
  String get guide250Sbbtc250Sbconclusion250Sbtitle => 'Fazit';

  @override
  String get guide250Sbbtc250Sbintro8722Sb1 => '<strong>Der anonyme Kauf von Bitcoins ist zu einer immer schwierigeren Aufgabe geworden.</strong>';

  @override
  String guide250Sbbtc250Sbintro8722Sb2(Object ninetyNinebitcoins, Object coincentral, Object linebreak, Object gutter, Object localbitcoins, Object paypal) {
    return 'Mit jedem Tag scheint es so, als ob die meisten, wenn nicht alle traditionellen Methoden zum Erwerb von Bitcoin eine Identitätsprüfung erfordern, wodurch die meisten heute online verfügbaren Leitfäden wie die auf $ninetyNinebitcoins oder $coincentral obsolet werden. $linebreak  $gutter Der traditionelle Weg, Bitcoins ohne ID zu kaufen, war hauptsächlich über die P2P-Bitcoin-Austauschplattform $localbitcoins, ein Ort, der besonders beliebt war, um Bitcoins anonym mit $paypal zu kaufen.';
  }

  @override
  String get guide250Sbbtc250Sbintro8722Sb3 => 'Aber leider haben sogar <strong>LocalBitcoins begonnen, von allen ihren Händlern eine ID-Verifizierung zu verlangen.</strong>';

  @override
  String get guide250Sbbtc250Sbintro8722Sb4 => 'Sind also die Zeiten vorbei, in denen man Bitcoins mit einer Kreditkarte sofort und ohne Verifizierung kaufen konnte? Nicht ganz. Hier stellen wir Ihnen eine einfache, anonyme, private und schnelle Möglichkeit vor, Bitcoins mit Bargeld in nur wenigen Schritten zu erwerben… ';

  @override
  String get guide250Sbbtc250Sbtitle => 'Wie man Bitcoins anonym kauft';

  @override
  String guide250Sbbuy250Sbstep8722Sbfive8722Sbtext(Object assetName) {
    return 'Sobald Sie die Zahlung getätigt haben, klicken Sie auf die Schaltfläche „Ich habe bezahlt“. Sobald der Händler bestätigt hat, dass Ihre Zahlung eingegangen ist, wird der Handel abgeschlossen und bald sehen Sie das $assetName in Ihrer Abrechnungsmappe. Und das ist alles, herzlichen Glückwunsch zu Ihrem ersten $assetName-Trade!';
  }

  @override
  String guide250Sbbuy250Sbstep8722Sbfive8722Sbtext8722Sblocalmonero8722Sbwallet(Object appName) {
    return '$appName Geldbörse';
  }

  @override
  String guide250Sbbuy250Sbstep8722Sbfour8722Sbtext(Object assetName) {
    return 'Nachdem Sie auf die Schaltfläche „Kaufen“ geklickt haben, sehen Sie weitere Informationen über die Anzeige, einschließlich der Handelsbedingungen. Lesen Sie sie durch, bevor Sie die Handelsanfrage einreichen. Wenn Sie damit nicht einverstanden sind, können Sie zur vorherigen Seite zurückkehren und eine andere Anzeige auswählen. Um den Handel zu starten, geben Sie ein, wie viel $assetName Sie kaufen möchten, und klicken Sie auf die Schaltfläche „Handelsanfrage senden“, um den Handel zu starten. Stellen Sie sicher, dass Sie bereit sind zu zahlen, wenn Sie auf die Schaltfläche klicken. Wenn Sie nicht bezahlen, bevor das Zahlungsfenster abgelaufen ist, kann der Verkäufer den Handel stornieren.';
  }

  @override
  String guide250Sbbuy250Sbstep8722Sbone8722Sbtext(Object registerAnaccount, Object appName) {
    return '$registerAnaccount mit $appName. Sie erhalten eine kostenlose und sichere Online-Monero-Wallet. Es werden keine zusätzlichen Apps benötigt. Wenn Sie bereits ein Konto haben, fahren Sie mit dem nächsten Schritt fort.';
  }

  @override
  String get guide250Sbbuy250Sbstep8722Sbone8722Sbtext8722Sbregister8722Sban8722Sbaccount => 'Einen Account registrieren';

  @override
  String guide250Sbbuy250Sbstep8722Sbone8722Sbtext57Sbagoradesk(Object registerAnaccount, Object appName) {
    return '$registerAnaccount mit $appName. Sie erhalten eine kostenlose und sichere Online-Wallet für Kryptowährungen. Es werden keine zusätzlichen Apps benötigt. Wenn Sie bereits ein Konto haben, fahren Sie mit dem nächsten Schritt fort.';
  }

  @override
  String get guide250Sbbuy250Sbstep8722Sbthree8722Sbtext => 'Wählen Sie aus der Liste der Anzeigen eine von einem Händler mit einem guten Rufwert und einer hohen Anzahl von Trades aus. Ein grüner Kreis bedeutet, dass der Händler heute online war, ein gelber Kreis bedeutet, dass er die Website diese Woche besucht hat, und ein grauer Kreis bedeutet, dass der Händler seit über einer Woche nicht mehr hier war. Sie können auf die Schaltfläche „Kaufen“ klicken, um weitere Informationen zu einer Anzeige anzuzeigen.';

  @override
  String guide250Sbbuy250Sbstep8722Sbtwo8722Sbtext(Object mainPage, Object assetName) {
    return 'Gehen Sie zu $mainPage und füllen Sie im Suchfeld das Formular mit dem Betrag aus, den Sie in Ihrer Währung, Ihrem Standort und einer Zahlungsmethode kaufen möchten. Wenn Sie sich nicht sicher sind, wie Sie bezahlen möchten, wählen Sie als Zahlungsmethode „Alle Online-Angebote“. Die Website listet $assetName Händler auf, die in Ihrer Region verfügbar sind.';
  }

  @override
  String get guide250Sbbuy250Sbstep8722Sbtwo8722Sbtext8722Sbmain8722Sbpage => 'Hauptseite';

  @override
  String get guide250Sbbuy250Sbtitle => 'Wie man Monero online kauft';

  @override
  String get guide250Sbbuy250Sbtitle57Sbagoradesk => 'Wie man Kryptowährung online kauft';

  @override
  String get guide250Sbcbm250Sbbuyer250Sb0250Sbtext => 'Sie können das Bargeld zu Hause oder im Auto in den Umschlag stecken, und Sie können Ihr Telefon mit eingeschaltetem Video in Ihre vordere Hemdtasche stecken, und es zeichnet den gesamten Vorgang auf, ohne dass Sie viel zusätzliche Arbeit leisten müssen, abgesehen davon, dass Sie dies sicherstellen müssen Sie tun alles, wo die Kamera hinzeigt. Wenn Sie so etwas wie eine GoPro oder das neueste iPhone haben, das eine Kamera mit einem größeren Betrachtungswinkel hat, wird es noch einfacher.\n\nBewahren Sie das Filmmaterial im Streitfall 180 Tage lang auf.';

  @override
  String get guide250Sbcbm250Sbbuyer250Sb0250Sbtitle => 'Ihr Video sollte in einer einzigen Einstellung ohne Schnitte gedreht werden';

  @override
  String get guide250Sbcbm250Sbbuyer250Sb1250Sbtext => 'Verwenden Sie eine Art benutzerdefinierten Stempel/Stempel/Siegel oder eine Unterschrift oder einfach zufällige Bewegungen mit einem Filzstift im Umschlag, der alle Oberflächen bedeckt. Dies hilft festzustellen, ob der Verkäufer den von Ihnen gesendeten Umschlag tatsächlich öffnet oder eine Fälschung. Stellen Sie sicher, dass die Markierung auf dem Video sichtbar ist.';

  @override
  String get guide250Sbcbm250Sbbuyer250Sb1250Sbtitle => 'Legen Sie benutzerdefinierte Markierungen in den Umschlag';

  @override
  String get guide250Sbcbm250Sbbuyer250Sb2250Sbtext => 'Um einen (möglichen, aber sehr seltenen) Fall von Postdiebstahl unterwegs abzumildern, versuchen Sie, die Tatsache zu verbergen, dass das Paket Bargeld enthält. Sie können das Bargeld in eine Zeitschrift, Mylar-Tasche oder einen anderen Behälter stecken. Das Vakuumieren des Bargeldes funktioniert auch.';

  @override
  String get guide250Sbcbm250Sbbuyer250Sb2250Sbtitle => 'Versuchen Sie, das Geld zu verschleiern';

  @override
  String get guide250Sbcbm250Sbbuyer250Sb3250Sbtext => 'Anstatt das Bargeld einfach in den Umschlag zu legen, verwenden Sie mehrere ineinander verschachtelte Umschläge für Ihr Paket. Legen Sie das Bargeld in den kleinsten Umschlag (oder falten Sie einfach einen größeren Umschlag, falls erforderlich), verschließen Sie ihn und legen Sie ihn in einen anderen Umschlag. Wiederholen Sie diesen Vorgang, bis Sie mindestens 3 verschachtelte Umschläge haben. Dies trägt dazu bei sicherzustellen, dass es der empfangenden Partei, wenn sie versucht, Ihr Paket zu manipulieren, viel schwerer fällt, alles wieder so zu versiegeln, dass es bei einer Inspektion durch den Schlichter nicht nachweisbar wäre.';

  @override
  String get guide250Sbcbm250Sbbuyer250Sb3250Sbtitle => 'Legen Sie Umschläge in Umschläge';

  @override
  String get guide250Sbcbm250Sbbuyer250Sb4250Sbtext => 'Pakete, die ohne Sendungsverfolgung gesendet werden, können verloren gehen, und ohne Sendungsverfolgung kann es so gut wie unmöglich sein, sie zu finden. Durch die Nachverfolgung kann der Empfänger auch sicher sein, dass das Paket unterwegs ist, falls es länger als erwartet dauert.';

  @override
  String get guide250Sbcbm250Sbbuyer250Sb4250Sbtitle => 'Senden Sie mit Sendungsverfolgung';

  @override
  String get guide250Sbcbm250Sbbuyer250Sb5250Sbtext => 'Wie wir bereits erwähnt haben, ist das Risiko für einen Käufer bei etablierten Händlern sehr gering. Sehr niedrig bedeutet jedoch nicht null, also stellen Sie sicher, dass Sie diese Regeln befolgen, um auf eine Streitsituation vorbereitet zu sein.';

  @override
  String get guide250Sbcbm250Sbbuyer250Sb5250Sbtitle => 'Fazit';

  @override
  String get guide250Sbcbm250Sbbuyer250Sbintro => 'Wenn Sie sich an renommierte Verkäufer halten, ist es sehr unwahrscheinlich, dass Sie beim Kauf mit Bargeld per Post auf Probleme stoßen. Die folgenden Tipps helfen Ihnen jedoch, Ihre Zahlung in einem Streitfall zu beweisen. Das Wichtigste ist, eine Videoaufzeichnung Ihrer Zahlung zu machen. Hier sind die Richtlinien:';

  @override
  String get guide250Sbcbm250Sbbuyer250Sbtitle => 'Wenn du kaufst...';

  @override
  String get guide250Sbcbm250Sbdescription => 'Die überwältigende Mehrheit der Cash by Mail-Transaktionen verläuft problemlos, aber Sie sollten dennoch diese Richtlinien befolgen, um auf einen Streitfall vorbereitet zu sein.';

  @override
  String get guide250Sbcbm250Sbinfocard => 'Lesen Sie unbedingt unseren Leitfaden zum sicheren Umgang mit Bargeld per Post!';

  @override
  String get guide250Sbcbm250Sbseller250Sb0250Sbtext => 'Notieren Sie sich selbst, wie Sie das Paket vom Postbeamten erhalten, wie der Postbeamte es wiegt, notieren Sie das Etikett, alle Außenseiten des Pakets; Öffnen Sie die Verpackung, während Sie mit der darauf gerichteten Kamera filmen, führen Sie das Bargeld durch einen Schalter und einen Falschgeldscanner. Stellen Sie sicher, dass alles in einem Take gefilmt wird. Halten Sie das Paket immer im Blickfeld der Kamera. Bewahren Sie das Filmmaterial im Streitfall 180 Tage lang auf.';

  @override
  String get guide250Sbcbm250Sbseller250Sb0250Sbtitle => 'Machen Sie ein Video vom Erhalt und Öffnen des Pakets';

  @override
  String get guide250Sbcbm250Sbseller250Sb1250Sbtext => 'Das Wichtigste, woran Sie sich erinnern sollten (und wir geben diesbezüglich bei jedem Schritt des Weges Haftungsausschlüsse) ist, einen Handel NIEMALS abzuschließen, BIS Sie das Geld haben und absolut sicher sind, dass alles in Ordnung ist. Ein seriöser Käufer wird Sie nicht zu einem vorzeitigen Abschluss drängen.';

  @override
  String get guide250Sbcbm250Sbseller250Sb1250Sbtitle => 'Schließen Sie unter keinen Umständen einen Handel vorzeitig ab';

  @override
  String get guide250Sbcbm250Sbseller250Sb2250Sbtext => 'Dies hilft Ihnen, Pakete von verschiedenen Käufern zu unterscheiden und Verwechslungen zu vermeiden. Dies wird auch dazu beitragen, Man-in-the-Middle-Angriffe zu verhindern, bei denen sich ein Betrüger zwischen den Käufer und den Verkäufer stellt und vorgibt, der Verkäufer zu sein, wenn er mit dem Käufer spricht, und vorgibt, der Käufer zu sein, wenn er mit dem Verkäufer spricht .';

  @override
  String get guide250Sbcbm250Sbseller250Sb2250Sbtitle => 'Lassen Sie einen Käufer eine Notiz mit seinem Benutzernamen und seiner Handels-ID hinterlassen';

  @override
  String get guide250Sbcbm250Sbseller250Sbtitle => 'Wenn du verkaufst...';

  @override
  String get guide250Sbcbm250Sbtitle => 'Sicher bleiben mit Bargeld per Post';

  @override
  String guide250Sblocal250Sbtext8722Sb0(Object appName, Object online) {
    return '$appName bietet zwei Haupttypen von Werbung, $online und lokale Werbung. Durch lokale Anzeigen treffen Sie sich physisch mit Ihrem Handelspartner und führen den Handel von Angesicht zu Angesicht durch. Dieser Leitfaden behandelt die Grundlagen zum Einrichten lokaler Werbung und zum lokalen Handeln.';
  }

  @override
  String get guide250Sblocal250Sbtext8722Sb08722Sbonline => 'online';

  @override
  String get guide250Sblocal250Sbtext8722Sb1 => 'Gibt es einen Markt/Nachfrage?';

  @override
  String guide250Sblocal250Sbtext8722Sb2(Object assetName) {
    return 'Es hängt davon ab, wo Sie wohnen, in größeren Städten finden Sie mehr Leute, die am Kauf von $assetName interessiert sind, als auf dem Land. Da $assetName-Transaktionen irreversibel sind, die meisten traditionellen Formen der Online-Zahlung jedoch reversibel sind, macht der direkte Verkauf von $assetName vor Ort gegen Bargeld die Annahme von Zahlungen viel sicherer, da Bargeld genauso irreversibel ist wie $assetName. Einige Leute schätzen die Privatsphäre, die Bargeldgeschäfte bieten. Der Kauf einer kleinen Menge von $assetName mit Bargeld ist auch eine großartige Möglichkeit, ohne allzu großen Aufwand mit $assetName zu beginnen.';
  }

  @override
  String guide250Sblocal250Sbtext8722Sb3(Object assetName) {
    return 'Was ist, wenn mir $assetName ausgeht?';
  }

  @override
  String guide250Sblocal250Sbtext8722Sb4(Object assetName) {
    return 'Wenn Ihnen $assetName ausgeht, können Sie schneller an einer traditionellen $assetName-Börse einkaufen, obwohl dies normalerweise einige Tage dauert, da Sie per Banküberweisung kaufen müssen.';
  }

  @override
  String get guide250Sblocal250Sbtext8722Sb5 => 'Stellen Sie sicher, dass Sie gut erreichbar sind! Geben Sie in Ihrer Anzeige Ihren Lieblingsort und -zeit an. Sie können Ihre Handynummer in die Anzeige aufnehmen.';

  @override
  String get guide250Sblocal250Sbtext8722Sb58722Sbtitle => 'Werbung';

  @override
  String guide250Sblocal250Sbtext8722Sb6(Object assetName) {
    return 'Alle traditionellen Risiken, die den Geldwechsel regeln, beziehen sich auch auf den $assetName-Handel. Bitte wägen Sie die Risiken sorgfältig ab und nutzen Sie das Feedback-System und andere Maßnahmen, um Ihre Sicherheit zu gewährleisten.';
  }

  @override
  String get guide250Sblocal250Sbtext8722Sb68722Sbtitle => 'Risiken';

  @override
  String guide250Sblocal250Sbtext8722Sb7(Object assetName) {
    return 'Es kann vorkommen, dass Falschgeld an den $assetName-Verkäufer weitergegeben wird. Bitte erwägen Sie die Verwendung eines Falschgelddetektors, wenn Sie den Handel tätigen.';
  }

  @override
  String get guide250Sblocal250Sbtext8722Sb78722Sbtitle => 'Falschgeld';

  @override
  String get guide250Sblocal250Sbtext8722Sb8 => '<strong> Bitte beachten Sie: </strong>Bevor Sie mit dem Handeln als Unternehmen beginnen, recherchieren Sie die Gesetzgebung Ihres Landes, um festzustellen, ob Sie Lizenzen beantragen müssen oder ob es andere gesetzliche Anforderungen gibt.';

  @override
  String get guide250Sblocal250Sbtext8722Sb9 => 'Viel Spaß beim Handeln!';

  @override
  String get guide250Sblocal250Sbtext8722Sbfour => 'Senden Sie Links an Ihre Freunde, werben Sie in sozialen Medien und lokal und warten Sie, bis die Bestellungen eintreffen';

  @override
  String guide250Sblocal250Sbtext8722Sbstep8722Sbone(Object signUp) {
    return '$signUp falls du es noch nicht getan hast';
  }

  @override
  String get guide250Sblocal250Sbtext8722Sbstep8722Sbone8722Sbsign8722Sbup => 'Anmelden';

  @override
  String guide250Sblocal250Sbtext8722Sbstep8722Sbthree(Object loadMonero) {
    return '$loadMonero, wenn Sie verkaufen';
  }

  @override
  String guide250Sblocal250Sbtext8722Sbstep8722Sbthree8722Sbload8722Sbmonero(Object assetName) {
    return 'Laden Sie $assetName in Ihr Wallet';
  }

  @override
  String get guide250Sblocal250Sbtext8722Sbstep8722Sbtwo => 'Veröffentlichen Sie eine Handelsanzeige';

  @override
  String get guide250Sblocal250Sbtext8722Sbsteps8722Sbtitle => 'Okay, was sind die ersten Schritte?';

  @override
  String get guide250Sblocal250Sbtitle => 'Anleitung zum Kauf oder Verkauf von Monero gegen Bargeld';

  @override
  String get guide250Sblocal250Sbtitle57Sbagoradesk => 'Anleitung zum Kaufen oder Verkaufen von Kryptowährung für Bargeld';

  @override
  String guide250Sbmnemonic250Sbbtc250Sbdescription(Object appName) {
    return 'In dieser Anleitung erfahren Sie, wie Sie Ihre nicht verwahrte $appName-Settlement-Wallet aus dem mnemonischen Seed wiederherstellen, der auf der Handelsseite angezeigt wird.';
  }

  @override
  String get guide250Sbmnemonic250Sbbtc250Sbelectrum250Sbcontent250Sb1 => 'Laden Sie die neueste Version der Electrum-Wallet von <a target=\"_blank\" href=\"https://electrum.org/#download\" class=\"next-link\">electrum.org</a> herunter und starten Sie sie.';

  @override
  String get guide250Sbmnemonic250Sbbtc250Sbelectrum250Sbcontent250Sb2 => 'Wählen Sie „Neu/Wiederherstellen“ aus dem Menü „Datei“ (wird automatisch ausgewählt, wenn Sie keine anderen Electrum-Geldbörsen auf Ihrem Gerät haben).';

  @override
  String get guide250Sbmnemonic250Sbbtc250Sbelectrum250Sbcontent250Sb3 => 'Wählen Sie den Wallet-Namen und -Modus (z. B. „Standard“), den Sie mögen.';

  @override
  String get guide250Sbmnemonic250Sbbtc250Sbelectrum250Sbcontent250Sb4 => 'Wählen Sie „Ich habe bereits einen Samen“ und drücken Sie „Weiter“.';

  @override
  String get guide250Sbmnemonic250Sbbtc250Sbelectrum250Sbcontent250Sb5 => 'Fügen Sie den mnemonischen Seed von der Handelsseite in die Eingabe ein. Drücken Sie dann „Optionen“ unter dem mnemonischen Seed-Eingabefeld und kreuzen Sie sowohl „Diesen Seed mit benutzerdefinierten Wörtern erweitern“ als auch „BIP39-Seed“ an, drücken Sie „OK“ und dann „Weiter“.';

  @override
  String guide250Sbmnemonic250Sbbtc250Sbelectrum250Sbcontent250Sb6(Object appName) {
    return 'Geben Sie in der Eingabe „Seed-Erweiterung“ das $appName-Passwort ein, das Sie beim Abschluss des Handels verwendet haben, und klicken Sie auf „Weiter“.';
  }

  @override
  String guide250Sbmnemonic250Sbbtc250Sbelectrum250Sbcontent250Sb7(Object formattedDerivationPath) {
    return 'Wählen Sie \"native segwit (p2wpkh)\" und schreiben Sie in die Eingabe des Ableitungspfads unten $formattedDerivationPath. Drücken Sie \"Weiter\".';
  }

  @override
  String get guide250Sbmnemonic250Sbbtc250Sbelectrum250Sbcontent250Sb8 => 'Wählen Sie das gewünschte Passwort für Ihre Brieftasche und drücken Sie \"Weiter\".';

  @override
  String get guide250Sbmnemonic250Sbbtc250Sbelectrum250Sbcontent250Sb9 => 'Das ist es! Sie sehen alle Transaktionen unter der Registerkarte \"Verlauf\".';

  @override
  String get guide250Sbmnemonic250Sbbtc250Sbelectrum250Sbtitle => 'Mit Elektrum';

  @override
  String get guide250Sbmnemonic250Sbmonero250Sbcli250Sbcontent250Sb1 => 'Laden Sie die neueste Version der Monero-CLI-Wallet für Ihr Betriebssystem von <a target=\"_blank\" href=\"https://getmonero.org/downloads\" class=\"next-link\">getmonero.org</a> herunter.';

  @override
  String guide250Sbmnemonic250Sbmonero250Sbcli250Sbcontent250Sb2(Object formattedFlag) {
    return 'Starten Sie die Brieftasche mit dem $formattedFlag-Flag.';
  }

  @override
  String get guide250Sbmnemonic250Sbmonero250Sbcli250Sbcontent250Sb3 => 'Geben Sie den gewünschten Namen für Ihre Brieftasche ein.';

  @override
  String get guide250Sbmnemonic250Sbmonero250Sbcli250Sbcontent250Sb4 => 'Wenn Sie aufgefordert werden, <strong>\"Electrum-Startwert angeben\"</strong>, fügen Sie den mnemonischen Startwert von der Handelsseite ein.';

  @override
  String guide250Sbmnemonic250Sbmonero250Sbcli250Sbcontent250Sb5(Object appName) {
    return 'Wenn Sie aufgefordert werden, <strong>\"Seed-Offset-Passphrase eingeben\",</strong> geben Sie das $appName-Passwort ein, das Sie beim Abschluss des Handels verwendet haben.';
  }

  @override
  String get guide250Sbmnemonic250Sbmonero250Sbcli250Sbcontent250Sb6 => 'Beantworten Sie die nächsten Fragen nach Ihren Wünschen.';

  @override
  String guide250Sbmnemonic250Sbmonero250Sbcli250Sbcontent250Sb7(Object formattedCommand) {
    return 'Das ist es! Nachdem die Brieftasche synchronisiert wurde, sehen Sie alle Transaktionen mit dem Befehl $formattedCommand.';
  }

  @override
  String get guide250Sbmnemonic250Sbmonero250Sbcli250Sbtitle => 'Verwenden der offiziellen CLI-Wallet';

  @override
  String get guide250Sbmnemonic250Sbmonero250Sbgui250Sbcontent250Sb1 => 'Laden Sie die neueste Version der Monero-GUI-Brieftasche für Ihr Betriebssystem von <a target=\"_blank\" href=\"https://getmonero.org/downloads\" class=\"next-link\">getmonero.org</a> herunter und starten Sie sie.';

  @override
  String get guide250Sbmnemonic250Sbmonero250Sbgui250Sbcontent250Sb2 => 'Wählen Sie den von Ihnen bevorzugten Wallet-Modus und dann „Wallet aus Schlüsseln oder mnemonischem Seed wiederherstellen“.';

  @override
  String guide250Sbmnemonic250Sbmonero250Sbgui250Sbcontent250Sb3(Object appName) {
    return 'Wählen Sie „Aus Seed wiederherstellen“ (standardmäßig ausgewählt) und fügen Sie den mnemonischen Seed von der Handelsseite in die Eingabe unten ein. Wählen Sie dann „Seed-Offset-Passphrase“ und geben Sie das $appName-Passwort ein, das Sie beim Abschluss des Handels verwendet haben. Drücken Sie \"Weiter\". ';
  }

  @override
  String get guide250Sbmnemonic250Sbmonero250Sbgui250Sbcontent250Sb4 => 'Das ist es! Nachdem die Brieftasche synchronisiert wurde, sehen Sie alle Transaktionen auf der Registerkarte „Transaktionen“.';

  @override
  String get guide250Sbmnemonic250Sbmonero250Sbgui250Sbtitle => 'Verwenden der offiziellen GUI-Brieftasche';

  @override
  String get guide250Sbmnemonic250Sbtitle => 'Wie kann ich meine nicht verwahrte Abwicklungs-Wallet aus dem mnemonischen Seed wiederherstellen?';

  @override
  String get guide250Sbnon8722Sbcustodial250Sbbuy250Sb1 => 'Gehen Sie zur <a target=\"_blank\" href=\"/\" class=\"next-link\">Hauptseite</a> - Sie sehen die Top-Angebote für Ihre Standardregion. Sie können Ihre Ergebnisse verfeinern, indem Sie im Suchfeld den gewünschten Betrag eingeben und die Währung, das Land oder die Zahlungsmethode ändern (wählen Sie „Alle Online-Angebote“, wenn Sie sich nicht sicher sind, welche Zahlungsmethode Sie verwenden möchten) und auf „Suchen“ klicken.';

  @override
  String get guide250Sbnon8722Sbcustodial250Sbbuy250Sb1250Sb1 => 'Wählen Sie aus der Liste der Anzeigen eine von einem Händler mit einer hohen Anzahl an Trades und einem guten Reputationswert (jeweils in Klammern neben dem Benutzernamen angezeigt). Ein grüner Kreis bedeutet, dass der Händler heute online war; ein gelber Kreis bedeutet, dass sie die Website diese Woche besucht haben; und ein grauer Kreis bedeutet, dass der Händler seit über einer Woche nicht mehr hier war. Sie können auf die Schaltfläche „Kaufen“ klicken, um weitere Informationen zu einer Anzeige anzuzeigen.';

  @override
  String get guide250Sbnon8722Sbcustodial250Sbbuy250Sb157Sbagoradesk => 'Gehen Sie zur <a target=\"_blank\" href=\"/\" class=\"next-link\">Hauptseite</a> - Sie sehen die Top-Angebote für Ihre Standardregion. Wählen Sie dann die Kryptowährung aus, die Sie handeln möchten, indem Sie auf die entsprechende Registerkarte in der Zeile über der Anzeigentabelle klicken. Für dieses Beispiel wählen wir BTC. In der linken Spalte sollten Sie dann den Reiter „Kaufen“ auswählen. Sie können Ihre Ergebnisse verfeinern, indem Sie im Suchfeld den gewünschten Betrag eingeben und die Währung, das Land oder die Zahlungsmethode ändern (wählen Sie \"Alle Online-Angebote\", wenn Sie sich nicht sicher sind, welche Zahlungsmethode Sie verwenden möchten) und die blaue Schaltfläche mit drücken Symbol „Suchen“.';

  @override
  String guide250Sbnon8722Sbcustodial250Sbbuy250Sb2(Object assetName) {
    return 'Nachdem Sie auf die Schaltfläche „Kaufen“ geklickt haben, sehen Sie weitere Informationen über die Anzeige, einschließlich der Handelsbedingungen. Lesen Sie sie durch, bevor Sie die Handelsanfrage einreichen. Wenn Sie damit nicht einverstanden sind, können Sie zur vorherigen Seite zurückkehren und eine andere Anzeige auswählen. Um den Handel zu starten, geben Sie ein, wie viel $assetName Sie kaufen möchten, und klicken Sie auf die Schaltfläche „Handelsanfrage senden“. Ihnen werden noch einmal die Geschäftsbedingungen angezeigt, lesen Sie sie noch einmal sorgfältig durch und vergewissern Sie sich, dass Sie damit einverstanden sind, und klicken Sie dann auf „Akzeptieren“.';
  }

  @override
  String get guide250Sbnon8722Sbcustodial250Sbbuy250Sb3 => 'Als Nächstes werden Sie aufgefordert, Ihre Abrechnungs-Wallet-Adresse einzugeben. Dies ist die Adresse, an die die von Ihnen gekauften Coins gesendet werden. Wenn Sie kein persönliches XMR-Wallet haben, können Sie entweder das <a target=\"_blank\" href=\"https://www.getmonero.org/downloads/\" class=\"next-link\">offizielle Monero-GUI- oder -CLI-Wallet</a> oder das <a target=\"_blank\" href=\"https://featherwallet.org/\" class=\"next-link\">Feather-Wallet</a> verwenden. Kopieren Sie Ihre Adresse aus Ihrer Brieftasche und fügen Sie sie in die Eingabe \"Receiving Monero address\" ein (stellen Sie sicher, dass die eingefügte Adresse mit der kopierten Adresse identisch ist, um den Verlust Ihrer Coins zu vermeiden). Bitte beachten Sie, dass die Wallet, die Sie für die Handelsabwicklung verwenden, Ihre eigene sein muss, von Drittanbietern gehostete Wallets sind nicht zulässig. Wenn Sie fertig sind, klicken Sie auf „Handel starten“, um mit dem Handel zu beginnen.';

  @override
  String get guide250Sbnon8722Sbcustodial250Sbbuy250Sb357Sbagoradesk => 'Als Nächstes werden Sie aufgefordert, Ihre Abrechnungs-Wallet-Adresse einzugeben. Dies ist die Adresse, an die die von Ihnen gekauften Coins gesendet werden. Wenn Sie kein persönliches BTC-Wallet haben, können Sie <a target=\"_blank\" href=\"https://electrum.org/#home\" class=\"next-link\">Electrum-Wallet</a> verwenden. Kopieren Sie Ihre Adresse aus Ihrer Brieftasche und fügen Sie sie in die Eingabe \"Receiving Bitcoin address\" ein (stellen Sie sicher, dass die eingefügte Adresse mit der kopierten Adresse identisch ist, um den Verlust Ihrer Coins zu vermeiden). Bitte beachten Sie, dass die Wallet, die Sie für die Handelsabwicklung verwenden, Ihre eigene sein muss, von Drittanbietern gehostete Wallets sind nicht zulässig. Wenn Sie fertig sind, klicken Sie auf „Handel starten“, um mit dem Handel zu beginnen.';

  @override
  String get guide250Sbnon8722Sbcustodial250Sbbuy250Sb4 => 'Eine Handelsseite wird in Ihrem Browser geöffnet. Kommunizieren Sie mit dem Verkäufer über den Handels-Chat, um sicherzustellen, dass der Verkäufer bereit ist, Ihre Zahlung zu erhalten, und um alle Fragen zu klären, die Sie zur Durchführung der Zahlung haben.';

  @override
  String get guide250Sbnon8722Sbcustodial250Sbbuy250Sb5 => 'Führen Sie die Zahlung gemäß den Anweisungen des Verkäufers durch und klicken Sie sofort auf „Ich habe bezahlt“ – dies benachrichtigt den Verkäufer, dass die Zahlung abgeschlossen ist, und verhindert, dass der Verkäufer den Handel storniert.';

  @override
  String get guide250Sbnon8722Sbcustodial250Sbbuy250Sb7 => 'Sobald der Verkäufer den Erhalt Ihrer Zahlung bestätigt hat, leitet er die Handelsabwicklung ein. Sie werden sehen, dass sich der Handelsstatus auf „In Bearbeitung“ geändert hat. An dieser Stelle müssen Sie nichts weiter tun – die Coins werden automatisch an Ihre angegebene Settlement-Wallet-Adresse übertragen. Dies wird einige Zeit dauern (normalerweise etwa 10-60 Minuten), also entspannen Sie sich einfach und warten Sie, bis die eingehende Transaktion in Ihrem persönlichen Wallet erscheint. Bitte beachten Sie, dass die mit der Handelsabwicklung verbundenen Netzwerktransaktionsgebühren vom Handelsbetrag abgezogen werden, was bedeutet, dass Sie etwas weniger erhalten, als auf der Handelsseite angezeigt wird.';

  @override
  String get guide250Sbnon8722Sbcustodial250Sbbuy250Sb8 => 'Das ist es! Sobald die Handelsabwicklung abgeschlossen ist und Sie Ihre Münzen erhalten haben, können Sie die Abwicklungsdetails anzeigen, indem Sie den Abschnitt „Transaktionsdetails“ auf der Handelsseite erweitern. Vergessen Sie nicht, Feedback zu Ihrer Erfahrung mit diesem Verkäufer zu hinterlassen!';

  @override
  String guide250Sbnon8722Sbcustodial250Sbregister(Object appName) {
    return '<a target=\"_blank\" href=\"/signup\" class=\"next-link\">Registrieren Sie ein Konto</a> bei $appName. Wenn Sie bereits ein Konto haben, fahren Sie mit dem nächsten Schritt fort.';
  }

  @override
  String guide250Sbnon8722Sbcustodial250Sbsell250Sb1(Object appName) {
    return 'Zahlen Sie die Coins in Ihr <a target=\"_blank\" href=\"/account/wallet\" class=\"next-link\">$appName Schiedsgerichtsanleihen-Wallet</a> ein. Sie sehen Ihre $appName-Einzahlungsadresse auf der Registerkarte „Empfangen“.';
  }

  @override
  String get guide250Sbnon8722Sbcustodial250Sbsell250Sb2 => 'Gehen Sie zur <a target=\"_blank\" href=\"/\" class=\"next-link\">Hauptseite</a> und wählen Sie im Suchfeld „Verkaufen“. Sie können Ihre Ergebnisse weiter verfeinern, indem Sie den gewünschten Betrag eingeben und im Suchfeld die Währung, das Land oder die Zahlungsmethode ändern (wählen Sie \"Alle Online-Angebote\", wenn Sie sich nicht sicher sind, welche Zahlungsmethode Sie verwenden möchten). Drücken Sie \"Suchen\".';

  @override
  String get guide250Sbnon8722Sbcustodial250Sbsell250Sb2250Sb1 => 'Einige Zahlungsmethoden gelten als <a target=\"_blank\" href=\"/faq#high-risk-methods\" class=\"next-link\">risikoreich</a>. Kryptowährungstransaktionen sind vollständig irreversibel. Wenn die vom Käufer geleistete Zahlung rückgängig gemacht wird, können Sie Ihre Kryptowährung nach dem Verkauf nicht mehr zurückerhalten. Aus diesem Grund empfehlen wir Ihnen, mit einer risikoarmen Zahlungsmethode an erfahrene Benutzer mit einer großen Anzahl früherer Trades und einem hohen Reputationswert zu verkaufen.';

  @override
  String get guide250Sbnon8722Sbcustodial250Sbsell250Sb2250Sb2 => 'Wählen Sie aus der Liste der Anzeigen eine von einem Händler mit einer hohen Anzahl an Trades und einem guten Reputationswert (jeweils in Klammern neben dem Benutzernamen angezeigt). Ein grüner Kreis bedeutet, dass der Händler heute online war; ein gelber Kreis bedeutet, dass sie die Website diese Woche besucht haben; und ein grauer Kreis bedeutet, dass der Händler seit über einer Woche nicht mehr hier war. Sie können auf die Schaltfläche „Verkaufen“ klicken, um weitere Informationen zu einer Anzeige anzuzeigen.';

  @override
  String get guide250Sbnon8722Sbcustodial250Sbsell250Sb257Sbagoradesk => 'Gehen Sie zur <a target=\"_blank\" href=\"/\" class=\"next-link\">Hauptseite</a> und wählen Sie in der linken Spalte die Registerkarte „Verkaufen“. Wählen Sie dann die Kryptowährung aus, die Sie handeln möchten, indem Sie auf die entsprechende Registerkarte in der Zeile über der Anzeigentabelle klicken. Für dieses Beispiel wählen wir BTC. Sie können Ihre Ergebnisse weiter verfeinern, indem Sie den gewünschten Betrag eingeben und im Suchfeld die Währung, das Land oder die Zahlungsmethode ändern (wählen Sie \"Alle Online-Angebote\", wenn Sie sich nicht sicher sind, welche Zahlungsmethode Sie verwenden möchten). Drücken Sie die blaue Taste mit dem Symbol \"Suchen\".';

  @override
  String guide250Sbnon8722Sbcustodial250Sbsell250Sb3(Object assetName) {
    return 'Nachdem Sie auf die Schaltfläche „Verkaufen“ geklickt haben, sehen Sie weitere Informationen über die Anzeige, einschließlich der Handelsbedingungen. Lesen Sie sie durch, bevor Sie die Handelsanfrage einreichen. Wenn Sie damit nicht einverstanden sind, können Sie zur vorherigen Seite zurückkehren und eine andere Anzeige auswählen. Um einen Handel zu starten, geben Sie ein, wie viel $assetName Sie verkaufen möchten, und klicken Sie auf die Schaltfläche „Handelsanfrage senden“. Ihnen werden noch einmal die Handelsbedingungen angezeigt, lesen Sie sie noch einmal sorgfältig durch und vergewissern Sie sich, dass Sie damit einverstanden sind, und klicken Sie dann auf „Akzeptieren und mit dem Handel beginnen“.';
  }

  @override
  String get guide250Sbnon8722Sbcustodial250Sbsell250Sb4 => 'Eine Handelsseite wird in Ihrem Browser geöffnet. Kommunizieren Sie mit dem Käufer über den Handels-Chat und teilen Sie ihm Ihre Zahlungsdetails mit.';

  @override
  String get guide250Sbnon8722Sbcustodial250Sbsell250Sb5 => 'Sie werden benachrichtigt, sobald der Käufer die Zahlung getätigt hat. Stellen Sie sicher, dass Sie die Zahlung erhalten haben und dass es sich um den richtigen Betrag handelt. Sobald Sie überprüft haben, dass die Zahlung zu 100 % korrekt ist, klicken Sie auf „Abschließen“.';

  @override
  String guide250Sbnon8722Sbcustodial250Sbsell250Sb6(Object appName) {
    return 'An dieser Stelle werden Sie aufgefordert, Ihr aktuelles $appName-Passwort einzugeben. Geben Sie es ein und drücken Sie auf Bestätigen. Indem Sie Ihr Passwort eingeben, generieren Sie eine Abwicklungs-Wallet und signieren die Kryptowährungstransaktion, also stellen Sie sicher, dass Sie das Passwort nicht vergessen oder verlieren, zumindest bis der Handel abgewickelt ist.';
  }

  @override
  String get guide250Sbnon8722Sbcustodial250Sbsell250Sb7 => 'Sie werden sehen, dass sich der Handelsstatus auf „In Bearbeitung“ geändert hat. An dieser Stelle brauchen Sie nichts weiter zu tun – die Coins werden automatisch an die Adresse des Settlement-Wallets des Käufers übertragen.';

  @override
  String get guide250Sbnon8722Sbcustodial250Sbsell250Sb8 => 'Das ist es! Sobald die Handelsabwicklung abgeschlossen ist, können Sie die Abwicklungsdetails anzeigen, indem Sie den Abschnitt „Transaktionsdetails“ auf der Handelsseite erweitern. Vergessen Sie nicht, Feedback zu Ihrer Erfahrung mit diesem Käufer zu hinterlassen!';

  @override
  String guide250Sbsell250Sbstep8722Sbfive8722Sbtext(Object assetName) {
    return 'Nachdem Sie die Handelsanfrage gesendet haben, wird der Käufer Sie nach Ihren Zahlungsdaten fragen (z. B. wenn Sie gegen eine Banküberweisung verkaufen möchten, wird der Käufer nach Ihren Bankkontodaten fragen). Nachdem der Käufer die Zahlungsinformationen erhalten hat, bezahlt er den $assetName und bestätigt es Ihnen. Bitte vergewissern Sie sich, dass Sie das Geld auf Ihrem Konto erhalten haben, bevor Sie den Handel abschließen. Schließen Sie den Handel NIEMALS ab, bevor Sie die Zahlung erhalten haben. $assetName-Transaktionen sind unumkehrbar, sobald Sie die $assetName an den Käufer gesendet haben, gibt es keine Möglichkeit, sie zurückzubekommen, selbst wenn die Zahlung des Käufers nicht angezeigt wird. Sobald Sie bestätigt haben, dass die Zahlung erfolgt ist, können Sie auf der Seite nach unten scrollen und „Abschließen“ auswählen. Dadurch wird das $assetName an die Abrechnungs-Wallet des Käufers gesendet und der Handel abgeschlossen.';
  }

  @override
  String guide250Sbsell250Sbstep8722Sbfour8722Sbtext(Object assetName) {
    return 'Nachdem Sie auf die Schaltfläche „Verkaufen“ geklickt haben, sehen Sie weitere Informationen über die Anzeige, einschließlich der Handelsbedingungen. Lesen Sie sie durch, bevor Sie die Handelsanfrage einreichen. Wenn Sie damit nicht einverstanden sind, können Sie zur vorherigen Seite zurückkehren und eine andere Anzeige auswählen. Um den Handel zu starten, geben Sie ein, wie viel $assetName Sie verkaufen möchten, und klicken Sie auf die Schaltfläche „Handelsanfrage senden“, um den Handel zu starten. Sobald Sie den Handel beginnen, wird Ihr $assetName aus Ihrer Brieftasche in die Schlichtungsanleihe zum Schutz des Handels verschoben.';
  }

  @override
  String get guide250Sbsell250Sbstep8722Sbthree8722Sbtext => 'Wählen Sie aus der Liste der Anzeigen eine von einem Händler mit einem guten Rufwert und einer hohen Anzahl von Trades aus. Ein grüner Kreis bedeutet, dass der Händler heute online war, ein gelber Kreis bedeutet, dass er die Website diese Woche besucht hat, und ein grauer Kreis bedeutet, dass der Händler seit über einer Woche nicht mehr hier war. Sie können auf die Schaltfläche „Verkaufen“ klicken, um weitere Informationen zu einer Anzeige anzuzeigen.';

  @override
  String guide250Sbsell250Sbstep8722Sbtwo8722Sbtext8722Sb0(Object mainPage, Object assetName) {
    return 'Gehen Sie zu $mainPage und wählen Sie im Suchfeld die Registerkarte „Verkaufen“, füllen Sie das Formular mit dem Betrag aus, den Sie in Ihrer Währung und Ihrem Standort verkaufen möchten, und wählen Sie eine Zahlungsmethode aus. Wenn Sie sich nicht sicher sind, wie Sie bezahlt werden möchten, wählen Sie als Zahlungsmethode „Alle Online-Angebote“. Die Website listet $assetName-Händler auf, die in Ihrer Region verfügbar sind.';
  }

  @override
  String get guide250Sbsell250Sbstep8722Sbtwo8722Sbtext8722Sb08722Sbmain8722Sbpage => 'Hauptseite';

  @override
  String get guide250Sbsell250Sbstep8722Sbtwo8722Sbtext8722Sb1 => 'Einige Zahlungsmethoden gelten als risikoreich. Monero-Transaktionen sind vollständig irreversibel. Sobald Sie Ihre Monero verkauft haben, können Sie sie nicht zurückerhalten, selbst wenn die Zahlung rückgängig gemacht wird. Aus diesem Grund empfehlen wir Ihnen, mit einer risikoarmen Zahlungsmethode an erfahrene Benutzer mit einer großen Anzahl früherer Trades und 100% Feedback zu verkaufen.';

  @override
  String get guide250Sbsell250Sbstep8722Sbtwo8722Sbtext8722Sb157Sbagoradesk => 'Einige Zahlungsmethoden gelten als risikoreich. Kryptowährungstransaktionen sind vollständig irreversibel. Sobald Sie Ihre Kryptowährung verkauft haben, können Sie sie nicht zurückerhalten, selbst wenn die Zahlung rückgängig gemacht wird. Aus diesem Grund empfehlen wir Ihnen, mit einer risikoarmen Zahlungsmethode an erfahrene Benutzer mit einer großen Anzahl früherer Trades und 100% Feedback zu verkaufen.';

  @override
  String get guide250Sbsell250Sbtitle => 'Wie man Monero online verkauft';

  @override
  String get guide250Sbsell250Sbtitle57Sbagoradesk => 'Wie man Kryptowährung online verkauft';

  @override
  String get guide250Sbtelegram250Sbcard8722Sbtitle => 'Telegram mobile Benachrichtigungen';

  @override
  String get guide250Sbtelegram250Sbconclusion => 'Herzliche Glückwünsche! Jetzt können Sie Ihren Kunden sofort antworten!';

  @override
  String guide250Sbtelegram250Sbdisable8722Sbtext(Object accountSettings) {
    return 'Wenn Sie Benachrichtigungen von unserem Bot deaktivieren möchten, navigieren Sie zurück zur Registerkarte „Benachrichtigungen“ in Ihrem $accountSettings und klicken Sie auf die rote Schaltfläche „Telegrammbenachrichtigungen deaktivieren“.';
  }

  @override
  String get guide250Sbtelegram250Sbdisable8722Sbtext8722Sbaccount8722Sbsettings => 'Account Einstellungen';

  @override
  String get guide250Sbtelegram250Sbdisable8722Sbtitle => 'Wie deaktiviere ich Benachrichtigungen?';

  @override
  String guide250Sbtelegram250Sbprologue8722Sb0(Object telegram, Object appName) {
    return '$telegram ermöglicht es Ihnen, $appName-Benachrichtigungen (z. B. neue Handels-, neue Zahlungs-, Handelsabschluss- oder neue Chatnachrichten-Benachrichtigungen) in Form von Telegrammnachrichten von unserem Benachrichtigungs-Bot zu erhalten.';
  }

  @override
  String guide250Sbtelegram250Sbprologue8722Sb1(Object officialFaq) {
    return 'Telegram ist eine mobile Messaging-App. Sie können mehr darüber lesen, was Telegram in $officialFaq ist.';
  }

  @override
  String get guide250Sbtelegram250Sbprologue8722Sb18722Sbofficial8722Sbfaq => 'offizielle FAQ';

  @override
  String guide250Sbtelegram250Sbprologue8722Sb2(Object installed) {
    return 'Um mobile Benachrichtigungen zu aktivieren, benötigen Sie Telegram $installed.';
  }

  @override
  String get guide250Sbtelegram250Sbprologue8722Sb28722Sbinstalled => 'auf Ihrem Gerät installiert';

  @override
  String guide250Sbtelegram250Sbstep8722Sbone8722Sbtext8722Sb0(Object pressThis, Object appName) {
    return '$pressThis oder suche im Suchfeld von Telegram nach „$appName Notification Bot“ und wähle $appName Notification Bot aus.';
  }

  @override
  String get guide250Sbtelegram250Sbstep8722Sbone8722Sbtext8722Sb08722Sbpress8722Sbthis => 'Drücken Sie auf diesen Link';

  @override
  String get guide250Sbtelegram250Sbstep8722Sbone8722Sbtext8722Sb1 => 'Nachdem Sie das Chatfenster geöffnet haben, drücken Sie unten auf dem Bildschirm auf „Start“ oder senden Sie die Nachricht „/start“ (ohne Anführungszeichen) manuell.';

  @override
  String get guide250Sbtelegram250Sbstep8722Sbone8722Sbtext8722Sb2 => 'Unser Bot gibt Ihnen Ihre Telegrammbenachrichtigungs-ID.';

  @override
  String get guide250Sbtelegram250Sbstep8722Sbthree8722Sbtext => 'Das ist es! Jetzt erhalten Sie Benachrichtigungen von unserem Bot.';

  @override
  String guide250Sbtelegram250Sbstep8722Sbtwo8722Sbtext8722Sb0(Object accountSettings) {
    return 'Gehen Sie zu Ihrem $accountSettings und wählen Sie die Registerkarte „Benachrichtigungen“.';
  }

  @override
  String get guide250Sbtelegram250Sbstep8722Sbtwo8722Sbtext8722Sb08722Sbsettings => 'Account Einstellungen';

  @override
  String get guide250Sbtelegram250Sbstep8722Sbtwo8722Sbtext8722Sb1 => 'Geben Sie Ihre Telegrammbenachrichtigungs-ID in das entsprechende Feld im Abschnitt „Telegrammbenachrichtigungen“ ein.';

  @override
  String get guide250Sbtelegram250Sbstep8722Sbtwo8722Sbtext8722Sb2 => 'Klicken Sie auf das Speichern-Symbol, um Ihre Telegrammbenachrichtigungs-ID zu speichern.';

  @override
  String get guide250Sbtelegram250Sbtitle => 'So aktivieren Sie mobile Telegram-Benachrichtigungen';

  @override
  String guide250Sbtrade250Sbblock8722Sb18722Sbtext8722Sb0(Object appName, Object assetName, Object linebreak, Object localmoneroWallet, Object create, Object aSellmoneroad) {
    return 'Ein typischer Handel auf $appName funktioniert so, das Beispiel ist ein Online-Verkaufshandel, bei dem Sie $assetName an einen Käufer verkaufen. Der Prozess ist ähnlich, wenn Sie $assetName online kaufen, aber in diesem Beispiel konzentrieren wir uns auf den Verkauf von $assetName, da dies die häufigste Art des Handels ist. $linebreak  Zuerst müssen Sie $assetName auf Ihr $localmoneroWallet einzahlen. $linebreak  Dann müssen Sie $create $aSellmoneroad (sogenannte Online-Verkaufsanzeige) aufrufen. Wenn Sie die Anzeige erstellen, wählen Sie eine Zahlungsmethode, legen Ihre Preise und Ihre Limits fest und schreiben Ihre Geschäftsbedingungen als Freiformnachricht. ';
  }

  @override
  String guide250Sbtrade250Sbblock8722Sb18722Sbtext8722Sb08722Sba8722Sbsell8722Sbmonero8722Sbad(Object assetName) {
    return 'eine Online-Werbung zum Verkauf von $assetName.';
  }

  @override
  String get guide250Sbtrade250Sbblock8722Sb18722Sbtext8722Sb08722Sbcreate => 'schaffen';

  @override
  String get guide250Sbtrade250Sbblock8722Sb18722Sbtext8722Sb08722Sbfund => 'Fonds';

  @override
  String guide250Sbtrade250Sbblock8722Sb18722Sbtext8722Sb08722Sblocalmonero8722Sbwallet(Object appName) {
    return '$appName Geldbörse';
  }

  @override
  String guide250Sbtrade250Sbblock8722Sb18722Sbtext8722Sb1(Object assetName, Object appName) {
    return 'Sie müssen $assetName in Ihrem $appName Schiedsbrief-Wallet haben, damit Kunden Handelsanfragen aus Ihren Anzeigen öffnen können. <br/><br/>Wenn ein <strong>Käufer einen Handel mit Ihnen eröffnet</strong>, wird $assetName für den vollen Betrag des Handels automatisch aus Ihrer Brieftasche reserviert. Geben Sie dem Käufer Zahlungsanweisungen und führen Sie den Käufer durch die Bezahlung des Handels. Sie erhalten E-Mail-Benachrichtigungen, wenn jemand auf Ihre Anzeige antwortet. <br/><br/> Sobald der Käufer bezahlt und auf die Schaltfläche <strong> Ich habe bezahlt</strong> geklickt hat, erhalten Sie eine Benachrichtigung per E-Mail und auf der Website, dass ein Handel bezahlt wurde. <br/><br/> Wenn Sie bestätigt haben, dass Sie die Zahlung erhalten haben, können Sie den Handel abschließen. Nachdem der Handel abgeschlossen und abgewickelt ist, hat der Käufer den $assetName in seiner Abrechnungsmappe. <br/><br/> Der letzte Schritt besteht darin, dem Käufer <strong>Feedback zu hinterlassen</strong> und den Käufer zu ermutigen, dasselbe für Sie zu tun. Feedback ist wichtig, um sich einen Namen zu machen und mehr Trades zu tätigen.';
  }

  @override
  String get guide250Sbtrade250Sbblock8722Sb18722Sbtitle => 'Überblick über den Handelsprozess';

  @override
  String guide250Sbtrade250Sbblock8722Sb28722Sbtext(Object assetName) {
    return 'Bevor Sie mit dem Handel beginnen, müssen Sie überlegen, welche Zahlungsmethoden Sie anbieten werden, und die Zahlungsmethode recherchieren, damit Sie wissen, wie sie funktioniert. Wenn Sie mit dem Handel beginnen, empfehlen wir Ihnen, keine risikoreiche Zahlungsmethode zu wählen. Die Überweisung mit einer bestimmten Bank kann eine gute erste Zahlungsmethode sein, insbesondere wenn in Ihrem Land nur wenige Händler aktiv sind. <br/><br/> <strong>Bevor Sie mit dem Handel beginnen</strong> <br/><br/> Bevor Sie mit dem Handel beginnen, stellen Sie sicher, dass Sie<strong> sich mit Ihrer lokalen Gesetzgebung vertraut machen </strong>und dass Sie alle relevanten Vorschriften einhalten Gesetze und dass Sie über die erforderlichen Geschäftslizenzen für die Gerichtsbarkeit verfügen, in der Sie handeln. <br/><br/> Die Gesetzgebung ist von Land zu Land sehr unterschiedlich und unabhängig davon, ob Sie als Einzelperson oder als Unternehmen handeln. <br/><br/><strong>Erkundigen Sie sich nach der Zahlungsmethode</strong>, die Sie anbieten werden. Lesen Sie die Anzeigen anderer Händler für dieselbe Zahlungsmethode und handeln Sie mit ihnen. Versuchen Sie, mögliche Probleme zu identifizieren, bevor Sie mit dem Handel beginnen. <br/><br/><strong>Verwenden Sie Zahlungskonten nur für $assetName-Handel.</strong> Einige Zahlungsanbieter werden Ihr Konto vorübergehend oder dauerhaft schließen, wenn Sie nicht autorisierte Zahlungen erhalten, die mit Betrug zusammenhängen. Die Verwendung von Konten nur für den $assetName-Handel schützt Ihre persönlichen Finanzen.';
  }

  @override
  String get guide250Sbtrade250Sbblock8722Sb28722Sbtitle => 'Einstieg';

  @override
  String guide250Sbtrade250Sbblock8722Sb38722Sbtext8722Sb0(Object advertisementCreationpage, Object linebreak, Object dashboard, Object requiredOptions, Object location, Object paymentMethod, Object currency, Object thisList) {
    return 'Im $advertisementCreationpage erstellen Sie neue Anzeigen. $linebreak  Es gibt einige Optionen beim Erstellen einer Anzeige, die erforderlich sind, und viele zusätzliche Optionen, die optional sind, deren Einstellung jedoch empfohlen wird. Mit den zusätzlichen Optionen können Sie Ihre Werbung an Ihre Handelsstrategie anpassen. $linebreak  Auf Ihrem $dashboard finden Sie alle Anzeigen, die Sie erstellt haben. Im Dashboard finden Sie auch Ihre offenen Trades. $linebreak  $requiredOptions $linebreak  $location Geben Sie das Land ein, in dem Ihre Anzeige erscheinen soll. $linebreak  $paymentMethod Wählen Sie die Zahlungsmethode, die Sie anbieten möchten, aus dem Dropdown-Menü aus. $linebreak  $currency Wählen Sie aus, für welche Währung Sie verkaufen. Wenn Sie beispielsweise in Frankreich verkaufen, sollten Sie EUR auswählen. Sie können $thisList verwenden, um Ihr Währungsakronym herauszufinden.';
  }

  @override
  String get guide250Sbtrade250Sbblock8722Sb38722Sbtext8722Sb08722Sbadvertisement8722Sbcreation8722Sbpage => 'Seite zur Anzeigenerstellung';

  @override
  String get guide250Sbtrade250Sbblock8722Sb38722Sbtext8722Sb08722Sbcurrency => 'Währung';

  @override
  String get guide250Sbtrade250Sbblock8722Sb38722Sbtext8722Sb08722Sbdashboard => 'Armaturenbrett';

  @override
  String get guide250Sbtrade250Sbblock8722Sb38722Sbtext8722Sb08722Sblocation => 'Ort';

  @override
  String get guide250Sbtrade250Sbblock8722Sb38722Sbtext8722Sb08722Sbpayment8722Sbmethod => 'Zahlungsmethode';

  @override
  String get guide250Sbtrade250Sbblock8722Sb38722Sbtext8722Sb08722Sbrequired8722Sboptions => 'Erforderliche Optionen';

  @override
  String get guide250Sbtrade250Sbblock8722Sb38722Sbtext8722Sb08722Sbthis8722Sblist => 'diese Liste';

  @override
  String guide250Sbtrade250Sbblock8722Sb38722Sbtext8722Sb1(Object assetName, Object assetSymbol, Object appName) {
    return '<strong> Markt- oder Festpreis </strong><br/> Um Ihre Anzeige zu bepreisen, können Sie eine beliebige Spanne über dem $assetName Marktpreis eingeben. Geben Sie dazu einen Prozentsatz in das Margin-Feld ein, nachdem Sie die Option „Marktpreis“ ausgewählt haben. Möglicherweise möchten Sie auch einen Festpreis angeben, der sich nicht ändert, bis Sie ihn manuell ändern. Dazu müssen Sie die Option „Festpreis“ auswählen und den Preiswert eingeben. <br/><br/> <strong> Mind. / max. Transaktionslimit </strong><br/> Das minimale Transaktionslimit legt den kleinsten Betrag fest, den jemand kaufen kann. Wenn Sie es auf fünf setzen und Ihre Währung auf EUR eingestellt ist, bedeutet dies, dass der kleinste Handelsbetrag, für den jemand einen Handel mit Ihnen eröffnen kann, 5 EUR beträgt. Das maximale Transaktionslimit legt fest, was der größte Handelsbetrag ist, den Sie akzeptieren möchten. <br/><br/> <strong> Handelsbedingungen </strong><br/> Dies ist der Text, den der Käufer sieht, bevor er einen Handel mit Ihnen eröffnet. Es ist eine gute Idee, Anweisungen für den Käufer zu schreiben, wie der Handel ablaufen soll und ob Sie spezielle Anweisungen haben. Wenn Sie beispielsweise verlangen, dass der Käufer eine Quittung als Zahlungsnachweis einreicht, bevor Sie einen Handel abschließen, oder wenn Sie vom Käufer einen Ausweis benötigen, ist dies der richtige Ort, um dies zu erwähnen. Sie können sich die Anzeigen anderer Händler für die Zahlungsmethode ansehen, die Sie verwenden möchten, um sich ein Bild davon zu machen, was gute Geschäftsbedingungen enthalten. <br/><br/> <strong> Zusätzliche Optionen </strong><br/><br/> <strong> Beträge begrenzen auf </strong><br/> Sie können die Werbung darauf beschränken, dass Sie nur Trades für bestimmte Beträge öffnen können. Wenn Sie 20,30,60 in das Feld eingeben, könnte ein potenzieller Handelspartner nur einen Handel für 20, 30 oder 60 EUR eröffnen. <br/><br/> <strong> Zahlungsdetails </strong><br/> Geben Sie hier spezifische Informationen ein, wie der Käufer bezahlen soll, dies kann Ihre Kontonummer oder E-Mail-Adresse (z. B. für PayPal) sein. <br/><br/> <strong> Erforderliche Mindest-Feedback-Punktzahl </strong><br/> Mit der Mindest-Feedback-Punktzahl können Sie eine Mindest-Feedback-Punktzahl festlegen, die Sie haben müssen, um einen Handel mit Ihrer Anzeige zu eröffnen. <br/><br/> <strong> Erstmaliges Limit ($assetSymbol) </strong><br/> Dies ist ein spezifisches maximales Transaktionslimit für neue Benutzer. Wenn ein Käufer ohne vorherige Handelshistorie mit Ihnen einen Handel mit Ihnen eröffnen möchte, ist dies der größte Betrag, für den er einen Handel eröffnen kann. <br/><br/> <strong> Zahlungsfenster </strong><br/> Die Zeit, die der Käufer hat, um die Zahlung abzuschließen, bevor der Verkäufer den Handel stornieren kann. <br/><br/> <strong> Verfolgung des maximalen Liquiditätsbetrags </strong><br/> Die Aktivierung der Verfolgung der Liquidität senkt die Höchstgrenze der Anzeige um den Betrag, der derzeit in offenen Trades gehalten wird. <br/><br/> <strong> Schnelle Tipps zur Identifizierung von Betrügern </strong> <br/><br/><strong>Betrügerische Käufer haben es oft eilig.</strong> Je öfter ein Kunde Sie auffordert, sich zu beeilen, desto misstrauischer wird er Sie sollten sein, echte Kunden haben immer Geduld. <br/><br/>Betrügerische Käufer <strong>schlagen häufig vor, die gesamte oder einen Teil der Transaktion außerhalb des Schiedsbürgschaftsschutzsystems durchzuführen </strong>und schließen dann ihren Teil der Transaktion nicht ab. <br/><br/> Seien Sie vorsichtig mit <strong>Photoshop-Zahlungsnachweisen</strong>, schließen Sie einen Handel nicht ab, bis Sie bestätigt haben, dass Sie das Geld erhalten haben. Sie sind nicht verpflichtet, einen Handel abzuschließen, bis Sie bestätigen können, dass Sie die Zahlung des Käufers erhalten haben. <br/><br/><strong>Öffnen Sie keine Links, die Ihnen Ihr Handelspartner sendet</strong>. Verwenden Sie gegebenenfalls einen anderen Browser als den, den Sie verwenden. <br/><br/>Besuchen Sie keine anderen Websites als $appName mit dem Browser, den Sie zum Handeln verwenden. <strong>Verwenden Sie einen anderen Browser für andere Websites.</strong> <br/><br/> Setzen Sie ein Lesezeichen für $appName in Ihrem Browser und verwenden Sie immer das Lesezeichen, wenn Sie die Website besuchen. Dies hilft Ihnen, den versehentlichen Besuch von Phishing-Websites zu vermeiden, sie existieren und können sehr überzeugend sein.';
  }

  @override
  String guide250Sbtrade250Sbblock8722Sb38722Sbtext8722Sb2(Object contactSupport) {
    return 'Wenn Sie sich bezüglich eines Benutzers nicht sicher sind, können Sie jederzeit $contactSupport um Hilfe bitten.';
  }

  @override
  String get guide250Sbtrade250Sbblock8722Sb38722Sbtext8722Sb28722Sbcontact8722Sbsupport => 'Kontaktieren Sie Support';

  @override
  String get guide250Sbtrade250Sbblock8722Sb38722Sbtitle => 'Eine Anzeige einrichten';

  @override
  String guide250Sbtrade250Sbblock8722Sb48722Sbtext8722Sb0(Object termsOfservice) {
    return 'Bitte lesen Sie unseren $termsOfservice.';
  }

  @override
  String get guide250Sbtrade250Sbblock8722Sb48722Sbtext8722Sb08722Sbterms8722Sbof8722Sbservice => 'Nutzungsbedingungen';

  @override
  String guide250Sbtrade250Sbblock8722Sb48722Sbtext8722Sb1(Object appName, Object assetName) {
    return 'Der <br/><br/>$appName-Support behandelt Streitigkeiten auf der Grundlage von Beweisen, die von Handelsteilnehmern und ihrem Ruf vorgelegt wurden. <br/><br/>Streitigkeiten können begonnen werden, nachdem die Zahlung als abgeschlossen markiert wurde. <br/><br/>Nachdem der Handel abgeschlossen wurde, gilt der Handel als von $appName abgeschlossen und kann nicht angefochten werden. <br/><br/> Wenn ein $assetName-Verkäufer nicht reagiert, wird $appName den Handel abschließen, wenn der Käufer einen gültigen Zahlungsnachweis vorlegen kann. <br/><br/>Wenn der Käufer nach Beginn eines Handels nicht reagiert, wird die Schlichtungsbürgschaft vom $appName-Support an den Verkäufer zurückgegeben.';
  }

  @override
  String get guide250Sbtrade250Sbblock8722Sb48722Sbtitle => 'Streitigkeiten';

  @override
  String guide250Sbtrade250Sbhappy8722Sbtrading(Object appName) {
    return '$appName wünscht Ihnen viel Spaß beim Handeln!';
  }

  @override
  String get guide250Sbtrade250Sbtitle => 'Einführung in den Handel mit Monero';

  @override
  String get guide250Sbtrade250Sbtitle57Sbagoradesk => 'Einführung in den Handel mit Kryptowährung';

  @override
  String get guide250Sbxmr250Sbcard8722Sbfour250Sbtitle => '4. Fortgeschrittene Techniken, um anonym zu bleiben, wenn Sie diese Methode zum Kauf von Monero verwenden';

  @override
  String get guide250Sbxmr250Sbcard8722Sbthree250Sbtitle => '3. Monero anonym mit Bargeld kaufen';

  @override
  String get guide250Sbxmr250Sbtitle => 'So kaufen Sie Monero anonym';

  @override
  String get guides250Sbread8722Sbmore => 'Weiterlesen';

  @override
  String get home250Sbgreeting250Sbanywhere => 'Irgendwo.';

  @override
  String home250Sbgreeting250Sbbuy8722Sbmonero(Object assetName) {
    return 'Kaufe $assetName.';
  }

  @override
  String get home250Sbgreeting250Sbcash8722Sbor8722Sbonline => 'Bargeld oder online.';

  @override
  String home250Sbgreeting250Sbsell8722Sbmonero(Object assetName) {
    return 'Verkaufe $assetName.';
  }

  @override
  String get home250Sbgreeting250Sbsignup8722Sbbtn => 'Melde dich kostenlos an';

  @override
  String get home250Sbnewsfeed250Sbtitle => 'Neuesten Nachrichten';

  @override
  String get homepage8722Sblocation250Sbchange8722Sbbtn => 'Veränderung';

  @override
  String get homepage8722Sblocation250Sbreset8722Sbbtn => 'Zurücksetzen';

  @override
  String get homepage8722Sblocation250Sbsave8722Sbbtn => 'Speichern';

  @override
  String homepage8722Sblocation250Sbtitle(Object location) {
    return 'Anzeigen von Werbung in $location';
  }

  @override
  String get homepage250Sbagora250Sbcoin8722Sbtrading8722Sbtitle => 'Handel mit Bitcoins';

  @override
  String homepage250Sbno8722Sbresults8722Sb0(Object asset, Object country) {
    return 'Keine aktiven $asset-Anzeigen in $country ... noch nicht.';
  }

  @override
  String homepage250Sbno8722Sbresults8722Sb1(Object post_an_ad) {
    return 'Du kannst der Erste sein, der $post_an_ad in den folgenden Kategorien bekommt:';
  }

  @override
  String get homepage250Sbno8722Sbresults8722Sb18722Sbpost8722Sban8722Sbad => 'eine Anzeige aufgeben';

  @override
  String get info250Sbwhere8722Sbare8722Sbmy8722Sbxmr8722Sbaccordion250Sbtext250Sb0 => 'Wenn Sie die Transaktion im Block-Explorer sehen können, bedeutet dies, dass die Transaktion erfolgreich gesendet wurde. Wenn Sie es auf der Empfängerseite nicht sehen, liegt das Problem bei Ihnen. Wahrscheinlich ein Problem mit der Synchronisierung oder Sie verwenden eine veraltete Wallet-Software.';

  @override
  String get info250Sbwhere8722Sbare8722Sbmy8722Sbxmr8722Sbaccordion250Sbtext250Sb1 => 'Probieren Sie diese Vorschläge aus, um Ihre Synchronisierung zu lösen:';

  @override
  String get info250Sbwhere8722Sbare8722Sbmy8722Sbxmr8722Sbaccordion250Sbtext250Sb2 => 'Versuchen Sie alternativ, eine andere Wallet-App oder eine andere Internetverbindung zu verwenden.';

  @override
  String get info250Sbwhere8722Sbare8722Sbmy8722Sbxmr8722Sbaccordion250Sbtitle => 'Warum sehe ich den XMR nicht in meiner Brieftasche?';

  @override
  String get keywords => 'monero xmr bargeld kreditkarte usd euro pfund lokale banküberweisung kaufen anonym kryptowährung verkaufen';

  @override
  String get keywords57Sbagoradesk => 'bitcoin btc monero xmr bargeld kreditkarte usd euro pfund lokale banküberweisung kaufen anonym kryptowährung verkaufen';

  @override
  String get knowledge250Sbatomic250Sb0250Sbtext => '<p>Im Streben nach Dezentralisierung und einem wirklich erlaubnisfreien System sind wenige Dinge im Bereich der Kryptowährung so begehrt wie dezentrale Börsen und atomare Swaps. Seit seiner Gründung hatte Monero Schwierigkeiten, Atomic Swaps zu implementieren, da die Datenschutzfunktionen beim Versuch, ein Protokoll zu entwerfen, einzigartige Probleme verursachen.</p>\n\n<p>Aber zuerst, lass uns zurückgehen. Was sind Atomic Swaps? Ein Atomic Swap ist ein Protokoll, mit dem zwei verschiedene Kryptowährungen auf verschiedenen Blockchains vertrauenslos ohne Zwischenhändler ausgetauscht werden können. Das heißt, wenn jemand Kryptowährung A gegen Kryptowährung B tauschen wollte, könnte er dies ohne Austausch tun, zentral oder dezentral. Wie man sich vorstellen kann, erfordert dies beträchtliche Recherchen, und die vollständigen technischen Details, die dies ermöglichen, werden ziemlich kompliziert. Wieder einmal ist LocalMonero hier, um zu helfen und eine einfache Erklärung für die gewöhnliche Person zu geben.</p>\n\n<p>Betrachten wir zunächst die einfachste Form des Atomic Swap, wie sie von Bitcoin implementiert wird. Wenn jemand Bitcoin gegen eine andere Münze eintauschen möchte, die dieselbe Hash-Zeitsperrvertragstechnologie verwendet, kann er dies auf folgende Weise tun. Alice hat Bitcoin (BTC), will aber Litecoin (LTC), und Bob hat LTC, will aber BTC. Sie beschließen, einen atomaren Tausch durchzuführen, damit jeder die gewünschte Münze erhält. Alice sendet ihre BTC an eine spezielle Adresse, wobei sie Skripte verwendet, die das Geld wegschließen, sodass nicht einmal sie darauf zugreifen kann. Sie können sich das so vorstellen, als würde Alice ihre BTC in ein Schließfach legen. Wenn das Schließfach fertig ist, erhält sie einen Schlüssel und sendet einen Hash dieses Schlüssels an Bob. Jetzt hat Bob nicht den Schlüssel selbst, nur den Hash, also kann er noch nicht auf die Gelder zugreifen.</p>\n\n<p>Bob verwendet diesen Hash als Seed, aus dem er seine eigene Lockbox generiert, und schickt seinen LTC dorthin, wo er auch gesperrt wird. Da der Hash von Alices Schlüssel als Saat für die Herstellung von Bobs Schließfach verwendet wurde, kann sie ihren Schlüssel verwenden, um den LTC in Bobs Schließfach zu beanspruchen. Ihr Schlüssel passt! Aber mit mathematischer Voodoo-Magie, wenn sie ihren Schlüssel verwendet, um das LTC-Schloss zu öffnen, enthüllt sie Bob den Schlüssel, der ihn dann verwenden kann, um die BTC zu fordern, die sie in ihr Schließfach gelegt hat. Auf diese Weise haben Alice und Bob ohne Zwischenhändler erfolgreich ihre Vermögenswerte ausgetauscht.</p>\n\n<p>Aber es gibt ein kleines Problem. Was ist, wenn Alice an ihr Schließfach sendet und Bob beschließt, nicht mehr handeln zu wollen? Jetzt, da Alice nicht auf ihre BTC zugreifen kann, die sie weggesperrt hat, und Bob seinen Teil der Transaktion nicht abschließen wird, verliert Alice einfach ihr Geld für immer. Nun, glücklicherweise hat Bitcoin eine kleine Technologie namens Rückerstattungstransaktionen, und wenn die BTC nach einer gewissen Zeit nicht von Bob beansprucht wird, haben die Skripte eine eingebaute Ausfallsicherung, bei der die BTC automatisch an Alice zurückgeht. Dies war der primäre Speedbump für die Implementierung von Moneros Atomic Swaps. Aufgrund der <a target=\"_blank\" href=\"/knowledge/ring-signatures\" class=\"next-link\">Ring-Signaturen-Datenschutztechnologie von Monero</a> ist der Absender einer Transaktion immer ungewiss. Wie kann das Protokoll eine Rückerstattungstransaktion durchführen, wenn selbst es nicht weiß, woher die Transaktion stammt?</p>\n\n<p>Im Jahr 2017 skizzierte eine kleine Gruppe von Forschern eine andere Methode, mit der Atomic Swaps in Monero funktionieren würden. Nach mehreren Jahren der Verfeinerung haben die Forscher einen Prozess abgeschlossen, mit dem Monero Atomic Swaps mit Bitcoin durchführen kann, auch ohne Rückerstattungstransaktionen.</p>\n\n<p>Wie bei vielen Dingen dieser technischen Komplexität wird unsere Erklärung einige Dinge übermäßig vereinfachen, um die Idee zu vermitteln, aber sie wird dennoch eine solide Vorstellung von den Mechanismen geben, mit denen dieser Prozess funktionieren würde.</p>\n\n<p>Sowohl Alice (die XMR hat und BTC will) als auch Bob (der BTC hat und XMR will) müssen ein Programm herunterladen und ausführen, das Atomic Swap unterstützt. Dies kann in Brieftaschen, dezentralen Börsen oder speziellen, spezifischen Programmen implementiert werden, aber die Software muss das Atomic-Swap-Protokoll ausführen. Im ersten Schritt verbinden sich die Clients von Alice und Bob miteinander und machen mehrere gemeinsame Geheimnisse und Schlüssel. In diesem Schritt wird eine neue Monero-Adresse erstellt, wobei Alice die eine Hälfte des Schlüssels und Bob die andere besitzt. Es ist jedoch noch kein Monero drin, also gibt es nichts auszugeben. Eine letzte Sache, die zu dieser Adresse zu beachten ist, ist, dass sie beide den Ansichtsschlüssel zu dieser Brieftasche haben, sodass sie beide hineinschauen können, um zu sehen, ob oder wann Monero ankommt.</p>\n\n<p>Im zweiten Schritt schickt Bob seine BTC an eine spezielle Adresse, ähnlich dem bereits besprochenen Atomic-Swap-Protokoll von Bitcoin. Nachdem Alice sieht, dass die BTC an dieser Adresse in der Blockchain ankommt, sendet sie ihren Monero an die Monero-Adresse, zu der sie und Bob beide einen halben Schlüssel haben. Bob kann überprüfen, ob der Monero angekommen ist, da er auch den Ansichtsschlüssel hat, und sobald er sieht, dass der Monero sicher in der Brieftasche ist, sendet er Alice ein Stück eines Schlüssels, der es ihr ermöglicht, den Bitcoin abzuheben. Ähnlich wie bei dem anderen Protokoll enthüllt der Prozess der Beanspruchung der Bitcoin ihre Hälfte des Monero-Schlüssels für Bob. Jetzt hat Bob beide Hälften, also kann er den Monero beanspruchen, während Alice nur ihre Hälfte hat, also kann sie nicht versuchen, ihn vor ihm zu nehmen. </p>\n\n<p>Wenn Sie sich das alles angesehen haben und immer noch etwas verwirrt darüber sind, wie Monero das Problem der Rückerstattungstransaktionen umgehen konnte, ist die Antwort ganz einfach. Da Monero selbst keine Rückerstattungstransaktionen hat, sollte der Leser beachten, dass der Bitcoin (der Rückerstattungstransaktionen hat) zuerst gesendet wird, und erst nachdem verifiziert wurde, dass er sich in der Blockchain befindet, wird der Monero gesendet. Dies ermöglicht es Monero, die Fähigkeit von Bitcoin zu nutzen, Rückerstattungstransaktionen einzuschreiben und sie zu nutzen, ohne selbst über diese Fähigkeiten verfügen zu müssen.</p>\n\n<p>Der atomare Austausch ist jetzt abgeschlossen, aber von hier aus hat Bob ein paar Optionen für seinen neu beanspruchten XMR. Er kann diese Monero-Wallet so verwenden, wie sie ist, oder das XMR in eine andere Wallet verschieben, die er bereits besitzt. Bob wird den Monero höchstwahrscheinlich in eine andere Brieftasche verschieben, da Alice immer noch den Ansichtsschlüssel hat und hineinsehen kann.</p>\n\n<p>Das Schöne an diesem Protokoll ist, dass es noch ziemlich neu ist und es viel Raum für Optimierungen gibt. Es ist auch ziemlich flexibel in seiner Architektur, daher sollte die Implementierung in anderen Wallets oder dezentralen Börsen einfach sein und sauber in ihre bestehende Architektur passen.</p>';

  @override
  String get knowledge250Sbatomic250Sbdescription => 'Wenige Dinge sind im Krypto-Raum so begehrt wie Atomic Swaps. Kürzlich haben die Forscher einen Weg gefunden, mit dem XMR atomare Swaps mit BTC durchführen könnte.';

  @override
  String get knowledge250Sbatomic250Sbtitle => 'Wie Atomic Swaps in Monero funktionieren';

  @override
  String get knowledge250Sbblocks250Sb0250Sbtext => '<p><i><b>Hinweis:</b> Es wird dringend empfohlen, dass der Leser unsere Artikel <a target=\"_blank\" href=\"/knowledge/monero-tail-emission\" class=\"next-link\"> „Why Monero Has A Tail Emission“ </a> und <a target=\"_blank\" href=\"/knowledge/monero-mining-randomx\" class=\"next-link\"> „Monero Mining: What Makes RandomX so besonders“ </a>. Dieser Artikel baut auf den dort vorgestellten Konzepten auf.</i></p>\n\n<p>Wann immer Einzelpersonen die Probleme mit Blockchain diskutieren, wird eines der ersten Wörter, die auftauchen, „Skalierung“ sein. Es ist kein Geheimnis, dass Blockchains nicht gut skalieren, aber die meisten Menschen wissen nicht warum.</p>\n\n<p>Die Wahrheit ist, dass Skalierung eigentlich ein Oberbegriff ist, der zwei verschiedene Kategorien umfasst: Protokollunterstützung und technologische Unterstützung zu einem bestimmten Zeitpunkt. In diesem Artikel konzentrieren wir uns auf eines: Die Protokollunterstützung ist im Grunde ein Maß dafür, wie viele Transaktionen das Protokoll zu einem bestimmten Zeitpunkt verarbeiten kann.</p>\n\n<p>Bitcoin hat eine Blockgrößenbegrenzung, was bedeutet, sobald genügend Transaktionen in einem Block enthalten sind, müssen alle zusätzlichen Transaktionen in der Schlange auf den nächsten Block warten. Eine hilfreiche Analogie wäre, an einen Zug zu denken. Ein Zug hält am Bahnhof, und die Warteschlangen reihen sich ein. Sobald der Zug voll ist, muss jeder, der draußen bleibt, auf den nächsten warten. </p>\n\n<p>Bitcoin verwendet Gebühren, um zu bestimmen, wer in den Block kommt oder nicht. Um auf die Analogie des Zuges zurückzukommen, kann man sich vorstellen, dass ein potenzieller Passagier, der im Begriff ist, zurückgelassen zu werden, dem Lokführer fünf Dollar für einen Sitzplatz anbietet. Andere Passagiere ziehen nach, und schließlich gibt es einen Bieterkrieg, wer welche Plätze bekommt. Es ist Sache des Fahrers, zu entscheiden, ob er die First-Come-First-Serve-Politik einhalten möchte, aber es liegt in seinem besten finanziellen Interesse, sein Einkommen zu maximieren, indem er die Meistbietenden an Bord nimmt.</p>\n\n<p>In dieser Analogie sind Bergleute die Lokführer. Sie können beliebige Transaktionen in den Block aufnehmen, aber sie werden im Allgemeinen diejenigen auswählen, die die höchsten bezahlten Gebühren haben.</p>\n\n<p>Alternativ, wenn Blöcke nicht sehr voll sind, haben die Leute keinen Anreiz, hohe Gebühren zu zahlen, weil es viele freie Plätze gibt.</p>\n\n<p>Auf dem Höhepunkt des Kryptowährungsbooms 2017 wurde Bitcoin mit Transaktionen überschwemmt, und die Gebühren für diejenigen, die in den nächsten Block aufgenommen werden wollten, oder jeden Block in naher Zukunft, schossen in die Höhe. Diejenigen, die nicht bereit waren, hohe Gebühren zu zahlen, sahen, wie ihre Transaktionen stunden- oder tagelang zurückgedrängt wurden oder sogar ganz aus der Warteschlange fielen.</p>\n\n<p>Dies war ein erschütternder Einblick, wie es Bitcoin ergehen würde, wenn es zu der oft diskutierten „Massenadoption“ kommen würde. Wenn Bitcoin von der Masse genutzt werden würde, stünde es noch schlimmer als 2017, und Bitcoin wäre für niemanden außer den Reichen zugänglich, einfach weil der Durchsatz aufgrund einer festen Blockgröße gering ist, was dazu führen würde, dass der Gebührenmarkt übernimmt .</p>\n\n<p>Monero hat dies vorhergesehen und wollte etwas anderes machen. Also implementierten die Monero-Entwickler eine dynamische Blockgröße.</p>\n\n<p>Grundsätzlich hat Monero auch eine Blockgrößenobergrenze, aber es ist eine weiche Obergrenze. Wenn die Schlange der wartenden Transaktionen zu lang wird, können die Miner die Größe der Blöcke erhöhen. Mit unserer Zuganalogie können Sie sich vorstellen, mehr Waggons hinzuzufügen, um die zusätzlichen Passagiere aufzunehmen. Nachdem die Warteschlange leer ist, schrumpfen die Blöcke wieder auf ihre ursprüngliche Größe zurück.</p>\n\n<p>Wenn dies wie eine nette Idee erscheint, erscheint es vernünftig zu fragen, warum Monero die einzige Kryptowährung ist, die dies implementiert hat. Warum nicht Bitcoin hinzufügen, um die Durchsatzprobleme zu stoppen?</p>\n\n<p>Das ist leider nicht möglich. Dafür gibt es mehrere Gründe, und wir werden unser Bestes tun, um sie zu erklären.</p>\n\n<p> Es ist immer im besten Interesse eines Miners, große Blöcke zu haben. Mit großen Blöcken können sie mehr Transaktionen unterbringen und mehr Geld mit den Gebühren sowie den Blockprämien verdienen. Dies kann zu Spam-Angriffen führen, bei denen jemand viele kleine Transaktionen mit geringen Gebühren sendet, um die Kette aufzublähen. Bergleute würden einfach die Blockgröße erhöhen, um sie alle einzubeziehen, weil Geld Geld ist, egal wie klein. Dies würde zu konstant großen Blöcken mit geringem wirtschaftlichem Nutzen führen. Bitcoin löst dies, indem es die Blockgröße künstlich einschränkt und dadurch einen Gebührenmarkt generiert. Spam-Angreifer müssten die anderen Benutzer an Gebühren auszahlen, und es ist nicht mehr billig. Aber das bedeutet, dass Blöcke voll werden und einige Transaktionen warten, wie oben erwähnt.</p>\n\n<p>Wie kann Monero dynamische Blockgrößen haben, aber Spam-Angriffe vermeiden? Die Antwort ist einfach, aber clever. Eine Strafe auf die Blockbelohnung wird eingeführt, wenn ein Block größer als normal ist. Wenn ein Miner die Blockgröße erhöhen möchte, wird die Belohnung, die er für das Finden dieses Blocks erhält, geringer sein, als er sonst erhalten würde. Sie werden die Blockgröße also nur dann erhöhen, wenn die gezahlten Transaktionsgebühren der Nutzer den verlorenen Anteil der Blockbelohnung überwiegen. Wenn der Miner beispielsweise 0,5 XMR verlieren würde, indem er die Blockbelohnung erhöht, und die Summe der gezahlten Transaktionsgebühren 0,4 XMR wäre, dann würde es einen Nettoverlust von 0,1 XMR geben, wenn er die Größe erhöhen würde, also würden sie es tun mach es nicht. Umgekehrt, wenn sich die gesamten Transaktionsgebühren auf 0,7 XMR summieren, dann würde es einen Nettogewinn von 0,2 XMR geben, obwohl sie die 0,5 XMR durch die Blockbelohnungsstrafe verlieren, sodass der Miner die Größe erhöhen wird.</p>\n\n<p>Diese dynamischen Blöcke ermöglichen es dem Netzwerk, organisch zu wachsen, ohne die Blockgröße künstlich einzuschränken, um einen erzwungenen Gebührenmarkt zu schaffen, und gleichzeitig Spam-Angriffe zu vermeiden. Es gibt mehrere weitere Blickwinkel, aus denen wir diese Idee betrachten können, und weitere Gründe, warum es nicht möglich wäre, Bitcoin hinzuzufügen, aber im Moment hoffen wir, dass der Leser versteht, wie Monero einige der Probleme in Bitcoin umgeht und seine Derivate und wie es plant, seinen Durchsatz in der Zukunft zu skalieren.</p>';

  @override
  String get knowledge250Sbblocks250Sbdescription => 'Wann immer Einzelpersonen die Probleme mit Blockchain diskutieren, wird eines der ersten Wörter, die auftauchen, „Skalierung“ sein. Monero zeichnet sich durch die Lösung dieses Problems aus.';

  @override
  String get knowledge250Sbblocks250Sbtitle => 'Wie Monero das Blockgrößenproblem löste, das Bitcoin plagt';

  @override
  String get knowledge250Sbbtc250Sb0250Sbtext => '<p>Monero ist eine Kryptowährung, die Privatsphäre über alles schätzt, aber was die meisten Menschen nicht verstehen, ist, dass die Privatsphäre, die durch ihre Verwendung gewährt wird, in bestimmten Situationen weder kugelsicher noch absolut ist. Machen Sie keinen Fehler, Monero ist ungefähr so privat wie es im vertrauenswürdigen Bereich geht, aber es gibt einige Überlegungen, die Benutzer treffen müssen, um sicherzustellen, dass ihre Privatsphäre stark bleibt.</p>\n\n<p>Dasselbe gilt wirklich für andere Bereiche des Lebens. Beispielsweise können Sie sich von allen sozialen Medien fernhalten, um Ihr Leben privat zu halten, aber wenn Sie ständig mit Freunden zusammen sind, die Selfies mit Ihnen machen, sagen Sie im Untertitel, dass sie bei Ihnen sind, und markieren Sie Sie Standort, ein Großteil Ihrer Bemühungen kann umsonst sein. Der Social-Media-Konglomerat kann immer noch ein Profil über Sie erstellen, obwohl Sie persönlich nicht auf ihrer Plattform sind.</p>\n\n<p>Eine der oft angesprochenen Situationen, in denen Menschen nicht alle Auswirkungen und möglicherweise durchgesickerten Metadaten berücksichtigen, ist das Problem des Handels von Bitcoin gegen Monero. In der Community wird allgemein angenommen, dass der Kauf von Monero mit Bitcoin eine vollständige Reinigung darstellt und dass der Benutzer alle Datenschutzvorteile behält, sobald er bei Monero ankommt, obwohl er von einer transparenten Kette kommt.</p>\n\n<p>In ähnlicher Weise wird es von einigen als genauso privat angesehen, Monero aus Nicht-KYC- und KYC-Quellen zu beziehen. Die Überlegung geht dahin, dass es ähnlich ist wie Bargeld bei einer Bank zu bekommen. In diesem Szenario kennt die Bank selbst Ihr Gesicht und Ihren Namen und weiß, wie viel Sie insgesamt auf Ihrem Konto haben und wie viel Sie in bar abgehoben haben, aber sie weiß nicht, was Sie danach mit dem Geld machen. Mit den Datenschutzgarantien von Monero sollte es genauso sein, wenn Sie Monero aus einer KYC/AML-Quelle beziehen, richtig?</p>\n\n<p>Nun, nicht ganz.</p>\n\n<p>Lassen Sie uns zunächst einen kurzen Schritt zurücktreten und definieren, was wir unter KYC/AML verstehen. Dieses Akronym steht für Know Your Customer (KYC) / Anti-Money Laundering (AML)-Gesetze, die Börsen und Unternehmen dazu verpflichten, identifizierende Informationen über ihre Kunden zu sammeln. Je größer der umgetauschte Geldbetrag, desto mehr Informationen werden benötigt. Wie der Name schon sagt, geschieht dies alles im Namen der Minimierung des Risikos, dass Menschen Geld waschen.</p>\n\n<p>Zurück zu Monero. Um sicher zu sein, ist es astronomisch besser für die Privatsphäre, Ihr Geld von einer KYC-Quelle in Monero zu verschieben, als eine KYC-Quelle zu verwenden, um so etwas wie BTC oder eine andere Transparenzmünze zu kaufen, aber es müssen noch Überlegungen darüber angestellt werden, was enthüllt wird und was das Offengelegte Informationen können Ihre Privatsphäre und Sicherheit beeinträchtigen.</p>\n\n<p>Auch wenn Sie beim Bargeld- und Bankszenario bleiben, wenn Sie einen großen Betrag von der Bank abheben, kann der Kassierer sehen, wie viel sich auf Ihrem Konto befindet, da die Bank Ihre Daten (einschließlich Ihrer Privatadresse) kennt, und möglicherweise schändlich machen Pläne abhängig von Ihrem Vermögen. Dies ist selten, und da das Geld eher auf der Bank als bei Ihnen zu Hause ist, ist das, was sie in diesem Szenario erreichen können, relativ gering. Das Gleiche gilt nicht für Monero, das nicht von einem Dritten, sondern von Ihnen selbst gesichert wird. Es ist nicht immer einfach, seine eigene Bank zu sein.</p>\n\n<p>In ähnlicher Weise hinterlässt der Wechsel von BTC zu XMR, egal wie er gemacht wird, Spuren in der Bitcoin-Blockchain. Obwohl dies in der Tat weniger schädlich ist, als BTC zu BTC zu wechseln, da auf der anderen Seite des Austauschs die obligatorische Privatsphäre von Monero steht, müssen die Auswirkungen des Hinterlassens einer Spur berücksichtigt werden. Diese Spuren verstärken sich noch stärker, wenn irgendwo im Prozess KYC involviert war.</p>\n\n<p>Stellen Sie sich ein Szenario vor, in dem schmutzige Bitcoins für eine Ware oder Dienstleistung erhalten wurden, was nur aufgrund der radikalen Transparenz von Bitcoin möglich ist. Sie wissen nicht, dass diese Bitcoins schmutzig sind, da Sie nicht über die Technologie verfügen, um jede Bitcoin zu überprüfen, also fühlen Sie sich als kryptoversierte Person mit dieser Tatsache nicht wohl und haben nicht das Geld um ein Kettenanalyseunternehmen zu bezahlen, um es für Sie zu überprüfen. Sie entscheiden sich also, auf der sicheren Seite zu sein, zu Monero zu tauschen.</p>\n\n<p>Sie hinterlegen Ihre Bitcoins an einer Börse und tauschen sie gegen Monero aus, die Sie dann in Ihre lokale Brieftasche ziehen. Dieses Szenario ist bereits ein bisschen weit hergeholt, da die Börse Ihre schmutzigen Bitcoins kennzeichnen und Ihr Konto sperren kann, und Sie sie möglicherweise zurückbekommen oder nicht, aber für dieses Beispiel gehen wir davon aus, dass sie das zulassen Austausch passiert.</p>\n\n<p>Wenn die Regierung an diesem Punkt daran interessiert ist, der Spur dieser Bitcoins zu folgen, wird sie ihnen zur Börse folgen, die KYC-Informationen über den Einleger vorladen, sehen, dass sie zu Monero getauscht wurden (verdächtig) und anklopfen an deiner Tür.</p>\n\n<p>Bitte verstehen Sie, das bedeutet nicht, dass Sie es vermeiden sollten, Bitcoin gegen Monero auszutauschen, um nicht misstrauisch auszusehen. Sie waren bereits misstrauisch, weil Sie schmutziges Bitcoin akzeptiert haben, und wenn Sie nicht getauscht hätten, würden sie immer noch Blockchain-Analysen verwenden und trotzdem anklopfen. Vielmehr zeigt dieses Beispiel lediglich, dass es ein erhebliches Risiko gibt, Transparenzmünzen überhaupt zu verwenden, und der Wechsel zu einer privaten, fungiblen Münze wie Monero löscht nicht die Spuren, die in der transparenten Blockchain hinterlassen wurden.</p>\n\n<p>Für Einzelpersonen, die an ihrer eigenen Privatsphäre interessiert sind, sollte die Verwendung von transparenten Blockchains minimal und mit äußerster Vorsicht gehalten werden. KYC sollte nach Möglichkeit vermieden werden, da diese Metadaten immer noch verwendet werden können, um einen Fall aufzubauen und Fragen zu stellen, und Gott bewahre, dass diese KYC-Informationen (neben Handelsinformationen) aufgrund von Inkompetenz von Börsen durchgesickert sind. Selbst wenn Sie Monero nur gekauft und von der Börse abgehoben haben, würden diese durchgesickerten Informationen immer noch zeigen, wie viel Monero Sie hatten und wo Sie sich befinden. Alle Informationen, denen wir alle zustimmen können, würde niemand einfach im Cyberspace herumschweben wollen.</p>\n\n<p>Zusammenfassend lässt sich sagen, dass die Verwendung von Monero tatsächlich viele, viele Angriffe abwehrt und das Durchsickern von Metadaten standardmäßig minimiert, der Benutzer selbst jedoch viele Dinge tun kann, um letztendlich seine eigene Privatsphäre zu zerstören. Eine der am wenigsten berücksichtigten sind die Auswirkungen der Verwendung entweder einer Transparenzkette als Weg zu Monero oder einer KYC-Quelle, um sie zu erwerben, ganz zu schweigen von der gleichzeitigen Verwendung beider.</p>\n\n<p>Dieser Artikel soll keine Angst machen, sondern Benutzer ermutigen, ihre Entscheidungen kritisch zu überdenken, und sie daran erinnern, dass selbst die beste Privatsphäre unter bestimmten Umständen brüchig sein kann. Benutzer müssen wachsam sein, um ihre eigene Privatsphäre zu schützen, indem sie kluge Entscheidungen darüber treffen, was sie kaufen, wo und von wem.</p>';

  @override
  String get knowledge250Sbbtc250Sbdescription => 'Viele betrachten den Kauf von XMR mit BTC als eine vollständige Reinigung und dass der Benutzer seine Privatsphäre behält, obwohl er von einer transparenten Kette kommt. Aber ist das so?';

  @override
  String get knowledge250Sbbtc250Sbtitle => 'Ist die Umwandlung von Bitcoin in Monero genauso privat wie der direkte Kauf von Monero?';

  @override
  String get knowledge250Sbclsag250Sb0250Sbtext => '<p>Als Protokoll befindet sich Monero derzeit in einem ständigen Innovationsstadium. Die Monero-Community nutzt die Forschung sowohl zu On-Chain- als auch zu Off-Chain-Lösungen und sucht nach Verbesserungsmöglichkeiten, um Monero privater, skalierbarer und für alle zugänglicher zu machen. Eine der neueren Innovationen ist der Ersatz des verknüpfbaren Ringsignaturschemas MLSAG durch einen Drop-in-Ersatz CLSAG, der für Concise Linkable Spontaneous Anonymous Group steht.</p>\n\n<p>Auf der Oberflächenebene wird die Implementierung von CLSAG die häufigsten Transaktionen mit 2 Eingaben und 2 Ausgaben um 25 % verringern. Außerdem wird die Verifizierungszeit um 10 % verkürzt.</p>\n\n<p>Aber was genau ist CLSAG? Was macht es und wie unterscheidet es sich von der alten Version MLSAG? Nehmen wir uns eine Minute Zeit, um uns an das Warum und Wie von Ringsignaturen zu erinnern, damit wir dieses Konzept besser verstehen können. Ringsignaturen ermöglichen nicht-interaktive, nicht unterscheidbare Eingaben durch die Verwendung von vom Unterzeichner ausgewählten Anonymitätssätzen früherer Ausgaben. Laien ausgedrückt ermöglicht es einem Benutzer, seine in einer Transaktion verwendeten Ausgaben neben nicht verwandten Ausgaben zu verbergen, und er kann all dies tun, ohne dass jemand anderes daran teilnehmen muss. Alles, was Sie brauchen, ist eine Kopie der Blockchain. Jede dieser Ausgaben scheint meistens gleich wahrscheinlich zu sein, dass sie tatsächlich gesendet wird, wodurch Metadaten über den Absender verborgen werden.</p>\n\n<p>Das führt jedoch zu einem kleinen Problem. Was wäre, wenn ein Benutzer eine Ringsignatur mit allen Scheinausgaben erstellen müsste? Woher soll jemand wissen, dass der unbekannte Absender nicht befugt ist, sie zu versenden? Könnte dieser Benutzer falsches Geld ausgeben? Die Antwort ist nein. Die Ringsignatur enthält ein Verfahren zum Nachweisen, dass mindestens einer der Ausgänge dem unbekannten Absender gehört, ohne offenzulegen, um welchen es sich handelt. Tatsächlich sind sowohl CLSAG als auch MLSAG (im Folgenden als SAGs bekannt) der Teil der Ringsignatur, der dies beweist. Interessanterweise beweist es gleichzeitig, dass der Betrag der Transaktion, obwohl er hinter vertraulichen Transaktionen (RingCT) verborgen ist, ausgeglichen ist. Dass die SAGs zwei Dinge beweisen, dass ein Ausgang jemandem im Ring gehört und dass die Transaktion ausgeglichen ist, ist wichtig, und tatsächlich, wo die Einsparungen bei Größe und Verifizierung liegen. Wenn dies verwirrend wird, machen Sie sich keine Sorgen, wir werden bald zu einer lustigen und leicht verständlichen Analogie kommen.</p>\n\n<p>Das alte Signaturschema MLSAG (Multilayered Linkable Spontaneous Anonymous Group) beweist die oben genannten zwei Dinge in einer Ringsignatur, aber es macht jedes separat. Die Verwendung separater Berechnungen für Signatur- und Verpflichtungsschlüssel bedeutet langsamere Operationen. Ein moderner Computer kann diese Berechnungen innerhalb von Millisekunden durchführen, was nicht viel zu sein scheint, und für eine Transaktion ist es das auch nicht. Aber wenn wir die schiere Anzahl von Transaktionen auf der Monero-Blockchain betrachten und dass ein Knoten, der von Grund auf neu synchronisiert, jede von ihnen herunterladen und verifizieren muss, häufen sich die Bytes und Millisekunden schnell an.</p>\n\n<p>CLSAG kombiniert die Mathematik, die erforderlich ist, um beide zu beweisen, und berechnet beide gleichzeitig, und zwar auf sichere Weise. Was bedeutet das auf sichere Weise? Nun, um dies zu klären und das Ganze hoffentlich sinnvoller zu machen, lassen Sie uns die versprochene lustige Analogie untersuchen. </p>\n\n<p>Nehmen wir an, Sie müssen sowohl zum Lebensmittelgeschäft als auch zum Baumarkt gehen, um zwei verschiedene Dinge zu kaufen: Lebensmittel und giftige Reinigungschemikalien. Sie möchten nicht, dass sie sich vermischen, da bei einem Unfall die Chemikalien auf das Essen gelangen und es ungenießbar machen. Du beschließt, ganz sicher zu sein und fährst von deinem Haus zum Lebensmittelgeschäft, kaufst das Essen und fährst dann zurück zu deinem Haus. Erst nachdem Sie die Lebensmittel ausgeladen haben, steigen Sie wieder ins Auto, fahren zum Baumarkt und mit den Chemikalien zurück zu Ihrem Haus. Sie haben zwei separate Reisen unternommen, um die Sicherheit aller Einkäufe zu gewährleisten. Obwohl es in der Tat sicher ist, ist es ineffizient. Dies stellt MLSAG dar, wo zwei verschiedene mathematische Sätze gespeichert sind und zwei verschiedene „Reisen“ unternommen werden, um sie zu berechnen.</p>\n\n<p>Du entscheidest dich jedoch für einen schnelleren Weg, dies zu tun. Es ist zu viel Zeitverschwendung. Sicher, es ein- oder zweimal zu tun, wird Ihnen nicht das Leben stehlen, aber wenn Sie dies immer und immer wieder tun müssen, beginnen sich die Stunden zu summieren. Sie beginnen sich zu fragen, ob Sie stattdessen eine Reise machen können. Von zu Hause, zum Lebensmittelgeschäft, zum Baumarkt und zurück nach Hause. Sie können nicht einfach alles wahllos in Ihr Auto werfen. Es ist nicht sicher. Stattdessen weisen Sie verschiedenen Dingen in Ihrem Auto verschiedene Stellen zu und stellen sicher, dass alles sauber an seinem Platz sitzt. Auf diese Weise können Sie beide Geschäfte sicher einmal besuchen und Dinge voneinander fernhalten. Dies repräsentiert CLSAG. In dieser Transaktion ist jetzt nur noch ein mathematischer Satz gespeichert, um diese beiden Dinge zu beweisen, und es wird so getan, dass sie sich nicht gegenseitig stören. Eine Reise muss noch gemacht werden, aber Sie haben die Anzahl ziemlich drastisch reduziert.</p>\n\n<p>Das klingt alles ziemlich spannend. Ist es möglich, dass wir andere Abkürzungen oder andere Möglichkeiten finden, Zeit und Platz zu sparen? Die Antwort ist ja und nein. Laut aktuellen MRL-Forschern ist es wahrscheinlich nicht möglich, die SAG-Konstruktionen für eine bessere Größe oder Geschwindigkeit weiter zu modifizieren; andere Konstruktionen wie Arcturus, Omniring, RCT3 oder Triptych erzeugen jedoch eine viel bessere Größenskalierung und Überprüfungsvorteile unter Verwendung anderer mathematischer Methoden. Jeder dieser „Next-Gen“-Ansätze für signierermehrdeutige Protokolle bringt jedoch seine eigenen Kompromisse bei den Implementierungsdetails mit sich und wird aktiv erforscht und untersucht.</p>\n\n<p>Schließlich ist Monero immer innovativ.</p>';

  @override
  String get knowledge250Sbclsag250Sbdescription => 'Werfen wir einen Blick auf eine der neueren Innovationen des Monero-Protokolls: den Ersatz des verknüpfbaren Ringsignaturschemas MLSAG durch einen Drop-in-Ersatz CLSAG.';

  @override
  String get knowledge250Sbclsag250Sbtitle => 'Wie CLSAG die Effizienz von Monero verbessern wird';

  @override
  String get knowledge250Sbcoinjoin250Sb0250Sbtext => '<p>Da die Datenschutz-Tools von Bitcoin mehr Aufmerksamkeit und Nutzung erlangt haben, wurden sie einer stärkeren behördlichen Prüfung unterzogen. Diese Prüfung hat zu einer <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\"  href=\"https://twitter.com/wasabiwallet/status/1503091503207432193\">aktuellen Ankündigung</a> eines Bitcoin-Datenschutztools, Wasabi Wallet, geführt, dass sie anfangen werden, eingehende Eingaben für Mischungen zu zensieren und abzulehnen, die sie als illegal oder gegen ihre ToS erachten, und eine Kettenanalyse durchführen werden Unternehmen, eingehende Mix-Teilnehmer zu „überprüfen“.</p>\n<p>Die Verwendung von CoinJoin-Transaktionen zur Verschleierung der Geldquelle in Bitcoin ist seit vielen Jahren der Kern der Privatsphäre von Bitcoin, und die Probleme und Risiken, die mit ihrer Verwendung verbunden sind, sind einige der Kernprobleme, die Moneros Ringsignaturen korrigieren und verhindern .</p>\n<p>In diesem Blogbeitrag tauchen wir kurz in einen Vergleich von CoinJoin und Ringsignaturen ein, sowie warum der in Monero verfolgte Ansatz zu größerer Zensurresistenz, größerer Privatsphäre und weniger Ärger für die Benutzer führt.</p>';

  @override
  String get knowledge250Sbcoinjoin250Sb1250Sbtext => '<p>Da alle Transaktionen in Bitcoin vollständig transparent sind – Absender, Empfänger und Beträge offengelegt werden – müssen Benutzer zusätzliche Schritte unternehmen, um ihre Privatsphäre vor früheren Absendern und zukünftigen Empfängern ihrer Gelder zu schützen, oder riskieren Zensur, Überwachung oder Diebstahl von Geldern über körperliche Gewalt.</p>\n<p>Die derzeit beste Lösung für den Datenschutz bei Bitcoin ist ein Tool namens <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\"  href=\"https://bitcoiner.guide/qna/coinjoin/\">„CoinJoin“</a>, bei dem 2 oder mehr Benutzer zusammenarbeiten (normalerweise über einen zentralen Koordinator), um eine spezielle Transaktion zu erstellen, die es für Außenstehende schwierig macht Beobachter, um die Eingänge mit den Ausgängen zu verbinden. Jeder Teilnehmer kommuniziert, um die Transaktion gemeinsam aufzubauen, ohne die Verwahrung seiner Gelder abzugeben, und erhält am Ende eine Ausgabe, deren Vorgeschichte nun für externe Beobachter unklar (oder verschleiert) ist.</p>\n<p>Dies bricht die Geschichte bestimmter UTXOs und ermöglicht es Bitcoin-Benutzern, bei Transaktionen ein gewisses Maß an Vorwärtsgeheimnis zu erlangen. CoinJoin (wie es in Wasabi Wallet und Samourai Wallet implementiert ist, den beiden am häufigsten verwendeten CoinJoin-Tools für Bitcoin) hat jedoch einige große Nachteile:</p>\n<ul>\n<li>Da CoinJoin-Transaktionen vollständig Opt-in sind und eine aktive Teilnahme erfordern, zeigt jeder Teilnehmer notwendigerweise, dass er mehr Privatsphäre anstrebt als die „normalen“ Bitcoin-Benutzer, was sie möglicherweise aussondert und Probleme verursacht, Gelder an vielen regulierten Börsen oder Unternehmen auszugeben. Jeder Benutzer kann nicht leugnen, dass er an einer CoinJoin-Transaktion teilgenommen hat.</li>\n<li>Um andere für CoinJoin zu finden, verwenden die meisten Ansätze für CoinJoin (einschließlich Wasabi Wallet) einen zentralen Koordinator, der die Teilnehmer verbindet und ihnen hilft, zu kommunizieren und eine richtige CoinJoin-Transaktion aufzubauen. Dieser zentralisierte Koordinator hat niemals die Kontrolle über die Gelder der Benutzer, erhält jedoch umfassende Einblicke in die von ihm koordinierten Transaktionen, kann eingehende Eingaben zensieren (wie im Fall von Wasabi Wallet) und kann unter Druck gesetzt werden, Informationen über CoinJoin-Teilnehmer zu sammeln oder weiterzugeben.[X2068X ]\n<li>Benutzer mit großen Geldbeträgen für CoinJoin müssen oft Stunden (oder sogar Tage!) warten, um genügend Teilnehmer für CoinJoin zu finden, was zu großen Verzögerungen ab dem Zeitpunkt führt, an dem ein Benutzer Geld erhält, bis er es privat ausgeben kann. </li>\n<li>Die Privatsphäre, die eine CoinJoin-Transaktion bietet, verschlechtert sich im Laufe der Zeit, wenn andere Teilnehmer Gelder ausgeben oder ihre Ausgaben mit ihrer Identität durch KYC-Austausch, Händler, die eine ID erfordern, usw. verknüpfen ihre Anonymitätseinstellung („Crowd to Hide In“) so frisch wie möglich.</li>\n<li>Bei den meisten CoinJoin-Ansätzen müssen die Teilnehmer ein UTXO mit fester Größe (d. h. 0,1 BTC) verwenden, um die Verbindung von Ein- und Ausgängen von CoinJoin-Transaktionen zu erschweren. Dies führt zu höheren Gebühren (mehr separate Transaktionen pro großer Eingabe erforderlich), mehr „toxischem Wechselgeld“ (Gelder, die ohne ernsthafte Risiken für die Privatsphäre nicht ausgegeben werden können) und kann kleinere Benutzer daran hindern, sich überhaupt zu mischen, wenn sie dies nicht getan haben das erforderliche Mindestguthaben.</li>\n</ul>';

  @override
  String get knowledge250Sbcoinjoin250Sb1250Sbtitle => 'Was ist eine CoinJoin-Transaktion?';

  @override
  String get knowledge250Sbcoinjoin250Sb2250Sbtext => '<p>Da <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\"  href=\"/knowledge/ring-signatures\">wir uns in der Vergangenheit eingehend damit befasst haben, was Ringsignaturen sind</a>, werde ich in diesem Blogbeitrag nicht sehr detailliert auf die technischen Aspekte ihrer Funktionsweise eingehen. Stattdessen werden wir uns ansehen, wie die in Monero verfolgten Ansätze die oben besprochenen Probleme mit CoinJoin lösen.</p>\n<blockquote>\n<p>CoinJoin ist Opt-in und erfordert die Teilnahme</p>\n</blockquote>\n<p>Moneros Ringsignaturen sind eine Kernfunktion des Datenschutzprotokolls, und <em>jede</em> Transaktion im Netzwerk verwendet sie. Dies bedeutet, dass sich die Transaktionen von keinem Benutzer dadurch auszeichnen, dass sie nach mehr Privatsphäre suchen als „normale“ Monero-Benutzer, und alle Benutzer erhalten eine plausible Leugnung, dass sie Gelder für eine bestimmte Transaktion ausgegeben haben. Da ein Benutzer, der Geld ausgibt, die Ködereingaben in einer Transaktion nicht koordiniert oder daran teilnimmt, können diejenigen Benutzer, die Eingaben besitzen, die zufällig als Köder ausgewählt wurden, ehrlich sagen, dass sie nicht an dieser Transaktion teilgenommen haben, wodurch ihre Privatsphäre gestärkt wird.</p>\n<blockquote>\n<p>Einsatz eines zentralen Koordinators</p>\n</blockquote>\n<p>Da die Ringsignaturen von Monero völlig unkoordiniert sind und nur den wahren Spender von Geldern benötigen, um die Transaktion zu erstellen, ist kein zentraler Koordinator in Monero erforderlich. Dies stellt sicher, dass <em>niemand</em> Ihnen den Zugriff auf die Privatsphäre in Monero verweigern kann, und es gibt keine zentrale Einheit, die unter Druck gesetzt werden kann, keine einfachen Sybil-Angriffe auf die Liquidität usw. Solange Ihre Transaktion die richtigen Gebühren zahlt, Sie erhalten unzensierbaren Zugriff auf Privatsphäre, Sicherheit und Anonymität in Monero.</p>\n<blockquote>\n<p>CoinJoin erfordert Liquidität</p>\n</blockquote>\n<p>Die „Liquidität“, die jedem zur Verfügung steht, der Monero ausgibt, um ihn als Köder zu verwenden, ist immer der gesamte Satz von Ausgängen in der Kette, sodass es nie an Ködern mangelt, in denen er sich mit Monero verstecken kann. Jemand, der Monero ausgeben möchte, kann dies ca. 20 Minuten nach Erhalt des Geldes tun und muss keine zusätzlichen Schritte ausführen, um eine starke Privatsphäre in Monero zu erhalten.</p>\n<blockquote>\n<p>CoinJoin-Datenschutz verschlechtert sich mit der Zeit</p>\n</blockquote>\n<p>Da die Ausgaben von Monero niemals vom Netzwerk ausgegeben werden, ist die durch Ringsignaturen bereitgestellte Privatsphäre viel weniger anfällig für eine Verschlechterung im Laufe der Zeit. Ein Benutzer muss nicht ständig Ausgaben in Monero ändern und verliert, abgesehen von äußerst seltenen Umständen, im Laufe der Zeit keine Privatsphäre.</p>\n<p>Wenn ein Benutzer die mit einer Ausgabe verwendeten Köder „auffrischen“ möchte, kann er das Geld einfach an sich selbst zurücksenden und es ~20 Minuten später wie gewohnt ausgeben.</p>\n<blockquote>\n<p>CoinJoin erfordert normalerweise Eingaben mit fester Größe</p>\n</blockquote>\n<p>Da bei jeder Transaktion mit <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\"  href=\"/knowledge/monero-ringct\">„Vertrauliche Transaktionen“</a> (Teil von „RingCT“) Beträge verborgen werden, können die bei einer bestimmten Transaktion verwendeten Köder beliebig groß sein. Es gibt keinen Grund, sich über betragsbasierte Heuristiken in Monero Sorgen zu machen, und daher sind Transaktionen viel einfacher zu erstellen und können Köder zu jedem Zeitpunkt und in jeder Höhe auf der Monero-Blockchain nutzen.</p>';

  @override
  String get knowledge250Sbcoinjoin250Sb2250Sbtitle => 'Wie lösen Ringsignaturen diese Probleme?';

  @override
  String get knowledge250Sbcoinjoin250Sb3250Sbtext => '<p>Wenn Sie neugierig sind und Ringsignaturen oder CoinJoin-Transaktionen besser verstehen möchten, finden Sie unter den folgenden Links großartige Einstiegsmöglichkeiten:</p>\n<ul>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\"  href=\"/knowledge/ring-signatures\">Wie Ringsignaturen die Ausgaben von Monero verschleiern</a></li>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\"  href=\"https://www.getmonero.org/resources/moneropedia/ringsignatures.html\">Ringsignatur - Moneropedia</a></li>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\"  href=\"https://bitcoiner.guide/qna/coinjoin/\">Coinjoin-Fragen und Antworten</a></li>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\"  href=\"https://6102bitcoin.com/coinjoin-overview/\">CoinJoin-Übersicht</a></li>\n</ul>';

  @override
  String get knowledge250Sbcoinjoin250Sb3250Sbtitle => 'Wie kann ich mehr erfahren?';

  @override
  String get knowledge250Sbcoinjoin250Sbdescription => 'CoinJoin ist der Kern des BTC-Datenschutzes, und die damit verbundenen Probleme sind einige der Probleme, die durch Moneros Ringsignaturen gelöst werden.';

  @override
  String get knowledge250Sbcoinjoin250Sbtitle => 'Moneros Ringsignaturen vs. CoinJoin wie in Wasabi';

  @override
  String get knowledge250Sbcontributing250Sb0250Sbtext => '<p>Das Monero-Projekt (wie viele andere Open-Source-Projekte) hat kein zentrales Unternehmen, keine Einheit oder Finanzierung dahinter, die alle für Dezentralisierung und Widerstandsfähigkeit notwendig sind. Dies bedeutet jedoch, dass der Erfolg des Projekts vollständig von den Beiträgen leidenschaftlicher Einzelpersonen in der Gemeinschaft zur Finanzierung, Entwicklung und Öffentlichkeitsarbeit abhängt, genau wie Sie.</p>\n<p>Die überwiegende Mehrheit der Menschen in der Monero-Community wird nicht zwangsläufig Entwickler sein, also konzentrieren wir uns auf die vielen Möglichkeiten, wie wir Nicht-Entwickler einem so unglaublichen Projekt etwas zurückgeben können.</p>';

  @override
  String get knowledge250Sbcontributing250Sb1250Sbtext => '<p>Monero verwendet ein einzigartiges System zur Finanzierung von Arbeiten namens <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://ccs.getmonero.org/\">Community Crowdfunding System</a> (oder „CCS“), das es jedem in der Community ermöglicht, eine Idee zur Finanzierung vorzustellen. Wenn sie von der Community genehmigt werden, werden diese Vorschläge dann zur Finanzierung durch die Community geöffnet.</p>\n<p>Das System besteht aus zwei Phasen, die jeweils von einer stärkeren Beteiligung von Menschen mit unterschiedlichem Hintergrund profitieren.</p>\n<h6 id=\"participating-in-ideas\">Teilnahme an „Ideen“</h6>\n<p>Alle CCS-Vorschläge beginnen als „Ideen“, die offen für Kommentare in der Community sind und oft auch in Community-Meetings diskutiert werden. Dies ist eine Gelegenheit für alle in der Community, den Vorschlag durchzulesen und zu kommentieren, was ihrer Meinung nach geändert oder verbessert werden könnte, oder ob der Vorschlag überhaupt zur Finanzierung genehmigt werden sollte oder nicht. Auf diese Weise können Sie nicht nur über die laufenden Bemühungen anderer in der Community auf dem Laufenden bleiben, sondern auch aktiv mitbestimmen, wer und was von der Community finanziert wird, Vorschläge vor der Finanzierung verbessern und nach der Finanzierung die Aufsicht übernehmen.</p>\n<p><em>Unter <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://ccs.getmonero.org/ideas/\">CCS-Ideen</a> können Sie alle Vorschläge sehen, die sich in der Phase „Ideen“ befinden.</em></p>\n<h6 id=\"funding-proposals-in-funding-required\">Fördervorschläge in „Finanzierung erforderlich“</h6>\n<p>Die zweite Phase eines genehmigten Vorschlags ist die Phase „Finanzierung erforderlich“. Hier kann jeder in der Community, dem ein Vorschlag gefällt und den Wert darin sieht, einfach, schnell und privat seine Monero für den jeweiligen Vorschlag spenden.</p>\n<p>Um für einen Vorschlag zu spenden, gehen Sie einfach zu <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://ccs.getmonero.org/funding-required/\">CCS-Finanzierung erforderlich</a>, klicken Sie auf den Vorschlag, für den Sie spenden möchten, und scannen Sie den QR-Code oder kopieren Sie die Adresse und senden Sie so viel (oder wenig!) Sie möchten einen Beitrag leisten. Jedes noch so kleine bisschen hilft!</p>\n<p>Sobald ein Vorschlag vollständig finanziert ist, können Sie ihn verfolgen, während er <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://ccs.getmonero.org/work-in-progress/\">in Bearbeitung</a> ist, oder die Ergebnisse von <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://ccs.getmonero.org/completed-proposals/\">abgeschlossenen Vorschlägen</a> ansehen.</p>\n<p><em>Sie können alle Vorschläge, die sich in der Phase „Finanzierung erforderlich“ befinden, unter <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://ccs.getmonero.org/funding-required/\">CCS-Finanzierung erforderlich</a> sehen.</em></p>';

  @override
  String get knowledge250Sbcontributing250Sb1250Sbtitle => 'Moneros Community-Crowdfunding-System';

  @override
  String get knowledge250Sbcontributing250Sb2250Sbtext => '<p>Eine weitere großartige Möglichkeit, sich am Monero-Projekt zu beteiligen, besteht darin, dabei zu helfen, neue und bestehende Community-Mitglieder zu schulen und zu stärken. Dies kann in vielen Formen erfolgen, kann aber so einfach sein wie das Teilen dessen, was Sie über Monero in sozialen Medien, einem Blog usw. lernen.</p>\n<p>Hier sind einige konkrete Möglichkeiten, wie Sie bei der Bildung helfen können:</p>\n<ul>\n<li>Starten Sie einen eigenen Blog</li>\n<li>Schreiben Sie Threads auf Twitter oder Reddit-Posts über Dinge, über die Sie gelernt haben oder die Sie mit Monero zu tun gelernt haben</li>\n<li>Erstellen Sie Video-\"How-tos\" von alltäglichen Dingen, die Sie mit Monero tun, wie z. B. das Senden von Monero, die Verwendung einer Hardware-Wallet, den Kauf und Verkauf von Monero auf <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://localmonero.co\">LocalMonero.co</a> usw.</li>\n</ul>';

  @override
  String get knowledge250Sbcontributing250Sb2250Sbtitle => 'Ausbildung';

  @override
  String get knowledge250Sbcontributing250Sb3250Sbtext => '<p>Eine einfache Möglichkeit, wie Sie helfen können, besteht darin, einfach auf den normalen Social-Media-Kanälen aktiv zu sein und über großartige Monero-Inhalte zu sprechen, sie aufzuklären und zu teilen.</p>\n<p>Je mehr von uns da draußen mitteilen, wie Monero uns geholfen hat, was wir daran lieben, was verbessert werden muss und warum wir uns dafür entscheiden, einen Beitrag zu leisten, desto mehr Menschen werden den Wert eines mächtigen Produkts erkennen können Werkzeug wie Monero.</p>\n<h6 id=\"twitter\">Twitter</h6>\n<p>Twitter ist ein beliebter Ort für Benutzer von Kryptowährungen (unter anderem) und ein Ort, den ich als wertvoll empfunden habe, um sowohl zu lernen als auch mit der Monero-Community in Kontakt zu treten. Obwohl es manchmal ein giftiger und rauer Ort sein kann, gibt es einige großartige Leute, die regelmäßig großartige Inhalte veröffentlichen.</p>\n<p>Fühlen Sie sich frei, einzusteigen und anfangen, sich über Monero auszutauschen und dort mit anderen in Kontakt zu treten!</p>\n<p><em>Sie finden LocalMonero auf Twitter <span class=\"citation\" data-cites=\"LocalMoneroCo\"> <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://twitter.com/LocalMoneroCo\">@LocalMoneroCo</a></span>.</em></p>\n<h6 id=\"reddit\">Reddit</h6>\n<p>Reddit ist ein beliebter Weg für die Interaktion mit der Monero-Crowd (und einer breiteren Kryptowährung/Privatsphäre) und ein großartiger Ort, um längere Inhalte, Medien, Nachrichten usw. zu teilen.</p>\n<p>Es gibt dort eine äußerst aktive Monero-Community, mit einigen der beliebtesten Sub-Reddits:</p>\n<ul>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://www.reddit.com/r/Monero/\">r/Monero</a>\n<ul>\n<li>Die Heimat für die meisten Monero-Diskussionen, Nachrichten und Medien</li>\n</ul></li>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://www.reddit.com/r/monerosupport/\">r/monerosupport</a>\n<ul>\n<li>Ein großartiger Ort, um Unterstützung zu erhalten und denen zu helfen, die Unterstützung bei Monero-Problemen benötigen</li>\n</ul></li>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://www.reddit.com/r/MoneroCommunity/\">r/MoneroCommunity</a>\n<ul>\n<li>Ein allgemeiner Ort für Community-orientierte Diskussionen</li>\n</ul></li>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://www.reddit.com/r/MoneroMining/\">r/MoneroMining</a>\n<ul>\n<li>Alle Ihre Mining-Bedürfnisse und Diskussionen</li>\n</ul></li>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://www.reddit.com/r/xmrtrader/\">r/xmrtrader</a>\n<ul>\n<li>Das Zuhause für alle preis-/markt-/spekulationsbezogenen Diskussionen über Monero. Preis-/marktbezogene Themen sind generell auf allen anderen Monero-Subreddits verboten, um die Community fokussiert zu halten.</li>\n</ul></li>\n</ul>\n<p>Beteiligen Sie sich an Diskussionen, teilen Sie interessante Neuigkeiten und Beiträge und tragen Sie dort bei, wo Sie es für richtig halten!</p>\n<p><em>Sie finden die LocalMonero-Community auf Reddit unter <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://www.reddit.com/r/LocalMonero/\">r/LocalMonero</a>.</em></p>\n<h6 id=\"matrixirc\">Matrix/IRC</h6>\n<p>Die überwiegende Mehrheit des „Innenlebens“ von Monero findet auf Matrix und IRC statt, zwei Chat-Netzwerken, die miteinander verbunden sind. Wenn Sie an den alltäglichen Diskussionen beteiligt bleiben, an Meetings teilnehmen oder einfach nur mit anderen Monero-Benutzern chatten möchten, sollten Sie entweder in Matrix oder IRC einsteigen.</p>\n<p>Eine Liste der gängigsten Matrix/IRC-Kanäle ist auf <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://www.getmonero.org/community/hangouts/\">getmonero.org</a>.</p> verfügbar.\n<p><em>Sie finden die LocalMonero-Community auf Matrix im Raum <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://matrix.to/#/#localmonero:agoradesk.com\">#localmonero:agoradesk.com</a>.</em></p>\n<h6 id=\"offline\">Offline</h6>\n<p>Vergessen Sie nicht, Monero auch offline Ihren Freunden, Ihrer Familie und anderen vorzustellen! Eine gute Möglichkeit besteht darin, die Person eine mobile Geldbörse wie <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://cakewallet.com/\">Cake Wallet (iOS/Android)</a>, <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://www.monerujo.io/\">Monerujo (Android)</a> oder <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://mymonero.com/\">MyMonero (iOS)</a> herunterladen zu lassen, Schicken Sie ihnen ein bisschen Monero und lassen Sie sie etwas zurückschicken.</p>\n<p>Es kann auch hilfreich sein, eine Transaktion zwischen etwas wie Bitcoin und Monero in einem Explorer wie <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://www.exploremonero.com/\">ExploreMonero</a> zu vergleichen, um ihnen zu zeigen, wie wenig Informationen bei Transaktionen mit Monero im Vergleich zu anderen transparenten Blockchains öffentlich offengelegt werden.[ X4596X]';

  @override
  String get knowledge250Sbcontributing250Sb3250Sbtitle => 'Bewusstsein und Engagement';

  @override
  String get knowledge250Sbcontributing250Sb4250Sbtext => '<p>Wenn Sie schon eine Weile mit Monero zu tun haben oder ein gutes Verständnis für die Verwendung und Fehlerbehebung haben, können Sie sich am Subreddit <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://www.reddit.com/r/monerosupport/\">r/monerosupport</a> beteiligen und Bieten Sie Support für Benutzer, die dort posten.</p>\n<p>Es gibt ständig Benutzer, die Hilfe bei (normalerweise) grundlegenden Problemen benötigen, und nur wenige von uns sind im Subreddit aktiv, um ihnen zu helfen. Es wäre großartig zu sehen, wie mehr Leute eintauchen und dazu beitragen, neuen und bestehenden Benutzern zu helfen, ihre Probleme zu lösen!</p>';

  @override
  String get knowledge250Sbcontributing250Sb4250Sbtitle => 'r/monerosupport';

  @override
  String get knowledge250Sbcontributing250Sb5250Sbtext => '<p>Fast alle Community-Diskussionen zu bestimmten Themen finden in Matrix oder IRC statt, wenn Sie also daran interessiert sind, nur von Meetings zu lernen/zu folgen oder aktiv teilnehmen möchten, sollten Sie <a class=\"next-link\" href=\"#matrixirc\">einen dieser Chats einrichten Netzwerke</a>.</p>\n<p>Wenn Sie das getan haben, behalten Sie die Themen im Auge, die für jeden Raum, in dem Sie sich befinden, festgelegt wurden, oder im <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://github.com/monero-project/meta/issues\">Monero-Meta-Repository</a> für geplante Meetings.</p>\n<p>Wenn Sie kommen und teilnehmen möchten, respektieren Sie bitte die Reihenfolge der Themen, bleiben Sie beim Thema und versuchen Sie, sich nur dann zu äußern, wenn dies erforderlich/aufgefordert ist.</p>';

  @override
  String get knowledge250Sbcontributing250Sb5250Sbtitle => 'Gemeindetreffen';

  @override
  String get knowledge250Sbcontributing250Sb6250Sbtext => '<p>Für diejenigen, die zweisprachig oder mehr sind, besteht eine sehr wichtige Möglichkeit, einen Beitrag zu leisten, darin, bei Übersetzungen aus dem Englischen in andere Sprachen zu helfen. Es müssen immer neue Sprachen übersetzt und vorhandene Sprachen im gesamten Ökosystem aktualisiert werden, und je mehr Sprachen wir aktiv unterstützen, desto integrativer und zugänglicher wird Monero.</p>\n<p>Sie finden Übersetzungsbedarf und Informationen unter <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://translate.getmonero.org/\">translate.getmonero.org</a> oder <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://github.com/monero-ecosystem/monero-translations\">auf Github</a>.</p>';

  @override
  String get knowledge250Sbcontributing250Sb6250Sbtitle => 'Übersetzungen';

  @override
  String get knowledge250Sbcontributing250Sb7250Sbtext => '<p>Die letzte Möglichkeit für Nicht-Entwickler, zu Monero beizutragen, besteht darin, <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://github.com/monero-project/monero/issues\">Probleme in Github</a> zu protokollieren, wenn Sie ein Problem haben, das nicht auf <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://www.reddit.com/r/monerosupport/\">r/monerosupport</a> oder in gelöst werden kann <a class=\"next-link\" href=\"#matrixirc\">Matrix/IRC</a> oder einen Bereich zur Verbesserung der Software sehen.</p>\n<p>Wenn Sie ein Problem öffnen:</p>\n<ul>\n<li>Vergewissern Sie sich, dass kein bestehendes Problem mit Ihrem Problem vorliegt\n<ul>\n<li>Durchsuchen Sie <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://github.com/monero-project/monero/issues\">offene Probleme in Github</a> nach Schlüsselwörtern, die sich auf Ihre beziehen</li>\n</ul></li>\n<li>Geben Sie so viele Informationen wie möglich an\n<ul>\n<li>Wenn bei Ihnen ein Problem auftritt, das durch die normale Fehlerbehebung nicht behoben werden konnte, stellen Sie Folgendes sicher:\n<ul>\n<li>Sammeln Sie alle relevanten Protokolle, wenn das Problem auftritt</li>\n<li>Sammeln Sie die Version der Monero-Software, die Sie ausführen<br />\n</li>\n<li>Erfassen Sie das Betriebssystem und die Version Ihres Systems</li>\n<li>Link zu allen relevanten bestehenden Problemen, Reddit-Threads usw.</li>\n</ul></li>\n</ul></li>\n<li>Halten Sie Ausschau nach Antworten und Benachrichtigungen über Updates zu Ihrem Problem\n<ul>\n<li>Weitere Informationen oder Erläuterungen sind oft erforderlich, also halten Sie Ausschau nach Aktualisierungen und Kommentaren zu Ihrem Problem, die möglicherweise Ihre Eingabe erfordern</li>\n</ul></li>\n</ul>\n<p>Je mehr Informationen Sie in der Ausgabe angeben können, desto besser!</p>';

  @override
  String get knowledge250Sbcontributing250Sb7250Sbtitle => 'Probleme bei der Einreichung';

  @override
  String get knowledge250Sbcontributing250Sb8250Sbtext => '<p>Hoffentlich hat dieser Leitfaden einige Ideen dazu angeregt, wie Sie Monero mit Ihren einzigartigen Fähigkeiten, Ihrem Hintergrund und Ihrer Erfahrung etwas zurückgeben können. Je mehr von der Gemeinschaft, die auf diese Weise etwas zurückgibt, desto größer und ausgereifter wird Monero sein und desto leichter können wir die Ziele von privatem, fungiblem, selbstsouveränem, zensurresistentem Geld erfüllen.</p>';

  @override
  String get knowledge250Sbcontributing250Sb8250Sbtitle => 'Fazit';

  @override
  String get knowledge250Sbcontributing250Sbdescription => 'Der Erfolg von Monero hängt von den Beiträgen der Community ab – heute werden wir einige Möglichkeiten untersuchen, wie wir Nicht-Entwickler etwas zurückgeben können.';

  @override
  String get knowledge250Sbcontributing250Sbtitle => 'Zurück zu Monero beitragen';

  @override
  String get knowledge250Sbcritical250Sb0250Sbtext => '<p>Jeder Einzelne hat seine eigene Geschichte über das Reisen durch den Wilden Westen, der Kryptowährung ist. Manche finden einen Ort zum Spekulieren, manche finden Freunde und wieder andere finden Technologien, an die sie glauben. Trotz der Unterschiede gibt es im Allgemeinen viele Ähnlichkeiten, sogar über verschiedene Kryptos und Gemeinschaften hinweg. Eine davon ist die beunruhigende Ähnlichkeit mit kultischem Verhalten, das in vielen der Krypto-Gemeinschaften praktiziert wird.</p>\n\n<p>Diese Verhaltensweisen sind nicht schwer zu erkennen. Unfähigkeit, Kritik zu ertragen, und das bewusste Ignorieren von Fehlern, selbst angesichts von Beweisen, sind nur einige Beispiele. In einigen Bereichen wird das Cheerleading so offensichtlich, dass jede Negativität zu einem Grund für Disziplinarmaßnahmen wird.</p>\n\n<p>Als Kryptowährungsreisender, der versucht, gute Projekte zu unterstützen und <a target=\"_blank\" href=\"/knowledge/monero-scams\" class=\"next-link\">nicht sein ganzes Geld zu verlieren</a>, werden alle Kryptowährungsenthusiasten ermutigt, kritisch zu denken und Projekte auf der Grundlage ihres realen Werts zu bewerten, aber wie wäre es, sich ihm zu nähern? aus der anderen Richtung? Sollen Projekte selbst selbstkritisch und selbstbewusst sein?</p>\n\n<p>Wir argumentieren ja. Die Gemeinschaft selbst ist ein Spiegelbild des Projekts und der Leiter darin. Darüber hinaus wird eine versierte Community mehr von ihren Entwicklern erwarten und in der Lage sein, vorgeschlagene Lösungen zu kritisieren, anstatt blind darauf zu vertrauen und zu akzeptieren, dass alle Entwickler zum Wohle der Benutzer und nicht für sich selbst oder externe Interessen arbeiten.</p>\n\n<p>Umgekehrt ist eine Community, die sich nur um den Preis kümmert und nicht in der Lage oder bereit ist, sich selbst kritisch zu bewerten (oder andere bewerten zu lassen), dazu verdammt, sich in Mittelmäßigkeit zu suhlen.</p>\n\n<p>Als Projekt versucht Monero, seine Entwickler, Forscher, Führungskräfte und die Community selbst auf höchstem Niveau zu halten und das Risiko einer wachsenden Selbstgefälligkeit und destruktiven Apathie zu minimieren.</p>\n\n<p>Eine der Möglichkeiten, wie Monero dies tut, besteht darin, einen wöchentlichen Skepsis-Sonntag im Community-Subreddit abzuhalten. Dies ist ein Ort, an dem Menschen ihre Bedenken über Monero, das Protokoll, die Führung oder andere Bedenken äußern können, die sie haben könnten. Es ist ein Ort, an dem Fragen und sogar Misstrauen geradezu gefördert und für die Gesundheit unseres Ökosystems als notwendig erachtet werden.</p>\n\n<p>Dies steht in krassem Gegensatz zu vielen anderen Communities, die nicht nur Kritik vermeiden, sondern oft Apathie und Abkehr von ihrer Community fördern. Das mag hart erscheinen, aber es ist unmöglich, das ökosystemweite Verbot von Neinsagern, das Abschalten von Gesprächen und die Ermutigung zum Cheerleading zu betrachten, das an den Treffpunkten anderer Coins zu sehen ist, und nicht zu diesem Schluss zu kommen.</p>\n\n<p>Das soll nicht heißen, dass Monero selbst keine Cheerleader hat, denn das gibt es. Das Interessante ist jedoch, dass viele Community-Mitglieder diese Cheerleader herausfordern und sie zu einem höheren Verhaltensstandard aufrufen werden. Tatsächlich geht Monero so weit, unnötig übermäßiges Cheerleading als Spam zu betrachten und wird versuchen, es an geeignetere Stellen umzuleiten oder es vollständig zu entfernen.</p>\n\n<p>Die Bedrohung durch verkümmerte Köpfe muss ernst genommen werden. Datenschutz ist ein Wettrüsten, bei dem jeder auf Trab sein muss und „Monero ist der Beste!“ schreit. und „Nichts kann Monero schlagen! Es ist unzerbrechlich!“ nur von der Dringlichkeit des Kampfes ablenken. Aus dieser Perspektive ist ein Mangel an kritischem Denken und gesunder Skepsis in einer Gemeinschaft nicht nur ärgerlich oder kultig, sondern kann zum Sturz des Protokolls selbst führen.</p>\n\n<p>In vielerlei Hinsicht können wir bei Bitcoin nach Beispielen dafür suchen, wie sich dies im wirklichen Leben abspielt. Bitcoin-Maximalisten werden sich oft gegenseitig über die Vorzüge von Bitcoin brüllen und Tugend signalisieren, und wann immer Fragen der Privatsphäre, Fungibilität oder Skalierung auftauchen, werden die Fragen per Hand weggewinkt und die Täter aus der Gemeinschaft verdrängt. Allzu oft wurden Menschen mit legitimen Fragen von der Teilnahme an Bitcoin-Communities ausgeschlossen, blockiert oder anderweitig geächtet, nur weil sie sich nicht an die vereinbarte Rhetorik hielten und es wagten, Fragen zu stellen.</p>\n\n<p>Diese müden Reisenden finden immer wieder den Weg zu Monero und loben das Projekt nach einiger Zeit in der Community für seine besonnenen Diskussionen und den Mangel an Angst vor unbequemen Fragen. Es ist nicht ungewöhnlich, dass diese Reisenden sogar über andere Coins diskutieren wollen, nicht weil sie scherzen wollen, sondern weil sie der Vernunft und Logik der Community zunehmend vertrauen und ehrliche Meinungen zu anderen Coins wollen, etwas, das sie nicht bekommen können die Coin-Community selbst.</p>\n\n<p>Sogar die Tatsache, dass Monero in der Vergangenheit und Gegenwart immer wieder hart gegabelt wurde, hat die Bescheidenheit und Kraft des Projekts gezeigt. Während einige Hard Forks als <a target=\"_blank\" href=\"/knowledge/why-monero-is-open-source-and-decentralized\" class=\"next-link\">Zentralisierung auf Entwickler</a> anprangern, was bis zu einem gewissen Grad zutrifft, zeigt es, dass die Entwickler verstanden haben, dass die Chancen, dass sie auf Anhieb alles zu 100 % richtig machen, gering sind. Die Dinge müssen verbessert und vielleicht sogar komplett ersetzt werden, wenn Monero sowohl im Datenschutz- als auch im Kryptowährungsbereich wettbewerbsfähig bleiben will.</p>\n\n<p>Oft brechen diese Änderungen die Abwärtskompatibilität, ein großes No-Go im Bitcoin-Protokoll, wo alles ein Soft Fork und abwärtskompatibel sein muss. Dies bedeutet jedoch, dass jede einzelne Änderung, die Bitcoin an sich selbst vornimmt, nur eine sehr begrenzte Reichweite hat. Sie werden von ihrer Vergangenheit belastet, und Verbesserungen müssen sie ehren, oft sinnlos. Während die Änderungen von Monero weitreichend sein können und das Protokoll und die Privatsphäre oft um mehrere Größenordnungen verbessern werden.</p>\n\n<p>Dies ist leicht an der Einbeziehung von <a target=\"_blank\" href=\"/knowledge/monero-ringct\" class=\"next-link\">RingCT</a> zu erkennen. Zuvor enthielt Monero nur <a target=\"_blank\" href=\"/knowledge/monero-stealth-addresses\" class=\"next-link\">Stealth-Adressen</a> und <a target=\"_blank\" href=\"/knowledge/ring-signatures\" class=\"next-link\">Ringsignaturen</a>, und Beträge waren sichtbar. Shen Noether, ein MRL-Forscher, hat ein bestehendes Protokoll modifiziert, das Beträge für Monero verbirgt, aber seine Einbeziehung würde die Abwärtskompatibilität beeinträchtigen, was bedeutet, dass Transaktionen im alten Stil mit transparenten Beträgen nicht mehr erlaubt wären.</p>\n\n<p>Monero ging dieses Risiko ein, und das Endergebnis war eine stark verbesserte Privatsphäre, die Moneros Position als König der Datenschutzmünzen festigte. Aber das ist nicht alles, was es zeigte. Dieser Fork, sowie die folgenden, sowie all die folgenden Ermutigungen zu Skepsis, Demut und Hinterfragen innerhalb der Community festigten Monero auch als eine der schärfsten und kritischsten Ansammlungen von Köpfen im Kryptospace.</p>';

  @override
  String get knowledge250Sbcritical250Sbdescription => 'Krypto-Enthusiasten werden ermutigt, kritisch zu denken und Projekte nach ihrem Wert in der realen Welt zu bewerten, aber sollen Projekte selbst selbstkritisch und selbstbewusst sein?';

  @override
  String get knowledge250Sbcritical250Sbtitle => 'Warum Monero die kritischste Community hat';

  @override
  String get knowledge250Sbdandelion250Sb0250Sbtext => '<p>Als Kryptowährung mag Monero mit bloßem Auge sehr langweilig erscheinen. Es hat keinen großen Anspruch auf Ruhm, wie z. B. ein „Weltcomputer“ oder eine „revolutionierende xyz-Industrie“ zu sein. Es versucht nur, ein privates, digitales, vertretbares Geld zu sein, und jedes Upgrade und jede neue Technologie fördert dieses Ziel. </p>\n<p>\nDiejenigen, die dieses Ziel für zu eng oder uninteressant halten, verstehen im Allgemeinen nicht, wie schwierig es ist, sinnvolle Privatsphäre zu erreichen, insbesondere auf einem permanenten, offenen Hauptbuch wie einer Blockchain. Jeder Weg zum Durchsickern von Metadaten ist ein Potenzial für die Aushöhlung der Privatsphäre.</p>\n<p>\nMonero trifft Vorkehrungen, um On-Chain-Daten wie Empfänger, Absender und Beträge über Stealth-Adressen, Ringsignaturen bzw. Pedersen-Verpflichtungen zu verschleiern. Dies minimiert die Wahrscheinlichkeit, dass ein zufälliger Beobachter kritische Informationen ableitet, nachdem Transaktionen bereits gesendet wurden und nur noch ein Teil des aufgezeichneten Verlaufs sind. Es gibt jedoch einige Angriffe, die in dem Moment ausgeführt werden können, in dem eine Transaktion stattfindet, die später nicht mehr ausgeführt werden kann.</p>';

  @override
  String get knowledge250Sbdandelion250Sb0250Sbtitle => 'Datenschutz als Priorität';

  @override
  String get knowledge250Sbdandelion250Sb1250Sbtext => 'Diese Angriffe drehen sich darum, zu identifizieren, von welcher IP-Adresse eine Transaktion stammt. Wenn diese Informationen abgeleitet werden, könnte sich herausstellen, dass eine Person eine Monero-Transaktion gesendet hat. Es ist nicht in der Lage zu zeigen, wem und wie viel, aber es gibt einige Fälle, in denen das Wissen von jemandem, der Monero verwendet, ausreicht, um Schaden anzurichten.\n<br/><br/>\nDie gute Nachricht ist, dass, wenn diese Informationen nicht im Moment der Transaktion gesammelt werden, sie zu einem späteren Zeitpunkt nicht in Erfahrung gebracht werden können, da IP-Adressen nicht in der Blockchain gespeichert werden. Es ist auch beruhigend zu wissen, dass ein solcher Angriff wahrscheinlich nicht in freier Wildbahn zu sehen ist, da der Angreifer eine große Mehrheit der Knoten im Netzwerk benötigen würde, um ihn durchzuziehen. Wenn eine Person jedoch in der Lage wäre, über diese große Mehrheit zu verfügen, wäre sie in der Lage, die „Richtung“ zu identifizieren, aus der eine Transaktion kam.\n<br/><br/>\nDas kann verwirrend sein, deshalb erklären wir hier einige Hintergrundinformationen. Jeder Knoten verbindet sich mit anderen Knoten im Netzwerk, damit sie ihre Blockchain auf dem neuesten Stand halten und ihr Wissen mit anderen teilen können. Diese Verbindungen ermöglichen es ihnen, sich über neue Transaktionen zu informieren, sie zu verbreiten und ihre eigenen zu senden. Da ein Node seinen Kollegen nur über ihnen bekannte Transaktionen mitteilen kann, liegt es nahe, dass der allererste Node, der eine Transaktion weiterleitet, der Node ist, der Monero tatsächlich sendet.\n<br/><br/>\nWenn ein Angreifer eine große Mehrheit der Knoten im Netzwerk besitzt, hört jeder Knoten von einer Transaktion von einem seiner Kollegen, und basierend auf dem Zeitpunkt, zu dem jeder Knoten diese Informationen erhält, kann er wahrscheinliche Kandidaten für den Beginn der Transaktion ableiten.\n<br/><br/>\nWenn dies immer noch verwirrend ist, bieten wir dieses Beispiel an. Angenommen, wir haben beide einen gemeinsamen Freund, der sich vor unserer Vision versteckt. Dieser Freund ruft laut. Ich höre zuerst seinen Ruf, und ich höre ihn lauter als du. Anhand dieser Informationen können wir erkennen, dass ich unserem Freund wahrscheinlich näher stehe als Sie. Die Tatsache, dass Sie den Ton später hören (sogar nur um den Bruchteil einer Sekunde) und der Ton schwächer ist, bedeutet, dass wir unsere Suche in meiner Gegend beginnen sollten, nicht in Ihrer.\n<br/><br/>\nWenn ein Angreifer erfolgreich erraten kann, welcher seiner Kollegen die Transaktion gesendet hat, kann er sicher sein, welche IP-Adresse sie gesendet hat, da er die IP-Adresse hat, die mit seinem Knoten verbunden ist, und sie an ihn weitergeleitet hat. Dies sind aussagekräftige Informationen, da IP-Adressen Informationen über das Land und den Internetdienstanbieter (ISP) des Benutzers enthalten und der ISP selbst weiß, welcher Benutzer mit welcher genauen IP-Adresse verknüpft ist, wodurch der Monero-Benutzer effektiv deanonymisiert wird.';

  @override
  String get knowledge250Sbdandelion250Sb1250Sbtitle => 'Angriff, um die IP-Adresse preiszugeben';

  @override
  String get knowledge250Sbdandelion250Sb2250Sbtext => 'Eine mögliche Abwehr dieses Angriffs ist die Verwendung eines Overlay-Netzwerks wie Tor oder I2P. Dies macht es so, dass selbst wenn ein Angreifer eine Quell-IP-Adresse ableiten kann, es wahrscheinlich nicht derjenige ist, der die Transaktion durchgeführt hat, sondern eher der Outproxy (I2P) oder der Ausgangsknoten (Tor) des Overlay-Netzwerks. Dies ist jedoch keine allumfassende Lösung, da Overlay-Netzwerke, VPNs und ähnliche Software in vielen Ländern verboten sind und es unrealistisch ist, zu erwarten, dass jeder diese Netzwerke verwendet, synchronisiert und verbreitet. Es muss eine Lösung geben, die keine Verwendung externer Software und Netzwerke erfordert; eine, die der gewöhnlichen Person zur Verfügung steht.\n<br/><br/>\nDiese Lösung ist Dandelion++ (DPP), ein verbessertes Protokoll des ursprünglichen Dandelion-Vorschlags für Bitcoin. In diesem Protokoll gibt es zwei Phasen, die Stammphase und die Flusenphase; beide zusammen sollen die Form eines Löwenzahns darstellen.\n<br/><br/>\nIn der Stammphase wählt der sendende Knoten alle paar Minuten zufällig zwei Peers aus allen Knoten aus, mit denen er verbunden ist. Wenn der sendende Knoten eine Transaktion sendet, entweder in seinem eigenen Namen oder indem er die Transaktion von einem anderen Knoten in der Stammphase weiterleitet, wählt er zufällig einen dieser beiden ausgewählten Peers aus und sendet die Transaktion an ihn.\n<br/><br/>\nIn der Fluff-Phase empfängt ein Knoten eine Transaktion und sendet sie an jede ausgehende Verbindung und nicht nur an eine zufällig ausgewählte. Dies ermöglicht eine echte Transaktionsausbreitung. Alle paar Minuten definiert sich ein Knoten als einer, der sich entweder per Stem oder per Fluff nach dem Zufallsprinzip ausbreitet, sodass eine Stem-Phase ziemlich lang sein kann, wenn sich jeder Verbindungsknoten als Stammknoten definiert hat, aber sobald die Transaktion die Fluff-Phase erreicht, es bleibt dort.\n<br/><br/>\nDies bedeutet, dass ein Angreifer nicht mehr einfach auf die Richtung einer Transaktion lauschen kann, da sie, bevor sie an alle weitergegeben wurde, die Stem-Phase durchlaufen hat und der Ursprungsknoten der Fluff-Phase nicht der Knoten ist, von dem die Transaktion stammt , und es ist nicht bekannt, wie viele Sprünge entlang des Stammes die Transaktion durchlaufen hat.\n<br/><br/>\nNatürlich bietet die Kombination der oben genannten Lösungen (DPP plus ein Overlay-Netzwerk) noch stärkere Garantien für Datenschutz und Schutz vor IP-Verfolgung. Es sollte auch beachtet werden, dass DPP sich nicht gegen eine andere Form von Netzwerkverfolgungsangriffen verteidigt, die mit ISPs durchgeführt werden können, aber dies würde den Rahmen dieses Artikels sprengen.\n<br/><br/>\nDandelion++ soll im Monero-Netzwerk live gehen und standardmäßig auf dem Referenzclient in der Version 0.16 verwendet werden. Diese kleine Änderung wird die möglichen Angriffe auf das Monero-Netzwerk weiter abschwächen und veranschaulicht, warum Monero bei praktischen, angewandten Datenschutztechnologien führend ist.';

  @override
  String get knowledge250Sbdandelion250Sb2250Sbtitle => 'Die Minderung(en)';

  @override
  String get knowledge250Sbdandelion250Sbdescription => 'Monero trifft Vorkehrungen, um On-Chain-Daten zu verschleiern, es gibt jedoch einige Angriffe, die in dem Moment durchgeführt werden können, in dem eine Transaktion stattfindet, die später nicht mehr durchgeführt werden kann.';

  @override
  String get knowledge250Sbdandelion250Sbtitle => 'Wie Dandelion++ die Transaktionsursprünge von Monero geheim hält';

  @override
  String get knowledge250Sbdescription => 'Was macht Monero so besonders? Lernen Sie, indem Sie die Artikel und Leitfäden auf unserer Wissensseite lesen.';

  @override
  String get knowledge250Sbeconomy250Sb0250Sbtext => '<p>Einer der wichtigsten Aspekte für das Überleben und Wachstum von Kryptowährungen und ihre Nutzbarkeit ist die Bildung von Kreislaufwirtschaften. Wir haben gesehen, dass diese in kleinem Maßstab innerhalb von Bitcoin und anderen Kryptowährungen auftauchen, aber Monero hat mehrere Attribute, die es uns auf einzigartige Weise ermöglichen, Kreislaufwirtschaften aufzubauen und daran teilzunehmen.</p>';

  @override
  String get knowledge250Sbeconomy250Sb1250Sbtext => '<p>Während ich sicher bin, dass Sie alle mit Wirtschaften als breitem Thema vertraut sind, wird die Idee einer „Kreislaufwirtschaft“ außerhalb der Welt der Kryptowährungen selten diskutiert. Was Kreislaufwirtschaften so wichtig und besonders macht, ist, dass sie wirklich freie Märkte schaffen, die den Handel von Dienstleistungen, Produkten und Waren <em>direkt für Monero</em>.</p> ermöglichen.\n<p>Teilnehmer müssen nicht ständig in Fiat ein- und aussteigen, sondern können ihre Monero innerhalb des Systems behalten und direkt in Monero verdienen, sparen und ausgeben, ohne die Reibung, Überwachung oder Beschränkungen der normalen Wirtschaft.[ X606X]\n<p>Kreislaufwirtschaften sind im Allgemeinen völlig „über Bord“ und legal, funktionieren aber eher als „graue Märkte“ im Vergleich zu den normalen „weißen Märkten“ in der Fiat-Welt.</p>';

  @override
  String get knowledge250Sbeconomy250Sb1250Sbtitle => 'Was sind Kreislaufwirtschaften?';

  @override
  String get knowledge250Sbeconomy250Sb2250Sbtext => '<h6 id=\"remove-the-reliance-on-the-states-approval-and-id-system\">1. Entfernen Sie die Abhängigkeit vom Genehmigungs- und ID-System des Staates </h6>\n<p>Dieser Punkt fällt den meisten Westlern oder Menschen, die mit dem ID-System in einem stabilen Land gelebt haben, vielleicht nicht auf, aber unsere Abhängigkeit von staatlich ausgestellten IDs und Genehmigungen, um Geschäfte zu machen, ihren Lebensunterhalt zu verdienen und das zu kaufen, was wir tun Die Notwendigkeit zu überleben ermöglicht es dem Staat, diejenigen, die er für „nicht konform“ hält, leicht abzuschneiden.</p>\n<p>Dies sind <em>nicht</em> nur Kriminelle und können politische Dissidenten, religiöse Minderheiten, rassische Minderheiten usw. sein. Diese Kontrolle lässt den Staat bestimmen, wer Handel treiben darf und wer nicht, mit wem jeder von uns Geschäfte machen kann , und was wir kaufen/verkaufen können – im Wesentlichen die Entscheidung über Leben oder Tod für jeden Bürger basierend auf der Einhaltung.</p>\n<p>Das Aufheben dieser Abhängigkeit durch den Aufbau von Kreislaufwirtschaften entzieht dem Staat die Macht über unsere Fähigkeit, sich an einer Wirtschaft zu beteiligen, und lässt uns überleben und gedeihen, egal was der Staat von uns denkt.</p>\n<h6 id=\"reduce-the-governments-control-of-monero-and-monero-users-via-fiat-onoff-ramps\">2. Reduzieren Sie die staatliche Kontrolle von Monero und Monero-Benutzern über Fiat-Ein-/Ausfahrten</h6>\n<p>Die unglaublich starken Datenschutzgarantien und die Dezentralisierung von Monero machen es extrem schwierig (oder sogar unmöglich), Menschen daran zu hindern, es so zu verwenden, wie sie es für richtig halten. Aufgrund der starken technischen Basis für die Macht von Monero als Werkzeug für die Freiheit erkennen Regierungen schnell, dass ihre beste Chance, Monero-Benutzer zu kontrollieren oder die Effektivität des Netzwerks zu verringern, darin besteht, zu kontrollieren, wer Zugang zu Monero erhält, während sie eine schöne und ordentliche Liste von Monero erstellen Monero-Benutzer über Know-Your-Customer (KYC)-Austausch.</p>\n<p>Wenn wir Kreislaufwirtschaften aufbauen, müssen wir Fiat-Ein-/Ausfahrten nicht so häufig (oder überhaupt nicht!) verwenden und können so diesen Punkt der staatlichen Kontrolle über unsere Handlungen entfernen.</p>\n<p>Wir können dies auch tun, indem wir uns weigern, zentralisierte KYC-Börsen zu verwenden, und hier auf LocalMonero Peer-to-Peer handeln.</p>';

  @override
  String get knowledge250Sbeconomy250Sb2250Sbtitle => 'Warum müssen wir Kreislaufwirtschaften aufbauen?';

  @override
  String get knowledge250Sbeconomy250Sb3250Sbtext => '<p>Während Monero einige der Kernattribute von Bitcoin teilt, die Kreislaufwirtschaften auf neue Weise ermöglichen (zensurresistente Zahlungen, P2P-Transaktionen usw.), bringt es eine absolut einzigartige Ermächtigung für diejenigen, die Kreislaufwirtschaften aufbauen und sich daran beteiligen möchten .</p>\n<h6 id=\"monero-enables-global-p2p-transactions-without-fear-of-surveillance-or-censorship\">1. Monero ermöglicht globale P2P-Transaktionen ohne Angst vor Überwachung oder Zensur</h6>\n<p>Monero-Nutzer müssen sich keine Gedanken über eine Massenüberwachung oder gar gezielte Zensur ihrer Transaktionen machen, was eine einzigartige Sicherheit ermöglicht und jegliche Belastungen für den Handel verhindert. Sie können mit jedem auf der Welt jederzeit und ohne Überwachung mit der Monero-Brieftasche Ihrer Wahl Geschäfte tätigen.</p>\n<h6 id=\"fungibility-removes-the-risk-of-tainted-coins-and-ensures-trust\">2. Fungibilität beseitigt das Risiko von verdorbenen Coins und sorgt für Vertrauen</h6>\n<p>Da Monero fungibel ist (1 XMR entspricht 1 XMR, egal was), müssen sich die Teilnehmer der Kreislaufwirtschaft keine Gedanken über die Gelder machen, die sie senden oder erhalten. Alle von ihnen gesendeten Monero können nicht auf ihre anderen Transaktionen zurückgeführt werden und haben keine Historie und können daher nicht auf der Grundlage der Historie zensiert werden, und erhaltene Monero können immer frei zum vollen Marktwert ausgegeben werden. Diese Fungibilität trägt zur Sicherheit der Teilnehmer bei, stellt sicher, dass Kettenanalysefirmen nicht in die Kreislaufwirtschaft eindringen können, und verhindert einen Vertrauensverlust in Monero als Tauschmethode.</p>\n<p>Der aktuelle Vertrauensverlust in Bitcoin als Tauschmethode führt dazu, dass es in Kreislaufwirtschaften, in denen Monero präsent ist, schnell an Zugkraft verliert. Die Leute möchten nicht Gelder auf Makel überprüfen müssen, sich keine Sorgen darüber machen müssen, ob sie sie frei ausgeben können, oder das Bedürfnis verspüren, Kettenanalyse-Tools zu verwenden, um sich vor rechtlichen oder regulatorischen Problemen zu schützen.</p>\n<h6 id=\"moneros-low-fees-ensure-a-free-flow-of-commerce\">3. Die niedrigen Gebühren von Monero sorgen für einen freien Handelsfluss</h6>\n<p>Einer der am einfachsten zu verstehenden Punkte bei Monero-Transaktionen ist, dass die Transaktionsgebühren unglaublich niedrig sind und dank der <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\"   href=\"https://localmonero.co/knowledge/monero-tail-emission\">Tail-Emission</a> und der <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\"   href=\"https://localmonero.co/knowledge/dynamic-block-size\">dynamischen Blockgröße</a> langfristig angemessen bleiben werden. .</p>\n<p>Diese niedrigen Gebühren stellen sicher, dass der Handel unabhängig von der Höhe der Blockchain-Überlastung ungehindert fließen kann, was die mentale Belastung und den Stress der Teilnehmer weiter reduziert, die versuchen, ihre Transaktionen zu timen oder Stunden/Tage zu warten, um Transaktionen mit niedrigen Gebühren zu bestätigen. Mit Gebühren von heute etwa 1 Cent können Sie Transaktionen jeder Größe frei tätigen, ohne sich Gedanken über spätere Gebühren machen zu müssen.</p>';

  @override
  String get knowledge250Sbeconomy250Sb3250Sbtitle => 'Wie ermöglicht Monero diese Kreislaufwirtschaft auf einzigartige Weise?';

  @override
  String get knowledge250Sbeconomy250Sb4250Sbtext => '<p>Letztendlich ist Monero digitales Bargeld, wie es sein sollte. Die Sicherheit, Fungibilität und Privatsphäre von Transaktionen mit Bargeld, aber mit allen Vorteilen digitaler, globaler und P2P-Transaktionen, losgelöst von staatlicher Kontrolle oder Überwachung. Diese Fähigkeit, als digitales Bargeld zu fungieren, ermöglicht heute auf einzigartige Weise Kreislaufwirtschaften und hilft ihnen, im Laufe der Zeit auf eine Weise zu wachsen und zu gedeihen, wie es andere Kryptowährungen wie Bitcoin einfach nicht können.</p>';

  @override
  String get knowledge250Sbeconomy250Sb4250Sbtitle => 'Fazit';

  @override
  String get knowledge250Sbeconomy250Sb5250Sbtext => '<p>Wenn Sie neugierig sind und die Kreislaufwirtschaft besser verstehen oder noch heute an einer solchen teilnehmen möchten, finden Sie unter den folgenden Links großartige Anlaufstellen:</p>\n<ul>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://bitcoinmagazine.com/business/kyc-free-bitcoin-circular-economies\">“KYC- freie Bitcoin-Kreislaufwirtschaften: Befreie die Märkte, befreie die Welt“ – Anarkio</a></li>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://bitcoinmagazine.com/business/its-time-to-join-the-bitcoin-circular- economy/\">„Es ist Zeit, sich der Bitcoin-Kreislaufwirtschaft anzuschließen“ - Ragnar Lifthrasir</a></li>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://monerica.com/\">„Monerica.com – Ein Verzeichnis für eine zirkuläre Monero-Wirtschaft“< /a></li>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://cryptwerk.com/pay-with/xmr/\">Monero-Händler – Cryptwerk</a> </li>';

  @override
  String get knowledge250Sbeconomy250Sb5250Sbtitle => 'Wie kann ich mehr erfahren?';

  @override
  String get knowledge250Sbeconomy250Sbdescription => 'Heute betrachten wir, wie die Fähigkeit von Monero, als digitales Bargeld zu fungieren, die Entwicklung von Kreislaufwirtschaften auf einzigartige Weise ermöglicht.';

  @override
  String get knowledge250Sbeconomy250Sbtitle => 'Wie Monero auf einzigartige Weise Kreislaufwirtschaften ermöglicht';

  @override
  String get knowledge250Sbemission250Sb0250Sbtext => '<p>Wenn die meisten Leute daran denken, was Monero auszeichnet, denken sie an die Datenschutztechnologie von Monero. In der Tat würden die meisten die Privatsphäre und die Fungibilität, die es freischaltet, als das bestimmende Merkmal von Monero und als die Hauptwaffe betrachten, die es im Vergleich zu anderen Münzen in den Ring bringt. Was die meisten Menschen vielleicht nicht wissen, ist, dass Monero andere Protokollunterschiede zu Bitcoin und seinen Derivaten enthält, von denen einige argumentieren könnten, dass sie genauso wichtig sind wie die Datenschutztechnologien von Monero. In diesem Artikel werden wir uns eine davon ansehen: die Heckemission.</p>\n\n<p>Lassen Sie uns zunächst definieren, was dieser Begriff bedeutet. Eine Schwanzemission ist eine unaufhörliche Subvention von Blockbelohnungen, selbst nachdem der „letzte“ Monero geprägt wurde. Mit anderen Worten, die Blockbelohnung von Monero wird niemals auf Null fallen, sondern eher fallen, bis sie 0,6 XMR pro Block erreicht, und dann für immer dort bleiben. Bergleute werden immer für das Schürfen von Monero bezahlt und müssen sich nie ausschließlich auf einen Gebührenmarkt verlassen.</p>\n\n<p>Aber lassen Sie uns für einen Moment einen Schritt zurücktreten und uns das Mining auf einem sehr hohen Niveau ansehen. Monero-Miner erhalten einen Anreiz, ein Netzwerk durch das Mining von Hashes zu sichern. Der Anreiz ist die Möglichkeit, Monero zu machen, wenn sie einen neuen Block finden. Dieser Monero wird auf zwei Arten vergeben. Erstens erhält der Miner die bezahlten Gebühren jedes Benutzers, der für die Aufnahme seiner Transaktion in den Block bezahlt hat. Dies sind die Transaktionsgebühren, die Sie bezahlen, wenn Sie eine Transaktion senden. Zweitens erhält der Miner eine vorher festgelegte Menge an Monero aus dem Protokoll selbst. In den meisten Fällen ist diese „Blockbelohnung“ wesentlich höher als die Transaktionsgebühren der Benutzer und dort verdienen die Bergleute das meiste Geld. Diese Blockbelohnung dient dazu, die Miner finanziell in die Sicherheit der Kette investiert zu halten, aber auch, um neue Coins in Umlauf zu bringen.</p>\n\n<p>In den meisten Kryptowährungsprotokollen wird diese Blockbelohnung mit der Zeit abnehmen. Die meisten Bitcoin-Derivate haben sogenannte Halvenings, vorbestimmte Zeitpunkte, an denen sich die Blockbelohnung halbiert (z. B. von 20 BTC auf 10 BTC). Diese Halbierungen finden alle paar Jahre statt, und jedes Mal, wenn dies geschieht, nimmt die Sicherheit im Netzwerk ab. Wieso den? Nun, wir ermutigen den Leser, unseren <a class=\"next-link\" href=\"/knowledge/monero-mining-randomx\" target=\"_blank\">Artikel über Mining und RandomX</a> zu lesen, und dabei werden sie lernen, dass Mining ein Rennen ist. Blockbelohnungen werden nur an diejenigen vergeben, die einen Block finden, und es gibt viele Unternehmen, die darum konkurrieren. Wenn die Belohnungen höher sind, sind mehr Leute daran interessiert, dieses Spiel zu spielen, während bei niedrigen Belohnungen weniger Leute, selbst diejenigen mit der entsprechenden Ausrüstung, bereit sind, ihre Zeit und Ressourcen für eine Chance auf einen mickrigen Gewinn einzusetzen Preis.</p>\n\n<p>Wir fangen bereits an, an der Oberfläche des Grundes für Moneros Schwanzemission zu kratzen. Auch Monero hat eine abnehmende Blockbelohnung, obwohl es im Gegensatz zu Bitcoin keine Halbierungen gibt. Stattdessen ist jede Blockbelohnung um einen winzigen Betrag geringer als die vorherige, sodass die Reduzierung viel gleichmäßiger ist. Aber die Frage für alle Kryptowährungen lautet: „Was passiert, wenn die Blockbelohnung Null erreicht?“ Dies ist eine seltsame Situation, in der wir die Antwort sowohl kennen als auch nicht kennen. Der Teil, den wir wissen, ist, dass es keine Subventionen für Blockbelohnungen mehr geben wird, was bedeutet, dass Miner allein durch die Transaktionsgebühren der Benutzer motiviert werden müssen. Was wir nicht wissen, ist, ob diese Beträge ausreichen werden, um die Bergleute zu halten, die die Kette sichern.</p>\n\n<p>Wie bereits erwähnt, überwiegt die Blockbelohnung derzeit die Transaktionsgebühren um einen erheblichen Betrag, so dass die Hoffnung besteht, dass die Gebühren steigen würden, wenn mehr Benutzer die Kette nutzen, und mit höheren Gebühren die Miner es für wert halten werden ihre Zeit, den Bergbau fortzusetzen. Es gibt jedoch eine andere Seite dieses Szenarios, die Seite der Benutzer. Wenn die Gebühren steigen, wird es für alle viel teurer, mit Kryptowährung zu handeln, was sie möglicherweise von denen ohne ausreichende finanzielle Ressourcen abschirmt. Aber auf der anderen Seite, wenn die Gebühren niedrig bleiben und die Blockbelohnung auf Null geht, werden nur sehr wenige Miner das Netzwerk sichern, wodurch es zu 51 % anfällig für Angriffe und rückgängig gemachte Transaktionen wird.</p>\n\n<p>Niemand hat gute Antworten auf dieses Szenario, und noch keine große Münze ist in diese Lebensphase ihrer Kryptowährung eingetreten, also haben wir auch keine realen Erfahrungen damit. Es ist alles Spekulation. Ein Risiko. Bitcoin geht die Wette ein, dass die Gebühren ausreichen werden, um die Miner zu ernähren, auch wenn es bedeutet, die Verarmten auszuschließen. Monero macht eine andere Wette. Monero setzt darauf, dass die Gebühren allein für die Kettensicherheit nicht ausreichen würden, also enthält es eine Schwanzemission als Teil des Protokolls.</p>\n\n<p>Wir erinnern den Leser daran, dass die Blockbelohnung niemals unter 0,6 XMR pro Block fallen wird. Wird dies ausreichen, um Miner zu motivieren? Wir wissen es nicht, aber es ist sicherlich besser als 0, was fast jede andere Währung in ihr Protokoll eingebaut hat.</p>\n\n<p>Die Hauptkritik gegen diesen Ansatz ist, dass dies bedeutet, dass das Angebot von Monero theoretisch unendlich ist, was im Laufe der Zeit zu einer Inflation führt, während Coins, die die Blockbelohnung begrenzen, ein begrenztes Angebot haben und ihre Knappheit den Wert im Laufe der Zeit erhöht. Wir halten dieses Argument aus mehreren Gründen für unzureichend.</p>\n\n<p>Erstens, was nützt eine knappe, hochwertige Münze, die aufgrund geringer Sicherheit leicht angegriffen, zensiert und unterwandert werden kann? Wenn überhaupt, würde die niedrige Sicherheit den Wert verringern und mehr als ausgleichen, was die Knappheit bewirken würde. Zweitens, obwohl das Angebot von Monero theoretisch unendlich ist, ist die Inflation linear und tendiert als jährlicher Prozentsatz gegen Null, im Gegensatz zu Fiat, das exponentiell ist.</p>\n\n<p>Die Inflation von Monero ist im Voraus genau bekannt und kann genau prognostiziert werden, im Gegensatz zu Fiat, das je nach den Launen der Mächtigen in einem bestimmten Jahr mehr oder weniger steigen kann. Dies bewahrt immer noch den Cypherpunk-Geist, die Möglichkeit menschlicher Korruption durch protokollerzwungene Technologie zu beseitigen. Mit dem zusätzlichen Vorteil der Gewissheit, dass die Sicherheit der Blockchain von Monero durch Mining so lange bestehen bleibt, wie die Welt sie braucht.</p>\n\n<p>Der letzte Punkt, den wir ansprechen möchten, ist einer der Fairness. Geld wird auf verschiedene Weise verwendet, als Wertaufbewahrungsmittel, als Tauschmittel und als Rechnungseinheit. In einem System, in dem das Angebot begrenzt ist, wird die Inflation aufhören, was bedeutet, dass diejenigen, die es als Wertaufbewahrungsmittel verwenden, das System kostenlos nutzen. Sie profitieren von der anhaltenden Sicherheit der Miner, ohne dafür etwas zu bezahlen, denn ohne Inflation verliert ihr Geld im Laufe der Zeit nicht langsam an Wert. Umgekehrt wird jeder, der die Währung als Tauschmittel verwendet, bestraft (durch möglicherweise hohe Transaktionsgebühren). Dies wird die Menschen dazu ermutigen, zu halten, aber nicht auszugeben, und die Fairness des Systems zugunsten der Inhaber verzerren. Durch eine Heckemission gleicht dies die Gleichung aus. Jetzt zahlen die Inhaber über die Inflation auch eine kleine Steuer für die Sicherheit des Systems. Die Heckemission macht es fairer für alle.</p>';

  @override
  String get knowledge250Sbemission250Sbdescription => 'Die Datenschutztechnologie von Monero ist nicht der einzige Unterschied, der es von BTC und seinen Derivaten unterscheidet. In diesem Artikel betrachten wir einen anderen – die Heckemission.';

  @override
  String get knowledge250Sbemission250Sbtitle => 'Warum Monero eine Schwanzemission hat';

  @override
  String get knowledge250Sbfoss250Sb0250Sbtext => 'Eines der oft besungenen Ziele der Blockchain ist es, die Macht wieder in die Hände der Menschen zu bringen. Welche Arten von Macht und wie viel unterschiedlich sind, hängt davon ab, wen Sie fragen, und das Design einer Blockchain selbst bestimmt, wie diese Umverteilung zustande kommt. Es gibt viele Tools, die dazu beitragen, die Ungleichheit zu korrigieren, und wir möchten eines erörtern, das einen großen Einfluss darauf hat, wie ein Projekt durchgeführt wird und welches tatsächliche Potenzial zur Umverteilung von Macht es hat: Open Source.';

  @override
  String get knowledge250Sbfoss250Sb0250Sbtitle => 'Macht dem Volk';

  @override
  String get knowledge250Sbfoss250Sb1250Sbtext => 'Ein kostenloses Open-Source-Software-Projekt (FOSS) ist ein Projekt, bei dem der Code so lizenziert ist, dass er von jedermann angezeigt, geändert, geprüft und kopiert werden kann. Im Gegensatz dazu wird der Code proprietärer Software verborgen und als Geschäftsgeheimnis aufbewahrt, das nicht geteilt wird, aus Angst, dass die Konkurrenz die harte Arbeit kopiert, für die der Ersteller bezahlt oder geleistet hat. Nur das am Ende produzierte Programm wird der Öffentlichkeit zugänglich gemacht, nicht der Code.\n<br/><br/>\nFOSS-Software hat viele Vorteile gegenüber ihren proprietären Gegenstücken, wie z. B. möglicherweise weniger Fehler (da jeder den Code prüfen kann), Innovation (da Beiträge jederzeit von überall kommen können) und die Befähigung von Menschen, die sich dies möglicherweise nicht leisten können oder anderweitig die proprietären Angebote nutzen.\n<br/><br/>\nDies gilt für Standard-FOSS-Projekte, und Blockchain ist keine Ausnahme. Der Raum ist voller Gespräche über Open-Source-Software, und proprietäre Wallet-Angebote stoßen auf Argwohn und Kritik von Kryptowährungsveteranen. Obwohl die meisten Referenzimplementierungen der meisten großen Blockchains Open Source sind, gibt es einige – wie Monero – die über das hinausgehen und sich von der Masse abheben.';

  @override
  String get knowledge250Sbfoss250Sb1250Sbtitle => 'Quelloffene Software';

  @override
  String get knowledge250Sbfoss250Sb2250Sbtext => 'Es stimmt zwar, dass die meisten Projekte Open-Source-Code haben, aber es wäre ein Bärendienst für den Geist des Konzepts, nicht ein wenig tiefer zu graben, um die wahren Gründe zu finden, warum Open Source so leistungsfähig ist. Die Realität ist, dass die Open-Source-Lizenzierung die offene Zusammenarbeit von Menschen aus allen Gesellschaftsschichten und Lebensphasen fördert, mit der Absicht, Werkzeuge zu schaffen, die für die Menschheit benötigt, nützlich und vorteilhaft sind.\n<br/><br/>\nEinige Kryptowährungen werden, während der Code schließlich veröffentlicht wird, im Geheimen entwickelt, um konkurrierenden Projekten einen Schritt voraus zu sein. Während diese Projekte als „Open-Source-Projekte“ gelten, da ihr Code schließlich für die Öffentlichkeit freigegeben wird, wird die anfängliche Entwicklung immer noch von einigen wenigen durchgeführt, was zu einem Verlust vieler Vorteile führt, die Open Source sonst bieten könnte.\n<br/><br/>\nDer Geist eines Open-Source-Projekts ist eine offene Zusammenarbeit zum Nutzen aller und nicht zum Nutzen einiger weniger, und auf diese Weise stellt Monero die meisten seiner Konkurrenten in den Schatten. Die Entwicklung von Monero erfolgt nicht nur auf offene Weise mit häufigen Treffen, an denen jeder teilnehmen und mitreden kann, sondern auch seine Forschung und Implementierung. Tatsächlich stammen viele der größten Durchbrüche von Monero aus externen Quellen durch Zusammenarbeit oder durch eine scheinbar zufällige Person, die mit einer neuen Idee, wie Bulletproofs und Datenschutzoptimierungen, auf die Forschungsplattformen kam.';

  @override
  String get knowledge250Sbfoss250Sb2250Sbtitle => 'Die Blockchain-Verbindung';

  @override
  String get knowledge250Sbfoss250Sb3250Sbtext => 'Bei der Bewertung eines Blockchain-Projekts wird empfohlen, dass der Benutzer nicht nur prüft, ob der Code zur Ansicht verfügbar ist, sondern ob auch andere Aspekte des Projekts offen und transparent durchgeführt werden. Je verschlossener die Türen zum gesellschaftlichen Engagement sind, desto unbehaglicher sollte man sich fühlen. Hierin liegt jedoch für viele ein Stolperstein, da viele von uns aus der proprietären Welt kommen, in der Transparenz nicht üblich ist, und wir keinen Bezugspunkt dafür haben, was „offen genug“ ausmacht, nicht nur im Code, sondern in der Geist und andere Bereiche eines Projekts.\n<br/><br/>\nTatsächlich werben die meisten Projekte mit ihrer Offenheit in den sozialen Medien, aber wenn man sich anschaut, wie viele Menschen neben den Beschäftigten oder anderweitig dafür entlohnten Personen tatsächlich zur Software, Entwicklung oder Forschung beitragen, kann die Realität ganz anders aussehen als sie ist behauptet. Es ist möglich, dass die Machthaber (formell oder informell) den Ideen anderer Menschen abweisend oder geradezu feindselig gegenüberstehen.\n<br/><br/>\nMonero versucht, dieses Problem vollständig zu umgehen, indem es keine formellen Rollen des Projekts hat, wobei selbst das Kernteam von Monero in erster Linie nur die Infrastruktur betreibt und wenig mit der tatsächlichen Entwicklung oder Forschung des Projekts zu tun hat. Allerdings bilden sich informelle Machtstrukturen in allen gesellschaftlichen Kreisen, und Monero ist da keine Ausnahme, also müssen sie berücksichtigt werden.';

  @override
  String get knowledge250Sbfoss250Sb3250Sbtitle => 'Jenseits des Codes';

  @override
  String get knowledge250Sbfoss250Sb4250Sbtext => 'Während es wertvoll ist, diese sozialen Teile von Open-Source-Software zu erforschen und zu diskutieren, und das Fehlen einer solchen Vorgehensweise tatsächlich zum Untergang vieler Projekte geführt hat, kann die Konversation ziemlich kompliziert werden und geht im Allgemeinen über den Rahmen dieses Artikels hinaus. Der Leser wird jedoch ermutigt, sich weiter über diesen kritischen Teil des FOSS-Managements zu informieren.\n<br/><br/>\nDas Monero-Projekt sucht ständig nach Wegen, um die offene Zusammenarbeit zu fördern, die für den Geist von Open Source so entscheidend ist. Wenn einige Leute eine Chat-Plattform einer anderen vorziehen, werden Bridges mit bestehenden Plattformen bereitgestellt, um die Kommunikation zu verbessern. Wenn eine Gruppe von Menschen das Gefühl hat, nicht über die Tools oder die Infrastruktur zu verfügen, um ihre Ideen umzusetzen, um Monero besser zu machen, dann sieht die Community, welche Arten von (FOSS-)Tools verfügbar sind.\n<br/><br/>\nDas bedeutet, dass mehr Augen nicht nur auf den Code gerichtet sind, der nur ein Aspekt des Projekts ist, sondern auch auf die Designs, die Forschung, die digitale Infrastruktur und die Gespräche.\n<br/><br/>\nDer Geist von Open-Source-Software besteht nicht nur darin, offenen Code zu haben, sondern Menschen zu befähigen, ihnen eine Stimme zu geben und die Welt durch globale Zusammenarbeit zu verändern. Der Leser wird ermutigt zu sehen, ob ein Projekt, an dem er interessiert ist, diesen Grundwerten entspricht oder nur bei der Lizenzierung des Codes aufhört.\n<br/><br/>\nWir laden sie auch ein, dieselbe Rubrik für Monero zu verwenden. Wir wissen, dass Sie nur den Grund entdecken werden, warum Monero eine der sichersten und kollaborativsten Gemeinschaften in der Welt der Kryptowährung ist.';

  @override
  String get knowledge250Sbfoss250Sb4250Sbtitle => 'Mittel oder Zweck?';

  @override
  String get knowledge250Sbfoss250Sbdescription => 'Finden Sie heraus, warum Open Source und Dezentralität Monero einen großen Vorteil gegenüber konkurrierenden Kryptowährungen verschaffen.';

  @override
  String get knowledge250Sbfoss250Sbtitle => 'Warum Monero Open Source und dezentralisiert ist';

  @override
  String get knowledge250Sbhistory250Sb0250Sbtext => '<p>Nur wenige Kryptowährungsprojekte haben einen geheimnisvollen Ursprung. Die meisten haben einen identifizierbaren Gründer, und viele haben ihre Projekte vor dem Start hochgespielt, um die Gewinne aus einem ICO zu maximieren. Bitcoin schien allein zu stehen, da es ein Whitepaper hatte, das aus dem Nichts in der Kryptographie-Community fallen gelassen wurde, und dass ihr Gründer, Satoshi Nakamoto, verschwand.</p>\n\n<p>Bis Monero.</p>\n\n<p>Aber bevor wir überhaupt anfangen, über die Einführung von Monero im Jahr 2014 zu sprechen, müssen wir noch weiter zurückgehen.</p>';

  @override
  String get knowledge250Sbhistory250Sb1250Sbtext => '<p>Im September 2013 veröffentlichte eine zuvor unbekannte Gruppe, Cryptonote, ein Whitepaper über ein neuartiges Protokoll unter demselben Namen. Dieses Protokoll versuchte, eine Bitcoin-ähnliche Kryptowährung zu erstellen, obwohl optionale Ringsignaturen und Stealth-Adressen verwendet wurden, um die Privatsphäre zu stärken. Nicht lange danach, im November 2013, wurde der erste Code für eine neue Münze namens Bytecoin auf GitHub übertragen. Diese Münze implementierte das in der Veröffentlichung beschriebene Protokoll auf einer brandneuen Codebasis (d. h. nicht von Bitcoin gegabelt wie die meisten anderen Münzen zu dieser Zeit).</p>\n\n<p>Das Bytecoin-Team nahm sich Zeit, den Rest des Codes in sein Repository zu stellen, schien aber im März 2014 fertig zu sein, als das Projekt anschließend von einer „zufälligen“ Person in den BitcoinTalk-Foren „entdeckt“ wurde Heute wird allgemein vermutet, dass dies eine Pflanze war, um Interesse zu wecken. Nachdem es der Sockenpuppe gelungen war, Augäpfel zu sammeln, entdeckten diese neu interessierten Leute etwas Seltsames: Über 80 % der Münzen waren bereits abgebaut worden.</p>\n\n<p>Das war ein astronomischer Betrag, und viele waren bereit, ihn als Betrug abzutun und weiterzumachen; bis das Bytecoin-Team auftauchte. Sie behaupteten, dass der Grund dafür, dass zu diesem Zeitpunkt so viel von der Münze abgebaut worden war, darin bestand, dass Bytecoin eigentlich keine neue Münze mit einer massiven Prämie war, sondern seit 2012 tatsächlich zwei Jahre lang im Deep Web existierte.</p>\n\n<p>Um es kurz zu machen, diese Behauptungen wurden nicht gut aufgenommen, da noch niemand zuvor von Bytecoin gehört hatte, und es dauerte nicht lange, bis die Leute das Interesse verloren. Doch nicht alle waren bereit, ganz aufzugeben. Einige begannen, sich das Cryptonote-Protokoll anzusehen, auf dem Bytecoin basierte, und kamen zu dem Schluss, dass das Protokoll selbst solide und innovativ zu sein schien, auch wenn die erste Implementierung dies nicht war. </p>\n\n<p>Zu diesem Zeitpunkt war es ein Rennen, um zu sehen, wer Bytecoin forken, den Code bereinigen und die erste „nicht betrügerische“ Version auf den Markt bringen könnte, um einen First-Mover-Vorteil zu erlangen.</p>';

  @override
  String get knowledge250Sbhistory250Sb1250Sbtitle => 'Bytecoin';

  @override
  String get knowledge250Sbhistory250Sb2250Sbtext => '<p>Am 9. April 2014 veröffentlichte eine weitere bisher unbekannte Entität namens thankful_for_today in den BitcoinTalk-Foren und kündigte den Start der ersten Bytecoin-Fork namens Bitmonero an. Da es sich um den ersten Fork handelte, erregte Bitmonero schnell Aufmerksamkeit und eine kleine Community bildete sich um ihn herum, als es am 18. </p>\n\n<p>Der Gründer, thankful_for_today, erwies sich als schwierig, mit ihm zusammenzuarbeiten. Sie verschwanden oft tagelang (sehr seltsam für eine brandneue Münze in den ersten Tagen der Entwicklung) und gingen oft gegen die Gemeinschaft vor, indem sie versuchten, Mine Monero mit Bytecoin zusammenzuführen, den Ausgabeplan anzupassen und sich im Allgemeinen weigerten, mit ihr zusammenzuarbeiten die beständige Kerngruppe, die sich um die Münze herum aufgebaut hatte und so weit ging, eine eigene Website, einen BitcoinTalk-Post und Repositories zu haben.</p>\n\n<p>Es wurde schnell klar, dass die Kerngruppe, die sich um Monero aufgebaut hatte, weitaus aktiver und kompetenter war als thankful_for_today, und obwohl er mehrmals zur Teilnahme eingeladen wurde, verschwand er schließlich und wurde zu einer Fußnote in der Geschichte von Monero. Viele Jahre später wird vermutet, dass er auch heimlich Teil des Bytecoin-Teams war. Wieso den? Nun, während all dem war Bytecoin selbst nicht untätig dagesessen.</p>';

  @override
  String get knowledge250Sbhistory250Sb2250Sbtitle => 'Bitmonero';

  @override
  String get knowledge250Sbhistory250Sb3250Sbtext => '<p>Das Bytecoin-Team war nicht glücklich. Ihr Plan, mit der Lüge ihrer massiv präminierten Münze reich zu werden, war gescheitert. Sie hatten die ganze Arbeit in die Entwicklung des Protokolls gesteckt (es gibt starke Beweise dafür, dass die CryptoNote-Entwickler und die Bytecoin-Entwickler sehr eng miteinander verwandt waren) und hatten nichts vorzuweisen.</p>\n\n<p>Aber sie waren noch nicht fertig. Sie brachten eine neue Münze, Bitmonero, unter einem neuen Pseudonym, thankful_for_today, auf den Markt. In der Tat, warum dort aufhören? Da sie mit dem Code am besten vertraut waren, konnten sie mehrere neue Coins mit leicht unterschiedlichen Emissionsplänen und Namen mit neuen Konten auf den Markt bringen, und niemand würde wissen, dass sie es die ganze Zeit waren. Also taten sie es. Fantomcoin, Monte Verde, Dashcoin (nicht zu verwechseln mit Dash) und weitere Forks tauchten alle kurz nach dem Start von Bitmonero auf und versuchten, sich einen Teil des Marktanteils zu sichern.</p>\n\n<p>Diese Versuche scheiterten letztendlich, da Monero schnell über seine Konkurrenz hinauswuchs und wenig Zweifel am Gewinner der CryptoNote-Münzen ließ.</p>\n\n<p>Aber trotzdem hörten die Betrügereien hier nicht auf. Bytecoin hatte noch einen letzten Trick im Ärmel. Als thankful_for_today Bitmonero veröffentlichte, veröffentlichte er daneben einen absichtlich deoptimierten Miner. Er behielt die optimierte Version und hoffte, einen großen Vorrat für sich selbst anzuhäufen, aber diese Deoptimierungen wurden schnell vom Kernteam sowie von anderen unabhängigen Gruppen aufgedeckt, und selbst dies wurde in kurzer Zeit behoben. Damit, ihrem letzten Betrug, besiegt, zog sich Bytecoin in die Dunkelheit zurück und kam nur heraus, um auf dem Höhepunkt des Booms auf dem Kryptowährungsmarkt 2017 gefälschte Umbenennungen und Ankündigungen zu machen, um zu versuchen, den letzten Gewinn aus ihrem Betrug auf Kosten ihrer Kleinen herauszuholen , ahnungslose Gemeinschaft.</p>';

  @override
  String get knowledge250Sbhistory250Sb3250Sbtitle => 'Verbrannte Erde';

  @override
  String get knowledge250Sbhistory250Sb4250Sbtext => '<p>Nicht viele Coins können sich damit rühmen, einen Gründer zu haben, der nicht mehr bei ihnen ist. In der Tat sind Bitcoin und Monero wahrscheinlich die beiden größten Beispiele. Während ein Vergleich Bitcoin in einem wohltätigeren Licht erscheinen lässt, gibt es auch Lehren aus den betrügerischen Anfängen von Monero zu ziehen.</p>\n\n<p>Bitcoin hat gezeigt, was passieren kann, wenn eine Person das derzeitige System satt hat und es wagt, mit Innovationen voranzukommen, um den Status quo herauszufordern. Monero zeigt die Macht einer Gemeinschaft, die sich weigert, mit Lügen gefüttert zu werden, die Wahrheit für sich selbst findet und die Werkzeuge zurückerobert, mit denen sie ihre Freiheit aufbauen kann. Monero hat vielleicht als Betrug begonnen, aber es hat sich wirklich zu einer mächtigen Waffe entwickelt, um unsere finanzielle Privatsphäre zurückzuerobern.</p>';

  @override
  String get knowledge250Sbhistory250Sb4250Sbtitle => 'Fazit';

  @override
  String get knowledge250Sbhistory250Sbdescription => 'Bitcoin schien allein zu stehen, da es ein aus dem Nichts fallen gelassenes Whitepaper und das Verschwinden seines Gründers hatte. Bis Monero.';

  @override
  String get knowledge250Sbhistory250Sbtitle => 'Eine kurze Geschichte von Monero';

  @override
  String get knowledge250Sbkeys250Sb0250Sbtext => '<p>Haben Sie schon einmal den Satz „nicht Ihre Schlüssel, nicht Ihre Münzen“ gehört?\nDies ist zu einem allgegenwärtigen Satz in der Kryptowährungsgemeinschaft geworden, aber\nobwohl die meisten Leute davon gehört haben, die überwiegende Mehrheit der Kryptowährung\nBenutzer besitzen keine eigenen Schlüssel.</p>\n<p>Die Vorteile der Kryptowährung, die sie wirklich von der\nTraditionelle Finanzsysteme werden erst realisiert, wenn Sie vollständig sind\nVerwahrung Ihrer Gelder – Aufbewahrung der privaten Schlüssel zu Ihren Coins.</p>\n<p>In diesem kurzen Beitrag gehen wir darauf ein, warum Sie Ihre eigenen Schlüssel besitzen sollten\nund geben Sie ein paar einfache Möglichkeiten, um Ihr Monero <em>heute</em>.</p> selbst zu verwahren.';

  @override
  String get knowledge250Sbkeys250Sb1250Sbtext => '<h6 id=\"it-preserves-the-privacy-that-monero-affords-users\">Es bewahrt\ndie Privatsphäre, die Monero den Benutzern bietet</h6>\n<p>Einer der am häufigsten missverstandenen Aspekte der Selbstverwahrung in\nMonero ist, dass Sie wenig bis gar nichts gewinnen, wenn Sie keine eigenen Schlüssel besitzen\nProfitieren Sie von den Datenschutzangeboten von Monero. Als Absender einer Transaktion\nhat volle Transparenz über die wahren Ausgaben, den Betrag und die Empfängeradresse,\nwenn Sie nicht derjenige sind, der die Transaktion sendet, und überlassen Sie dies stattdessen\nB. einer Börse oder einer Depotbank, haben sie <em>volle</em> Einsicht in die\nwie Sie Ihr Monero ausgeben.</p>\n<p>Glücklicherweise garantieren die Datenschutzgarantien von Monero, nachdem sie das Geld gesendet haben\ntreten ein und sorgen für eine starke „Forward-Secrecy“, aber es wird klar sein\ndie Börse oder Depotbank, an die Sie die Gelder gesendet haben und wie viel Sie gesendet haben\nanfänglich.</p>\n<h6 id=\"it-enables-the-incredible-censorship-resistance-of-monero\">Es\nermöglicht die unglaubliche Zensurresistenz von Monero</h6>\n<p>Einer der grundlegenden Aspekte von Monero ist die Aktivierung\nzensurresistente Transaktionen – damit Sie Transaktionen durchführen können\ndas kann von „ihnen“ gebilligt werden oder auch nicht, egal was sie versuchen\ntun, um dich aufzuhalten. Während die Notwendigkeit für Zensur-Widerstand ein bisschen sein kann\nFür diejenigen von uns in \"freien\" Ländern ging das schnelle Abrutschen verloren\nAutoritarismus und politischer Verfall in vielen Teilen der Welt ist\nwodurch es von Tag zu Tag deutlicher wird, dass wir einen Weg brauchen, mit dem wir Geschäfte tätigen können\noder ohne behördliche Genehmigung.</p>\n<p>Wenn Sie jedoch keine eigenen Schlüssel besitzen, eine Regierung oder Aufsichtsbehörde\nleicht eine Börse oder Depotbank zwingen können, Ihre Gelder auf die schwarze Liste zu setzen, beschlagnahmen\noder zensieren Sie Transaktionen an bestimmte Adressen. Das ist schon\nwas heute aufgrund von Sanktionen auf staatlicher Ebene weit verbreitet ist, und wird ein sein\nzunehmendes Thema, da Regierungen und Aufsichtsbehörden diesen Austausch erkennen\nund Depotbanken sind der einfachste Weg zur Kontrolle über Monero\nVerwendung.</p>\n<p>Es könnte auch der Tag kommen, an dem eine Regierung die Selbstverwahrung verbietet\nvon Monero, und wenn Sie Ihr Monero noch nicht von einer Börse abgehoben haben\noder Verwalter werden Sie möglicherweise nie in der Lage sein.</p>\n<h6 id=\"it-prevents-simple-theft-or-confiscation-of-your-monero\">Es\nverhindert einfachen Diebstahl oder Beschlagnahme Ihres Monero</h6>\n<p>Ein hypothetisches, aber mögliches Szenario könnte der schlimmste Fall sein\ndiejenigen, die sich dafür entscheiden, ihre eigenen Schlüssel nicht zu besitzen – ihr Monero-Gewinn\nvon einem Hacker gestohlen oder von einer Regierung mit einem <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" \nhref=\"https://en.wikipedia.org/wiki/Executive_Order_6102\">6102-ähnlichen beschlagnahmt\nbestellen</a>.</p>\n<p><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" \nhref=\"https://blog.chainalysis.com/reports/2022-crypto-crime-report-introduction/\">Fast\n500 Millionen Dollar </a> in Kryptowährung wurden von zentralisierten Börsen gestohlen\nim Jahr 2021 und insgesamt 3,2 Milliarden US-Dollar von Benutzern gestohlen, die das Sorgerecht aufgegeben haben\nMittel aus dem einen oder anderen Grund. Dies ist eines der größten Risiken für\nKryptowährungsbenutzer und wächst sowohl in der Fallzahl als auch weiter\nVolumen, da Kryptowährung an Popularität gewinnt. Wenn eine Börse die Schlüssel hält\nzu Ihren Geldern, diese Gelder können von einem Hacker (oder der Börse) gestohlen werden\nselbst!) jederzeit.</p>\n<p>Wenn Sie Ihre eigenen Schlüssel besitzen, besteht das einzige wirkliche Risiko eines Diebstahls bzw\nBeschlagnahme sind Betrug und körperliche Angriffe, etwas, das viel weniger ist\nwahrscheinlich und passiert normalerweise nur hochkarätigen Personen oder solchen\ndurch den Diebstahl oder Verlust von Know-Your-Customer (KYC)-Daten geschädigt werden\nzentralisierter Austausch, der ihre ID und Adresse mit verknüpft\nKryptowährungsbesitz.</p>\n<h6\nid=\"it-prevents-exchanges-leveraging-fractional-reserve-lending-and-trading\">Es\nverhindert, dass Börsen die Kreditvergabe mit Teilreserven nutzen und\nHandel</h6>\n<p>Ein weiterer wichtiger Aspekt des Haltens eigener Schlüssel ist einer, der weniger ist\npersönlicher und gemeinschaftlicher. Wenn die überwiegende Mehrheit der Benutzer in Monero\nHalten Sie ihre eigenen Schlüssel, Börsen sind weniger in der Lage, über die Höhe zu lügen\nMonero verwahren und handeln „Papier-Monero“, da die Benutzer es nicht behalten\nihre Monero im Austausch.</p>\n<p>Während diese Art von Aktivität nicht oft öffentlich bestätigt wird, gibt es\nEs gibt viele in der Community, die besorgt sind, dass Börsen wie Binance\nnutzen den Monero, den seine Benutzer an der Börse halten, um zu handeln\ngegen Monero, was die Anzahl der Monero-Shorts aufbläht und den Preis verursacht\nUnterdrückung im Laufe der Zeit.</p>\n<p>Dieses Verhalten kann auch zu Liquiditätskrisen führen, wenn Benutzer, die\n<em>wollen </em> eigene Schlüssel halten wollen, können sich aber nicht zurückziehen\nAustausch, da der Austausch seinen Benutzern mehr Monero versprochen hat als er\neigentlich zur Verfügung hat. Je mehr Monero-Benutzer ihre eigenen Schlüssel und\nHalten Sie ihre Monero-Börsen ab, desto gesünder und natürlicher die\nMarkt wird theoretisch sein, und je weniger Risiko böswillig oder gierig\nBörsen können die Preisstabilität von Monero beeinträchtigen.</p>';

  @override
  String get knowledge250Sbkeys250Sb1250Sbtitle => 'Warum ist es wichtig, eigene Schlüssel zu besitzen?';

  @override
  String get knowledge250Sbkeys250Sb2250Sbtext => '<p>Wenn Sie anfangen, Ihre eigenen Schlüssel zu besitzen, ist das Wichtigste\nDenken Sie daran, <em>Ihre Seed-Phrase zu speichern und sicher aufzubewahren</em>! Dies ist das\nSatz von 14 oder 25 zufälligen Wörtern, die Ihnen jede Monero-Brieftasche wann geben wird\nSie erstellen eine Brieftasche, und das ist alles, was Sie brauchen, um Ihr Geld zurückzubekommen\nSie verlieren Ihr Telefon, Ihren Desktop, Ihren Laptop oder vergessen einen\nPasswort.</p>\n<p>Behandeln Sie diese Seed-Phrase so, als ob sie all Ihr Monero wert wäre\nBrieftasche, da jeder, der sie erhält, vollen Zugriff auf die darin enthaltenen Gelder hat\ndeine Geldbörse. Es ist ideal, es an einem sicheren oder geheimen Ort aufzubewahren,\nBewahren Sie mehrere Kopien im Falle eines Feuers oder einer Naturkatastrophe auf, und niemals\nzeig es jedem.</p>\n<p>Weitere Informationen zu Seed-Phrasen finden Sie unter <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\"\nhref=\"https://web.getmonero.org/resources/moneropedia/mnemonicseed.html\">Mnemonik\nSamen | Moneropedia</a>.</p>\n<h6 id=\"using-free-and-open-source-wallets\">Kostenlose und Open-Source-Wallets verwenden\nGeldbörsen</h6>\n<h5 id=\"for-desktop\">Für den Desktop</h4>\n<p>Wenn Sie hauptsächlich ein Desktop-Benutzer sind und Monero nicht ausgeben/erhalten\nsehr oft unterwegs sind, gibt es ein paar solide Möglichkeiten, sich zu behaupten\nSchlüssel, ohne sich auf Drittanbieter verlassen zu müssen.</p>\n<ul>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://getmonero.org/downloads\">Das offizielle Monero\nGeldbörse</a>\n<ul>\n<li>Dies ist die offizielle Monero-Wallet-Software und hat sich ständig bewährt\nVerbesserungen und Ergänzungen. Es enthält einen integrierten Monero-Daemon (if\nSie möchten), ist sehr benutzerfreundlich und wird bald <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" unterstützen\nhref=\"https://localmonero.co/knowledge/p2pool-decentralizing-monero-mining\">Bergbau\nüber p2pool direkt aus Ihrem Wallet</a>.</li>\n</ul></li>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://featherwallet.org/\">Federbrieftasche</a>\n<ul>\n<li>Dies ist eine ausgezeichnete Brieftasche im Stil von <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\"\nhref=\"https://electrum.org/\">Electrum für Bitcoin</a> und bietet beides\neinfache Bedienbarkeit und extrem leistungsstarke Features in einem\nGeldbörse.</li>\n</ul></li>\n</ul>\n<h5 id=\"for-mobile\">Für Mobilgeräte</h4>\n<p>Für diejenigen von uns, die unseren Monero unterwegs nutzen möchten oder\nhäufig ausgeben und eine solide mobile Monero-Brieftasche haben, die immer noch hält\nunsere Schlüssel in unseren eigenen Händen ist immens wichtig.</p>\n<ul>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://cakewallet.com/\">Cake Wallet</a>\n<ul>\n<li>Cake Wallet ist eine kostenlose Open-Source-Wallet (FOSS) für Android und\niOS, das Monero, Bitcoin und Litecoin nativ unterstützt.</li>\n</ul></li>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://www.monerujo.io/\">Monerujo</a>\n<ul>\n<li>Monerujo ist eine FOSS-Brieftasche für Android, der einige tolle Funktionen hinzugefügt wurden\nFunktionen und Grafiken, native Unterstützung von Tor-Knoten und vieles mehr.</li>\n</ul></li>\n</ul>';

  @override
  String get knowledge250Sbkeys250Sb2250Sbtitle => 'Wie halte ich meine eigenen Schlüssel mit Monero?';

  @override
  String get knowledge250Sbkeys250Sb3250Sbtext => '<p>Hoffentlich hat dieser Beitrag dazu beigetragen, die Notwendigkeit zu festigen, deine zu halten\neigenen Schlüssel, sowie wies Sie auf einige der ausgezeichneten Brieftaschen in der\nLeerzeichen.</p>\n<p>Je mehr Sie Monero selbst in die Hand nehmen und es tatsächlich nutzen, desto\nmehr Vorteile, die Sie jetzt und in Zukunft erhalten können. Monero ist nicht nur\nein spekulativer Vermögenswert – es ist ein mächtiges Werkzeug für Freiheit und Finanzen\nPrivatsphäre, die in der Welt von heute und in der Zukunft dringend benötigt wird\nvon uns.</p>\n<p>Holen Sie sich jetzt diese Münzen von einer Börse und tauchen Sie ein in das, was Monero war\ngebaut für.</p>';

  @override
  String get knowledge250Sbkeys250Sb3250Sbtitle => 'Fazit';

  @override
  String get knowledge250Sbkeys250Sbdescription => '„Nicht deine Schlüssel, nicht deine Münzen“ – ein allgegenwärtiger Satz, doch die Mehrheit der Krypto-Benutzer besitzt immer noch keine eigenen Schlüssel.';

  @override
  String get knowledge250Sbkeys250Sbtitle => 'Warum (und wie!) Sie Ihre eigenen Schlüssel besitzen sollten';

  @override
  String get knowledge250Sbmining250Sb0250Sbtext => 'Am 30. November 2019 hatte Monero seinen halbjährlichen Hard Fork, wobei die am meisten erwartete Änderung ein Wechsel vom alten PoW-Algorithmus Cryptonight zum völlig neuen, intern entwickelten RandomX war. Die Monero-Community glaubt, dass RandomX ein großer Schritt in Richtung egalitäres Mining ist, aber lassen Sie uns tiefer graben, um zu sehen, ob das der Fall ist.';

  @override
  String get knowledge250Sbmining250Sb1250Sbtext => 'Um beurteilen zu können, ob RandomX eine Verbesserung darstellt, müssen wir zunächst verstehen, was der Zweck des Mining ist. Mining sichert eine Blockchain vor doppelten Ausgaben über Nakamoto Consensus. Die genauen Feinheiten, wie dies geschieht, würden den Rahmen dieses Artikels sprengen, aber sie können aus vielen verschiedenen Quellen im Internet gelernt werden. Was zählt, ist, dass die Sicherheit aus Hashes stammt, die von Computern (Minern) generiert werden, die miteinander konkurrieren, um die mathematische Lösung zu finden, die zum Erstellen eines weiteren Blocks erforderlich ist. Dabei fügen sie der Blockchain neue Transaktionen hinzu. Als Gegenleistung für ihre Arbeit (Hashes) werden sie mit neu geprägten Coins entschädigt.\n<br/><br/>\nEs gibt eine Reihe von Problemen, die bei diesem Setup auftreten können, und sie erfordern angemessene Anreize, um richtig zu funktionieren, aber wir werden uns auf ein bestimmtes Problem konzentrieren, das auftreten könnte. Wenn Mining ein Wettbewerb sein soll, was passiert, wenn ein Miner einen Vorteil erlangt?';

  @override
  String get knowledge250Sbmining250Sb1250Sbtitle => 'Zweck';

  @override
  String get knowledge250Sbmining250Sb2250Sbtext => 'Lassen Sie uns zum Kontext ein wenig über Mining-Hardware sprechen. Miner verwenden Computer, um die Arbeit zu erledigen, aber wir alle wissen, dass nicht jeder Computer gleich ist. Einige Computer sind leistungsfähig genug, um KI-Netzwerke oder intensive Spiele auszuführen, während andere selbst mit einfachen Aufgaben zu kämpfen haben. Diese Unterschiede in der Rechenleistung wirken sich auch auf die Hash-Rate oder die Rate aus, mit der sie nach Blocklösungen suchen. <br/><br/>\nAber selbst diese Unterschiede zwischen Computern verblassen im Vergleich zu den Hash-Raten spezialisierter Hardware, die auch als anwendungsspezifische integrierte Schaltkreise (ASICs) bekannt sind und normale Computer um mehrere Größenordnungen übertreffen.<br/><br/>\nNehmen wir uns etwas Zeit, um zu untersuchen, was ASICs so leistungsfähig macht. Stellen Sie sich vor, alle Computer fallen irgendwo in ein Spektrum, das von der Fähigkeit, viele Dinge zu tun, aber nichts gut, bis hin zu nur einer Sache, aber sehr gut reicht. CPUs und ASICs befinden sich an entgegengesetzten Enden dieses Spektrums.<br/><br/>\nCPUs, die in allen Standardcomputern vorhanden sind, befinden sich am ersten Ende. Sie können viele Dinge tun, wie im Internet surfen, Spiele spielen oder Videos rendern, aber keines davon besonders gut. Aber diese Flexibilität geht auf Kosten der Effizienz.<br/><br/>\nASICs sind am anderen Ende, wo sie nur eine Sache können, aber es mit einer unglaublichen Geschwindigkeit tun. Sie können nur eine mathematische Funktion ausführen, aber weil sie alles andere ignorieren können, sind die Leistungssteigerungen astronomisch. Diese Effizienz geht jedoch auf Kosten der Flexibilität. Wenn sich also die Funktion auch nur geringfügig ändert – ein Beispiel ist, dass sich x + y = z in 2x + y = z ändert – dann wird der ASIC vollständig aufhören zu funktionieren. <br/><br/>\nNicht jeder besitzt einen ASIC, aber jeder besitzt Computer. Dies kann zu einem unfairen Vorteil führen.';

  @override
  String get knowledge250Sbmining250Sb2250Sbtitle => 'Hintergrund';

  @override
  String get knowledge250Sbmining250Sb3250Sbtext => 'Wenn das immer noch verwirrend ist, hilft vielleicht die folgende Analogie. Stellen Sie sich eine Lotterie vor, bei der jede Stunde 1000 Dollar vergeben werden, und diese Lotterie ermöglicht es Ihnen, Ihre eigenen Lose auszudrucken! Sie beginnen damit, so viele Tickets wie möglich auf Ihrem Heimdrucker zu drucken, der ein Ticket pro Sekunde drucken kann. Nach Abzug der Strom- und Tintenkosten sehen Sie, dass Sie immer noch Gewinn machen können, selbst wenn Sie nur alle paar Wochen einmal im Lotto gewinnen.<br/><br/>\nIm Laufe der Zeit erweitern Sie Ihren Betrieb, bis Sie einen ganzen Raum für Drucker haben. 20 insgesamt. Alles ist gut ... bis zu einem schicksalhaften Tag. <br/><br/>\nEs gibt große Neuigkeiten. Jemand hat eine neue Art von Drucker erfunden. Es kann nur Lottoscheine drucken. Es kann keine Bilder oder Office-Dokumente drucken oder doppelseitig drucken. Nur Lottoscheine. Aber es kann sie mit einer Geschwindigkeit von 1000 Tickets pro Sekunde drucken. Sie schauen in Ihr kleines Druckerzimmer. 20 Drucker. Sie brauchen 980 weitere Drucker, nur um mit EINEM dieser Monsterdrucker Schritt zu halten, und wenn jemand zwei hat …?<br/><br/>\nSie steigen leider aus dem Lotteriespiel aus, da Sie die Strom- und Tintenkosten nicht mehr rechtfertigen können.<br/><br/>\nAber warte! Ein paar Wochen später gibt es weitere Neuigkeiten! Das Design des Tickets hat sich geändert. Jetzt sind die Zahlen, die früher oben waren, jetzt unten. Die neuen Monsterdrucker sind so unflexibel, dass sie das nicht können. Sie konnten nur das vorherige Design herstellen. Es dauert nicht lange, bis Sie wieder glücklich drucken. Zumindest bis jemand einen neuen Monsterdrucker für das neue Design herstellt.';

  @override
  String get knowledge250Sbmining250Sb3250Sbtitle => 'Eine lustige Analogie';

  @override
  String get knowledge250Sbmining250Sb4250Sbtext => 'Wie passt RandomX in all das hinein? Es versucht, den Vorteil von ASICs auszugleichen, indem es die Herstellung von ASICs sehr schwierig macht. Dies geschieht, indem Miner aufgefordert werden, zufälligen Code zu erstellen und auszuführen, anstatt auf der Grundlage eines Algorithmus zu hashen.<br/><br/>\nEs mag verwirrend sein, wie das tatsächlich hilft, also kehren wir zu unserer Druckeranalogie zurück. Erinnerst du dich, was passiert ist, als sich das Design geändert hat? Die alten Monsterdrucker werden jede Nacht obsolet, und neue mussten mit Blick auf das neue Design entwickelt werden. Was würde passieren, wenn jeder neue Lotteriegewinnschein für jeden neuen Jackpot einen neuen Designstandard einhalten müsste? <br/><br/>\nDas Erstellen eines neuen Monsterdruckers würde unglaublich schwierig werden. Sie können nicht mehr nur mit einem Ticketdesign planen. Da das Design zufällig ist, müssten die Hersteller von Monsterdruckern Farbfunktionen, Möglichkeiten zum Drucken verschiedener Schriftzüge und Ränder und Formen und mehr hinzufügen. Kurz gesagt, die Maschine, die sie schließlich erfanden, wäre ein normaler Standarddrucker. Genau wie alle anderen auch.<br/><br/>\nIndem wir diese Zufälligkeit einfach in das Ticketdesign implementiert haben, haben wir den großen Vorteil, der durch spezialisierte Hardware erzielt wird, erheblich reduziert. RandomX macht dasselbe, aber mit Mining.<br/><br/>\nAuf diese Weise werden die Vorteile einiger weniger wohlhabender Personen minimiert, als würden sie in die Entwicklung von „ASICs“ für das Mining von RandomX investieren und tatsächlich nur stärkere, bessere CPUs erfinden, was der ganzen Welt zugute kommt.<br/>[ X1455X]\nDamit ist der kleine Kerl mit seinen 20 Ticketdruckern wieder im Spiel. Er hat es vielleicht immer noch schwerer, da diese wohlhabenden Personen immer noch mehr Drucker kaufen können als er, aber zumindest ist er jetzt nicht nur von einer Maschine um Größenordnungen übertroffen. Er ist auf seine kleine Art konkurrenzfähig.<br/><br/>\nDa wir wissen, dass selbst der kleine Kerl beim Monero-Mining wettbewerbsfähig sein kann, ermutigen wir jeden, es auszuprobieren, entweder in der Monero-GUI-Brieftasche, die Solo-Mining unterstützt, oder durch das Herunterladen von Community-unterstützter Software. Es ist einfach, wettbewerbsfähig und offen für alle.';

  @override
  String get knowledge250Sbmining250Sb4250Sbtitle => 'ZufälligX';

  @override
  String get knowledge250Sbmining250Sbdescription => 'Am 30. November 2019 hatte Monero seinen halbjährlichen Hard Fork, wobei die am meisten erwartete Änderung ein Wechsel vom alten PoW-Algorithmus Cryptonight zum völlig neuen, intern entwickelten RandomX war. Die Monero-Community glaubt, dass RandomX ein großer Schritt in Richtung egalitäres Mining ist, aber lassen Sie uns tiefer graben, um zu sehen, ob das der Fall ist.';

  @override
  String get knowledge250Sbmining250Sbtitle => 'Monero Mining: Was RandomX so besonders macht';

  @override
  String get knowledge250Sbmyths250Sb0250Sbtext => '<p>Keine Kryptowährung ist ohne Mängel und Monero ist da keine Ausnahme. Tatsächlich hat die Community <a class=\"next-link\" href=\"https://www.youtube.com/playlist?list=PLsSYUeVwrHBnAUre2G_LYDsdo-tD0ov-y\" target=\"_blank\">eine YouTube-Serie</a> erstellt, die die Datenschutzschwächen von Monero aus technologischer Sicht behandelt.</p>\n\n<p>Trotzdem gibt es einige allgemeine Kritikpunkte an Monero, die entweder veraltet oder falsch sind, während andere eine sehr enge Sicht auf das betreffende Problem darstellen. In diesem Artikel hoffen wir, diese Kritik klarzustellen.</p>';

  @override
  String get knowledge250Sbmyths250Sb0250Sbtitle => 'Einführung';

  @override
  String get knowledge250Sbmyths250Sb1250Sbtext => '<p>Dies ist eine häufige Kritik an Monero, die viele dazu veranlasst, einen großen Bogen darum zu machen, und es ist bei weitem diejenige, bei der die Antwort der Community nicht ganz so trocken und trocken ist, als nur eine falsche Annahme zu korrigieren.[ X217X]\n\n<p>Die Realität ist, dass wir als Gemeinschaft noch nicht wissen, wie die regulatorische Reaktion auf so etwas wie Monero aussehen wird. Wir wissen, dass Kryptowährungen im Allgemeinen auf dem Radar vieler Regierungsbehörden stehen, und haben aus den oben genannten Gründen Grund zu der Annahme, dass Monero dies mehr als andere ist, aber bis jetzt wurden von den Regierungen nur wenige Schritte unternommen Land in Bezug auf das völlige Verbot von Monero.</p>\n\n<p>Trotzdem engagiert sich die Monero-Community für den guten Kampf. Wir glauben, dass finanzielle Privatsphäre etwas ist, das für die Freiheit unerlässlich ist und dass jeder die Möglichkeit haben sollte, privat Transaktionen durchzuführen, ohne dass Regierungen, Unternehmen oder andere Personen Sie ausspionieren.</p>\n\n<p>Eine Beruhigung, die wir geben können, ist jedoch, dass Bitcoin zu einem bestimmten Zeitpunkt genau den gleichen Ruf hatte wie Monero jetzt. Es wurde angenommen, dass es die Münze des Kriminellen und völlig privat und anonym war, aber langsam, im Laufe der Zeit, akzeptierte die Öffentlichkeit Bitcoin trotzdem. </p>\n\n<p> Nun könnte man argumentieren, dass sich der Ruf von Bitcoin geändert hat, als die Leute erkannten, dass es wirklich nicht privat oder anonym war, aber das ist nicht wahr, da die Vorstellung, dass Bitcoin vollständig privat ist und nicht zurückverfolgt werden kann, nicht nur immer noch allgegenwärtig ist in der breiten Öffentlichkeit, sondern unter denen, die die Branche regulieren. Diese Leute glauben immer noch, dass es privat ist, also glauben sie im Grunde, dass es das ist, was Monero tatsächlich ist, und doch bewegen wir uns schnell in eine Welt, in der es bei der Öffentlichkeit, Unternehmen und Regierungsbehörden an Akzeptanz gewinnt. Dies deutet darauf hin, dass Monero mit genügend Zeit dieselbe Akzeptanz erfahren könnte.</p>';

  @override
  String get knowledge250Sbmyths250Sb1250Sbtitle => 'Monero wird aufgrund seiner Verpflichtung zu Datenschutz und Anonymität bei seinen Transaktionen einer behördlichen Prüfung unterzogen, die weit über andere Kryptowährungen hinausgeht.';

  @override
  String get knowledge250Sbmyths250Sb10250Sbtext => '<p>Eine häufige Beschwerde über die meisten Münzen, die kleiner als Bitcoin sind, ist, wie einfach es ist, sie theoretisch zu 51 % anzugreifen. Tatsächlich wurden mehrere kleine Coins, wie Vertcoin, mehrmals erfolgreich zu 51 % angegriffen.</p>\n\n<p>Die meisten dieser Bedenken ergeben sich aus der Website https://www.crypto51.app/, die zeigt, wie viel es kosten würde, die Hashrate von NiceHash zu mieten, einer Plattform, die Mining-Hardware für Cloud-Mining vermietet. Zu einem bestimmten Zeitpunkt listete diese Website einen Angriff auf Monero auf, der etwa 6.300 US-Dollar für eine Stunde kostete. Während dieser Preis viele von uns zum Staunen bringen mag, ist es nicht außerhalb des Bereichs der Möglichkeiten, dass ein wohlhabendes Unternehmen oder eine Einzelperson einen anhaltenden Angriff auf das Netzwerk durchführen kann.</p>\n\n<p>Das ist glücklicherweise nicht mehr der Fall. Ein aufmerksamer Leser wird sehen, dass die Website Monero aufgrund der Einbeziehung von RandomX tatsächlich aus ihrer Anwendung genommen hat. Noch einmal, der Leser wird ermutigt, <a class=\"next-link\" href=\"/knowledge/monero-mining-randomx\" target=\"_blank\">unseren Artikel über RandomX für Details zu lesen</a>, aber aufgrund der CPU-freundlichen Natur des Algorithmus können Unternehmen wie NiceHash nicht mehr einfach ASICs für Monero kaufen, um sie an wen auch immer zu vermieten ist bereit, sie zu mieten. Jetzt müssen sie mit CPUs konkurrieren, die viel weiter verbreitet und einfacher zu bekommen sind.</p>\n\n<p>Die genauen Hardwarekosten für einen 51%-Angriff auf das Monero-Netzwerk wurden nicht berechnet und sind in der Tat nicht so einfach zu berechnen wie andere Coins mit ASICs-Periode.</p>';

  @override
  String get knowledge250Sbmyths250Sb10250Sbtitle => 'Wird Monero nicht leicht zu 51 % angegriffen?';

  @override
  String get knowledge250Sbmyths250Sb11250Sbtext => '<p>Die beiden Schreckgespenster des Mining-Bereichs sind ASICs und Botnets, und sich von einem wegzubewegen bedeutet zwangsläufig, sich einem anderen anzunähern. Wenn man eine CPU braucht, um Monero zu schürfen, dann können Hacker theoretisch die Kontrolle über viele hundert, wenn nicht tausende anfälliger Computer übernehmen und sie zwingen, Monero in ihrem Namen zu schürfen, was sie nichts kostet, und diejenigen mit nur ein paar Computern in ihren Haushalten überflügeln .</p>\n\n<p>Die erste Widerlegung dieses Arguments bezieht sich auf die Eigentümer von Botnets selbst. Obwohl wir das Hacken von Computern anderer nicht dulden, ist die Eintrittsbarriere für den Besitz und Betrieb eines Botnets weitaus niedriger als die für den Besitz von ASICs. Man braucht Software – oft ziemlich frei verfügbar und Open Source – und die Zeit und den Scharfsinn, verwundbare Computer aufzuspüren. Die andere erfordert unglaubliche Mengen an Kapital und Zugang zur Fertigung. Eine kann von einem Kind in einem Keller durchgeführt werden, und die andere nur von den extrem Reichen. Dies führt uns zu dem Schluss, dass die Botnets selbst stärker dezentralisiert wären als ASICs, wenn sich die schlimmsten Befürchtungen der Miner bewahrheiten würden.</p>\n\n<p>Trotzdem ist die Monero-Community zuversichtlich, dass dieses Problem übertrieben ist. Die Ingenieure von RandomX haben das Protokoll bewusst so entworfen, dass es 2 GB RAM-Speicher benötigt, um zu funktionieren. Mit anderen Worten, viele kleine, anfällige virtuelle private Server (VPS) verfügen einfach nicht über die Kapazität, und wenn dies der Fall wäre, wäre der Anstieg der verwendeten Ressourcen für einen Systemadministrator sehr auffällig, was zu einer sofortigen Untersuchung führen würde. Mit anderen Worten, es kann nicht unbemerkt im Hintergrund laufen, wie kompromittierte Computer, die an einem DDOS-Angriff teilnehmen, oder stillschweigend Passwörter ausspähen. Wenn der Miner eingeschaltet ist, weiß es jeder.</p>\n\n<p>Dies reduziert die Anzahl der Computer, die ein Botnet erfolgreich kompromittieren könnte, auf diejenigen, die technologisch sehr unfähig sind oder die nie überprüft werden, und nicht auf die Vielzahl anfälliger Computer, von denen die Befürworter dieses Arguments annehmen, dass sie gefährdet sind .</p>';

  @override
  String get knowledge250Sbmyths250Sb11250Sbtitle => 'CPU-freundlicher Algorithmus? Wird das Monero-Mining nicht einfach von Botnets übernommen?';

  @override
  String get knowledge250Sbmyths250Sb12250Sbtext => '<p>Diese Kritik kommt aus der realen Welt. Eine Gruppe von Personen, die der Community nicht bekannt sind, hat Monero gegabelt und ihre eigene Münze erstellt: MoneroV. Da es sich um eine Kettengabel handelte, konnten Einzelpersonen eine gleiche Menge an MoneroV beanspruchen, wie sie sie in Monero hatten, d. h. wenn Sie 100 Monero hatten, konnten Sie denselben Seed auf einer MoneroV-Brieftasche verwenden, um 100 MoneroV zu erhalten.</p>\n\n<p>Dies führte zu einer überraschenden und unerwarteten Folge: einem Verlust der Privatsphäre. Um es zu erklären, geben wir ein Beispiel. Wenn ich an eine Zahl denke, die Sie erraten müssen, ich Ihnen aber drei Zahlen gebe, von denen nur eine richtig ist, wissen Sie nicht, welche die richtige Antwort ist. Nehmen wir an, ich nenne Ihnen die Zahlen 88, 25 und 19. Sie sind jedoch schlau und fragen mich nach einem weiteren Satz von drei Zahlen, aber eine davon muss immer noch die richtige Zahl sein. Ich gebe Ihnen 54, 88 und 92. Sie sehen, dass die Zahl 88 in beiden Sätzen vorkommt, also muss es die richtige Zahl sein, und Sie hätten Recht. </p>\n\n<p>Der Angriff auf die Privatsphäre von Monero funktioniert genauso. Monero stützt sich auf Ringsignaturen, die auf der lokalen Brieftasche zusammengestellt werden, um Transaktionsausgaben zu verschleiern. Wenn ich eine Ausgabe für die Monero-Kette mit einem zusammengesetzten Ring und die gleiche Ausgabe für die MoneroV-Kette für einen anderen zusammengesetzten Ring ausgeben würde, ohne sicherzustellen, dass der Ring aus denselben Ködern besteht, dann die wahre Ausgabe offensichtlich wird, ähnlich wie die Zahl 88 als die richtige Zahl offensichtlich wurde. </p>\n\n<p>Es wurden mehrere Lösungen postuliert, darunter die Erstellung von Tools, mit denen Menschen verantwortungsbewusst von Monero forken können, eine Blackball-Datenbank mit verdorbenen Ausgaben und die Erhöhung der Ringgröße, aber letztendlich war keine davon erforderlich. MoneroV hat nie an Zugkraft gewonnen, und die Anzahl der Menschen, die ihre Coins beanspruchten und ihre Privatsphäre gefährdeten, war sehr gering.</p>\n\n<p>Zu beachten ist, dass diese Gefahr für die Privatsphäre NICHT von einem Code-Fork von Monero ausgeht, sondern von einem Chain-Fork. Das bedeutet, dass jede Münze, die den Code von Monero nimmt und mit ihrem eigenen Genesis-Block von vorne anfängt, keine der Ketten in Gefahr bringt. Nur wenn ein Coin aufgrund einer Meinungsverschiedenheit die eigentliche Blockchain von der aktuellen Monero-Blockchain abzweigt, ähnlich wie beim Bitcoin / Bitcoin Cash-Debakel, wären die Chains in Gefahr. Dies würde bedeuten, dass die Fork gegen die etablierte Community kämpfen würde, und diejenigen, die sich entscheiden, nicht teilzunehmen und ihre Coins von der anderen Chain zu beanspruchen, wären nicht in Gefahr.</p>\n\n<p>Trotzdem halten wir es für naiv zu glauben, dass es niemals einen Angriff auf Monero auf diese Weise geben wird, weshalb andere Lösungen in Arbeit sind, um entweder die Ringgröße zu erhöhen oder zu einem anderen Prüfschema zu wechseln. Viele davon wurden im Abschnitt „hohe Transaktionsgebühren“ erwähnt.</p>';

  @override
  String get knowledge250Sbmyths250Sb12250Sbtitle => 'Monero-Forks schaden nicht nur der wirtschaftlichen Lebensfähigkeit von Monero, sondern auch seiner Privatsphäre!';

  @override
  String get knowledge250Sbmyths250Sb13250Sbtext => '<p>Die Geschichte von Monero ist interessant und es mag viele überraschen zu hören, dass es tatsächlich als Betrug begann. Der Ersteller, thankful_for_today, war wahrscheinlich mit einer Kryptowährungsgruppe verbündet, die das CryptoNote-Protokoll erstellte, aber hinterhältige Absichten hatte, Menschen damit um ihr Geld zu betrügen.</p>\n\n<p>Ihre anfänglichen Münzversuche schlugen fehl, also schufen sie Monero, um es noch einmal zu versuchen. Dies scheiterte erneut, da die Community schnell merkte, dass etwas nicht stimmte, und die Münze ergriff. Trotzdem hatten die hinterhältigen Macher noch einen letzten Trick im Ärmel. Sie veröffentlichten absichtlich deoptimierte Mining-Software und behielten die optimierte Version für sich, um andere zu übertreffen und viel Geld mit den Blockbelohnungen zu verdienen.</p>\n\n<p>Das gelang eine Zeit lang, wurde aber auch schnell von der Monero-Community aufgefangen, behoben und der optimierte Miner für alle freigegeben. Als die Community erkannte, was passiert war, entschied sie sich, die Münze nicht neu aufzulegen, da es schwierig war, abzuschätzen, wie viel die Betrüger damit gemacht hatten und wie viel Zeit und Mühe es kosten würde, sie von Grund auf neu aufzubauen. Trotz der Schwierigkeit festzustellen, wie viele Münzen die Betrüger erhalten haben, ist auch bekannt, dass in dieser Zeit viele gutgläubige Bergleute den Code unabhängig voneinander neu optimiert und ihre Gewinne verkauft haben, um eine fairere Verteilung zu gewährleisten, und dass die Betrüger waren nicht die einzigen, die in dieser Zeit eine große Menge an Münzen bekamen. <a class=\"next-link\" href=\"https://da-data.blogspot.com/2014/08/minting-money-with-monero-and-cpu.html\" target=\"_blank\">Eine solche Konto kann hier nachgelesen werden</a>.\n\n<p>Im Nachhinein könnten einige die Entscheidung kritisieren, die Münze nicht neu aufzulegen, und wenn diese betrügerischen Ursprünge ausreichen, um einen von der guten Arbeit, die Monero geleistet hat, abzubringen, dann gibt es kein Argument, sie zu beeinflussen. Ungeachtet der anfänglichen Frustrationen, die die Betrüger verursacht haben, ist Monero erfolgreich und hat seinen kombinierten Community-Intellekt und seine Leidenschaft genutzt, um eine leistungsstarke Technologie zu entwickeln. Unser aktuelles Kernteam sowie die früheren Mitglieder wurden durch die Cripple Mine nicht bereichert, und unseres Wissens nach hat niemand, der an dem anfänglichen Betrug beteiligt war, in der Monero-Community länger als die ersten paar Wochen des Bestehens der Münze gedauert >';

  @override
  String get knowledge250Sbmyths250Sb13250Sbtitle => 'Hatte Monero in der Anfangszeit nicht einen verkrüppelten Miner, der zur Bereicherung der Gründer diente?';

  @override
  String get knowledge250Sbmyths250Sb14250Sbtext => '<p>Das ist eine schwer zu beantwortende Frage. Eine häufig gegebene Antwort ist, dass wir die Coinbase-Transaktionen addieren können (wenn ein neuer Monero an einen Miner für das Lösen eines Blocks belohnt wird). Diese Transaktionen sind transparent, und wenn wir sie addieren, sollten wir die Gesamtzahl der im Umlauf befindlichen Monero erhalten.</p>\n\n<p>Es ist jedoch wichtig zu beachten, dass, wenn Spielereien passieren würden, die die Menge an Monero über das hinaus erhöhen, was wir von den Coinbase-Transaktionen erwarten, dies nicht bei den Coinbase-Transaktionen selbst passieren würde, sondern bei einer regulären Transaktion zwischen Wallets. Dies würde nur auf eine von drei Arten passieren.</p>\n\n<p>Einer, wenn die Kryptographie, die beweist, dass kein Monero in einer Transaktion erstellt oder zerstört wurde, grundlegend fehlerhaft ist. Zweitens, wenn die Implementierung (Code) der soliden Kryptografie fehlerhaft ist. Drittens, wenn keiner fehlerhaft ist, aber Computer leistungsfähig genug werden, um unsere aktuellen kryptografischen Schemata zu durchdringen und falsche Beweise zu erstellen.</p>';

  @override
  String get knowledge250Sbmyths250Sb14250Sbtitle => 'Wenn Monero so privat ist, wie können wir dann die Lieferung prüfen, um sicherzustellen, dass niemand vor unserer Nase kostenlos Monero druckt?';

  @override
  String get knowledge250Sbmyths250Sb15250Sbtext => '<p>Diese Frage ist aufgrund der ständigen Schwankungen des Bergbaus im Allgemeinen am schwierigsten zu beantworten. Tatsächlich kann es sein, dass dies nach Veröffentlichung dieses Artikels nicht mehr der Fall ist und am nächsten Tag wieder der Fall sein kann. Technologie im Allgemeinen ist aufgrund der Schnelllebigkeit der Branche schwer zu beschreiben, und dies gilt insbesondere für Mining und Hashrate.</p>\n\n<p>Wir vermeiden die Bedenken nicht, keine Sorge. Lassen Sie uns darauf eingehen, indem wir uns den Unterschied zwischen Hardware-Zentralisierung und Pool-Zentralisierung ansehen.</p>\n\n<p>Die Tatsache, dass Mining auf Bitcoin nur auf sehr spezifischer Hardware durchgeführt werden kann, die nicht leicht zugänglich ist, bedeutet, dass die beste Hardware bei den Herstellern zentralisiert ist. Da die Einrichtung eines Mining-Pools trivial ist, erwarten wir, dass diese Hersteller ihre eigenen Mining-Pools einsetzen, auf denen ihre ASICs minen, und tatsächlich sehen wir dies bei den großen ASIC-Herstellern heute der Fall.<p>\n\n<p>Dies ist kein lösbares Problem. Die zentralisierten Mining-Pools besitzen die Hardware, den Pool und die Hashes, und es gibt nichts, was irgendjemand dagegen tun kann.</p>\n\n<p>Pool-Zentralisierung, obwohl das Endergebnis ähnlich ist, hat sehr unterschiedliche und viel veränderlichere Grundlagen. Da Monero ein egalitäres Mining hat, kann jeder Miner wählen, wohin er seine Hashes richten möchte. Die Leute entscheiden sich oft dafür, auf einen größeren Pool zu zeigen, einfach weil dies bedeutet, dass sie häufiger gefundene Blöcke sehen als einen kleineren Pool. </p>\n\n<p>Es sollte jedoch beachtet werden, dass ihr individueller Anteil an der Blockbelohnung kleiner sein wird, da sie ihn mit viel mehr Menschen teilen. Kleinere Pools finden Blöcke seltener, aber jeder Miner erhält einen größeren Teil der Blockbelohnung, und das Endergebnis ist, dass ein Miner tatsächlich den gleichen Geldbetrag verdient, unabhängig davon, ob er sich in einem kleineren oder einem größeren Pool befindet, also ermutigen wir die Miner, darauf hinzuweisen ihren Hash in kleinere Pools, um das Mining weiter zu dezentralisieren.</p>\n\n<p>Aber wir schweifen ab.</p>\n\n<p>Sie werden in unserer Ermutigung zur Dezentralisierung oben bemerken, dass der Miner die Macht hat, Pools zu wechseln. Zu jedem Zeitpunkt, sei es durch bessere Bildung, einen Aufruf zur Dezentralisierung oder einen verstärkten Wettbewerb zwischen den Pools, kann sich die Hash-Verteilung ändern, wenn einzelne Miner ändern, wohin sie ihre Hashes richten. Das Gleiche gilt nicht für das auf Hardwareebene zentralisierte Mining, da die ASIC-Hersteller keinen Anreiz haben, auf einen anderen Pool als ihren eigenen zu verweisen, und dies auch nicht tun werden.</p>\n\n<p>Die Tatsache, dass der Großteil der Haschrate von Monero in ein paar Pools konzentriert ist, ist also nicht etwas, an dem wir festhalten, und kann in der Tat auf mangelnde Aufklärung über das Mining im Allgemeinen zurückzuführen sein. Es ist etwas, das behoben werden kann, da das Problem nicht auf der Root-Ebene liegt, anders als bei der Hardware-Zentralisierung von Bitcoin.</p>';

  @override
  String get knowledge250Sbmyths250Sb15250Sbtitle => 'Der größte Teil der aktuellen Hashrate von Monero stammt aus nur zwei Pools.';

  @override
  String get knowledge250Sbmyths250Sb2250Sbtext => '<p>Monero hat tatsächlich weniger Wallet-Optionen als viele existierende Coins. Dies liegt daran, dass Monero von Grund auf neu entwickelt wurde. Es basiert auf einer völlig anderen Codebasis als Bitcoin. Das bedeutet, dass Monero nicht einfach die Bitcoin-Core-Wallet oder andere Wallets, die für Bitcoin existieren, forken kann, wie dies bei den meisten Coins der Fall ist, und die vorhandene Infrastruktur nutzen kann. Außerdem bedeutet dies, dass Monero nicht so einfach zu Wallets von Drittanbietern wie Exodus hinzugefügt werden kann.</p>\n\n<p>Und doch tauchen langsam aber sicher Wallets aller Art für Monero auf. Es war viele Jahre lang ein Mem, dass Monero keine GUI und keine Unterstützung für mobile Geldbörsen hatte, aber jetzt könnte nichts weiter von der Wahrheit entfernt sein. Es gibt Wallets, die speziell auf Monero ausgerichtet sind, wie Monerujo für Android und Cake Wallet für iOS und Android, sowie neue wie Wookey, Exa Wallet und mehr. Darüber hinaus beginnen Wallets von Drittanbietern, Monero hinzuzufügen, wenn auch langsamer, einschließlich Exodus und Guarda, und wir erwarten, dass sich dieser Trend im Laufe der Zeit fortsetzen wird und die Codebasis von Monero reift.</p>';

  @override
  String get knowledge250Sbmyths250Sb2250Sbtitle => 'Monero hat weniger Wallet-Optionen.';

  @override
  String get knowledge250Sbmyths250Sb3250Sbtext => '<p>Diese Kritik ist auch etwas heikel. Zugegebenermaßen ist Monero in einigen Bereichen tatsächlich schwieriger zu verwenden als Bitcoin. Beispiele hierfür sind die längere Adresse und die Synchronisierung, die selbst bei einer leichten Brieftasche lange dauert, da eine Brieftasche nicht einfach die Blockchain überprüfen kann, ohne jede Ausgabe zu scannen, um festzustellen, ob sie zu dem betreffenden Konto gehört. </p>\n\n<p>Dennoch baut Monero in vielerlei Hinsicht auf der Benutzererfahrung von Kryptowährung auf, wenn nicht sogar verbessert, insbesondere in Bezug auf den Datenschutz.</p>\n\n<p>Wir laden den Leser ein, Artikel über die Schritte zu lesen, die Bitcoiner zur Wahrung der Privatsphäre empfehlen. Die Liste ist lang, verwirrend und schwer zu perfektionieren, wobei die Folgen eines Fehlers oft eine Beeinträchtigung der Privatsphäre sind. Ein Beispiel dafür ist der Vorschlag, Ihre Bitcoins zu mischen oder zu mischen, aber wenn die resultierenden Ausgaben nach dem Mischprozess zusammengeführt oder anderweitig in dieselbe Brieftasche verschoben werden, könnte das Mischen umsonst gewesen sein, da das Verfolgen der Ausgaben eine hohe Verknüpfbarkeit bietet. Ein weiteres Beispiel ist die Tatsache, dass viele empfehlen, Ihr eigenes Bitcoin zu schürfen, wenn Sie möchten, dass es völlig unklar bleibt, wie die Bitcoin-Ausgänge erhalten wurden, eine Vorstellung, die im aktuellen Bergbau-Ökosystem lächerlich ist.</p>\n\n<p>Mit Monero wird diese Wäscheliste mit Details so gut wie vollständig abgeschafft. Jede Monero-Transaktion behält jedes Mal ein hohes Maß an Privatsphäre, ohne dass der Benutzer etwas tun oder externe Software verwenden muss. Während Bitcoin es schwierig macht, die Privatsphäre für alle außer den erfahrensten Benutzern richtig zu machen, macht es Monero schwierig, es für alle die ganze Zeit falsch zu machen. Was Kompromisse angeht, denken wir, dass sich die längeren Adressen und die Synchronisierungszeit mehr als gelohnt haben.</p>\n\n<p>Und selbst nachdem wir alles oben Besprochen haben, bleibt die Tatsache bestehen, dass die Benutzererfahrung mit der Zeit oft besser wird, und Monero ist keine Ausnahme. Die UX einer Münze kann nach ein paar Jahren dramatisch verbessert werden, aber die Grundlagen davon sind viel schwieriger zu ändern.</p>';

  @override
  String get knowledge250Sbmyths250Sb3250Sbtitle => 'Monero hat eine schlechte Benutzererfahrung.';

  @override
  String get knowledge250Sbmyths250Sb4250Sbtext => '<p>Diese Kritik wird am häufigsten mit Blick auf Bitcoin geäußert. Was wäre, wenn Bitcoin Datenschutztechnologien einführt, die eine angemessene Privatsphäre ermöglichen? Welchen Nutzen hätte Monero?</p>\n\n<p>Die Realität ist, wir sehen nicht, dass Bitcoin jemals die Privatsphäre auf die erste Ebene stellt. Bestenfalls auf Second Layer oder durch bestimmte Wallets wie Samourai und Wasabi. Dies bedeutet, dass der Datenschutz aktiviert ist, was Untersuchungen zufolge dem standardmäßig aktivierten Datenschutz immer unterlegen ist. Selbst wenn diese Technologie von einem anständigen Prozentsatz von Bitcoin-Benutzern übernommen würde (was an sich schon ein bisschen Fantasie ist), wäre die Privatsphäre schlechter.</p>\n\n<p>Obwohl die Gründe für die Minderwertigkeit des Opt-in-Datenschutzes groß genug wären, um einen eigenen Artikel zu erstellen, wollen wir hier mit einem groben Beispiel näher darauf eingehen. Aus technologischer Sicht geht es beim Datenschutz darum, sich in einer Menschenmenge zu verstecken. Je größer und homogener die Menge, desto besser die Privatsphäre des Einzelnen. Umgekehrt, wenn entweder die Menge klein oder groß ist, aber jeder andere, einzigartige Kleidung trägt, wäre es einfacher, eine Person zu identifizieren.</p>\n\n<p>Das bedeutet, dass, da Bitcoin die Menschen dazu zwingt, zusätzliche Schritte zu unternehmen, um Teil dieser Menge zu sein, viele es nicht tun werden, und diejenigen, die es tun, es möglicherweise schlecht machen. Das Endergebnis ist eine kleine Menschenmenge, und die Identifizierung einzelner Ergebnisse ist viel einfacher. Aber es kommt noch schlimmer. Abgesehen davon, dass die Menge klein ist, ist jeder Einzelne mehr oder weniger einzigartig, je nachdem, welches Datenschutzprotokoll er verwendet. Manche wählen vielleicht Samourai, das eine Art des Mischens hat, während andere Wasabi wählen, das eine andere hat, und die Liste geht weiter. Dies führt letztendlich zu einzigartigen Merkmalen jeder Transaktion. Zusammen mit der kleinen Menschenmenge ist die Privatsphäre ziemlich schwach.</p>\n\n<p>Wir vergleichen das Obige mit Monero, das den Datenschutz auf Protokollebene durchsetzt. Das bedeutet, dass jeder standardmäßig ein Teil der Menge ist und jeder die gleiche Privatsphäre nutzt (die vom Protokoll vorgegeben wird). Die Menge ist sowohl groß als auch homogen, was zu einer viel stärkeren Privatsphäre führt.</p>\n\n<p>Aber lassen Sie uns einen Schritt zurücktreten und einer Hypothese folgen, wo Bitcoin irgendwie tatsächlich Privatsphäre auf die Basisschicht bringt. Es ist robust, standardmäßig aktiviert und obligatorisch. Was wäre die Notwendigkeit für Monero?</p>\n\n<p>Nun, für einige würde es keinen geben, und es mag überraschend sein zu hören, aber vielen von uns Monero-Leuten wäre es egal. Alles, was wir wollen, ist, dass es eine datenschutzerhaltende, fungible Möglichkeit für Einzelpersonen gibt, weltweit miteinander Geschäfte zu tätigen, und wenn Bitcoin dies auf wundersame Weise auf eine Weise tut, die die Privatsphäre tatsächlich durch obligatorische Basisschichttechnologie schützt, dann viele von uns würde gerne umsteigen. Viel Glück dabei, dass dies geschieht.</p>\n\n<p>Nichtsdestotrotz bietet Monero viele Funktionen über den Datenschutz hinaus, die Bitcoin nicht bietet. Die dynamische Blockgröße, die durch eine Tail-Emission, eine andere Codebasis, eine Politik niedriger Gebühren, eine andere elliptische Kurve und mehr ermöglicht wird. Besonders die dynamische Blockgröße ist hier hervorzuheben, da sie einen theoretisch unbegrenzten Transaktionsdurchsatz ermöglicht, wobei nur Speicher und Bandbreite die Engpässe darstellen. Kurz gesagt, ein theoretischer Bitcoin mit Datenschutz bietet einfach nicht alles, was Monero bietet.</p>\n\n<p>Ein letztes Mal den Gang wechseln für diese Frage, seltener gilt dieses Argument für Technologien wie einen Ethereum Smart Contract mit zk-SNARKS, der wiederum keine zwingende Privatsphäre auf der Basisschicht der Hauptkette hat, so die Anonymitätssätze werden ziemlich klein und von zweifelhafter Fähigkeit sein, die Privatsphäre angemessen zu schützen. Weitere Vergleiche finden Sie in unserem <a target=\"_blank\" href=\"/knowledge/why-monero-is-better\" class=\"next-link\">Artikel, in dem Monero mit den anderen großen Datenschutzmünzen verglichen wird</a>.</p>';

  @override
  String get knowledge250Sbmyths250Sb4250Sbtitle => 'Monero wird obsolet, wenn eine populärere Blockchain eine starke Datenschutztechnologie einsetzt.';

  @override
  String get knowledge250Sbmyths250Sb5250Sbtext => '<p>Nicht mehr! Dank der wundersamen Technologie von Bulletproofs, die im Oktober 2018 hinzugefügt wurde, werden die Transaktionsgrößen drastisch reduziert (um über 80 %), was zu einem ähnlichen Rückgang der Transaktionsgebühren führt. Tatsächlich ist Monero zum Zeitpunkt des Schreibens pro Byte billiger als Bitcoin, und weitere Optimierungen der Technologie bringen diese noch weiter nach unten.</p>\n\n<p>Diese Optimierungen sind vielfältig und häufig. Ein Beispiel sind clevere Optimierungen in den Bulletproofs selbst, die die für Berechnung und Verifizierung erforderliche Mathematik manchmal um bis zu 25 % schrumpfen lassen.</p>\n\n<p>Darüber hinaus sind neue, aufregende Ringsignaturschemata in Arbeit, wie CLSAG, die das aktuelle MLSAG-Schema ersetzen und die Größe der gesamten Transaktion weiter um 25-35 % verringern werden. Darüber hinaus gibt es noch neuere, innovativere Technologien mit völlig anderen Prüfsystemen, die das Potenzial haben, aktuelle Transaktionsgrößen beizubehalten, aber Ringgrößen von über hundert haben, wie Triptych, Arcturus und Lelantus, die alle kleiner und kleiner sind effizienter als aktuelle Systeme.</p>';

  @override
  String get knowledge250Sbmyths250Sb5250Sbtitle => 'Hat Monero nicht sehr hohe Transaktionsgebühren?';

  @override
  String get knowledge250Sbmyths250Sb6250Sbtext => 'Wieder. Bulletproofs brachte dies drastisch nach unten. Monero-Transaktionen sind immer noch größer als Bitcoin-Transaktionen, aber jetzt nur noch etwa achtmal statt etwa fünfzigmal früher. Aber es gibt auch eine andere Möglichkeit, dies zu betrachten. Bitcoin hat einige Mittel, um Privatsphäre zu erreichen, normalerweise durch Mixer und spezialisierte Wallets wie Wasabi, Samourai und andere CoinJoin-bezogene Schemata. Wenn Sie die Kosten für das Mischen mit anderen Bitcoin-Ausgaben, das Adress-Hopping und die Aufrechterhaltung einer ordnungsgemäßen Ausgabeverteilung vergleichen, sind die Gesamtkosten sowohl in Bezug auf die Größe als auch auf die Gebühren höher, als wenn ein Benutzer nur Monero verwenden würde. Also ja, nackte Bitcoin-Transaktionen sind kleiner, aber um irgendeine Form von Privatsphäre zu erreichen (die viel schwächer ist als die von Monero), würde auf Bitcoin mehr Platz benötigt als auf Monero.';

  @override
  String get knowledge250Sbmyths250Sb6250Sbtitle => 'Eine Monero-Transaktion ist um ein Vielfaches größer als eine Bitcoin-Transaktion.';

  @override
  String get knowledge250Sbmyths250Sb7250Sbtext => '<p>In der Ära 2017-2018 hat sich die Monero-Community verpflichtet, ASICs vom Netzwerk fernzuhalten. Dies geschah durch kontinuierliches Hard Forking alle sechs Monate zu einem neuen Proof-of-Work-Algorithmus, der ASICs daran hindern würde, das Netzwerk zu übernehmen. Die Druckeranalogie in unserem <a class=\"next-link\" href=\"/knowledge/monero-mining-randomx\" target=\"_blank\">Artikel über das Mining in Monero</a> erklärt, wie das funktioniert.</p>\n\n<p>Was die meisten Leute nicht wissen, ist, dass Moneros Hard Forks nicht aus Gründen der Änderung des Proof-of-Work begannen. Monero hatte auch davor alle sechs Monate Hard Forks durchgeführt, und das bis ins Jahr 2015 zurück. Warum machen diese Hard Forks überhaupt? Fragen Sie irgendeine Person, die sich mit Datenschutz befasst, und sie werden Ihnen sagen, dass Datenschutz ein Wettrüsten ist. Die eine Seite sorgt für gute Privatsphäre, die andere entwickelt Tools, die diese Privatsphäre brechen können, was dazu führt, dass die erste Seite eine stärkere Technologie entwickelt, und der Zyklus geht weiter und weiter. </p>\n\n<p>Ein wichtiges Beispiel für Hard Forks vor der PoW-Änderung ist die Aufnahme von RingCT im Jahr 2017, die wohl größten Änderungen an Monero aller Zeiten, die die Privatsphäre von Monero um viele Größenordnungen erhöht haben. Wir denken einfach, dass es zu früh ist, das Protokoll zu verknöchern, insbesondere mit aufregenden neuen Datenschutztechnologien, die in Arbeit sind, wie Triptych und Lelantus. Wir arbeiten jedoch hart daran, unsere Entwicklung, Forschung und mehr so dezentral wie möglich zu gestalten. Wir haben <a class=\"next-link\" href=\"/knowledge/why-monero-is-open-source-and-decentralized\" target=\"_blank\">einen Artikel, der dieses Thema behandelt,</a>, also schauen Sie ihn sich unbedingt an.</p>\n\n<p>All dies zu sagen, das dezentrale Entwicklungsteam findet es zu schwierig und anstrengend, diesen Zeitplan einzuhalten, und versucht, alle neun Monate oder sogar jedes Jahr zu einem Hard Fork überzugehen. Dies liegt daran, dass die Community der Meinung ist, dass wir mit Fortschritten wie Triptych und Arcturus dem nahe kommen, was wir hoffen, dass es eine wirklich robuste Privatsphäre mit wenigen Schwachstellen sein wird, was dazu führt, dass keine Notwendigkeit für eine nachhaltige, protokollverändernde Entwicklung besteht. Und an der Proof-of-Work-Front schufen mehrere Community-Mitglieder RandomX als letzten Schachzug, um ASICs vom Netzwerk fernzuhalten. Zum Zeitpunkt des Schreibens befinden wir uns noch in der Mitte dieses Experiments und müssen noch sehen, ob es langfristig erfolgreich sein wird, aber eines der gewünschten Ergebnisse ist eingetreten, ein weiterer Grund für schnelles Forken beseitigt, ermöglicht ein langsamerer Forking-Zeitplan.</p>';

  @override
  String get knowledge250Sbmyths250Sb7250Sbtitle => 'Monero hat ziemlich oft Hard Forks. Bedeutet das nicht, dass es zentralisiert ist?';

  @override
  String get knowledge250Sbmyths250Sb8250Sbtext => '<p>Das ist nicht und war nie die Münze von Riccardo ‚fluffypony‘ Spagni. Er hat es nicht einmal geschafft. Es wurde von einer pseudonymen Person namens thankful_for_today gestartet, und es gibt eine sehr interessante Geschichte darüber für ein anderes Mal. Fluffypony erlangte Berühmtheit sowohl als Mitglied des Kernteams als auch als leitender Betreuer, da er viel Zeit und Ressourcen aufwendete, um der Münze beim Wachsen zu helfen, sowie durch seine Reisen und Vorträge auf Konferenzen. Mit diesen beiden Dingen wurde er zu einer Art inoffiziellem Gesicht für Monero und war normalerweise das Tor, durch das uns die Leute fanden. Aufgrund der schrecklichen CEO-Kultur, die in der Kryptowährungsszene allgegenwärtig war, nahmen sie an, dass er der Gründer und Anführer von Monero war, was beides nicht stimmt.</p>\n\n<p>Heute ist Fluffypony immer noch ein Teil des Kernteams, aber er ist nicht mehr der leitende Betreuer der Codebasis und hat sich zurückgezogen, um an seinen eigenen persönlichen Projekten zu arbeiten. Monero geht gut weiter.</p>';

  @override
  String get knowledge250Sbmyths250Sb8250Sbtitle => 'Das ist Fluffyponys persönliche Münze!';

  @override
  String get knowledge250Sbmyths250Sb9250Sbtext => '<p>Dies ist eine unbestreitbare Tatsache, über die man nicht streiten sollte. moneromooo ist ein bekanntes Mitglied der Monero-Community. So sehr, dass die Community über unsere Crowdfunding-Plattform, das Community Crowdfunding System (CCS), Spenden gesammelt hat, damit sie Vollzeit an Monero arbeiten können. Jedes Quartal werden neue Arbeitsvorschläge eingereicht. Wenn die Community also jemals mit der geleisteten Arbeit unzufrieden ist, muss sie ihren nächsten Vorschlag einfach nicht per Crowdfunding finanzieren. </p>\n\n<p>Wie man sich vorstellen kann, wird die Arbeit an Monero in Vollzeit statt auf freiwilliger Basis zu großen Mengen an angesammelter Arbeit führen. Da Monero kein Premine, ICO, hatte und keine Gründerprämie annahm, haben wir ansonsten keine Vollzeitingenieure, die an dem Projekt arbeiten, und die Leute tragen bei, was sie können, wann sie können, und es ist einfach nicht machbar, diese Beiträge zu erwarten einen Vollzeitbeschäftigten aufwiegen.</p>\n\n<p>Trotzdem gibt es immer noch große Anstrengungen, Checks and Balances zu haben. Ein Mitglied des Kernteams fügt den Code nach der Überprüfung immer noch zusammen, sodass es nicht der Fall ist, dass eine Person den Code sowohl erstellt als auch integriert, wodurch jegliches Versehen umgangen wird, das erforderlich ist, um einen ungeheuren Fehler oder eine böswillige Absicht zu erkennen.</p>';

  @override
  String get knowledge250Sbmyths250Sb9250Sbtitle => 'Die Mehrheit der Commits seit 2017 stammt von einer Person namens moneromooo-monero';

  @override
  String get knowledge250Sbmyths250Sbdescription => 'Viele gängige Kritikpunkte an Monero sind entweder veraltet oder falsch, während andere eine sehr enge Sicht auf das betreffende Problem darstellen. In diesem Artikel hoffen wir, diese Kritik klarzustellen.';

  @override
  String get knowledge250Sbmyths250Sbtitle => 'Die 15 wichtigsten Monero-Mythen und -Bedenken entlarvt';

  @override
  String get knowledge250SbnetworkEffect250Sb0250Sbtext => '<p>Blockchain ist eine Myriade von Disziplinen, die alle in einer zusammengepresst sind. Es bringt Elemente aus Technologie, Ökonomie und Spieltheorie in seine Sicherheitsmodelle ein. Dies bedeutet, dass es sich um eines der kompliziertesten und kompliziertesten Teile der Technologie handelt, bedeutet aber auch, dass ein tiefes und gründliches Verständnis unmöglich ist, ohne die Grundlagen jedes Puzzleteils zu lernen, das es formt.</p>\n\n<p>Ein Teil der Blockchain, der nicht oft diskutiert wird, ist der Wettbewerb. Jede Kryptowährung wird oft nach ihren eigenen Vorzügen und sogar im Vergleich zu den Kryptowährungen bewertet, die ihr am ähnlichsten sind, aber nur wenige werden danach bewertet, was sie dem Markt als Ganzes bieten und wie viele Menschen sie verwenden. Darüber hinaus muss eine Kryptowährung analysieren, wie viele sie verwenden, davon wissen oder auf andere Weise mit ihr interagieren. Dieses Konzept ist als Netzwerkeffekt bekannt.</p>\n\n<p>Ein Nicht-Blockchain-Beispiel für einen Netzwerkeffekt sind soziale Medien. Wenn alle Ihre Freunde auf Facebook sind, dann werden bei der Auswahl der sozialen Medien, in denen Sie stark involviert sein möchten, auch die Entscheidungen Ihrer Freunde in diese Entscheidung miteinbezogen. Die Tatsache, dass die meisten von ihnen auf Facebook sind, kann Sie dazu veranlassen, sich ebenfalls anzumelden. Und wenn Sie entscheiden, ob Sie die Plattform verlassen möchten oder nicht, wird die Tatsache, dass Sie möglicherweise den Kontakt zu einigen dieser Freunde verlieren, diese Entscheidung ebenfalls beeinflussen. Dies ist der Netzwerkeffekt in Aktion. Nachdem die Akzeptanz eine kritische Masse erreicht hat, wird die weitere Akzeptanz einfacher und wird oft von den aktuellen Teilnehmern des Netzwerks vorangetrieben.</p>\n\n<p>Wenn wir dies im Zusammenhang mit Blockchain und dem Handel im Allgemeinen betrachten, wird die Macht der Netzwerkeffekte schnell deutlich. Wenn Bitcoin die Krypto ist, die die meisten Menschen kennen, und diejenige ist, die die meisten Menschen kaufen, dann werden mehr Händler sie akzeptieren. Wenn mehr Händler es akzeptieren, gibt es mehr Orte, an denen es verwendet werden kann, also werden mehr Leute es kaufen und mehr Leute werden davon erfahren. Es wird zu einer großen positiven Rückkopplungsschleife, die Schneebälle bildet. An diesem Punkt könnte ein Händler wegen der Verwendung einer anderen Kryptowährung angesprochen werden, wird sich jedoch fragen, warum dies erforderlich ist, da sie Bitcoin bereits akzeptieren und es das ist, was jeder verwendet und akzeptiert. </p>\n\n<p>Während es unbestritten ist, dass Bitcoin mit Abstand die größte Kryptowährung ist, gibt es andere, die in ihrer Nische als führend gelten. Monero ist eine solche Münze, die von vielen als die erste Datenschutzmünze angesehen wird, obwohl verschiedene Leute unterschiedliche Meinungen darüber haben, ob Monero überhaupt im selben Raum wie Bitcoin konkurriert oder nicht. Dies liegt daran, dass Bitcoin alle seine Karten auf seine Transparenz gelegt hat, um den Gesamtbetrag zu überprüfen (obwohl dies auch in Monero möglich ist, wenn auch auf viel umständlicherem Weg).</p>\n\n<p>Wo steht Monero derzeit in diesem Spiel der Netzwerkeffekte? Wo haben wir angefangen? Was hält die Zukunft bereit? Fangen wir am Anfang an.</p>\n\n<p>Es ist interessant festzustellen, dass es in den frühen Tagen von <a target=\"_blank\" href=\"/knowledge/monero-history\" class=\"next-link\">Monero</a> eine von drei Möglichkeiten war, Datenschutz zu gewährleisten. Coinjoin, CryptoNote und Dashs Masternode/Coinjoin-Hybrid. Die Optionen waren begrenzt und definitiv nicht von Experten begutachtet, aber das hinderte die Leute nicht daran, sich für eine Seite zu entscheiden. In dieser älteren Ära war es jedermanns Spiel, und einige beschlossen, sich zurückzulehnen und die Sahne an die Spitze steigen zu lassen. Die Zeit erwies sich schließlich als auf <a target=\"_blank\" href=\"/knowledge/why-monero-is-better\" class=\"next-link\">Moneros Seite</a>, als andere Datenschutz-Kryptowährungen kamen und gingen.</p>\n\n<p>Dies etablierte den Netzwerkeffekt von Monero als die Münze, die anderen den Weg in die Privatsphäre ebnet. Selbst als neuere Technologien auf den Markt kamen, wie zk-SNARKs von Zcash und MimbleWimble, wandten sich die Massen an Monero, um Führung und vernünftige Diskussionen über diese neuen Protokolle zu erhalten.</p>\n\n<p>Momentan ist Monero eines der wenigen allgemein respektierten Projekte im Raum. Von Krypto-Noobies bis hin zu Bitcoin-Maximalisten betrachten alle Monero mit zumindest widerwilligem Respekt, häufiger jedoch mit größerer Anerkennung. Wenn Veteranen des Weltraums über die Münzen sprechen, die die höchste Chance haben, einen Unterschied in der Welt zu machen, und die Prüfungen und Trübsal überdauern werden, ist Monero immer präsent.</p>\n\n<p>Diese letzten paar Absätze sind nicht nur Selbstbeglückwünschung, sondern ein ehrlicher Blick darauf, wie die Krypto-Landschaft zum Zeitpunkt des Schreibens ist. Die Netzwerkeffekte von Monero werden jeden Tag deutlicher und zeigen sich an unerwarteten Stellen.</p>\n\n<p>Die Leute sind ziemlich gespalten, wenn es um die Zukunft von Monero geht, aber alle Meinungen deuten darauf hin, dass Monero seine Arbeit gut macht. Das größte Beispiel dafür sind regulatorische Bedenken. Einige befürchten, dass Monero zu privat ist, was zu einem unvermeidlichen Zusammenstoß mit den Regierungen der Welt führen wird, während andere begeistert sind, wie diese Privatsphäre dem einfachen Menschen die Freiheit zurückbringt. Die Wurzel dieser beiden Ansichten ist die Idee, dass Monero sein Versprechen von Datenschutz und Fungibilität vollständig einlöst, und es ist oft die einzige Münze in solchen Gesprächen, wie dies bei den meisten anderen „Privatsphäre-Münzen“ nicht der Fall ist.</p>\n\n<p>Da sich Moneros Community sehr bemüht, <a target=\"_blank\" href=\"/knowledge/critical-thinking\" class=\"next-link\">rational und skeptisch zu sein</a>, hat sie keine Angst vor neuen Technologien. Andere Coins, die sich mehr um die Wettbewerbsseite kümmern, sprechen ständig davon, Monero zu „entthronen“ und wie Monero Angst vor ihrer neuen Technologie haben sollte, die die Welt der Privatsphäre übernehmen wird. Mit anderen Worten, sie glauben, dass ihre neue Technologie die etablierten Netzwerkeffekte von Monero in Datenschutzkreisen überwinden wird.</p>\n\n<p>Im Gegensatz zu Bitcoin, das sich in erster Linie auf seine Netzwerkeffekte verlässt, um ohne viel zugrunde liegende Innovation relevant zu bleiben, hat Monero beschlossen, beides anzunehmen. Neue, geprüfte Technologie wird hinzugefügt, um Monero privater und sicherer zu machen und sicherzustellen, dass die Netzwerkeffekte von Monero nie der einzige Zweck für seinen Status sind, sondern eher ein Ergebnis von Innovation und harter Arbeit.</p>\n\n<p>In diesem Sinne muss man sich fragen, wie lange eine Technologie wie Bitcoin sich allein auf ihre bestehenden Netzwerkeffekte verlassen kann, um relevant zu bleiben. Der Fall ist derzeit stark, da keine Münze auch nur annähernd an die Markenbekanntheit und den kollektiven Denkraum von Bitcoin heranreicht, aber wir müssen uns daran erinnern, dass viele andere Moloche in anderen Branchen sich für unantastbar hielten, nur um sich aufgrund mangelnder Innovation ihrem eigenen Untergang zu stellen.[ X6322X]';

  @override
  String get knowledge250SbnetworkEffect250Sbdescription => 'Obwohl unbestritten ist, dass Bitcoin bei weitem die größte Krypto ist, fragen wir, ob es sich allein auf seine bestehenden Netzwerkeffekte verlassen kann, um relevant zu bleiben.';

  @override
  String get knowledge250SbnetworkEffect250Sbtitle => 'Wie Monero die Netzwerkeffekte von Bitcoin überwinden kann';

  @override
  String get knowledge250Sbnetworking250Sb0250Sbtext => '<p>Es sollte niemanden überraschen, dass Monero, und tatsächlich alle Kryptowährungen, im Internet laufen. Und doch, obwohl diese Aussage grundlegend und offensichtlich erscheint, berücksichtigen viele nicht die Auswirkungen dessen, was dies in Bezug auf ihre Privatsphäre bedeutet. Mit anderen Worten, es gibt einige Dinge, vor denen Monero schützen kann und vor denen nicht, nur weil es von Natur aus im Internet läuft. Einige dieser Überlegungen sind lediglich Unannehmlichkeiten, während andere in einem Szenario, in dem absolute Privatsphäre erforderlich ist, viel schwerwiegender sind. Nehmen wir uns die Zeit, uns damit vertraut zu machen, wie Monero-Benutzer im Netzwerk miteinander interagieren und was dies für ihre Privatsphäre bedeutet.</p>\n\n<p>Beginnend mit der trivialen Seite der Dinge, wenn ein Benutzer keinen Zugang zum Internet hat, kann er keine neuen Blöcke herunterladen, Transaktionen im Namen anderer verbreiten oder eigene Transaktionen senden. Interessant ist, dass ein Benutzer mit einem vollständigen Knoten ohne Internetzugang offline eine Transaktion erstellen kann, die später gesendet werden kann. Dies liegt daran, dass eine Ringsignatur nur Ausgaben aus der Blockchain benötigt, um sich zu verstecken. Eine kurze Erinnerung an <a target=\"_blank\" href=\"/knowledge/ring-signatures\" class=\"next-link\">wie Ringsignaturen funktionieren</a>, sie verbirgt die tatsächliche Ausgabe, die ein Benutzer sendet, unter einer Sammlung nicht verbundener Ausgaben, die aus der Vergangenheit ausgewählt wurden. Wenn der Benutzer Zugriff auf diese Ausgaben in Form einer vollständig heruntergeladenen Blockchain (vollständiger Knoten) hat, kann er die Ringsignatur aus den vergangenen Ausgaben erstellen und, sobald die Internetverbindung wiederhergestellt ist, die Transaktion an das Netzwerk weitergeben.</p>\n\n<p> Ein Benutzer, der einen entfernten Knoten verwendet, kann dies nicht tun, da er beim Erstellen seiner Ringsignatur den entfernten vollständigen Knoten kontaktiert, um Ausgaben zu erhalten, die in die Ringsignatur aufgenommen werden sollen. Kein Internet bedeutet, dass sie diesen Knoten nicht erreichen können, also haben sie keine Offline-Transaktionskonstruktionsfunktionen.</p>\n\n<p>Bevor wir mit einigen Überlegungen zum Datenschutz fortfahren, lassen Sie uns eine kurze Einführung in die Funktionsweise des Internets als Ganzes geben. Das gesamte Internet ist nichts anderes als Computer, die sich mit anderen Computern verbinden. Das ist es. Der Blog, den Sie gerne lesen? Nur einige Dateien, die auf dem Computer einer anderen Person gehostet werden. Diese Website, auf der Sie diesen Artikel lesen (LocalMonero)? Dateien und Code, die irgendwo auf einem Computer gehostet werden. Sogar große verrückte Seiten funktionieren auf diese Weise. Nehmen Sie zum Beispiel YouTube. Nur Videodateien, die auf den gigantischen Computersystemen von Google gehostet werden, und Sie stellen eine Verbindung her, um das Video auf Ihren eigenen Computer herunterzuladen, damit Sie es ansehen können.</p>\n\n<p>Diese Computer können sich voneinander unterscheiden, da jeder mit dem Internet verbundene Computer eine eindeutige Identifikationsnummer erhält, die als IP-Adresse bezeichnet wird. Dies sind normalerweise vier durch Punkte getrennte Zahlengruppen, zum Beispiel: 172.66.35.7. Es ist wichtig, dies im Hinterkopf zu behalten, wenn wir darüber nachdenken, wie Monero-Informationen im Internet übertragen werden. Monero ist ein Peer-to-Peer-Netzwerk (P2P), was bedeutet, dass sich Computer direkt miteinander verbinden, anstatt einen Vermittler zu verwenden. Wenn also der Full Node eines Benutzers einen neu entdeckten Block herunterlädt, lädt er ihn nicht von einem zentralen Server herunter, sondern von seinen Kollegen. Der Nachteil dabei ist, dass die Benutzer, da sie sich direkt miteinander verbinden, die IP-Adressen der anderen kennen.</p>\n\n<p>Nun? Was ist die große Sache? Es ist nur eine Zahl, richtig? Nicht genau. IP-Adressen selbst enthalten Informationen über den Benutzer, wie z. B. das Herkunftsland und den Netzwerkanbieter, aber noch schlimmer, Internet Service Provider (ISPs) kennen die IP-Adresse jeder Person, die ihre Dienste nutzt. Dies bedeutet, dass diese ISPs und diejenigen, mit denen sie zusammenarbeiten, den Internetverkehr eines Benutzers beobachten und mithilfe einiger cleverer Taktiken feststellen können, dass sie Monero verwenden. Nun, bevor Sie Angst bekommen, beachten Sie die Formulierung dort. Alles, was diese Schnüffler tun können, ist zu sehen, dass sich eine Person mit anderen Knoten im Monero-Netzwerk verbindet. Aufgrund der Datenschutztechnologie von Monero wird nichts anderes über die Person durchgesickert. Nicht, ob sie einen Knoten betreiben oder nicht, oder ob/wann sie Transaktionen senden, und wenn eine Transaktion gesendet wird, ist keine ihrer Informationen bekannt. Alles, was diese ISPs sehen können, ist, dass sich einer ihrer Benutzer mit dem Monero-Netzwerk verbindet.</p>\n\n<p>Nun, für manche Menschen an einigen Orten können diese Informationen allein ausreichen, um den Ruf oder die Freiheit zu schädigen. Oder vielleicht ist die Vorstellung, dass jemand in Ihre Privatsphäre eindringt und was Sie im Internet tun, aus irgendeinem Grund für Sie nicht akzeptabel. Diese Personen werden ermutigt, sich nur über VPNs, Tor oder I2P mit dem Monero-Netzwerk zu verbinden, allesamt Dienste, die die IP-Adresse eines Benutzers vor anderen verbergen und verstecken, was ein Benutzer vor seinem ISP tut. Die Unterschiede zwischen diesen Diensten würden den Rahmen dieses Artikels sprengen, aber es gibt viele qualitativ hochwertige Artikel zu diesem Thema, daher werden besorgte Benutzer ermutigt, sich zu informieren!</p>\n\n<p>Für den Rest von uns denken wir vielleicht, dass es keine große Sache ist, wenn andere wissen, dass wir mit dem Monero-Netzwerk verbunden sind. Schließlich werden die tatsächlichen Inhalte unserer Transaktionen, oder wenn wir überhaupt welche versenden, der Öffentlichkeit verborgen, also was ist der Schaden? Dies mag zwar zutreffen, Benutzer werden jedoch ermutigt, die Tatsache zu berücksichtigen, dass die Hauptattraktion von Kryptowährungen ihre eigene Bank ist. Wenn Sie Ihren privaten Schlüssel besitzen und etwas damit passiert, kann Ihnen niemand helfen, Ihr verlorenes Geld zurückzuerhalten.</p>\n\n<p>Ihre eigene Bank zu sein bedeutet, nicht nur Ihre digitale Sicherheit, sondern auch Ihre physische Sicherheit zu berücksichtigen. Es könnte sehr gut sein, dass das Wissen einer Person, die sich mit dem Monero-Netzwerk verbindet, unerwünschte Aufmerksamkeit erregen kann, nicht unbedingt von großen Akteuren wie Nationalstaaten, sondern von kleineren mit egoistischen Interessen, wie Hackern, die auf leichtes Geld aus sind. Es gibt in der Tat unzählige Geschichten im Krypto-Raum, dass solche Szenarien tatsächlich stattfinden.</p>\n\n<p>Dieser Artikel soll keine Angst machen oder Angst machen, sondern die Benutzer dazu ermutigen, zu recherchieren, welche Methoden zum Schutz beim Surfen im Internet für sie geeignet sind. Die gute Nachricht ist, dass diese Fähigkeiten auch auf die allgemeine Internetnutzung übertragen werden, nicht nur auf die Monero-Nutzung, und daher kann ein versierter Benutzer in unserer zunehmend mit dem Internet verbundenen Welt nichts falsch machen, wenn er die richtigen Kenntnisse und Fähigkeiten ansammelt, um sicher zu bleiben und wirklich ihre eigene Bank sein.</p>';

  @override
  String get knowledge250Sbnetworking250Sbdescription => 'Nehmen wir uns die Zeit, uns damit vertraut zu machen, wie Monero-Benutzer im Netzwerk miteinander interagieren und was dies für ihre Privatsphäre bedeutet.';

  @override
  String get knowledge250Sbnetworking250Sbtitle => 'Was jeder Monero-Benutzer wissen muss, wenn es ums Networking geht';

  @override
  String get knowledge250Sbnodes250Sb0250Sbtext => '<p>Einer der größten Vorteile, die Monero gegenüber anderen Kryptowährungen hat, ist der Datenschutz auf der Kette, aber haben Sie sich jemals gefragt, wie sich die Privatsphäre von Monero hält, wenn Sie einen Remote-Knoten verwenden? Wie wäre es, wenn Sie einen „Light Wallet“-Server wie MyMonero verwenden?</p>\n<p>In diesem Beitrag werden wir in einige der Details eintauchen, die dahinterstecken, wie Monero auch bei Verwendung eines Remote-Knotens außergewöhnliche On-Chain-Privatsphäre bietet und worauf Sie bei der Verwendung von Remote-Knoten achten müssen.</p>';

  @override
  String get knowledge250Sbnodes250Sb1250Sbtext => '<p>Für diejenigen, die mit der Funktionsweise von Monero weniger vertraut sind: Die Nodes (oder Server) im Monero-Netzwerk können von jedem betrieben werden und dem Besitzer des Nodes – oder anderen, mit denen sie ihn teilen – gestatten! – um eine Kopie der Blockchain zu synchronisieren und diese Kopie anderen im Netzwerk zur Verfügung zu stellen. Diese Nodes überprüfen auch alle im Netzwerk stattfindenden Transaktionen sowie alle veröffentlichten Blöcke und stellen sicher, dass sie alle den im Konsens festgelegten Regeln entsprechen.</p>\n<p>Die andere Funktion, die Knoten in Monero erfüllen, besteht darin, alle Daten bereitzustellen, die Ihr bevorzugtes Monero-Wallet benötigt, um ordnungsgemäß nach Transaktionen zu suchen, die Ihnen gehören, und neue Transaktionen durchzuführen. Diese Daten werden von Knoten auf zwei Arten bereitgestellt:</p>\n<ul>\n<li>Die Daten von jedem Block in der Blockchain werden von der Brieftasche angefordert, nach Transaktionen gescannt, die Ihnen gehören, und dann verworfen, sobald sie von der Brieftasche überprüft wurden.\n<ul>\n<li>Dieser Schritt wird bald drastisch verbessert, dank <a class=\"next-link\" target=\"_blank\" href=\"/knowledge/view-tags-reduce-monero-sync-time\">Tags anzeigen</a>.</li>\n</ul></li>\n<li>Beim Senden von Transaktionen stellt der von Ihnen verwendete Knoten eine Liste möglicher Köder (oder gefälschter Eingaben) bereit, die beim Erstellen der Transaktion verwendet werden können, um sicherzustellen, dass Sie jedes Mal, wenn Sie Monero ausgeben, eine gute Menge haben, in der Sie sich verstecken können.\n<ul>\n<li>Diese Köder sind Teil von <a class=\"next-link\" target=\"_blank\" href=\"/knowledge/ring-signatures\">Ringsignaturen</a>, einem wichtigen Teil von Moneros Ansatz zum Datenschutz in der Kette.</li>\n</ul></li>\n</ul>';

  @override
  String get knowledge250Sbnodes250Sb1250Sbtitle => 'Welche Funktion haben Nodes in Monero?';

  @override
  String get knowledge250Sbnodes250Sb2250Sbtext => '<p>Das Beste, was Sie tun können, selbst mit der starken On-Chain-Privatsphäre, die Monero bei der Verwendung von Remote-Knoten bietet, ist es, Ihren eigenen Monero-Knoten zu betreiben, um sicherzustellen, dass Sie eine makellose Kopie der Monero-Blockchain und Ihre IP-Adresse zur Hand haben ist gut geschützt. Der andere Vorteil beim Betrieb Ihres eigenen Knotens besteht darin, dass Sie zum Netzwerk beitragen können, andere Knoten von Ihrem Knoten aus synchronisieren oder sogar andere Benutzer mit ihren Brieftaschen mit Ihrem Knoten verbinden können.</p>\n<p>Trotzdem bietet Monero bei der Verwendung eines Remote-Knotens immer noch hervorragende Privatsphäre. Wenn Sie daran interessiert sind, Ihren eigenen Monero-Knoten zu betreiben, finden Sie hier eine leicht verständliche Anleitung dazu:</p>\n<ul>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://sethforprivacy.com/guides/run-a-monero-node/\">Einen Monero-Knoten ausführen</a></li>\n</ul>';

  @override
  String get knowledge250Sbnodes250Sb2250Sbtitle => 'Was ist die privateste und sicherste Art, Monero zu verwenden?';

  @override
  String get knowledge250Sbnodes250Sb3250Sbtext => '<p>Bei der Verwendung eines Remote-Knotens gibt es einige wichtige Informationen, die einem Remote-Knoten offengelegt werden, und einige wichtige Möglichkeiten, wie dieser Knoten Sie angreifen, Sie an Transaktionen hindern kann und vieles mehr.</p>\n<p>Das erste, was ein entfernter Knoten über Sie erfahren kann, ist Ihre öffentliche IP-Adresse. Während dies hoffentlich über ein VPN oder Tor verborgen wird, könnte der Remote-Knoten Ihre öffentliche IP-Adresse mit der Transaktion verknüpfen und ihnen helfen, einzugrenzen, von wo aus Sie Transaktionen durchführen. Der Remote-Knoten kann auch den letzten Block erfahren, den Ihre Brieftasche synchronisiert hat, und diesen verwenden, um zu versuchen, fundierte Vermutungen über Sie anzustellen, z. B. wann Sie Monero normalerweise verwenden und wann Sie Monero zuletzt ausgegeben haben. Dies gilt insbesondere, wenn Sie immer von derselben IP-Adresse kommen (z. B. von Ihrem Zuhause). Das Letzte, was ein entfernter Knoten über Sie erfahren kann, sind grundlegende Informationen über die Transaktionen, die Sie über ihn senden. Während dies die offensichtlichsten Daten sein können, die der Remote-Node-Betreiber über Sie erhält, ist es wichtig zu verstehen, dass dies verwendet werden könnte, um den Absender der Transaktion aufzuspüren, wenn diese Informationen mit anderen Off-Chain-Daten kombiniert werden. Dies kann besonders gefährlich sein, wenn der Remote-Knoten von einer böswilligen Entität, einem Blockchain-Analyseunternehmen oder einem repressiven Nationalstaat betrieben wird.</p>\n<p>Ein entfernter Knoten kann auch versuchen, Ihnen Probleme zu bereiten, indem er Blöcke vor Ihnen verbirgt und Ihre Brieftasche glauben lässt, dass sie synchronisiert wurde, obwohl dies nicht der Fall war. Dies kann Sie glauben lassen, dass Gelder verloren gegangen sind, oder Sie daran hindern, Gelder auszugeben, bis Sie sich mit einem anderen Knoten verbinden. Das Letzte, was ein entfernter Knoten tun könnte, ist, Ihre Brieftasche mit einer manipulierten Liste von Ködern zu füttern. Dies könnte dazu führen, dass Ihre Brieftasche entweder keine Transaktionen erstellen kann (was dazu führt, dass Sie keine Gelder ausgeben können), oder dass der Remote-Knoten versuchen kann, Köder bereitzustellen, von denen er weiß, dass sie ausgegeben werden, um die Anonymität zu verringern, die Sie bei jeder Transaktion erhalten.</p>';

  @override
  String get knowledge250Sbnodes250Sb3250Sbtitle => 'Was kann ein entfernter Knoten über mich erfahren?';

  @override
  String get knowledge250Sbnodes250Sb4250Sbtext => '<p>Auch wenn dieser Artikel Sie vielleicht etwas erschreckt hat, ist es wichtig zu wissen, dass die von Monero bereitgestellte Privatsphäre selbst bei Verwendung eines Remote-Knotens ausgezeichnet ist und jede andere Kryptowährung bei weitem übertrifft, wenn sie auf diese Weise verwendet wird. Sie erhalten immer noch die starke On-Chain-Privatsphäre, die Monero bietet, da der Remote-Knoten nie die wahre Eingabe (welche Münzen Sie ausgeben), den Betrag von Monero, der für die Transaktion ausgegeben wurde, oder die Adresse des Empfängers der Transaktion kennt. Externe Beobachter können auch nicht die wahren Eingaben, Beträge oder Adressen sehen (egal welche Art von Knoten Sie verwenden!), wodurch sichergestellt wird, dass außerhalb des Remote-Knotens sogar Ihre IP-Adresse, Wallet-Synchronisierungsinformationen und Transaktionen starke Datenschutzgarantien haben .</p>\n<p>Der Remote-Knoten hat auch nie Zugriff auf die vorherigen Transaktionen, die Sie gesendet oder empfangen haben, oder auf den Betrag von Monero, der sich derzeit in Ihrer Brieftasche befindet, und verliert jeglichen Einblick in Ihre Transaktionen, sobald Sie beginnen, einen anderen Knoten zu verwenden. Dem Remote-Knoten werden niemals private Schlüssel (entweder Ausgaben- oder Ansichtsschlüssel) bereitgestellt, sodass Ihre Brieftasche privat, sicher und nutzbar bleibt. Unabhängig vom entfernten Knoten laufen Sie auch nie Gefahr, Monero zu verlieren oder gestohlen zu werden, da der Knoten die Empfängeradresse nicht bearbeiten kann, niemals Zugriff auf die privaten Schlüssel Ihrer Brieftasche hat und Ihr Monero in keiner Weise konfiszieren kann.</p>';

  @override
  String get knowledge250Sbnodes250Sb4250Sbtitle => 'Welche Datenschutzgarantien gibt es noch bei der Verwendung eines Remote-Knotens?';

  @override
  String get knowledge250Sbnodes250Sb5250Sbtext => '<p>Obwohl das Thema etwas außerhalb des Rahmens dieses Artikels liegt, wollte ich eine einzigartige Art von Brieftasche in Monero ansprechen – leichte Brieftaschen. Der Name Light Wallet kommt von der Tatsache, dass Ihre Wallet (auf Ihrem Telefon oder Computer) keine Blockchain-Synchronisierung durchführen muss, wodurch das Erlebnis schneller und flüssiger wird.</p>\n<p>Wallets wie diese sind jedoch vorerst mit einem schwerwiegenden Kompromiss hinsichtlich der Privatsphäre verbunden – Ihre Wallet sendet den privaten Ansichtsschlüssel an den von Ihnen verwendeten Remote-Server (wie der Standard in MyMonero), wodurch der Remote-Server volle Einsicht in alle erhaltenen Gelder erhält seit der Erstellung Ihrer Brieftasche (und bis Sie diese Brieftasche oder diesen Seed nicht mehr verwenden). Dies reduziert die Privatsphäre, die Sie vom Knotenbetreiber erhalten, drastisch und sollte mit Vorsicht angegangen werden.</p>\n<p>Zum Glück arbeitet die Monero-Community an der Verbesserung der Software, mit der Sie Ihren eigenen Light Wallet Server (LWS) hosten können, was Ihnen eine schnelle Synchronisierung ermöglicht, ohne einem Drittanbieter Ihre privaten Ansichtsschlüssel anzuvertrauen – so wie Sie führt die Software aus, an die Ihre Brieftasche die privaten Ansichtsschlüssel sendet! </p>\n<p>Weitere Informationen zum benutzerdefinierten Light-Wallet-Server finden Sie im folgenden Github-Repository:</p>\n<ul>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://github.com/vtnerd/monero-lws\">monero-lws</a></li>\n</ul>';

  @override
  String get knowledge250Sbnodes250Sb5250Sbtitle => 'Wie wäre es mit „Light Wallets“ wie MyMonero?';

  @override
  String get knowledge250Sbnodes250Sb6250Sbtext => '<p>Wenn Sie neugierig sind und Knoten in Monero besser verstehen und sich mit der Verwendung eines Remote-Knotens oder dem Betrieb Ihres eigenen befassen möchten, finden Sie unter den folgenden Links großartige Einstiegsmöglichkeiten:</p>\n<ul>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://moneroworld.com/#nodes\">Monero World, eine Liste von von der Community betriebenen Remote-Knoten, die verwendet werden</a></li>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://sethforprivacy.com/about/#high-performance-monero-nodes\">Monero-Knoten, die von ausgeführt werden Seth For Privacy, der Autor dieses Artikels</a></li>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://monero.fail/\">monero.fail, eine Liste von Remote-Knoten mit häufig überprüftem Status< /a></li>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://www.getmonero.org/resources/user-guides/remote_node_gui.html\">Verbindung herstellen zu einem Remote-Knoten innerhalb der GUI-Brieftasche</a></li>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://www.getmonero.org/resources/moneropedia/remote-node.html\">Moneropedia – Remote Knoten</a></li>';

  @override
  String get knowledge250Sbnodes250Sb6250Sbtitle => 'Wie kann ich mehr erfahren?';

  @override
  String get knowledge250Sbnodes250Sbdescription => 'Heute werfen wir einen Blick darauf, wie Monero On-Chain-Datenschutz bietet, selbst wenn ein Remote-Knoten verwendet wird, sowie die Einschränkungen.';

  @override
  String get knowledge250Sbnodes250Sbtitle => 'Wie sich Remote-Knoten auf die Privatsphäre von Monero auswirken';

  @override
  String get knowledge250Sboutputs250Sb0250Sbtext => '<p>Monero verwendet wie andere Kryptowährungen Ausgaben als Mittel zur Abrechnung von Geldern. Viele Krypto-versierte Benutzer haben diesen Begriff wahrscheinlich schon einmal gehört, aber nicht jeder versteht, was sie bedeuten und wie sie funktionieren. Wie in unserem <a target=\"_blank\" href=\"/knowledge/ring-signatures\" class=\"next-link\">Ringsignaturen-Artikel</a> untersucht, sind Ausgaben die tatsächliche Einheit, die auf der Blockchain zwischen Transaktionsparteien ausgetauscht wird. Ähnlich wie ein Dollarschein, aber der Betrag hat keinen festen Nennwert.</p>\n\n<p>Wenn Sie 16 Dollar für einen Job bekommen, erhalten Sie vielleicht einen Ein-Dollar-Schein, einen Fünf-Dollar-Schein und einen Zehn-Dollar-Schein. Sie haben 16 \$, aber Sie haben auch drei verschiedene Scheine in Ihrer Brieftasche. Wenn Sie jemandem 6 Dollar zahlen wollten, könnten Sie den 5- und den 1-Schein verwenden, aber wenn Sie jemandem 8 Dollar zahlen wollten, könnten Sie nur die 10 Dollar verwenden und 2 Dollar als Wechselgeld zurückbekommen. Wenn Sie schließlich jemandem 14 Dollar zahlen wollten, müssten Sie alle drei Scheine verwenden und würden 2 Dollar als Wechselgeld zurückbekommen, aber wenn Sie alle drei Scheine übergeben, haben Sie für einen Moment kein Geld in Ihrer Brieftasche, bis Sie das bekommen zurückwechseln.</p>\n\n<p>Monero funktioniert ähnlich. Angenommen, Sie betreiben ein Geschäft und tätigen drei Verkäufe mit drei verschiedenen Artikeln. Sie erhalten möglicherweise 1,5 XMR, 2,25 XMR und 5,25 XMR für insgesamt 9 XMR, aber Sie haben auch drei verschiedene Ausgaben in Ihrer Brieftasche mit den zuvor genannten Nennwerten. Genau wie bei den Dollars möchten Sie vielleicht jemandem 3 XMR zahlen. Sie könnten nur die 5,25-XMR-Ausgabe verwenden und 2,25 XMR als Wechselgeld zurückerhalten, oder Sie könnten die 1,5- und 2,25-XMR-Ausgaben kombinieren und 0,75 XMR als Wechselgeld zurückerhalten.</p>\n\n<p>Aber sobald Sie die Transaktion senden, werden die von Ihnen verwendeten Ausgänge in einen \"gesperrten\" Zustand versetzt, was bedeutet, dass sie unzugänglich sind, bis Sie die Änderung zurückerhalten. Das Protokoll entsperrt das Geld (d. h. gibt Ihnen das Wechselgeld zurück) nach 10 Bestätigungen oder etwa 20 Minuten. So wie Sie das Geld nach der Übergabe der Dollarscheine aus Ihrer Brieftasche nicht erneut verwenden können, bis Sie das Wechselgeld von der Kasse zurückerhalten, ist Ihr Monero unzugänglich, bis Sie das Wechselgeld zurückerhalten.</p>\n\n<p>Lassen Sie uns zu dem Beispiel zurückkehren, in dem 3 XMR an jemanden gesendet werden, und Sie verwenden die 5,25-XMR-Ausgabe. Jetzt, während Sie darauf warten, dass Sie 1,75 XMR als Wechselgeld zurückbekommen, können Sie es nicht verwenden. Dieses 1.75 XMR ist für Sie nicht zugänglich. Aber Sie können immer noch die 1,5 XMR- und 2,25 XMR-Ausgänge verwenden, da diese nicht ausgegeben wurden. Um auf das Dollar-Beispiel zurückzukommen: Wenn Sie jemandem 8 \$ bezahlt haben, wie im vorherigen Beispiel, könnten Sie die 2 \$, die Sie als Wechselgeld erwarten, nicht verwenden, bis Sie sie erhalten, aber in diesem Beispiel haben Sie immer noch a Unbenutzter 10-Dollar-Schein in Ihrer Brieftasche. Dies kann immer noch verwendet werden, um alles zu kaufen, was Sie wollen, während Sie auf die Änderung warten. Dasselbe gilt für Monero.</p>\n\n<p>Dies ist oft ein Punkt der Verwirrung für neue Monero-Benutzer. Oft hat ein Benutzer nur eine Ausgabe in seiner Brieftasche, die er von einer Börse oder einem Freund erhalten hat. Nehmen wir an, diese Ausgabe ist 20 XMR. Sie haben keine anderen Ausgaben in ihrer Brieftasche. Sie wollen jetzt eine Spende an zwei ihrer Lieblings-Wohltätigkeitsorganisationen machen. Sie senden 5 XMR an die erste Wohltätigkeitsorganisation und sind dann verwirrt, weil sie, obwohl sie 15 XMR übrig haben sollten, nicht sofort die nächste Spende an die zweite Wohltätigkeitsorganisation senden können. Wie Sie vielleicht erraten haben, liegt dies daran, dass der 15 XMR gesperrt ist. Es kann nicht ausgegeben werden, bis es als Wechselgeld zurückgegeben wird (10 Bestätigungen oder etwa 20 Minuten). Nachdem ihre Gelder freigeschaltet sind, können sie ihre zweite Spende senden.</p>\n\n<p>Um den Punkt noch einmal zu wiederholen, sie hätten dieses Problem nicht gehabt, wenn sie stattdessen mehrere Ausgänge gehabt hätten, wie z. B. zwei 10 XMR-Ausgänge oder ähnliches. Sie könnten beide Spenden direkt nacheinander senden, da die erste Spende einen der 10 XMR-Ausgänge verwenden würde (und 10 Bestätigungen abwarten würde, um 5 XMR als Wechselgeld zurück zu erhalten), und die zweite Spende die anderen 10 XMR verwenden würde Ausgabe.</p>\n\n<p>Einige Kryptowährungs-Wallets haben eine Funktion namens „Output Management“, die einem Benutzer einfach anzeigt, welche Ausgaben er derzeit hat (zusätzlich zu seiner Gesamtsumme), und es ihm ermöglicht, auszuwählen, welche er verwenden möchte, wenn er ausgibt ihre Kryptowährung.</p>\n\n<p>Ab sofort führt die Monero-GUI die Ausgabeauswahl für Benutzer automatisch durch, da Benutzer, die ihre eigenen Ausgaben auswählen, oft zu Verwirrung oder in einigen Fällen zu Beeinträchtigungen der Privatsphäre führen. Es befinden sich jedoch Wallets im Aufbau, wie z. B. das neue Feather-Wallet-Projekt, das diese Output-Management-Funktionen enthalten wird.</p>\n\n<p>Wir haben viel über den Sendeteil gesprochen, aber auf der Empfängerseite passiert etwas Faszinierendes. Um auf unser Beispiel zurückzukommen, in dem Sie 3 XMR an jemanden senden und Ihre 1,5 XMR- und 2,25 XMR-Ausgaben in der Transaktion verwenden (während Sie 0,75 XMR als Wechselgeld erwarten), erhält der Empfänger NICHT zwei Ausgaben von 1,5 XMR und 2,25 XMR. Sie erhalten stattdessen EINEN 3 XMR-Ausgang.</p>\n\n<p>Im Hintergrund kombiniert das Protokoll alle Ausgaben, die zum Ausgeben verwendet werden, und gibt dem Empfänger eine Ausgabe des bezahlten Betrags und sendet eine Änderungsausgabe zurück an den Sender. Der Sender erhält also auch eine Ausgabe als Wechselgeld zurück, unabhängig davon, ob er zwei, drei oder zehn Ausgaben zum Senden der Transaktion verwendet hat.</p>\n\n<p>Wir hoffen, dass dies einige Verwirrung über die Ausgaben und die Funktionsweise der internen Abrechnung des Protokolls sowie das allgemeine Problem der Verwirrung bei gesperrten Geldern beseitigt hat. In einem anderen Artikel werden wir uns mit der Verwaltung Ihrer Ausgaben befassen, um die Wahrscheinlichkeit zu minimieren, dass Sie auf freigeschaltete Gelder warten müssen, bevor Sie zukünftige Transaktionen senden.</p>';

  @override
  String get knowledge250Sboutputs250Sbdescription => 'Viele Krypto-versierte Benutzer haben den Begriff „Ausgänge“ wahrscheinlich schon einmal gehört, aber nicht jeder versteht, was sie bedeuten und wie sie funktionieren.';

  @override
  String get knowledge250Sboutputs250Sbtitle => 'Monero-Ausgänge erklärt';

  @override
  String get knowledge250Sbp2pool250Sb0250Sbtext => '<p>Eines der Hauptziele des Monero-Projekts ist es, ein faires, dezentralisiertes und sicheres Netzwerk durch neue und innovative Ansätze für das Proof-of-Work (PoW)-Mining zu ermöglichen, die Hauptmethode, mit der Kryptowährungsnetzwerke heute gesichert werden.[ X230X]\n\n<p>Während ein einzigartiger Mining-Algorithmus <a class=\"next-link\" target=\"_blank\" href=\"/knowledge/monero-mining-randomx\">wie RandomX</a> für dieses Ziel äußerst wichtig ist, da er dazu beiträgt sicherzustellen, dass jeder mit einem Computer einen angemessenen Beitrag zur Sicherheit des Netzwerks leisten kann, löst RandomX die Probleme nicht die aufgrund von Pool-Mining auftreten können. Pool-Mining ist heute bei weitem die gebräuchlichste Art, Kryptowährungen abzubauen, einschließlich Monero, aber zum Glück ändert sich dies durch das Aufkommen von p2pool-Mining schnell.</p>';

  @override
  String get knowledge250Sbp2pool250Sb1250Sbtext => '<p>Pool-Mining ist eine Möglichkeit für Miner, die Aufgabe zu teilen, einen Block im Netzwerk zu lösen und dann die Belohnungen gleichmäßig für alle Blöcke zu teilen, die der Pool findet. Während dies immens dazu beiträgt, die Häufigkeit auszugleichen, mit der Miner bezahlt werden, im Vergleich zum Mining von Monero allein, ist es nicht ohne ernsthafte Zentralisierungsprobleme.</p>\n\n<p>Wenn jeder Miner Arbeit in den Pool einbringt, gibt er die Kontrolle über jede Arbeit, die er verrichtet und blockiert, die er findet, an den Pool selbst ab, im Vertrauen darauf, dass der Pool die Belohnungen ehrlich und fair unter allen Minern basierend auf der Menge von teilen wird Arbeit, die jeder getan hat. Wenn alles gut geht, sammelt der Pool-Betreiber die Arbeit aller Miner, übermittelt sie an das Netzwerk und teilt die Belohnungen gleichmäßig.</p>';

  @override
  String get knowledge250Sbp2pool250Sb1250Sbtitle => 'Was ist Pool-Mining?';

  @override
  String get knowledge250Sbp2pool250Sb2250Sbtext => '<p>Leider beruht dies ausschließlich auf Vertrauen und ermöglicht es dem Poolbetreiber, schändliche Dinge mit der Arbeit der Miner zu tun. Der Pool-Betreiber könnte die geleistete Arbeit nutzen, um das Netzwerk anzugreifen, versuchen, Gelder zu verdoppeln (wenn der Pool groß genug ist) oder einfach die von den Minern geleistete Arbeit verwenden, um sich selbst zu bezahlen, und die Miner niemals angemessen für ihre Arbeit belohnen .</p>\n\n<p>Das größte Risiko für das Netzwerk besteht darin, dass ein Pool (oder mehrere Pools, die zusammenarbeiten) mehr als 51 % der Netzwerk-Hashrate unter ihrer Kontrolle haben, da sie dies zum Betrügen und zweimaligen Ausgeben von Geldern verwenden könnten (eine doppelte Ausgabe). Angriff) oder versuchen, die Regeln des Netzwerks zu ändern.</p>';

  @override
  String get knowledge250Sbp2pool250Sb2250Sbtitle => 'Was ist das Problem beim Pool-Mining?';

  @override
  String get knowledge250Sbp2pool250Sb3250Sbtext => '<p>p2pool ist ein Konzept, das ursprünglich 2011 für das Mining von Bitcoin entwickelt wurde, aber nie eine breite Akzeptanz fand und bei Bitcoin praktisch ungenutzt bleibt. Glücklicherweise verbrachte einer der wichtigsten Entwickler hinter RandomX, SCHernykh, seinen Urlaub damit, Lösungen für einige der Probleme mit der Bitcoin-Implementierung von p2pool zu finden und die gesamte Software von Grund auf neu zu schreiben.</p>\n\n<p>p2pool in Monero ermöglicht Bergleuten eine völlig vertrauenslose Möglichkeit, zusammenzuarbeiten, um Blöcke zu lösen und das Monero-Netzwerk zu sichern, indem spezielle Knotensoftware für p2pool verwendet wird, um die Arbeit zu teilen.</p>\n\n<p>Dies geschieht mit einer neuen Blockchain (einer „Side-Chain“), die die Arbeit jedes Miners, seine Wallet-Adresse und wie viel Monero er verdient hat, aufzeichnet und dann die Belohnung in einem Trust auszahlt -weniger und dezentralisierter Weg. Da diese Nebenkette weit weniger Miner hat, ist es viel einfacher, Blöcke darin zu finden und einzureichen als im Hauptnetzwerk von Monero, was es einfacher für Miner macht, konsistente Auszahlungen zu erhalten, anstatt Monero allein zu schürfen.</p>';

  @override
  String get knowledge250Sbp2pool250Sb3250Sbtitle => 'Was ist p2pool?';

  @override
  String get knowledge250Sbp2pool250Sb4250Sbtext => '<p>In p2pool gibt es keinen zentralisierten Pool, keinen zentralisierten Poolbetreiber oder eine einzelne Person, die Gelder verwaltet und Auszahlungen verteilt. Die gesamte Arbeit, die von denjenigen, die über p2pool schürfen, gemeinsam erledigt wird, wird von der p2pool-Blockchain und anderen Node-Betreibern überprüft, um sicherzustellen, dass sie legitim ist, und alle Miner werden entsprechend ihrer geleisteten Arbeit sofort ausgezahlt, wenn ein Block direkt gefunden wird die Belohnungen in diesem gefundenen Block.</p>\n\n<p>Wenn Bergleute sich entscheiden, p2pool anstelle eines zentralisierten Pools zu verwenden, entziehen sie den Poolbetreibern jegliche Macht und Vertrauen und stellen sicher, dass ihre Arbeit zum Wohl des Netzwerks und zu ihren eigenen Belohnungen beiträgt, das Risiko von Netzwerkangriffen und Missbrauch verringern ihrer Arbeit oder Diebstahl von Vergütungen, die ihnen geschuldet werden.</p>\n\n<p>Das hilft ihnen nicht nur, ihre eigenen Interessen zu schützen, es reduziert auch das Risiko, das zentralisierte Pools für das gesamte Monero-Netzwerk darstellen können. Die Nutzung von p2pool trägt auch immens dazu bei, das Risiko zu verringern, das Nationalstaaten oder Aufsichtsbehörden für die Gesundheit des Netzwerks darstellen könnten, da es keine zentralisierten Poolbetreiber gibt, die unter Druck stehen, keine geografische Konzentration von Pools, auf die man sich stützen kann, oder andere einfache Druckpunkte damit sie gegen Monero eingesetzt werden können.</p>';

  @override
  String get knowledge250Sbp2pool250Sb4250Sbtitle => 'Wie löst p2pool die Probleme des Pool Mining?';

  @override
  String get knowledge250Sbp2pool250Sb5250Sbtext => '<p>Glücklicherweise wurde p2pool in Monero gut entworfen und gebaut und funktioniert extrem gut! Der Hauptnachteil des p2pool-Minings besteht jedoch darin, dass jeder Miner, der p2pool verwenden möchte, seinen eigenen Monero-Knoten betreiben muss, wodurch der Einstiegsprozess etwas komplizierter wird. Dieser Knoten wird dann jedoch verwendet, um alle Informationen zu berechnen, die zum Erstellen und Überprüfen von Blöcken erforderlich sind, und stellt sicher, dass der Miner die vollständige Kontrolle über seine Arbeit hat. Der Knoten kann auch als Remote-Knoten für die eigene Brieftasche des Bergmanns fungieren, zum Netzwerk beitragen und vieles mehr.</p>\n\n<p>Der andere Hauptunterschied zum zentralisierten Mining besteht darin, dass kleine Bergleute, die p2pool verwenden, etwas mehr &quot;Varianz&quot; oder Zeit zwischen den Auszahlungen haben als ein großer zentralisierter Pool -- aber es&#39;ist <em> extrem </em> wichtig zu beachten, dass dies nicht dazu führt, dass Sie im Laufe der Zeit weniger Monero verdienen! p2pool wird im Laufe der Zeit auch für kleine Miner genauso profitabel sein wie zentralisierte Pools. Ein Teil dieser Abweichung wird auch dadurch ausgeglichen, dass p2pool nativ 0 % Gebühren hat, da es keinen zentralisierten Poolbetreiber gibt, der für seine Dienste bezahlt!</p>';

  @override
  String get knowledge250Sbp2pool250Sb5250Sbtitle => 'Was sind die Nachteile?';

  @override
  String get knowledge250Sbp2pool250Sb6250Sbtext => '<p>Dank des hervorragenden Designs der p2pool-Implementierung von Monero&#39; und der vielen Menschen in der Community, die Zeit investiert haben, um den Prozess des Mining über p2pool zu vereinfachen, wird der Einstieg mit der Zeit einfacher. Es gibt mehrere Möglichkeiten, mit dem Mining mit p2pool zu beginnen, aber da die technischen Details den Rahmen dieses Artikels sprengen würden, können Sie je nach Betriebssystem einfach auf einen der folgenden Links springen:</p>\n<ul>\n<li><a rel=\"noopener nofollow\" class=\"next-link\" target=\"_blank\" href=\"https://www.youtube.com/watch?v=yfbvTksF9ic\">Windows</a></li>\n<li><a rel=\"noopener nofollow\" class=\"next-link\" target=\"_blank\" href=\"https://sethforprivacy.com/guides/run-a-p2pool-node/\">Linux</a></li>\n</ul>';

  @override
  String get knowledge250Sbp2pool250Sb6250Sbtitle => 'Wie kann ich anfangen?';

  @override
  String get knowledge250Sbp2pool250Sb7250Sbtext => '<p>Wenn dies Ihre Neugier auf p2pool-Mining geweckt hat, werfen Sie einen Blick auf einige zusätzliche Links und Erklärungen zu p2pool, wie es funktioniert und was es für Monero bedeutet:</p>\n<ul>\n<li><a class=\"next-link\" rel=\"noopener nofollow\" target=\"_blank\" href=\"https://github.com/SChernykh/p2pool\">Der offizielle Github für p2pool</a></li>\n<li><a class=\"next-link\" rel=\"noopener nofollow\" target=\"_blank\" href=\"https://github.com/SChernykh/p2pool#how-to-mine-on-p2pool\">Die offiziellen Dokumente zur Verwendung von p2pool</a></li>\n<li><a class=\"next-link\" rel=\"noopener nofollow\" target=\"_blank\" href=\"https://www.getmonero.org/2021/10/05/p2pool-released.html\">Monero P2Pool ist jetzt live</a></li>\n<li><a class=\"next-link\" rel=\"noopener nofollow\" target=\"_blank\" href=\"https://p2pool.observer/\">p2pool.observer, eine Art &quot;Block-Explorer&quot; für p2pool</a></li>\n<li><a class=\"next-link\" rel=\"noopener nofollow\" target=\"_blank\" href=\"https://github.com/WeebDataHoarder/p2pool-compose\">Monero p2pool docker-compose</a></li>\n<li><a class=\"next-link\" rel=\"noopener nofollow\" target=\"_blank\" href=\"https://www.monerotalk.live/sergei-chernykh-on-his-development-of-p2pool-a-decentralized-xmr-mining-pool\">Sergei Chernykh: Über seine Entwicklung von P2Pool, einem dezentralisierten XMR-Mining-Pool</a></li>\n</ul>';

  @override
  String get knowledge250Sbp2pool250Sb7250Sbtitle => 'Wie kann ich mehr erfahren?';

  @override
  String get knowledge250Sbp2pool250Sbdescription => 'Pool-Mining ist heute die gebräuchlichste Art, Monero abzubauen, aber glücklicherweise ändert sich dies durch das Aufkommen von p2pool-Mining schnell.';

  @override
  String get knowledge250Sbp2pool250Sbtitle => 'P2Pool und seine Rolle bei der Dezentralisierung des Monero-Mining';

  @override
  String get knowledge250Sbpractices250Sb0250Sbtext => '<p>Viele Benutzer könnten schockiert sein, wenn sie erfahren, dass Experten glauben, dass es möglich ist, eine Kryptowährung falsch zu verwenden. Je nachdem, wogegen sich ein Benutzer verteidigt, müssen bestimmte Schritte und Vorkehrungen getroffen werden, um die Privatsphäre zu wahren, Betrug zu vermeiden und die ordnungsgemäße und rechtzeitige Lieferung von Transaktionen sicherzustellen. Glücklicherweise haben die Monero-Entwickler alles in ihrer Macht Stehende getan, um vernünftige Standardeinstellungen in diesen Bereichen festzulegen, sodass Benutzer, die die Wallet-Software so verwenden, wie sie ist, die meiste Zeit sicher sind. Trotzdem möchten wir uns etwas Zeit nehmen, um uns einige Fälle anzusehen, in denen es hilfreich sein könnte, bei Ihren Ausgaben etwas bedachter vorzugehen.</p>';

  @override
  String get knowledge250Sbpractices250Sb1250Sbtext => '<p>Der erste und wichtigste Weg, um Ihre Kryptowährung sicher und geschützt aufzubewahren, besteht darin, Ihren Monero-Mnemonik-Seed aufzuschreiben, der eine kurze Wortliste ist, die angezeigt wird, wenn Sie zum ersten Mal Ihre Brieftasche erstellen. Wenn Sie diesen Seed haben, aber Ihr Computer/Telefon stirbt, können Sie Ihr Monero wiederherstellen. Wenn Sie diesen Seed nicht haben und Ihre Brieftasche verlieren, ist Ihr Monero verloren und niemand kann Ihnen helfen, ihn wiederherzustellen. Teilen Sie diesen Samen auf die gleiche Weise mit niemandem. Wenn sie diese Wortliste haben, haben sie vollen Zugriff und Ausgabenrechte für Ihr Monero. Viele sind unvorsichtig mit der Sicherung ihres Samens umgegangen und werden mit der erschreckenden Realität verlorener Gelder konfrontiert, weil jemand sie genommen hat. Wir empfehlen, es aufzuschreiben. Physisch. Speichern Sie es nicht digital und stellen Sie sicher, dass Sie mehrere Kopien an verschiedenen Orten haben. Dies ist das Wichtigste, was Sie tun können, um Ihr Monero zu sichern. SCHREIBE DEINEN SAMEN AUF!</p>';

  @override
  String get knowledge250Sbpractices250Sb1250Sbtitle => 'SCHREIBE DEINEN SAMEN AUF!';

  @override
  String get knowledge250Sbpractices250Sb2250Sbtext => '<p>Einige Betrügereien verwenden Malware auf Ihrem Computer, die die Kopier-/Einfügefunktion ändert, um die Adresse des Malware-Erstellers anstelle des beabsichtigten Empfängers einzufügen. Da Monero-Adressen lang und unhandlich sind, kann es verlockend sein, nur die ersten paar Zahlen und Buchstaben zu überprüfen und es als gut zu bezeichnen, oder vielleicht die Adresse überhaupt nicht zu überprüfen. Während es wahrscheinlich nicht notwendig ist, die gesamte Adresse zu überprüfen, wird es in den meisten Fällen mehr als ausreichen, das erste Dutzend und das letzte Dutzend Zeichen einer Adresse zu überprüfen. Für Adressen, an die Sie häufig senden, verfügen viele Brieftaschen über eine Adressbuchfunktion, die die ausgewählte gespeicherte Adresse automatisch einträgt. Trotzdem am besten einen kurzen Check machen.</p>';

  @override
  String get knowledge250Sbpractices250Sb2250Sbtitle => 'Überprüfen Sie Ihre Adressen';

  @override
  String get knowledge250Sbpractices250Sb3250Sbtext => '<p>Heiße und kalte Brieftaschen sind eine gängige Terminologie im Bereich der Kryptowährungen, und das Konzept ist wirklich ziemlich einfach. Eine Hot Wallet ist eine, die Sie häufig herausnehmen und verwenden. Es ist \"heiß\", weil es in Ihrer Gesäßtasche steckt. Cold Wallets sind solche, die nicht sehr oft berührt werden, ähnlich wie Geld in einer Bank. Genauso wie es nicht ratsam ist, Hunderte von Dollar in Ihrer physischen Brieftasche zu tragen, aber es im Allgemeinen akzeptabel ist, dies auf einem Bankkonto zu tun, sollten Benutzer überlegen, wie viel Monero in ihren heißen, mobilen Brieftaschen zu tragen ist und wie viel am besten übrig bleibt zu Hause in einem zweiten, kalten. Auf diese Weise führt der Verlust eines Telefons, Diebstahl oder andere Pannen nicht zu einem Totalverlust des Geldes.</p>';

  @override
  String get knowledge250Sbpractices250Sb3250Sbtitle => 'Lernen Sie den Unterschied zwischen Hot- und Cold-Wallets kennen';

  @override
  String get knowledge250Sbpractices250Sb4250Sbtext => '<p>Wenn Ihnen die Idee, Ihre digitale Umgebung komplett frei von Viren und Malware zu halten, um Ihre Monero zu schützen, unheimlich ist, dann sollten Sie eine Hardware-Wallet in Betracht ziehen. Grundsätzlich hält die Hardware Wallet Ihre privaten Schlüssel auf dem Gerät, fern von Ihrem Computer. Selbst wenn Ihr Computer kompromittiert wird, haben die Hacker keinen Zugriff auf Ihren Seed. Sie können das Geld nur ausgeben, wenn die Hardware Wallet mit dem Computer verbunden ist und die Transaktion signiert. Dadurch verlagert sich die Sicherheit der Schlüssel von deinem Computer, der für viele Dinge genutzt wird und eine große Angriffsfläche hat, auf die Hardware Wallet, die nur für eine Sache genutzt wird und eine viel kleinere Angriffsfläche hat. Für die gewöhnliche Person, die die Vor- und Nachteile der Computersicherheit nicht kennt, ist dies eine praktikable Option, um Ihre Gelder sicher aufzubewahren.</p>';

  @override
  String get knowledge250Sbpractices250Sb4250Sbtitle => 'Sind Hardware Wallets das Richtige für Sie?';

  @override
  String get knowledge250Sbpractices250Sb5250Sbtext => '<p>Im Bereich der Privatsphäre ist es oft viel zu einfach, versehentlich Daten über sich selbst preiszugeben oder preiszugeben, die verwendet werden können, um Sie zu identifizieren. Ein altes Beispiel, das für Monero nicht mehr gilt, sind benutzerdefinierte Ringgrößen. Wenn der Standardwert 11 ist und jeder 11 verwendet, Sie aber konsequent 54 verwenden, ja, die Zahl ist höher, also ist Ihr Anonymitätssatz höher, aber jetzt heben Sie sich von der Masse ab und Ihre Transaktionen sind leichter zu identifizieren. Monero hat seitdem ein Update vorgenommen, um die Ringgröße auf 11 zu fixieren, sodass jetzt alle gleich aussehen.</p>\n\n<p>Es gibt verschiedene Dinge, die man tun kann, um versehentlich seine Privatsphäre in anderen Kryptowährungen wie Bitcoin zu verletzen. Die Wahl eines seriösen Mixers, das Erhalten von Münzen ohne KYC/AML, das Nicht-Wiederverwenden von Adressen und die ordnungsgemäße Verwaltung der Münzausgabe sind alles Dinge, die eine Person berücksichtigen muss, wenn sie versucht, das Durchsickern von Metadaten zu minimieren. Monero umgeht viele dieser Probleme, indem es die Datenschutzfunktionen obligatorisch macht und gute Standardeinstellungen für den durchschnittlichen Benutzer festlegt. Das obige Beispiel der Verwendung einer festen Ringgröße bedeutet, dass Endbenutzer nicht darüber nachdenken müssen, wie sie in dieser Hinsicht die bestmögliche Privatsphäre erreichen können. Die Brieftasche erledigt das automatisch für sie.</p>\n\n<p>Das mag seltsam erscheinen, darüber zu sprechen. Man könnte den meisten Benutzern verzeihen, dass sie denken, dass alle Software automatisch für sie arbeitet und nicht gegen sie. Leider könnte nichts weiter von der Wahrheit entfernt sein, und wenn es um die Privatsphäre geht, mangelt es fast allen Kryptowährungen stark. Der Aufwand, den man unternehmen muss, um ein gewisses Maß an Privatsphäre zu erreichen, ist normalerweise zu groß und zu schwierig für einen durchschnittlichen Benutzer. Dies ist oft sogar bei anderen Kryptowährungen der Fall, die den Fokus auf Datenschutz legen! Monero sorgt dafür, dass der Datenschutz automatisch erfolgt, ohne Rücksicht der Benutzer, wenn möglich auf Protokollebene und mit vernünftigen Standardeinstellungen für die Brieftaschen, wenn dies nicht der Fall ist. Verwenden Sie im Zweifelsfall einfach die Standardeinstellungen des Wallets und scheuen Sie sich nicht, Fragen zu stellen.</p>';

  @override
  String get knowledge250Sbpractices250Sb5250Sbtitle => 'Verwenden Sie im Zweifelsfall die Standardeinstellungen (mit Monero)';

  @override
  String get knowledge250Sbpractices250Sbdescription => 'Werfen wir einen Blick auf die Schritte und Vorsichtsmaßnahmen, die getroffen werden müssen, um die Privatsphäre zu wahren, Betrug zu umgehen und die ordnungsgemäße Zustellung von Transaktionen bei der Verwendung von Monero sicherzustellen.';

  @override
  String get knowledge250Sbpractices250Sbtitle => 'Monero Best Practices für Anfänger';

  @override
  String get knowledge250Sbringct250Sb0250Sbtext => '<p>Die Privatsphäre von Monero hängt nicht von einem einzelnen Mechanismus ab, der, wenn er kaputt geht, die Gesamtheit der Transaktionen aufdecken würde, sondern von drei verschiedenen Technologien, die zusammenarbeiten, um ganzheitliche Privatsphäre zu bieten und gleichzeitig die Schwächen der anderen Teile auszugleichen. Dieser dreigleisige Ansatz besteht aus <a target=\"_blank\" href=\"/knowledge/ring-signatures\" class=\"next-link\">Ringsignaturen</a>, RingCT und <a target=\"_blank\" href=\"/knowledge/monero-stealth-addresses\" class=\"next-link\">Stealth-Adressen</a>. Diese drei Technologien verbergen jeweils den tatsächlichen Output (Sender), Betrag und Empfänger. Heute sprechen wir über RingCT.</p>\n\n<p>RingCT ist wohl das technischste der drei und kann schwer zu verstehen sein, daher werden wir nicht behandeln, wie es genau funktioniert, sondern zeigen, wie es möglich ist, einen Betrag nicht zu kennen und dennoch Dinge darüber zu bestätigen . Und keine Sorge, wir werden wie immer viele Beispiele verwenden.</p>\n\n<p>Lassen Sie uns zuerst untersuchen, warum es wichtig ist, irgendetwas über die Beträge zu überprüfen. Warum können wir sie nicht einfach komplett geheim halten? Die Antwort ist, dass es clevere Möglichkeiten gibt, wie Menschen Geld aus dem Nichts schaffen können, wenn sie die Möglichkeit dazu haben. Wie könnte so etwas funktionieren? Schauen wir uns ein Beispiel an.</p>\n\n<p>Wenn Sie einen Artikel von Ihrem Freund kaufen möchten und er zehn Dollar dafür will, dann beginnen Sie mit zehn Dollar und er beginnt mit null. Nachdem Sie ihm die zehn Dollar gegeben haben, hat er zehn Dollar und Sie haben null. Du hast mit zehn angefangen, und jetzt hat er zehn. Bei dieser Transaktion wurde kein Geld geschaffen oder vernichtet.</p>\n\n<p>Mit Kryptowährungen kann eine clevere Person zehn Dollar für den Artikel geben und statt null Dollar als Wechselgeld zwei Dollar zurückbekommen. Anstatt dass 0 und 10 zu 10 und 0 (oder 10=10) führen, führt jetzt 0 und 10 zu 10 und 2 (oder 10=12). Two Monero wurde einfach aus dem Nichts erschaffen. Sie können sich vorstellen, dass der Einzelne, wenn er sich das mehrmals antun würde, in kurzer Zeit ein gigantisches Vermögen anhäufen könnte.</p>\n\n<p>Bei Bitcoin und anderen wäre dies leicht zu erkennen. Sie sehen sich die Eingaben an, die in eine Transaktion eingehen, und die Ausgaben, die herauskommen, und stellen sicher, dass das, was gesendet wird, dem entspricht, was empfangen wird. Wenn diese Beträge verschlüsselt und nicht sichtbar waren, hat ein Benutzer keine Möglichkeit zu überprüfen, ob das, was gesendet und was empfangen wird, gleich ist.</p>\n\n<p>In einem Versuch, die Privatsphäre von Bitcoin zu erhöhen, hat Gregory Maxwell Confidential Transactions (CT) entwickelt, eine neue Technologie, die verschlüsselte Beträge ermöglicht und gleichzeitig beweist, dass dabei nichts erstellt oder zerstört wurde. Wie die meisten Datenschutztechnologien hat es sie nicht in Bitcoin geschafft, aber Monero war sehr daran interessiert, sie zu übernehmen. Es gab nur ein Problem. Die bereits implementierte Technologie der Ringsignaturen war mit der vorgeschlagenen Idee nicht kompatibel. Einer der damaligen MRL-Forscher, Shen Noether, modifizierte CT in RingCT, eine Version von CT, die mit Ringsignaturen kompatibel war.</p>\n\n<p>Noch einmal, die Funktionsweise ist recht technisch und in einem Einführungsartikel schwer zu erklären. Für den Kryptographie-Enthusiasten, der es einfach wissen muss, gibt es im Internet viele ausführliche Artikel über das Innenleben von CT. Für den Rest von uns wird dieser Artikel zeigen, wie es möglich sein könnte, die Beträge zu verbergen, aber dennoch zu beweisen, dass nichts erschaffen oder zerstört wurde.</p>\n\n<p>Nehmen wir an, Alice wollte Bob Geld schicken. Alice sendet 10 XMR an Bob, der 10 XMR erhält. 10 = 10, also ist hier nichts falsch. Aber Alice möchte nicht, dass jemand weiß, wie viel sie sendet. Also schaffen sie und Bob ein gemeinsames Geheimnis. Im Grunde eine Nummer, die nur die beiden kennen. Nehmen wir an, diese Zahl ist 22. Jetzt multipliziert Alice 10 (was sie wirklich sendet) mit 22, um 220 zu erhalten. Dies ist die Zahl, die sie mit dem Netzwerk teilt. </p>\n\n<p>Die Miner selbst kennen die Geheimnummer nicht. Wenn dies der Fall wäre, könnten sie die angezeigte Zahl durch die Geheimzahl dividieren und den tatsächlichen Betrag erhalten. Aber da sie es nicht tun, können sie es nicht. Sie sehen jedoch, dass Bob 220 erhält. 220 gesendet. 220 erhalten. 220 = 220. Auf diese Weise kann das Netzwerk verifizieren, dass kein Monero erstellt oder zerstört wurde, ohne den tatsächlichen Betrag zu kennen, den Alice Bob geschickt hat.</p>\n\n<p>Da Bob die gemeinsame Geheimzahl kennt, dividiert er, wenn er das Geld erhält, einfach durch 22, um den tatsächlichen Betrag zu erhalten, den Alice gesendet hat, 10. Alice und Bob wissen beide, wie viel gesendet und wie viel empfangen wurde allen anderen wird eine falsche Nummer gegeben.</p>\n\n<p>Noch einmal, das ist nicht die eigentliche Funktionsweise von CT, aber es gibt eine Vorstellung davon, wie so etwas möglich sein könnte. Der wahre Weg beinhaltet Dinge wie Pedersen-Zusagen, zwei gesendete Beträge (ein verschlüsselter Betrag an den Empfänger und ein zugesagter Betrag an das Netzwerk) und … ja, es ist bereits leicht zu sehen, wie man sich in all dem verlieren kann. </p>\n\n<p> Eine Sache, die jedoch zu beachten ist, ist, dass RingCT zwar den zwischen zwei Parteien in einer Transaktion getätigten Betrag verbirgt, aber nicht zwei andere Zahlengruppen.</p>\n\n<p>Das erste sind die Coinbase-Transaktionen. Wenn Ihnen dieser Begriff nicht geläufig ist, bedeutet er im Grunde die Belohnung, die Miner für das Finden des nächsten Blocks erhalten. Diese Nummer ist nicht versteckt. Jeder kann sehen, wie viel das Protokoll einem Miner für seinen Dienst verliehen hat. Auf diese Weise kann die aktuelle Menge an vorhandenem Monero ermittelt werden, indem alle Coinbase-Transaktionen addiert werden. Ihre Summe entspricht dem aktuell im Umlauf befindlichen Monero.</p>\n\n<p>Die zweite nicht versteckte Zahl ist die Gebühr, die an die Miner gezahlt wird, wenn ein Benutzer eine Transaktion sendet. Die Gebühren müssen klar sein, damit die Miner wissen, wen sie priorisieren müssen. Auf diese Weise können Benutzer jedoch ihre Privatsphäre verletzen, als ob jemand jedes Mal, wenn er eine Transaktion sendet (wie 0,12345), eine einzigartige Miner-Gebühr verwendet, dann können seine Transaktionen verknüpft werden.</p>\n\n<p>Abgesehen von diesen Fällen versteckt RingCT seit 2017 Monero-Beträge und unsere kollektive Privatsphäre ist umso stärker.</p>';

  @override
  String get knowledge250Sbringct250Sbdescription => 'RingCT versteckt seit 2017 Monero-Beträge und unsere kollektive Privatsphäre ist umso stärker. Aber wie wird das erreicht?';

  @override
  String get knowledge250Sbringct250Sbtitle => 'Wie RingCT Monero-Transaktionsbeträge verbirgt';

  @override
  String get knowledge250Sbrings250Sb0250Sbtext => '<p>Monero ist weit und breit im gesamten Kryptoraum als der König der Datenschutzmünzen bekannt. Während jeder weiß, dass Monero einen guten Datenschutz bietet, verstehen nicht so viele, wie der Datenschutz funktioniert.</p>\n\n<p>Viele andere Datenschutzmünzen veröffentlichen Vergleichstabellen-Infografiken, die die Namen der Datenschutztechnologie jeder Münze auflisten, und in den meisten Fällen bezeichnen sie die Technologie von Monero als RingCT, aber das ist nur teilweise wahr. Monero hat tatsächlich einen dreigleisigen Ansatz zum Datenschutz. Eine Technologie, um den Empfänger einer Transaktion zu verbergen, eine, um den gesendeten Betrag zu verbergen, und eine, um die verwendete Ausgabe zu verbergen, das sind Stealth-Adressen, RingCT bzw. Ringsignaturen.</p>\n\n<p>Dieser dreigleisige Ansatz bedeutet, dass, wenn eine der Technologien kaputt geht, die anderen nicht unbedingt das gleiche Schicksal erleiden. Ringsignaturen sind das schwächste Glied im Datenschutzsystem; das Wort schwach bedeutet hier, dass es am anfälligsten für heuristische Angriffe ist. Nehmen wir uns etwas Zeit, um sie zu erkunden, oder?</p>\n\n<p>Wie oben erwähnt, besteht das Ziel von Ringsignaturen darin, eine in einer Transaktion verwendete Ausgabe zu verschleiern. Machen Sie sich keine Sorgen, wenn die „Eingabe/Ausgabe“-Terminologie der Kryptowährung für Sie verwirrend ist. Es ist eigentlich gar nicht so kompliziert. Wenn Sie „Ausgang“ hören, denken Sie einfach an ein Häkchen. Eines dieser nicht mehr ganz so verbreiteten Dinge, mit denen die Leute bezahlen. Wie ein Scheck kann es auf einen beliebigen Betrag lauten – 10 \$, 32,50 \$ usw. – und wird zwischen Transaktionsparteien ausgetauscht. Bei Kryptowährungen erfüllen Ausgänge diese Funktionen.</p>\n\n<p>Wenn Ihnen jemand 10 Monero zahlt, erhalten Sie eine XMR-Ausgabe von 10. Diese Ausgabe hat einen Wert (10) und wird aus der Brieftasche des Absenders entnommen. Wenn Sie für eine Dienstleistung bezahlen, verlässt eine Rechnung Ihre physische Brieftasche und wird der Person ausgehändigt, von der Sie kaufen.</p >\n\n<p>Die Ausgabe wird verborgen, indem ein Ring (daher der Name) von Köderausgaben konstruiert wird. Aber diese Köder sind keine „gefälschten“ Ausgaben“. Sie sind reale vergangene Ausgaben der Blockchain, die nichts mit der gegenwärtigen Transaktion zu tun haben, aber für einen externen Beobachter könnte jede dieser Ausgaben genauso wahrscheinlich erscheinen wie die echte. Die Größe des Satzes von Köderausgängen plus der echten wird als Ringgröße bezeichnet, und derzeit beträgt Monero elf. Es gibt also zehn Täuschungsausgänge und einen echten.</p>\n\n<p>Warum erhöhen wir diese Zahl nicht einfach auf 100 oder sogar 1000? Je mehr desto besser, oder? Nun, aus Sicht des Datenschutzes ja, aber es gibt noch andere Dinge zu beachten. Gehen wir zurück zu einem physikalischen Beispiel, um zu sehen, was ich meine. Wenn Sie einen Ihrer Dollarscheine zwischen zehn Ködern verstecken wollten, müssten Sie für jeden Dollar, den Sie ausgeben wollten, ungefähr elf Dollar in Ihrer Brieftasche tragen. Ein echter Dollar und zehn falsche. Das wird schon ziemlich umständlich, wenn man auch nur ein paar Euro ausgeben möchte. Stellen Sie sich nun vor, wir hätten den Köderbetrag auf 1000 erhöht. Für jeden Dollar, den Sie ausgeben wollten, müssten Sie etwa 1001 Dollar mit sich führen. Sie müssten eine Aktentasche mit sich herumtragen, nur um einen Schokoriegel zu kaufen! Es ist wichtig anzumerken, dass Ringsignaturen nicht ganz so funktionieren, zum Beispiel sind die Köder selbst kein Teil der Signatur, sondern nur Verweise darauf, aber wir hoffen, dass diese Analogie etwas hilfreich sein kann, um die grundlegenden Konzepte darzustellen. < /p>\n\n<p>Die Köder auf der Blockchain funktionieren ähnlich. Jeder hinzugefügte Köder erhöht die Zeit und die Überprüfungskosten der Transaktion. Jeder Knoten muss die gesamte Ringsignatur für jede Transaktion herunterladen, und jede Ringsignatur enthält die tatsächliche Ausgabe sowie die Köder. Nicht nur das, es muss auch die Mathematik verifizieren, dass mindestens einer dieser Ausgänge echt ist, und die mathematische Verifizierungszeit erhöht sich auch mit jedem Köder. Das bedeutet, dass wir einen glücklichen Mittelweg finden müssen, bei dem die Ringgröße groß genug ist, um die tatsächliche Ausgabe auch gegen viele heuristische Angriffe angemessen zu verschleiern, aber klein genug, um die Blockchain nicht massiv wachsen zu lassen. Es reicht nicht aus, eine beliebige Zahl auszuwählen oder einfach die Ringgröße zu erhöhen, wenn wir die Signatur verkleinern (wie bei CLSAG). Die Monero-Community möchte konkrete, mathematische Beweise dafür, welche Ringgröße die besten Kompromisse bietet. Eine Nummer zu klein, und die Privatsphäre ist nicht stark genug gegen heuristische Angriffe. Zu groß, und wir profitieren möglicherweise nur geringfügig von der Datenschutzseite und leiden unnötigerweise in Bezug auf die Skalierung.</p>\n\n<p>Eine letzte Sache zu erwähnen. Einige Monero-Literatur vereinfacht und sagt, dass Ringsignaturen den Absender verbergen, aber das ist nicht ganz richtig, und der Unterschied ist nicht nur pedantisch. Der Unterschied zwischen dem Absender (einem Menschen) und einer Ausgabe (einer Rechnung) ist groß, wenn es um die Wahrung der Privatsphäre geht. Während eine Ausgabe Verbindungen zu einem Absender haben kann, ist eine Ausgabe selbst nicht gleich einem Absender. Selbst wenn eine Ringsignatur gebrochen werden sollte, ist sie nicht unbedingt mit der Identität einer Person verknüpft, und sowohl der Betrag als auch der Empfänger sind immer noch verborgen, wodurch der Schaden für die Privatsphäre aller Parteien minimiert wird.</p>\n\n<p>Das soll nicht heißen, dass eine defekte Ringsignatur unbedeutend ist. Alle durchgesickerten Metadaten sind schlecht und haben das Potenzial, mehr Informationen preiszugeben, als wir denken, insbesondere wenn sie in Verbindung mit anderen Metadaten verwendet werden. Daher tun wir unser Bestes, um sicherzustellen, dass die gewählte Ringgröße eine akademische Strenge hinter der Entscheidung hat, andere Metadatenlecks minimiert werden und die Benutzererfahrung standardmäßig auf die bestmöglichen Aktionen zurückgreift.</p>\n\n<p>Aber wenn Sie die Wahrscheinlichkeit einer gebrochenen Signatur immer noch beunruhigt, nun, es gibt einige unglaubliche Neuigkeiten am Horizont. Die nächste Generation von Datenschutzprotokollen, an denen gearbeitet wird, wie Triptych, Arcturus und Lelantus, haben wirklich nette Fähigkeiten. In diesen Protokollen skaliert die Größe logarithmisch, nicht linear, wenn die Ringgröße zunimmt. Das bedeutet, dass wir 100 Lockvögel unterbringen können, aber der verwendete Platz ist näher an der Ringgröße 10 in der alten Technologie. Das ist ein ziemlicher Unterschied und wird den Datenschutz rundum erheblich verbessern.</p>\n\n<p>Im Katz-und-Maus-Spiel des Datenschutzes führt Monero kontinuierlich Innovationen ein, um der Kurve immer einen Schritt voraus zu sein und den bestmöglichen Datenschutz für alle zu gewährleisten.<p>';

  @override
  String get knowledge250Sbrings250Sbdescription => 'Ringsignaturen sind das schwächste Glied im Datenschutzsystem; das Wort schwach bedeutet hier, dass es am anfälligsten für heuristische Angriffe ist. Lassen Sie uns sie erkunden, sollen wir?';

  @override
  String get knowledge250Sbrings250Sbtitle => 'Wie Ringsignaturen die Ausgaben von Monero verschleiern';

  @override
  String get knowledge250Sbscams250Sb0250Sbtext => '<p>Seitdem es Geld gibt, gibt es Betrügereien, um Leute dazu zu bringen, sich davon zu trennen, und im Bereich der Kryptowährungen ist das nicht anders. Tatsächlich hat die Endgültigkeit von Transaktionen in Kryptowährung zusammen mit der Tatsache, dass es keine zentrale Organisation gibt, die bei der Wiederherstellung hilft, zu neuen und innovativen Wegen geführt, mit denen Betrüger ahnungslose Benutzer stehlen und mit ihren Geldern in der digitalen Leere verschwinden können. In diesem Artikel nehmen wir uns die Zeit, neue Benutzer über einige der am weitesten verbreiteten Betrügereien in der Branche zu informieren, aber diese Liste ist keineswegs vollständig, und die Benutzer werden ermutigt, sowohl über die neuesten Betrugstrends auf dem Laufenden zu bleiben als auch ständig auf dem Laufenden zu bleiben bewusst und skeptisch gegenüber ihrer digitalen Umgebung.</p>';

  @override
  String get knowledge250Sbscams250Sb1250Sbtext => '<p>Einer der ältesten Betrügereien der Welt und einer, der auf jeder existierenden Diskussionsplattform stattfinden kann. Bei diesem Betrug gibt der Betrüger vor, eine vertrauenswürdige Person der Gemeinschaft oder ein hochrangiger Beamter eines verwandten Unternehmens zu sein. Sobald das Vertrauen des Opfers durch diesen etablierten Ruf gewonnen wurde, kann der Betrüger einen Benutzer auf eine bösartige Website schicken, ihn ein Programm herunterladen lassen, das darauf ausgelegt ist, sein Geld zu stehlen, oder den Benutzer sogar dazu bringen, ihm direkt Geld zu schicken. Überprüfen Sie immer dreifach, ob die Person, mit der Sie sprechen, tatsächlich die richtige Person ist. Unternehmen haben E-Mail-Adressen, an die sie sich wenden können, um Identitäten zu überprüfen (z. B. „Hat mich der CEO Ihres Unternehmens gerade auf Telegram kontaktiert?“), und andere Community-Führungskräfte können normalerweise auf andere Weise kontaktiert werden. Überprüfen Sie dies, bevor Sie Maßnahmen ergreifen. INSBESONDERE, wenn sie das Gespräch mit Ihnen begonnen haben und nicht Sie mit ihnen. </p>';

  @override
  String get knowledge250Sbscams250Sb1250Sbtitle => 'Der Betrügerbetrug';

  @override
  String get knowledge250Sbscams250Sb2250Sbtext => '<p>Ähnlich wie beim Betrüger-Betrug versuchen die Betrüger hier, eine Website oder App zu haben, die im Aussehen mit bestehenden und vertrauenswürdigen Unternehmen identisch ist, aber mit Code und Infrastruktur, die darauf ausgelegt sind, Ihr Monero zu stehlen. Oft hat eine bösartige Website einen fast identischen Domainnamen wie das Original und es ist sogar bekannt, dass sie die Top-Ergebnisse von Internetsuchen für die Website übernimmt, indem sie Werbeflächen kauft. Wenn eine vertrauenswürdige Website beispielsweise themonerowallet.com ist, könnte eine Betrüger-Website the-monero-wallet.com oder, noch schlimmer, themonerȯwallet.com sein. Hast du das Problem mit dem letzten erkannt? Das o hat einen Punkt darüber. Schau mal: ȯ. Aber auf den ersten Blick ist es vielleicht nicht sichtbar, und wenn der Domainname korrekt aussieht und die Website identisch mit dem aussieht, was man erwarten könnte, ist es allzu leicht, in die Falle zu tappen und Ihren Monero-Samen zu verschenken, nur um Finde deinen Monero vermisst, bevor du weißt, was dich trifft.</p>\n\n<p>Aber wie am Anfang dieses Abschnitts gesagt, gilt dies nicht nur für Websites. Es gab Fälle, in denen Betrüger eine bösartige App, die mit bestehenden Wallets identisch aussieht, über den Google Play Store oder App Store schleichen können, wo sie unentdeckt bleibt, bis sie gemeldet wird (was einige Zeit dauern kann). In dieser Zeit denken Benutzer, dass sie die richtige App herunterladen, aber in Wirklichkeit verlieren sie ihr Geld an Betrüger.</p>\n\n<p>Die Lösung für diese Art von Betrug ist Wachsamkeit. Überprüfen Sie dies immer, bevor Sie die Dienste einer Website oder App nutzen. Geben Sie nach Möglichkeit den Namen einer bekannten Website direkt in die URL-Leiste ein, anstatt Suchmaschinen zu verwenden, und seien Sie besonders gründlich, wenn etwas heruntergeladen oder Ihr Seed in irgendeiner Weise verwendet wird.</p>';

  @override
  String get knowledge250Sbscams250Sb2250Sbtitle => 'Der Business-Look-Alike-Betrug';

  @override
  String get knowledge250Sbscams250Sb3250Sbtext => '<p>Manchmal versuchen Betrüger nicht einmal, subtil zu sein. Sie stellen riesige, grandiose Behauptungen auf und wissen, dass es immer Dummköpfe geben wird, die ihnen aus Verzweiflung, Gier oder Unwissenheit glauben werden. Diese Betrügereien nehmen viele Formen an, von Münzprojekten, die lächerliche Renditen auf Investitionen versprechen, bei denen Sie ihnen zuerst Geld geben (wie Bitconnect), bis hin zu speziellen, geheimen Gruppen, die versprechen, Ihnen alle Marktbewegungen im Voraus mitzuteilen, damit Sie Geld verdienen können. .gegen Gebühr. Denken Sie daran. Wenn etwas zu gut klingt, um wahr zu sein, ist es das wahrscheinlich auch. Dieser Rat gilt besonders im Bereich der Kryptowährung, da der Einsatz einer Münze oder eines intelligenten Vertrags heutzutage trivial ist und die Online-Veröffentlichung Ihrer zwielichtigen Behauptungen kostenlos ist. Denken Sie daran, wenn jemand wirklich einen Weg gefunden hat, den Markt zu timen oder einen Weg entdeckt hat, um unendlich viel Geld zu verdienen, warum sollte er es Ihnen dann sagen? Sie würden es nur selbst benutzen, um reich zu werden. Warum sollten sie es teilen? Seien Sie clever. Benutze dein Gehirn. Vertraue niemandem.</p>';

  @override
  String get knowledge250Sbscams250Sb3250Sbtitle => 'Der regelrechte Betrug';

  @override
  String get knowledge250Sbscams250Sb4250Sbtext => '<p>Ihr Monero-Samen IST Ihr Monero. Sie müssen es aufschreiben, wenn Sie zum ersten Mal eine Brieftasche erstellen, denn wenn Sie Ihren Seed verlieren, haben Sie Ihr Monero verloren und niemand kann Ihnen helfen. ABER AUCH müssen Sie diesen Samen vor anderen sicher aufbewahren. Wenn jemand Ihren Seed stiehlt, kann er den Monero aus der Brieftasche schicken, als ob er Sie wäre, und wiederum kann niemand dieses Geld für Sie zurückholen. Es ist weg.</p>\n\n<p>Viel zu oft hat eine Person eine Cold Wallet von Monero aufbewahrt, war neugierig auf ihr Geld und wollte es überprüfen. Aber anstatt sich die Mühe zu machen oder die gesamte Wallet-Anwendung neu zu installieren, entscheiden sie sich einfach für eine Web-Wallet, um ihren Seed schnell wiederherzustellen und sich ihr Geld anzusehen. Wenn sie Opfer des Business-Look-Alike-Betrugs werden, dann gibt die bloße Eingabe ihres Seeds es an die Betrüger weiter, die das Geld dann nach Belieben in eine andere Brieftasche verschieben können, die sie kontrollieren.</p>\n\n<p>Jedes Mal, wenn eine Website, Anwendung oder Brieftasche eine Option zum Wiederherstellen mit Startwert hat, achten Sie darauf, dass die Anwendung, die Sie verwenden, legitim ist. Überprüfen Sie die Hashes des Programms (auf der Monero-Website finden Sie Anweisungen dazu), um sicherzustellen, dass das Programm nicht von außen manipuliert wurde, und seien Sie sich ständig bewusst, wo und wie Sie Ihren Seed freigeben. Die doppelte Kontrolle mag ärgerlich sein, aber der Geldverlust durch Unachtsamkeit wäre noch schlimmer.</p>';

  @override
  String get knowledge250Sbscams250Sb4250Sbtitle => 'Die Rolle Ihres Monero-Seeds bei Betrug';

  @override
  String get knowledge250Sbscams250Sbdescription => 'Seit es Geld gibt, gibt es Betrügereien, um Menschen dazu zu bringen, sich davon zu trennen – nehmen wir uns die Zeit, uns einige der am weitesten verbreiteten Betrügereien im Raum anzusehen.';

  @override
  String get knowledge250Sbscams250Sbtitle => 'Betrügereien, auf die Sie bei der Verwendung von Monero achten sollten';

  @override
  String get knowledge250Sbseraphis250Sb0250Sbtext => '<p>Dieser Beitrag beschreibt <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://github.com/UkoeHB/Seraphis\">Seraphis</a>, eine Reihe von Transaktionsprotokollstrukturen und -abstraktionen, die von dem pseudonymen Forschungsmitarbeiter <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://github.com/UkoeHB\"><code>koe</code></a> für das Monero-Ökosystem und mit laufender Sicherheitsanalyse entwickelt wurden vom pseudonymen Mitwirkenden <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://github.com/coinstudent2048\"><code>coinstudent2048</code></a>.<br/>\nWir nehmen einige Vereinfachungen vor und lassen bestimmte technische Details aus Gründen der Klarheit weg; Aus diesem Grund und weil das Design von Seraphis noch im Gange ist, sollten interessierte Leser die Seraphis-Dokumentation für die aktuellsten Informationen zurate ziehen.</p>';

  @override
  String get knowledge250Sbseraphis250Sb0250Sbtitle => 'Seraphis: ein modulares Design-Upgrade für Monero-Transaktionen';

  @override
  String get knowledge250Sbseraphis250Sb1250Sbtext => '<p>Protokolle wie Bitcoin und Monero und andere verlassen sich auf ein sogenanntes \"Ausgabemodell\" des Betriebs, bei dem eine <em>Ausgabe</em> eine Darstellung des Werts ist, der übertragen werden kann.<br/>\nTransaktionen verbrauchen eine oder mehrere Ausgaben, die von einem Sender gesteuert werden, und erzeugen neue Ausgaben, die an Empfänger gerichtet sind (oder als Änderung zurück an den Sender); Die Transaktion muss dahingehend ausgeglichen sein, dass die verbrauchten Outputs einen Gesamtwert enthalten müssen, der genau dem Wert der neuen Outputs entspricht (zuzüglich einer vom Netzwerk erhobenen Gebühr).<br/>\nIn vielen Protokollen wie Bitcoin wird der in einer Ausgabe enthaltene Wert im Klartext geschrieben, ebenso wie der Empfänger.<br/>\nDarüber hinaus ist es durch Betrachten der Blockchain trivial zu sehen, ob und wann eine Ausgabe ausgegeben wurde (d. h. ob sie in einer späteren Transaktion verbraucht wurde und welche Transaktion sie ausgegeben hat).</p>\n<p>Im Gegensatz dazu führen Protokolle wie Monero ein anderes Design ein:</p>\n\n<ul>\n<li>Ausgabewerte sind versteckt und in der Blockchain nicht sichtbar</li>\n<li>Empfängeradressen werden durch die Verwendung eines einmaligen Adressierungsprotokolls verborgen</li>\n<li>Ob eine Ausgabe ausgegeben wurde oder nicht, wird durch die Verwendung mehrdeutiger Signaturen verschleiert</li>\n</ul>\n\n<p>Das Ergebnis ist, dass es ohne externe Informationen schwierig ist festzustellen, ob eine bestimmte Ausgabe ausgegeben wurde, welchen Wert sie hat und wer ihr Empfänger ist.</p>\n\n<p>Das aktuelle Monero-Transaktionsprotokoll heißt <em>RingCT</em> und verwendet mehrere kryptografische Bausteine, um diese Designziele zu erreichen.</p>\n\n<ul>\n<li><em>Verpflichtungen</em> verbergen Beträge auf mathematisch sinnvolle Weise</li>\n<li><em>Reichweitennachweise</em> verhindern einen Überlauf, der das Angebot aufblähen könnte</li>\n<li><em>Verknüpfbare Ringsignaturen</em> sorgen für Mehrdeutigkeit des Unterzeichners und verhindern doppelte Ausgabenversuche</li>\n<li><em>Commitment-Offsets</em> bestätigen, dass Transaktionen ausgeglichen sind</li>\n</ul>\n\n<p>Diese Bausteine sind sorgfältig miteinander verflochten, um das RingCT-Protokoll aufzubauen.</p>\n\n<p>Eine nützliche Eigenschaft des RingCT-Protokolls ist, dass einige Bausteine so geändert oder aktualisiert werden können, dass das Gesamtdesign und die Eigenschaften intakt bleiben, aber Effizienz- oder Sicherheitsverbesserungen erzielt werden können.\nTatsächlich sind diese Art von Upgrades in der Geschichte von Monero mehrmals aufgetreten (oder geplant).\nReichweitennachweise im ursprünglichen RingCT-Protokoll waren sperrig und langsam; Sie wurden später auf eine Konstruktion namens <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://eprint.iacr.org/2017/1066\">Bulletproofs</a> aktualisiert, die Transaktionen mit besserer Sicherheitsanalyse kleiner und schneller machte, und sollen für noch größere Effizienzvorteile auf eine neuere Konstruktion namens <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://eprint.iacr.org/2020/735\">Bulletproofs+</a> aktualisiert werden. </p>\n\n<p>Ein ähnlicher Prozess wurde mit dem verknüpfbaren Ringsignaturbaustein durchgeführt.\nIm ursprünglichen Protokoll wurde eine Konstruktion namens <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://ledger.pitt.edu/ojs/ledger/article/view/34\">MLSAG</a> verwendet.\nDies wurde später auf eine neuere Konstruktion namens <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://eprint.iacr.org/2019/654\">CLSAG</a> aktualisiert, die schneller ist, zu kleineren Transaktionen führt und eine bessere Sicherheitsanalyse bietet.\nEine noch neuere verknüpfbare Ringsignaturkonstruktion basierend auf <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://eprint.iacr.org/2020/018\">Triptych</a> wurde vorgeschlagen, aber diese wurde wegen ihrer Auswirkungen auf Multisignaturoperationen nicht für den Einsatz ausgewählt.</p>';

  @override
  String get knowledge250Sbseraphis250Sb1250Sbtitle => 'Transaktionen in Monero';

  @override
  String get knowledge250Sbseraphis250Sb2250Sbtext => '<p>Seraphis geht mit dieser Idee noch einen Schritt weiter.<br/>\nAnstatt einzelne Bausteine des bestehenden RingCT-Transaktionsprotokolls zu aktualisieren, wird ein anderes Protokoll eingeführt, das verschiedene Bausteine nutzen und eine verbesserte Funktionalität bieten kann.</p>';

  @override
  String get knowledge250Sbseraphis250Sb2250Sbtitle => 'Seraphis';

  @override
  String get knowledge250Sbseraphis250Sb3250Sbtext => '<p>Seraphis verwendet einen anderen Satz kryptografischer Bausteine, um seine Designziele zu erreichen.</p>\n\n<ul>\n<li><em>Zusagen</em> verbergen immer noch Beträge</li>\n<li><em>Reichweitennachweise</em> verhindern immer noch Überlauf und Angebotsinflation</li>\n<li><em>Mitgliedschaftsnachweise</em> sorgen für Mehrdeutigkeit beim Unterzeichner</li>\n<li><em>Commitment-Offsets</em> behaupten immer noch Saldo</li>\n<li><em>Autorisierungsnachweise</em> verhindern doppelte Ausgabenversuche</li>\n</ul>\n\n<p>Beachten Sie die Änderung hier: verknüpfbare Ringsignaturen werden durch eine Kombination aus Mitgliedschaftsnachweisen und Autorisierungsnachweisen ersetzt.\nGrob gesagt zeigen Zugehörigkeitsnachweise, dass eine konsumierte Ausgabe Teil einer größeren Menge ist, ähnlich wie dies bei RingCT der Fall ist.\nAber im Gegensatz zu RingCT beinhalten Mitgliedschaftsnachweise überhaupt kein Linking-Tag!\nAutorisierungsnachweise zeigen, dass das Verknüpfungs-Tag gültig ist, und werden verwendet, um die endgültige Transaktion zu signieren.</p>\n\n<p>Da RingCT das Linking-Tag in die mehrdeutige Signatur einbackt, sind Signier- (und Multisignatur-)Vorgänge rechenintensiver und es wird schwieriger, andere Tag-bezogene Funktionen zu erstellen.\nAber in Seraphis kann die Erstellung von Mitgliedschaftsnachweisen sicher von sehr vertrauenswürdigen Geräten (die möglicherweise über eine begrenzte Rechenleistung verfügen, wie z .</p>\n\n<p>Glücklicherweise existieren einige der von Seraphis benötigten Bausteine bereits an anderer Stelle und müssen nicht von Grund auf neu entwickelt werden.\nSowohl die Bulletproofs als auch die Bulletproofs+ Konstruktionen können als Reichweitennachweise verwendet werden.\nModifikationen an Prüfsystemen vom Schnorr-Typ können für autorisierende Nachweise verwendet werden.\nUnd ein effizientes <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://eprint.iacr.org/2015/643\">Beweissystem</a>, das bereits als Grundlage für Triptych, <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://eprint.iacr.org/2019/373\">Lelantus</a> und <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://eprint.iacr.org/2021/1173\">Spark</a><sup>*</sup> verwendet wird, kann für Mitgliedschaftsnachweise modifiziert werden. X2127X]\n\n<p><sup>*</sup> Cypher Stack erhält Finanzierung für Spark-Entwicklung.</p>';

  @override
  String get knowledge250Sbseraphis250Sb3250Sbtitle => 'Bausteine';

  @override
  String get knowledge250Sbseraphis250Sb4250Sbtext => '<p>Leider sind derzeit verwendete Monero-Adressen nicht mit Seraphis kompatibel.\nBenutzer müssten neue Adressen aus ihren Brieftaschenschlüsseln generieren, um Monero zu erhalten, wenn Seraphis implementiert wäre.\nDiese Ökosystemkosten sind jedoch mit einer Vielzahl von Vorteilen verbunden.</p>\n\n<p> Abgesehen von den oben diskutierten strukturellen Vorteilen ist das Seraphis-Design für viele verschiedene Adresskonstruktionsmöglichkeiten zugänglich, von denen jede mit Kompromissen einhergeht.\nWährend die endgültige Adresskonstruktion, die in Seraphis verwendet werden soll, <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://github.com/monero-project/research-lab/issues/92\">noch entschieden wird</a> (ein Schema, das viel Aufmerksamkeit erhält, heißt <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://gist.github.com/tevador/50160d160d24cfc6c52ae02eb3d17024\">JAMTIS</a>), können wir einige allgemeine und nützliche Funktionen beschreiben.[X908X ]\n\n<p>Sie wissen vielleicht, dass Monero-Adressen eine <em>Ansichtsschlüssel</em>-Funktionalität bieten, bei der Sie einem Gerät oder Dritten einen Ansichtsschlüssel zur Verfügung stellen und ihm erlauben können, in Ihrem Namen nach eingehenden Ausgaben zu suchen, ohne auf Ausgaben zu verzichten Behörde.\nDies ist nützlich für Brieftaschen, die auf dem neuesten Stand bleiben können, während Ihr Ausgabenschlüssel sicher verschlossen bleibt.\nEs ist auch nützlich für Fälle, in denen Sie einen externen Zugriff wünschen, wie z. B. eine öffentliche Wohltätigkeitsorganisation, die Transparenz anbietet, oder ein Unternehmen mit einer Buchhaltungsabteilung.</p>\n\n<p>Der Nachteil von Monero-Ansichtstasten ist, dass sie keinen vollständigen oder feinkörnigen Ansichtszugriff bieten.\nEs ist nicht möglich, zuverlässig zu erkennen, wann ein Wallet Geld ausgibt, was es schwierig macht, Wallet-Guthaben richtig zu berechnen, wenn der Ausgabenschlüssel nicht verfügbar ist.\nEs ist derzeit auch nicht möglich, eingehende Ausgaben zu erkennen, ohne auch den in diesen Ausgaben enthaltenen Wert zu erfahren (was bedeutet, dass alle Drittanbieter, die für die Suche nach eingehenden Ausgaben verantwortlich sind, genau erfahren, wie viel Monero Sie erwerben).</p>\n\n<p>Seraphis-Adressierungskonstruktionen können dieses Problem lösen.\nBei Seraphis ist Ihre Adresse mit verschiedenen Schlüsseln ausgestattet, die verschiedene Dinge tun können:</p>\n\n<ul>\n<li>Auf eingehende Ausgaben achten, aber deren Wert verbergen</li>\n<li>Auf eingehende Ausgaben achten, aber deren Wert anzeigen</li>\n<li>Auf ausgehende Ausgaben achten</li>\n<li> Ihnen helfen, Transaktionen zu generieren, aber nicht zu signieren</li>\n<li>Neue Adressen generieren (nützlich für Händler oder Austausch mit vielen Kunden)</li>\n</ul>\n\n<p>Als Adressinhaber können Sie entscheiden, wie viel Befugnis Sie an andere Geräte oder Dritte delegieren.</p>';

  @override
  String get knowledge250Sbseraphis250Sb4250Sbtitle => 'Adressierung';

  @override
  String get knowledge250Sbseraphis250Sb5250Sbtext => '<p>Seraphis ist eine große Veränderung im Monero-Ökosystem.\nWährend es Änderungen an Adressen und Transaktionsbausteinen erfordert, bietet sein Design Flexibilität und nützliche Funktionen, die mit dem heutigen RingCT-Protokoll nicht möglich sind.\nWährend ein Großteil des Designs abgeschlossen ist und zu <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://github.com/UkoeHB/monero/tree/seraphis_lib\">einer Implementierung</a> entwickelt wird, sind das Adressdesign und die Sicherheitsanalyse im Gange.\nSeraphis bietet eine hervorragende Gelegenheit, das Monero-Ökosystem voranzutreiben!</p>';

  @override
  String get knowledge250Sbseraphis250Sb5250Sbtitle => 'Das große Bild';

  @override
  String get knowledge250Sbseraphis250Sbdescription => 'Heute sprechen wir über Seraphis, eine kommende Reihe von Transaktionsprotokollstrukturen und Abstraktionen für das Monero-Ökosystem.';

  @override
  String get knowledge250Sbseraphis250Sbtitle => 'Seraphis: Was es für Monero tun wird';

  @override
  String get knowledge250Sbsov250Sb0250Sbtext => '<p>Es ist ein allgemeines Gesprächsthema (und davon sind wir überzeugt), dass Monero ein besseres Tauschmittel ist als Transparenzmünzen, einschließlich Bitcoin. Dies liegt daran, dass die inhärente Privatsphäre von Monero eine Nachverfolgung unmöglich macht und viele Gefahren umgeht, die sich daraus ergeben, dass Ihr Geldfluss allen interessierten Parteien zur Verfügung steht. Außerdem entsperrt die Privatsphäre Fungibilität, sodass Benutzer sicher sein können, dass jeder Monero, der gegen eine Ware oder Dienstleistung eingetauscht wird, jedem anderen gleichwertig ist, da es keine damit verbundene Vergangenheit gibt.</p>\n\n<p>So häufig dieser Diskussionspunkt auch ist, es gibt einen anderen, der normalerweise daneben auftaucht; dass, während Monero das bessere Tauschmittel sein mag, Bitcoin der bessere Wertaufbewahrer ist. Es ist nicht ungewöhnlich, dies zu hören, selbst innerhalb der Monero-Community. Verwenden Sie Monero wie ein Ausgabenkonto und verwenden Sie Bitcoin wie ein Sparkonto. Wenn sie zum Nachdenken gezwungen werden, denken diese Benutzer nicht einmal, dass dies unbedingt daran liegt, dass der Preis von Bitcoin stärker steigt als der von Monero, sondern weil Bitcoin „Eigenschaften“ hat, die es wie digitales Gold machen.</p>\n\n<p>Wir sind mit dieser Idee von ganzem Herzen nicht einverstanden und möchten in diesem Artikel erläutern, warum. Die radikale Transparenz von Bitcoin lenkt mehr von seinen Eigenschaften als Wertaufbewahrungsmittel ab, als die Leute glauben. Das erste und offensichtlichste Beispiel dafür ist die Vorstellung eines anderen allgemein akzeptierten Wertaufbewahrungsmittels, Gold, mit der Transparenz, die Bitcoin hat.</p>\n\n<p>Was würde mit dem Trust in Gold passieren, wenn es möglich wäre (trivial oft), eine Menge Gold an eine Einzelperson oder Gruppe zu binden? Würde es weiterhin so verwendet werden, wie es ist, wenn bei jedem Goldtransfer bekannt ist, dass ein Transfer stattgefunden hat, wer Absender und Empfänger waren und welche Goldmenge transferiert wurde? Wir denken nein.</p>\n\n<p>Eine der Eigenschaften von Gold, die dem Objekt der realen Welt innewohnt, ist, dass es von Natur aus privat ist. Man kann ihm künstlich eine Geschichte geben, indem man Vorbesitzer in einen Goldbarren einbrennt, aber diese können leicht entfernt werden, indem man den Barren einschmilzt und neu macht, eine Option, die bei Bitcoin nicht vorhanden ist.</p>\n\n<p>Diese Transparenz in Bewegung ist zwar für sich genommen zerstörerisch genug, aber nicht der einzige Fehler, den Gold hätte, wenn alle Informationen über seine Bewegung für alle verfügbar wären. Da wir den Goldfluss von Natur aus kennen, könnten wir identifizieren, welche Entitäten in der realen Welt große Vorräte davon haben. Einige davon sind möglicherweise keine Institutionen, sondern Einzelpersonen ohne groß angelegte Sicherheitseinrichtungen. Es ist nicht ungewöhnlich, dass der Normalbürger Gold als Absicherung gegen Katastrophen kauft, und wir wissen jetzt, dass Joe Schmoe die Straße runter irgendwo in seinem Haus 10.000 Dollar wert ist. Keine Informationen, die Joe wahrscheinlich der Welt mitteilen möchte.</p>\n\n<p>Ein gutes Wertaufbewahrungsmittel bedeutet nicht nur, dass der Preis stabil ist oder möglicherweise steigen wird, es bedeutet, dass sich der Inhaber wohl und sicher fühlt, wo er sein Geld angelegt hat. Mit radikaler Transparenz wird Gold also unbequem in Bewegung und potenziell gefährlich in Ruhe. Da ist es gut zu wissen, dass dies nur ein Gedankenexperiment war und Gold diese Eigenschaften nicht hat. Goldanleger können aufatmen.</p>\n\n<p>Aber das Gleiche gilt nicht für Bitcoin.</p>\n\n<p>Die Privatsphäre von Monero bietet in der Tat viel bessere Sicherheit sowohl in Bewegung als auch im Ruhezustand für jeden, der es entweder als Girokonto oder als Sparkonto verwenden möchte.</p>\n\n<p>Befürworter von Bitcoin werden jedoch argumentieren, dass Bitcoin als Wertaufbewahrungsmittel sicherer ist, weil es eine größere Hashrate hinter sich hat, sodass die Kette viel weniger wahrscheinlich umgeschrieben wird (d.h. Ihre gelagerten Coins können genommen werden). , und obwohl dies derzeit zutrifft, handelt es sich eher um ein soziales Problem, das sich mit der Zeit ändern kann, als um ein grundlegendes technologisches, das wahrscheinlich nie behoben werden wird.</p>\n\n<p>Ein zweites Argument für Bitcoin ist, dass es ein festes Angebot hat, während Monero eine Schwanzemission hat. Dies wird extrapoliert, um zu bedeuten, dass Monero einen unendlichen Vorrat hat, so dass es als Wertaufbewahrungsmittel genauso ungeeignet ist wie Fiat. Oberflächlich betrachtet ist dies definitiv das überzeugendere Argument der beiden, weshalb wir hierauf ausführlich eingehen möchten.</p>\n\n<p>Während Monero eine Schwanzemission hat, soll dies die langfristige Sicherheit von Monero gewährleisten. Sobald der letzte Bitcoin geprägt wurde, gibt es keine Blockbelohnung mehr, sodass der Gebührenmarkt allein bleibt, um die Miner anzuregen, die Kette zu sichern. Es gibt bereits vorläufige Untersuchungen, die darauf hindeuten, dass dies nicht ausreichen wird und die Sicherheit der Kette dramatisch sinken wird, wodurch die Kette zu 51 % anfällig für Angriffe wird.</p>\n\n<p>Letztendlich bedeutet dies, dass Sie einen Wertspeicher angehäuft haben, den Sie aus Angst vor einem Angriff niemals bewegen können. Zurück zu Gold, wäre Gold als Wertaufbewahrungsmittel überhaupt nützlich, wenn es unmöglich oder unerschwinglich gefährlich wäre, sich zu bewegen, zu verkaufen oder zu tauschen? Was nützt unzugänglicher Wert? Was nützt ein angesammelter Wert von Millionen von Dollar, wenn er immer nur in einem Fass ohne Boden sitzen kann?</p>\n\n<p>Lassen Sie uns den anderen Teil dieser Kritik ansprechen, anstatt den Monero-Teil des Problems mit der Hand wegzuwinken. Die Schwanzemission. Es stimmt zwar, dass es einen Zweck hat, aber einige könnten die bloße Existenz der Schwanzemission als Beweis dafür sehen, dass Monero nicht knapp sein kann und genau wie Fiat funktioniert. Auch das stimmt nicht. Fiat hat ein prozentuales Inflationsmodell, und selbst das ist nicht in Stein gemeißelt, sondern einem undurchsichtigen Körper korrumpierbarer Menschen unterworfen. Dies steht im Gegensatz zu Monero, das sich linear aufbläst, was bedeutet, dass die Inflation im Laufe der Zeit gegen Null tendiert. Außerdem bedeutet es, dass die Inflation im Gegensatz zu Fiat einfach berechnet und mit Sicherheit geplant werden kann.</p>';

  @override
  String get knowledge250Sbsov250Sbdescription => 'XMR ist das bessere Tauschmittel, aber BTC ist das bessere Wertaufbewahrungsmittel? Wir stimmen nicht zu. Die Transparenz von BTC lenkt mehr von seinen Eigenschaften als Wertaufbewahrungsmittel ab, als die Leute glauben.';

  @override
  String get knowledge250Sbsov250Sbtitle => 'Warum Monero ein besserer Wertspeicher ist als Bitcoin';

  @override
  String get knowledge250Sbstealth250Sb0250Sbtext => '<p>Monero hat einen dreistufigen Datenschutzansatz implementiert. Diese Technologien sind <a target=\"_blank\" href=\"/knowledge/ring-signatures\" class=\"next-link\">Ringsignaturen</a>, die die wahre Ausgabe (Sender) verbergen, RingCT, das die Beträge verbirgt, und Stealth-Adressen, die den Empfänger verstecken. Heute werden wir die letzte dieser genannten Technologien diskutieren: Stealth-Adressen.</p>\n\n<p>Es gibt viele Gründe, warum eine Person verbergen möchte, an wen sie sendet. Wir dürfen niemals zulassen, dass jemand versucht, uns davon zu überzeugen, dass alle Beispiele dafür unappetitliches Verhalten sind. Dinge wie das Senden an eine unpopuläre politische Partei, das Spenden an Wohltätigkeitsorganisationen oder die Unterstützung von Personen, die die Kultur als „abgesagt“ erachtet, sind alles Beispiele dafür, wo man sein Ausgabeverhalten aus Angst vor Konsequenzen verbergen möchte, aber von Natur aus vollkommen legitim ist.[X840X ]\n\n<p>Auf einer transparenten Blockchain sind die Adressen, an die man seine Transaktionen sendet, für alle sichtbar. Es ist wichtig zu bedenken, dass Miner, wenn sie selbst nicht damit einverstanden sind, wohin das Geld fließt, sich dafür entscheiden können, es nicht in einen Block abzubauen, wodurch diese Transaktion auf einer scheinbar zensurresistenten Plattform effektiv zensiert wird. Die einzige Möglichkeit, diese zugegebenermaßen unwahrscheinliche Zensur nicht möglich zu machen, besteht darin, dass Miner nicht zwischen Transaktionen unterscheiden können, weil alle On-Chain-Metadaten auf verschiedene Weise verschleiert werden. Etwas, wofür Monero bekannt ist.</p>\n\n<p>Monero löst dieses Problem der transparenten Adressen durch die Implementierung von Stealth-Adressen, einer Technologie, die ursprünglich 2011 vom Bitcoin-Talk-Forum-Benutzer ByteCoin für Bitcoin entwickelt wurde (die Beziehung zu Bytecoin, das später Stealth-Adressen integrieren würde, ist unbekannt). Die aktuelle Form von Stealth-Adressen weist jedoch einige Verbesserungen gegenüber der ursprünglichen Idee auf. Aber zuerst, um zu sehen, wie sie funktionieren, lassen Sie uns über Schlüssel sprechen.</p>\n\n<p>Es ist schwer, im Kryptowährungsraum zu sein und nichts über Schlüssel zu hören. Sätze wie „Sichern Sie Ihren privaten Schlüssel“ sind üblich, aber wenn ein durchschnittlicher Joe die Wörter „öffentlicher Schlüssel“ und „privater Schlüssel“ hört, bekommt er Angst und denkt, dass es zu technisch und verwirrend sein wird, um es zu verstehen. Aber keine Sorge. Wir werden es langsam angehen und viele Beispiele verwenden.</p>\n\n<p>Die zwei Arten von Schlüsseln, die in Kryptowährungen verwendet werden, sind, wie gerade erwähnt, öffentlich und privat. Diese beiden Schlüssel kommen normalerweise in einem Paar vor, was bedeutet, dass ein bestimmter öffentlicher und privater Schlüssel miteinander verknüpft sind. Tatsächlich wird der öffentliche Schlüssel normalerweise vom privaten Schlüssel abgeleitet, d. h. wenn Sie den privaten Schlüssel kennen, kann Ihr Wallet ein paar raffinierte Berechnungen anstellen und jedes Mal den richtigen öffentlichen Schlüssel finden.</p>\n\n<p>Wie der Name schon sagt, kann der öffentliche Schlüssel ohne Konsequenzen öffentlich sein. Normalerweise ist es ein Teil der Adresse, die Sie teilen, um Geld in Ihre Kryptowährungs-Brieftasche zu erhalten. Auch nach seinem Namensvetter ist der private Schlüssel einer, der nicht geteilt werden sollte. Es ist das Ding, mit dem Sie eine Transaktion unterzeichnen und ausgeben können. Wenn sie also gestohlen oder geteilt wird, kann der hinterhältige Dritte Ihr Geld ausgeben, normalerweise für sich selbst. </p>\n\n<p>Eine einfache Analogie dazu wäre ein Vorhängeschloss und der Schlüssel, der zum Aufschließen benötigt wird. Das offene Vorhängeschloss kann frei geteilt werden, und mit diesem Vorhängeschloss kann zwar alles verschlossen werden, aber nur die Person mit dem Schlüssel kann alles öffnen, woran das Vorhängeschloss geschlossen ist. Das Vorhängeschloss darf kopiert und geteilt werden, der Schlüssel nicht.</p>\n\n<p>Diese Schlüssel sind normalerweise vom Benutzer abstrahiert, sodass Sie sie nie wirklich sehen. In Monero erscheinen sie überhaupt nicht als unheimliche alphanumerische Zeichenfolge. In Monero kennt der normale Benutzer den privaten Schlüssel als seinen Seed. Der Seed (den Sie notieren sollten, wenn Sie es nicht getan haben) ist eigentlich nur ein für Menschen lesbarer privater Schlüssel. </p>\n\n<p>Siehst du? Gar nicht so gruselig. Zurück zu Stealth-Adressen.</p>\n\n<p>Wie bereits erwähnt, wurden Stealth-Adressen ursprünglich nicht für Monero, sondern für Bitcoin erstellt. Wie bei den meisten jungen Ideen hatte diese erste Iteration jedoch Probleme. Der nächste Versuch kam, als CryptoNote von Nicholas van Saberhagan für Bytecoin, den Vorläufer von Monero (<a target=\"_blank\" href=\"/knowledge/monero-history\" class=\"next-link\">siehe unsere Geschichte von Monero und Bytecoin hier</a>) erstellt wurde, und obwohl es eine deutliche Verbesserung gegenüber dem Original war, hatte es sogar eine einige subtile Mängel.</p>\n\n<p>Schließlich entstand eine letzte Iteration von einem Entwickler für eine andere, inzwischen nicht mehr existierende Datenschutz-Kryptowährung, die die offenen Datenschutz- und Sicherheitsprobleme mit der Idee behebt. Dies fand schließlich seinen Weg in Monero und wird heute verwendet.</p>\n\n<p>Obwohl diese Datenschutz- und Sicherheitsprobleme gelöst wurden, fügten Stealth-Adressen selbst den Blockchain-Technologien eine andere Art von Eigenart hinzu, eine, die vorher nicht existierte. Die Notwendigkeit zu scannen. Da Empfängeradressen nicht öffentlich in der Blockchain angezeigt werden, weiß der Empfänger nie, ob eine bestimmte Transaktion ihm gehört, also muss er jede eingehende Transaktion mit seinem privaten Schlüssel scannen, um zu sehen, ob es ihm gehört.</p>\n\n<p>Bei Transparenzmünzen müssen sie nur prüfen, ob eine Transaktion an Ihre Adresse gesendet wird. Eine einfache Ja-Nein-Frage. Aber mit Stealth-Adressen könnte jede Transaktion möglicherweise eine sein, die an Sie gesendet wird, also müssen Sie versuchen, jede mit Ihrem privaten Schlüssel zu entsperren, um zu sehen, ob sie geöffnet wird.</p>\n\n<p>Dies ist ein zusätzlicher Schritt, den Bitcoin und seine Derivate nicht haben, und macht die anfängliche Wallet-Einrichtung zusammen mit der Synchronisierung einer Wallet, wenn Sie sie eine Weile nicht geöffnet haben, viel länger als Bitcoin. Der Kompromiss ist jedoch notwendig, um die Datenschutzgarantien freizuschalten, die es hat. Es sei darauf hingewiesen, dass Stealth-Adressen im Gegensatz zum schwächsten Punkt des Datenschutz-Trifecta, Ringsignaturen, nicht anfällig für Heuristiken sind. Es stützt sich auf bewährte Elliptische-Kurven-Kryptographie, auf die sich das gesamte Internet stützt, so dass ein Bruch es das Ende der Computersicherheit im Allgemeinen bedeuten würde, nicht nur Monero.</p> ';

  @override
  String get knowledge250Sbstealth250Sbdescription => 'Auf einer transparenten Blockchain sind die Adressen, an die man seine Transaktionen sendet, für alle sichtbar. Monero löst dieses Problem durch die Implementierung von Stealth-Adressen.';

  @override
  String get knowledge250Sbstealth250Sbtitle => 'Wie Monero Stealth-Adressen Ihre Identität schützen';

  @override
  String get knowledge250Sbsubaddresses250Sb0250Sbtext => '<p>Monero hat immer innovative Wege gefunden, um schwierige Datenschutzprobleme zu lösen. Oftmals führen diese Innovationen zu anderen Innovationen, und manchmal können diese resultierenden Technologien sogar für Anwendungsfälle verwendet werden, die zuvor nicht berücksichtigt wurden. Nirgendwo wird dies mehr veranschaulicht als im Fall der Unteradressen-Technologie von Monero.</p>\n\n<p>Betrachten Sie ein hypothetisches Datenschutzproblem, bei dem die Verwendung einer Adresse über mehrere Plattformen hinweg von scheinbar nicht verwandten Personen zur Verknüpfung und Deanonymisierung dieser Personen führen kann. Einfach gesagt, wenn Sie eine Person namens Billy Joe Bob wären und Äpfel für Bitcoin verkaufen würden, könnten Sie Ihre Bitcoin-Adresse an einem öffentlichen Ort veröffentlichen, damit Kunden Sie bezahlen können. Nehmen wir an, die Adresse beginnt mit der alphanumerischen Zeichenfolge 7XybV3 ... Aber abgesehen von dem offensichtlichen Datenschutzrisiko, dass jeder in der Lage ist, Ihr Bitcoin-Guthaben zu überprüfen und zu sehen, wie viel Sie verkauft haben, gibt es ein zweites, nicht oft erwähntes Datenschutzrisiko. Nehmen wir an, Sie waren auch ein Underground-Hacker mit dem Namen l33tz0r. Sie machen Whistleblowing-Arbeit, erzählen einer ahnungslosen Bevölkerung von staatlicher Korruption, und es ist zwingend erforderlich, dass Sie Ihre Identität geheim halten. Sie akzeptieren Bitcoin-Spenden für Ihre Arbeit und veröffentlichen die Adresse in einem öffentlichen Forum. Es ist dieselbe Adresse, an der Sie Geld von Ihren Apple-Kunden annehmen. Der 7XybV3 ... einer.</p>\n\n<p>Ein einfacher, aber verheerender Deanonymisierungsangriff wäre die Verwendung einer Internet-Suchmaschine, um nach Ihrer Bitcoin-Adresse zu suchen. Die Eingabe der Adresse von 7XybV3... in die Engine führt zu zwei unterschiedlichen Ergebnissen. Das Apfelgeschäft und l33tz0r. Dies reicht aus, um die beiden Identitäten zu verknüpfen und l33tz0r zu deanonymisieren, mit möglicherweise beängstigenden Konsequenzen für die Machthaber. </p>\n\n<p>Es ist wichtig zu beachten, dass dieser Angriff AUCH mit Monero möglich ist. Obwohl Monero die meisten On-Chain-Daten verbirgt, verwendet dieser Angriff keine. Es verwendet nur die Adresse, die geteilt werden muss, um Zahlungen zu erhalten. Öffentlich bei anonymen Spenden. Dies ist ein möglicher Weg, auf dem Monero-Benutzer unwissentlich ihre Privatsphäre verletzen können, und ist auch ein Beispiel dafür, dass Monero, obwohl es in Bezug auf die Aufbewahrung der Privatsphäre an erster Stelle steht, nicht kugelsicher ist.</p>\n\n<p>Der übliche Weg, dieses Problem zu umgehen, war der Besitz mehrerer Wallets. Da für jede Identität (oder jeden Anwendungsfall) unterschiedliche Adressen gepostet werden, können sie nicht verknüpft werden. Diese Privatsphäre gilt jedoch nur, wenn der Benutzer sie niemals verwechselt. Das versehentliche Posten der falschen Adresse hätte die gleichen Verknüpfungseffekte. Außerdem muss der Seed jeder Adresse sicher aufbewahrt werden, was die mit jeder neu erstellten Wallet erforderliche Infosec-Arbeit erhöht.</p>\n\n<p>Moneros Lösung waren Unteradressen. Die Möglichkeit, eine absolut riesige Anzahl von Adressen unter der Hauptadresse zu erstellen und sie als eine Art Seed zu verwenden. Jede generierte Unteradresse kann Monero akzeptieren, und alles geht an dieselbe Brieftasche. Mit dieser Methode ist die Anzahl der Identitäten, die unter einer Adresse betrieben werden können, enorm, während der Infosec-Aufwand auf ein Minimum reduziert wird. Diese Adressen sind auch nicht mathematisch verknüpfbar, sodass ein außenstehender Beobachter große Schwierigkeiten haben wird, sie zu verknüpfen, es sei denn, der Benutzer schreit seine Verbindung in die Welt hinaus.</p>\n\n<p>Aber ein weiterer interessanter Anwendungsfall ergab sich aus Unteradressen; als Ersatzmöglichkeit der allseits verhassten Bezahl-IDs.</p>\n\n<p>Zahlungs-IDs waren eine Möglichkeit für Händler zu identifizieren, welcher Kunde welche Zahlung gesendet hat. Da Monero-Informationen in der Kette verschleiert werden, kann der Empfänger einer Transaktion nicht sehen, von welcher Adresse sie gesendet wurde. Dies bedeutet, dass es bei Artikeln mit ähnlichen Preisen und Mehrfachbestellungen unmöglich werden kann, zu identifizieren, wer was gesendet hat. Zahlungs-IDs sind eine eindeutige, zufällige Zeichenfolge, die vom Händler generiert und dem Kunden gegeben wird. Der Kunde fügt dies beim Senden der Transaktion als separates Feld hinzu. Diese zufällige Zeichenfolge wird als Teil der Transaktion in die Blockchain eingefügt, und auf diese Weise kann der Händler eingehende Transaktionen identifizieren und sortieren.</p>\n\n<p>Diese Methode war in mehrfacher Hinsicht fehlerhaft. Erstens beeinträchtigt es die Einheitlichkeit der On-Chain-Daten. Zusätzliche, eindeutige Metadaten können einige Transaktionen aus der Masse hervorheben und dadurch eine heuristische Analyse ermöglichen. Dies gilt insbesondere dann, wenn diese Metadaten nicht für alle obligatorisch durchgesetzt werden. Dies für alle obligatorisch zu machen, würde der Blockchain jedoch unnötig Platz hinzufügen und wurde nicht weiterverfolgt. Wenn eine Zahlungs-ID jemals aus irgendeinem Grund wiederverwendet würde, wäre es außerdem trivial, zwei Transaktionen als verbunden zu verknüpfen. Dies trat typischerweise bei Einzahlungen an Börsen auf, und jeder konnte Transaktionen leicht sowohl als Einzahlung an einer Börse als auch von einer bestimmten Person verknüpfen.</p>\n\n<p>Zweitens stellen Zahlungs-IDs aus UX-Perspektive einen zweiten Schritt dar, an den Benutzer von Kryptowährungen, die von anderen Coins kommen, nicht gewöhnt sind, und wenn sie vergessen werden, bereitet dies dem Händler massive Kopfschmerzen, der diese Transaktionen auf andere Weise identifizieren muss . Dies geschah in der Regel, indem direkt mit jedem Kunden gesprochen wurde, der vergessen hatte, die Zahlungs-ID anzugeben, und andere identifizierende Informationen bestätigt wurden, die nur er kennen konnte, z. B. eine Kombination aus Betrag, Sendedatum und Transaktions-ID.</p>\n\n<p>Dieser zusätzliche Schritt wurde von vielen übersehen, und es kam zu dem Punkt, an dem einige Börsen anfingen, Kunden Geld in Rechnung zu stellen, wenn ihr Geld manuell abgerufen werden musste, weil sie eine Zahlungs-ID vergessen hatten. Andere bissen die Zähne zusammen und aßen die zusätzlichen Supportkosten, aber keiner war glücklich darüber.</p>\n\n<p>Es gab eine Lösung dafür, integrierte Adressen, die die Adresse und die Zahlungs-ID in einer Zeichenfolge zusammenführte, damit sie nicht vergessen werden konnte, aber die Akzeptanz war ziemlich schwach, trotz der Vorteile, die Händler daraus gezogen hätten. </p>\n\n<p>In einer interessanten Wendung der Ereignisse kamen Unteradressen herein, um den Tag zu retten. Die Fähigkeit, große Mengen an Unteradressen pro Hauptadresse zu generieren und zu identifizieren, welche Transaktionen an welche Unteradressen gingen, ermöglichte es Händlern, sich auf elegante Weise von Zahlungs-IDs zu befreien und gleichzeitig die nächste Generation der Monero-Technologie zu übernehmen. Seitdem haben die meisten Börsen und Händler-Tools auf Unteradressen als primäre Art der Transaktionsidentifikation umgestellt.</p>\n\n<p>Was als Lösung für ein Datenschutzproblem begann, wurde zu etwas viel mehr, das ein großes UX-Problem für Händler und Kunden gleichermaßen löste. Innovation erzeugt mehr Innovation, was oft zu unerwarteten Gewinnen für alle führen kann. Monero hat dies immer wieder erlebt und unternimmt große Anstrengungen, um zu erneuern, was auf der Blockchain möglich ist. Wer weiß, was wir sonst noch gemeinsam freischalten können?</p>';

  @override
  String get knowledge250Sbsubaddresses250Sbdescription => 'Monero hat immer innovative Wege gefunden, um schwierige Datenschutzprobleme zu lösen. Nirgendwo wird dies mehr veranschaulicht als im Fall der Unteradressen-Technologie von Monero.';

  @override
  String get knowledge250Sbsubaddresses250Sbtitle => 'Wie Monero-Subadressen die Identitätsverknüpfung verhindern';

  @override
  String get knowledge250Sbtitle => 'Wissen';

  @override
  String get knowledge250Sbtrust250Sb0250Sbtext => '<p>Nur wenige Ideen im Kryptowährungsbereich erhalten so viel Aufmerksamkeit und Diskussion wie das Konzept des Vertrauens, und das nicht ohne Grund. Schließlich besteht der ganze Sinn einer Blockchain darin, das Vertrauen in Dritte zu beseitigen.</p>\n\n<p>Für diejenigen, die die Idee nicht vollständig verstehen, hier ist eine leichte Einführung. Im traditionellen Finanzsystem werden im Allgemeinen Dritte für verschiedene Aufgaben eingesetzt. Banken werden verwendet, um Geld in Ihrem Namen vor Diebstahl zu schützen, Schiedsrichter. Escrows werden verwendet, damit Geschäftsabschlüsse zwischen zwei Parteien stattfinden können, die einander nicht vertrauen. Kreditkartenunternehmen zahlen Geld für Waren und Dienstleistungen in Ihrem Namen aus und gehen das Risiko ein, dass Sie diese möglicherweise nicht zurückzahlen.</p>\n\n<p>Jede dieser Instanzen erfordert Vertrauen. Bei den Banken und Treuhändern vertrauen Sie darauf, dass sie selbst nicht mit Ihrem Geld davonlaufen, und bei den Kreditkartenunternehmen vertrauen Sie darauf, dass sie ohne Ihre Zustimmung kein Geld in Ihrem Namen auszahlen, was alles sehr gut möglich ist. Wir tun, was wir können, um sicherzustellen, dass diese Dinge nicht passieren. Wir arbeiten nur mit vertrauenswürdigen Unternehmen und Einzelpersonen zusammen, und wir erlassen Gesetze, um die oben genannten Szenarien illegal zu machen, und versuchen, den Straftätern Konsequenzen zuzusichern, aber das hindert sie sowieso nicht immer daran, dass sie passieren.</p>\n\n<p>Außerdem sind diese Dienste nicht kostenlos. Treuhänder und Banken können für ihre Dienste Gebühren erheben, und Kreditkarten berechnen Zinsen auf geliehenes Geld.</p>\n\n<p>Blockchain wurde entwickelt, um diese Zwischenhändler und das damit verbundene Vertrauen und die damit verbundenen Gebühren zu eliminieren. Durch die Kraft des Konsenses können Benutzer selbst den Stand des Hauptbuchs durchsetzen, ohne darauf zu vertrauen, dass jemand ihnen sagt, wie viel Geld sie haben, und ohne dass vertrauenswürdige Dritte möglicherweise mit Ihren Geldern davonlaufen.</p>\n\n<p>Diese Vertrauenslosigkeit wird so sehr betont, dass jede Änderung oder technologische Ergänzung, die der Blockchain wieder ein Vertrauenselement hinzufügt, auf große Skepsis und Kritik stößt, und einige Projekte lehnen alle diese Vorstellungen rundweg ab. Es ist also interessant, dass der Privatsphäre nicht die gleiche Beachtung geschenkt wird.</p>\n\n<p>Wieder einmal schauen wir uns den Rest der Welt an und wir sehen, dass unsere Privatsphäre zu oft der Gnade „vertrauenswürdiger“ Dritter ausgesetzt ist. Wenn wir unsere physischen Adressen für einen Artikel angeben, den wir an uns versenden möchten, vertrauen wir darauf, dass das betreffende Geschäft diese Informationen nicht für schändliche Zwecke verwendet oder an andere verkauft. Das Gleiche gilt für unsere persönlichen Gedanken oder Fotos, die wir in sozialen Medien posten. Es gilt sogar für unsere Finanzen, da mehrere Hacks in der Buchhaltungsbranche oder Finanz-Apps mit Hochdruck an ein internes öffentliches Board posten, wofür die Leute Geld ausgeben (z. B. Venmo).</p>\n\n<p>Monero sieht diese Verpflichtung zur Vertrauenslosigkeit in der Blockchain und wendet einen ähnlichen Standard an, wie wir mit dem Datenschutz umgehen. Unsere Privatsphäre sollte nicht von einem Dritten abhängen, der verspricht, sie zu schützen, genauso wenig wie unsere Finanzen davon abhängen sollten, dass andere uns versprechen, dass sie nicht mit ihnen durchbrennen werden. Zu diesem Zweck stellt Monero sicher, dass alle implementierten Datenschutztechnologien vertrauenswürdig sind.</p>\n\n<p>Es gibt andere Datenschutztechnologien, die herumschwirren. Vertraute, und zugegebenermaßen sind sie nicht ohne Stärken. Zcash verwendet bestimmte Arten von Nachweissystemen als Bausteine in seinem vertraulichen Transaktionsprotokoll, die sehr starke Datenschutzgarantien mit großen Anonymitätssätzen haben und bei richtiger Anwendung eine wirksame Möglichkeit sein könnten, Ihre Privatsphäre zu gewährleisten. Der Nachteil dieses Ansatzes besteht jedoch darin, dass im Rahmen der anfänglichen Einrichtung dieser Technologie ein Parametersatz vorhanden sein muss, der ausgewählt und anschließend vergessen werden muss. Wenn jemand diesen Parameter beibehält, hätte er die Möglichkeit, falsche SNARK-Proofs zu erstellen und effektiv Geld zu drucken, ohne dass jemand klüger wird, weil es verborgen ist. Aber wirkt sich das auf die Privatsphäre aus? Einige theoretisieren ja, andere nein, und am Ende muss noch mehr geforscht werden, um zu einer endgültigen Antwort zu kommen.</p>\n\n<p>Unabhängig davon klingt dieser Prozess der Vertrauensminimierung genauso wie die Szenarien, die wir am Anfang dieses Artikels besprochen haben. Die traditionelle Welt. Diejenige, von der wir versuchen, uns zu entfernen. Blockchain selbst reduziert das Vertrauen in Dritte nicht, sondern eliminiert es. Die Monero-Community ist der Meinung, dass derselbe Standard der Eliminierung statt Reduzierung auch auf unsere Datenschutztechnologien angewendet werden sollte. Nur weil nicht endgültig bewiesen ist, dass vertrauenswürdige Setups die Privatsphäre gefährden können oder nicht, heißt das nicht, dass wir in dieser Hinsicht nachlässig sein sollten, dem System wieder Vertrauen zu geben.</p>\n\n<p>Natürlich ist jeder Fortschritt im Bereich der Privatsphäre eine Verbesserung, und oft ist vertrauenswürdige Privatsphäre nur ein Sprungbrett zu vertrauenswürdiger Privatsphäre, und in diesen Fällen freuen wir uns, dass sich der Raum weiterentwickelt. Und doch kann die Monero-Community gleichzeitig nicht guten Gewissens Datenschutztechnologie auf unserer Blockchain einsetzen, die den eigentlichen Zweck unserer Revolution schwächen würde.</p>\n\n<p>Wir werden oft gefragt, wann Monero diese oder jene neue Datenschutztechnologie implementieren wird. Diese Fragen kommen oft von Uninformierten, die die Kompromisse nicht verstehen und nur die neuen Datenschutz-Schlagworte des Tages nachplappern. Die Antwort auf diese Fragen ist einfach. Monero betrachtet, überprüft und erforscht ständig neue Datenschutzprotokolle, die die Datenschutzgarantien in der Monero-Kette stärken würden, aber wir sind nicht bereit, in die Welt der vertrauenswürdigen Privatsphäre einzutauchen, um dieses Ziel zu erreichen, selbst wenn die Garantien theoretisch stärker sind.[ X5461X]\n\n<p>Einige sagen, dass sich dieser Ansatz als veraltet erweisen wird, aber wir glauben, dass solche Leute die Geschichte verloren haben, warum wir überhaupt hier sind.</p>';

  @override
  String get knowledge250Sbtrust250Sbdescription => 'Das Konzept des Vertrauens ist eines der am meisten diskutierten im Bereich der Kryptowährung. Schließlich besteht der ganze Sinn einer Blockchain darin, das Vertrauen in Dritte zu beseitigen.';

  @override
  String get knowledge250Sbtrust250Sbtitle => 'Warum Monero im Gegensatz zu Zcash ein vertrauenswürdiges Setup verwendet';

  @override
  String get knowledge250Sbupgrades250Sb0250Sbtext => '<p>Einer der am häufigsten missverstandenen Teile von Moneros Ansatz zum Aufbau einer dezentralisierten, die Privatsphäre wahrenden und sicheren Kryptowährung ist die Rolle, die Hard-Forks (oder Netzwerk-Upgrades) spielen.</p>\n<p>In diesem Beitrag gehen wir darauf ein, was Hard-Forks sind, warum sie für Monero wichtig sind und welche Rolle Sie in Zukunft darin spielen können.</p>';

  @override
  String get knowledge250Sbupgrades250Sb1250Sbtext => '<p>Die Monero-Community hat sich verpflichtet, das Projekt im Laufe der Zeit zu wiederholen und zu verbessern, und es scheint, dass sich das Engagement auf zwei Schlüsselaspekte des Ethos der Community reduziert:</p>\n<ol type=\"1\">\n<li><p>Das Monero-Projekt ist letztendlich Software – Code – von Menschen geschrieben. Dies kann dazu führen, dass Fehler behoben, im Laufe der Zeit entdeckte oder erfundene Verbesserungen hinzugefügt, Modernisierungen des Protokolls implementiert oder das Projekt einfach gewartet werden müssen. Dies ähnelt in vielerlei Hinsicht der anderen Software, die Sie verwenden (wie dem Browser, in dem Sie dies lesen!), die ständig aktualisiert werden muss, um neue Funktionen hinzuzufügen und Fehler zu beheben.</p></li>\n<li><p>Das Monero-Projekt ist ein Datenschutz-Tool, und der Datenschutz ist ein ständig fortschreitendes Wettrüsten. Die Menschen und Gruppen, die nichts lieber tun würden, als der Welt die Privatsphäre (sowohl finanziell als auch persönlich) zu nehmen, verbessern, entwickeln und erfinden ständig neue Wege, um moderne Ansätze zur Wahrung der Privatsphäre, wie sie in Monero verwendet werden, anzugreifen. Da die Feinde der Privatsphäre diese neuen Ansätze finden, muss das Monero-Netzwerk in der Lage sein, sich anzupassen und zu verbessern, um zurückzuschlagen und unser Recht auf finanzielle Privatsphäre zu verteidigen.</p></li>\n</ol>';

  @override
  String get knowledge250Sbupgrades250Sb1250Sbtitle => 'Warum muss Monero das Netzwerk ständig aktualisieren?';

  @override
  String get knowledge250Sbupgrades250Sb2250Sbtext => '<p>Die Komplexität des Upgrades von Monero wird deutlich, sobald Sie verstehen, wie unterschiedlich das Upgrade einer Kryptowährung ist, anstatt einfach ein Software-Update auf so etwas wie einen Browser zu übertragen.</p>\n<p>In Kryptowährungen müssen die Regeln des Netzwerks (Dinge wie Transaktionen aussehen sollten, wie Mining funktioniert und wie jeder Block verifiziert wird) vom Netzwerk vereinbart werden, was als „Konsens“ bezeichnet wird. Wenn eine dieser Regeln geändert oder aktualisiert werden muss, muss sich das Netzwerk auf die neuen Regeln einigen, was zu einer „Hard-Fork“ führt – einer Situation, in der sich das Netzwerk tatsächlich in zwei Ketten von Blöcken aufteilt – eine nach den alten Regeln und eine eine zu den neuen Regeln.</p>\n<p>Wenn sich alle in der Community auf die Regeländerungen einigen, wird dies als „nicht umstrittene Hard-Fork“ bezeichnet, und die Kette, die noch die alten Regeln hat, stirbt ab und wird nach der Hard-Fork nicht mehr abgebaut. Dies war bei fast jeder Hard-Fork von Monero der Fall, und die einzige Fortsetzung der alten Regeln waren Projekte, die versuchten, von der Hard-Fork zu profitieren.</p>\n<p>Während unstrittige Hard-Forks die einzige Möglichkeit sind, wichtige Aspekte des Monero-Netzwerks richtig zu aktualisieren, haben sie auch einen frustrierenden Nebeneffekt – alte Software, die veröffentlicht wurde, bevor die Hard-Fork geplant war, kann die neue nicht verstehen Regeln des Netzwerks und funktioniert daher nach dem Hard-Fork nicht mehr! Dies kann dazu führen, dass Benutzer denken, dass Gelder verloren sind, denken, dass die Monero-Blockchain gestoppt wurde, und Gelder nicht bewegen können, bis sie ihre Brieftasche aktualisieren.</p>';

  @override
  String get knowledge250Sbupgrades250Sb2250Sbtitle => 'Was ist eine Hard-Fork?';

  @override
  String get knowledge250Sbupgrades250Sb3250Sbtext => '<p>Da es keine zentrale Autorität, keinen CEO oder Präsidenten von Monero gibt, fällt die Arbeit rund um die Entscheidung, wann das Netzwerk aktualisiert werden soll, was aufgenommen werden soll und wie es vorzugehen ist, <em>uns</em> zu, diesen Leuten die Monero-Community, die sich dafür entscheidet, sich zu engagieren und zu interagieren! Dies ist ein äußerst wichtiger Teil eines dezentralisierten Projekts, da die Planung und Entscheidungsfindung für das Projekt letztendlich dezentralisiert und von der Community per Crowdsourcing durchgeführt wird.</p>\n<p>Die Planung des Timings und der Funktionen, die in jedem Netzwerk-Upgrade in Monero enthalten sind, erfolgt an zwei Hauptorten:</p>\n<ol type=\"1\">\n<li><p>Auf IRC und Matrix, den am häufigsten verwendeten Chat-Plattformen in der Monero-Community (die miteinander verbunden sind). Diese Plattformen ermöglichen große Gruppenchats und sind der Ort, an dem alle geplanten Monero-Community-Treffen, Entwicklertreffen und Forschungslabortreffen abgehalten werden. Diese Meetings sind die beste Möglichkeit für Sie, der Planung und Diskussion rund um Netzwerk-Upgrades in Monero zuzuhören (oder beizutragen!).</p></li>\n<li><p>Auf Github, der Hauptkommunikationsplattform für länger laufende Monero-Diskussionen, Planung und Organisation. Die Monero-Community verwendet Github, um Meetings zu organisieren, neue Funktionen und Ideen zu diskutieren und die Planung von Netzwerk-Upgrades zu koordinieren, zusätzlich zum Speichern des Codes für das Monero-Projekt.</p></li>\n</ol>\n<p>Wenn Sie eine wichtige Idee für ein Netzwerk-Upgrade haben, einen Ansatz nicht mögen oder Bedenken hinsichtlich des Zeitpunkts eines Upgrades haben, ist es wichtig, dass Sie sich zu Wort melden und Ihren Fall der Community klar präsentieren![X1521X ]';

  @override
  String get knowledge250Sbupgrades250Sb3250Sbtitle => 'Wer entscheidet, wann das Monero-Netzwerk aktualisiert wird und was enthalten ist?';

  @override
  String get knowledge250Sbupgrades250Sb4250Sbtext => '<p>Da Upgrades des Monero-Netzwerks zusammen mit Software-Updates eine Community-Koordination und -Genehmigung erfordern, ist es äußerst wichtig, dass sich so viele Menschen wie möglich an der Planung, dem Testen und dem Kommunikationsprozess von Netzwerk-Upgrades beteiligen.</p>\n<p>Hier sind ein paar einfache Möglichkeiten, wie Sie die Dinge rund um ein Netzwerk-Upgrade glätten können:</p>\n<ol type=\"1\">\n<li>Nehmen Sie an den Planungstreffen teil, <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://github.com/monero-project/meta/issues\">die auf Github</a> gepostet werden, hören Sie zu und tragen Sie bei, wenn Sie etwas Relevantes anzusprechen haben.</li>\n<li>Teilen Sie die Details zum Zeitpunkt des Netzwerk-Upgrades (nachdem Sie sich entschieden haben!) mit Ihrer bevorzugten Börse, Brieftasche oder Ihrem bevorzugten Mining-Pool. Es kann schwierig sein, alle Monero-Benutzer ordnungsgemäß über ein Upgrade zu informieren, daher ist es wichtig, dass wir alle helfen, wo wir können, um die Nachricht zu verbreiten.</li>\n<li>Testen Sie die Software vor dem Netzwerk-Upgrade. Vor dem Netzwerk-Upgrade wird sowohl im Testnet als auch im Stagenet ein Aufruf an die Tester gesendet, um sicherzustellen, dass jeder Aspekt des Upgrades ordnungsgemäß geplant und in der Software implementiert wurde. Je mehr Leute sich engagieren und die neuen Versionen gründlich testen, desto wahrscheinlicher wird das Netzwerk-Upgrade reibungslos verlaufen!</li>\n<li>Sobald Releases veröffentlicht werden, die mit dem Netzwerk-Upgrade kompatibel sind, stellen Sie sicher, dass Sie sofort ein Upgrade durchführen! Je mehr Leute aktualisiert und bereit für das Netzwerk-Upgrade sind, desto reibungsloser wird das Netzwerk damit umgehen und desto weniger Kopfschmerzen werden die Benutzer haben.</li>\n</ol>';

  @override
  String get knowledge250Sbupgrades250Sb4250Sbtitle => 'Wie kann ich bei Netzwerk-Upgrades helfen?';

  @override
  String get knowledge250Sbupgrades250Sb5250Sbtext => '<p>Obwohl es noch kein in Stein gemeißeltes Datum gibt, wird es bald ein Netzwerk-Upgrade geben, um einige wichtige Upgrades und Funktionen in Monero zu implementieren:</p>\n<ol type=\"1\">\n<li>Eine Erhöhung der Ringgröße von 11 auf 16, wodurch der Basis-Anonymitätssatz (sprich: plausible Leugnung oder Basis-Datenschutz) jeder Transaktion im Netzwerk erhöht wird</li>\n<li><a class=\"next-link\" target=\"_blank\" href=\"https://localmonero.co/knowledge/view-tags-reduce-monero-sync-time\">Tags anzeigen, eine hervorragende Möglichkeit, die Synchronisierungszeiten der Brieftasche um 30–40 % zu reduzieren</a></li>\n<li>Gebührenänderungen, Verbesserung der Sicherheit und Widerstandsfähigkeit des Netzwerks gegenüber schnellen Änderungen auf dem Gebührenmarkt oder Angriffen durch böswillige Entitäten</li>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://www.getmonero.org/2020/12/24/Bulletproofs+-in-Monero.html\">Bulletproofs+, eine weitere Verbesserung der Effizienz von Monero-Transaktionen</a></li>\n</ol>\n<p>Diese Änderungen werden einen großen Beitrag zur Erhöhung der Privatsphäre, Effizienz und Sicherheit des Netzwerks leisten und gleichzeitig den Weg für <a class=\"next-link\" target=\"_blank\" href=\"https://localmonero.co/knowledge/seraphis-for-monero\">Seraphis</a> ebnen, das Transaktionsprotokoll der nächsten Generation für Monero.</p>';

  @override
  String get knowledge250Sbupgrades250Sb5250Sbtitle => 'Was kann ich beim nächsten Monero-Netzwerk-Upgrade erwarten?';

  @override
  String get knowledge250Sbupgrades250Sb6250Sbtext => '<p>Das Thema Hard-Forks und Netzwerk-Upgrades ist weitreichend und es gibt eine lange und geschichtsträchtige Geschichte von ihnen in Monero, also vergewissern Sie sich, dass Sie sich einige der folgenden Links ansehen, wenn Sie mehr darüber erfahren möchten Verlauf, Prozess oder laufende Planung für das bevorstehende Netzwerk-Upgrade!</p>\n<ul>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://github.com/monero-project/meta/issues/630\">Monero v15 Hard-Fork-Planung</a></li>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://github.com/monero-project/monero#scheduled-software-upgrades\">Geplante Software-Upgrades (in Monero)</a></li>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://web.getmonero.org/2020/09/01/note-scheduled-upgrades.html\">Ein Hinweis zu geplanten Protokoll-Upgrades</a></li>\n</ul>';

  @override
  String get knowledge250Sbupgrades250Sb6250Sbtitle => 'Wie kann ich mehr erfahren?';

  @override
  String get knowledge250Sbupgrades250Sbdescription => 'Die Rolle von XMR-Hard-Forks wird oft missverstanden – heute werden wir durchgehen, was sie sind und warum sie wichtig sind.';

  @override
  String get knowledge250Sbupgrades250Sbtitle => 'Wie Monero Hard-Forks verwendet, um das Netzwerk zu aktualisieren';

  @override
  String get knowledge250SbviewTags250Sb0250Sbtext => '<p>Eine der häufigsten Beschwerden bei der täglichen Verwendung von Monero ist die Zeit, die es dauern kann, eine Brieftasche zu synchronisieren, bevor Monero gesendet werden kann. Zum Glück haben Entwickler und Forscher in der Monero-Community einen brillanten Weg gefunden, um die Zeit, die Sie zum Synchronisieren Ihrer Brieftasche benötigen, um mehr als 40 % zu verkürzen, ohne zusätzliche Blockchain-Aufblähung, Gebühren usw.</p>\n\n<p>Geben Sie „View-Tags“ ein, eine Ein-Byte-Ergänzung zu den Daten jeder Transaktion – kommt beim nächsten Netzwerk-Upgrade zu Monero!</p>';

  @override
  String get knowledge250SbviewTags250Sb1250Sbtext => '<p>Eine der ersten Fragen, die wir beantworten müssen, um die Notwendigkeit einer Lösung wie View-Tags besser zu verstehen, ist, warum die Wallet-Synchronisierung von Monero langsamer ist als Kryptowährungen wie Bitcoin.</p>\n<p>In Bitcoin, da alle Transaktionen nicht privat sind und die ausgegebenen Münzen, die Beträge und die beteiligten Adressen in der Kette offenlegen, können Bitcoin-Brieftaschen einfach nach nicht ausgegebenen Transaktionsausgaben (UTXOs) oder verwendeten Adressen für eine bestimmte Brieftasche suchen , scannen Sie die Blockchain schnell nur nach UTXOs, die diesen Adressen gehören, um herauszufinden, welche Coins zu Ihrer Brieftasche gehören und ausgegeben werden können.</p>\n<p>In Monero wahren jedoch alle Transaktionen die Privatsphäre des Benutzers, indem der Absender, der Empfänger und die an jeder Transaktion beteiligten Beträge verborgen werden. Diese Privatsphäre ist zwar für den Schutz der Benutzer des Netzwerks von entscheidender Bedeutung, führt aber auch zu einer langsameren Wallet-Synchronisierung. In Monero muss Ihr Wallet jede Transaktionsausgabe (TXO), die im Netzwerk existiert, mit den privaten Schlüsseln Ihres Wallets vergleichen.</p>\n<p>Dieser Vergleich erfordert viel komplexe Mathematik und Kryptografie, um zu bestätigen, dass eine Ausgabe wirklich Ihnen gehört, da alle Beträge, Adressen und bekanntermaßen ausgegebenen Ausgaben (oder Münzen) in Monero in der Kette verborgen sind.</p>';

  @override
  String get knowledge250SbviewTags250Sb1250Sbtitle => 'Warum ist die Wallet-Synchronisierung von Monero langsamer als die von Bitcoin?';

  @override
  String get knowledge250SbviewTags250Sb2250Sbtext => '<p>Um die Synchronisierungszeit für Monero-Geldbörsen zu verkürzen, entwickelte <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://github.com/monero-project/research-lab/issues/73\">ein Forscher namens UkoeHB einen neuartigen Ansatz</a> – fügen Sie jeder Transaktion ein 1-Byte-„Tag“ hinzu, wobei ein gemeinsames Geheimnis verwendet wird, das nur bekannt ist an den Absender und Empfänger dieser Transaktion.</p>\n<p>Dieses gemeinsame Geheimnis wird vom Absender unter Verwendung der ihm vom Empfänger mitgeteilten Adresse generiert und erfordert keine aktive Zusammenarbeit von Absender und Empfänger. Das erste Byte (oder Zeichen) dieses gemeinsamen Geheimnisses wird dann zu den Transaktionsdaten hinzugefügt, wenn es im Monero-Netzwerk veröffentlicht wird.</p>\n<p>Wenn einer der Teilnehmer an dieser Transaktion später seine Brieftasche mit der Monero-Blockchain synchronisieren möchte, kann die Brieftasche jetzt einfach nachsehen, anstatt die ganze komplexe Mathematik und Kryptografie für jeden einzelnen TXO im Netzwerk durchführen zu müssen dieses 1-Byte-Feld in jeder Transaktion und führen Sie erst dann die zeitaufwändige Überprüfung von Transaktionen durch, die dieses Tag haben – 1/256 TXOs im Netzwerk, um genau zu sein!</p>\n<p>Dieses Tag gibt externen Zuschauern keine Informationen über die Transaktion preis, fügt nur 1 Byte (eine vernachlässigbare Menge) zur Transaktionsgröße hinzu und ermöglicht es uns dennoch, die Synchronisierungszeiten um über 40 % zu verkürzen, indem wir die komplexen Überprüfungen reduzieren notwendig!</p>';

  @override
  String get knowledge250SbviewTags250Sb2250Sbtitle => 'Was sind Ansichts-Tags?';

  @override
  String get knowledge250SbviewTags250Sb3250Sbtext => '<p>Stellen Sie sich vor, Sie haben 4.096 Kisten in einem Raum, von denen nur 5 Kisten Ihnen gehören. Die Schachteln sind alle von außen völlig nicht zu unterscheiden, und der einzige Weg, um festzustellen, ob eine Schachtel für Sie bestimmt ist, besteht darin, sie zu öffnen und eine zeitaufwändige mathematische Aufgabe zu lösen, die darin aufgeschrieben ist, um sicherzustellen, dass sie Ihnen gehört.</p>\n<p>Stellen Sie sich nun vor, Sie entscheiden sich dafür, dass die Person, die Ihnen diese 5 Boxen schickt, einen speziellen Code mit Ihrer Adresse generiert und dann nur das erste Zeichen dieses generierten Codes auf der Außenseite jeder Box anbringt, die an Sie gesendet wird. Alle anderen machen dasselbe für ihre Schachteln (um sicherzustellen, dass alle Schachteln immer noch nicht zu unterscheiden sind), aber jetzt können Sie einfach auf den Ein-Zeichen-Code auf der Außenseite der Schachtel schauen und nur die Schachteln öffnen, auf denen dieses Zeichen steht. X753X]\n<p>Während andere Kästchen mit Ihrem Code übereinstimmen, sogar solche, die Ihnen nicht gehören, müssen Sie jetzt nur noch 16 (1/256 Kästchen!) anstelle von 4.096 Kästchen öffnen, um eine mathematische Aufgabe zu lösen. </p>\n<p>Jetzt öffnen Sie diese 16 Kisten, lösen die Matheaufgaben und behalten die 5 Kisten, die Ihnen tatsächlich gehören, aus dieser Gruppe!</p>';

  @override
  String get knowledge250SbviewTags250Sb3250Sbtitle => 'Tags anzeigen: ein vereinfachtes Beispiel';

  @override
  String get knowledge250SbviewTags250Sb4250Sbtext => '<p>Ansichts-Tags sind eine der Funktionen, die derzeit für die Aufnahme in das <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://github.com/monero-project/meta/issues/630\">kommende Netzwerk-Upgrade</a> geplant sind, und sollten irgendwann in diesem Frühjahr veröffentlicht werden. Die Community <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://bounties.monero.social/posts/28/implement-view-tags-to-decrease-wallet-sync-times-in-monero\"> hat 23.3XMR</a> (zum Zeitpunkt des Schreibens) aufgelegt, um Anreize für die Entwicklung und Implementierung von Ansichts-Tags zu schaffen, und als Ergebnis war der Großteil der Arbeit zur Aufnahme von Ansichts-Tags in die Monero-Codebasis bereits erledigt fertiggestellt von j-berman in Zusammenarbeit mit Gutachtern und Forschern.</p>\n<p>Sobald Ansichts-Tags vom Netzwerk erzwungen werden, profitieren alle Transaktionen, die nach dem Netzwerk-Upgrade gesendet werden, von der drastisch verbesserten Wallet-Synchronisierungszeit. Sie müssen nichts Besonderes tun, um mit der Verwendung von Ansichts-Tags zu beginnen, Ihre bevorzugte Brieftasche für Monero wird sie nach dem Netzwerk-Upgrade einfach automatisch verwenden!</p>';

  @override
  String get knowledge250SbviewTags250Sb4250Sbtitle => 'Wann werden Ansichts-Tags in Monero verfügbar sein?';

  @override
  String get knowledge250SbviewTags250Sb5250Sbtext => '<p>Wenn dies Ihre Neugier auf Ansichts-Tags geweckt hat, sehen Sie sich unten einige zusätzliche Links an, die sich ausführlich mit dem Thema befassen:</p>\n<ul>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://github.com/monero-project/research-lab/issues/73\">Reduzieren Sie die Scanzeiten mit 1 Byte pro Ausgabe „Tag anzeigen“</a></li>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://github.com/monero-project/monero/pull/8061\">Fügen Sie Ansichts-Tags zu Ausgaben hinzu, um die Zeit zum Scannen von Wallets zu verkürzen</a></li>\n</ul>';

  @override
  String get knowledge250SbviewTags250Sb5250Sbtitle => 'Wie kann ich mehr erfahren?';

  @override
  String get knowledge250SbviewTags250Sbdescription => 'Eine der häufigsten Beschwerden über Monero sind die Wallet-Synchronisierungszeiten – heute sprechen wir über einen brillanten Weg, den die Entwickler gefunden haben, um sie zu reduzieren.';

  @override
  String get knowledge250SbviewTags250Sbtitle => 'Tags anzeigen: Wie ein Byte die Synchronisierungszeiten der Monero-Wallet um über 40 % reduziert';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbbtc250Sbdecentralized250Sbtext => 'Bitcoin selbst ist dezentralisiert, aber die meisten Mischdienste sind zentralisiert. Das bedeutet, dass Sie ihnen vertrauen müssen. Einige neuere, wie die Wasabi-Geldbörse, sind es jedoch nicht.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbbtc250Sbfungibility250Sbtext => '<p>\n                          Nicht alle Bitcoins sind gleich und haben den gleichen Wert. Einige Bitcoins wurden von mehreren Unternehmen auf die schwarze Liste gesetzt und blockiert, wodurch diese Münzen weniger wertvoll sind als die anderen. Wenn Sie Bitcoins erhalten, die in der Vergangenheit für illegale Zwecke verwendet wurden, könnten Ihre Bitcoins auf die schwarze Liste gesetzt werden, obwohl Sie nichts mit der illegalen Aktivität zu tun hatten. Oder sagen wir, eine Regierung, ein Arbeitgeber oder eine andere Stelle beschließt, Ihre Bitcoins in Zukunft auf die schwarze Liste zu setzen, ähnlich wie sie es beim Einfrieren oder Beschlagnahmen von Vermögenswerten tun. Es gäbe nichts, was du tun könntest. Da ein Mixer die Rückverfolgung Ihrer Bitcoins nur erschwert, wurde diese Kategorie als „nicht fungibel“ gekennzeichnet.\n                        </p>\n\n                        <ul class=\"disk\">\n                          <li>\n                            Andreas Antonopoulos, ein ehemaliger Bitcoin Core-Entwickler, der in der Bitcoin- und anderen Kryptowährungsgemeinschaften hoch angesehen ist, erkennt das Fungibilitätsproblem von Bitcoin in einem <a href=\"https://www.youtube.com/watch?v=ak1iojpiHpM&feature=youtu .be&t=33m9s\"> YouTube-Video</a>.\n                          </li>\n                          <li>\n                            Diskussion des Bitcoin-Fungibilitätsproblems auf <a href=\"https://bitcointalk.org/index.php?topic=1190707.0\"> Bitcointalk.org\n                            </a>\n                          </li>\n                        </ul>';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbbtc250Sbprivate250Sbtext => '<p>\n                          Alle Bitcoin-Transaktionen sind in der Blockchain sichtbar und es gibt eine <a href=\"http://www.bitcoinrichlist.com/top100\"> Bitcoin-reiche Liste</a>, also ist Bitcoin nicht privat. Bitcoin ist <a href=\"https://bitcoin.org/en/you-need-to-know\"> pseudonym</a>, nicht anonym.\n                        </p>\n\n                        <p>\n                          Bei <b>Bitcoin-Mischern</b> müssen Sie darauf vertrauen, dass sie ihre Daten sicher aufbewahren können und nicht im Besitz von Regierungen, Hackern oder anderen Organisationen sind oder mit ihnen zusammenarbeiten.\n                        </p>\n\n                        <p>\n                          Im Juli 2017 gab der Gründer des größten Bitcoin-Mischdienstes, BITMIXER.IO, die Schließung bekannt und gab dies als Grund an:\n                        </p>\n\n                        <blockquote>\n                          <div class=\"quote\">\n                            <p>\n                              &hellip; Jetzt habe ich begriffen, dass Bitcoin <b>durch Design</b> ein transparentes, nicht anonymes System ist. Blockchain ist ein großartiges offenes Buch&hellip;\n                            </p>\n                          </div>\n\n                          <footer>\n                            <p>\n                              BITMIXER.IO, in einer Ankündigung zur Schließung von <a href=\"https://bitcointalk.org/index.php?topic=2042470.msg20357093#msg20357093\"> Bitcointalk.org </a> (Hervorhebung im Original).\n                            </p>\n                          </footer>\n                        </blockquote>\n\n                        <p>\n                          Ein paar Wochen später, nachdem er die verschiedenen datenschutzzentrierten Münzen betrachtet hatte, sagte er Folgendes:\n                        </p>\n\n                        <blockquote>\n                          <div class=\"quote\">\n                            <p>\n                              Nach der eingehenden Untersuchung bestätige ich, dass MONERO die beste Datenschutzwährung ist. Daher empfehle ich MONERO allen, die zusätzliche Privatsphäre benötigen.\n                            </p>\n                          </div>\n\n                          <footer>\n                            <p>\n                              BITMIXER.IO, in einem <a href=\"https://bitcointalk.org/index.php?topic=2042470.msg21113378#msg21113378\"> Folgebeitrag</a>.\n                            </p>\n                          </footer>\n                        </blockquote>';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbbtc250Sbuntraceable250Sbtext => ' <p>\n                          Da alle Bitcoin-Transaktionen auf der Blockchain sichtbar sind, können ALLE Bitcoin-Transaktionen nachverfolgt werden. Ein Bitcoin-Mixer kann Transaktionen stark verschleiern, was es für jemanden viel schwieriger macht, die Bitcoins zu verfolgen, aber nicht unmöglich. Mit dem technologischen Fortschritt und der zunehmenden Verbreitung von Unternehmen, die sich auf die Nachverfolgung von Bitcoin-Transaktionen spezialisiert haben, werden einst stark verschleierte Transaktionen relativ leicht nachvollziehbar sein:\n                        </p>\n\n                        <ul class=\"disc\">\n                          <li>\n                            <a href=\"https://news.bitcoin.com/law-enforcement-continues-invest-bitcoin-tracking-services/\"> Strafverfolgungsbehörden investieren weiterhin in Bitcoin-Tracking-Dienste\n                            </a>\n                          </li>\n                          <li>\n                            <a href=\"http://time.com/3689359/bitcoins-track-anonymous/\"> Time.com: Bitcoins sind einfacher zu verfolgen, als Sie denken\n                            </a>\n                          </li>\n                          <li>\n                            <a href=\"https://www.elliptic.co/\">\n                              Elliptic: Ein Unternehmen, das sich auf die Verfolgung von Bitcoin für die Strafverfolgung spezialisiert hat\n                            </a>\n                          </li>\n                        </ul>\n\n                        <p>\n                          Eine Google-Suche wird Dutzende von Artikeln wie die oben genannten aufdecken. Und denken Sie daran, dass sich jede Transaktion, die zu irgendeinem Zeitpunkt in der Vergangenheit stattgefunden hat, auf der Blockchain befindet und möglicherweise nachverfolgt werden kann, selbst wenn ein Mischdienst verwendet wurde. Tatsächlich dürfte die Nutzung eines Mischdienstes die Aufmerksamkeit auf diese Transaktionen lenken.\n                        </p>';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbdash250Sbdecentralized250Sbtext => 'Nicht alle DASH-Knoten sind gleich. Es gibt eine Oberklasse von Nodes, genannt <i>Masternodes</i>, deren Eigentümer mehr Einfluss auf das System haben als normale Node-Betreiber. Dies macht DASH zu einem halbzentralisierten anstelle des idealen 100% dezentralisierten Systems.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbdash250Sbfungible250Sbtext => 'Da Transaktionen nicht privat sind, besteht die Möglichkeit, dass ein Unternehmen bestimmte Coins blockiert oder auf die schwarze Liste setzt, wodurch sie weniger wertvoll als die anderen werden. Siehe den Hinweis zur fehlenden Fungibilität von Bitcoin unten, da das gleiche Prinzip für DASH gilt.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbdash250Sbprivate => 'DASH hat eine <a href=\"https://bitinfocharts.com/top-100-richest-darkcoin-addresses.html\">-reiche Liste</a>, also ist dies keine private Münze. Die finanziellen Details von Coin-Adressen sind für jeden sichtbar, der die Blockchain untersucht.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbdash250Sbprivate250Sbanother8722Sbquote => ' <b>Peter Todd</b>, ein weiterer Bitcoin Core-Entwickler und Kryptograf, hat eine <a href=\"https://twitter.com/petertoddbtc/status/622022840330682368\"> ähnliche Aussage gemacht</a>.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbdash250Sbprivate250Sbquote => '<blockquote>\n                          <div class=\"quote\">\n                            <p>\n                              DASH ist kryptografisch überhaupt nicht privat. Eigentlich hatte ich eine Folie im Deck, die wie \'DASH, LOL\' war und wie nichts anderes ... es ist Schlangenöl und ich persönlich bin einfach außer mir darüber.\n                            </p>\n                          </div>\n\n                          <footer>\n                            <p>\n                              <b>Gregory Maxwell</b>, Bitcoin Core-Entwickler und Kryptograf, in einer <a href=\"https://archive.21mil.com/blockstream-cto-greg-maxwell-discusses-monero-zcash-privacy-focused-altcoins/\">-Präsentation bei Coinbase\n                             </a>.\n                            </p>\n                          </footer>\n                        </blockquote>';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbdash250Sbuntraceable250Sbtext => 'Transaktionen werden durch eine Reihe von <a href=\"https://www.dash.org/masternodes/\"> Masternodes </a> geleitet, um sie unauffindbar zu machen. Diese Praxis könnte funktionieren, wenn alle Masternode-Betreiber nur reine Motive hätten. Wenn jedoch eine Regierung, eine Gruppe von Hackern, eine andere Entität oder sogar eine Einzelperson viele Masternodes gekauft hat (es gibt keine Möglichkeit zu wissen, ob dies der Fall ist) und wenn die Transaktion über eine Route lief, auf der alle Masternodes dieser Entität gehörten , dann könnte die Transaktion von dieser Entität nachverfolgt werden. Angesichts der relativ niedrigen Kosten von Masternodes und des enormen Budgets von Regierungen und einigen Organisationen ist die Möglichkeit, dass Coins zurückverfolgt werden können, real.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbdisclaimer => 'Diese Seite wurde von Monero-Benutzern erstellt. Es gab eine Zeit, in der wir keine Monero-Benutzer waren, uns aber Sorgen um die finanzielle Privatsphäre machten. Wir haben die Münzen recherchiert, die angeblich privat sind, und diese Seite ist das Ergebnis unserer Recherche. Deshalb haben wir Monero den anderen vorgezogen. Wenn wir also voreingenommen zu sein scheinen, sind wir es, aber wir glauben, dass diese Voreingenommenheit auf Fakten basiert, die Sie unten lesen und selbst überprüfen können.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbgrin250Sbdecentralized250Sbtext => 'Grin hat keine Prämie, Gründerprämie, Masternodes oder Schatzkammer. Sie hatten kein ICO und werden in einer Weise geführt, die einer dezentralen Gemeinschaft angemessen ist. Grin ist dezentralisiert.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbgrin250Sbfungiblity250Sbtext => 'Da alle Transaktionen fragwürdig privat und möglicherweise nachvollziehbar sind, besteht die Möglichkeit, ein Transaktionsdiagramm zu erstellen, aus dem wertvolle Informationen entnommen werden können, die gegen eine Person in Bezug auf ihre Ausgabegewohnheiten verwendet werden können. Outputs können dann mit Identitäten verknüpft werden, und obwohl Beträge nicht sichtbar sind, bedeutet die Tatsache, dass ein Output mit einer Identität verknüpft werden kann, dass der Output verdorben werden kann, nur auf der Grundlage dessen, wer ihn besitzt. Wir denken, dass dies bedeutet, dass Grin nicht fungibel ist, da einige Ausgaben verdorben sein können, während andere dies nicht sind.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbgrin250Sbprivate250Sbtext => 'Grin hat keine reichhaltige Liste, die auf eine Form von Privatsphäre hindeuten würde. Tatsächlich können passive Angreifer, die die Kette scannen, nicht sehen, welche Adresse wie viel Geld enthält, teilweise weil die Beträge durch vertrauliche Transaktionen verschleiert werden, teilweise weil Adressdaten nicht in der Kette gespeichert werden und teilweise wegen der Cut-Through-Technologie von Mimblewimble, bei der Transaktionen zwischengeschaltet werden können aus der Kette entfernt werden, wodurch nur wenige Metadaten aus vergangenen Transaktionen zurückbleiben.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbgrin250Sbuntraceablity250Sbtext => 'Grin verteidigt sich nicht gegen einen aktiven Angreifer, der ein Transaktionsdiagramm erstellt. Es ist sowohl für Bergleute als auch für einen leicht modifizierten Knoten möglich, jede Transaktion zu überwachen, sie zu speichern, bevor die Cut-Through-Technologie einsetzt, und von hier aus ein vollständiges Transaktionsdiagramm zu erstellen, zusammen mit der Beibehaltung aller „Cut-Through“-Daten. Sie könnten vor dem Start keine Informationen erkennen, aber alles nach dem Start sind wertvolle Metadaten, mit denen sie potenziell Transaktionen verknüpfen könnten.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbintro => 'Hier ist eine Analyse bekannter Kryptowährungen, die Anonymität und/oder Unauffindbarkeit als Hauptunterscheidungsmerkmal beanspruchen. Bitcoin selbst ist nicht Gegenstand dieser Analyse, da es nie behauptet hat, anonym zu sein.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbmonero250Sbafterword8722Sb0 => 'Monero war von Anfang an zu 100 % Open Source, was bedeutet, dass jeder den <a href=\"https://github.com/monero-project/bitmonero\">-Quellcode </a> der Software einsehen kann, um zu überprüfen, ob keine Hintertüren existieren und dass die Software sicher ist.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbmonero250Sbafterword8722Sb1 => 'Monero hat auch <a href=\"https://lab.getmonero.org/\"> Peer-Reviewed Research Papers </a>, die alle seine oben aufgeführten Eigenschaften mathematisch und systematisch verifizieren.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbmonero250Sbdecentralized => 'Alle Monero-Knoten sind gleich. Es gibt keine Oberklasse von Knoten, die mehr Einfluss oder Kontrolle über Transaktionen haben als andere Knoten. Keine Person oder Entität kann Transaktionen verfolgen, indem sie mehrere Knoten besitzt. Darüber hinaus gibt es kein vertrauenswürdiges Setup. Das bedeutet, dass die Notwendigkeit, einer Person oder einem Unternehmen zu vertrauen, kein Faktor ist. Die einzigen Dinge, denen man vertrauen muss, sind der Quellcode (der von jedem verifiziert werden kann) und Mathematik.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbmonero250Sbfungible => 'Alle Münzen sind gleich und haben den gleichen Wert. Ein Benutzer, Anbieter oder eine andere Entität kann bestimmte Monero-Münzen nicht blockieren oder auf die schwarze Liste setzen, da der Transaktionsverlauf von Monero-Münzen mehrdeutig ist.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbmonero250Sbprivate => 'Monero verwendet ein kryptografisch einwandfreies System, mit dem Sie Geld senden und empfangen können, ohne dass Ihre Transaktionen in der Blockchain (dem verteilten Transaktionsbuch) öffentlich sichtbar sind. Dadurch wird sichergestellt, dass Ihre Einkäufe, Quittungen und anderen Überweisungen <b>standardmäßig privat</b> bleiben. Absender, Empfänger und Betrag der Transaktion sind alle privat. Einige Coins haben eine \"reiche Liste\", die es jedem ermöglicht zu sehen, welches Konto die meisten Coins hat. Da Monero privat ist, kann es keine <a href=\"http://moneroblocks.info/richlist\"> Monero-Rich-Liste </a> geben.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbmonero250Sbsecure => 'Unter Verwendung eines verteilten Peer-to-Peer-Konsensnetzwerks wird jede Transaktion kryptografisch gesichert. Bei einzelnen Konten wird beim Erstellen ein mnemonischer Seed mit 25 Wörtern angezeigt, der aufgeschrieben werden kann, um das Konto zu sichern. Beim Erstellen einer Brieftasche ist ein Passwort obligatorisch, und Kontodateien werden mit einer Passphrase verschlüsselt, um sicherzustellen, dass sie bei Diebstahl wertlos sind.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbmonero250Sbuntraceable => 'Durch die Nutzung von Ringsignaturen (eine besondere Eigenschaft bestimmter Arten von Kryptographie) ermöglicht Monero nicht nachvollziehbare Transaktionen. Dies bedeutet, dass es nicht eindeutig ist, welche Gelder ausgegeben wurden, und daher äußerst unwahrscheinlich, dass eine Transaktion mit einem bestimmten Benutzer verknüpft werden kann.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sboverview250Sbsubtitle => 'Wählen Sie ein Logo aus, um zur Analyse dieser Münze zu springen.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sboverview250Sbtable250Sbno => 'Nein';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sboverview250Sbtable250Sbnot8722Sbcompletely => 'Nicht vollständig';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sboverview250Sbtable250Sbsometimes => 'Manchmal';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sboverview250Sbtable250Sbunsure => 'Unsicher';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sboverview250Sbtable250Sbyes => 'Ja';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sboverview250Sbtitle => 'Überblick';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbtitle => 'Münzanalyse';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbtxs8722Sbare8722Sbsecure => 'Transaktionen sind kryptografisch sicher.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbzcash250Sbdecentralized250Sbtext => '<p>\n                          Zcash ist ein Unternehmen und derzeit nimmt es <a href=\"https://z.cash/blog/funding.html\"> 20 % aller abgebauten ZEC als Gründerbelohnung ein</a>.\n                        </p>\n\n                        <p>\n                          Zcash benötigte ein <b>Trusted Setup</b>. Das bedeutet, dass Sie darauf vertrauen müssen, dass das System ehrlich eingerichtet wurde. Wenn es nicht ehrlich eingerichtet wurde, könnten <a href=\"https://blog.okturtles.com/2016/03/the-zcash-catch/\"> unbegrenzte Mengen an ZEC erstellt werden, ohne dass es jemand weiß </a>. Dies würde den Hacker reich machen und ZEC entwerten. Es gibt keine Möglichkeit zu wissen, ob das Trusted Setup ehrlich ausgeführt wurde. Wir müssen sie beim Wort nehmen. Dies führt einen menschlichen Fehlerpunkt in das System ein, der fast jeder anderen Kryptowährung entgegensteht. Sie sollten nur der Mathematik und dem überprüfbaren Quellcode in Kryptowährungen vertrauen müssen, nicht den Menschen. Wie wir bei praktisch allen großen Softwareunternehmen wie <a href=\"https://www.gnu.org/proprietary/proprietary-back-doors.en.html\"> Microsoft</a>, <a href=\"http://www.digitaltrends.com/computing/apple-vs-fbi-backdoor-to-data-already-exists/\"> Apple</a> und sogar Regierungen gesehen haben, sollte ihnen nicht vertraut werden.\n                        </p>\n\n                        <p>\n                          Peter Todd, ein Bitcoin Core-Entwickler, der <a href=\"https://github.com/zcash/mpc/blob/master/README.md\"> am Zcash Trusted Setup </a> teilgenommen hat, hat es eine &quot; <a href=\"https://twitter.com/petertoddbtc/status/793584540891643906\"> Hintertür </a> &quot; genannt.\n                        </p>\n\n                        <blockquote>\n                          <div class=\"quote\">\n                            <p>\n                              Zcash ist nicht unbedingt solide, kann nicht mit aktueller Technologie sein ... erfordert ein vertrauenswürdiges Setup &hellip; muss das Verfahren [Trusted Setup] wiederholen, um die Krypto im Laufe der Zeit zu aktualisieren, also ist es eine Schwachstelle.\n                            </p>\n                          </div>\n\n                          <footer>\n                            <p>\n                              Gregory Maxwell, Bitcoin Core-Entwickler und Kryptograf, in einer <a href=\"https://youtu.be/LHPYNZ8i1cU#t=29m30s\">-Präsentation für Coinbase</a>.\n                            </p>\n                          </footer>\n                        </blockquote>';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbzcash250Sbfungible => 'Da nicht alle Transaktionen privat sind, besteht die Möglichkeit, dass ein Unternehmen bestimmte Coins blockiert oder auf die schwarze Liste setzt, wodurch sie weniger wertvoll als die anderen werden. Siehe den Hinweis zur fehlenden Fungibilität von Bitcoin unten, da das gleiche Prinzip für Zcash gilt.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbzcash250Sbprivate250Sbquote => '<blockquote>\n                          <div class=\"quote\">\n                            <p>\n                              Und übrigens, ich denke, wir können Zcash erfolgreich für Kriminelle wie WannaCry zu rückverfolgbar machen, aber immer noch vollständig privat &amp; fungibel.\n                            </p>\n                          </div>\n\n                          <footer>\n                            <p>\n                              <b>Zooko Wilcox</b>, CEO von Zcash, in einem <a href=\"https://twitter.com/zooko/status/863202798883577856\">-Tweet\n                              </a>\n                            </p>\n                          </footer>\n                        </blockquote>\n\n                        <p>\n                          Wenn Zcash „zu rückverfolgbar“ sein kann, dann kann es nicht vollständig privat oder fungibel sein.\n                        </p>';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbzcash250Sbprivate250Sbtext => 'Zcash-Transaktionen sind in ihrer Blockchain sichtbar. Sie ermöglichen versteckte Transaktionen, aber <a href=\"http://stat.bloxy.info/superset/dashboard/zcash/\"> weniger als 1 % der Transaktionen sind vollständig abgeschirmt </a> . Da versteckte Transaktionen optional und nicht der Standard sind (ganz zu schweigen von den selten verwendeten), heben sich die versteckten Transaktionen von <a href=\"http://weuse.cash/2016/06/09/btc-xmr-zcash/\"> in ihrer Blockchain</a> ab und ziehen die Aufmerksamkeit auf sich.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbzcash250Sbuntraceable250Sbtext => 'Regelmäßige Transaktionen sind transparent. Versteckte Transaktionen verwenden zk-SNARKS, die unter bestimmten Bedingungen zugegebenermaßen robuste Datenschutzgarantien haben. Die Frage ist, ob diese Bedingungen erfüllt sind, und angesichts der winzigen Anzahl von Menschen, die die abgeschirmten Fähigkeiten nutzen, bleibt dies fraglich.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbzcoin250Sbdecentralized250Sbtext => 'Zcoin hat Znodes implementiert, die sich ähnlich wie Dash-Masternodes verhalten und eine größere Leistung als andere Knoten im Netzwerk haben. Da nicht alle Nodes gleich geschaffen sind und der Unterscheidungsfaktor zwischen ihnen der Geldbetrag ist, den eine Person hat (Znodes kosten 1000 XZC), ist das Netzwerk halbzentralisiert.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbzcoin250Sbfungiblity250Sbtext => 'Nachdem die Endphase von Lelantus im Jahr 2021 live geht, wird davon ausgegangen, dass Zcoin aufgrund der obligatorischen Datenschutzdurchsetzung fungibel sein wird. In dieser Hinsicht wird es ein echter Konkurrent von Monero sein. Jedoch...';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbzcoin250Sbnote => '<p><strong>Hinweis:</strong> Zcoin wechselt von seinem aktuellen Sigma-Schema zu einem neuen Protokoll, das auf seiner neuen Arbeit Lelantus basiert. Lelantus wird schrittweise implementiert, und dieser Artikel geht davon aus, dass alle Phasen abgeschlossen und implementiert sind, um neben den prognostizierten Implementierungszeiten angemessene Vergleiche zu ermöglichen.</p>\n<p>Der Grund, warum Zcoin dieser Luxus gewährt wurde, nach seinem zukünftigen Protokoll und nicht nach Zcash beurteilt zu werden, liegt darin, dass Zcoin eine Roadmap mit allgemeinen Zeitplänen für die Aktivierung hat, während Zcashs „Privacy by Default“-Pläne nebulös sind und bleiben.[ X563X]';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbzcoin250Sbprivate250Sbtext => '<p>Zcoin (XZC) wird keine Rich-Liste haben, also wird es privat sein. Standardmäßig wird erwartet, dass der obligatorische Datenschutz im Jahr 2021 in Betrieb genommen wird. Nach der Implementierung wird es nicht möglich sein, eine umfassende Liste zu erstellen (obwohl sie derzeit <a href=\"https://www.coinexplorer.net/XZC/richlist\">eine haben</a>).</p> ';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbzcoin250Sbuntraceablity250Sbtext => 'Mit der im Jahr 2021 implementierten Endphase von Lelantus sollte Zcoin nicht rückverfolgbar sein, obwohl theoretische Angriffe noch nicht untersucht wurden, da es noch nicht veröffentlicht wurde oder keine Zeit in freier Wildbahn hatte. Derzeit ist Zcoin rückverfolgbar, wenn man eine <a href=\"https://explorer.zcoin.io/\">Zcoin-Adresse</a> in einen Blockchain-Explorer eingibt und man seinen Kontostand und zugehörige Transaktionen sehen kann.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbdecentraized250Sbtext => 'Alle Knoten (ein Knoten ist eine laufende Instanz der Blockchain der Münze) des Netzwerks sind gleich. Es gibt keine Oberklasse von Knoten, die mehr Einfluss oder Kontrolle über Transaktionen oder das System haben als andere Knoten.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbdecentralized250Sbtitle => 'Dezentral';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbdescription => 'Warum ist Monero die beste Datenschutzmünze? Nicht alle datenschutzorientierten Coins können 100 % Privatsphäre, Unauffindbarkeit, Sicherheit und Fungibilität bieten. Finden Sie heraus, wie Monero all diese Probleme im Vergleich zu anderen „Privatsphäre“-Münzen löst.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbintro8722Sb0 => 'Nicht alle datenschutzzentrierten Coins können 100 % Privatsphäre, Unauffindbarkeit, Sicherheit und Fungibilität in einem 100 % dezentralisierten Coin mit einem vertrauenswürdigen Setup bieten. Hier ist, was diese Attribute sind und warum sie wichtig sind:';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbintro250Sbfungible250Sbtext => 'Alle Münzen sind gleich und haben den gleichen Wert.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbintro250Sbfungible250Sbtitle => 'Austauschbar';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbintro250Sbprivate250Sbtext => 'Ihre Finanzen sind für die Öffentlichkeit nicht sichtbar. Eine Person, die sich die Blockchain der Münze ansieht, kann nicht sehen, wie viel Geld Sie haben.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbintro250Sbprivate250Sbtitle => 'Privatgelände';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbintro250Sbsecure250Sbtext => 'Alle Transaktionen sind verschlüsselt und die Brieftasche, die Ihr Geld enthält, ist verschlüsselt.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbintro250Sbsecure250Sbtitle => 'Sicher';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbintro250Sbuntraceability250Sbtext => 'Die Münzen können nicht durch Blockchain-Analyse oder Blockchain-Überwachung zurückverfolgt werden.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbintro250Sbuntraceable250Sbtitle => 'Unauffindbar';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbsummary => '<h2>Zusammenfassung</h2>\n <p> Unserer Meinung nach ist Monero die klare Wahl, wenn Sie nach einer privaten, sicheren, nicht rückverfolgbaren, fungiblen, dezentralen Kryptowährung suchen, für die keine vertrauenswürdige Einrichtung erforderlich ist. Alles andere gefährdet Ihre Privatsphäre und Sicherheit. Aber nehmen Sie nicht nur unsere Meinung. Recherchieren Sie selbst und überzeugen Sie sich selbst. Beachten Sie, dass Monero von Unternehmen unterstützt und verwendet wird, die auf Datenschutz und Unauffindbarkeit angewiesen sind, wie z. B.:\n                  </p>\n\n                  <ul class=\"disc\">\n                    <li>\n                      <a href=\"https://www.reddit.com/r/Monero/comments/4xqrzd/sigaint_launches_tor_monero_node_as_its_operators/\"> SIGAINT </a>\n                    </li>\n\n                    <li>\n                      <a href=\"https://puri.sm/posts/purism-collaborates-with-cryptocurrency-monero-to-enable-mobile-payments/\"> Purismus </a>\n                    </li>\n\n                    <li>\n                      <a href=\"https://shop.wikileaks.org/donate#db9\"> Wikileaks </a>\n                    </li>\n\n                    <li>\n                      AlphaBay Market (AB) wurde im Juli 2017 geschlossen. Die <a href=\"https://assets.documentcloud.org/documents/3898109/AlphaBay-Cazes-Forfeiture-Complaint.pdf\"> Federal Forfeiture Complaint </a> gegen AB zeigt Folgendes:\n                      <ul class=\"disc\">\n                        <li>\n                          <b> Monero ist die einzige private und nicht nachvollziehbare Kryptowährung:\n                          </b>\n                          <br />\n                          &quot;Insgesamt übernahmen die Wallets und Computeragenten von CAZES die Kontrolle über etwa 8.800.000 \$ in Bitcoin, Ethereum, Moreno [sic] und Zcash, die sich wie folgt aufteilen: 1.605,0503851 Bitcoin, 8.309,271639 Ethereum, 3.691,98 Zcash, <em>und an unbekannte Menge an Monero.</em>&quot; (unten auf S. 20 und oben auf S. 21, Hervorhebung hinzugefügt) </li>\n                        <li>\n                          <b>\n                            Bitcoin-Transaktionen sind nicht privat und können nachverfolgt werden:\n                          </b>\n                          <br />\n                          &quot;Bundesagenten erhielten die Durchsuchungsbefehle, nachdem sie eine Reihe von Bitcoin-Transaktionen mit Ursprung in AlphaBay auf digitale Währungskonten und schließlich Bankkonten und andere Sachanlagen im Besitz von CAZES und seiner Frau zurückverfolgt hatten.&quot; (S. 17, Zeilen 24- 26)\n                        </li>\n                      </ul>\n                    </li>\n                  </ul>\n\n                  <div class=\"notice info\">\n                    <p>\n                      LocalMonero befürwortet oder fördert keine illegalen Aktivitäten.\n                    </p>\n                  </div>  ';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbtitle => 'Warum Monero besser ist als Dash, Zcash, Zcoin (sogar mit Lelantus), Grin und Bitcoin-Mixern wie Wasabi (Aktualisiert Mai 2020)';

  @override
  String get knowledge250Sbwired250Sb0250Sbtext => '<p>Sowohl im Datenschutz- als auch im Kryptowährungsbereich sind Fehlinformationen oft weit verbreitet. Wir haben <a target=\"_blank\" href=\"/knowledge/monero-myths-debunked\" class=\"next-link\">einen Artikel, der fünfzehn häufige falsche oder veraltete Annahmen über Monero skizziert</a>, aber wir möchten uns die Zeit nehmen, einen bestimmten Artikel anzusprechen, der oft von Monero-Skeptikern zitiert und verbreitet wird.</p>\n\n<p>Die Wired-Publikation veröffentlichte <a target=\"_blank\" href=\"https://www.wired.com/story/monero-privacy/\" class=\"next-link\">einen Artikel</a> am 27. März 2018, der seinerseits als Antwort auf ein anderes druckfrisches Papier geschrieben wurde, das von verschiedenen Wissenschaftlern mit dem Titel „An Empirical Analysis der Rückverfolgbarkeit in der Monero Blockchain“.</p>\n\n<p>Obwohl das Papier von Personen mit klarem Interessenkonflikt mitverfasst wurde (sprich: sie sind Berater von Zcash und haben eine Beteiligung an Zcash), wurde das Papier von der Monero-Community mäßig gut aufgenommen, da es Dinge bestätigt, die der Community bereits bekannt sind und darüber in ihren eigenen Monero Research Lab-Papieren (<a target=\"_blank\" href=\"https://web.getmonero.org/resources/research-lab/pubs/MRL-0001.pdf\" class=\"next-link\">MRL-0001</a> und <a target=\"_blank\" href=\"https://web.getmonero.org/resources/research-lab/pubs/MRL-0004.pdf\" class=\"next-link\">MRL-0004</a>) geschrieben, von denen das früheste vier Jahre zuvor veröffentlicht wurde. Es gab jedoch auch einige Frustrationen, vor allem der Interessenkonflikt, die Tatsache, dass die Probleme bereits bekannt waren, diskutiert und – in einigen Fällen – behoben wurden, und die grobe Fehlcharakterisierung der damaligen Datenschutzgarantien von Monero. Die Community hat den Preprint der Arbeit kommentiert, und viele ihrer Empfehlungen haben es bis zum endgültigen Papier geschafft.</p>\n\n<p>Aber was genau wurde falsch charakterisiert? Die Tatsache, dass Monero die in dem Papier diskutierten Mängel seit über einem Jahr nicht mehr hatte. Transaktionen vor 2017 waren in der Tat anfällig für eine Form von Datenschutzlecks, aber zum Zeitpunkt der Veröffentlichung hatte Monero die meisten Bedenken ausgeräumt. Um den Autoren gegenüber fair zu sein, diskutieren sie die Abhilfemaßnahmen von Monero in geringem Maße, aber nicht genug, um die Auswirkungen zu beeinflussen, die sie auf den Medienzyklus der Kryptowährung zu dieser Zeit hatten. Daher der Wired-Artikel.</p>\n\n<p>Obwohl wir den fraglichen Wired-Artikel als historischen Artikel untersuchen können und wie wahr oder unwahr er damals war, lädt die Tatsache, dass er noch heute als Begründung dafür geteilt wird, warum Moneros Datenschutzgarantien schwach sind, tatsächlich zu einer Analyse ein wie sich das Stück in der Gegenwart behauptet. Dieser Einladung nehmen wir gerne nach.</p>\n\n<p>Ein schnelles Lesen des Artikels zeigt mehrere sensationelle Zeilen, wie „[Die Ergebnisse] sollten nicht nur jeden beunruhigen, der versucht, Monero heute heimlich auszugeben“ und der gesamte Ton des Artikels, der die Forschung als „neu“ postuliert, basiert weitgehend auf der Veröffentlichung. Das wissenschaftliche Papier selbst enthält Empfehlungen wie die Warnung von Monero-Benutzern vor der möglichen Gefährdung ihrer Anonymität, obwohl diese Diskussionen nicht nur seit 2014 geführt wurden, sondern der Schlachtruf der Community darin bestand, dass die Menschen Monero nicht kaufen sollten und es nicht war sehr experimentell.</p>\n\n<p>Aber was ist mit der Kritik selbst? Die Realität ist, dass viele Probleme mit Monero als Privacy Coin entweder nicht mehr auf Monero zutreffen oder gemeinsame Bedenken mit Privacy Coins als einer Kategorie blockkettenbasierter Kryptowährungen haben. Beginnen wir damit, diese anzusprechen.</p>\n\n<p>Einer der am häufigsten zitierten Kritikpunkte an Monero ist, dass aufgrund der Permanenz und Unveränderlichkeit der Blockchain alle vergangenen Transaktionen von Monero offengelegt würden, wenn eine zukünftige Technologie die Privatsphäre durchbrechen würde. Mit anderen Worten, Ihre Privatsphäre hat eine tickende Uhr.</p>\n\n<p>Wir können das nicht genug betonen. Buchstäblich jede Datenschutzmünze, die On-Chain-Methoden zur Verschleierung und Privatsphäre einsetzt, hat diesen Fehler, und dennoch wird sie oft gegen Monero verwendet (ironischerweise oft von konkurrierenden Datenschutzmünzen mit demselben Problem) und wird auch in diesem Artikel verwendet. Die Reaktion auf diese Kritik mag für einige überraschend sein, aber Monero ist möglicherweise weniger anfällig als andere Datenschutzmünzen, da es einen mehrgleisigen Ansatz zum Datenschutz verfolgt.</p>\n\n<p>Monero verbirgt Ausgaben (Absender), Beträge und Empfänger durch drei verschiedene Technologien, Ringsignaturen, RingCT bzw. Stealth-Adressen. Von diesen sind Ringsignaturen die schwächsten und am anfälligsten sowohl für moderne Heuristiken als auch für theoretische, zukünftige, die Privatsphäre verletzende Technologien. Dies ist der Monero-Community seit Jahren bekannt, und es wird aktiv daran geforscht, das Ringsignaturschema vollständig zu verbessern oder zu ersetzen.</p>\n\n<p>Aber selbst wenn die Ringsignatur vollständig gebrochen wäre, würde nur die wahre Ausgabe enthüllt werden. NICHT der Absender (wie im Einzelnen), sondern die Ausgabe. Eine Ausgabe mit einer Identität zu koppeln ist nicht unmöglich, würde aber mehr Metadaten und Ressourcen erfordern. In Verbindung mit der Tatsache, dass RingCT und die Stealth-Adresse NICHT preisgegeben würden, wird die Wirkung noch weiter verringert.</p>\n\n<p>Es sollte beachtet werden, dass der Wired-Artikel die obigen Informationen in dem Teil, in dem sie Riccardo \'fluffypony\' Spagni um einen Kommentar baten, leicht diskutiert, aber die dafür gegebene Zeit ist kurz und scheint fast wegzuwinken diese entscheidenden Informationen. Der Mangel an Verständnis wird besonders deutlich, wenn man versucht, diese Dinge mit Leuten zu diskutieren, die den Artikel in der heutigen Zeit wohl oder übel teilen.</p>\n\n<p>Eine andere Kritik, die viel schwieriger zu behandeln ist, betrifft die Sichtweise der Außenwelt auf Monero und wie dies damit zusammenhängt, wie die Community um Monero die Münze sieht. Als Beispiel hierfür müssen die Leser nicht weiter als bis zum Titel des Artikels selbst suchen: „The Dark Web’s Favorite Currency Is Less Untraceable Than It Seems“.</p>\n\n<p>Jede Person, die viel Zeit in der Monero-Community verbringt, kann bezeugen, dass die Monero-Community große Anstrengungen unternimmt, um zu zeigen, wie schwer echte Privatsphäre zu erreichen ist, selbst auf Kosten von Marketing- oder Adoptionsbemühungen. Wenn die Community reichlich Ressourcen bereitstellt, um die Münze und ihre Mängel genau zu diskutieren, wird die Unwissenheit irgendwann zum Fehler des Benutzers, der glaubt, dass die Münze alles ist, was er braucht, um 100 % privat zu sein.</p>\n\n<p>An diesem Punkt sollte offensichtlich sein, dass die Monero-Community sowohl ihre Privatsphäre als auch ihre Ehrlichkeit bezüglich der darin enthaltenen Schwächen und nachfolgenden Verbesserungen ernst nimmt. Artikel, wie der fragliche, verfehlen diesen Innovationsgeist von Monero völlig. Es vergleicht Monero mit den Scharen anderer Kryptowährungen, die grandiose Behauptungen aufstellen, nur an Profit denken und ungebildete Möchtegern-Investoren ausbeuten.</p>\n\n<p>Die Realität könnte unterschiedlicher nicht sein. Monero ist sich seiner Schwächen sehr bewusst, versucht weiter zu bauen, um sie zu verbessern, lockere Verbindungen zu straffen und das sehr reale, aber sehr harte Ziel zu erreichen, der Welt eine private, fungible Kryptowährung zu geben, die von allen genutzt werden kann, und tun Sie dies alles auf eine faire, dezentralisierte und gemeinschaftsgesteuerte Weise. Vielleicht ist es an der Zeit, die Sensation und das Teilen von Artikeln beiseite zu lassen, um Taschen zu verschwenden und Konkurrenten zu fördern. Vielleicht ist es an der Zeit, eine andere Geschichte zu erzählen.</p>';

  @override
  String get knowledge250Sbwired250Sbdescription => 'Sowohl im Datenschutz- als auch im Kryptowährungsbereich sind Fehlinformationen oft weit verbreitet. Hier sprechen wir den von Monero-Skeptikern oft zitierten und verbreiteten Wired-Artikel an.';

  @override
  String get knowledge250Sbwired250Sbtitle => 'Wired Magazine ist falsch in Bezug auf Monero, hier ist der Grund';

  @override
  String get left8722Sbdrawer250Sbabout => 'Um';

  @override
  String get left8722Sbdrawer250Sbbuy8722Sbmonero => 'Monero kaufen';

  @override
  String get left8722Sbdrawer250Sbdashboard => 'Armaturenbrett';

  @override
  String get left8722Sbdrawer250Sbfaq => 'FAQ';

  @override
  String get left8722Sbdrawer250Sbforums => 'Foren';

  @override
  String get left8722Sbdrawer250Sbgetting8722Sbstarted => 'Einstieg';

  @override
  String get left8722Sbdrawer250Sbpost8722Sbnew8722Sbad => 'Geben Sie eine Anzeige auf';

  @override
  String get left8722Sbdrawer250Sbrevuo250Sblabel => 'Der Monero-Standard: Monero-Neuigkeiten';

  @override
  String get left8722Sbdrawer250Sbsell8722Sbmonero => 'Monero verkaufen';

  @override
  String get left8722Sbdrawer250Sbsupport => 'Die Unterstützung';

  @override
  String get login250Sberror8722Sb0 => 'Benutzername/Passwort/Einmalpasswort falsch!';

  @override
  String get login250Sberror8722Sb1 => 'Benutzername und Passwort haben unzulässige Zeichen oder eine ungültige Länge';

  @override
  String get login250Sberror8722Sb10 => 'Login Fehler';

  @override
  String get login250Sberror8722Sb2 => 'Der Benutzername enthält unzulässige Zeichen oder eine ungültige Länge';

  @override
  String get login250Sberror8722Sb3 => 'Das Passwort enthält unzulässige Zeichen oder eine ungültige Länge';

  @override
  String get login250Sberror8722Sb4 => 'Felder dürfen nicht leer bleiben';

  @override
  String get login250Sberror8722Sb5 => 'Das Einmalpasswort muss 6 Ziffern lang sein';

  @override
  String get login250Sberror8722Sb8 => 'Unzulässige Werte';

  @override
  String get login250Sberror8722Sb98722Sbtext => 'Zu viele Anmeldeversuche! Bitte warten Sie einige Zeit.';

  @override
  String get login250Sberror8722Sb98722Sbtitle => 'Anmeldeversuche überschritten';

  @override
  String get login250Sberror8722Sbgeneric => 'Fehler!';

  @override
  String get login250Sbremember8722Sbme => 'Erinnere dich an mich';

  @override
  String login250Sbreset(Object link) {
    return 'Haben Sie Ihr Passwort vergessen? $link';
  }

  @override
  String get login250Sbreset8722Sblink => 'Hier zurücksetzen.';

  @override
  String login250Sbsame8722Sbcredentials8722Sbtip(Object front_type_url) {
    return 'Sie können sich mit Ihren $front_type_url-Anmeldeinformationen anmelden.';
  }

  @override
  String login250Sbsignup(Object link) {
    return 'Sie haben noch kein Konto? $link';
  }

  @override
  String get login250Sbsignup8722Sblink => 'Anmelden';

  @override
  String get login250Sbtitle => 'Einloggen';

  @override
  String get login250Sbusername => 'Nutzername';

  @override
  String get login250Sbusername8722Sbtip => '3-16 Zeichen. Erlaubte Zeichen: a-z, A-Z, 0-9, -, _';

  @override
  String get method250Sbalipay => 'Alipay';

  @override
  String get method250Sball8722Sbonline8722Sboffers => 'Alle Online-Angebote';

  @override
  String get method250Sbcash => 'Bargeld (vor Ort)';

  @override
  String get method250Sbcash8722Sbat8722Sbatm => 'Bargeld am Geldautomaten';

  @override
  String get method250Sbcash8722Sbby8722Sbmail => 'Bargeld per Post';

  @override
  String get method250Sbcash8722Sbdeposit => 'Bareinzahlung';

  @override
  String get method250Sbcash8722Sbon8722Sbdelivery => 'Barzahlung bei Lieferung';

  @override
  String get method250Sbcashiers8722Sbcheck => 'Bankscheck';

  @override
  String get method250Sbcreditcard => 'Kreditkarte';

  @override
  String get method250Sbcryptocurrency => 'Kryptowährung';

  @override
  String get method250Sbgift8722Sbcard => 'Gutscheincode';

  @override
  String get method250Sbgift8722Sbcard8722Sbamazon => 'Amazon Gutscheincode';

  @override
  String get method250Sbgift8722Sbcard8722Sbapple => 'Apple Store-Geschenkkartencode';

  @override
  String get method250Sbgift8722Sbcard8722Sbebay => 'Ebay-Gutscheincode';

  @override
  String get method250Sbgift8722Sbcard8722Sbglobal => 'Gutscheincode (weltweit)';

  @override
  String get method250Sbgift8722Sbcard8722Sbitunes => 'iTunes-Geschenkkartencode';

  @override
  String get method250Sbgift8722Sbcard8722Sbstarbucks => 'Starbucks-Geschenkkartencode';

  @override
  String get method250Sbgift8722Sbcard8722Sbsteam => 'Steam-Geschenkkartencode';

  @override
  String get method250Sbgift8722Sbcard8722Sbwalmart => 'Walmart-Geschenkkartencode';

  @override
  String get method250Sbinternational8722Sbwire8722Sbswift => 'International Wire (SWIFT)';

  @override
  String get method250Sbmobile8722Sbtop8722Sbup => 'Handy aufladen';

  @override
  String get method250Sbnational8722Sbbank => 'Nationale Banküberweisung';

  @override
  String get method250Sbother => 'Andere Online-Zahlung';

  @override
  String get method250Sbother8722Sbonline8722Sbwallet => 'Andere Online-Wallet';

  @override
  String get method250Sbother8722Sbonline8722Sbwallet8722Sbglobal => 'Andere Online-Wallet (global)';

  @override
  String get method250Sbother8722Sbpre8722Sbpaid8722Sbdebit => 'Andere Prepaid-Debitkarte';

  @override
  String get method250Sbsepa => 'SEPA (EU) Banküberweisung';

  @override
  String get method250Sbspecific8722Sbbank => 'Überweisungen mit bestimmter Bank';

  @override
  String get method250Sbwechat => 'Wechat';

  @override
  String get method250Sbyandex => 'Yandex-Geld';

  @override
  String get method250Sbyoomoney => 'YooGeld';

  @override
  String get morph250Sbcheckbox250Sbfaq8722Sblink => 'Wie funktioniert das?';

  @override
  String get morph250Sbdeposit250Sbaddress8722Sbinput250Sbhelper => 'Diese Adresse wird für eine Rückerstattung verwendet, wenn während des ChangeNow-Handels etwas schief geht';

  @override
  String morph250Sbdeposit250Sbaddress8722Sbinput250Sbtext(Object cryptocurrencyName) {
    return '$cryptocurrencyName-Adresse erstatten';
  }

  @override
  String morph250Sbdeposit250Sbbutton(Object cryptocurencyName) {
    return 'Zeigen Sie mir die Einzahlungsadresse $cryptocurencyName!';
  }

  @override
  String get morph250Sberror250Sbtitle => 'Fehler beim Erstellen des ChangeNow-Handels!';

  @override
  String get morph250Sbservice8722Sbdown => 'Der XMR-Dienst von ChangeNow ist vorübergehend nicht verfügbar. Versuchen Sie es später noch einmal.';

  @override
  String morph250Sbwithdrawal250Sbaddress8722Sbinput250Sbtext(Object cryptocurrencyName) {
    return 'Empfang von $cryptocurrencyName-Adresse';
  }

  @override
  String get morph250Sbwithdrawal250Sblimits8722Sbmax => 'Maximal';

  @override
  String get morph250Sbwithdrawal250Sblimits8722Sbmin => 'Minimum';

  @override
  String get morph250Sbwithdrawal250Sblimits8722Sbtitle => 'Limits für diesen ChangeNow-Handel:';

  @override
  String new8722Sbad250Sbdisabled8722Sbtype8722Sbselector250Sbnotice(Object amount_required) {
    return 'Mangelhaftes Gleichgewicht. Erforderlich: $amount_required.';
  }

  @override
  String get new8722Sbad250Sbemail8722Sbverified250Sblabel => 'Nur für Benutzer mit verifizierter E-Mail';

  @override
  String get new8722Sbad250Sbemail8722Sbverified250Sbtip => 'Nützlich bei Problemen mit \"Coinlockers\"';

  @override
  String new8722Sbad250Sboptions250Sbad8722Sbcreation8722Sbmode250Sbcoins(Object assetName) {
    return 'Handel {id}';
  }

  @override
  String get new8722Sbad250Sbreview250Sbemail8722Sbverified => 'Nur für Benutzer mit verifizierter E-Mail';

  @override
  String get nojs250Sbdashboard250Sbsave8722Sbvacations8722Sbbtn => 'Urlaub sparen';

  @override
  String get nojs250Sberror250Sblogin250Sbunauthorized => 'Benutzername/Passwort/Einmalpasswort falsch!';

  @override
  String get nojs250Sberror250Sbserver => 'Bei der Anfrage ist etwas schief gelaufen. Bitte aktualisieren Sie die Seite und versuchen Sie es erneut. Wenn das Problem weiterhin besteht, wenden Sie sich bitte an unseren Support.';

  @override
  String nojs250Sberror250Sbvalidation250Sbaddress(Object assetName) {
    return 'Bitte geben Sie eine gültige $assetName-Adresse an.';
  }

  @override
  String get nojs250Sberror250Sbvalidation250Sbamount => 'Bitte geben Sie einen gültigen Betrag ein.';

  @override
  String get nojs250Sberror250Sbvalidation250Sbcaptcha => 'CAPTCHA gescheitert. Bitte versuche es erneut';

  @override
  String get nojs250Sberror250Sbvalidation250Sbconfirm8722Sbpassword => 'Eingegebene Passwörter stimmten nicht überein.';

  @override
  String get nojs250Sberror250Sbvalidation250Sbemail => 'Bitte eine gültige E-Mail-Adresse eintragen.';

  @override
  String get nojs250Sberror250Sbvalidation250SbfeedbackMsg => 'Die Feedback-Nachricht darf maximal 256 Zeichen lang sein.';

  @override
  String get nojs250Sberror250Sbvalidation250SbfeedbackType => 'Bitte wählen Sie eine der zulässigen Feedback-Arten aus: „Vertrauen“, „Positiv“, „Neutral“, „Negativ“ oder „Blockieren“.';

  @override
  String get nojs250Sberror250Sbvalidation250Sbgeneric8722Sbstring => 'Bitte ändern Sie den Text so, dass er innerhalb der angegebenen Grenzen liegt.';

  @override
  String get nojs250Sberror250Sbvalidation250Sbhomepage => 'Muss eine vollständige gültige URL sein (d. h. einschließlich „https://“ usw.)';

  @override
  String get nojs250Sberror250Sbvalidation250Sbintroduction => 'Muss eine Zeichenfolge sein, die nicht länger als 65536 Zeichen ist.';

  @override
  String get nojs250Sberror250Sbvalidation250Sbotp => 'OTP muss ein 6-stelliger Wert sein';

  @override
  String get nojs250Sberror250Sbvalidation250Sbpassword => 'Das Passwort muss zwischen 8 und 72 Zeichen lang sein';

  @override
  String get nojs250Sberror250Sbvalidation250Sbreputation8722Sbimport8722Sbplatform8722Sbusername => 'Der Benutzername muss eine Zeichenfolge mit einer Länge von 1 bis 30 Zeichen sein.';

  @override
  String nojs250Sberror250Sbvalidation250Sbtos(Object appName) {
    return 'Um unsere Website zu nutzen, lesen Sie bitte die Nutzungsbedingungen von $appName und stimmen Sie ihnen zu.';
  }

  @override
  String get nojs250Sberror250Sbvalidation250Sbusername => 'Der Benutzername muss 3-16 Zeichen lang sein. Erlaubte Zeichen: a-z, A-Z, 0-9, -, _';

  @override
  String get nojs250Sbfilter250Sblocal8722Sblabel => 'LOKAL';

  @override
  String get nojs250Sbfilter250Sbonline8722Sblabel => 'ONLINE';

  @override
  String get nojs250Sbformula250Sbinstructions250Sbfunctions => 'Sie können die folgenden Funktionen verwenden (können verschachtelt werden): <strong>min(), max(), floor(), ceiling(), avg()</strong>';

  @override
  String get nojs250Sbformula250Sbinstructions250Sboperators => 'Sie können die folgenden Operatoren verwenden: <strong>+ - * /</strong>';

  @override
  String get nojs250Sbformula250Sbinstructions250Sbpunctuation => 'Sie können die folgenden Satzzeichen verwenden: <strong>( ) . ,</strong>';

  @override
  String get nojs250Sbformula250Sbtickers250Sblabel => 'Alle verfügbaren Börsenticker';

  @override
  String get nojs250Sbformula250Sbvalidator250Sbbtn => 'Formel prüfen';

  @override
  String get nojs250Sbformula250Sbvalidator250Sbinstruction => 'Verwenden Sie dieses Tool, um Ihre Preisformel zu überprüfen. <br /> HINWEIS: Nachdem Sie bestätigt haben, dass Ihre Formel wie erwartet funktioniert, sollten Sie sie in das eigentliche Formular oben kopieren. Dieses Tool dient nur zur Überprüfung der Formelgültigkeit.';

  @override
  String get nojs250Sbformula250Sbvalidator250Sblabel => 'Formelvalidierungstool';

  @override
  String nojs250Sbmorph8722Sbwithdrawal(Object cryptocurrencyName) {
    return 'Ich möchte eine Schlichtungsbürgschaft auf eine $cryptocurrencyName-Wallet zurückziehen';
  }

  @override
  String get nojs250Sbmorph8722Sbwithdrawal250Sbbutton8722Sblabel => 'Start';

  @override
  String nojs250Sbmorph8722Sbwithdrawal250Sbnotice(Object assetSymbol, Object cryptocurrencyName) {
    return 'Zurückziehen von $assetSymbol Schiedsbürgschaft zu einem $cryptocurrencyName Wallet';
  }

  @override
  String nojs250Sbno8722Sbgoogle8722Sbtext(Object value) {
    return 'Sie können den Dienst $value verwenden, um die Koordinaten Ihres Standorts abzurufen';
  }

  @override
  String get nojs250Sbsettings250Sbsave8722Sbtelegram8722Sbid250Sbbutton8722Sblabel => 'Telegramm-ID speichern';

  @override
  String get nojs250Sbtrade250Sbchat250Sbrefresh => 'Aktualisierung';

  @override
  String note250Sbbutton(Object username) {
    return 'Notiz hinzufügen zu $username';
  }

  @override
  String note250Sbcreated(Object at) {
    return 'Erstellt $at';
  }

  @override
  String get note250Sbinput250Sbplaceholder => 'Dies ist eine private Notiz für Ihre eigene Referenz, sie ist weder für diesen Benutzer noch für andere Benutzer sichtbar.';

  @override
  String note250Sbtitle(Object username) {
    return 'Ihre Notiz zu $username (nur für Sie sichtbar)';
  }

  @override
  String note250Sbupdated(Object at) {
    return 'bearbeitet $at';
  }

  @override
  String notice250Sbnon8722Sbcustodial(Object appName) {
    return 'Handelsabwicklungen ohne Verwahrung sind jetzt aktiv! <a href=\"https://t.me/$appName\" target=\"_blank\" class=\"next-link\">Lassen Sie uns wissen</a>, wenn Sie Fragen haben oder auf Probleme stoßen. Falls Sie es verpasst haben, <a href=\"/blog/announcements/fully-non-custodial-trade-settlements\" target=\"_blank\" class=\"next-link\">können Sie hier ausführlich über das Update lesen.</a>';
  }

  @override
  String get notification250Sbmarked8722Sball8722Sbread => 'Alle Benachrichtigungen als gelesen markieren';

  @override
  String notification250Sbmessage(Object tradeId, Object username) {
    return 'Sie haben eine neue Nachricht im Handel $tradeId von $username';
  }

  @override
  String get notification250Sbno8722Sbnotifications => 'Sie haben noch keine Benachrichtigungen';

  @override
  String get notification250Sbread => 'Benachrichtigungen lesen';

  @override
  String notification250Sbtrade8722Sbcancelled(Object tradeId, Object username) {
    return 'Handel $tradeId wurde von $username storniert';
  }

  @override
  String notification250Sbtrade8722Sbcomplete(Object tradeId, Object username) {
    return 'Ihr Handel $tradeId mit $username wurde abgeschlossen';
  }

  @override
  String notification250Sbtrade8722Sbdisputed(Object tradeId, Object username) {
    return 'Handel $tradeId wurde von $username angefochten';
  }

  @override
  String notification250Sbtrade8722Sbpayment8722Sbmarked8722Sbcomplete(Object username, Object tradeId) {
    return '$username hat die Zahlung im Handel abgeschlossen $tradeId';
  }

  @override
  String notification250Sbtrade8722Sbrequest(Object tradeId, Object username) {
    return 'Sie haben ein neues Angebot $tradeId von Benutzer $username';
  }

  @override
  String get notification250Sbunread => 'Ungelesene Benachrichtigungen';

  @override
  String get otp8722Sbtip8722Sb08722Sb0 => 'Wenn Sie die Zwei-Faktor-Authentifizierung aktiviert haben, geben Sie hier Ihr 6-stelliges Einmalpasswort ein.';

  @override
  String get otp8722Sbtip8722Sb08722Sb1 => 'Wo finde ich mein Einmalpasswort?';

  @override
  String get otp8722Sbtip8722Sb1 => 'Geben Sie hier Ihr 6-stelliges Einmalpasswort aus der mobilen 2FA-App ein.';

  @override
  String get otp8722Sbtitle8722Sb0 => 'Einmalpasswort (falls aktiviert)';

  @override
  String get otp8722Sbtitle8722Sb1 => 'Einmaliges Passwort';

  @override
  String get password => 'Passwort';

  @override
  String get password8722Sbreset250Sbbtn => 'Passwort ändern';

  @override
  String get password8722Sbreset250Sbconfirm8722Sbnew8722Sbpassword => 'Bestätige neues Passwort';

  @override
  String get password8722Sbreset250Sbconfirm8722Sbnew8722Sbpassword8722Sbtip => 'Bitte bestätigen Sie Ihr neues Passwort';

  @override
  String get password8722Sbreset250Sberror => 'Bei Ihrer Anfrage ist ein Fehler aufgetreten';

  @override
  String get password8722Sbreset250Sbnew8722Sbpassword => 'Neues Passwort';

  @override
  String get password8722Sbreset250Sbsubtitle => 'Nach der Passwortänderung müssen Sie sich erneut mit Ihrem neuen Passwort anmelden';

  @override
  String get password8722Sbreset250Sbsuccess => 'Erfolg!';

  @override
  String get password8722Sbreset250Sbsuccess8722Sbtip => 'Sie werden nun auf die Anmeldeseite weitergeleitet.';

  @override
  String get password8722Sbreset250Sbtitle => 'Passwort ändern';

  @override
  String get password8722Sbtip => '8-72 Zeichen.';

  @override
  String get post8722Sbad250Sbamount8722Sbtitle => 'Menge';

  @override
  String get post8722Sbad250Sbcountry250Sbtitle => 'Land';

  @override
  String get post8722Sbad250Sbcurrency250Sbtitle => 'Währung';

  @override
  String get post8722Sbad250Sbdetails => 'Einzelheiten';

  @override
  String get post8722Sbad250Sberror250Sbcorrect8722Sberrors => 'Bitte korrigieren Sie die markierten Fehler';

  @override
  String get post8722Sbad250Sberror250Sbdialog8722Sbback8722Sbbtn => 'Der Rücken';

  @override
  String get post8722Sbad250Sberror250Sbdialog8722Sbbtn => 'Der Rücken';

  @override
  String get post8722Sbad250Sberror250Sbdialog8722Sbtitle => 'Formularfehler';

  @override
  String get post8722Sbad250Sberror250Sbdialog8722Sbtitle8722Sbtoo8722Sbmany8722Sbads => 'Zu viele Anzeigen';

  @override
  String post8722Sbad250Sberror250Sbfirst8722Sbtime8722Sblimit8722Sbnot8722Sbvalid(Object assetSymbol, Object min_asset_amount, Object max_asset_amount) {
    return 'Bitte geben Sie beim ersten Mal einen gültigen Grenzwert $assetSymbol ein. Es sind nur Zahlen zwischen $min_asset_amount und $max_asset_amount erlaubt.';
  }

  @override
  String get post8722Sbad250Sberror250Sblimit8722Sbamounts8722Sbnot8722Sbvalid => 'Bitte geben Sie ein gültiges Limit für den Betragswert ein. Es sind nur ganze Zahlen zwischen 1 und 1000000000000 erlaubt.';

  @override
  String get post8722Sbad250Sberror250Sblimit8722Sbrequests8722Sbcontent => 'Sie versuchen, zu viele Anzeigen zu erstellen';

  @override
  String get post8722Sbad250Sberror250Sblimit8722Sbrequests8722Sbtitle => 'Zu viele Anfragen';

  @override
  String get post8722Sbad250Sberror250Sbmargin8722Sbnot8722Sbvalid => 'Bitte geben Sie einen gültigen Margenwert ein. Es sind nur Zahlen zwischen -100 und 1000 erlaubt.';

  @override
  String get post8722Sbad250Sberror250Sbmax8722Sbamount8722Sbnot8722Sbvalid => 'Bitte geben Sie einen gültigen Höchstbetrag ein. Es sind nur Zahlen zwischen 0,000000000001 und 10000000000000 erlaubt.';

  @override
  String post8722Sbad250Sberror250Sbmin8722Sbamount8722Sbless8722Sbthan8722Sbbalance(Object appName) {
    return 'Der Mindesttransaktionsbetrag darf nicht niedriger sein als Ihr aktuelles Guthaben. Versuchen Sie, den Mindestbetrag zu senken oder Geld auf Ihr $appName-Wallet einzuzahlen.';
  }

  @override
  String get post8722Sbad250Sberror250Sbmin8722Sbamount8722Sbnot8722Sbvalid => 'Bitte geben Sie einen gültigen Mindestbetrag ein. Es sind nur Zahlen zwischen 0,000000000001 und 10000000000000 erlaubt.';

  @override
  String get post8722Sbad250Sberror250Sbnetwork => 'Netzwerkfehler';

  @override
  String get post8722Sbad250Sberror250Sbpayment8722Sbwindow8722Sbnot8722Sbvalid => 'Bitte geben Sie einen gültigen Zahlungsfensterwert ein. Es sind nur ganze Zahlen zwischen 15 und 90 erlaubt.';

  @override
  String get post8722Sbad250Sberror250Sbprice8722Sbnot8722Sbvalid => 'Bitte geben Sie einen gültigen Preiswert ein. Es sind nur Zahlen zwischen 0,000000000001 und 10000000000000 erlaubt.';

  @override
  String get post8722Sbad250Sberror250Sbrequire8722Sbfeedback8722Sbnot8722Sbvalid => 'Bitte geben Sie ein gültiges Limit ein, um einen Feedback-Score-Wert anzufordern. Es sind nur ganze Zahlen zwischen 0 und 100 erlaubt.';

  @override
  String get post8722Sbad250Sberror250Sbwallet8722Sbbalance => 'Das Wallet-Guthaben liegt unter dem erforderlichen Minimum für diesen Anzeigentyp';

  @override
  String post8722Sbad250Sbfirst8722Sbtime8722Sbxmr8722Sblimit(Object assetSymbol) {
    return 'Erstes Zeitlimit ($assetSymbol)';
  }

  @override
  String get post8722Sbad250Sbfirst8722Sbtime8722Sbxmr8722Sblimit8722Sbtip => 'Optional. Begrenzen Sie den maximalen Transaktionsbetrag für Benutzer, mit denen Sie noch keine Geschäfte getätigt haben. Minimum 0.';

  @override
  String get post8722Sbad250Sbfor8722Sbtrusted8722Sbswitch8722Sbdescription => 'Macht diese Anzeige nur für die Benutzer zugänglich, die Sie als vertrauenswürdig gekennzeichnet haben';

  @override
  String get post8722Sbad250Sbfor8722Sbtrusted8722Sbswitch8722Sblabel => 'Nur für vertrauenswürdige Benutzer';

  @override
  String get post8722Sbad250Sblimit8722Sbfiat8722Sbamounts => 'Grenzbeträge auf';

  @override
  String get post8722Sbad250Sblimit8722Sbfiat8722Sbamounts8722Sbtip => 'Optional. Beschränken Sie den Handel mit Beträgen auf bestimmte durch Kommas getrennte Ganzzahlen, z. B. 20,50,100. In Fiat-Währung (USD/EUR/usw.). Praktisch für Coupons, Geschenkkarten usw.';

  @override
  String get post8722Sbad250Sblocation250Sbtitle => 'Ort';

  @override
  String post8722Sbad250Sblogged8722Sbout8722Sbnotice(Object logIn, Object signUp) {
    return 'Um eine neue Anzeige zu veröffentlichen, bitte $logIn oder $signUp';
  }

  @override
  String get post8722Sbad250Sblogged8722Sbout8722Sbnotice8722Sblog8722Sbin => 'Einloggen';

  @override
  String get post8722Sbad250Sblogged8722Sbout8722Sbnotice8722Sbsign8722Sbup => 'Anmelden';

  @override
  String get post8722Sbad250Sbmax8722Sbamount => 'Höchstbetrag';

  @override
  String get post8722Sbad250Sbmax8722Sbamount8722Sbtip => 'Optional. Maximales Transaktionslimit in einem Trade.';

  @override
  String get post8722Sbad250Sbmin8722Sbamount => 'Mindestbetrag';

  @override
  String get post8722Sbad250Sbmin8722Sbamount8722Sbtip => 'Optional. Minimales Transaktionslimit in einem Trade';

  @override
  String get post8722Sbad250Sbmin8722Sbfeedback8722Sbscore => 'Minimale Feedback-Punktzahl';

  @override
  String get post8722Sbad250Sbmin8722Sbfeedback8722Sbscore8722Sbtip => 'Optional. Erforderliche Mindestpunktzahl für Benutzerfeedback, um einen Handel von 0 bis 100 anzufordern.';

  @override
  String get post8722Sbad250Sbpayment8722Sbmethod8722Sbdetail => 'Einzelheiten zur Zahlungsmethode';

  @override
  String get post8722Sbad250Sbpayment8722Sbmethod8722Sbdetail8722Sbtip => 'Optional. Geben Sie einige kurze Details zur Zahlungsmethode an, die in der Anzeigenliste angezeigt werden soll, z. B. den Namen der Bank, falls die Zahlungsmethode Banküberweisung ist. Maximal 64 Zeichen.';

  @override
  String get post8722Sbad250Sbpayment8722Sbmethod8722Sbinfo => 'Informationen zur Zahlungsmethode';

  @override
  String get post8722Sbad250Sbpayment8722Sbmethod8722Sbinfo8722Sbtip8722Sb0 => 'Geben Sie Informationen zur Zahlungsmethode an, die während des Handels angezeigt werden sollen. Maximal 4096 Zeichen. Sie können Markdown verwenden, um Ihre Zahlungsmethodeninformationen zu gestalten (Bilder sind nicht erlaubt).';

  @override
  String get post8722Sbad250Sbpayment8722Sbmethod250Sbtitle => 'Zahlungsmethode';

  @override
  String get post8722Sbad250Sbpayment8722Sbwindow => 'Zahlungsfenster (Minuten)';

  @override
  String get post8722Sbad250Sbpayment8722Sbwindow8722Sbtip => 'Zahlungsfensterzeit in Minuten. Minimum 15. Maximum 90. Wenn nichts angegeben wird, wird der Standardwert auf 90 gesetzt.';

  @override
  String get post8722Sbad250Sbprice8722Sbtype250Sbfixed => 'Festpreis';

  @override
  String post8722Sbad250Sbprice8722Sbtype250Sbfixed8722Sbprice8722Sbin(Object currency) {
    return 'Festpreis in $currency';
  }

  @override
  String post8722Sbad250Sbprice8722Sbtype250Sbfixed8722Sbprice8722Sbtip(Object assetSymbol, Object currency) {
    return 'Preis für 1 $assetSymbol in $currency. Dieser Preis ändert sich nicht, es sei denn, Sie ändern ihn manuell.';
  }

  @override
  String get post8722Sbad250Sbprice8722Sbtype250Sbfixed8722Sbprice8722Sbtip250Sbnojs => 'Preis für 1 Coin in der ausgewählten Anzeigenwährung. Dieser Preis ändert sich nicht, es sei denn, Sie ändern ihn manuell.';

  @override
  String get post8722Sbad250Sbprice8722Sbtype250Sbfloating => 'Variabler Preis';

  @override
  String post8722Sbad250Sbprice8722Sbtype250Sbfloating8722Sbtip(Object assetName) {
    return 'Lassen Sie den Wechselkurs mit dem Markt schweben, während der Handel offen ist. Der Handelspreis wird zum Zeitpunkt des Abschlusses festgelegt. Beachten Sie, dass eine zusätzliche Reserve von 15 % zu dem Betrag von $assetName hinzugefügt wird, der in der Schiedsbürgschaft reserviert ist. Der überschüssige Betrag wird nach Abschluss des Handels zurückerstattet.';
  }

  @override
  String get post8722Sbad250Sbprice8722Sbtype250Sbfloating8722Sbtip250Sbnojs => 'Lassen Sie den Wechselkurs mit dem Markt schweben, während der Handel offen ist. Der Handelspreis wird zum Zeitpunkt des Abschlusses des Handels festgelegt. Beachten Sie, dass eine zusätzliche Reserve von 15 % zu dem ausgewählten Kryptowährungsvermögenswert hinzugefügt wird, der für die Schiedsbürgschaft reserviert ist. Der überschüssige Betrag wird nach Abschluss des Handels zurückerstattet.';

  @override
  String get post8722Sbad250Sbprice8722Sbtype250Sbmargin => 'Marge in %';

  @override
  String get post8722Sbad250Sbprice8722Sbtype250Sbmargin250Sbtip => 'Die Marge ist die Differenz zwischen Ihrem Preis und dem Marktpreis. 0% ist der Marktpreis. Verwenden Sie einen positiven Wert, um über den Marktpreis zu gehen, und einen negativen Wert, um unter den Marktpreis zu gehen.';

  @override
  String get post8722Sbad250Sbprice8722Sbtype250Sbmarket => 'Marktpreis';

  @override
  String get post8722Sbad250Sbprice8722Sbtype250Sbradio250Sbformula => 'Preisformel (erweitert)';

  @override
  String get post8722Sbad250Sbprice8722Sbtype250Sbtip => 'Marktpreis bedeutet, dass sich der Preis Ihrer Anzeige ändert, wenn sich der Marktpreis ändert. Festpreis bedeutet, dass Ihr Preis trotz Marktschwankungen gleich bleibt, bis Sie ihn manuell ändern. Verwenden Sie die Preisformel (erweitert), um kompliziertere Preismechanismen zu erstellen.';

  @override
  String get post8722Sbad250Sbprice8722Sbtype250Sbtitle => 'Preiseingabetyp';

  @override
  String get post8722Sbad250Sbprice250Sbtitle => 'Preis';

  @override
  String get post8722Sbad250Sbpublish8722Sbbtn => 'Anzeige veröffentlichen';

  @override
  String get post8722Sbad250Sbrestrictions => 'Beschränkungen';

  @override
  String get post8722Sbad250Sbreview => 'Überprüfen Sie Ihre Anzeige';

  @override
  String get post8722Sbad250Sbreview250Sbad8722Sbtype => 'Anzeigentyp';

  @override
  String get post8722Sbad250Sbreview250Sbmargin => 'Rand';

  @override
  String get post8722Sbad250Sbreview250Sbminutes => 'Protokoll';

  @override
  String get post8722Sbad250Sbreview250Sbno => 'nein';

  @override
  String get post8722Sbad250Sbreview250Sbyes => 'Jawohl';

  @override
  String post8722Sbad250Sbrules8722Sbtext8722Sb0(Object termsOfservice, Object guides) {
    return 'Bevor Sie eine Anzeige erstellen, lesen Sie bitte unsere $termsOfservice und $guides';
  }

  @override
  String get post8722Sbad250Sbrules8722Sbtext8722Sb08722Sbguides => 'Führer';

  @override
  String get post8722Sbad250Sbrules8722Sbtext8722Sb08722Sbterms8722Sbof8722Sbservice => 'Nutzungsbedingungen';

  @override
  String get post8722Sbad250Sbrules8722Sbtext8722Sb18722Sb0 => 'Jeder abgeschlossene Handel kostet Werbetreibende 1 % des gesamten Handelsbetrags (Schiedsschutzgebühr).';

  @override
  String post8722Sbad250Sbrules8722Sbtext8722Sb18722Sb1(Object minimumXmrAmount, Object assetSymbol, Object appName) {
    return 'Sie müssen mindestens $minimumXmrAmount $assetSymbol in Ihrem $appName Arbitration Bond Wallet haben, damit eine veröffentlichte $assetSymbol Verkaufsanzeige sichtbar ist.';
  }

  @override
  String post8722Sbad250Sbrules8722Sbtext8722Sb18722Sb1250Sbagoradesk8722Sbnojs(Object minimumXmrAmount, Object assetSymbol, Object appName) {
    return 'Sie müssen mindestens $minimumXmrAmount $assetSymbol in Ihrer $appName-Brieftasche haben, damit eine veröffentlichte $assetSymbol-Verkaufs- oder $assetSymbol-Call-Sell- oder $assetSymbol-Put-Buy-Anzeige sichtbar ist.';
  }

  @override
  String post8722Sbad250Sbrules8722Sbtext8722Sb18722Sb2(Object maximumNumberOfAds) {
    return 'Jeder Benutzer darf bis zu $maximumNumberOfAds Anzeigen erstellen.';
  }

  @override
  String get post8722Sbad250Sbrules8722Sbtext8722Sb18722Sb3 => 'Sobald ein Trade eröffnet ist, ist der Preis endgültig, es sei denn, es liegt ein eindeutiger Fehler in der Preisgestaltung vor.';

  @override
  String post8722Sbad250Sbrules8722Sbtext8722Sb18722Sb4(Object assetName) {
    return 'Es ist Ihnen nicht gestattet, $assetName im Auftrag einer anderen Person zu kaufen oder zu verkaufen (Vermittlung).';
  }

  @override
  String get post8722Sbad250Sbrules8722Sbtext8722Sb18722Sb4250Sbnojs => 'Es ist Ihnen nicht gestattet, Kryptowährungen im Namen einer anderen Person zu kaufen oder zu verkaufen (Brokering).';

  @override
  String get post8722Sbad250Sbrules8722Sbtext8722Sb18722Sb5 => 'Sie dürfen nur Zahlungskonten verwenden, die auf Ihren eigenen Namen registriert sind (keine Zahlungen Dritter!).';

  @override
  String get post8722Sbad250Sbrules8722Sbtext8722Sb18722Sb6 => 'Sie müssen Ihre Zahlungsdaten in der Anzeige oder im Handelschat angeben.';

  @override
  String post8722Sbad250Sbrules8722Sbtext8722Sb18722Sb7(Object appName) {
    return 'Die gesamte Kommunikation muss auf $appName erfolgen.';
  }

  @override
  String get post8722Sbad250Sbrules8722Sbtitle => 'Regeln und Anforderungen für Werbung';

  @override
  String post8722Sbad250Sbsettlement8722Sbaddress250Sbtip(Object appName) {
    return 'Erforderlich. Ihre Adresse, an die die Coins gesendet werden. Darf keine interne $appName-Adresse sein.';
  }

  @override
  String post8722Sbad250Sbstep8722Sb1(Object step_number) {
    return 'Schritt $step_number';
  }

  @override
  String get post8722Sbad250Sbstep8722Sb2 => 'Schritt 2';

  @override
  String get post8722Sbad250Sbstep8722Sb3 => 'Schritt 3';

  @override
  String get post8722Sbad250Sbstep8722Sb4 => 'Schritt 4';

  @override
  String get post8722Sbad250Sbstep8722Sb5 => 'Schritt 5';

  @override
  String get post8722Sbad250Sbstep8722Sb6 => 'Schritt 6';

  @override
  String get post8722Sbad250Sbswitch8722Sbform8722Sbtoggle250Sbshow8722Sbfull => 'Vollständige Form anzeigen';

  @override
  String get post8722Sbad250Sbswitch8722Sbform8722Sbtoggle250Sbshow8722Sbstep => 'Schrittansicht anzeigen';

  @override
  String get post8722Sbad250Sbterms => 'Geschäftsbedingungen';

  @override
  String get post8722Sbad250Sbterms8722Sbtip8722Sb0 => 'Geschäftsbedingungen der Anzeige, maximal 4096 Zeichen. Sie können Markdown verwenden, um die Bedingungen Ihrer Anzeige zu gestalten (Bilder sind nicht erlaubt).';

  @override
  String get post8722Sbad250Sbterms8722Sbtip8722Sb1 => 'Wie verwendet man Markdown?';

  @override
  String get post8722Sbad250Sbtitle => 'Erstellen Sie eine Anzeige';

  @override
  String get post8722Sbad250Sbtrack8722Sbmax8722Sbamount8722Sbliquidity => 'Verfolgen Sie die maximale Liquidität';

  @override
  String get post8722Sbad250Sbtrack8722Sbmax8722Sbamount8722Sbliquidity8722Sbtip => 'Diese Option begrenzt die Liquidität dieser Anzeige auf das Maximum. Transaktionslimit. Käufer können keine Trades für mehr als diesen Betrag eröffnen und abschließen. Beispiel: Mit eingeschalteter Streckenliquidität und max. Transaktionslimit auf 100 USD festgelegt, wenn ein Käufer einen Handel für 20 USD eröffnet, das max. Das Transaktionslimit wird automatisch auf 80 USD gesenkt. Es kehrt zu 100 USD zurück, wenn der Käufer den Handel storniert, und bleibt bei 80 USD, wenn der Handel abgeschlossen wird.';

  @override
  String post8722Sbad250Sbtrade8722Sbtype250Sblocal8722Sbbuy(Object assetName) {
    return 'Kaufen Sie $assetName gegen Bargeld (lokal)';
  }

  @override
  String post8722Sbad250Sbtrade8722Sbtype250Sblocal8722Sbsell(Object assetName) {
    return 'Verkaufe $assetName gegen Bargeld (lokal)';
  }

  @override
  String post8722Sbad250Sbtrade8722Sbtype250Sbonline8722Sbbuy(Object assetName) {
    return 'Kaufen Sie $assetName online';
  }

  @override
  String post8722Sbad250Sbtrade8722Sbtype250Sbonline8722Sbsell(Object assetName) {
    return 'Verkaufe $assetName online';
  }

  @override
  String get post8722Sbad250Sbtrade8722Sbtype250Sbsubtitle => 'Ich möchte...';

  @override
  String post8722Sbad250Sbtrade8722Sbtype250Sbtip(Object assetName, Object appName) {
    return 'Welche Art von Handelsanzeige möchten Sie erstellen? Wenn Sie $assetName verkaufen möchten, vergewissern Sie sich, dass Sie $assetName in Ihrer $appName Schiedsbrieftasche haben.';
  }

  @override
  String post8722Sbad250Sbtrade8722Sbtype250Sbtip250Sbnojs(Object appName) {
    return 'Welche Art von Handelsanzeige möchten Sie erstellen? Wenn Sie Monero verkaufen möchten, vergewissern Sie sich, dass Sie Monero in Ihrem $appName Schiedsbrief-Wallet haben.';
  }

  @override
  String post8722Sbad250Sbtrade8722Sbtype250Sbtip250Sbnojs57Sbagoradesk(Object appName) {
    return 'Welche Art von Handelsanzeige möchten Sie erstellen? Wenn Sie Kryptowährung verkaufen möchten, vergewissern Sie sich, dass Sie die entsprechende Kryptowährung in Ihrem $appName Schiedsbrief-Wallet haben.';
  }

  @override
  String get post8722Sbad250Sbtrade8722Sbtype250Sbtitle => 'Art des Handels';

  @override
  String price8722Sbformula8722Sbinterface250Sbtickers250Sbasset8722Sbpairs(Object asset) {
    return '$asset Paare';
  }

  @override
  String get price8722Sbformula8722Sbinterface250Sbtickers250Sbasset8722Sbpairs250Sbother8722Sbasset => 'Sonstiges';

  @override
  String get read8722Sbmore => 'Weiterlesen';

  @override
  String get recaptcha250Sbno8722Sbgoogle8722Sbmessage => 'Wir haben festgestellt, dass Google-Dienste in Ihrem Browser blockiert sind. Da wir reCAPTCHA von Google für einige Website-Aktionen verwenden, müssen Sie einen Weg finden, um auf die Google-Dienste zuzugreifen (z. B. VPN, Proxy oder Verwendung eines Tor-Browsers).';

  @override
  String get receipt250Sbchat8722Sbmessages => 'Nachrichten';

  @override
  String get receipt250Sbchat8722Sbmessages8722Sbnone => 'Keine Nachrichten';

  @override
  String get receipt250Sbdetails250Sbopened => 'Geöffnet';

  @override
  String get receipt250Sbno8722SbaccountInfo => 'Keine Informationen zur Zahlungsmethode angegeben';

  @override
  String receipt250Sbtitle(Object appName, Object id) {
    return '$appName — Handels-ID: $id';
  }

  @override
  String get reputation8722Sbimport250Sbdenied250Sbtip => 'Sie können es mit einem anderen Benutzernamen erneut versuchen';

  @override
  String get reputation8722Sbimport250Sbdenied250Sbtitle => 'Bestritten';

  @override
  String get reputation8722Sbimport250Sbinitial250Sbtitle => 'Nicht angefangen';

  @override
  String get reputation8722Sbimport250Sbpending250Sbtitle => 'Ausstehend';

  @override
  String get reputation8722Sbimport250Sbstats250Sbfeedback => 'Rückmeldung';

  @override
  String get reputation8722Sbimport250Sbstats250Sbregistered => 'Eingetragen';

  @override
  String reputation8722Sbimport250Sbstats250Sbtitle(Object platform) {
    return '$platform Ruf';
  }

  @override
  String get reputation8722Sbimport250Sbstats250Sbtrades => 'Handel';

  @override
  String get reputation8722Sbimport250Sbstats250Sbvolume => 'Volumen';

  @override
  String reputation8722Sbimport250Sbstep250Sbcode250Sbmessage(Object platform) {
    return 'Fügen Sie diesen Code irgendwo in Ihrem öffentlichen $platform-Profil hinzu. Sobald wir den Code überprüft haben, können Sie ihn entfernen.';
  }

  @override
  String get reputation8722Sbimport250Sbstep250Sbcode250Sbmessage250Sblbc => 'Fügen Sie diesen Code Ihrem LocalBitcoins-Profil als Ihre persönliche Webseite hinzu und fügen Sie am Ende \".com\" hinzu. Sobald wir den Code überprüft haben, können Sie ihn entfernen.';

  @override
  String get reputation8722Sbimport250Sbstep250Sbcode250Sbtitle => 'Fügen Sie den Code hinzu';

  @override
  String get reputation8722Sbimport250Sbstep250Sbfinal250Sbtitle => 'Warten Sie auf die Bestätigung';

  @override
  String reputation8722Sbimport250Sbstep250Sbusername250Sbinput250Sblabel(Object platform) {
    return 'Ihr $platform-Benutzername';
  }

  @override
  String reputation8722Sbimport250Sbstep250Sbusername250Sbmessage(Object platform) {
    return 'Wie lautet Ihr Benutzername auf $platform?';
  }

  @override
  String get reputation8722Sbimport250Sbstep250Sbusername250Sbtitle => 'Benutzernamen auswählen';

  @override
  String get reputation8722Sbimport250Sbstepper250Sbfinal250Sbmessage => 'Warte einfach ein bisschen, bis wir dein Profil verifiziert haben.';

  @override
  String get reputation8722Sbimport250Sbstepper250Sbfinal250Sbtitle => 'Fast dort!';

  @override
  String get reputation8722Sbimport250Sbunconfirmed250Sbtitle => 'Unbestätigt';

  @override
  String get reputation8722Sbimport250Sbverified250Sbtitle => 'Verifiziert';

  @override
  String get reputation8722Sbimport250Sbwizard8722Sbtoggle250Sbedit => 'Importinformationen bearbeiten';

  @override
  String get reputation8722Sbimport250Sbwizard8722Sbtoggle250Sbinitial => 'Konto verbinden';

  @override
  String get request8722Sbpassword8722Sbreset250Sbbtn => 'Reset-Brief senden';

  @override
  String get request8722Sbpassword8722Sbreset250Sbemail => 'Deine E-Mail';

  @override
  String get request8722Sbpassword8722Sbreset250Sbemail8722Sbtip => 'Geben Sie eine verifizierte E-Mail-Adresse ein, die mit Ihrem Konto verknüpft ist. Wir senden Ihnen einen Brief mit Anweisungen zum Zurücksetzen des Passworts';

  @override
  String get request8722Sbpassword8722Sbreset250Sberror8722Sb1 => 'Wir haben kein mit dieser E-Mail verknüpftes Konto.';

  @override
  String get request8722Sbpassword8722Sbreset250Sberror8722Sb2 => 'Diese E-Mail ist unbestätigt';

  @override
  String get request8722Sbpassword8722Sbreset250Sberror8722Sb3 => 'Fehler';

  @override
  String get request8722Sbpassword8722Sbreset250Sberror8722Sb58722Sbtext => 'Bitte warten Sie, bevor Sie Ihr Passwort erneut zurücksetzen';

  @override
  String get request8722Sbpassword8722Sbreset250Sberror8722Sb58722Sbtitle => 'Zu viele Anfragen';

  @override
  String get request8722Sbpassword8722Sbreset250Sberror8722Sb6 => 'Fehler beim Zurücksetzen des Passworts';

  @override
  String get request8722Sbpassword8722Sbreset250Sbletter8722Sbsent => 'Wenn diese E-Mail-Adresse mit einem Konto verifiziert ist, erhalten Sie einen Brief.';

  @override
  String get request8722Sbpassword8722Sbreset250Sbtitle => 'Passwort zurücksetzen';

  @override
  String get right8722Sbdrawer250Sbaffiliate => 'Partnerprogramm';

  @override
  String get right8722Sbdrawer250Sbcancelled => 'Stornierte Geschäfte';

  @override
  String get right8722Sbdrawer250Sbcompleted => 'Abgeschlossene Geschäfte';

  @override
  String get right8722Sbdrawer250Sbdashboard => 'Offene Trades & Anzeigen';

  @override
  String get right8722Sbdrawer250Sblogout => 'Ausloggen';

  @override
  String get right8722Sbdrawer250Sbprofile => 'Profil';

  @override
  String get right8722Sbdrawer250Sbsettings => 'Einstellungen';

  @override
  String get right8722Sbdrawer250Sbwallet => 'Geldbörse';

  @override
  String get sanction250Sbaction8722Sbnotice => 'Aufgrund der folgenden Einschränkung für Ihr Konto ist es Ihnen untersagt, diese Aktion auszuführen:';

  @override
  String get sanction250Sbban250Sblabel => 'Verboten';

  @override
  String get sanction250Sbexpires => 'Läuft ab';

  @override
  String get sanction250Sblabel250Sbtrading8722Sbsuspension => 'Handel ausgesetzt';

  @override
  String get sanction250Sbreason => 'Grund';

  @override
  String get sanction250Sbsanctioned8722Sbat => 'Seit';

  @override
  String get sanction250Sbuser => 'Benutzer';

  @override
  String get sanction250Sbwallet8722Sbfreeze250Sblabel => 'Wallet eingefroren, Handel ausgesetzt';

  @override
  String search250Sball8722Sbmethods(Object code) {
    return 'Alle $code-Methoden';
  }

  @override
  String get search250Sbamount => 'Menge';

  @override
  String get search250Sbbtn => 'Suche';

  @override
  String get search250Sbbuy8722Sbtab => 'Besorgen';

  @override
  String get search250Sbcoordinates250Sblat => 'Breite';

  @override
  String get search250Sbcoordinates250Sblon => 'Längengrad';

  @override
  String search250Sbheading8722Sblocal8722Sbbuy(Object assetName, Object location) {
    return 'Verkaufe $assetName für Bargeld in {country}';
  }

  @override
  String search250Sbheading8722Sblocal8722Sbsell(Object assetName, Object location) {
    return 'Kaufen Sie $assetName mit Bargeld in {country}';
  }

  @override
  String search250Sbheading8722Sbonline8722Sbbuy(Object assetName, Object country, Object usingMethod) {
    return 'Verkaufe $assetName online in $country $usingMethod';
  }

  @override
  String search250Sbheading8722Sbonline8722Sbsell(Object assetName, Object country, Object usingMethod) {
    return 'Kaufen Sie $assetName online in $country $usingMethod';
  }

  @override
  String search250Sbheading8722Sbusing8722Sbmethod(Object method) {
    return 'mit $method';
  }

  @override
  String get search250Sblocation8722Sbplaceholder => 'Geben Sie Ihren Standort ein...';

  @override
  String search250Sbno8722Sbgoogle8722Sbtext(Object value) {
    return 'Wir haben festgestellt, dass Google-Dienste in Ihrem Browser blockiert sind. Das ist in Ordnung, aber wir verwenden sie, um lokale Angebote in Ihrer Nähe zu finden. Das bedeutet, dass Sie Ihre Koordinaten manuell eingeben müssen. Sie können Dienste wie $value verwenden, um Ihnen dabei zu helfen.';
  }

  @override
  String get search250Sbno8722Sbgoogle8722Sbtext8722Sbhere => 'Dies';

  @override
  String search250Sbno8722Sbresults(Object country) {
    return 'Keine Ergebnisse in $country mit den ausgewählten Kriterien ... noch nicht. ';
  }

  @override
  String get search250Sbno8722Sbresults8722Sb1 => 'Versuchen Sie es mit einer anderen Zahlungsmethode, einem anderen Betrag oder gar keinem Betrag. ';

  @override
  String search250Sbno8722Sbresults8722Sb2(Object postAnad) {
    return 'Oder seien Sie hier der Erste zu $postAnad!';
  }

  @override
  String get search250Sbno8722Sbresults8722Sbpost8722Sban8722Sbad => 'eine Anzeige aufgeben';

  @override
  String search250Sbpopular8722Sbmethods(Object code) {
    return '🔥 Beliebte $code Methoden';
  }

  @override
  String get search250Sbsell8722Sbtab => 'Verkaufen';

  @override
  String get seo250Sbheadline8722Sb1 => 'Schützen Sie Ihr Recht auf Privatsphäre – kaufen Sie Monero.';

  @override
  String get seo250Sbheadline8722Sb157Sbagoradesk => 'Die beste Kryptowährungsbörse, um Bitcoin online ohne ID-Verifizierung zu kaufen und zu verkaufen.';

  @override
  String get seo250Sbheadline8722Sb2 => 'Verkaufen Sie Monero an Menschen weltweit oder lokal - unterstützen Sie die Community und verdienen Sie Geld mit Kryptowährung.';

  @override
  String get seo250Sbheadline8722Sb257Sbagoradesk => 'Eine echte LocalBitcoins- und Paxful-Alternative.';

  @override
  String get seo250Sbtext8722Sb1 => 'Wenn Sie sich Sorgen über die Verletzung der Privatsphäre machen, ist XMR die beste Kryptowährung, in die Sie investieren können. Monero ist eine nicht rückverfolgbare Münze, die mit Blick auf den Datenschutz entwickelt wurde.\n<br/>\nWo kann man Monero kaufen? LocalMonero ist die größte, vertrauenswürdigste und etablierteste P2P-Monero-Börse in der XMR-Community. Bei uns gibt es keine KYC-Prüfungen – Sie können Monero einfach anonym ohne Ausweisprüfung mit PayPal, Kreditkarte, Geschenkkarte, Bargeld per Post kaufen oder Bitcoin in Monero umwandeln – unsere Plattform unterstützt jede Zahlungsmethode.';

  @override
  String get seo250Sbtext8722Sb157Sbagoradesk => 'Sie fragen sich, wie Sie in Bitcoin investieren können? Auf AgoraDesk war der Kauf von Bitcoins noch nie so einfach - kaufen Sie BTC sofort von einer Person mit Ihrer bevorzugten Online-Zahlungsmethode: PayPal, Kredit-/Debitkarte oder Banküberweisung, Geschenkkarten, Venmo oder jede andere.\n<br/>\nWenn Sie Bitcoins in Ihrer Nähe mit Bargeld kaufen möchten, können Sie jemanden finden, der bereit ist, Bitcoins vor Ort zu verkaufen – die Handelsplattform unterstützt den Kauf und Verkauf von BTC mit Bargeld. Sie können Bitcoins sogar mit Bargeld per Post kaufen.';

  @override
  String get seo250Sbtext8722Sb2 => 'LocalMonero ist der beste Ort, um XMR zu verkaufen – egal, ob es sich um Ihre Mining-Belohnungen handelt,\nMonero-Preisarbitrage, oder Sie sehen einfach den Wert darin, der Community zu dienen. Das Schutzsystem für Schiedsbürgschaften und unsere sichere Monero-Brieftasche für Schiedsbürgschaften bieten Ihnen ein solides XMR-Handelserlebnis – sodass Sie XMR beruhigt in USD, EUR, AUD, GBP oder jede andere lokale Währung umtauschen können.';

  @override
  String get seo250Sbtext8722Sb257Sbagoradesk => 'Sind Sie ein Bitcoin-Händler, der mit Krypto-Arbitrage Geld verdienen möchte? Ein Miner, der BTC in USD oder eine andere lokale Währung auszahlen möchte?\n<br/>\nAgoraDesk ist eine <a href=\"/localbitcoins-alternative\" style=\"color: #0b4f6c\"> LocalBitcoins-Alternative </a>, die Ihre Privatsphäre und Sicherheit respektiert und Ihnen gleichzeitig eine reibungslose und schnelle Erfahrung beim Einlösen Ihrer Bitcoins bietet.';

  @override
  String get settings250Sb2fa250Sbbackup8722Sbcode => 'Ihr Ersatzcode lautet:';

  @override
  String get settings250Sb2fa250Sbdisable8722Sbbtn => '2FA deaktivieren';

  @override
  String get settings250Sb2fa250Sbdisable8722Sberror => 'Falsches Passwort oder Einmalpasswort.';

  @override
  String get settings250Sb2fa250Sbdisable8722Sbsubtitle => 'Um 2FA zu deaktivieren, geben Sie Ihr Passwort und Ihr Einmalpasswort ein.';

  @override
  String get settings250Sb2fa250Sbdisable8722Sbsuccess => 'Erfolg! 2FA deaktiviert.';

  @override
  String get settings250Sb2fa250Sbdisable8722Sbtitle => 'Deaktivieren Sie die Zwei-Faktor-Authentifizierung';

  @override
  String get settings250Sb2fa250Sbenable => 'Aktivieren Sie die Zwei-Faktor-Authentifizierung';

  @override
  String get settings250Sb2fa250Sbenable8722Sbbtn => '2FA aktivieren';

  @override
  String get settings250Sb2fa250Sbenable8722Sbenter8722Sbpass => 'Um 2FA zu aktivieren, geben Sie Ihr Passwort ein.';

  @override
  String get settings250Sb2fa250Sbnetwork8722Sberror => 'Bei der Anfrage ist etwas schief gelaufen! Versuchen Sie, die Seite zu aktualisieren, und wiederholen Sie die Anfrage.';

  @override
  String get settings250Sb2fa250Sbnot8722Sbenabled8722Sbyet => 'Ihre 2FA wurde noch nicht aktiviert! Sie müssen das Einmalkennwort eingeben, um es zu aktivieren.';

  @override
  String get settings250Sb2fa250Sbrtfm => 'Lesen Sie die Anleitung zur Aktivierung der Zwei-Faktor-Authentifizierung';

  @override
  String get settings250Sb2fa250Sbstatus => 'Ihr 2FA-Status:';

  @override
  String get settings250Sb2fa250Sbstatus8722Sbdisabled => 'DEAKTIVIERT';

  @override
  String get settings250Sb2fa250Sbstatus8722Sbenabled => 'AKTIVIERT';

  @override
  String get settings250Sb2fa250Sbstep8722Sbfour => '<strong> Geben Sie den von Ihrer mobilen 2FA-App bereitgestellten Code</strong> in das Feld unter dem QR-Code ein und <strong> drücken Sie die Schaltfläche „2FA bestätigen“</strong>.';

  @override
  String settings250Sb2fa250Sbstep8722Sbone(Object downloadA2faapp, Object andotp, Object anyOther2faapp, Object totp) {
    return '$downloadA2faapp wie $andotp oder $anyOther2faapp, das $totp für Ihr Gerät unterstützt.';
  }

  @override
  String get settings250Sb2fa250Sbstep8722Sbone8722Sbany8722Sbother8722Sb2fa8722Sbapp => 'jede andere 2FA-App';

  @override
  String get settings250Sb2fa250Sbstep8722Sbone8722Sbdownload8722Sba8722Sb2fa8722Sbapp => 'Laden Sie eine 2FA-App herunter';

  @override
  String get settings250Sb2fa250Sbstep8722Sbthree => 'Starten Sie die 2FA-App auf Ihrem Mobilgerät. Suchen Sie die Funktion zum Scannen eines Barcodes in der App und <strong> scannen Sie den QR-Code </strong>, der auf dieser Seite angezeigt wird.';

  @override
  String settings250Sb2fa250Sbstep8722Sbtwo(Object appName) {
    return '<strong> Notieren Sie Ihren Backup-Code </strong> (oben in grün) auf einem Zettel und bewahren Sie ihn an einem sicheren Ort auf. Sie benötigen es, wenn Sie Ihr Telefon verlieren oder Ihr Konto gesperrt wird. $appName kann Ihnen nicht helfen, wenn Sie diesen Code verlieren.';
  }

  @override
  String get settings250Sb2fa250Sbsubtitle => 'Wenn die Zwei-Faktor-Authentifizierung aktiv ist, müssen Sie jedes Mal, wenn Sie sich anmelden oder Geld abheben, einen einmaligen Code eingeben.';

  @override
  String get settings250Sb2fa250Sbsuccess => 'Erfolg!';

  @override
  String get settings250Sb2fa250Sbsuccess8722Sbtext => 'Für Ihr Konto wurde die Zwei-Faktor-Authentifizierung eingerichtet.';

  @override
  String get settings250Sb2fa250Sbsuccess8722Sbwarn => 'Dies ist die letzte Chance, Ihren Backup-Code aufzuschreiben!';

  @override
  String get settings250Sb2fa250Sbtitle => 'Zwei-Faktor-Authentifizierung (2FA)';

  @override
  String get settings250Sb2fa250Sbverify8722Sbbtn => '2FA überprüfen';

  @override
  String get settings250Sb2fa250Sbwarning => 'Wir empfehlen Ihnen dringend, 2FA für Ihr Konto zu aktivieren, um die Sicherheit zu verbessern.';

  @override
  String get settings250Sb2fa250Sbwarning250Sbenable => 'Ermöglichen';

  @override
  String get settings250Sb2fa250Sbwrong8722Sbotp => 'Falsches Einmalpasswort.';

  @override
  String get settings250Sbapi8722Sbkey250Sbcopy8722Sbtooltip => 'In die Zwischenablage kopieren';

  @override
  String get settings250Sbapi8722Sbkey250Sbdelete8722Sbtooltip => 'Aktiven Schlüssel löschen und ablaufen lassen';

  @override
  String get settings250Sbapi8722Sbkey250Sbgenerate250Sbbutton => 'Generieren';

  @override
  String get settings250Sbapi8722Sbkey250Sbgenerate250Sbcaption => 'Durch das Generieren eines Schlüssels wird auch der zuvor generierte API-Schlüssel ungültig';

  @override
  String get settings250Sbapi8722Sbkey250Sbgenerate250Sbtitle => 'Generieren Sie einen neuen API-Schlüssel';

  @override
  String get settings250Sbapi8722Sbkey250Sblabel => 'API-Schlüssel';

  @override
  String settings250Sbapi8722Sbkey250Sblabel250Sbcaption(Object apiDocs) {
    return 'Um private API-Endpunkte verwenden zu können, müssen Sie Ihren API-Schlüssel als Header „Authorization“ festlegen. Der Schlüssel läuft in 5 Jahren ab. Weitere Einzelheiten finden Sie im $apiDocs.';
  }

  @override
  String get settings250Sbapi8722Sbkey250Sblabel250Sbcaption250Sbapi8722Sbdocs8722Sblink => 'API-Dokumente';

  @override
  String get settings250Sbbasic8722Sbinfo8722Sbtitle => 'Grundlegende Benutzerinformationen';

  @override
  String get settings250Sbbuying8722Sbvacation8722Sbtip => 'Niemand, der Ihnen Münzen verkaufen möchte, wird Ihre Anzeigen sehen oder Trades darauf eröffnen';

  @override
  String get settings250Sbbuying8722Sbvacation8722Sbtitle => 'Urlaub kaufen';

  @override
  String get settings250Sbchange8722Sbemail250Sbbtn => 'Ändern Sie die E-Mail';

  @override
  String get settings250Sbchange8722Sbemail250Sbnew => 'Neue e-mail';

  @override
  String get settings250Sbchange8722Sbemail250Sbnew8722Sbtip => 'Ein Bestätigungsschreiben wird gesendet, um Ihre E-Mail zu bestätigen';

  @override
  String get settings250Sbchange8722Sbemail250Sbnone => 'Keine E-Mail angegeben';

  @override
  String settings250Sbchange8722Sbemail250Sbsubtitle(Object email) {
    return 'Aktuelle E-Mail: $email';
  }

  @override
  String get settings250Sbchange8722Sbemail250Sbtitle => 'E-Mail ändern/bestätigen';

  @override
  String get settings250Sbchange8722Sbemail250Sbunverified => 'Unbestätigt';

  @override
  String get settings250Sbchange8722Sbemail250Sbverified => 'Verifiziert';

  @override
  String get settings250Sbchange8722Sbpassword8722Sbwrong => 'Falsches aktuelles Passwort';

  @override
  String get settings250Sbchange8722Sbpassword250Sbbtn => 'Passwort ändern';

  @override
  String get settings250Sbchange8722Sbpassword250Sbconfirm => 'Bestätige neues Passwort';

  @override
  String get settings250Sbchange8722Sbpassword250Sbconfirm8722Sbtip => 'Bitte bestätigen Sie Ihr neues Passwort';

  @override
  String get settings250Sbchange8722Sbpassword250Sbnew => 'Neues Passwort';

  @override
  String get settings250Sbchange8722Sbpassword250Sbold => 'Altes Passwort';

  @override
  String get settings250Sbchange8722Sbpassword250Sbold8722Sbtip => 'Bitte geben Sie Ihr aktuelles Passwort ein, um fortzufahren';

  @override
  String get settings250Sbchange8722Sbpassword250Sbsubtitle => 'Nach der Passwortänderung müssen Sie sich erneut mit Ihrem neuen Passwort anmelden';

  @override
  String get settings250Sbchange8722Sbpassword250Sbtitle => 'Passwort ändern';

  @override
  String get settings250Sbdelete8722Sbaccount250Sbbutton => 'Konto löschen';

  @override
  String get settings250Sbdelete8722Sbaccount250Sbdescription => 'Dadurch werden alle Ihre Kontodaten gelöscht und anonymisiert. Ihr Konto wird vollständig gelöscht – diese Aktion kann nicht rückgängig gemacht werden.';

  @override
  String get settings250Sbdelete8722Sbaccount250Sbdialog250Sbwarning => 'Ihr Konto wird vollständig gelöscht. Möchten Sie wirklich fortfahren? Das kann nicht rückgängig gemacht werden.';

  @override
  String get settings250Sbemail8722Sbalready8722Sblinked => 'Diese E-Mail ist mit einem anderen Benutzer verknüpft';

  @override
  String get settings250Sberror250Sbemail8722Sbchange8722Sbtitle => 'E-Mail-Änderungsfehler';

  @override
  String get settings250Sbgeneric8722Sberror => 'Etwas ist schief gelaufen! Bitte versuche es erneut.';

  @override
  String get settings250Sbhavent8722Sbreceived8722Sbemail => 'Wenn Sie keinen Brief von uns in Ihrem E-Mail-Posteingang sehen';

  @override
  String get settings250Sbhavent8722Sbreceived8722Sbemail8722Sbbtn => 'Klicken Sie hier, um das Bestätigungsschreiben zu senden';

  @override
  String get settings250Sbhomepage => 'Startseite';

  @override
  String settings250Sbhomepage8722Sbtip(Object example_url) {
    return 'Wird in Ihrem öffentlichen Profil angezeigt. Nur gültige URL akzeptiert (z. B. https://$example_url)';
  }

  @override
  String settings250Sbno8722Sbemail8722Sbwarn(Object appName) {
    return 'Ihr Konto hat keine bestätigten E-Mail-Adressen. Wenn Sie Ihr Passwort verlieren, kann $appName Ihnen nicht helfen, es zurückzusetzen.';
  }

  @override
  String get settings250Sbnotifications250Sbemail8722Sbmessage8722Sblong => 'Senden Sie E-Mail-Benachrichtigungen, wenn eine neue Handelsnachricht eingeht (einmal pro Stunde)';

  @override
  String get settings250Sbnotifications250Sbemail8722Sbmessage8722Sbshort => 'Neue Handelsmeldung (einmal pro Stunde)';

  @override
  String get settings250Sbnotifications250Sbemail250Sbtitle => 'E-Mail Benachrichtigungen';

  @override
  String get settings250Sbnotifications250Sbescrow8722Sbrelease8722Sblong => 'Senden Sie E-Mail-Benachrichtigungen, wenn ein Handel abgeschlossen ist';

  @override
  String get settings250Sbnotifications250Sbescrow8722Sbrelease8722Sbshort => 'Handel abgeschlossen';

  @override
  String get settings250Sbnotifications250Sbescrow8722Sbrelease8722Sbtip => 'Senden Sie E-Mail-Benachrichtigungen, wenn ein Handel abgeschlossen ist';

  @override
  String get settings250Sbnotifications250Sbnew8722Sboffers8722Sblong => 'Senden Sie E-Mail-Benachrichtigungen für neue Handelskontakte';

  @override
  String get settings250Sbnotifications250Sbnew8722Sboffers8722Sbshort => 'Neue Handelskontakte';

  @override
  String get settings250Sbnotifications250Sbnew8722Sboffers8722Sbtip => 'Senden Sie E-Mail-Benachrichtigungen für neue Kontaktanfragen';

  @override
  String get settings250Sbnotifications250Sbnew8722Sbpayments8722Sblong => 'Senden Sie E-Mail-Benachrichtigungen für neue Online-Zahlungen';

  @override
  String get settings250Sbnotifications250Sbnew8722Sbpayments8722Sbshort => 'Neue Online-Zahlungen';

  @override
  String get settings250Sbnotifications250Sbnew8722Sbpayments8722Sbtip => 'Senden Sie E-Mail-Benachrichtigungen für neue Online-Zahlungen in Ihren Trades';

  @override
  String get settings250Sbnotifications250Sbsensitive8722Sblong => 'Deaktivieren Sie vertrauliche Informationen aus E-Mail-Benachrichtigungen';

  @override
  String get settings250Sbnotifications250Sbsensitive8722Sbshort => 'Deaktivieren Sie vertrauliche Informationen';

  @override
  String get settings250Sbnotifications250Sbsensitive8722Sbtip => 'In den E-Mails werden Sie nur aufgefordert, sich bei der Website anzumelden, auf der sich die eigentlichen Benachrichtigungen befinden';

  @override
  String get settings250Sbnotifications250Sbtelegram250Sbdialog8722Sbtitle => 'Mobile Telegram-Benachrichtigungen';

  @override
  String get settings250Sbnotifications250Sbtelegram250Sbdisable8722Sbconfirm8722Sbbtn => 'Telegrammbenachrichtigungen deaktivieren';

  @override
  String get settings250Sbnotifications250Sbtelegram250Sbdisable8722Sbconfirm8722Sbtext => 'Dadurch werden Benachrichtigungen auf Telegram deaktiviert. Sie können Telegram-Benachrichtigungen wieder aktivieren, indem Sie Ihre Telegram-Benachrichtigungs-ID eingeben.';

  @override
  String get settings250Sbnotifications250Sbtelegram250Sberror250Sbgeneric => 'Etwas ist schief gelaufen. Bitte versuchen Sie, die Seite zu aktualisieren und die Anfrage zu wiederholen.';

  @override
  String get settings250Sbnotifications250Sbtelegram250Sberror250Sbid8722Sbalready8722Sblinked => 'Diese Telegramm-ID ist mit einem anderen Benutzer verknüpft';

  @override
  String get settings250Sbnotifications250Sbtelegram250Sbescrow8722Sblong => 'Senden Sie Telegrammbenachrichtigungen, wenn ein Handel abgeschlossen ist';

  @override
  String get settings250Sbnotifications250Sbtelegram250Sbescrow8722Sbshort => 'Handel abgeschlossen';

  @override
  String settings250Sbnotifications250Sbtelegram250Sbhow8722Sbto(Object appName) {
    return 'Wie aktiviere ich mobile Benachrichtigungen von $appName Telegram?';
  }

  @override
  String get settings250Sbnotifications250Sbtelegram250Sbid => 'Telegrammbenachrichtigungs-ID';

  @override
  String settings250Sbnotifications250Sbtelegram250Sbid8722Sbtip(Object appName) {
    return 'Telegrammbenachrichtigungs-ID, die Ihnen vom $appName Notification Bot gegeben wurde';
  }

  @override
  String get settings250Sbnotifications250Sbtelegram250Sbmessages8722Sblong => 'Senden Sie Telegrammbenachrichtigungen für neue Chatnachrichten im Handel';

  @override
  String get settings250Sbnotifications250Sbtelegram250Sbmessages8722Sbshort => 'Chatnachrichten im Handel';

  @override
  String get settings250Sbnotifications250Sbtelegram250Sbpayments8722Sblong => 'Senden Sie Telegrammbenachrichtigungen für neue Online-Zahlungen';

  @override
  String get settings250Sbnotifications250Sbtelegram250Sbpayments8722Sbshort => 'Neue Online-Zahlungen';

  @override
  String get settings250Sbnotifications250Sbtelegram250Sbpayments8722Sbtip => 'Senden Sie Telegrammbenachrichtigungen für neue Online-Zahlungen in Ihren Trades';

  @override
  String get settings250Sbnotifications250Sbtelegram250Sbtitle => 'Telegrammbenachrichtigungen';

  @override
  String get settings250Sbnotifications250Sbtelegram250Sbtrade8722Sbrequests8722Sblong => 'Senden Sie Telegrammbenachrichtigungen für neue Handelsanfragen';

  @override
  String get settings250Sbnotifications250Sbtelegram250Sbtrade8722Sbrequests8722Sbshort => 'Neue Handelsanfragen';

  @override
  String get settings250Sbnotifications250Sbtitle => 'Benachrichtigungen';

  @override
  String get settings250Sbnotifications250Sbweb8722Sbnotifications => 'Aktivieren Sie Webbenachrichtigungen';

  @override
  String get settings250Sbnotifications250Sbweb8722Sbnotifications8722Sbtip => 'Sie erhalten externe Benachrichtigungen außerhalb des Browserfensters';

  @override
  String get settings250Sbpersonal8722Sbinfo => 'Persönliche Einführung';

  @override
  String get settings250Sbpersonal8722Sbinfo8722Sbtip => 'Wird in Ihrem öffentlichen Profil angezeigt. Maximal 65536 Zeichen. Kann Markdown für das Styling verwenden.';

  @override
  String get settings250Sbpersonal8722Sbinfo8722Sbtitle => 'Persönliche Informationen';

  @override
  String get settings250Sbreputation8722Sbimport250Sberror250Sbimported8722Sbby8722Sbother8722Sbuser => 'Die Reputation dieses Kontos wurde bereits von einem anderen Benutzer importiert. Vielleicht haben Sie sich beim Benutzernamen vertippt oder die falsche Plattform gewählt?';

  @override
  String settings250Sbreputation8722Sbimport250Sberror250Sblbc8722Sbinvalid8722Sbusername(Object link) {
    return 'Ihr LocalBitcoins-Profil ist nicht öffentlich zugänglich, Sie können es selbst testen, indem Sie versuchen, Ihr eigenes LocalBitcoins-Profil zu öffnen, während Sie abgemeldet sind: $link. Wir können keine Profile importieren, die nicht öffentlich verfügbar sind. Wenden Sie sich an den LocalBitcoins-Support, um dieses Problem zu lösen, aber entfernen Sie vorher den Code aus Ihrer LocalBitcoins-Einführung.';
  }

  @override
  String get settings250Sbreputation8722Sbimport250Sberror250Sbplatform8722Sberror => 'Etwas ist schief gelaufen. Überprüfen Sie, ob der Benutzername korrekt ist und ob Sie die richtige Plattform ausgewählt haben. Wenn sie korrekt sind, versuchen Sie es in 5 Minuten erneut. Wenn das immer noch nicht hilft, öffnen Sie ein Support-Ticket.';

  @override
  String get settings250Sbresend8722Sbletter8722Sbdialog250Sbtitle => 'Bitte vervollständigen Sie das CAPTCHA';

  @override
  String get settings250Sbresend8722Sbletter250Sbsent => 'Brief verschickt!';

  @override
  String get settings250Sbsaved => 'Gerettet!';

  @override
  String get settings250Sbselling8722Sbvacation8722Sbtip => 'Niemand, der Ihre Coins kaufen möchte, wird Ihre Anzeigen sehen oder Trades darauf eröffnen';

  @override
  String get settings250Sbselling8722Sbvacation8722Sbtitle => 'Urlaub verkaufen';

  @override
  String get settings250Sbtab250Sb2fa8722Sblong => '2FA';

  @override
  String get settings250Sbtab250Sbchange8722Sbemail8722Sblong => 'Ändern Sie die E-Mail';

  @override
  String get settings250Sbtab250Sbchange8722Sbemail8722Sbshort => 'Email';

  @override
  String get settings250Sbtab250Sbchange8722Sbpassword8722Sblong => 'Passwort';

  @override
  String get settings250Sbtab250Sbimport8722Sbreputation => 'Ruf importieren';

  @override
  String settings250Sbtab250Sbimport8722Sbreputation250Sbdescription(Object appName) {
    return 'Sie können Ihren Ruf von einer anderen P2P-Plattform zu $appName importieren. Sie müssen irgendwo in Ihrem Profil auf der anderen Plattform einen Code platzieren, den wir dann überprüfen. Sie können ein Konto pro Plattform verknüpfen.';
  }

  @override
  String get settings250Sbtab250Sbnotifications250Sblong => 'Benachrichtigungen';

  @override
  String get settings250Sbtab250Sbuser8722Sbsettings8722Sblong => 'persönlich';

  @override
  String get settings250Sbtitle => 'Account Einstellungen';

  @override
  String get settings250Sbvacation8722Sbtitle => 'Urlaub';

  @override
  String get settings250Sbwrong8722Sbpassword => 'Falsches Passwort';

  @override
  String get settlement8722Sbaddress => 'Adresse der Abrechnungs-Wallet';

  @override
  String get signup8722Sbsuccess250Sbletter8722Sbsent => 'Ein Bestätigungsschreiben wurde an Ihre E-Mail-Adresse gesendet.';

  @override
  String get signup8722Sbsuccess250Sblogin => 'Sie werden nun auf die Startseite weitergeleitet.';

  @override
  String get signup8722Sbsuccess250Sbtitle => 'Registrierung erfolgreich!';

  @override
  String signup250Sbagree8722Sbto8722Sbtos(Object terms) {
    return 'Ich habe gelesen und stimme zu $terms';
  }

  @override
  String signup250Sbagree8722Sbto8722Sbtos8722Sbterms(Object appName) {
    return '$appName Nutzungsbedingungen';
  }

  @override
  String get signup250Sbbtn => 'Registrieren';

  @override
  String get signup250Sbconfirm8722Sbpass => 'Passwort bestätigen';

  @override
  String get signup250Sbemail => 'E-Mail optional)';

  @override
  String get signup250Sbemail8722Sbtip => 'Sie müssen Ihre E-Mail-Adresse nicht eingeben, um mit Monero zu handeln, aber ohne sie können wir Ihr Passwort nicht wiederherstellen oder Ihnen E-Mail-Benachrichtigungen senden. Ihre E-Mail wird mit einer Datenbank von Drittanbietern von Einweg-E-Mail-Anbietern abgeglichen.';

  @override
  String get signup250Sbemail8722Sbtip57Sbagoradesk => 'Sie müssen Ihre E-Mail-Adresse nicht eingeben, um mit Kryptowährungen zu handeln, aber ohne sie können wir Ihr Passwort nicht wiederherstellen oder Ihnen E-Mail-Benachrichtigungen senden. Ihre E-Mail wird mit einer Datenbank von Drittanbietern von Einweg-E-Mail-Anbietern abgeglichen.';

  @override
  String get signup250Sberror8722Sb28722Sbdialog8722Sbtitle => 'Registrierungsfehler';

  @override
  String get signup250Sberror8722Sbdialog8722Sbtext => 'Bitte geben Sie gültige Informationen ein.';

  @override
  String get signup250Sberror8722Sbdialog8722Sbtitle => 'Formularfehler';

  @override
  String signup250Sblogin(Object link) {
    return 'Sie haben bereits ein Konto? $link';
  }

  @override
  String get signup250Sblogin8722Sblink => 'Einloggen.';

  @override
  String get signup250Sbtitle => 'Anmelden';

  @override
  String signup250Sbtos8722Sbdialog8722Sbtext(Object terms) {
    return 'Um sich zu registrieren, lesen Sie bitte $terms und stimmen Sie ihm zu.';
  }

  @override
  String get signup250Sbtos8722Sbdialog8722Sbtext8722Sbagree => 'Zustimmen';

  @override
  String get signup250Sbtos8722Sbdialog8722Sbtext8722Sbdisagree => 'Nicht zustimmen';

  @override
  String signup250Sbtos8722Sbdialog8722Sbtext8722Sbterms(Object appName) {
    return '$appName Nutzungsbedingungen';
  }

  @override
  String get signup250Sbtos8722Sbdialog8722Sbtitle => 'Nutzungsbedingungen';

  @override
  String get sso250Sblogout8722Sbportal => 'Sie werden abgemeldet...';

  @override
  String sso250Sbunverified8722Sbemail8722Sbtext(Object settingsPage) {
    return 'Sie müssen Ihre E-Mail-Adresse bestätigen, um fortzufahren. Sie können dies bei $settingsPage tun.';
  }

  @override
  String get sso250Sbunverified8722Sbemail8722Sbtext8722Sbsettings8722Sbpage => 'Einstellungsseite';

  @override
  String get sso250Sbunverified8722Sbemail8722Sbtitle => 'Unverifizierte Email';

  @override
  String get start250Sb2fa => 'Zwei-Faktor-Authentifizierung';

  @override
  String start250Sbbuy8722Sbonline(Object assetName) {
    return 'So kaufen Sie $assetName online';
  }

  @override
  String get start250Sbbuy8722Sbonline57Sbagoradesk => 'Wie man Kryptowährungen online kauft';

  @override
  String get start250Sblearn8722Sbmore => 'Lern mehr';

  @override
  String start250Sblocal(Object assetName) {
    return 'So kaufen oder verkaufen Sie $assetName gegen Bargeld';
  }

  @override
  String get start250Sblocal57Sbagoradesk => 'Wie man Kryptowährungen gegen Bargeld kauft oder verkauft';

  @override
  String start250Sbsettings(Object appName) {
    return '$appName-Einstellungen';
  }

  @override
  String start250Sbtitle(Object appName) {
    return '$appName Anleitungen: wie man Monero kauft oder verkauft';
  }

  @override
  String start250Sbtrade(Object assetName) {
    return 'Einführung in den Handel $assetName';
  }

  @override
  String get start250Sbtrade57Sbagoradesk => 'Einführung in den Handel mit Kryptowährungen';

  @override
  String get statistics250Sbno8722Sbdata => 'Keine Daten';

  @override
  String get statistics250Sbticker8722Sb12hr => '12 Stunden:';

  @override
  String get statistics250Sbticker8722Sb1hr => '1 Stunde:';

  @override
  String get statistics250Sbticker8722Sb24hr => '24 Stunden:';

  @override
  String get statistics250Sbticker8722Sb6hr => '6 Stunden:';

  @override
  String statistics250Sbticker8722Sbapi8722Sbtitle(Object appName) {
    return '$appName Durchschnittspreis-Ticker-API';
  }

  @override
  String get statistics250Sbticker8722Sbsubtitle => 'Es werden nur Währungen mit verfügbaren Daten angezeigt';

  @override
  String statistics250Sbticker8722Sbtitle(Object assetSymbol) {
    return 'Durchschnittspreis/$assetSymbol basierend auf abgeschlossenen Trades';
  }

  @override
  String get statistics250Sbtitle => 'Statistiken';

  @override
  String statistics250Sbwidget250Sbinstructions250Sbno8722Sbdata250Sbconvert(Object currencyCode) {
    return 'Konvertieren Sie von USD in $currencyCode.';
  }

  @override
  String get statistics250Sbwidget250Sbinstructions250Sbno8722Sbdata250Sbnone => 'Meldung „Keine Daten“ anzeigen';

  @override
  String statistics250Sbwidget250Sbinstructions250Sbno8722Sbdata250Sbtitle(Object currencyCode) {
    return 'Wenn keine Daten für $currencyCode vorhanden sind...';
  }

  @override
  String get statistics250Sbwidget250Sbinstructions250Sbno8722Sbdata250Sbusd => 'Preis in USD anzeigen';

  @override
  String get stepper250Sbback8722Sbbtn => 'Der Rücken';

  @override
  String get stepper250Sbnext8722Sbbtn => 'Nächste';

  @override
  String get support250Sbdescription => 'Sie können Unterstützung erhalten, indem Sie ein Ticket eröffnen, eine E-Mail senden oder sich über Telegram an uns wenden.';

  @override
  String get support250Sbemail250Sbbutton => 'Eine E-Mail senden';

  @override
  String support250Sbemail250Sbdescription(Object email) {
    return 'Sie können eine E-Mail an $email senden';
  }

  @override
  String get support250Sbemail250Sbtitle => 'Email';

  @override
  String get support250Sbmatrix250Sbbutton => 'Nachricht auf Matrix';

  @override
  String get support250Sbmatrix250Sbdescription => 'Sie können uns auf Matrix eine Nachricht senden';

  @override
  String get support250Sbsubtitle => 'Wenden Sie sich an uns - wir helfen unseren Benutzern gerne! Unsere Reaktionszeiten sind normalerweise schnell, Sie können Unterstützung über die folgenden Methoden erhalten:    ';

  @override
  String get support250Sbtelegram250Sbbutton => 'Nachricht auf Telegramm';

  @override
  String get support250Sbtelegram250Sbdescription => 'Sie können uns auf Telegram eine Nachricht senden';

  @override
  String get support250Sbticket250Sbbutton => 'Öffnen Sie ein Ticket';

  @override
  String get support250Sbticket250Sbdescription => 'Sie können ein Ticket auf unserem Support-Portal erstellen';

  @override
  String get support250Sbticket250Sbtitle => 'Fahrkarte';

  @override
  String get support250Sbtitle => 'Hole dir Unterstützung';

  @override
  String get trade8722Sbnoun => 'Handeln';

  @override
  String get trade250Sbamount8722Sbminus8722Sbfee250Sblabel => 'Betrag abzüglich der Gebühr:';

  @override
  String get trade250Sbamount8722Sbplus8722Sbfee250Sblabel => 'Betrag plus Gebühr:';

  @override
  String trade250Sbamount8722Sbto8722Sbpay(Object amount) {
    return 'Zu zahlender Betrag: $amount.';
  }

  @override
  String trade250Sbamount8722Sbto8722Sbreceive(Object amount) {
    return 'Betrag, den der Käufer zahlen muss: $amount.';
  }

  @override
  String trade250Sbbuyer8722Sbhasnt8722Sbcompleted8722Sbpayment8722Sbtext(Object minutes) {
    return 'Der Käufer hat die Zahlung noch nicht als abgeschlossen markiert und hat $minutes Minuten Zeit, um die Zahlung zu leisten, bevor Sie den Handel stornieren können. Wenn Sie die Zahlung erhalten, schließen Sie den Handel ab.';
  }

  @override
  String get trade250Sbbuyer8722Sbinstruction8722Sbstep8722Sbtwo8722Sbtext8722Sb0 => 'Im Moment kann der Verkäufer den Handel stornieren, es sei denn, Sie <strong> bestätigen die Zahlung </strong> durch Drücken der Schaltfläche „Ich habe bezahlt“.';

  @override
  String trade250Sbbuyer8722Sbinstruction8722Sbstep8722Sbtwo8722Sbtext8722Sb1(Object minutes) {
    return 'Der Verkäufer kann den Handel für $minutes Minuten nicht stornieren, während denen die Zahlung sicher ist.';
  }

  @override
  String get trade250Sbbuyer8722Sbinstruction8722Sbstep8722Sbtwo8722Sbtext8722Sb2 => 'Nach der Zahlung müssen Sie <strong> die Zahlung als abgeschlossen markieren </strong>, indem Sie auf die Schaltfläche „Ich habe bezahlt“ klicken, oder der Verkäufer kann den Handel stornieren, sobald die Zeit des Zahlungsfensters abgelaufen ist.';

  @override
  String get trade250Sbbuyer8722Sbinstruction8722Sbstep8722Sbtwo8722Sbtext8722Sb3 => 'Warten auf die Bestätigung Ihrer Zahlung durch den Verkäufer';

  @override
  String trade250Sbbuyer8722Sbinstruction8722Sbstep8722Sbtwo8722Sbtext8722Sb4(Object time) {
    return 'Sie haben die Zahlung um $time als abgeschlossen markiert.';
  }

  @override
  String trade250Sbbuyer8722Sbinstruction8722Sbstep8722Sbtwo8722Sbtext8722Sb5(Object username, Object assetSymbol) {
    return 'Sobald $username die Zahlung bestätigt, wird der $assetSymbol an Ihre Abrechnungs-Wallet gesendet.';
  }

  @override
  String get trade250Sbbuyer8722Sbsettlement8722Sbaddress8722Sbwarning => 'Wenn die bei der Eröffnung des Trades angegebene Adresse falsch ist, müssen Sie den Trade mit der richtigen Adresse erneut eröffnen, da die Coins sonst unwiederbringlich verloren gehen können.';

  @override
  String get trade250Sbbuyer8722Sbsettlement8722Sbaddress8722Sbwarning250Sbtoggle => 'Adresse zeigen';

  @override
  String get trade250Sbbuyer8722Sbsettlement8722Sbaddress8722Sbwarning250Sbtoggle8722Sbsettlement => 'Zieladresse anzeigen';

  @override
  String get trade250Sbcancel8722Sbtrade8722Sbbtn => 'Handel abbrechen';

  @override
  String get trade250Sbdialog8722Sbconfirm8722Sbdispute8722Sbtext => 'Bitte bestätigen Sie, dass Sie einen Streit beginnen möchten.';

  @override
  String get trade250Sbdialog8722Sbconfirm8722Sbdispute8722Sbtitle => 'Streit bestätigen';

  @override
  String trade250Sbdialog8722Sbconfirm8722Sbpayment8722Sbtext(Object username) {
    return 'Sie, $username, erklären, dass Sie die Zahlung abgeschlossen haben';
  }

  @override
  String get trade250Sbdialog8722Sbconfirm8722Sbpayment8722Sbtitle => 'Bestätige Zahlung';

  @override
  String get trade250Sbdialog250Sbconfirm8722Sbcancel8722Sbbtn => 'Bestätigen';

  @override
  String get trade250Sbdialog250Sbconfirm8722Sbcancel8722Sbtext => 'Bitte bestätigen Sie, dass Sie den Handel stornieren möchten';

  @override
  String get trade250Sbdialog250Sbconfirm8722Sbcancel8722Sbtitle => 'Stornierung bestätigen';

  @override
  String get trade250Sbdialog250Sbconfirm8722Sbescrow8722Sbtext => 'Bitte bestätigen Sie, dass Sie den Schiedsbündnisschutz aktivieren möchten';

  @override
  String get trade250Sbdialog250Sbconfirm8722Sbescrow8722Sbtitle => 'Bestätigen Sie die Aktivierung des Schiedsbündnisschutzes';

  @override
  String get trade250Sbdialog250Sbconfirm8722Sbrelease8722Sbmonero8722Sbnot8722Sbpaid8722Sbtext => 'Der Käufer hat die Zahlung noch nicht als abgeschlossen markiert! Sind Sie sicher, dass Sie den Handel jetzt abschließen möchten?';

  @override
  String get trade250Sbdialog250Sbconfirm8722Sbrelease8722Sbmonero8722Sbtext => 'Bitte bestätigen Sie, dass Sie die Zahlung erhalten haben und den Handel abschließen möchten';

  @override
  String get trade250Sbdialog250Sbconfirm8722Sbrelease8722Sbmonero8722Sbtext8722Sbwarning => 'Vorsichtig sein! Schließen Sie einen Handel erst ab, wenn Sie sicher sind, dass Sie die Zahlung erhalten haben. Es gab Betrüger, die versuchten, Verkäufer dazu zu bringen, einen Handel vorzeitig abzuschließen.';

  @override
  String trade250Sbdialog250Sbconfirm8722Sbrelease8722Sbtitle(Object amount, Object username) {
    return 'Abschluss des Handels für $amount mit $username';
  }

  @override
  String trade250Sbdialog250Sbconfirm8722Sbrelease250Sboffset8722Sbnotice(Object appName) {
    return 'Dieses Passwort wird als Offset verwendet, um das Wallet für die Abwicklung ohne Verwahrung zu generieren und die Transaktion zu signieren. $appName hat keine Möglichkeit, die Brieftasche wiederherzustellen, wenn Sie dieses Passwort verlieren.';
  }

  @override
  String trade250Sbdialog250Sbfunding8722Sbconfirm8722Sbtext(Object appName) {
    return 'Bitte bestätigen Sie, dass Sie den Handel aus Ihrem $appName-Wallet finanzieren möchten';
  }

  @override
  String get trade250Sbdialog250Sbfunding8722Sbconfirm8722Sbtitle => 'Finanzierung bestätigen';

  @override
  String get trade250Sbdialog250Sbfunding8722Sberror8722Sbtext => 'Unzureichendes Guthaben, um einen Handel zu finanzieren';

  @override
  String get trade250Sbdialog250Sbfunding8722Sberror8722Sbtitle => 'Finanzierungsfehler!';

  @override
  String get trade250Sbdispute8722Sbbtn => 'Starten Sie einen Streit';

  @override
  String trade250Sbdispute8722Sbtext(Object appName) {
    return 'Wenn es bezüglich des Handels Meinungsverschiedenheiten gibt, können Sie einen Streit einleiten. Danach wird Sie der $appName-Support über den Chat dieses Handels kontaktieren.';
  }

  @override
  String get trade250Sbenable8722Sbescrow8722Sbbtn => 'Schiedsbündnis aktivieren';

  @override
  String get trade250Sberror250Sb247 => 'Ihr Konto darf aufgrund von Sanktionen nicht zurückgezogen werden';

  @override
  String get trade250Sberror250Sb248 => 'Der Handelsbetrag reicht nicht aus, um die Abwicklungsgebühren zu decken. Bitte versuchen Sie es später erneut, wenn die Gebühren niedriger sind, oder eröffnen Sie den Handel für einen größeren Betrag erneut und stornieren Sie diesen.';

  @override
  String trade250Sbescrow8722Sbterms8722Sband8722Sbinfo8722Sbtext8722Sb0(Object appName) {
    return '$appName kann nur dann Schutz bieten, wenn der Schutz durch Schiedsgerichtsbarkeit für den Handel aktiviert wurde';
  }

  @override
  String trade250Sbescrow8722Sbterms8722Sband8722Sbinfo8722Sbtext8722Sb1(Object appName) {
    return 'Wenn diese Option aktiviert ist, können nur der Käufer und die Mitarbeiter von $appName das Geschäft stornieren';
  }

  @override
  String trade250Sbescrow8722Sbterms8722Sband8722Sbinfo8722Sbtitle(Object appName) {
    return '$appName Bedingungen und Informationen zum Schutz von Schlichtungsanleihen';
  }

  @override
  String get trade250Sbfeedback250Sbblock => 'Benutzer blockieren';

  @override
  String trade250Sbfeedback250Sbleave8722Sbfeedback8722Sbon(Object username) {
    return 'Hinterlasse Feedback zu $username';
  }

  @override
  String get trade250Sbfeedback250Sbnegative => 'Negativ';

  @override
  String get trade250Sbfeedback250Sbneutral => 'Neutral';

  @override
  String get trade250Sbfeedback250Sbpositive => 'Positiv';

  @override
  String get trade250Sbfeedback250Sbtip => 'Feedback ist nur sichtbar, wenn das gesamte Handelsvolumen zwischen Ihnen und Ihrem Handelspartner mehr als 100 USD entspricht.';

  @override
  String get trade250Sbfeedback250Sbtrust => 'Vertrauenswürdig';

  @override
  String trade250Sbfeedback250Sbupdate8722Sbfeedback8722Sbon(Object username) {
    return 'Feedback zu $username aktualisieren';
  }

  @override
  String trade250Sbfeedback250Sbyour8722Sbmessage8722Sbtip(Object username) {
    return 'Optional. Hinterlassen Sie eine Nachricht über $username, die neben dem Feedback auf der Profilseite des Empfängers angezeigt wird. Maximal 256 Zeichen.';
  }

  @override
  String get trade250Sbfeedback250Sbyour8722Sbmessage8722Sbtitle => 'Ihre Feedback-Nachricht';

  @override
  String trade250Sbfloating8722Sbprice8722Sbtext(Object assetName, Object floating) {
    return 'Der $assetName-Betrag ist $floating mit dem Marktpreis.';
  }

  @override
  String get trade250Sbfloating8722Sbprice8722Sbtext8722Sbfloating => 'schwebend';

  @override
  String get trade250Sbfund8722Sbtrade8722Sbbtn => 'Finanzieren Sie diesen Handel';

  @override
  String get trade250Sbi8722Sbhave8722Sbpaid8722Sbbtn => 'Ich habe bezahlt';

  @override
  String trade250Sbinfo250Sbfee250Sblabel(Object appName) {
    return '1 % $appName Gebühr:';
  }

  @override
  String trade250Sbinfo250Sbtrade8722Sbad(Object ad_type) {
    return 'Handelsanzeige ($ad_type)';
  }

  @override
  String get trade250Sbleave8722Sbfeedback8722Sbbtn => 'Hinterlasse Kommentar';

  @override
  String get trade250Sblocal250Sbbuyer250Sbescrowed => 'Der Verkäufer hat den Schutz der Schiedsbürgschaft für diesen Handel aktiviert, was bedeutet, dass der Verkäufer diesen Handel nicht stornieren kann.';

  @override
  String get trade250Sblocal250Sbbuyer250Sbnot8722Sbescrowed => 'Der Verkäufer hat für diesen Handel keinen Schiedsbündnisschutz aktiviert, was bedeutet, dass der Verkäufer den Handel jederzeit stornieren kann. Sie können den Schutz der Schlichtungsbürgschaft per Chat beantragen.';

  @override
  String trade250Sblocal250Sbbuyer250Sbverification8722Sbcode(Object verificationCode) {
    return '$verificationCode ist Ihr Bestätigungscode. Der Verkäufer erfährt es erst, nachdem er den Handel abgeschlossen hat. Sie können es aufschreiben und verwenden, um zu überprüfen, ob der Verkäufer die Münzen tatsächlich gesendet hat, nachdem Sie Ihre Zahlung erhalten haben, wenn Sie sich treffen, ohne überhaupt ein Gerät verwenden zu müssen.';
  }

  @override
  String get trade250Sblocal250Sbstep8722Sb0250Sbbuyer250Sbtitle => 'Warten, bis der Verkäufer den Handel finanziert';

  @override
  String trade250Sblocal250Sbstep8722Sb0250Sbbuyer250Sbwait8722Sbfor8722Sbfunding(Object appName) {
    return 'Warten Sie, bis der Verkäufer weitere Münzen in seine $appName-Wallet einzahlt, um den Betrag dieses Handels zu decken.';
  }

  @override
  String trade250Sblocal250Sbstep8722Sb0250Sbseller250Sbfund8722Sbthe8722Sbtrade(Object amount, Object appName) {
    return 'Sie müssen mindestens $amount in Ihrem $appName-Wallet haben, um diesen Handel zu finanzieren.';
  }

  @override
  String get trade250Sblocal250Sbstep8722Sb0250Sbseller250Sbpress8722Sbfund8722Sbbtn => 'Nachdem Sie den erforderlichen Betrag eingezahlt haben, drücken Sie die Taste, um den Handel zu finanzieren.';

  @override
  String get trade250Sblocal250Sbstep8722Sb0250Sbseller250Sbtitle => 'Den Handel finanzieren';

  @override
  String get trade250Sblocal250Sbstep8722Sb1250Sbbuyer250Sbtitle => 'Vereinbaren Sie das Treffen und leisten Sie die Zahlung';

  @override
  String get trade250Sblocal250Sbstep8722Sb1250Sbseller250Sbrelease8722Sbafter8722Sbpayment => 'Nachdem Sie die Zahlung erhalten haben, schließen Sie den Handel ab. Stellen Sie sicher, dass Sie das Bargeld auf Echtheit überprüfen, bevor Sie es annehmen und den Handel abschließen. Schließen Sie erst ab, nachdem Sie sich vergewissert haben, dass die Zahlung fest in Ihren Händen ist.';

  @override
  String get trade250Sblocal250Sbstep8722Sb1250Sbseller250Sbtitle => 'Vereinbaren Sie das Treffen und erhalten Sie die Zahlung';

  @override
  String get trade250Sblocal250Sbstep8722Sb2250Sbbuyer250Sbcompleted => 'Der Handel ist nun abgeschlossen, die Coins sind in Ihrem Wallet!';

  @override
  String trade250Sblocal250Sbstep8722Sb2250Sbseller250Sbverification8722Sbcode(Object verificationCode) {
    return '$verificationCode ist der Bestätigungscode. Sie können es dem Käufer mitteilen, damit der Käufer überprüfen kann, dass Sie den Handel abgeschlossen haben, ohne dass er ein Gerät verwenden muss.';
  }

  @override
  String get trade250Sbmark8722Sbpaid => 'Wenn Sie bezahlt haben, klicken Sie auf die Schaltfläche „Ich habe bezahlt“. Dadurch wird verhindert, dass der Verkäufer den Handel stornieren kann. Drücken Sie diese Taste erst, wenn Sie tatsächlich bezahlt haben.';

  @override
  String get trade250Sbno8722Sbpayment8722Sbdetails => 'Keine Zahlungsdetails angegeben. Besprechen Sie sie im Chat.';

  @override
  String get trade250Sbno8722Sbpayment8722Sbinfo250Sbpaying8722Sbparty => 'Fragen Sie Ihren Handelspartner im Chat nach seinen Zahlungsdetails und führen Sie die Zahlung durch. <strong>Wenn Sie schon einmal gehandelt haben, senden Sie die Zahlung nicht auf das Konto, das Ihnen der Verkäufer in einem früheren Handel gegeben hat, ohne vorher mit dem Verkäufer in diesem Handels-Chat zu bestätigen.</strong>';

  @override
  String get trade250Sbno8722Sbpayment8722Sbinfo250Sbreceiving8722Sbparty => 'Teilen Sie Ihrem Handelspartner im Chat Ihre Zahlungsdaten mit.';

  @override
  String get trade250Sbpay => 'Bezahlen Sie gemäß den unten aufgeführten Zahlungsdetails. Wenn Sie Fragen haben, fragen Sie den Verkäufer im Chat.';

  @override
  String get trade250Sbpayment8722Sbdetails => 'Zahlungsdetails';

  @override
  String trade250Sbprice(Object price, Object currency, Object assetSymbol) {
    return 'Preis: $price $currency / $assetSymbol';
  }

  @override
  String get trade250Sbreceipt250Sbbtn => 'Quittung ansehen';

  @override
  String get trade250Sbreceipt250Sbinclude8722Sbchat => 'Chatnachrichten einschließen';

  @override
  String get trade250Sbreceipt250Sbinclude8722Sbinfo => 'Informationen zur Zahlungsmethode hinzufügen';

  @override
  String get trade250Sbreceipt250Sbtitle => 'Druckbare Quittung anzeigen';

  @override
  String get trade250Sbrelease8722Sbmonero8722Sbbtn => 'Abschließen';

  @override
  String get trade250Sbseller8722Sbcan8722Sbcancel => 'Sie können jetzt <strong> den Handel stornieren</strong>, da der Käufer die Zahlung nicht innerhalb des Zahlungsfensters abgeschlossen hat.';

  @override
  String get trade250Sbsettlement8722Sbfees8722Sbnotice => 'Die mit der Abwicklung des Handels verbundenen Netzwerktransaktionsgebühren werden vom Handelsbetrag abgezogen, was bedeutet, dass Sie etwas weniger als den angezeigten Betrag erhalten.';

  @override
  String trade250Sbstatus250Sbcancelled8722Sbtext(Object linebreak, Object time) {
    return 'Dieser Handel wurde $linebreak  um $time storniert.';
  }

  @override
  String get trade250Sbstatus250Sbcancelled8722Sbtitle => 'Abgesagt';

  @override
  String trade250Sbstatus250Sbclosed8722Sbtext8722Sb0(Object linebreak, Object time) {
    return 'Dieser Handel wurde von einem Administrator $linebreak  bei $time geschlossen.';
  }

  @override
  String get trade250Sbstatus250Sbclosed8722Sbtext8722Sb1 => 'Der Handel wurde weder abgeschlossen noch storniert.';

  @override
  String get trade250Sbstatus250Sbclosed8722Sbtitle => 'Abgeschlossen';

  @override
  String trade250Sbstatus250Sbcompleted8722Sbtext(Object linebreak, Object time) {
    return 'Dieser Handel wurde $linebreak  um $time abgeschlossen.';
  }

  @override
  String get trade250Sbstatus250Sbcompleted8722Sbtitle => 'Abgeschlossen';

  @override
  String trade250Sbstatus250Sbdisputed8722Sbtext8722Sb0(Object linebreak, Object time) {
    return 'Dieser Handel wurde $linebreak  um $time angefochten.';
  }

  @override
  String trade250Sbstatus250Sbdisputed8722Sbtext8722Sb1(Object appName) {
    return 'Bitte warten Sie, bis ein $appName-Administrator dem Chat beitritt und über das Ergebnis des Handels entscheidet.';
  }

  @override
  String get trade250Sbstatus250Sbdisputed8722Sbtitle => 'Umstritten';

  @override
  String get trade250Sbstatus250Sbescrowed => 'Geschützt durch Schiedsbürgschaft';

  @override
  String get trade250Sbstatus250Sbfunded8722Sbescrowed8722Sbtext8722Sb0 => 'Der Arbitration-Bond-Schutz ist aktiviert.';

  @override
  String trade250Sbstatus250Sbfunded8722Sbescrowed8722Sbtext8722Sb1(Object appName) {
    return 'Nur der Käufer und die Mitarbeiter von $appName können die Transaktion stornieren.';
  }

  @override
  String get trade250Sbstatus250Sbfunded8722Sbescrowed8722Sbtext8722Sb2 => 'Der Verkäufer kann den Handel stornieren, sobald das Zahlungsfenster abgelaufen ist';

  @override
  String get trade250Sbstatus250Sbfunded8722Sbescrowed8722Sbtitle => 'Gefördert, geschützt durch Schiedsbürgschaft';

  @override
  String get trade250Sbstatus250Sbfunded8722Sbnot8722Sbescrowed8722Sbtitle => 'Gefördert, nicht durch Schiedsbürgschaft geschützt';

  @override
  String get trade250Sbstatus250Sbsettlement250Sbaccordion8722Sbsummary => 'Transaktionsdetails';

  @override
  String get trade250Sbstatus250Sbsettlement250Sbaddress => 'Adresse';

  @override
  String get trade250Sbstatus250Sbsettlement250Sbarbitrated => 'Schlichtung durch einen Administrator';

  @override
  String get trade250Sbstatus250Sbsettlement250Sbbuyer8722Sbtx250Sbtitle => 'Überweisung an das Settlement-Wallet des Käufers';

  @override
  String get trade250Sbstatus250Sbsettlement250Sbcheck8722Sbyour8722Sbwallet => 'Überprüfen Sie Ihre empfangende Brieftasche und Sie sehen die Transaktion!';

  @override
  String get trade250Sbstatus250Sbsettlement250Sbmnemonic8722Sbguide8722Sblink => 'Wie stelle ich meine Wallet aus dem Seed wieder her?';

  @override
  String get trade250Sbstatus250Sbsettlement250Sbmnemonic8722Sbseed => 'Ihr mnemonischer Samen für die Brieftasche ohne Verwahrung';

  @override
  String get trade250Sbstatus250Sbsettlement250Sbprocessing => 'wird bearbeitet';

  @override
  String get trade250Sbstatus250Sbsettlement250Sbprocessing250Sbdescription => 'Die Abrechnung wird bearbeitet. <br /> Bitte warten Sie, Sie müssen nichts tun.';

  @override
  String get trade250Sbstatus250Sbsettlement250Sbprocessing250Sbtime8722Sbestimation => 'Dies kann 10-60 Minuten dauern.';

  @override
  String get trade250Sbstatus250Sbsettlement250Sbprogress250Sbstepper250Sbawaiting8722Sbto8722Sbbuyer => 'Warten auf Übertragung an die Abrechnungs-Wallet des Käufers...';

  @override
  String get trade250Sbstatus250Sbsettlement250Sbprogress250Sbstepper250Sbawaiting8722Sbto8722Sbseller => 'Warten auf Übertragung in das nicht verwahrte Wallet des Verkäufers...';

  @override
  String get trade250Sbstatus250Sbsettlement250Sbprogress250Sbstepper250Sbconfirming8722Sbto8722Sbseller => 'Bestätigen der Übertragung an das nicht verwahrte Wallet des Verkäufers...';

  @override
  String get trade250Sbstatus250Sbsettlement250Sbprogress250Sbstepper250Sbdone250Sbbuyer => 'Fertig! Überprüfen Sie Ihre empfangende Brieftasche und Sie sehen die Transaktion!';

  @override
  String get trade250Sbstatus250Sbsettlement250Sbprogress250Sbstepper250Sbdone250Sbseller => 'Fertig! Der Käufer sollte nun die Transaktion in der empfangenden Wallet sehen.';

  @override
  String get trade250Sbstatus250Sbsettlement250Sbprogress250Sbstepper250Sbeta8722Sbminutes => 'Mindest';

  @override
  String get trade250Sbstatus250Sbsettlement250Sbprogress250Sbstepper250Sbexplorer8722Sbbtn => 'Explorer öffnen';

  @override
  String trade250Sbstatus250Sbsettlement250Sbprogress250Sbstepper250Sbtotal8722Sbeta(Object eta) {
    return 'Geschätzte verbleibende Zeit: ≈ $eta min';
  }

  @override
  String get trade250Sbstatus250Sbsettlement250Sbproof => 'Abrechnungsnachweis';

  @override
  String get trade250Sbstatus250Sbsettlement250Sbseller8722Sbtx250Sbtitle => 'Übertragung auf das nicht verwahrte Wallet des Verkäufers';

  @override
  String get trade250Sbstatus250Sbsettlement250Sbshow8722Sbproof => 'Zahlungsbeleg vorzeigen';

  @override
  String get trade250Sbstatus250Sbsettlement250Sbtx8722Sbkey => 'Transaktionsschlüssel';

  @override
  String get trade250Sbstatus250Sbunfunded8722Sbescrowed => 'Nicht finanziert, durch Schiedsbürgschaft geschützt';

  @override
  String get trade250Sbstatus250Sbunfunded8722Sbnot8722Sbescrowed => 'Nicht finanziert, nicht durch Schiedsbürgschaft geschützt';

  @override
  String get trade250Sbstep250Sbprocessing8722Sbsettlement => 'Die Abrechnung wird bearbeitet, die Coins werden auf Ihr Wallet übertragen. Bitte warten Sie, es gibt nichts, was Sie tun müssen.';

  @override
  String trade250Sbsubtitle8722Sblocal8722Sbbuy(Object username, Object ad, Object time) {
    return '$username hat auf Ihre $ad unter $time geantwortet';
  }

  @override
  String get trade250Sbsubtitle8722Sblocal8722Sbbuy8722Sbad => 'Lokale Kaufwerbung';

  @override
  String trade250Sbsubtitle8722Sblocal8722Sbbuy8722Sbseller(Object username, Object ad, Object time) {
    return 'Sie haben $username $ad um $time geantwortet';
  }

  @override
  String get trade250Sbsubtitle8722Sblocal8722Sbsell8722Sbbuyer => 'lokale verkaufswerbung';

  @override
  String get trade250Sbsubtitle8722Sbonline8722Sbbuy8722Sbadvertisement => 'Online-Kauf-Werbung';

  @override
  String get trade250Sbsubtitle8722Sbonline8722Sbsell8722Sbadvertisement => 'Online-Verkaufswerbung';

  @override
  String get trade250Sbterms8722Sband8722Sbinfo8722Sbtext8722Sb0 => 'Der Käufer benötigt überhaupt kein Gerät - bestätigen Sie die erfolgreiche Transaktion mit dem Bestätigungscode';

  @override
  String get trade250Sbterms8722Sband8722Sbinfo8722Sbtext8722Sb1 => 'Der Verkäufer kann die Transaktion mit einem Smartphone oder Laptop abschließen';

  @override
  String get trade250Sbterms8722Sband8722Sbinfo8722Sbtext8722Sb2 => 'Die abgeschlossene Transaktion ist irreversibel';

  @override
  String get trade250Sbterms8722Sband8722Sbinfo8722Sbtext8722Sb5 => 'Bitte verwenden Sie keine Online-Zahlungsmethoden! Verwenden Sie dafür Online-Trades';

  @override
  String trade250Sbterms8722Sband8722Sbinfo8722Sbtitle(Object appName) {
    return '$appName Bedingungen und Informationen zu lokalen Bargeldtransaktionen';
  }

  @override
  String trade250Sbterms8722Sbtitle(Object username) {
    return 'Handelsbedingungen mit $username';
  }

  @override
  String trade250Sbtitle8722Sbid(Object id) {
    return 'Handels-ID: $id';
  }

  @override
  String trade250Sbtitle8722Sblocal8722Sbbuy(Object amountXmr, Object assetSymbol, Object amountFiat, Object currency) {
    return 'Kauf von $amountXmr $assetSymbol für $amountFiat $currency mit Bargeld';
  }

  @override
  String trade250Sbtitle8722Sblocal8722Sbsell(Object amountXmr, Object assetSymbol, Object amountFiat, Object currency) {
    return 'Verkaufe $amountXmr $assetSymbol für $amountFiat $currency gegen Bargeld';
  }

  @override
  String trade250Sbtitle8722Sbonline8722Sbbuy(Object amountXmr, Object assetSymbol, Object amountFiat, Object currency, Object method) {
    return 'Kauf von $amountXmr $assetSymbol für $amountFiat $currency mit $method';
  }

  @override
  String trade250Sbtitle8722Sbonline8722Sbsell(Object amountXmr, Object assetSymbol, Object amountFiat, Object currency, Object method) {
    return 'Verkauf von $amountXmr $assetSymbol für $amountFiat $currency mit $method';
  }

  @override
  String get trade250Sbtitle250Sbbuying => 'Kauf';

  @override
  String get trade250Sbtitle250Sbexpiry => 'Vertragslaufzeit:';

  @override
  String get trade250Sbtitle250Sbselling => 'Verkauf';

  @override
  String get trade250Sbupdate8722Sbfeedback8722Sbbtn => 'Feedback aktualisieren';

  @override
  String trade250Sbwarning250Sbimpersonation(Object appName) {
    return 'Hüten Sie sich vor Betrügern, die versuchen, sich als Mitarbeiter auszugeben! <br /> $appName-Administratoren werden Ihnen niemals sagen, dass Sie einen Handel abschließen sollen. <br /> Mitarbeitermeldungen haben einen roten Hintergrund.';
  }

  @override
  String get trades8722Sbtable250Sbstatus250Sbnot8722Sbpaid => 'Nicht bezahlt';

  @override
  String get trades8722Sbtable250Sbstatus250Sbpaid => 'Bezahlt';

  @override
  String get try8722Sbagain => 'Versuchen Sie es nochmal';

  @override
  String get user250Sbaccount8722Sbcreated => 'Account erstellt:';

  @override
  String user250Sbads250Sblocal8722Sbbuy8722Sbtitle(Object assetName, Object user) {
    return 'Verkaufe $assetName gegen Bargeld an $user';
  }

  @override
  String user250Sbads250Sblocal8722Sbsell8722Sbtitle(Object assetName, Object user) {
    return 'Kaufe $assetName mit Bargeld von $user';
  }

  @override
  String user250Sbads250Sbonline8722Sbbuy8722Sbtitle(Object assetName, Object user) {
    return 'Verkaufe $assetName online an $user';
  }

  @override
  String user250Sbads250Sbonline8722Sbsell8722Sbtitle(Object assetName, Object user) {
    return 'Kaufen Sie $assetName online bei $user';
  }

  @override
  String user250Sbblock8722Sbbtn(Object username) {
    return 'Blockieren $username';
  }

  @override
  String user250Sbblock8722Sbstatus(Object username) {
    return 'Sie blockieren $username';
  }

  @override
  String get user250Sbblock8722Sbstatus8722Sbdescription => 'Sie können nicht auf Ihre Anzeigen reagieren. Ihre Anzeigen werden in Ihren Suchergebnissen ausgeblendet.';

  @override
  String get user250Sbblock250Sbwill8722Sbhide8722Sbads => 'Durch das Blockieren eines Nutzers werden dessen Anzeigen aus Ihren Suchergebnissen ausgeblendet';

  @override
  String get user250Sbcache8722Sbdisclaimer => 'Aktualisiert einmal pro Stunde';

  @override
  String user250Sbfeedback8722Sbmore(Object user) {
    return 'Weiteres Feedback zu $user anzeigen';
  }

  @override
  String get user250Sbfeedback8722Sbscore => 'Rückmeldungsergebniss:';

  @override
  String get user250Sbfeedback8722Sbtitle => 'Feedback';

  @override
  String get user250Sbhave8722Sbtraded => 'Sie haben mit diesem Benutzer gehandelt';

  @override
  String get user250Sbhavent8722Sbtraded => 'Sie haben noch nicht mit diesem Benutzer gehandelt';

  @override
  String get user250Sbinformation => 'Information';

  @override
  String get user250Sblast8722Sbseen => 'Gesehen';

  @override
  String get user250Sblast8722Sbseen250Sbjust8722Sbnow => 'gerade jetzt';

  @override
  String get user250Sbmedian8722Sbdays => 'Tage';

  @override
  String get user250Sbmedian8722Sbhours => 'Std.';

  @override
  String get user250Sbmedian8722Sbminutes => 'Protokoll';

  @override
  String get user250Sbmedian8722Sbnot8722Sbknown => 'Nicht bekannt';

  @override
  String get user250Sbmedian8722Sbseconds => 'Sekunden';

  @override
  String get user250Sbmedian8722Sbtitle => 'Typische Handelsabschlusszeit:';

  @override
  String get user250Sbno8722Sbfeedback250Sbwhy250Sb1 => 'Die Reflexion des Feedbacks dauert bis zu einer Stunde.';

  @override
  String get user250Sbno8722Sbfeedback250Sbwhy250Sb2 => 'Feedback wird nur angezeigt, wenn der Gesamt-<strong>Marktwert</strong> (wie anhand des CoinGecko-Preises berechnet, nicht der im Angebot festgelegte Preis) der zwischen Ihnen gehandelten Coins mehr als 100 USD entspricht.';

  @override
  String get user250Sbno8722Sbfeedback250Sbwhy250Sbtitle => 'Wo ist mein Feedback?';

  @override
  String get user250Sbnumber8722Sbof8722Sbpartners => 'Handelspartner:';

  @override
  String get user250Sbnumber8722Sbof8722Sbtrades => 'Geschäfte:';

  @override
  String get user250Sbthis8722Sbis8722Sbyou => 'Das bist du';

  @override
  String user250Sbtrust8722Sbbtn(Object username) {
    return 'Vertrauen $username';
  }

  @override
  String user250Sbtrust8722Sbstatus(Object username) {
    return 'Du vertraust $username';
  }

  @override
  String get user250Sbtrust8722Sbstatus8722Sbdescription => 'Sie können nur auf Anzeigen reagieren, die Sie für vertrauenswürdige Benutzer erstellt haben';

  @override
  String user250Sbunblock8722Sbbtn(Object username) {
    return 'Entsperren $username';
  }

  @override
  String user250Sbuntrust8722Sbbtn(Object username) {
    return 'Nicht vertrauen $username';
  }

  @override
  String user250Sbupdate8722Sbfeedback8722Sbtitle(Object username) {
    return 'Feedback zu $username aktualisieren';
  }

  @override
  String get validation250Sberror250Sbad8722Sbid => 'Ungültige ID!';

  @override
  String get validation250Sberror250Sbattachment8722Sbid => 'Ungültige Anhangs-ID';

  @override
  String get validation250Sberror250Sbcountry8722Sbcode => 'Ungültiger Ländercode!';

  @override
  String get validation250Sberror250Sbiso86018722Sbtimestamp => 'Sollte ein gültiges UTC-Datum im ISO 8601-Format sein: https://en.wikipedia.org/wiki/ISO_8601';

  @override
  String get validation250Sberror250Sbnotification8722Sbid => 'Ungültige Benachrichtigungs-ID';

  @override
  String get validation250Sberror250Sbpage => 'Seite sollte eine Zahl sein';

  @override
  String get validation250Sberror250Sbtrade8722Sbid => 'Ungültige Handels-ID';

  @override
  String get verify8722Sbemail250Sberror => 'Bei der E-Mail-Bestätigung ist ein Fehler aufgetreten';

  @override
  String get verify8722Sbemail250Sbsuccess => 'E-Mail erfolgreich bestätigt!';

  @override
  String get wallet250Sbclipboard8722Sbvirus8722Sbwarning => '<strong> Stellen Sie sicher, dass die Adresse, die Sie eingefügt haben, mit der Adresse übereinstimmt, die Sie kopiert haben! </strong> Einigen Benutzern wurde ihr Geld gestohlen, indem <a style=\"text-decoration:underline;font-size:inherit;color:inherit\" href=\"https://reddit.com/r/Monero/comments/mcvuxc/beware_crypto_stealing_malware/\" target=\"_blank\">Malware die in die Zwischenablage kopierte Adresse durch die Adresse des Angreifers</a> ersetzte.';

  @override
  String get wallet250Sbdownload8722Sbcsv8722Sbbtn => 'CSV-Datei herunterladen';

  @override
  String get wallet250Sbfee250Sbbtc250Sbhigh => 'Hoch';

  @override
  String get wallet250Sbfee250Sbbtc250Sbhigh250Sblabel => 'Hohe Gebühr, wird voraussichtlich innerhalb weniger Blöcke bestätigt';

  @override
  String get wallet250Sbfee250Sbbtc250Sblow => 'Niedrig';

  @override
  String get wallet250Sbfee250Sbbtc250Sblow250Sblabel => 'Niedrige Gebühr, wird voraussichtlich innerhalb einer Woche bestätigt';

  @override
  String get wallet250Sbfee250Sbbtc250Sbmedium => 'Mittel';

  @override
  String get wallet250Sbfee250Sbbtc250Sbmedium250Sblabel => 'Mittlere Gebühr, wird voraussichtlich innerhalb eines Tages bestätigt';

  @override
  String get wallet250Sbfee250Sbbtc250Sbradio8722Sbtitle => 'Gebührenstufe auswählen';

  @override
  String get wallet250Sbfee250Sbxmr250Sblow => 'Niedrig';

  @override
  String get wallet250Sbfee250Sbxmr250Sbstandard => 'Standard';

  @override
  String wallet250Sbfunds8722Sbunlock8722Sbtime8722Sbblock(Object blockHeight) {
    return 'Das Geld wird bei Block $blockHeight freigeschaltet';
  }

  @override
  String wallet250Sbfunds8722Sbunlock8722Sbtime8722Sbtime(Object time) {
    return 'Das Guthaben wird um $time freigeschaltet';
  }

  @override
  String get wallet250Sbfunds8722Sbunlocked => 'Entsperrt';

  @override
  String get wallet250Sbinternal8722Sbtransfer => 'Interner Transfer';

  @override
  String get wallet250Sbnojs250Sbsend250Sbsend8722Sbbalance8722Sbbtn => 'Senden Sie alle Guthaben';

  @override
  String get wallet250Sbpassword8722Sbtip => 'Bitte geben Sie Ihr aktuelles Passwort ein, um fortzufahren. 8-72 Zeichen.';

  @override
  String wallet250Sbpriority250Sbfee(Object amount, Object asset) {
    return 'Gebühr: $amount $asset';
  }

  @override
  String get wallet250Sbpriority250Sblow => 'Niedrig';

  @override
  String get wallet250Sbpriority250Sbstandard => 'Standard';

  @override
  String wallet250Sbreceive250Sbaddress(Object assetName) {
    return 'Ihre Einzahlungsadresse $assetName:';
  }

  @override
  String get wallet250Sbreceive250Sbcopied => 'In die Zwischenablage kopiert!';

  @override
  String get wallet250Sbreceive250Sbdetails8722Sbdialog250Sbamount => 'Menge';

  @override
  String get wallet250Sbreceive250Sbdetails8722Sbdialog250Sbconfirmations => 'Bestätigungen:';

  @override
  String get wallet250Sbreceive250Sbdetails8722Sbdialog250Sbdate => 'Datum:';

  @override
  String get wallet250Sbreceive250Sbdetails8722Sbdialog250Sbid => 'Transaktions-ID:';

  @override
  String get wallet250Sbreceive250Sbdetails8722Sbdialog250Sblocked8722Sbstatus => 'Sperrstatus:';

  @override
  String get wallet250Sbreceive250Sbdetails8722Sbdialog250Sblocked8722Sbstatus8722Sbunlocked => 'Entsperrt';

  @override
  String get wallet250Sbreceive250Sbdetails8722Sbdialog250Sbnote => 'Notiz:';

  @override
  String get wallet250Sbreceive250Sbdetails8722Sbdialog250Sbstatus => 'Status:';

  @override
  String get wallet250Sbreceive250Sbdetails8722Sbdialog250Sbstatus8722Sbpending => 'Ausstehend';

  @override
  String get wallet250Sbreceive250Sbdetails8722Sbdialog250Sbtitle => 'Einzahlungsdetails';

  @override
  String wallet250Sbreceive250Sbincoming8722Sbdeposits8722Sbtable250Sbamount(Object assetSymbol) {
    return 'Betrag $assetSymbol';
  }

  @override
  String get wallet250Sbreceive250Sbincoming8722Sbdeposits8722Sbtable250Sbconfirmations8722Sblong => 'Bestätigungen';

  @override
  String get wallet250Sbreceive250Sbincoming8722Sbdeposits8722Sbtable250Sbconfirmations8722Sbshort => 'Konf.';

  @override
  String get wallet250Sbreceive250Sbincoming8722Sbdeposits8722Sbtable250Sbdate => 'Datum';

  @override
  String get wallet250Sbreceive250Sbincoming8722Sbdeposits8722Sbtable250Sbdetails8722Sbbtn => 'Einzelheiten';

  @override
  String get wallet250Sbreceive250Sbincoming8722Sbdeposits8722Sbtable250Sbstatus => 'Status';

  @override
  String get wallet250Sbreceive250Sbincoming8722Sbdeposits8722Sbtitle => 'Eingehende Einzahlungen';

  @override
  String get wallet250Sbreceive250Sbno8722Sbincoming => 'Ihre ausstehenden Einzahlungen werden hier angezeigt';

  @override
  String wallet250Sbreceive250Sbqr(Object appName, Object assetSymbol) {
    return 'QR-Darstellung Ihrer $appName $assetSymbol-Adresse';
  }

  @override
  String wallet250Sbreceive250Sbtitle(Object assetName) {
    return 'Erhalte $assetName';
  }

  @override
  String get wallet250Sbselect8722Sball8722Sbbalance => 'Alle verfügbaren Guthaben';

  @override
  String wallet250Sbsend250Sbamount8722Sbto8722Sbbe8722Sbreceived(Object assetName) {
    return 'Betrag erhalten in $assetName';
  }

  @override
  String wallet250Sbsend250Sbamount8722Sbto8722Sbbe8722Sbreceived8722Sbtip(Object assetName) {
    return 'Dies ist die Menge an $assetName, die an der empfangenden $assetName-Adresse empfangen werden soll.';
  }

  @override
  String get wallet250Sbsend250Sbamount8722Sbto8722Sbbe8722Sbreceived8722Sbtip250Sbfee8722Sbon8722Sbtop => 'Zusätzlich zu diesem Betrag wird eine Netzwerktransaktionsgebühr hinzugefügt.';

  @override
  String wallet250Sbsend250Sbamount8722Sbto8722Sbbe8722Sbwithdrawn(Object assetName) {
    return 'Abzuziehender Betrag in $assetName';
  }

  @override
  String wallet250Sbsend250Sbamount8722Sbto8722Sbbe8722Sbwithdrawn8722Sbtip(Object assetSymbol, Object appName, Object assetName) {
    return 'Dies ist der geschätzte Betrag von $assetSymbol, der von Ihrem $appName $assetName Wallet abgezogen werden soll, einschließlich der $assetName Transaktionsnetzwerkgebühr.';
  }

  @override
  String wallet250Sbsend250Sbamount8722Sbto8722Sbbe8722Sbwithdrawn8722Sbtip250Sbonly8722Sbfor8722Sbexternal(Object assetName, Object appName) {
    return 'Nur relevant für Transaktionen, die an ein externes $assetName-Wallet gesendet werden. Interne Transaktionen zwischen $appName-Wallets sind völlig kostenlos.';
  }

  @override
  String wallet250Sbsend250Sbavailable8722Sbbalance(Object amount, Object assetSymbol) {
    return 'Sie können bis zu $amount $assetSymbol senden';
  }

  @override
  String get wallet250Sbsend250Sbcontinue8722Sbbtn => 'Fortsetzen';

  @override
  String get wallet250Sbsend250Sbdialog250Sbconfirm8722Sbtitle => 'Bestätigen Sie die Rücknahme der Schiedsbürgschaft';

  @override
  String wallet250Sbsend250Sblocal8722Sbwallet(Object appName) {
    return '$appName Wallet-Adresse';
  }

  @override
  String get wallet250Sbsend250Sbpriority250Sbfaq8722Sblink => 'Was ist das?';

  @override
  String get wallet250Sbsend250Sbpriority250Sbtitle => 'Transaktionspriorität auswählen';

  @override
  String wallet250Sbsend250Sbreceiving8722Sbaddress(Object assetName) {
    return 'Empfang von {cryptocurrencyName}-Adresse';
  }

  @override
  String wallet250Sbsend250Sbreceiving8722Sbaddress8722Sbtip(Object assetName) {
    return 'Nur gültige $assetName-Adressen werden akzeptiert';
  }

  @override
  String wallet250Sbsend250Sbsend8722Sbbtn(Object assetName) {
    return 'Senden Sie $assetName';
  }

  @override
  String get wallet250Sbsend250Sbsuccess => 'Erfolg!';

  @override
  String get wallet250Sbsend250Sbtip8722Sb08722Sbtext8722Sb0 => 'Das Senden von Monero-Transaktionen dauert normalerweise etwa 30 bis 60 Minuten. Gelegentlich kann es einige Stunden dauern, wenn das Netzwerk langsam ist.';

  @override
  String get wallet250Sbsend250Sbtip8722Sb08722Sbtext8722Sb057Sbagoradesk => 'Das Senden von Kryptowährungstransaktionen dauert normalerweise etwa 30 bis 60 Minuten. Gelegentlich kann es einige Stunden dauern, wenn das Netzwerk langsam ist.';

  @override
  String get wallet250Sbsend250Sbtip8722Sb08722Sbtext8722Sb1 => 'Sehen Sie, warum es manchmal länger dauert';

  @override
  String get wallet250Sbsend250Sbtip8722Sb08722Sbtitle => 'Wie lange dauert eine Monero-Transaktion?';

  @override
  String get wallet250Sbsend250Sbtip8722Sb08722Sbtitle57Sbagoradesk => 'Wie lange dauert eine Kryptowährungstransaktion?';

  @override
  String wallet250Sbsend250Sbtip8722Sb18722Sbtext(Object appName) {
    return '$appName-Wallet ist eine Web-Wallet - ausgehende Monero-Adressen sind nicht mit Ihrem Konto verbunden. Wenn Sie eine Rückerstattung von einem Händler verlangen, bitten Sie ihn, die Rückerstattung an Ihre Empfangsadresse zu senden.';
  }

  @override
  String wallet250Sbsend250Sbtip8722Sb18722Sbtext57Sbagoradesk(Object appName) {
    return '$appName-Wallet ist eine Web-Wallet - ausgehende Kryptowährungsadressen sind nicht mit Ihrem Konto verbunden. Wenn Sie eine Rückerstattung von einem Händler verlangen, bitten Sie ihn, die Rückerstattung an Ihre Empfangsadresse zu senden.';
  }

  @override
  String get wallet250Sbsend250Sbtip8722Sb18722Sbtitle => 'Monero-Rückerstattungen und -Auszahlungen';

  @override
  String get wallet250Sbsend250Sbtip8722Sb18722Sbtitle57Sbagoradesk => 'Rückerstattungen und Auszahlungen in Kryptowährung';

  @override
  String wallet250Sbsend250Sbtip8722Sb28722Sbtext(Object appName) {
    return 'Beim Senden aus dem $appName-Wallet wird eine Monero-Netzwerkgebühr reserviert und von Ihrem Guthaben abgezogen. Transaktionen mit Wallets anderer $appName-Benutzer sind kostenlos.';
  }

  @override
  String wallet250Sbsend250Sbtip8722Sb28722Sbtext8722Sbfee(Object assetName) {
    return 'Aktuelle ausgehende $assetName Netzwerkgebühren';
  }

  @override
  String wallet250Sbsend250Sbtip8722Sb28722Sbtext8722Sbfee8722Sbrates(Object assetName) {
    return 'Aktuelle Gebührensätze für ausgehende $assetName-Netze';
  }

  @override
  String wallet250Sbsend250Sbtip8722Sb28722Sbtext57Sbagoradesk(Object appName) {
    return 'Beim Senden aus dem $appName-Wallet wird eine Netzwerkgebühr reserviert und von Ihrem Guthaben abgezogen. Transaktionen mit Wallets anderer $appName-Benutzer sind kostenlos.';
  }

  @override
  String get wallet250Sbsend250Sbtip8722Sb28722Sbtitle => 'Ausgehende Monero-Gebühren';

  @override
  String get wallet250Sbsend250Sbtip8722Sb28722Sbtitle57Sbagoradesk => 'Ausgehende Kryptowährungsgebühren';

  @override
  String wallet250Sbsend250Sbtitle(Object assetName) {
    return 'Senden Sie $assetName';
  }

  @override
  String get wallet250Sbswap250Sbcheckbox250Sbdeposit => 'Ich möchte eine andere Währung einzahlen';

  @override
  String get wallet250Sbswap250Sbcheckbox250Sbwithdraw => 'Ich möchte eine andere Währung erhalten';

  @override
  String wallet250Sbswap250Sbconfirmation250Sbtitle(Object partner) {
    return 'Ihr $partner-Handel';
  }

  @override
  String wallet250Sbswap250Sbconnection8722Sberror(Object partner) {
    return 'Beim Verbinden mit $partner ist etwas schief gelaufen, bitte versuchen Sie es später erneut.';
  }

  @override
  String wallet250Sbswap250Sbcontinue8722Sbon(Object partner) {
    return 'Weiter auf $partner';
  }

  @override
  String get wallet250Sbswap250Sbcurrencies250Sbdeposit => 'Ich will etwas senden...';

  @override
  String get wallet250Sbswap250Sbcurrencies250Sbwithdrawal => 'Ich möchte erhalten...';

  @override
  String get wallet250Sbswap250Sbdeposit250Sbconfirmation250Sbaddress => 'an diese Adresse:';

  @override
  String wallet250Sbswap250Sbdeposit250Sbconfirmation250Sbaddress250Sbhelper(Object partner, Object asset, Object appName) {
    return 'Nach Erhalt Ihrer Transaktion sendet $partner die $asset an Ihre $appName-Brieftasche';
  }

  @override
  String get wallet250Sbswap250Sbdeposit250Sbconfirmation250Sbaddress250Sbsend => 'Senden';

  @override
  String get wallet250Sbswap250Sbdeposit250Sbconfirmation250Sbaddress250Sbto8722Sbthis => ' an diese Adresse:';

  @override
  String wallet250Sbswap250Sbdeposits250Sbhelper(Object asset) {
    return 'Sie sehen die Transaktion auf der empfangenden Wallet, nachdem sie vom $asset-Netzwerk bestätigt wurde (≈10-60 min)';
  }

  @override
  String get wallet250Sbswap250Sblimits250Sbdeposit250SbmaxAmount => 'Maximaler Einzahlungsbetrag';

  @override
  String get wallet250Sbswap250Sblimits250Sbdeposit250SbminAmount => 'Mindesteinzahlungsbetrag';

  @override
  String wallet250Sbswap250Sbnative250Sbamount8722Sbtype8722Sbselector250Sbnojs8722Sbdescription(Object asset, Object currencyCode) {
    return 'Wählen Sie aus, ob Sie den Umtausch basierend darauf berechnen möchten, wie viel $asset Sie senden oder wie viel $currencyCode Sie erhalten möchten. Wir werden es verwenden, um die besten Angebote für Sie zu finden.';
  }

  @override
  String wallet250Sbswap250Sbnative250Sbamount8722Sbtype8722Sbselector250Sbreceive(Object currencyCode) {
    return 'Erhalte {assetName}';
  }

  @override
  String wallet250Sbswap250Sbnative250Sbamount8722Sbtype8722Sbselector250Sbsend(Object asset) {
    return 'Senden Sie {assetName}';
  }

  @override
  String wallet250Sbswap250Sbnative250Sbamount250Sbdescription250Sbamount8722Sbtype8722Sbreceive(Object currencyCode) {
    return 'Der Betrag von $currencyCode, den Sie erhalten möchten';
  }

  @override
  String wallet250Sbswap250Sbnative250Sbamount250Sbdescription250Sbamount8722Sbtype8722Sbsend(Object asset) {
    return 'Der Betrag von $asset, den Sie senden möchten';
  }

  @override
  String get wallet250Sbswap250Sbnative250Sberror250Sbinvalid8722Sbamount => 'ungültige Menge';

  @override
  String get wallet250Sbswap250Sbnative250Sberror250Sbno8722Sboffers => 'Wir konnten keine passenden Angebote finden... versuchen Sie, den Betrag anzupassen.';

  @override
  String get wallet250Sbswap250Sbnative250Sboffers250Sbtitle => 'Wählen Sie ein Angebot';

  @override
  String get wallet250Sbswap250Sbnative250Sboffers250Sbview8722Sbad8722Sbbutton => 'Anzeige ansehen';

  @override
  String get wallet250Sbswap250Sbnative250Sbtrade8722Sbbutton => 'Handeln';

  @override
  String wallet250Sbswap250Sbpowered8722Sbby(Object partner) {
    return 'betrieben von $partner';
  }

  @override
  String wallet250Sbswap250Sbprovide8722Sbemail(Object partner) {
    return 'Geben Sie $partner meine Kontakt-E-Mail';
  }

  @override
  String get wallet250Sbswap250Sbsave8722Sblink => 'Achten Sie darauf, diesen Link zu speichern, es ist Ihre einzige Möglichkeit, den Handel zu verfolgen!';

  @override
  String get wallet250Sbswap250Sbsend8722Sbbtn => 'Schicken Sie die Münzen!';

  @override
  String get wallet250Sbswap250Sbstatus250Sbavailable => 'Status: verfügbar';

  @override
  String wallet250Sbswap250Sbswap8722Sbasset8722Sbinput250Sbwithdrawal(Object asset) {
    return 'Geschätzt gesendet $asset';
  }

  @override
  String wallet250Sbswap250Sbswap8722Sbasset8722Sbinput250Sbwithdrawal250Sbhelper(Object asset, Object appName, Object assetName, Object currency) {
    return 'Geschätzter Betrag von $asset, der von Ihrem $appName $assetName Wallet abgezogen werden soll, um den obigen Betrag von $currency einschließlich der Transaktionsnetzwerkgebühr von $assetName zu erhalten. Kann sich aufgrund von Netzentgeltschwankungen leicht ändern.';
  }

  @override
  String wallet250Sbswap250Sbswap8722Sbcurrency8722Sbinput250Sbdeposit(Object currency) {
    return 'Wie viel $currency möchten Sie senden?';
  }

  @override
  String wallet250Sbswap250Sbswap8722Sbcurrency8722Sbinput250Sbwithdrawal(Object currency) {
    return 'Geschätzter Erhalt $currency';
  }

  @override
  String wallet250Sbswap250Sbswap8722Sbcurrency8722Sbinput250Sbwithdrawal250Sbhelper(Object currency, Object partner) {
    return 'Geschätzte Menge von $currency, die Sie erhalten. Verwenden Sie die Eingabe unten, um es zu ändern. Kann sich aufgrund von $partner Wechselkursschwankungen leicht ändern.';
  }

  @override
  String wallet250Sbswap250Sbwithdrawal250Sbsuccess250Sbhelper(Object time, Object partner, Object currency) {
    return 'Entspann dich einfach, warte $time Minuten und $partner sendet dir die $currency';
  }

  @override
  String wallet250Sbswap250Sbwithdrawal250Sbsuccess250Sbtitle(Object asset, Object partner) {
    return ' Wir haben $asset an $partner geschickt';
  }

  @override
  String wallet250Sbswap250Sbwithdrawal250Sbsuccess250Sbtitle250Sball8722Sbset(Object partner) {
    return 'Alles bereit für den $partner-Handel!';
  }

  @override
  String wallet250Sbtab250Sbreceive8722Sblong(Object assetName) {
    return 'Erhalte $assetName';
  }

  @override
  String get wallet250Sbtab250Sbreceive8722Sbshort => 'Erhalten';

  @override
  String wallet250Sbtab250Sbsend8722Sblong(Object assetName) {
    return 'Senden Sie $assetName';
  }

  @override
  String get wallet250Sbtab250Sbsend8722Sbshort => 'Senden';

  @override
  String get wallet250Sbtab250Sbtx8722Sblong => 'Transaktionen';

  @override
  String get wallet250Sbtab250Sbtx8722Sbshort => 'Txs';

  @override
  String get wallet250Sbtitle => 'Geldbörse';

  @override
  String get wallet250Sbtx250Sbaffiliate => 'Provisionsauszahlung des Partnerprogramms';

  @override
  String wallet250Sbtx250Sbfee(Object assetName) {
    return '$assetName Netzwerktransaktionsgebühr.';
  }

  @override
  String wallet250Sbtx250Sbinternal8722Sbreceive8722Sbtrade(Object id) {
    return 'Vom Handel erhalten $id';
  }

  @override
  String wallet250Sbtx250Sbinternal8722Sbreceive8722Sbuser(Object username) {
    return 'Erhalten von Benutzer $username';
  }

  @override
  String wallet250Sbtx250Sbinternal8722Sbsend8722Sbtrade(Object id) {
    return 'Zum Handel gesendet $id';
  }

  @override
  String wallet250Sbtx250Sbinternal8722Sbsend8722Sbuser(Object username) {
    return 'Gesendet an Benutzer $username';
  }

  @override
  String get wallet250Sbtx250Sbpending8722Sbsend => 'Senden an ausstehend';

  @override
  String wallet250Sbtx250Sbrebate(Object code) {
    return 'Gebührenrückerstattung. Gutscheincode: $code.';
  }

  @override
  String wallet250Sbtx250Sbreceive(Object assetName) {
    return 'Erhalten. $assetName Netzwerktransaktions-ID:';
  }

  @override
  String wallet250Sbtx250Sbreserve(Object assetName, Object id) {
    return '$assetName Handelsreserve $id';
  }

  @override
  String wallet250Sbtx250Sbreserve8722Sbreturn(Object assetName, Object id) {
    return '$assetName Reserverendite aus Handel $id';
  }

  @override
  String get wallet250Sbtx250Sbsend => 'Gesendet an';

  @override
  String wallet250Sbtx250Sbsend8722Sbid(Object assetName) {
    return '$assetName Netzwerktransaktions-ID:';
  }

  @override
  String get wallet250Sbtxs250Sbdetails8722Sbdialog250Sbtitle => 'Transaktionsdetails';

  @override
  String get wallet250Sbtxs250Sbfilter250Sbdetails => 'Einzelheiten';

  @override
  String get wallet250Sbtxs250Sbfilter250Sbdetails250Sbplaceholder => 'Tx-ID, Adresse, Handels-ID, Benutzername usw.';

  @override
  String get wallet250Sbtxs250Sbfilter250Sbfrom => 'Aus';

  @override
  String get wallet250Sbtxs250Sbfilter250Sbtitle => 'Transaktionen filtern';

  @override
  String get wallet250Sbtxs250Sbfilter250Sbto => 'Zu';

  @override
  String get wallet250Sbtxs250Sbfilter250Sbtype => 'Typ';

  @override
  String get wallet250Sbtxs250Sbfilter250Sbtype250Sbaffiliate => 'Affiliate-Provision';

  @override
  String get wallet250Sbtxs250Sbfilter250Sbtype250Sball => 'Alle Arten';

  @override
  String get wallet250Sbtxs250Sbfilter250Sbtype250Sbcoupon => 'Coupon-Rabatt';

  @override
  String get wallet250Sbtxs250Sbfilter250Sbtype250Sbfee => 'Netzwerkgebühr';

  @override
  String get wallet250Sbtxs250Sbfilter250Sbtype250Sbinternal8722Sbreceive => 'Intern empfangen';

  @override
  String get wallet250Sbtxs250Sbfilter250Sbtype250Sbinternal8722Sbsend => 'Intern senden';

  @override
  String get wallet250Sbtxs250Sbfilter250Sbtype250Sbpending => 'Senden ausstehend';

  @override
  String get wallet250Sbtxs250Sbfilter250Sbtype250Sbreceive => 'Erhalten';

  @override
  String get wallet250Sbtxs250Sbfilter250Sbtype250Sbreserve => 'Handelsreserve';

  @override
  String get wallet250Sbtxs250Sbfilter250Sbtype250Sbreserve8722Sbreturn => 'Trade-Reserve-Rückgabe';

  @override
  String get wallet250Sbtxs250Sbfilter250Sbtype250Sbsend => 'Senden';

  @override
  String wallet250Sbtxs250Sbtable250Sbamount(Object assetSymbol) {
    return 'Betrag $assetSymbol';
  }

  @override
  String get wallet250Sbtxs250Sbtable250Sbdate => 'Datum';

  @override
  String get wallet250Sbtxs250Sbtable250Sbdescription => 'Beschreibung';

  @override
  String wallet250Sbtxs250Sbtable250Sbreceived(Object assetSymbol) {
    return 'Erhalten $assetSymbol';
  }

  @override
  String wallet250Sbtxs250Sbtable250Sbsent(Object assetSymbol) {
    return 'Gesendet $assetSymbol';
  }

  @override
  String wallet250Sbtxs250Sbtip8722Sbtext(Object latestVersion, Object assetName) {
    return 'Wenn Sie in der Beschreibung eine Transaktions-ID mit einem Link zum Blockchain-Explorer sehen können, bedeutet dies, dass Ihre Transaktion erfolgreich übertragen wurde. Bitte stellen Sie sicher, dass Ihr Wallet vollständig synchronisiert ist und Sie das $latestVersion des $assetName Wallets verwenden';
  }

  @override
  String get wallet250Sbtxs250Sbtip8722Sbtext8722Sblatest8722Sbversion => 'letzte Version';

  @override
  String wallet250Sbtxs250Sbtip8722Sbtitle(Object appName) {
    return 'Tipp: Sie haben Geld von $appName abgehoben und sehen es nicht in Ihrer Brieftasche?';
  }

  @override
  String get wallet250Sbtxs250Sbtitle => 'Wallet-Transaktionen';

  @override
  String wallet250Sbupdate8722Sbsoft8722Sbwarn(Object update) {
    return 'Eine neue Version der Monero-Software ist da! Vergessen Sie nicht, Ihre Wallet-Software zu $update zu verwenden, sonst können Sie keine Transaktionen senden und empfangen.';
  }

  @override
  String get wallet250Sbupdate8722Sbsoft8722Sbwarn8722Sbupdate => 'aktualisieren';

  @override
  String get wallet250Sbwithdraw250Sbamount8722Sband8722Sbfee8722Sbnext => 'Im nächsten Schritt wählen Sie den Betrag und die Gebührenstufe aus';

  @override
  String get wallet250Sbwithdraw250Sbamount8722Sbnext => 'Den Betrag wählen Sie im nächsten Schritt aus';

  @override
  String get wallet250Sbwithdraw250Sbamount8722Sbtype250Sbreceive250Sblabel => 'Erhalten';

  @override
  String get wallet250Sbwithdraw250Sbamount8722Sbtype250Sbreceive250Sbsecondary8722Sblabel => 'Geben Sie den zu erhaltenden Betrag ein (ohne Gebühr)';

  @override
  String get wallet250Sbwithdraw250Sbamount8722Sbtype250Sbsend250Sblabel => 'Senden';

  @override
  String get wallet250Sbwithdraw250Sbamount8722Sbtype250Sbsend250Sbsecondary8722Sblabel => 'Geben Sie den abzuziehenden Betrag ein (mit Gebühr)';

  @override
  String get wallet250Sbwithdraw250Sbconfirmation8722Sbdialog250Sbfree8722Sbupgrade8722Sblabel => 'Kostenloses Upgrade';

  @override
  String get wallet250Sbwithdraw250Sbconfirmation8722Sbdialog250Sbfree8722Sbupgrade8722Sbtooltip => 'Aufgrund der Art und Weise, wie wir Auszahlungen stapeln, ist es tatsächlich billiger, Ihre Auszahlung mit einem höheren Gebührensatz zu versenden. Genießen!';

  @override
  String get wallet250Sbwithdraw250Sbconfirmation8722Sbdialog250Sbnetwork8722Sbfees => 'Netzwerkgebühren';

  @override
  String get wallet250Sbwithdraw250Sbconfirmation8722Sbdialog250Sbnetwork8722Sbfees250Sbhigh => 'Schnell';

  @override
  String get wallet250Sbwithdraw250Sbconfirmation8722Sbdialog250Sbnetwork8722Sbfees250Sblow => 'Langsam';

  @override
  String get wallet250Sbwithdraw250Sbconfirmation8722Sbdialog250Sbnetwork8722Sbfees250Sbmedium => 'Mittel';

  @override
  String get wallet250Sbwithdraw250Sbconfirmation8722Sbdialog250Sbsend8722Sbmax => 'Max schicken';

  @override
  String get wallet250Sbwithdraw250Sbconfirmation8722Sbdialog250Sbstepper250Sbamount => 'Menge';

  @override
  String get wallet250Sbwithdraw250Sbconfirmation8722Sbdialog250Sbstepper250Sbrecipient => 'Empfänger';

  @override
  String get wallet250Sbwithdraw250Sbconfirmation8722Sbdialog250Sbstepper250Sbsummary => 'Zusammenfassung';

  @override
  String get wallet250Sbwithdraw250Sbconfirmation250Sbwallet8722Sbowner => 'Indem Sie die Auszahlung bestätigen, bestätigen Sie auch, dass die Wallet, auf die Sie abheben, Ihnen gehört.';

  @override
  String get wallet250Sbwithdraw250Sbfee8722Sbchange8722Sbdialog250Sbnew8722Sbfee => 'Neue Auszahlungsgebühr';

  @override
  String get wallet250Sbwithdraw250Sbfee8722Sbchange8722Sbdialog250Sbold8722Sbfee => 'Alte Auszahlungsgebühr';

  @override
  String get wallet250Sbwithdraw250Sbfee8722Sbchange8722Sbdialog250Sbreceive8722Sbamount => 'Betrag erhalten';

  @override
  String get wallet250Sbwithdraw250Sbfee8722Sbchange8722Sbdialog250Sbsend8722Sbamount => 'Abzuziehender Betrag';

  @override
  String get wallet250Sbwithdraw250Sbfee8722Sbchange8722Sbdialog250Sbtitle8722Sbdecreased => 'Die Auszahlungsgebühr ist gesunken';

  @override
  String get wallet250Sbwithdraw250Sbfee8722Sbchange8722Sbdialog250Sbtitle8722Sbincreased => 'Die Auszahlungsgebühr wurde erhöht';

  @override
  String get wallet250Sbwithdraw250Sbnojs250Sbchange8722Sbaddress8722Sbbtn => 'Adresse ändern';

  @override
  String wallet250Sbwithdrawal250Sbamount8722Sbinput250Sblabel(Object asset) {
    return 'Betrag ({assetSymbol})';
  }

  @override
  String wallet250Sbwithdrawal250Sbconfirmation250Sbfee(Object fee, Object currency) {
    return '+ Netzentgelt (≈ $fee $currency)';
  }

  @override
  String get wallet250Sbwithdrawal250Sberror250Sbtoo8722Sbsmall => 'Der zur Auszahlung angeforderte Betrag liegt unter dem minimal möglichen Betrag';

  @override
  String get wallet250Sbwithdrawal250Sbnetwork8722Sbfee => 'Netzwerkgebühr';

  @override
  String get warn250Sbhigh8722Sbrisk8722Sbmethod8722Sb0 => '<strong>HINWEIS:</strong> Diese Zahlungsmethode ist <strong>risikoreich</strong>, da sie <strong>umkehrbar</strong> ist und aus diesem Grund oft von Betrügern verwendet wird.';

  @override
  String warn250Sbhigh8722Sbrisk8722Sbmethod8722Sb1(Object method, Object linebreak) {
    return 'Selbst wenn Sie Ihrer Sorgfaltspflicht nachkommen und nur mit seriösen Benutzern handeln, gibt es keine Garantie, dass Sie nicht in eine $method-Streitsituation geraten. Hier ist etwas, was Sie tun können, um Ihre Chancen zu erhöhen: $linebreak  1. Fordern Sie 2 Lichtbild-ID-Scans des Benutzers an (z. B. Reisepass und Führerschein), stellen Sie sicher, dass der $method-Kontoname mit der ID übereinstimmt. $linebreak  2. Sagen Sie dem Benutzer, dass er Ihnen eine E-Mail vom $method-E-Mail-Konto senden soll (vielleicht sagen Sie ihm sogar, dass er die Handels-ID und etwas über den Handel in die E-Mail einfügen soll). $linebreak  3. Berechnen Sie sehr hohe Prämien für $method handelt. Zum Beispiel 25 % und mehr. Auf diese Weise sind Sie abgesichert, wenn 1 von 5 Ihrer $method-Trades Betrug sind (bei gleichen Handelsbeträgen). $linebreak  4. Seien Sie vorsichtig bei hohen Handelssummen. Versuchen Sie zuerst, mit einem Händler ein paar Trades mit geringeren Beträgen zu erzielen. $linebreak ';
  }

  @override
  String get warning250Sbmin8722Sbamount8722Sbless8722Sbthan8722Sbbalance8722Sb0 => 'Diese Anzeige wurde ausgeblendet, da der von Ihnen angegebene Mindestbetrag niedriger ist als Ihr maximal verfügbarer Betrag';

  @override
  String warning250Sbmin8722Sbamount8722Sbless8722Sbthan8722Sbbalance8722Sb1(Object assetName) {
    return 'Dieser Händler ist im Urlaub oder nicht verfügbar $assetName. Bitte schauen Sie später noch einmal vorbei oder suchen Sie nach anderen Angeboten.';
  }

  @override
  String warning250Sbnot8722Sbenough8722Sbbalance(Object asset, Object minRequiredbalance, Object amountXmr, Object localmoneroWallet) {
    return 'Alle Ihre Verkaufsanzeigen für $asset wurden vor der öffentlichen Suche ausgeblendet, da Ihr Wallet-Guthaben für die Schiedsbürgschaft niedriger als $minRequiredbalance ist. Damit Ihre Verkaufsanzeigen sichtbar werden, hinterlegen Sie bitte mindestens $amountXmr auf Ihre Schlichtungsbürgschaft $localmoneroWallet.';
  }

  @override
  String warning250Sbnot8722Sbenough8722Sbbalance8722Sblocalmonero8722Sbwallet(Object appName) {
    return '$appName Geldbörse';
  }

  @override
  String get web8722Sbnotification250Sbmessage => 'Du hast eine neue Nachricht.';

  @override
  String get web8722Sbnotification250Sbtrade8722Sbcancelled => 'Ein Handel wurde storniert.';

  @override
  String get web8722Sbnotification250Sbtrade8722Sbcomplete => 'Ein Handel wurde abgeschlossen.';

  @override
  String get web8722Sbnotification250Sbtrade8722Sbdisputed => 'Einer Ihrer Trades wurde angefochten.';

  @override
  String get web8722Sbnotification250Sbtrade8722Sbpayment8722Sbmarked8722Sbcomplete => 'Zahlung als abgeschlossen markiert.';

  @override
  String get web8722Sbnotification250Sbtrade8722Sbrequest => 'Sie haben ein neues Handelsangebot.';

  @override
  String get widget8722Sbinstructions250Sbaffiliate8722Sbattach8722Sbcode8722Sbcheckbox => 'Fügen Sie dem Widget meinen Affiliate-Empfehlungscode hinzu';

  @override
  String get widget8722Sbinstructions250Sbaffiliate8722Sblogged8722Sbout => 'Melden Sie sich an, um dem Widget einen Affiliate-Empfehlungscode hinzuzufügen';

  @override
  String get widget8722Sbinstructions250Sbaffiliate8722Sbnot8722Sbenabled => 'Partnerprogramm aktivieren, um Empfehlungscode an das Widget anzuhängen';

  @override
  String widget8722Sbinstructions250Sbinstructions(Object assetName) {
    return 'Um ein $assetName-Straßenpreis-Widget für Ihre eigene Website zu erhalten, wählen Sie unten die gewünschte Währung aus und fügen Sie einfach den folgenden Code in Ihre eigene Website ein:';
  }

  @override
  String widget8722Sbinstructions250Sbtitle8722Sbaffiliate(Object assetName) {
    return '$assetName Straßenpreis-Widget (mit Ihrem Affiliate-Code)';
  }

  @override
  String widget8722Sbinstructions250Sbtitle8722Sbno8722Sbaffiliate(Object assetName) {
    return '$assetName Straßenpreis-Widget';
  }

  @override
  String get ads => 'Anzeigen';

  @override
  String get unknown_error => 'Unbekannter Fehler';

  @override
  String get ads_choose_ad_type => 'Anzeigentyp auswählen';

  @override
  String get ads_ad_type => 'Anzeigentyp';

  @override
  String get ads_choose_ad_cryptocurrency => 'Wählen Sie eine Kryptowährung';

  @override
  String get ads_choose_price_type => 'Preisart auswählen';

  @override
  String get ads_which_type_to_choose => 'Welche Art wählen?';

  @override
  String get enter_margin => 'Marge eingeben';

  @override
  String get what_is_margin => 'Was ist eine Marge?';

  @override
  String get price_formula_examples => 'Beispiele für Preisformeln';

  @override
  String get see_examples => 'Siehe Beispiele';

  @override
  String get see_example => 'Siehe Beispiel';

  @override
  String get final_price_in => 'Endpreis in';

  @override
  String get show_formula_controls => 'Formelsteuerelemente anzeigen';

  @override
  String get market_rates => 'Marktraten';

  @override
  String get set_trade_limits => 'Handelslimits festlegen (optional):';

  @override
  String get restrict_limit_amounts_to => 'Beschränken Sie die Limits auf';

  @override
  String get restrict_limit_amounts => 'Limits einschränken';

  @override
  String get what_does_it_mean => 'Was bedeutet das?';

  @override
  String ads_enter_amount(Object currency) {
    return 'Betrag eingeben $currency';
  }

  @override
  String ads_enter_comma_sep_amounts(Object currency) {
    return 'Kommagetrennte Beträge eingeben $currency';
  }

  @override
  String ads_first_trade_max_limit(Object currency) {
    return 'Höchstgrenze für den ersten Handel $currency';
  }

  @override
  String get ads_specify_trade_details => 'Handelsdetails angeben (optional):';

  @override
  String get ads_payment_method_details => 'Einzelheiten zur Zahlungsmethode';

  @override
  String get ads_payment_method_details_64 => 'Wird in der Anzeigenliste angezeigt. Maximal 64 Zeichen.';

  @override
  String get ads_maximum_64 => 'Maximal 64 Zeichen';

  @override
  String get ads_payment_method_info_trade => 'Informationen zur Zahlungsmethode';

  @override
  String get ads_payment_method_info_trade_4096 => 'Wird während des Handels angezeigt. Maximal 4096 Zeichen.';

  @override
  String get ads_specify_restrictions => 'Einschränkungen angeben (optional):';

  @override
  String get maximum_4096 => 'Maximal 4096 Zeichen';

  @override
  String get enter_number_0_100 => 'Geben Sie eine Zahl von 0 bis 100 ein';

  @override
  String get enter_number_15_90 => 'Geben Sie eine Zahl zwischen 15 und 90 ein';

  @override
  String get enter_amount_min_0 => 'Betrag eingeben (min 0)';

  @override
  String get currency => 'Währung:';

  @override
  String get payment_method => 'Zahlungsmethode:';

  @override
  String get restrict_amounts_to => 'Beträge beschränken auf:';

  @override
  String get payment_method_details => 'Details zur Zahlungsmethode:';

  @override
  String get review => 'Rezension';

  @override
  String get publish => 'Veröffentlichen';

  @override
  String get enter_your_settlement_wallet_address => 'Geben Sie Ihre Settlement-Wallet-Adresse ein:';

  @override
  String ads_enter_verify_address(Object appName) {
    return 'Geben Sie Ihre Adresse ein, an die die Münzen gesendet werden, und bestätigen Sie sie. Darf keine interne $appName-Adresse sein.';
  }

  @override
  String get what_is_settlement_fee_level => 'Was ist die Höhe der Abwicklungsgebühr?';

  @override
  String get settlement_fee_level_selector_explanation => 'Mit diesem Selektor können Sie auswählen, welche Netzwerkgebührenstufe verwendet werden soll, wenn die Transaktion an Ihr Wallet gesendet wird. Wenn Sie sich nicht sicher sind, welche Gebührenstufe Sie möchten, wählen Sie die mittlere Gebühr.';

  @override
  String get ads_payment_window => 'Zahlungsfensterzeit (Minuten)';

  @override
  String get ads_payment_window_short => 'Zahlungsfenster';

  @override
  String get ads_havent_posted => 'Sie haben noch keine Anzeigen geschaltet.';

  @override
  String get no_trades => 'Sie haben noch keine Trades.';

  @override
  String get no_feedbacks => 'Keine Rückmeldungen.';

  @override
  String get ad_settings => 'Anzeigeneinstellungen';

  @override
  String get settings_saved => 'Einstellungen gespeichert';

  @override
  String get preferences => 'Einstellungen';

  @override
  String get about_this_ad => 'Über diese Anzeige';

  @override
  String get price => 'Preis';

  @override
  String get activity => 'Aktivität';

  @override
  String get chat => 'Chat';

  @override
  String get market => 'Markt';

  @override
  String get help => 'Hilfe';

  @override
  String sell_asset(Object asset) {
    return 'Verkaufe $asset';
  }

  @override
  String buy_asset(Object asset) {
    return '$asset kaufen';
  }

  @override
  String get trader_profile => 'Händlerprofil';

  @override
  String get trader_info => 'Informationen des Händlers';

  @override
  String get trading_tips => 'Handelstipps';

  @override
  String get clear_all => 'Alles löschen';

  @override
  String get apply => 'Übernehmen';

  @override
  String get enter_amount => 'Menge eingeben';

  @override
  String get any_payment_method => 'Jede Zahlungsmethode';

  @override
  String get see_more_feedback => 'Weitere Rückmeldungen anzeigen';

  @override
  String get see_more_ads => 'Weitere Anzeigen anzeigen';

  @override
  String feedback_title(Object user) {
    return 'Feedback zu $user';
  }

  @override
  String get active_ads => 'Aktive Anzeigen';

  @override
  String get you_sell => 'Sie verkaufen';

  @override
  String get you_buy => 'Sie kaufen';

  @override
  String get you_receive => 'Sie erhalten';

  @override
  String get you_pay => 'Sie bezahlen';

  @override
  String get export_csv => 'CSV-Datei exportieren';

  @override
  String get copy => 'Kopieren';

  @override
  String sell_via(Object asset, Object provider) {
    return 'Verkaufen Sie $asset über $provider';
  }

  @override
  String buy_via(Object asset, Object provider) {
    return 'Kaufen Sie $asset über $provider';
  }

  @override
  String sell_to(Object user) {
    return 'Verkaufen an $user';
  }

  @override
  String buy_from(Object user) {
    return 'Kaufen bei $user';
  }

  @override
  String must_be_at_least(Object num, Object currency) {
    return 'Muss mindestens $num $currency sein';
  }

  @override
  String must_be_less(Object num, Object currency) {
    return 'Muss kleiner sein als $num $currency';
  }

  @override
  String send_all(Object asset) {
    return 'Alle $asset senden';
  }

  @override
  String about_transactions(Object asset) {
    return 'Über $asset-Transaktionen';
  }

  @override
  String get trade_id => 'Handels-ID';

  @override
  String get view_trade => 'Handel ansehen';

  @override
  String get receiving => 'Empfange';

  @override
  String get paying => 'Bezahle';

  @override
  String get rate => 'Rate';

  @override
  String get enter_your_password => 'Geben Sie Ihr Passwort ein';

  @override
  String get good_seller => 'Guter Verkäufer';

  @override
  String get cancel => 'Abbrechen';

  @override
  String get delete => 'Löschen';

  @override
  String get important => 'Wichtig';

  @override
  String get feedback_updated_successfully => 'Feedback erfolgreich aktualisiert.';

  @override
  String get pay => 'Zahlen';

  @override
  String get send_trade_request => 'Senden Sie eine Handelsanfrage';

  @override
  String get start_trading => 'Mit dem Handel beginnen';

  @override
  String get api_error_13 => 'Bei der Anfrage ist etwas schief gelaufen. Es ist höchstwahrscheinlich ein Validierungsproblem. Überprüfen Sie Ihre Anforderungsparameter, und wenn dies immer noch nicht richtig erscheint, wenden Sie sich bitte an unseren Support.';

  @override
  String get api_error_49 => 'Das in der Passwortänderungsanforderung angegebene alte Passwort stimmt nicht mit dem aktuellen Passwort überein';

  @override
  String get api_error_60 => 'Das zum Ändern der E-Mail angegebene Passwort ist falsch';

  @override
  String get api_error_61 => 'Diese E-Mail-Adresse ist bereits mit einem anderen Konto verknüpft';

  @override
  String get api_error_73 => 'Das während der Auszahlungsanforderung angegebene Passwort ist falsch';

  @override
  String get api_error_74 => 'Unzureichende Mittel, um den angeforderten Betrag abzuheben';

  @override
  String get api_error_75 => 'Versuch, Geld an eine interne Adresse abzuheben, die nicht existiert';

  @override
  String get api_error_76 => 'Versuch, Geld auf dasselbe Konto abzuheben wie das Konto, das die Abhebung anfordert';

  @override
  String get api_error_77 => 'Unzureichende Mittel, um den angeforderten Betrag intern zu überweisen';

  @override
  String get api_error_103 => 'Anfordern eines Handels für eine Anzeige, dessen Anzeigenersteller im Urlaub ist';

  @override
  String get api_error_105 => 'Der Anzeigenersteller, für die der Handel angefordert wird, verfügt nicht über genügend Guthaben, um das Treuhandkonto zu finanzieren';

  @override
  String get api_error_107 => 'Versuch, die Liquidität zu verfolgen, ohne maxAmount festzulegen';

  @override
  String get api_error_137 => 'Versuch, 2FA zu registrieren, während falsches Passwort angegeben wird';

  @override
  String get api_error_138 => 'Versuch, 2FA zu validieren, während falsches OTP bereitgestellt wird';

  @override
  String get api_error_139 => 'Entweder Passwort oder OTP falsch beim Versuch, 2FA zu deaktivieren';

  @override
  String get api_error_140 => 'OTP beim Versuch, Münzen aus der Brieftasche abzuheben, falsch';

  @override
  String get api_error_146 => 'Versuch, das Partnerprogramm für ein Konto zu aktivieren, für das es bereits aktiviert ist';

  @override
  String get api_error_170 => 'Der zur Auszahlung angeforderte Betrag liegt unter dem minimal möglichen Betrag für die jeweilige Kryptowährung';

  @override
  String get api_error_171 => 'Ungültige Adresse bei Auszahlungsantrag angegeben';

  @override
  String get api_error_173 => 'Versuch, zu viele Trades auf einmal für ein neues Konto zu eröffnen';

  @override
  String get api_error_178 => 'Es wird versucht, einen Gutschein für einen nicht vorhandenen Benutzer einzulösen';

  @override
  String get api_error_179 => 'Versuch, einen Gutschein einzulösen, der nicht existiert';

  @override
  String get api_error_180 => 'Versuch, einen abgelaufenen Gutschein einzulösen';

  @override
  String get api_error_181 => 'Versuch, einen Gutschein einzulösen, der nur während der Registrierung eingelöst werden darf';

  @override
  String get api_error_182 => 'Versuch, einen Gutschein einzulösen, der bereits von diesem Benutzer eingelöst wurde';

  @override
  String get api_error_183 => 'Versuch, einen Gutschein einzulösen, der nicht vorrätig ist';

  @override
  String get api_error_184 => 'Versuch, einen Coupon einzulösen, obwohl ein aktuell aktiver Coupon vorhanden ist';

  @override
  String get api_error_204 => 'Es wird versucht, einen Reputationsimportcode für ein nicht vorhandenes Konto anzufordern';

  @override
  String get api_error_205 => 'Versuch, einen Verifizierungscode für den Reputationsimport für eine Plattform zu generieren, für die bereits ein Verifizierungscode generiert wurde';

  @override
  String get api_error_206 => 'Versuch, einen Bestätigungscode für den Reputationsimport für eine Plattform zu generieren, von der die Reputation bereits importiert wurde';

  @override
  String get api_error_207 => 'Versuch, die Platzierung des Verifizierungscodes für den Reputationsimport für einen Benutzer zu bestätigen, der nicht existiert';

  @override
  String get api_error_208 => 'Versuch, die Platzierung des Verifizierungscodes für den Reputationsimport für einen Benutzer zu bestätigen, der sich nicht in Schritt 1 des Reputationsimportablaufs befindet';

  @override
  String get api_error_209 => 'LocalBitcoins-Fehler beim Versuch, die Platzierung des Bestätigungscodes für den Reputationsimport zu bestätigen. Vielleicht ist der Benutzername falsch oder das Profil ist nicht sichtbar';

  @override
  String get api_error_210 => 'Paxful-Fehler beim Versuch, die Platzierung des Verifizierungscodes für den Reputationsimport zu bestätigen Möglicherweise ist der Benutzername falsch oder das Profil ist nicht sichtbar';

  @override
  String get api_error_225 => 'Die LocalBitcoins-API gibt „Ungültiger Benutzer“ als Fehler zurück, wenn versucht wird, die Platzierung des Reputationscodes zu bestätigen';

  @override
  String get api_error_226 => 'Falsches Passwort beim Versuch, das Konto zu löschen';

  @override
  String get api_error_238 => 'Gebührenstufe für externe Bitcoin-Auszahlung nicht angegeben';

  @override
  String get api_error_239 => 'Falsches Passwort beim Versuch, einen Handel freizugeben';

  @override
  String get api_error_243 => 'Die interne AgoraDesk-Adresse kann nicht für die Handelsabwicklung verwendet werden. Bitte geben Sie eine externe XMR-Adresse ein, die nicht AgoraDesk ist, um fortzufahren.';

  @override
  String get api_error_254 => 'Versuch, innerhalb der letzten 10 Minuten eine Auszahlung an eine identische Adresse mit einem identischen Betrag zu senden';

  @override
  String get api_error_260 => 'Versuch, eine Notiz zu einem Benutzer zu posten, der nicht existiert';

  @override
  String get api_error_261 => 'Versuch, eine Notiz auf Ihrem eigenen Konto zu posten';

  @override
  String get api_error_262 => 'Versuch, eine Notiz zu einem Benutzer zu erhalten, der nicht existiert';

  @override
  String get api_error_263 => 'Versuch, eine Notiz auf Ihr eigenes Konto zu bekommen';

  @override
  String get api_error_264 => 'Versuch, eine Notiz zu einem Benutzer zu löschen, der nicht existiert';

  @override
  String get api_error_265 => 'Versuch, eine Notiz in Ihrem eigenen Konto zu löschen';

  @override
  String get api_error_267 => 'Versuch, eine nicht vorhandene Benutzernotiz zu löschen';

  @override
  String get api_error_403 => 'Sie sind nicht berechtigt, diese Aktion auszuführen';

  @override
  String get api_error_4000 => 'Keine Internetverbindung.';

  @override
  String get api_error_4001 => 'Verbindungszeitüberschreitung, bitte überprüfen Sie Ihre Internetverbindung.';

  @override
  String get api_error_45 => 'Sie können nicht sowohl „first_time_limit_asset“ als auch „first_time_limit_TICKER\' in Ihrer Anfrage nutzen. Entfernen Sie eine von beiden (sie sind austauschbar).';

  @override
  String get api_error_46 => 'Die Anfrage muss ENTWEDER einen Anwendungs-/JSON-Anfragetext mit einem „msg“-Parameter ODER einen mehrteiligen/Formulardaten-Anfragetext mit der unter dem Parameter „document“ aufgelisteten Bilddatei enthalten';

  @override
  String get api_error_47 => 'Benutzer mit diesem Benutzernamen existiert bereits';

  @override
  String get api_error_48 => 'Benutzer mit dieser E-Mail existiert bereits';

  @override
  String get api_error_50 => 'Versuch, eine E-Mail an einen Benutzer, der keine E-Mail eingerichtet hat, zu senden';

  @override
  String get api_error_51 => 'Das für die E-Mail-Verifizierung bereitgestellte Token wurde an einen Benutzer vergeben, der nicht existiert';

  @override
  String get api_error_52 => 'Das für die E-Mail-Bestätigung bereitgestellte Token ist ungültig';

  @override
  String get api_error_53 => 'Die E-Mail im Token stimmt nicht mit der aktuellen E-Mail in der Datenbank überein';

  @override
  String get api_error_54 => 'Das für das Zurücksetzen des Passworts bereitgestellte Token wird an eine E-Mail-Adresse weitergegeben, die nicht in der Datenbank vorhanden ist';

  @override
  String get api_error_55 => 'Das zum Zurücksetzen des Passworts bereitgestellte Token ist ungültig';

  @override
  String get api_error_56 => 'Versuch, eine E-Mail zum Zurücksetzen des Passworts an eine E-Mail-Adresse zu senden, die sich nicht in der Datenbank befindet';

  @override
  String get api_error_57 => 'Token, das für das Zurücksetzen des Passworts bereitgestellt wird, ist kein Token zum Zurücksetzen des Passworts';

  @override
  String get api_error_58 => 'Es wird versucht, eine E-Mail zum Zurücksetzen des Passworts an einen Benutzer mit einer unbestätigten E-Mail-Adresse zu senden';

  @override
  String get api_error_59 => 'Versuch, ein Passwort für einen Benutzer mit einer unbestätigten E-Mail-Adresse zurückzusetzen';

  @override
  String get api_error_62 => 'Es existiert kein Konto mit dem Benutzernamen, der für die Anforderung öffentlicher Kontodaten angegeben wurde';

  @override
  String get api_error_63 => 'Versuch, eine Datei eines verbotenen Typs hochzuladen';

  @override
  String get api_error_64 => 'Versuch, eine nicht vorhandene Benachrichtigung als gelesen zu markieren';

  @override
  String get api_error_65 => 'Versuch, eine bereits gelesene Benachrichtigung als gelesen zu markieren';

  @override
  String get api_error_66 => 'Versuch, einen Chat-Anhang für den Handel hochzuladen, der nicht existiert';

  @override
  String get api_error_67 => 'Versuch, eine Chat-Nachricht an einen Handel zu senden, der nicht existiert';

  @override
  String get api_error_68 => 'Versuch, eine Chatnachrichtenliste mit nicht existierenden Geschäften zu erhalten';

  @override
  String get api_error_69 => 'Es wird versucht, eine Chat-Nachricht zu erhalten, die nicht existiert';

  @override
  String get api_error_70 => 'Es wird versucht, die Wallet-Adresse eines Kontos abzurufen, das nicht existiert';

  @override
  String get api_error_71 => 'Versuch, Transaktionen von einem Konto abzurufen, das nicht existiert';

  @override
  String get api_error_72 => 'Versuch, Geld von einem Konto abzuheben, das nicht existiert';

  @override
  String get api_error_78 => 'Versuch, Anzeigen mit einer unzulässigen Kombination von Parametern zu schalten';

  @override
  String get api_error_79 => 'Die angeforderte Anzeigen-ID existiert nicht';

  @override
  String get api_error_80 => 'Breiten- und Längengrad wurden in der Anfrage zum Aktualisieren/Erstellen der Anzeige nicht festgelegt';

  @override
  String get api_error_81 => 'Beim Posten der Anzeige wurde keine Preisformel festgelegt';

  @override
  String get api_error_82 => 'Es wird versucht, Breiten- und Längengrad für eine Online-Anzeige festzulegen';

  @override
  String get api_error_83 => 'Es wird versucht, ONLINE_SELL/CALL_SELL/PUT_BUY-spezifische Eigenschaften für einen anderen Anzeigentyp festzulegen';

  @override
  String get api_error_84 => 'Es wird versucht, ONLINE_BUY/CALL_BUY/PUT_SELL-spezifische Eigenschaften auf einen anderen Anzeigentyp festzulegen';

  @override
  String get api_error_85 => 'Es wird versucht, LOCAL_SELL-spezifische Eigenschaften für einen anderen Anzeigentyp festzulegen';

  @override
  String get api_error_86 => 'Beim Erstellen/Aktualisieren einer Anzeige wurde versucht, ein ungültiges Land, eine ungültige Zahlungsmethode oder Währung festzulegen';

  @override
  String get api_error_87 => 'Beim Erstellen/Aktualisieren einer Anzeige wird versucht, eine Zahlungsmethode festzulegen, die für dieses Land ungültig ist';

  @override
  String get api_error_88 => 'Es wurde versucht, beim Erstellen/Aktualisieren einer Anzeige eine Währung festzulegen, die für diese Zahlungsmethode ungültig ist';

  @override
  String get api_error_89 => 'Versuch, eine LOCAL_*-Anzeige zu erstellen, ohne Längen-/Breitengrad festzulegen';

  @override
  String get api_error_90 => 'Versuch, auf Trades eines Benutzers zuzugreifen, der nicht existiert.';

  @override
  String get api_error_91 => 'Versuch, auf öffentliche Kontodaten zuzugreifen, indem ein Token eines Benutzers verwendet wird, der nicht existiert';

  @override
  String get api_error_92 => 'Es wird versucht, Benachrichtigungen für einen Benutzer zu erhalten, der nicht existiert';

  @override
  String get api_error_93 => 'Versuch, ausstehende Einzahlungen für einen Benutzer zu erhalten, der nicht existiert';

  @override
  String get api_error_94 => 'Es wird versucht, eine Feedback-Punktzahl für einen Benutzer zu erhalten, der nicht existiert';

  @override
  String get api_error_95 => 'Es wird versucht, Anzeigen für einen nicht vorhandenen Benutzer zu erhalten';

  @override
  String get api_error_96 => 'Nicht vorhandener Benutzer, der versucht, einen Handel zu erstellen';

  @override
  String get api_error_97 => 'Der Versuch, einen Handel für eine Anzeige zu erstellen, die nicht existiert';

  @override
  String get api_error_98 => 'Der Versuch, einen Handel für eine Anzeige zu erstellen, deren Ersteller nicht existiert';

  @override
  String get api_error_99 => 'Versuch, beim Erstellen eines ersten Trades einen höheren Betrag anzufordern, als von first_time_limit_asset zugelassen wird';

  @override
  String get api_error_100 => 'Für die Handelserstellung kann nicht weniger als 0,0000000001 XMR angefordert werden';

  @override
  String get api_error_101 => 'Der angeforderte Betrag ist kleiner als der min_amount der Anzeige beim Erstellen des Handels';

  @override
  String get api_error_102 => 'Der angeforderte Betrag ist höher als der max_amount_available der Anzeige, wenn ein Handel erstellt wird';

  @override
  String get api_error_104 => 'Anfordern eines Handels für eine Anzeige, dessen Anzeigenersteller im Urlaub ist';

  @override
  String get api_error_106 => 'Der Anforderer des Handels hat nicht genug Guthaben, um die Handelsanfrage zu finanzieren';

  @override
  String get api_error_108 => 'minAmount darf nicht größer oder gleich maxAmount sein';

  @override
  String get api_error_109 => 'Der angeforderte Betrag ist höher als der maxAmount der Anzeige, wenn ein Handel erstellt wird';

  @override
  String get api_error_110 => 'Der Trade Requester hat eine niedrigere Feedback-Punktzahl als vom Anzeigenersteller gefordert wird';

  @override
  String get api_error_111 => 'Der angeforderte Betrag ist keiner der akzeptierten Beträge, siehe limit_to_fiat_amounts';

  @override
  String get api_error_112 => 'Sie können keinen Handel für eine Anzeige anfordern, die Sie selbst gepostet haben';

  @override
  String get api_error_113 => 'PaymentWindowMinutes kann beim Aktualisieren der Anzeige nicht auf <15 oder >90 gesetzt werden';

  @override
  String get api_error_114 => 'PaymentWindowMinutes kann beim Erstellen einer Anzeige nicht auf <15 oder >90 gesetzt werden';

  @override
  String get api_error_115 => 'Handel nach angeforderter ID existiert nicht';

  @override
  String get api_error_116 => 'Benutzer, der Handel anfordert, existiert nicht';

  @override
  String get api_error_117 => 'Die Währung, für die der Wechselkurs angefordert wurde, existiert nicht';

  @override
  String get api_error_118 => 'Der Benutzer, der die Finanzierung des Handels beantragt, existiert nicht';

  @override
  String get api_error_119 => 'Versuch, einen Handel zu finanzieren, der nicht existiert';

  @override
  String get api_error_120 => 'Der Benutzer, der die Treuhand anfordert, existiert nicht';

  @override
  String get api_error_121 => 'Versuch, eine Treuhand für einen Handel zu hinterlegen, der nicht existiert';

  @override
  String get api_error_122 => 'Unzureichende Mittel, um einen schwebenden LOCAL_SELL-Trade zu finanzieren';

  @override
  String get api_error_123 => 'Unzureichende Mittel, um einen nicht schwebenden LOCAL_SELL-Trade zu finanzieren';

  @override
  String get api_error_124 => 'Fehler bei der Finanzierung eines LOCAL_SELL';

  @override
  String get api_error_125 => 'Der Benutzer, der die Stornierung des Handels beantragt, existiert nicht';

  @override
  String get api_error_126 => 'Versuch, einen Handel zu stornieren, der nicht existiert';

  @override
  String get api_error_127 => 'Benutzer, der die Zahlung des Handels anfordert, existiert nicht';

  @override
  String get api_error_128 => 'Der Versuch, einen Trade als bezahlt zu markieren, der nicht existiert';

  @override
  String get api_error_129 => 'Benutzer, der die Handelsfreigabe beantragt, existiert nicht';

  @override
  String get api_error_130 => 'Versuch, einen Handel freizugeben, der nicht existiert';

  @override
  String get api_error_131 => 'Benutzer, der eine Handelsstreitigkeit beantragt, existiert nicht';

  @override
  String get api_error_132 => 'Versuch, einen Handel anzufechten, der nicht existiert';

  @override
  String get api_error_133 => 'Versuch, Feedback von einem Benutzer zu erhalten, der nicht existiert';

  @override
  String get api_error_134 => 'Versuch, eine Anzeige zu erstellen, wenn der Benutzer bereits über die maximal zulässige Anzahl von Anzeigen verfügt';

  @override
  String get api_error_135 => 'Irgendwie wird maxAmount auf null gesetzt, während trackingMaxAmount auf true gesetzt wird';

  @override
  String get api_error_136 => 'Versuch, eine Anzeige mit weniger als dem erforderlichen Mindestguthaben zu veröffentlichen.';

  @override
  String get api_error_141 => 'Versuch, einen Handel für einen Betrag zu erstellen, der unter dem zulässigen Mindestbetrag liegt';

  @override
  String get api_error_142 => 'Versuch, beim Erstellen einer Anzeige ein Fiat-Limit festzulegen, das kleiner als minAmount ist';

  @override
  String get api_error_143 => 'Versuch, beim Erstellen einer Anzeige ein Fiat-Limit festzulegen, das höher als maxAmount ist';

  @override
  String get api_error_144 => 'Versuch, beim Aktualisieren der Anzeige ein Fiat-Limit festzulegen, das kleiner als minAmount ist';

  @override
  String get api_error_145 => 'Versuch, beim Aktualisieren der Anzeige ein Fiat-Limit festzulegen, das höher als maxAmount ist';

  @override
  String get api_error_147 => 'Versuch, Affiliate-Daten für einen Benutzer abzurufen, für den das Affiliate-Programm nicht aktiviert ist';

  @override
  String get api_error_148 => 'Versuch, eine bereits eingestellte Telegram-ID zu setzen';

  @override
  String get api_error_149 => 'Priorität bei externer Auszahlung nicht angegeben';

  @override
  String get api_error_150 => 'Versuch, einen Handel mit einer Anzeige zu starten, bei der der anfragende Benutzer vom Anzeigenersteller blockiert wurde';

  @override
  String get api_error_151 => 'Versuch, einen Handel mit einer Anzeige zu beginnen, bei dem der anfordernde Benutzer vom Anzeigenersteller nicht vertraut wird';

  @override
  String get api_error_152 => 'Versuch, einen bereits geschlossenen Handel zu stornieren';

  @override
  String get api_error_153 => 'Versuch, einen Trade freizugeben, der bereits geschlossen ist';

  @override
  String get api_error_154 => 'Versuch, Trades für ein Konto anzufordern, das nicht existiert';

  @override
  String get api_error_155 => 'Versuch, eine Liste vertrauenswürdiger Benutzer für einen nicht vorhandenen Benutzer abzurufen';

  @override
  String get api_error_156 => 'Versuch, eine Liste blockierter Benutzer für einen nicht vorhandenen Benutzer abzurufen';

  @override
  String get api_error_157 => 'Versuch, optionsspezifische Eigenschaften für eine Nicht-Optionsanzeige festzulegen';

  @override
  String get api_error_158 => 'Versuch, eine Optionsanzeige zu erstellen, ohne optionsspezifische Eigenschaften festzulegen';

  @override
  String get api_error_159 => 'Der Benutzer, der die Prämienzahlung des Handels markieren möchte, existiert nicht';

  @override
  String get api_error_160 => 'Versuch, die Prämienzahlung für einen Handel zu markieren, der nicht existiert';

  @override
  String get api_error_161 => 'Benutzer, der die Ausübungsoption anfordert, existiert nicht';

  @override
  String get api_error_162 => 'Versuch, eine Option für einen Handel auszuüben, der nicht existiert';

  @override
  String get api_error_163 => 'Der Benutzer, der die Bestätigung der Prämienzahlung des Handels anfordert, existiert nicht';

  @override
  String get api_error_164 => 'Versuch, die Prämienzahlung für einen Handel zu bestätigen, der nicht existiert';

  @override
  String get api_error_165 => 'Der Benutzer, der die Ausübung des Handels mit Nettoausgleich beantragt, existiert nicht';

  @override
  String get api_error_166 => 'Versuch, einen nicht existierenden Handel mit Nettoabrechnung auszuüben';

  @override
  String get api_error_167 => 'Beim Netting eines CALL-Trades ist der aktuelle Marktpreis kleiner oder gleich dem Ausübungspreis. Der Handel ist nach Marktstandards out-of-the-money und kann daher nicht verrechnet werden. Verwenden Sie bei Bedarf die normale Abwicklung.';

  @override
  String get api_error_168 => 'Benutzer, der eine Deckungszahlung des Handels bestätigen möchte, existiert nicht';

  @override
  String get api_error_169 => 'Versuch, die Deckung für einen Handel zu bestätigen, der nicht existiert';

  @override
  String get api_error_172 => 'Versuch, eine Anzeige zu veröffentlichen, bei der das Asset mit der Anzeigenwährung übereinstimmt';

  @override
  String get api_error_174 => 'Versuch, einen out-of-the-money PUT-Handel auszuüben';

  @override
  String get api_error_175 => 'Versuch, einen Gutschein einzulösen, der während der Registrierung nicht existiert';

  @override
  String get api_error_176 => 'Versuch, einen abgelaufenen Gutschein während der Registrierung einzulösen';

  @override
  String get api_error_177 => 'Versuch, einen Gutschein einzulösen, der während der Registrierung nicht vorrätig ist';

  @override
  String get api_error_185 => 'Versuch, Gutscheine für einen Benutzer zu erhalten, der nicht existieren';

  @override
  String get api_error_186 => 'Versuch, mehr als 50 Anzeigen zu erhalten, wenn Anzeigen nach ID abgerufen werden';

  @override
  String get api_error_187 => 'Versuch, eine leere Liste mit IDs anzugeben, wenn Anzeigen nach ID abgerufen werden';

  @override
  String get api_error_188 => 'Keine einzige der angeforderten Anzeigen-IDs ist eine gültige ID, wenn Anzeigen nach ID abgerufen werden';

  @override
  String get api_error_189 => 'Beim Abrufen von Anzeigen nach ID ist keine einzige der angeforderten Anzeigen vorhanden';

  @override
  String get api_error_190 => 'Versuch, eine leere Liste von IDs anzugeben, wenn Trades nach ID abgerufen werden';

  @override
  String get api_error_191 => 'Versuch, mehr als 50 Anzeigen zu erhalten, wenn Trades nach ID abgerufen werden';

  @override
  String get api_error_192 => 'Keine einzige der angeforderten Handels-IDs ist eine gültige ID, wenn Trades per ID abgerufen werden';

  @override
  String get api_error_193 => 'Kein einziger der angeforderten Trades existiert, wenn Trades per ID abgerufen werden';

  @override
  String get api_error_194 => 'Versuch, ein öffentliches API-Token für einen nicht vorhandenen Benutzer zu generieren';

  @override
  String get api_error_195 => 'Falsches Passwort beim Versuch, ein öffentliches API-Token abzurufen';

  @override
  String get api_error_196 => 'Versuch, aktuelle Nachrichten für einen Benutzer abzurufen, der nicht existiert';

  @override
  String get api_error_197 => 'Versuch, Handels-Chat-Nachrichten mit einem Zeitstempel „danach“ zu erhalten, der außerhalb des zulässigen Bereichs liegt';

  @override
  String get api_error_198 => 'Versuch, die letzten Chatnachrichten des Kontos mit einem Zeitstempel „danach“ zu erhalten, der außerhalb des zulässigen Bereichs liegt';

  @override
  String get api_error_199 => 'Versuch, ein öffentliches API-Token für einen nicht vorhandenen Benutzer abzurufen';

  @override
  String get api_error_200 => 'Versuch, das öffentliche API-Token für Benutzer ohne öffentliches API-Token ablaufen zu lassen und zu löschen';

  @override
  String get api_error_201 => 'Versuch, die Preisformel für eine nicht vorhandene Anzeige zu aktualisieren';

  @override
  String get api_error_202 => 'Versuch, Kontotransaktionen mit einem Zeitstempel „danach“ abzurufen, der außerhalb des zulässigen Bereichs liegt';

  @override
  String get api_error_203 => 'Versuch, Reputationsimportdaten für ein nicht vorhandenes Konto abzurufen';

  @override
  String get api_error_211 => 'Versuch, den Reputationsimport für einen nicht vorhandenen Benutzer zu genehmigen';

  @override
  String get api_error_212 => 'Versuch, den Reputationsimport für einen Benutzer zu genehmigen, der sich nicht in Schritt 2 des Reputationsimportablaufs befindet';

  @override
  String get api_error_213 => 'Versuch, den Reputationsimport für einen Benutzer zu verweigern, der nicht existiert';

  @override
  String get api_error_214 => 'Versuch, den Reputationsimport für Benutzer zu verweigern, die sich nicht in Schritt 2 des Reputationsimportablaufs befinden';

  @override
  String get api_error_215 => 'Versuch, sowohl den Ländercode als auch den Währungscode anzugeben, wenn die gängigsten Zahlungsmethoden angefordert werden';

  @override
  String get api_error_216 => 'Versuch, die gängigsten Zahlungsmethoden für einen nicht vorhandenen Ländercode anzufordern';

  @override
  String get api_error_217 => 'Versuch, die gängigsten Zahlungsmethoden für einen Währungscode anzufordern, der nicht existiert';

  @override
  String get api_error_218 => 'Versuch, einen Handel für eine Anzeige zu eröffnen, für die eine verifizierte E-Mail-Adresse erforderlich ist, während der anfragende Benutzer keine verifizierte E-Mail-Adresse hat';

  @override
  String get api_error_219 => 'Versuch, sich mit einer E-Mail zu registrieren, die von einem Wegwerf-E-Mail-Anbieter stammt';

  @override
  String get api_error_220 => 'Versuch, die Konto-E-Mail-Adresse in eine E-Mail-Adresse eines Wegwerf-E-Mail-Anbieters zu ändern';

  @override
  String get api_error_221 => 'Versuch, alle Benachrichtigungen für einen nicht vorhandenen Benutzer als gelesen zu markieren';

  @override
  String get api_error_222 => 'Versuch, Reputationscode für ein bereits importiertes externes Plattformkonto anzufordern';

  @override
  String get api_error_223 => 'Versuch, die Anzeige zu aktualisieren, wobei „verificationRequired“ als „true“ angegeben wird, während „verificationMsg“ null ist';

  @override
  String get api_error_224 => 'Versuch, die Anzeige mit Angabe von „verificationMsg“ zu aktualisieren, aber die Anzeige erfordert keine Verifizierung und die Anzeigenaktualisierungsanfrage setzt „verificationRequired“ auch nicht auf „true“';

  @override
  String get api_error_227 => 'Versuch, einen Benutzer zu sanktionieren, der nicht existiert';

  @override
  String get api_error_228 => 'Versuch, Benutzer mit einem nicht vorhandenen Administratorkonto zu sanktionieren';

  @override
  String get api_error_229 => 'Versuch, eine Sanktion von einem Benutzer aufzuheben, der nicht existiert';

  @override
  String get api_error_230 => 'Versuch, eine Sanktion von einem Benutzer mit einem nicht vorhandenen Administratorkonto aufzuheben';

  @override
  String get api_error_231 => 'Versuch, eine Sanktion von einem Benutzer zu entfernen, der keine Sanktionen gegen ihn hat';

  @override
  String get api_error_232 => 'Versuch, einen Handel mit einem Benutzer zu eröffnen, dem derzeit aufgrund einer Sanktion der Handel untersagt ist';

  @override
  String get api_error_233 => 'Versuch, Feedback mit einer ID zu entfernen, die nicht existiert';

  @override
  String get api_error_234 => 'Versuch, bereits entferntes Feedback zu entfernen';

  @override
  String get api_error_235 => 'Versuch, den Streitstatus von einem Handel zu entfernen, der nicht existiert';

  @override
  String get api_error_236 => 'Versuch, den Streitstatus von einem Handel zu entfernen, der nicht bestritten wird';

  @override
  String get api_error_237 => 'Versuch, einen Handel als ein Benutzer zu öffnen, der nicht existiert, wenn der Handelseröffnungsendpunkt als Administrator aufgerufen und der Parameter openAsUsername angegeben wird';

  @override
  String get api_error_240 => 'Der Käufer hat eine ungültige Adresse angegeben, als er auf eine Anzeige vom Typ VERKAUFEN geantwortet hat';

  @override
  String get api_error_241 => 'Käufer, der versucht, eine interne Adresse anzugeben, wenn er auf eine Anzeige vom Typ VERKAUFEN antwortet (interne Adressen sind zum Zweck der Handelsabwicklung nicht zulässig)';

  @override
  String get api_error_242 => 'Der Käufer hat beim Erstellen einer Anzeige vom Typ KAUFEN eine ungültige Adresse angegeben';

  @override
  String get api_error_244 => 'Der Käufer hat beim Aktualisieren einer Anzeige vom Typ KAUFEN eine ungültige Adresse angegeben';

  @override
  String get api_error_245 => 'Käufer, der versucht, eine interne Adresse anzugeben, wenn er eine Anzeige vom Typ KAUFEN aktualisiert (interne Adressen sind zum Zweck der Handelsabwicklung nicht zulässig)';

  @override
  String get api_error_246 => 'Versuch, einen Handel über eine Anzeige vom Typ KAUFEN zu starten, in der die Abwicklungsadresse des Käufers nicht angegeben ist';

  @override
  String get api_error_247 => 'Versuch, einen Handel von einem Konto freizugeben, das aufgrund von Sanktionen nicht auszahlen kann';

  @override
  String get api_error_248 => 'Versuch, einen Handel freizugeben, während der Betrag des Handels nicht ausreicht, um die Abwicklungsgebühren zu decken';

  @override
  String get api_error_249 => 'Versuch, eine Anzeige des Typs KAUFEN zu aktualisieren, für die buyerSettlementAddress nicht festgelegt ist, ohne den Parameter „buyerSettlementAddress“ in der Aktualisierungsanforderung festzulegen';

  @override
  String get api_error_250 => 'Bei der Anforderung der Auszahlungsgebühr für BTC wurde eine ungültige Adresse angegeben';

  @override
  String get api_error_251 => 'Gebührenhöhe wird nicht angegeben, wenn ein Trade eröffnet wird, indem auf eine Anzeige vom Typ BTC SELL geantwortet wird';

  @override
  String get api_error_252 => 'Beim Erstellen einer Anzeige vom Typ BTC BUY wird keine Gebührenstufe angegeben';

  @override
  String get api_error_253 => 'Gebührenstufe wird nicht bereitgestellt, wenn eine Anzeige vom Typ BTC KAUFEN aktualisiert wird, für die keine Gebührenstufe festgelegt ist';

  @override
  String get api_error_255 => 'Versuch, Benachrichtigungen mit einem Zeitstempel „danach“ zu erhalten, der außerhalb des zulässigen Bereichs liegt';

  @override
  String get api_error_256 => 'Versuch, ein bereits vorhandenes Push-Benachrichtigungstoken zu registrieren';

  @override
  String get api_error_257 => 'Versuch, ein ungültiges Push-Benachrichtigungstoken zu registrieren';

  @override
  String get api_error_258 => 'Wenn Sie versuchen, ein Push-Benachrichtigungstoken für ein Konto zu registrieren, das bereits über 500 Gerätetoken verfügt, löschen Sie eines der vorhandenen Token, bevor Sie es erneut versuchen';

  @override
  String get api_error_259 => 'Versuch, ein Token zu löschen, das nicht existiert oder nicht zu diesem Benutzer gehört';

  @override
  String get account => 'Konto';

  @override
  String get login => 'Anmeldung';

  @override
  String get skip => 'Überspringen';

  @override
  String get pin_setup => 'PIN einrichten';

  @override
  String get pin_enter_continue => 'Geben Sie die PIN ein, um fortzufahren';

  @override
  String get pin_enter => 'Pin eingeben';

  @override
  String get pin_enter_to_confirm_transaction => 'Geben Sie die PIN ein, um die Transaktion zu bestätigen';

  @override
  String get pin_you_can_use => 'Mit dieser PIN können Sie die App entsperren.';

  @override
  String get pin_confirm => 'PIN bestätigen';

  @override
  String get pin_current => 'aktuelle PIN';

  @override
  String get pin_set => 'PIN-Code festlegen';

  @override
  String get pin_do_not_match => 'PINs stimmen nicht überein';

  @override
  String get pin_second_as_first => 'Die beim zweiten Mal eingegebene PIN stimmt nicht mit der ersten überein.';

  @override
  String get pin_wrong_current => 'Falsche aktuelle PIN';

  @override
  String get pin_please_input_correct => 'Bitte geben Sie die korrekte aktuelle PIN ein.';

  @override
  String get enter_email => 'Email eingeben';

  @override
  String get convert => 'Konvertieren';

  @override
  String get recent_transactions => 'Kürzliche Transaktionen';

  @override
  String get transactions_30_days => 'Transaktionen der letzten 30 Tage';

  @override
  String get forgot_password => 'Passwort vergessen?';

  @override
  String get password_have_changed => 'Passwort wurde geändert.';

  @override
  String get i_want_to_buy => 'ich möchte kaufen';

  @override
  String get error_password_reset_token_invalid => 'Das zum Zurücksetzen des Passworts bereitgestellte Token ist ungültig';

  @override
  String get error_password_reset_unverified_email => 'Versuch, ein Passwort für einen Benutzer mit einer unbestätigten E-Mail-Adresse zurückzusetzen';

  @override
  String get i_want_to_buy_new => 'ich möchte kaufen';

  @override
  String get new_password => 'Neues Passwort (8-72 Zeichen)';

  @override
  String get i_want_to_sell => 'Ich möchte verkaufen';

  @override
  String get log_in_to_start_trading => 'Melden Sie sich an, um mit dem Handel zu beginnen';

  @override
  String get why_do_you_need_my_email => 'Warum brauchen Sie meine E-Mail?';

  @override
  String get view_all_transactions => 'Alle Transaktionen anzeigen';

  @override
  String get email_is_used_to => 'E-Mail wird verwendet, um Ihr Passwort wiederherzustellen oder Ihnen E-Mail-Benachrichtigungen zu senden. Ihre E-Mail wird mit einer Datenbank von Drittanbietern von Einweg-E-Mail-Anbietern abgeglichen.';

  @override
  String get email_verified => 'E-Mail ist verifiziert.';

  @override
  String get email_verification_error => 'E-Mail-Bestätigungsfehler.';

  @override
  String get email_token_error => 'Token oder E-Mail sind falsch. E-Mail wurde nicht bestätigt.';

  @override
  String get welcome_screen_about => 'Sichere und einfach zu bedienende Person-zu-Person-Plattform für den Handel mit lokaler Währung für Bitcoin und Monero.';

  @override
  String get view_in_block_explorer => 'Im Blockexplorer ansehen';

  @override
  String get welcome_pick_a_payment_method => 'Wählen Sie eine Zahlungsmethode oder wählen Sie aus allen verfügbaren Angeboten.';

  @override
  String get welcome_buy_press_buy => 'Drücken Sie KAUFEN, um den Handel zu starten.';

  @override
  String get welcome_buy_follow_the_sellers => 'Folgen Sie den Anweisungen des Verkäufers im Handels-Chat!';

  @override
  String get welcome_sell_go_to_wallet => 'Gehen Sie zu Ihrer Wallet und zahlen Sie Ihre Coins ein.';

  @override
  String get welcome_sell_press_sell => 'Drücken Sie VERKAUFEN, um den Handel zu starten.';

  @override
  String get welcome_sell_follow_the_buyer => 'Folgen Sie den Anweisungen des Käufers im Handels-Chat!';

  @override
  String get get_started => 'Loslegen';

  @override
  String get send_to => 'Senden an';

  @override
  String get error_only_numbers_are_possible => 'Es sind nur Zahlen möglich.';

  @override
  String get error_entered_greater_than_balance => 'Der eingegebene Wert ist größer als der Saldo.';

  @override
  String get amount_to_receive => 'Zu erhaltender Betrag';

  @override
  String get amount_to_send => 'zu sendender Betrag';

  @override
  String your_deposit_address(Object asset) {
    return 'Ihre $asset Einzahlungsadresse';
  }

  @override
  String pending(Object num1, Object num2) {
    return 'Ausstehend ($num1/$num2)';
  }

  @override
  String get preview => 'Vorschau';

  @override
  String get close => 'Schließen';

  @override
  String get deposit => 'Einzahlung';

  @override
  String get share => 'Teilen';

  @override
  String get edit => 'Bearbeiten';

  @override
  String get confirm_transaction => 'Transaktion bestätigen';

  @override
  String get transaction_fee => 'Transaktionsgebühr';

  @override
  String get show_qr_code => 'QR-Code anzeigen';

  @override
  String get security => 'Sicherheit';

  @override
  String get no_pending_deposits => 'Keine ausstehenden Einzahlungen';

  @override
  String get create_pin => 'PIN erstellen';

  @override
  String get change_pin => 'PIN ändern';

  @override
  String get remove_pin => 'PIN entfernen';

  @override
  String get remove_pin_message_success => 'PIN entfernt';

  @override
  String get you_will_receive => 'Du wirst erhalten';

  @override
  String get total_amount_to_send => 'Zu sendender Gesamtbetrag';

  @override
  String get enter_amount_to_receive_without_fee => 'Zu erhaltenden Betrag eingeben (ohne Gebühr)';

  @override
  String get enter_amount_to_receive_with_fee => 'Abzuziehenden Betrag eingeben (mit Gebühr)';

  @override
  String get return_reserve_from_trade => 'Rückgabereserve aus dem Handel';

  @override
  String get user_profile => 'Benutzerprofil';

  @override
  String get personal_introduction => 'Persönliche Vorstellung';

  @override
  String get trading_reputation_on_other_platforms => 'Handelsruf auf anderen Plattformen';

  @override
  String get how_to_link_my_account => 'Wie verknüpfe ich mein Konto?';

  @override
  String link_account(Object platform) {
    return '$platform-Konto verknüpfen';
  }

  @override
  String what_is_your_username(Object platform) {
    return 'Wie lautet Ihr Benutzername auf $platform?';
  }

  @override
  String get enter_username => 'Benutzernamen eingeben';

  @override
  String get edit_personal_introduction => 'Persönliche Vorstellung bearbeiten';

  @override
  String get your_info => 'Ihre Informationen';

  @override
  String get website => 'Webseite';

  @override
  String get are_you_sure => 'Sind Sie sich sicher?';

  @override
  String get no_trusted_users_yet => 'Noch keine vertrauenswürdigen Benutzer.';

  @override
  String get no_blocked_users_yet => 'Noch keine blockierten Benutzer.';

  @override
  String get no_transactions_yet => 'Noch keine Transaktionen.';

  @override
  String get web_links => 'Web-Links';

  @override
  String get tor_links => 'Tor-Links';

  @override
  String get i2p_links => 'I2P-Links';

  @override
  String get active_coupons => 'Aktive Gutscheine';

  @override
  String get expired_coupons => 'Abgelaufene Gutscheine';

  @override
  String get hide_expired_coupons => 'Abgelaufene Coupons ausblenden';

  @override
  String get show_expired_coupons => 'Abgelaufene Coupons anzeigen';

  @override
  String get terms_and_conditions => 'Geschäftsbedingungen';

  @override
  String get current_email => 'Aktuelle E-Mail';

  @override
  String get remove_email => 'E-Mail entfernen';

  @override
  String get email_not_received_content => 'Wenn Sie die Bestätigungs-E-Mail nicht erhalten haben, überprüfen Sie bitte Ihren „Spam“-Ordner oder';

  @override
  String get email_not_received_link => 'Klicken Sie hier, um die E-Mail erneut zu senden.';

  @override
  String get email_confirm_delete => 'Bestätigen Sie das Löschen der E-Mail';

  @override
  String get email_deleted => 'E-Mail gelöscht.';

  @override
  String email_confirmation_we_ve_sent_an_email(Object email) {
    return 'Wir haben eine E-Mail an $email gesendet. Klicken Sie auf den Link in der E-Mail, um Ihre E-Mail-Adresse zu bestätigen.';
  }

  @override
  String app_staff(Object appName) {
    return '$appName Mitarbeiter';
  }

  @override
  String get current_password => 'Aktuelles Passwort';

  @override
  String get save_your_backup_code => 'Speichern Sie Ihren Backup-Code';

  @override
  String get your_backup_code => 'Ihr Backup-Code';

  @override
  String get set_up_2fa => '2FA einrichten';

  @override
  String get download_2fa => 'Laden Sie eine 2FA-App herunter. Kopieren Sie den folgenden Code und fügen Sie ihn in Ihre 2FA-App ein.';

  @override
  String get paste_code => 'Code einfügen';

  @override
  String get code_valid => 'Code gültig';

  @override
  String get verifying_the_code => 'Überprüfung des Codes...';

  @override
  String get language => 'Sprache';

  @override
  String get my_profile => 'Mein Profil';

  @override
  String get choose_ad_default_region => 'Wählen Sie die Standardregion der Anzeige aus';

  @override
  String get knowledge_base => 'Wissensbasis';

  @override
  String get report_this_ad => 'Melde diese Anzeige';

  @override
  String get cash_only => 'Nur Bargeld';

  @override
  String get dispute_started => 'Streitfall eröffnet';

  @override
  String get payment_info => 'Zahlungsinformationen';

  @override
  String get trade_ad => 'Handelsanzeige';

  @override
  String get ask_delete_ad => 'Möchten Sie diese Anzeige wirklich löschen?';

  @override
  String get general => 'Allgemein';

  @override
  String get final_price => 'Endgültiger Preis';

  @override
  String get use_price_formula_to_calculate => 'Verwenden Sie zur Berechnung die Preisformel';

  @override
  String get enter_price_formula => 'Preisformel eingeben';

  @override
  String get trade_limits => 'Handelslimits (optional)';

  @override
  String get trade_details => 'Handelsdetails (optional)';

  @override
  String get reply => 'Antwort';

  @override
  String get trade_loading_failed => 'Laden des Handels ist fehlgeschlagen, bitte überprüfen Sie die Verbindung.';

  @override
  String get dark_theme => 'Dunkles Thema';

  @override
  String search__no_results(Object country) {
    return 'Keine Ergebnisse in $country mit den ausgewählten Kriterien ... noch nicht. ';
  }

  @override
  String get affiliate__explain_is_reg => 'Die Zugehörigkeit wird registriert, wenn sich ein Benutzer anmeldet, nachdem er über einen Link mit Ihrem Empfehlungscode auf der Website gelandet ist.';

  @override
  String get affiliate__ref_code_title => 'Ihr Empfehlungscode';

  @override
  String affiliate__users__text(Object number) {
    return 'Sie sind derzeit als Partner für $number-Benutzer registriert und erhalten Provisionen aus allen von diesen getätigten Trades.';
  }

  @override
  String affiliate__terms__text___agoradesk(Object appName) {
    return '• Auf $appName können Sie auf jede einzelne Seite verlinken, z. B. eine Länderliste oder eine Liste mit Zahlungsmethoden oder irgendetwas anderes.\n• Sie verdienen Kryptowährung von den Benutzern, die über Ihren Affiliate-Link auf die Website gelangen, sich registrieren und Geschäfte tätigen.\n• Auszahlungen erfolgen täglich in den entsprechenden Kryptowährungen auf Ihr $appName-Wallet.\n• Provisionen werden für ein Jahr ab Registrierung des Benutzers gezahlt. Die Provision basiert auf den Einnahmen, die der neue Benutzer für $appName (Handelsgebühren) erzielt.\n• Jegliches Foulspiel, wie zB irreführende Werbung, ist verboten.\n• Spamming ist verboten. Spamming umfasst das Versenden von nicht abonnierten privaten oder öffentlichen Nachrichten in Foren/Reddit, nicht abonnierte Massen-E-Mails usw.\n• Das Hinzufügen von versteckten iFrames auf einer Website, um Affiliates zu erfassen, ist verboten. Nur Affiliate-iFrames oder direkte Links zur Webseite sind erlaubt.\n• $appName hat das Recht, jeden Affiliate-Benutzer jederzeit zu deaktivieren. Wenn Sie gegen die Bedingungen verstoßen, wird Ihr Partnerprogramm beendet.';
  }

  @override
  String affiliate__example__text(Object assetName, Object appName, Object assetSymbol) {
    return 'Sie erhalten zwei Benutzer, Käufer und Verkäufer von $assetName, die auf $appName registriert sind, und sie führen einen Handel im Wert von 100 $assetSymbol durch. Sie verdienen 20 % Provision auf die $appName-Handelsgebühren beider Teilnehmer, insgesamt 40 % der $appName-Gebühr.\n\nIhre verdiente Summe beträgt 0,4 $assetSymbol. Nur abgeschlossene Verkäufe, die unseren Transaktionsprozess durchlaufen, sind von Bedeutung. Auszahlungen erfolgen täglich.\n\nDer $appName-Support hilft Ihnen gerne bei Fragen weiter.';
  }

  @override
  String get affiliate__enable_btn => 'Partnerprogramm aktivieren';

  @override
  String affiliate__enabled(Object ref_code, Object appName) {
    return 'Ihr Affiliate-Programm ist aktiviert und Sie können Provisionen verdienen, indem Sie Ihr Affiliate-Tag $ref_code zu einer beliebigen $appName-URL hinzufügen.';
  }

  @override
  String reputation_import__step__username__input__label(Object platform) {
    return 'Ihr $platform-Benutzername';
  }

  @override
  String reputation_import__step__code__message(Object platform) {
    return 'Fügen Sie diesen Code irgendwo in Ihrem öffentlichen $platform-Profil hinzu. Sobald wir den Code überprüft haben, können Sie ihn entfernen.';
  }

  @override
  String settings__homepage_tip(Object example_url) {
    return 'Wird in Ihrem öffentlichen Profil angezeigt. Nur gültige URL akzeptiert (z. B. https://$example_url)';
  }

  @override
  String get settings__personal_info_tip => 'Wird in Ihrem öffentlichen Profil angezeigt. Maximal 65536 Zeichen. Kann Markdown für das Styling verwenden.';

  @override
  String get settings__personal_info_tip_1 => 'Wird in Ihrem öffentlichen Profil angezeigt. Maximal 65536 Zeichen.';

  @override
  String get coupons__coupon__type_here => 'Geben Sie hier Ihren Gutschein ein';

  @override
  String get trade__mark_pay_according => ' Bezahlen Sie gemäß den unten aufgeführten Zahlungsdetails. Wenn Sie Fragen haben, fragen Sie den Verkäufer im Chat.';

  @override
  String get dashboard__trade__status__open => 'Offen';

  @override
  String get wallet__available_balance => 'Verfügbares Guthaben';

  @override
  String get trade__dialog__confirm_release_monero_text_password => 'Dieses Passwort wird als Offset verwendet, um das Wallet für die Abwicklung ohne Verwahrung zu generieren und die Transaktion zu signieren. LocalMonero hat keine Möglichkeit, die Brieftasche wiederherzustellen, wenn Sie dieses Passwort verlieren.';

  @override
  String get dont_have_an_account_yet => 'Sie haben noch kein Konto?';

  @override
  String get app_trades => 'Geschäfte';

  @override
  String get app_unlimited => 'Unbegrenzt';

  @override
  String get app_guides => 'Leitfaden';

  @override
  String get app_edit_this_ad => 'Bearbeiten Sie diese Anzeige';

  @override
  String get app_you_can_use_markdown => 'Sie können Markdown verwenden, um die Bedingungen Ihrer Anzeige zu gestalten (Bilder sind nicht erlaubt).';

  @override
  String get app_no_trades_to_export => 'Keine Geschäfte zum Exportieren.';

  @override
  String app_settings_2fa_step_two(Object appName) {
    return 'Notieren Sie sich Ihren Backup-Code (oben in grün) auf einem Zettel und bewahren Sie ihn an einem sicheren Ort auf. Sie benötigen es, wenn Sie Ihr Telefon verlieren oder Ihr Konto gesperrt wird. $appName kann Ihnen nicht helfen, wenn Sie diesen Code verlieren.';
  }

  @override
  String get ad_post_ad_rules_text_0 => 'Bevor Sie eine Anzeige erstellen, lesen Sie bitte unsere ';

  @override
  String app_trade_warning_impersonation(Object appName) {
    return 'Hüten Sie sich vor Betrügern, die versuchen, sich als Mitarbeiter auszugeben!\n${appName}-Administratoren werden Ihnen niemals sagen, dass Sie einen Handel abschließen sollen.\nMitarbeitermeldungen sind rot hinterlegt.';
  }

  @override
  String app_buy_sell(Object val) {
    return 'Wie viel möchten Sie $val?';
  }

  @override
  String app_buyer_marked_as_paid(Object val) {
    return '$val hat den Trade als bezahlt markiert';
  }

  @override
  String app_buy_crypto_from(Object val) {
    return 'Kaufen Sie Krypto von $val';
  }

  @override
  String app_sell_crypto_to(Object val) {
    return 'Krypto verkaufen an $val';
  }

  @override
  String app_trades_with(Object val) {
    return 'Siehe Trades mit $val';
  }

  @override
  String app_able_to_cancel(Object val1, Object val2) {
    return '($val1 kann in $val2 min stornieren, es sei denn, Sie markieren als bezahlt)';
  }

  @override
  String app_able_to_cancel_now(Object val) {
    return '($val kann jetzt stornieren, es sei denn, Sie markieren als bezahlt)';
  }

  @override
  String app_buying_from(Object asset, Object amount, Object username) {
    return 'Kauf von $asset $amount von $username';
  }

  @override
  String app_selling_to(Object asset, Object amount, Object username) {
    return 'Verkauf von $asset $amount an $username';
  }

  @override
  String app_for_sum(Object val) {
    return 'für $val';
  }

  @override
  String get app_buy_crypto => 'Kaufen Sie Krypto von';

  @override
  String get app_sell_crypto => 'Krypto verkaufen an';

  @override
  String get app_intall_trade_title => 'Bitte installieren Sie AgoraDesk, um diesen Handel anzuzeigen';

  @override
  String get app_intall_ad_title => 'Bitte installieren Sie AgoraDesk, um diese Anzeige zu sehen';

  @override
  String get app_intall_trade_body => 'Dies ist ein Bitcoin-basierter Handel, für dessen Anzeige unsere AgoraDesk-App erforderlich ist.';

  @override
  String get app_intall_ad_body => 'Dies ist eine Bitcoin-basierte Anzeige, für deren Anzeige unsere AgoraDesk-App erforderlich ist.';

  @override
  String get app_trade_option_payment_receiver_cancel_notice => 'Schließen Sie niemals einen Handel ab, bis Sie sich zu 100 % sicher sind, dass Sie das Geld erhalten haben. Betrüger werden versuchen, Sie dazu zu bringen, vorzeitig abzuschließen.';

  @override
  String get app_cancel_trade_message => 'Haben Sie einen Fehler gemacht oder möchten Sie einen anderen Händler ausprobieren? Wenn Sie das Geld bereits überwiesen haben und jetzt stornieren möchten, müssen Sie die Rückzahlung Ihrer Zahlung mit Ihrem Handelspartner selbst aushandeln. Stornieren Sie niemals, wenn Sie nicht sicher sind, dass Sie Ihr Geld zurückerhalten haben.';

  @override
  String get app_all_feedback => 'Alle Rückmeldungen';

  @override
  String get app_camera => 'Kamera';

  @override
  String get app_clear => 'Löschen';

  @override
  String get app_ad_deleted => 'Anzeige gelöscht';

  @override
  String get app_verifiacetion_code_to_seller => 'Dies ist Ihr Bestätigungscode. Sie können es dem Käufer mitteilen, damit der Käufer überprüfen kann, dass Sie den Handel abgeschlossen haben, ohne dass er das Gerät verwenden muss.';

  @override
  String get app_verification_code => 'Verifizierungs-Schlüssel';

  @override
  String get app_ad => 'Anzeige';

  @override
  String get app_with => 'mit';

  @override
  String get app_edited => 'Bearbeitet';

  @override
  String get app_permanent => 'Dauerhaft';

  @override
  String get app_error_saving => 'Fehler beim Speichern. Änderungen wurden nicht gespeichert.';

  @override
  String get app_manage_ads => 'Anzeigen verwalten';

  @override
  String get app_vacation_enabled => 'Urlaub aktiviert';

  @override
  String get app_trade_created => 'Handel erstellt';

  @override
  String get app_session_expired => 'Sitzung abgelaufen';

  @override
  String get app_anonymous_crash_diagnostics => 'Anonyme Crash-Diagnose';

  @override
  String get app_restart_now => 'Jetzt neustarten';

  @override
  String get app_postpone => 'Verschieben';

  @override
  String get app_biometric_authentication => 'Biometrische Authentifizierung';

  @override
  String get app_biometric_authentication_message => 'Bitte legen Sie einen PIN-Code fest, um die biometrische Authentifizierung zu aktivieren.';

  @override
  String get app_anonymous_crash_diagnostics_restart => 'Die anonyme Absturzdiagnose wurde deaktiviert und wird nach dem Neustart der App nicht gesendet.';

  @override
  String get app_trading_partners => 'Handelspartner';

  @override
  String get app_trade_status_settlement_processing_description => 'Die Abrechnung wird bearbeitet. Bitte warten Sie, es gibt nichts, was Sie tun müssen.';

  @override
  String get app_buyer_settlement_fee_level_description => 'Wählen Sie eine Gebührenstufe, die während der Handelsabwicklung verwendet werden soll. Die hier gezeigten Werte sind die aktuellen Kursschätzungen und können von denen abweichen, die während der Handelsabwicklung angewendet werden. Sollte der Handelsbetrag zu gering sein, um den Handel mit der ausgewählten Gebührenstufe abzurechnen, wird während der Abrechnung automatisch eine niedrigere Gebührenstufe ausgewählt.';

  @override
  String get app_change_vacation_settings => 'Urlaubseinstellungen ändern.';

  @override
  String get app_gallery => 'Galerie';

  @override
  String get app_via => 'über';

  @override
  String get app_one_percent => '1% Gebühr';

  @override
  String get app_final_amount => 'Endbetrag';

  @override
  String app_note_label(Object val) {
    return 'Ihre Notiz zu $val (nur für Sie sichtbar)';
  }

  @override
  String app_note_add(Object val) {
    return 'Notiz hinzufügen zu $val';
  }

  @override
  String app_update_new_version_available(Object val) {
    return 'Neue Version $val ist verfügbar.';
  }

  @override
  String get app_update_now => 'Jetzt aktualisieren';

  @override
  String get app_update_ingnor_until_next => 'Ignorieren bis zum nächsten Update';

  @override
  String get app_update_ignore_always => 'Immer ignorieren';

  @override
  String get app_tooltip_visibility => 'Antippen, um die Sichtbarkeit umzuschalten';

  @override
  String get app_tooltip_long_press_ad => 'Drücken Sie lange auf die Anzeige, um die Gruppenbearbeitung zu aktivieren';

  @override
  String get app_join_telegram => 'Treten Sie der Telegram-Gruppe bei';

  @override
  String get app_join_matrix => 'Treten Sie der Matrix-Gruppe bei';

  @override
  String get app_display_password => 'Passwort anzeigen';

  @override
  String get app_hide_password => 'Passwort verbergen';

  @override
  String get app_trade_has_been_cancelled => 'Der Handel wurde abgebrochen.';

  @override
  String app_last_seen(Object val) {
    return 'Zuletzt gesehen $val';
  }

  @override
  String get app_open_additional_filters => 'Öffnen Sie zusätzliche Filter';

  @override
  String get app_select_asset => 'Vermögenswert auswählen';

  @override
  String get app_select_trade_type => 'Wählen Sie den Handelstyp aus';

  @override
  String get app_paste => 'Einfügen';

  @override
  String get app_scan_qr_code => 'QR-Code scannen';

  @override
  String get app250Sbapple8722Sbapp8722Sbstore8722Sbdescription250Sbagoradesk => 'Kaufen oder verkaufen Sie Bitcoin anonym, ohne Identitätsprüfung. Bargeld oder online. Sicher, schnell, einfach.\n\nSie fragen sich, wie Sie in Bitcoin investieren können? Auf AgoraDesk war der Kauf von Bitcoins noch nie so einfach - kaufen Sie BTC sofort von einer Person mit Ihrer bevorzugten Online-Zahlungsmethode: PayPal, Kredit-/Debitkarte oder Banküberweisung, Geschenkkarten, Venmo oder jede andere Zahlungsmethode. Wenn Sie Bitcoins in Ihrer Nähe mit Bargeld kaufen möchten, können Sie jemanden finden, der bereit ist, Bitcoins vor Ort zu verkaufen – die Handelsplattform unterstützt den Kauf und Verkauf von BTC mit Bargeld. Sie können Bitcoins sogar mit Bargeld per Post kaufen.\n\n- Sicherer und reibungsloser Handel\nGenau wie LocalBitcoins unterstützen wir jede Zahlungsmethode, jede Währung und das überall. Wir entfernen keine Zahlungsmethoden und unterstützen im Gegensatz zu LocalBitcoins den persönlichen Bargeldhandel vollständig. Alle unsere Trades sind durch eine Schiedsbürgschaft geschützt. Dank der Tatsache, dass wir verlangen, dass Gelder in einer Schiedsbürgschaft gehalten werden, bevor ein Handel beginnen kann, gewährleisten wir ein reibungsloses und sicheres Erlebnis für den Käufer, was für die Popularität der Plattform und Stammkunden, sowie für die Verkäufer unerlässlich ist.\n\n- Keine KYC/AML- oder ID-Verifizierung\nAgoraDesk ist bestrebt, die Einfachheit und Geradlinigkeit beizubehalten, die die ursprüngliche LocalBitcoins so beliebt gemacht hat. Wir setzen KYC/AML nicht ein und planen dies auch nie.\n\n- Von der Community vertraut\nUnsere Plattform ist seit über vier Jahren in Betrieb, hat den großen Zusammenbruch des Kryptowährungsmarktes von 2018 überstanden und wurde durch ihren gemeinschaftsorientierten, sorgfältigen Service zu einem der vertrauenswürdigsten Namen in der äußerst skeptischen Kryptowährungsgemeinschaft.\n\n- Sicher, Open Source, datenschutzzentriert, zensurresistent\nUnsere App ist kostenlos und Open Source, was sicherstellt, dass viele Augen auf den Code der App blicken, um sicherzustellen, dass es keine Sicherheitslücken oder Datenschutzlecks gibt. Open Source unserer App ermöglicht es auch jedem, auf unsere App zuzugreifen, selbst wenn ein bestimmtes App-Repository die App zensiert. Unsere App funktioniert sogar auf Telefonen, die Google vollständig blockiert hat. Wir schätzen Ihre Privatsphäre so sehr, dass Sie bei der Registrierung nicht einmal eine E-Mail-Adresse angeben müssen.\n\nQuellcode: https://github.com/AgoraDesk-LocalMonero/agoradesk-app-foss\nProblemverfolgung: https://github.com/AgoraDesk-LocalMonero/agoradesk-app-foss/issues\n\n- Hervorragende Unterstützung\nUnser Support-Team ist schnell, reaktionsschnell und immer bemüht, Ihnen zu gefallen. Wir hatten noch nie ein Support-Ticket, das nicht innerhalb von 24 Stunden beantwortet wurde. Wir sind über Social Media immer gut erreichbar, hören uns Ihre Kritik aufmerksam an und setzen gute User-Vorschläge immer in Rekordzeit um.\n\nSie erreichen unseren Support unter: https://agoradesk.com/support\n\n- Faire Gebühren\nWir erheben keine exorbitanten Gebühren, wenn Sie Bitcoins in/aus unserer Wallet für Schiedsbürgschaften einzahlen oder abheben. Es gibt keine Einzahlungsgebühr und die Auszahlungsgebühr liegt sehr nahe an der Gebühr, die Sie für eine normale Transaktion zahlen würden.';

  @override
  String get app250Sbapple8722Sbapp8722Sbstore8722Sbtitle250Sbagoradesk => 'AgoraDesk: Bitcoin einfach kaufen';

  @override
  String get app250Sbapple8722Sbapp8722Sbstore8722Sbtitle250Sblocalmonero => 'LocalMonero: XMR einfach kaufen';

  @override
  String get app250Sbapple8722Sbapp8722Sbstore8722Sbdescription250Sblocalmonero => 'Kaufen oder verkaufen Sie Monero ohne ID-Verifizierung. Bargeld oder online. Sicher, schnell, einfach.\n\nLocalMonero ist die größte, vertrauenswürdigste und etablierteste P2P-Handelsplattform in der XMR-Community. Bei uns gibt es keine KYC-Prüfungen – Sie können Monero einfach anonym ohne ID-Verifizierung mit PayPal, Kreditkarte, Geschenkkarte, Bargeld per Post kaufen oder Bitcoin, Ether, USDT oder jede andere Krypto-Münze in Monero umwandeln – unsere Plattform unterstützt jede Zahlungsmethode.\n\n- Sicherer und reibungsloser Handel\nWir unterstützen jede Zahlungsmethode, jede Währung und das überall. Wir entfernen keine Zahlungsmethoden und unterstützen den Barhandel von Angesicht zu Angesicht. Alle unsere Trades sind durch eine Schiedsbürgschaft geschützt. Dank der Tatsache, dass wir verlangen, dass Gelder in einer Schiedsbürgschaft gehalten werden, bevor ein Handel beginnen kann, gewährleisten wir ein reibungsloses und sicheres Erlebnis für den Käufer, was für die Popularität der Plattform und Stammkunden, als auch für die Verkäufer unerlässlich ist.\n\n- Keine KYC/AML- oder ID-Verifizierung\nLocalMonero ist bestrebt, die Einfachheit und Geradlinigkeit Ihrer Handelserfahrung beizubehalten. Wir setzen KYC/AML nicht ein und planen dies auch nie.\n\n- Von der Community vertraut\nUnsere Plattform ist seit über vier Jahren in Betrieb, hat den großen Crash des Kryptowährungsmarktes von 2018 überstanden und wurde durch ihren gemeinschaftsorientierten, gewissenhaften Service zu einem der vertrauenswürdigsten Namen in der äußerst skeptischen Monero-Community.\n\n- Sicher, Open Source, datenschutzzentriert, zensurresistent\nUnsere App ist kostenlos und Open Source, was sicherstellt, dass viele Augen auf den Code der App blicken, um sicherzustellen, dass es keine Sicherheitslücken oder Datenschutzlecks gibt. Open Source unserer App ermöglicht es auch jedem, auf unsere App zuzugreifen, selbst wenn ein bestimmtes App-Repository die App zensiert. Unsere App funktioniert sogar auf Telefonen, die Google vollständig blockiert hat. Wir schätzen Ihre Privatsphäre so sehr, dass Sie bei der Registrierung nicht einmal eine E-Mail-Adresse angeben müssen.\nKaufen oder verkaufen Sie Monero ohne ID-Verifizierung. ACHTUNG: DIESE APP IST DERZEIT IN DER OFFENEN BETA!\n\nQuellcode: https://github.com/AgoraDesk-LocalMonero/agoradesk-app-foss\nProblemverfolgung: https://github.com/AgoraDesk-LocalMonero/agoradesk-app-foss/issues\n\n- Hervorragende Unterstützung\nUnser Support-Team ist schnell, reaktionsschnell und immer bemüht, Ihnen zu gefallen. Wir hatten noch nie ein Support-Ticket, das nicht innerhalb von 24 Stunden beantwortet wurde. Wir sind über Social Media immer gut erreichbar, hören uns Ihre Kritik aufmerksam an und setzen gute User-Vorschläge immer in Rekordzeit um.\n\nSie erreichen unseren Support unter: https://localmonero.co/support\n\n- Faire Gebühren\nWir erheben keine exorbitanten Gebühren, wenn Sie Monero in/aus unserer Wallet für Schiedsbürgschaften einzahlen oder abheben. Es gibt keine Einzahlungsgebühr und die Auszahlungsgebühr liegt sehr nahe an der Gebühr, die Sie für eine normale Transaktion zahlen würden.';

  @override
  String get app250Sbgoogle8722Sbplay8722Sbstore8722Sbtitle250Sblocalmonero => 'LocalMonero: XMR privat kaufen';

  @override
  String get app250Sbgoogle8722Sbplay8722Sbstore8722Sbdescription250Sblocalmonero => 'Kaufen oder verkaufen Sie Monero ohne ID-Verifizierung. Bargeld oder online. Sicher, schnell, einfach.\n\nLocalMonero ist die größte, vertrauenswürdigste und etablierteste P2P-Handelsplattform in der XMR-Community. Bei uns gibt es keine KYC-Prüfungen – Sie können Monero einfach anonym ohne ID-Verifizierung mit PayPal, Kreditkarte, Geschenkkarte, Bargeld per Post kaufen oder Bitcoin, Ether, USDT oder jede andere Krypto-Münze in Monero umwandeln – unsere Plattform unterstützt jede Zahlungsmethode.\n\n- Sicherer und reibungsloser Handel\nWir unterstützen jede Zahlungsmethode, jede Währung und das überall. Wir entfernen keine Zahlungsmethoden und unterstützen den Barhandel von Angesicht zu Angesicht. Alle unsere Trades sind durch eine Schiedsbürgschaft geschützt. Dank der Tatsache, dass wir verlangen, dass Gelder in einer Schiedsbürgschaft gehalten werden, bevor ein Handel beginnen kann, gewährleisten wir ein reibungsloses und sicheres Erlebnis für den Käufer, was für die Popularität der Plattform und Stammkunden, als auch für die Verkäufer unerlässlich ist.\n\n- Keine KYC/AML- oder ID-Verifizierung\nLocalMonero ist bestrebt, die Einfachheit und Geradlinigkeit Ihrer Handelserfahrung beizubehalten. Wir setzen KYC/AML nicht ein und planen dies auch nie.\n\n- Von der Community vertraut\nUnsere Plattform ist seit über vier Jahren in Betrieb, hat den großen Crash des Kryptowährungsmarktes von 2018 überstanden und wurde durch ihren gemeinschaftsorientierten, gewissenhaften Service zu einem der vertrauenswürdigsten Namen in der äußerst skeptischen Monero-Community.\n\n- Sicher, Open Source, datenschutzzentriert, zensurresistent\nUnsere App ist kostenlos und Open Source, was sicherstellt, dass viele Augen auf den Code der App blicken, um sicherzustellen, dass es keine Sicherheitslücken oder Datenschutzlecks gibt. Open Source unserer App ermöglicht es auch jedem, auf unsere App zuzugreifen, selbst wenn ein bestimmtes App-Repository die App zensiert. Unsere App funktioniert sogar auf Telefonen, die Google vollständig blockiert hat. Wir schätzen Ihre Privatsphäre so sehr, dass Sie bei der Registrierung nicht einmal eine E-Mail-Adresse angeben müssen.\n\nQuellcode: https://github.com/AgoraDesk-LocalMonero/agoradesk-app-foss\nProblemverfolgung: https://github.com/AgoraDesk-LocalMonero/agoradesk-app-foss/issues\n\n- hervorragende Unterstützung\nUnser Support-Team ist schnell, reaktionsschnell und immer bemüht, Ihnen zu gefallen. Wir hatten noch nie ein Support-Ticket, das nicht innerhalb von 24 Stunden beantwortet wurde. Wir sind über Social Media immer gut erreichbar, hören uns Ihre Kritik aufmerksam an und setzen gute User-Vorschläge immer in Rekordzeit um.\n\nSie erreichen unseren Support unter: https://localmonero.co/support\n\n- Faire Gebühren\nWir erheben keine exorbitanten Gebühren, wenn Sie Monero in/aus unserer Wallet für Schiedsbürgschaften einzahlen oder abheben. Es gibt keine Einzahlungsgebühr und die Auszahlungsgebühr liegt sehr nahe an der Gebühr, die Sie für eine normale Transaktion zahlen würden.';

  @override
  String get app250Sbgoogle8722Sbplay8722Sbstore8722Sbtitle250Sbagoradesk => 'AgoraDesk: BTC anonym kaufen';

  @override
  String get app250Sbgoogle8722Sbplay8722Sbstore8722Sbdescription250Sbagoradesk => 'Kaufen oder verkaufen Sie Bitcoin ohne ID-Verifizierung. Bargeld oder online.\n\nSie fragen sich, wie Sie in Bitcoin investieren können? Auf AgoraDesk war der Kauf von Bitcoins noch nie so einfach - kaufen Sie BTC sofort von einer Person mit Ihrer bevorzugten Online-Zahlungsmethode: PayPal, Kredit-/Debitkarte oder Banküberweisung, Geschenkkarten, Venmo oder jede andere Zahlungsmethode. Wenn Sie Bitcoins in Ihrer Nähe mit Bargeld kaufen möchten, können Sie jemanden finden, der bereit ist, Bitcoins vor Ort zu verkaufen – die Handelsplattform unterstützt den Kauf und Verkauf von BTC mit Bargeld. Sie können Bitcoins sogar mit Bargeld per Post kaufen.\n\n- Sicherer und reibungsloser Handel\nGenau wie LocalBitcoins unterstützen wir jede Zahlungsmethode, jede Währung und das überall. Wir entfernen keine Zahlungsmethoden und unterstützen im Gegensatz zu LocalBitcoins den persönlichen Bargeldhandel vollständig. Alle unsere Trades sind durch eine Schiedsbürgschaft geschützt. Dank der Tatsache, dass wir verlangen, dass Gelder in einer Schiedsbürgschaft gehalten werden, bevor ein Handel beginnen kann, gewährleisten wir ein reibungsloses und sicheres Erlebnis für den Käufer, was für die Popularität der Plattform und Stammkunden, als auch für die Verkäufer unerlässlich ist.\n\n- Keine KYC/AML- oder ID-Verifizierung\nAgoraDesk ist bestrebt, die Einfachheit und Geradlinigkeit beizubehalten, die die ursprünglichen LocalBitcoins so beliebt gemacht haben. Wir setzen KYC/AML nicht ein und planen dies auch nie.\n\n- Von der Community vertraut\nUnsere Plattform ist seit über vier Jahren in Betrieb, hat den großen Zusammenbruch des Kryptowährungsmarktes von 2018 überstanden und wurde durch ihren gemeinschaftsorientierten, sorgfältigen Service zu einem der vertrauenswürdigsten Namen in der äußerst skeptischen Kryptowährungsgemeinschaft.\n\n- Sicher, Open Source, datenschutzzentriert, zensurresistent\nUnsere App ist kostenlos und Open Source, was sicherstellt, dass viele Augen auf den Code der App blicken, um sicherzustellen, dass es keine Sicherheitslücken oder Datenschutzlecks gibt. Open Source unserer App ermöglicht es auch jedem, auf unsere App zuzugreifen, selbst wenn ein bestimmtes App-Repository die App zensiert. Unsere App funktioniert sogar auf Telefonen, die Google vollständig blockiert hat. Wir schätzen Ihre Privatsphäre so sehr, dass Sie bei der Registrierung nicht einmal eine E-Mail-Adresse angeben müssen.\n\nQuellcode: https://github.com/AgoraDesk-LocalMonero/agoradesk-app-foss\nProblemverfolgung: https://github.com/AgoraDesk-LocalMonero/agoradesk-app-foss/issues\n\n- Hervorragende Unterstützung\nUnser Support-Team ist schnell, reaktionsschnell und immer bemüht, Ihnen zu gefallen. Wir hatten noch nie ein Support-Ticket, das nicht innerhalb von 24 Stunden beantwortet wurde. Wir sind über Social Media immer gut erreichbar, hören uns Ihre Kritik aufmerksam an und setzen gute User-Vorschläge immer in Rekordzeit um.\n\nSie erreichen unseren Support unter: https://agoradesk.com/support\n\n- Faire Gebühren\nWir erheben keine exorbitanten Gebühren, wenn Sie Bitcoins in/aus unserer Wallet für Schiedsbürgschaften einzahlen oder abheben. Es gibt keine Einzahlungsgebühr und die Auszahlungsgebühr liegt sehr nahe an der Gebühr, die Sie für eine normale Transaktion zahlen würden.';

  @override
  String get app250Sbapple8722Sbapp8722Sbstore8722Sbkeywords250Sblocalmonero => 'Kryptowährung, anonym, privat, Monero, xmr, p2p';

  @override
  String get app250Sbapple8722Sbapp8722Sbstore8722Sbkeywords250Sbagoradesk => 'Kryptowährung, Bitcoin, Monero, BTC, XMR, anonym, privat';

  @override
  String get app_report_this_user => 'Diesen Nutzer melden';

  @override
  String get app_open_dropdown => 'Dropdown-Menü öffnen';

  @override
  String get error250Sbsignup250Sb175 => 'Versuch, einen Gutschein einzulösen, der während der Registrierung nicht vorhanden ist';

  @override
  String get error250Sbsignup250Sb176 => 'Versuch, einen abgelaufenen Gutschein während der Registrierung einzulösen';

  @override
  String get error250Sbsignup250Sb177 => 'Versuch, einen Gutschein einzulösen, der während der Registrierung nicht vorrätig ist';

  @override
  String get nojs250Sbpassword8722Sbreset250Sbsuccess => 'Brief zum Zurücksetzen des Passworts gesendet! Überprüfe deinen Posteingang.';

  @override
  String get ad8722Sbpage250Sbterms8722Sbdialog250Sbagree8722Sbcontinue => 'Stimmen Sie den Bedingungen zu und fahren Sie fort';

  @override
  String get logout250Sbtitle => 'Ausloggen';

  @override
  String get coupons250Sbcode8722Sbapply => 'Wenden Sie einen Gutscheincode an';

  @override
  String post8722Sbad250Sbtrade8722Stype250Sbonline8722Sbuy(Object assetName) {
    return 'Kaufen Sie $assetName online';
  }

  @override
  String get coupons250Sbcoupon250Sbdescription250Sbtypes250Sbcall_buy => 'Call-Option kaufen';

  @override
  String get coupons250Sbcoupon250Sbdescription250Sbtypes250Sbcall_sell => 'Kaufoption verkaufen';
}
